import sys
sys.path.insert(1, '../../')

from TextPart.textalinea import textalinea
from TextPart.masterrule import texttype
from TextPart.enum_type import enum_type

def hardcodedalineas_Plan_Velo_FR() -> list[textalinea]:
    """
    This code holds the content of the textalineas-array in the textsplitter-class
    for the document Plan_Velo_FR
    It is generated with the printcode()-functions of textsplitter & textalinea
    and it is supposed to be used only after a complete document analysis
    the outcome of this analysis (this script) can then be efficiently used
    for running regression-tests in the future.

    # Parameters: None (everything is hardcoded)
    # Return: list[textalinea] the hardcoded textalineas-array.
    """

    alineas = []

    thisalinea = textalinea()
    thisalinea.textlevel = 0
    thisalinea.texttitle = "Plan_Velo_FR"
    thisalinea.nativeID = 0
    thisalinea.parentID = -1
    thisalinea.alineatype = texttype.TITLE
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1er Comité interministériel DOSSIER DE PRESSE 5 MAI 2023 Nous avons une ambition : donner à chaque Français accès à une mobilité propre. La moitié des déplacements en voiture font moins de 5 kilomètres : le vélo doit donc jouer un rôle essentiel. Le quinquennat précédent a constitué une première étape impor- tante. Nous avons lancé un premier plan vélo, qui a débouché sur des résultats concrets. Je retiens en particulier les 17 000 kilomètres de pistes cyclables et voies vertes construites et l’augmentation de 33% de la fréquenta- tion des infrastructures vélos par rapport à 2019. Pour accélérer cette "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Élisabeth Borne Première ministre"
    thisalinea.nativeID = 1
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1er Comité interministériel DOSSIER DE PRESSE 5 MAI 2023 Nous avons une ambition : donner à chaque Français accès à une mobilité propre. La moitié des déplacements en voiture font moins de 5 kilomètres : le vélo doit donc jouer un rôle essentiel. Le quinquennat précédent a constitué une première étape impor- tante. Nous avons lancé un premier plan vélo, qui a débouché sur des résultats concrets. Je retiens en particulier les 17 000 kilomètres de pistes cyclables et voies vertes construites et l’augmentation de 33% de la fréquenta- tion des infrastructures vélos par rapport à 2019. Pour accélérer cette "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1er Comité interministériel")
    thisalinea.textcontent.append("DOSSIER DE PRESSE")
    thisalinea.textcontent.append("5 MAI 2023")
    thisalinea.textcontent.append("Nous avons une ambition : donner à chaque Français accès à une")
    thisalinea.textcontent.append("mobilité propre.")
    thisalinea.textcontent.append("La moitié des déplacements en voiture font moins de 5 kilomètres :")
    thisalinea.textcontent.append("le vélo doit donc jouer un rôle essentiel.")
    thisalinea.textcontent.append("Le quinquennat précédent a constitué une première étape impor-")
    thisalinea.textcontent.append("tante. Nous avons lancé un premier plan vélo, qui a débouché sur des")
    thisalinea.textcontent.append("résultats concrets. Je retiens en particulier les 17 000 kilomètres de pistes")
    thisalinea.textcontent.append("cyclables et voies vertes construites et l’augmentation de 33% de la fréquenta-")
    thisalinea.textcontent.append("tion des infrastructures vélos par rapport à 2019.")
    thisalinea.textcontent.append("Pour accélérer cette dynamique, j’ai annoncé en septembre, avec le ministre de la")
    thisalinea.textcontent.append("Transition écologique et de la cohésion des territoires, Christophe Béchu et le ministre")
    thisalinea.textcontent.append("chargé des Transports, Clément Beaune, un nouveau plan vélo.")
    thisalinea.textcontent.append("Notre premier objectif, c’est de rendre le vélo accessible à toutes et tous, dès le plus")
    thisalinea.textcontent.append("jeune âge. Aussi, nous prévoyons qu’à terme, l’ensemble d’une classe d’âge soit en")
    thisalinea.textcontent.append("capacité de circuler à vélo, soit 850 000 enfants chaque année. Les dispositifs de sensi-")
    thisalinea.textcontent.append("bilisation et de prévention aux risques seront aussi renforcés, dans le cadre du service")
    thisalinea.textcontent.append("national universel. Le Gouvernement souhaite aussi développer le vélo comme outil")
    thisalinea.textcontent.append("de promotion de la santé, et de lutte contre la sédentarité tout au long de la vie.")
    thisalinea.textcontent.append("J’ajoute que l’organisation des Jeux olympiques et paralympiques de 2024 sera aussi un")
    thisalinea.textcontent.append("levier puissant, pour accélérer le développement en France de la pratique du cyclisme.")
    thisalinea.textcontent.append("Nous traduirons cette volonté dans des actes concrets : les sites olympiques seront")
    thisalinea.textcontent.append("pleinement accessibles à vélo.")
    thisalinea.textcontent.append("Ensuite, nous voulons faire du vélo une alternative plus facile et plus accessible à la")
    thisalinea.textcontent.append("voiture individuelle pour les déplacements de proximité. Il s’agit notamment de mieux")
    thisalinea.textcontent.append("combiner l’usage des vélos avec les transports collectifs et de favoriser l’intermodali-")
    thisalinea.textcontent.append("té. C’est dans cet objectif que nous allons continuer à développer les infrastructures")
    thisalinea.textcontent.append("cyclables partout en France, grâce à un engagement financier inédit de l’État. Le fonds")
    thisalinea.textcontent.append("de mobilité active, créé par le premier plan vélo, sera renouvelé et doté de 250 mil-")
    thisalinea.textcontent.append("lions d’euros par an pour le quinquennat. Ces mesures nous permettront d’atteindre")
    thisalinea.textcontent.append("80 000 km en 2027 et 100 000 km d’aménagements cyclables sécurisés en 2030.")
    thisalinea.textcontent.append("Enfin, notre troisième objectif, c’est de renforcer la place du vélo dans notre écono-")
    thisalinea.textcontent.append("mie. Nous voulons ainsi soutenir l’innovation et structurer une filière économique")
    thisalinea.textcontent.append("complète autour du vélo, de l’assemblage au recyclage. Dans ce but, un appel à pro-")
    thisalinea.textcontent.append("jets sera lancé, dans le cadre de France 2030. Nous visons l’assemblage d’1,4 million de")
    thisalinea.textcontent.append("vélos en France d’ici 2027, et de 2 millions de vélos en 2030.")
    thisalinea.textcontent.append("Nous nous donnons les moyens de réussir. Ce plan permettra d’investir un montant")
    thisalinea.textcontent.append("jamais atteint pour les mobilités douces : 2 milliards d’euros seront ainsi mobilisés par")
    thisalinea.textcontent.append("l’État, avec l’ensemble des dispositifs de soutien sur la durée du plan 2023-2027. Nous")
    thisalinea.textcontent.append("travaillerons avec les collectivités locales et souhaitons qu’à leurs côtés, nous parve-")
    thisalinea.textcontent.append("nions à investir 6 milliards d’euros sur la période.")
    thisalinea.textcontent.append("Sur la transition écologique, en particulier, je veux des résultats. Je suivrai avec atten-")
    thisalinea.textcontent.append("tion le déploiement de ce nouveau plan. C’est le sens de ce premier Comité intermi-")
    thisalinea.textcontent.append("nistériel du vélo et des mobilités actives. Il vise à évaluer la mise en œuvre et à préciser")
    thisalinea.textcontent.append("le calendrier ou le contenu des mesures du plan.")
    thisalinea.textcontent.append("Pour atteindre la neutralité carbone, nous devons décarboner les transports tout en")
    thisalinea.textcontent.append("offrant des solutions accessibles aux Français. Le vélo a tout son rôle à jouer.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Christophe Béchu Ministre de la Transition écologique et de la Cohésion des territoires"
    thisalinea.nativeID = 2
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "14 septembre 2018 c’est à Angers, ville précurseure en matière de mobilités douces, qu’avait été annoncé par le Premier ministre, le 1er plan vélo et mobilités actives. C’était l’engagement, plus que tenu, de mobiliser chaque année 50 millions d’euros pour accélérer le développement de l’usage de « la petite reine » dans notre pays. Pistes cyclables, aides à l’achat, les réalisations ont été nombreuses, et plébiscitées par les usagers. 4 ans plus tard, la Première ministre, Elisabeth Borne, annonçait le deuxième Plan vélo et mobilités actives qui s’inscrit dans la continuité, mais avec un changement de braquet décisif et une "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("14 septembre 2018 c’est à Angers, ville précurseure en matière de")
    thisalinea.textcontent.append("mobilités douces, qu’avait été annoncé par le Premier ministre, le")
    thisalinea.textcontent.append("1er plan vélo et mobilités actives.")
    thisalinea.textcontent.append("C’était l’engagement, plus que tenu, de mobiliser chaque année 50 millions")
    thisalinea.textcontent.append("d’euros pour accélérer le développement de l’usage de « la petite reine » dans")
    thisalinea.textcontent.append("notre pays. Pistes cyclables, aides à l’achat, les réalisations ont été nombreuses,")
    thisalinea.textcontent.append("et plébiscitées par les usagers.")
    thisalinea.textcontent.append("4 ans plus tard, la Première ministre, Elisabeth Borne, annonçait le deuxième")
    thisalinea.textcontent.append("Plan vélo et mobilités actives qui s’inscrit dans la continuité, mais avec un")
    thisalinea.textcontent.append("changement de braquet décisif et une nouvelle ambition.")
    thisalinea.textcontent.append("Ce sont ainsi, 2 milliards d’euros qui sont mobilisés par l’État, dont 250 millions")
    thisalinea.textcontent.append("chaque année pour accélérer le développement des aménagements cyclables")
    thisalinea.textcontent.append("partout en France. C’est un effort sans précédent et inédit de l’État.")
    thisalinea.textcontent.append("Avec ce premier Comité interministériel, nous entrons dans une nouvelle phase")
    thisalinea.textcontent.append("de sa mise en œuvre, qui vise à soutenir le développement d’une culture du")
    thisalinea.textcontent.append("vélo dans tous ses aspects, en termes d’infrastructures, mais aussi en termes")
    thisalinea.textcontent.append("de formation, pour que tout le monde puisse apprendre à faire du vélo ainsi")
    thisalinea.textcontent.append("que pour renforcer la sécurité des usagers.")
    thisalinea.textcontent.append("Avec cet engagement renouvelé et considérablement renforcé, avec le volon-")
    thisalinea.textcontent.append("tarisme des collectivités et des élus locaux, et avec, bien sûr, l’adhésion pour-")
    thisalinea.textcontent.append("suivie de nos concitoyens, nous avons les moyens, tous ensemble, de réussir à")
    thisalinea.textcontent.append("faire du vélo l’un des premiers modes de déplacement du quotidien en France.")
    thisalinea.textcontent.append("C’est un impératif pour la planète, un impératif qui permet aussi, très concrè-")
    thisalinea.textcontent.append("tement, d’améliorer la santé et la qualité de vie des Françaises et des Français.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Clément Beaune Ministre délégué chargé des Transports"
    thisalinea.nativeID = 3
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "Atteindre les objectifs ambitieux que nous nous sommes fixés en matière de décarbonation implique d’accentuer la réduction des gaz à effet de serre sur l’ensemble du territoire national. Pour relever ce défi, il est fondamental de transformer nos modes de transports et d’orienter nos pratiques vers des mobilités propres, dès que cela est possible. C’est notamment le cas pour tous les trajets les plus courts. Aujourd’hui, près la moitié de nos déplacements en voiture font moins de 5 km. C’est un potentiel immense pour encourager le vélo et la marche ! Depuis 4 ans et le premier « Plan vélo "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Atteindre les objectifs ambitieux que nous nous sommes fixés en")
    thisalinea.textcontent.append("matière de décarbonation implique d’accentuer la réduction des")
    thisalinea.textcontent.append("gaz à effet de serre sur l’ensemble du territoire national.")
    thisalinea.textcontent.append("Pour relever ce défi, il est fondamental de transformer nos modes de")
    thisalinea.textcontent.append("transports et d’orienter nos pratiques vers des mobilités propres, dès que cela est")
    thisalinea.textcontent.append("possible. C’est notamment le cas pour tous les trajets les plus courts. Aujourd’hui,")
    thisalinea.textcontent.append("près la moitié de nos déplacements en voiture font moins de 5 km. C’est un potentiel")
    thisalinea.textcontent.append("immense pour encourager le vélo et la marche !")
    thisalinea.textcontent.append("Depuis 4 ans et le premier « Plan vélo », l’État et les collectivités se sont pleinement")
    thisalinea.textcontent.append("engagées pour favoriser ces usages. Les résultats sont là et ils peuvent être constatés")
    thisalinea.textcontent.append("par chacun. Avec 17 000 kilomètres d’équipements cyclables construits depuis 2017,")
    thisalinea.textcontent.append("la physionomie de nos villes a changé et la fréquentation des pistes cyclables a consi-")
    thisalinea.textcontent.append("dérablement augmenté.")
    thisalinea.textcontent.append("Conformément aux engagements pris par la Première ministre lors de la présentation")
    thisalinea.textcontent.append("du second Plan vélo et marche en septembre dernier, nous lançons aujourd’hui l’acte")
    thisalinea.textcontent.append("II de notre politique cyclable.")
    thisalinea.textcontent.append("En nous engageant dans la durée pour développer les infrastructures, nous attein-")
    thisalinea.textcontent.append("drons 100 000 km de pistes cyclables en 2030, c’est presque deux fois plus qu’au-")
    thisalinea.textcontent.append("jourd’hui.")
    thisalinea.textcontent.append("Nous développerons des stationnements sécurisés, dans les bâtiments de l’État, les")
    thisalinea.textcontent.append("établissements scolaires et les copropriétés. Dans les gares, 90 000 emplacements de")
    thisalinea.textcontent.append("ce type seront ainsi accessibles en 2027, trois fois plus qu’aujourd’hui.")
    thisalinea.textcontent.append("Enfin, nous accentuerons le soutien à notre filière. D’ici 2030, 2 millions de vélos")
    thisalinea.textcontent.append("seront assemblés en France chaque année. Parallèlement, les aides à l’achat seront")
    thisalinea.textcontent.append("prolongées et élargies aux vélos d’occasion.")
    thisalinea.textcontent.append("2 milliards d’euros seront investis d’ici 2027 pour porter l’ensemble de ces mesures.")
    thisalinea.textcontent.append("C’est un coup de pédale historique pour démocratiser l’usage du vélo sur l’ensemble")
    thisalinea.textcontent.append("du territoire national. Sans commune mesure avec tout ce qui a été fait jusqu’à pré-")
    thisalinea.textcontent.append("sent, ce plan établira une véritable culture du vélo, dans tous les territoires et à tous")
    thisalinea.textcontent.append("les âges de la vie.")
    thisalinea.textcontent.append("Amis du vélo, collectivités, associations, entreprises et start-up, ce plan ne se réalise-")
    thisalinea.textcontent.append("ra pas sans vous. Alors ensemble, on accélère !")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "LE VÉLO ET LA MARCHE : DES MOBILITÉS D’AVENIR"
    thisalinea.nativeID = 4
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "Atteindre la neutralité carbone à l’horizon 2050 implique de poursuivre et d’accentuer la réduc- tion des gaz à effet de serre sur l’ensemble du territoire national. Si nous sommes sur la bonne voie, cet objectif demande chaque jour des efforts supplémentaires et nécessite de trans- former nos modes de vie, de consommation et de production. Il suppose aussi de révolutionner le secteur des transports et de décarboner nos mobilités. Dès 2018 avec la loi d’orientation des mobilités (LOM) puis le Plan vélo et mobilités actives, le Gouvernement a amorcé un travail pour faire du vélo un moyen de transport à "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Atteindre la neutralité carbone à l’horizon 2050")
    thisalinea.textcontent.append("implique de poursuivre et d’accentuer la réduc-")
    thisalinea.textcontent.append("tion des gaz à effet de serre sur l’ensemble du")
    thisalinea.textcontent.append("territoire national. Si nous sommes sur la bonne")
    thisalinea.textcontent.append("voie, cet objectif demande chaque jour des")
    thisalinea.textcontent.append("efforts supplémentaires et nécessite de trans-")
    thisalinea.textcontent.append("former nos modes de vie, de consommation et")
    thisalinea.textcontent.append("de production. Il suppose aussi de révolutionner")
    thisalinea.textcontent.append("le secteur des transports et de décarboner nos")
    thisalinea.textcontent.append("mobilités.")
    thisalinea.textcontent.append("Dès 2018 avec la loi d’orientation des mobilités")
    thisalinea.textcontent.append("(LOM) puis le Plan vélo et mobilités actives, le")
    thisalinea.textcontent.append("Gouvernement a amorcé un travail pour faire")
    thisalinea.textcontent.append("du vélo un moyen de transport à part entière")
    thisalinea.textcontent.append("pour les déplacements du quotidien.")
    thisalinea.textcontent.append("4 ans plus tard, les résultats sont là et nous")
    thisalinea.textcontent.append("voulons redoubler d’efforts pour continuer à")
    thisalinea.textcontent.append("rendre le vélo accessible à chaque Français, en")
    thisalinea.textcontent.append("ville comme dans tous les territoires.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "• 410 millions d’euros"
    thisalinea.nativeID = 5
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "c’est le montant investi dans le fonds mo- bilités actives pour accélérer les projets de création de pistes cyclables et des places de stationnement sécurisées pour les vélos dans toutes les gares. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c’est le montant investi dans le fonds mo-")
    thisalinea.textcontent.append("bilités actives pour accélérer les projets de")
    thisalinea.textcontent.append("création de pistes cyclables et des places de")
    thisalinea.textcontent.append("stationnement sécurisées pour les vélos dans")
    thisalinea.textcontent.append("toutes les gares.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "• 28 000 km"
    thisalinea.nativeID = 6
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "c’est la longueur total des aménagements cyclables qui ont été créés, dont 17 000 km de pistes et de voies vertes sur l’ensemble du territoire (+40 % depuis 2017). "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c’est la longueur total des aménagements")
    thisalinea.textcontent.append("cyclables qui ont été créés, dont 17 000 km")
    thisalinea.textcontent.append("de pistes et de voies vertes sur l’ensemble du")
    thisalinea.textcontent.append("territoire (+40 % depuis 2017).")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "• 4 millions"
    thisalinea.nativeID = 7
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c’est le nombre de vélos qui ont été inscrits dans le nouveau registre national d’immatri- culation, grâce au marquage obligatoire des vélos qui permet de lutter contre le vol et de restituer les vélos à leurs propriétaires lors- qu’ils sont retrouvés. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c’est le nombre de vélos qui ont été inscrits")
    thisalinea.textcontent.append("dans le nouveau registre national d’immatri-")
    thisalinea.textcontent.append("culation, grâce au marquage obligatoire des")
    thisalinea.textcontent.append("vélos qui permet de lutter contre le vol et de")
    thisalinea.textcontent.append("restituer les vélos à leurs propriétaires lors-")
    thisalinea.textcontent.append("qu’ils sont retrouvés.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "• 200 000"
    thisalinea.nativeID = 8
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "c’est le nombre d’enfants autonomes sur la route, formés depuis 2019 grâce au pro- gramme Savoir rouler à vélo. Il permet à tous les enfants entrant au collège de maîtriser la pratique du vélo. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c’est le nombre d’enfants autonomes sur")
    thisalinea.textcontent.append("la route, formés depuis 2019 grâce au pro-")
    thisalinea.textcontent.append("gramme Savoir rouler à vélo. Il permet à tous")
    thisalinea.textcontent.append("les enfants entrant au collège de maîtriser la")
    thisalinea.textcontent.append("pratique du vélo.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "• 65 millions d’euros"
    thisalinea.nativeID = 9
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "c’est le montant d’aides versées à l’achat de vélos électriques, pour soutenir les ventes et la transition vers des mobilités propres. Le Plan vélo et mobilités actives a ainsi permis d’instaurer une véritable culture du vélo et d’en faire un mode de déplacement à part entière : "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c’est le montant d’aides versées à l’achat de")
    thisalinea.textcontent.append("vélos électriques, pour soutenir les ventes et")
    thisalinea.textcontent.append("la transition vers des mobilités propres.")
    thisalinea.textcontent.append("Le Plan vélo et mobilités actives a ainsi permis")
    thisalinea.textcontent.append("d’instaurer une véritable culture du vélo et d’en")
    thisalinea.textcontent.append("faire un mode de déplacement à part entière :")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "• 52%"
    thisalinea.nativeID = 10
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "c’est l’augmentation de la fréquentation des itinéraires à vélos par rapport à 2017 ; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c’est l’augmentation de la fréquentation des")
    thisalinea.textcontent.append("itinéraires à vélos par rapport à 2017 ;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "• 17 millions"
    thisalinea.nativeID = 11
    thisalinea.parentID = 4
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "c’est le nombre de vélos vendus depuis 2017, dont 2,9 millions à assistance électrique. Depuis le lancement du Plan vélo et marche, la dynamique en faveur du vélo est donc très po- sitive et reçoit l’adhésion d’un nombre croissant de Français. Pour accélérer ses effets tant sur le plan écono- mique, social, qu’environnemental, la Première ministre a lancé en septembre 2022 un acte II du plan, dédié à la période 2023-2027. À cette occasion, elle a annoncé un nouveau fonds pour le vélo, doté de 250 millions d’euros en 2023 et le lancement d’un comité interministériel. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c’est le nombre de vélos vendus depuis 2017,")
    thisalinea.textcontent.append("dont 2,9 millions à assistance électrique.")
    thisalinea.textcontent.append("Depuis le lancement du Plan vélo et marche, la")
    thisalinea.textcontent.append("dynamique en faveur du vélo est donc très po-")
    thisalinea.textcontent.append("sitive et reçoit l’adhésion d’un nombre croissant")
    thisalinea.textcontent.append("de Français.")
    thisalinea.textcontent.append("Pour accélérer ses effets tant sur le plan écono-")
    thisalinea.textcontent.append("mique, social, qu’environnemental, la Première")
    thisalinea.textcontent.append("ministre a lancé en septembre 2022 un acte II")
    thisalinea.textcontent.append("du plan, dédié à la période 2023-2027. À cette")
    thisalinea.textcontent.append("occasion, elle a annoncé un nouveau fonds pour")
    thisalinea.textcontent.append("le vélo, doté de 250 millions d’euros en 2023 et")
    thisalinea.textcontent.append("le lancement d’un comité interministériel.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "2 0 2 3 - 2 0 2 7"
    thisalinea.nativeID = 12
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "1er Comité interministériel Conformément aux engagements de la Première ministre lors du lancement du Plan vélo et marche 2023-2027, le premier comité interministériel vélo et marche s’est tenu le 5 mai 2023, sous l’autorité de la Première ministre. Le Plan vélo et marche 2023-2027 a fixé trois ambitions pour inscrire le vélo et la marche dans le quotidien de tous les Français. Le comité du 5 mai 2023 a établi des mesures prioritaires pour concrétiser ces ambitions. Au total, c’est un montant inédit de 2 milliards d’euros qui sera investi par l’État avec l’en- semble des dispositifs de soutien sur "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1er Comité interministériel")
    thisalinea.textcontent.append("Conformément aux engagements de la")
    thisalinea.textcontent.append("Première ministre lors du lancement du Plan")
    thisalinea.textcontent.append("vélo et marche 2023-2027, le premier comité")
    thisalinea.textcontent.append("interministériel vélo et marche s’est tenu le")
    thisalinea.textcontent.append("5 mai 2023, sous l’autorité de la Première")
    thisalinea.textcontent.append("ministre.")
    thisalinea.textcontent.append("Le Plan vélo et marche 2023-2027 a fixé trois")
    thisalinea.textcontent.append("ambitions pour inscrire le vélo et la marche")
    thisalinea.textcontent.append("dans le quotidien de tous les Français.")
    thisalinea.textcontent.append("Le comité du 5 mai 2023 a établi des mesures")
    thisalinea.textcontent.append("prioritaires pour concrétiser ces ambitions.")
    thisalinea.textcontent.append("Au total, c’est un montant inédit de 2 milliards")
    thisalinea.textcontent.append("d’euros qui sera investi par l’État avec l’en-")
    thisalinea.textcontent.append("semble des dispositifs de soutien sur la durée")
    thisalinea.textcontent.append("du plan 2023-2027.")
    thisalinea.textcontent.append("En comptant sur l’engagement des collectivi-")
    thisalinea.textcontent.append("tés locales, ce sont environ 6 milliards d’euros")
    thisalinea.textcontent.append("qui seront investis sur la période pour le déve-")
    thisalinea.textcontent.append("loppement des infrastructures favorisant les")
    thisalinea.textcontent.append("mobilités actives.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "3 A M B I T I O N S"
    thisalinea.nativeID = 13
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "M E S U R E S P H A R E S"
    thisalinea.nativeID = 14
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "1."
    thisalinea.nativeID = 15
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "2."
    thisalinea.nativeID = 16
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "3."
    thisalinea.nativeID = 17
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "Rendre le vélo accessible à toutes et tous, dès le plus jeune âge et tout au long de la vie. Faire du vélo et de la marche une alternative attractive à la voiture individuelle pour les déplace- ments de proximité et combinée aux transports collectifs pour les déplacements de plus longues distances. Faire du vélo un levier pour notre économie en accompagnant les acteurs français de la filière. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Rendre le vélo accessible à toutes")
    thisalinea.textcontent.append("et tous, dès le plus jeune âge et")
    thisalinea.textcontent.append("tout au long de la vie.")
    thisalinea.textcontent.append("Faire du vélo et de la marche une")
    thisalinea.textcontent.append("alternative attractive à la voiture")
    thisalinea.textcontent.append("individuelle pour les déplace-")
    thisalinea.textcontent.append("ments de proximité et combinée")
    thisalinea.textcontent.append("aux transports collectifs pour les")
    thisalinea.textcontent.append("déplacements de plus longues")
    thisalinea.textcontent.append("distances.")
    thisalinea.textcontent.append("Faire du vélo un levier pour notre")
    thisalinea.textcontent.append("économie en accompagnant les")
    thisalinea.textcontent.append("acteurs français de la filière.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "1."
    thisalinea.nativeID = 18
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "2."
    thisalinea.nativeID = 19
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "3."
    thisalinea.nativeID = 20
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "1,5 milliard d’euros pour dévelop- per les infrastructures cyclables partout en France et ainsi doubler notre réseau cyclable d’ici 2030. Prolongation des aides à l’achat jusqu’à la fin du plan vélo et marche, en 2027, ainsi que l’ou- verture de ces aides aux vélos d’occasion vendus par des profes- sionnels. Formation de l’ensemble d’une classe d’âge au « Savoir Rouler à Vélo », soit 850 000 enfants en 2027. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1,5 milliard d’euros pour dévelop-")
    thisalinea.textcontent.append("per les infrastructures cyclables")
    thisalinea.textcontent.append("partout en France et ainsi doubler")
    thisalinea.textcontent.append("notre réseau cyclable d’ici 2030.")
    thisalinea.textcontent.append("Prolongation des aides à l’achat")
    thisalinea.textcontent.append("jusqu’à la fin du plan vélo et")
    thisalinea.textcontent.append("marche, en 2027, ainsi que l’ou-")
    thisalinea.textcontent.append("verture de ces aides aux vélos")
    thisalinea.textcontent.append("d’occasion vendus par des profes-")
    thisalinea.textcontent.append("sionnels.")
    thisalinea.textcontent.append("Formation de l’ensemble d’une")
    thisalinea.textcontent.append("classe d’âge au « Savoir Rouler à")
    thisalinea.textcontent.append("Vélo », soit 850 000 enfants en")
    thisalinea.textcontent.append("2027.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "1."
    thisalinea.nativeID = 21
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 10
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "RENDRE LE VÉLO ACCESSIBLE À TOUTES ET TOUS, DÈS LE PLUS JEUNE ÂGE ET TOUT AU LONG DE LA VIE"
    thisalinea.nativeID = 22
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 11
    thisalinea.summary = "Donner aux enfants la capacité de se déplacer de manière active et du- rable est essentiel à l’heure où la sédentarité fait courir des risques sani- taires majeurs. Après 4 ans d’action avec les partenaires de ce programme, de nombreux progrès ont été obtenus et plus de 200 000 enfants ont déjà été formés. Nous sommes pleinement mobilisés pour atteindre un objectif ambitieux : former 850 000 enfants chaque année à partir 2027, comme l’a annoncé la Première ministre. À travers le Plan vélo et marche 2023-2027, le Gouvernement réaffirme sa volonté de géné- raliser le dispositif Savoir rouler à "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Amélie Oudéa Castéra Ministre des Sports et des Jeux olympiques et paralympiques"
    thisalinea.nativeID = 23
    thisalinea.parentID = 22
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "Donner aux enfants la capacité de se déplacer de manière active et du- rable est essentiel à l’heure où la sédentarité fait courir des risques sani- taires majeurs. Après 4 ans d’action avec les partenaires de ce programme, de nombreux progrès ont été obtenus et plus de 200 000 enfants ont déjà été formés. Nous sommes pleinement mobilisés pour atteindre un objectif ambitieux : former 850 000 enfants chaque année à partir 2027, comme l’a annoncé la Première ministre. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Donner aux enfants la capacité de se déplacer de manière active et du-")
    thisalinea.textcontent.append("rable est essentiel à l’heure où la sédentarité fait courir des risques sani-")
    thisalinea.textcontent.append("taires majeurs. Après 4 ans d’action avec les partenaires de ce programme,")
    thisalinea.textcontent.append("de nombreux progrès ont été obtenus et plus de 200 000 enfants ont déjà")
    thisalinea.textcontent.append("été formés. Nous sommes pleinement mobilisés pour atteindre un objectif")
    thisalinea.textcontent.append("ambitieux : former 850 000 enfants chaque année à partir 2027, comme l’a")
    thisalinea.textcontent.append("annoncé la Première ministre.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Le vélo dès le plus jeune âge"
    thisalinea.nativeID = 24
    thisalinea.parentID = 22
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "À travers le Plan vélo et marche 2023-2027, le Gouvernement réaffirme sa volonté de géné- raliser le dispositif Savoir rouler à vélo, pour que chaque enfant entre 6 et 11 ans apprenne à circuler à vélo en sécurité, avec un compor- tement responsable et citoyen. Il vise aussi à leur transmettre la « culture du vélo », pour favoriser un mode de transport favorable à leur santé et à l’environnement. Depuis 2019, 200 000 enfants ont été formés au dispositif Savoir rouler à vélo. Pour la seule année 2023, 200 000 enfants supplémentaires bénéficieront du pro- gramme. Progressivement, ce sont "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("À travers le Plan vélo et marche 2023-2027, le")
    thisalinea.textcontent.append("Gouvernement réaffirme sa volonté de géné-")
    thisalinea.textcontent.append("raliser le dispositif Savoir rouler à vélo, pour")
    thisalinea.textcontent.append("que chaque enfant entre 6 et 11 ans apprenne")
    thisalinea.textcontent.append("à circuler à vélo en sécurité, avec un compor-")
    thisalinea.textcontent.append("tement responsable et citoyen. Il vise aussi à")
    thisalinea.textcontent.append("leur transmettre la « culture du vélo », pour")
    thisalinea.textcontent.append("favoriser un mode de transport favorable à")
    thisalinea.textcontent.append("leur santé et à l’environnement.")
    thisalinea.textcontent.append("Depuis 2019, 200 000 enfants ont été")
    thisalinea.textcontent.append("formés au dispositif Savoir rouler à vélo.")
    thisalinea.textcontent.append("Pour la seule année 2023, 200 000 enfants")
    thisalinea.textcontent.append("supplémentaires bénéficieront du pro-")
    thisalinea.textcontent.append("gramme. Progressivement, ce sont 850 000")
    thisalinea.textcontent.append("enfants qui seront formés chaque année,")
    thisalinea.textcontent.append("soit l’ensemble d’une classe d’âge, avant")
    thisalinea.textcontent.append("leur entrée au collège à partir de 2027.")
    thisalinea.textcontent.append("Le ministère des Sports et des Jeux Olym-")
    thisalinea.textcontent.append("piques et Paralympiques en étroite collabo-")
    thisalinea.textcontent.append("ration avec le ministère de l’Éducation natio-")
    thisalinea.textcontent.append("nale, et avec les partenaires du Savoir rouler")
    thisalinea.textcontent.append("à vélo, s’engagent et mèneront avec la région")
    thisalinea.textcontent.append("Provence Alpes Côte d’Azur, territoire pilote,")
    thisalinea.textcontent.append("une expérimentation de massification du dé-")
    thisalinea.textcontent.append("ploiement du Savoir rouler à vélo.")
    thisalinea.textcontent.append("Le programme Génération vélo, financé par le")
    thisalinea.textcontent.append("programme de certificat d’économies d’éner-")
    thisalinea.textcontent.append("gie, à hauteur de 21 millions d’euros, vise à")
    thisalinea.textcontent.append("former plus de 6 000 intervenants et à accom-")
    thisalinea.textcontent.append("pagner les interventions en structures d’accueil")
    thisalinea.textcontent.append("d’enfants en partenariat avec les collectivités.")
    thisalinea.textcontent.append("Le dispositif actuel sera également complété")
    thisalinea.textcontent.append("par une information et une sensibilisation ef-")
    thisalinea.textcontent.append("fectives des enfants, à l’école primaire comme")
    thisalinea.textcontent.append("au collège, à la pratique en sécurité de la")
    thisalinea.textcontent.append("circulation.")
    thisalinea.textcontent.append("Par ailleurs, le module de sensibilisation des")
    thisalinea.textcontent.append("jeunes à la prise de risques sur la route dans")
    thisalinea.textcontent.append("le cadre du service national universel sera")
    thisalinea.textcontent.append("renforcé. Un volet spécifique sensibilisera les")
    thisalinea.textcontent.append("jeunes aux risques à éviter en tant que cy-")
    thisalinea.textcontent.append("cliste, mais aussi aux risques qu’ils peuvent")
    thisalinea.textcontent.append("faire prendre aux cyclistes en tant que")
    thisalinea.textcontent.append("conducteur d’autres véhicules. Il s’agit ainsi de")
    thisalinea.textcontent.append("favoriser un meilleur partage de la route et un")
    thisalinea.textcontent.append("meilleur respect de l’ensemble des usagers de")
    thisalinea.textcontent.append("la route.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Le vélo tout au long de la vie"
    thisalinea.nativeID = 25
    thisalinea.parentID = 22
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "Au-delà des bénéfices environnementaux, les mobilités actives constituent un enjeu quoti- dien de santé publique. Il s’agit d’un moyen préventif pour se maintenir chaque jour en bonne santé et lutter contre la sédentarité. Main dans la main avec les professionnels de santé, les collectivités ou encore les employeurs, le Gouvernement veut dé- velopper les mobilités actives comme un véritable outil de prévention et de promo- tion de la santé. • En intégrant le vélo et la marche dans les rendez-vous de prévention aux âges clés. • En élaborant un support pédagogique sur les mobilités actives à l’attention des pro- fessionnels "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Au-delà des bénéfices environnementaux, les")
    thisalinea.textcontent.append("mobilités actives constituent un enjeu quoti-")
    thisalinea.textcontent.append("dien de santé publique. Il s’agit d’un moyen")
    thisalinea.textcontent.append("préventif pour se maintenir chaque jour en")
    thisalinea.textcontent.append("bonne santé et lutter contre la sédentarité.")
    thisalinea.textcontent.append("Main dans la main avec les professionnels")
    thisalinea.textcontent.append("de santé, les collectivités ou encore les")
    thisalinea.textcontent.append("employeurs, le Gouvernement veut dé-")
    thisalinea.textcontent.append("velopper les mobilités actives comme un")
    thisalinea.textcontent.append("véritable outil de prévention et de promo-")
    thisalinea.textcontent.append("tion de la santé.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "• En intégrant le vélo et ..."
    thisalinea.nativeID = 26
    thisalinea.parentID = 25
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "• En intégrant le vélo et la marche dans les rendez-vous de prévention aux âges clés. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("• En intégrant le vélo et la marche dans les")
    thisalinea.textcontent.append("rendez-vous de prévention aux âges clés.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "• En élaborant un support pédagogique ..."
    thisalinea.nativeID = 27
    thisalinea.parentID = 25
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "• En élaborant un support pédagogique sur les mobilités actives à l’attention des pro- fessionnels de santé. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("• En élaborant un support pédagogique sur")
    thisalinea.textcontent.append("les mobilités actives à l’attention des pro-")
    thisalinea.textcontent.append("fessionnels de santé.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "• En complétant les chartes du ..."
    thisalinea.nativeID = 28
    thisalinea.parentID = 25
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "• En complétant les chartes du Programme "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("• En complétant les chartes du Programme")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Le vélo au travail"
    thisalinea.nativeID = 29
    thisalinea.parentID = 22
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "national nutrition santé avec un volet sur la pratique du vélo et de la marche. Présentes sur l’ensemble du territoire, les Maisons sport-santé ont pour rôle d’accueil- lir, d’informer et d’accompagner toutes les personnes ayant besoin de conseils et d’aides pour reprendre ou démarrer une activité phy- sique, notamment en portant une attention particulière aux personnes isolées, atteintes de pathologies ou éloignées de la pratique. Les Maisons sport-santé seront mobilisées pour proposer des activités en lien avec la marche et le vélo pour diversifier leur offre de service et accompagner un plus grand nombre d’usagers vers les mobilités actives. Dans "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("national nutrition santé avec un volet sur la")
    thisalinea.textcontent.append("pratique du vélo et de la marche.")
    thisalinea.textcontent.append("Présentes sur l’ensemble du territoire, les")
    thisalinea.textcontent.append("Maisons sport-santé ont pour rôle d’accueil-")
    thisalinea.textcontent.append("lir, d’informer et d’accompagner toutes les")
    thisalinea.textcontent.append("personnes ayant besoin de conseils et d’aides")
    thisalinea.textcontent.append("pour reprendre ou démarrer une activité phy-")
    thisalinea.textcontent.append("sique, notamment en portant une attention")
    thisalinea.textcontent.append("particulière aux personnes isolées, atteintes")
    thisalinea.textcontent.append("de pathologies ou éloignées de la pratique.")
    thisalinea.textcontent.append("Les Maisons sport-santé seront mobilisées")
    thisalinea.textcontent.append("pour proposer des activités en lien avec la")
    thisalinea.textcontent.append("marche et le vélo pour diversifier leur offre de")
    thisalinea.textcontent.append("service et accompagner un plus grand nombre")
    thisalinea.textcontent.append("d’usagers vers les mobilités actives.")
    thisalinea.textcontent.append("Dans le cadre du plan de sobriété énergé-")
    thisalinea.textcontent.append("tique de l’État, deux mesures ont été mises en")
    thisalinea.textcontent.append("place.")
    thisalinea.textcontent.append("Le forfait mobilités durables (FMD) est un")
    thisalinea.textcontent.append("dispositif financier de soutien aux salariés du")
    thisalinea.textcontent.append("secteur privé et agents de services publics pour")
    thisalinea.textcontent.append("leurs déplacements domicile-travail à vélo, en")
    thisalinea.textcontent.append("covoiturage ou engin de déplacement person-")
    thisalinea.textcontent.append("nel. Mis en place à l’initiative de l’employeur, il")
    thisalinea.textcontent.append("permet de délivrer au salarié optant pour un de")
    thisalinea.textcontent.append("ces modes une indemnité forfaitaire, non impo-")
    thisalinea.textcontent.append("sable, pouvant aller jusqu’à 800 €/an. Parmi les")
    thisalinea.textcontent.append("employeurs privés ayant déployé le FMD, 96 %")
    thisalinea.textcontent.append("ont ouvert ce forfait au vélo et 56 % au covoi-")
    thisalinea.textcontent.append("turage.")
    thisalinea.textcontent.append("Dans le cadre de la démarche Service pu-")
    thisalinea.textcontent.append("blic écoresponsable et du Plan de sobrié-")
    thisalinea.textcontent.append("té, l’État a pour objectif que 100 % de ses")
    thisalinea.textcontent.append("sites soient équipés de stationnements")
    thisalinea.textcontent.append("vélo sécurisés en 2027, soit plus de 60 000")
    thisalinea.textcontent.append("sites au total.")
    thisalinea.textcontent.append("Par une disposition du code général des im-")
    thisalinea.textcontent.append("pôts, les entreprises peuvent bénéficier d’une")
    thisalinea.textcontent.append("réduction d’impôt sur les sociétés lorsqu’elles")
    thisalinea.textcontent.append("mettent à disposition de leurs salariés une")
    thisalinea.textcontent.append("flotte de vélos de fonction pour leurs dé-")
    thisalinea.textcontent.append("placements entre domicile et lieu de travail.")
    thisalinea.textcontent.append("Cette mesure permet un développement des")
    thisalinea.textcontent.append("usages du vélo pour aller au travail et connaît")
    thisalinea.textcontent.append("une progression significative : 100 entreprises")
    thisalinea.textcontent.append("l’ont adoptée en 2017, 700 en 2021 pour un")
    thisalinea.textcontent.append("volume estimé de 4 000 vélos de fonction. La")
    thisalinea.textcontent.append("disposition qui devait prendre fin en 2024 sera")
    thisalinea.textcontent.append("prolongée jusqu’en 2027.")
    thisalinea.textcontent.append("Le programme Objectif employeurs pro vélo,")
    thisalinea.textcontent.append("doté de 40 millions d’euros (certificat d’écono-")
    thisalinea.textcontent.append("mies d’énergie), accompagne les employeurs")
    thisalinea.textcontent.append("publics et privés vers des actions en faveur de")
    thisalinea.textcontent.append("la mobilité à vélo de leur salariés (stationne-")
    thisalinea.textcontent.append("ments, solutions et services vélo) et les engage")
    thisalinea.textcontent.append("vers l’obtention du label Employeur pro-vélo.")
    thisalinea.textcontent.append("Créé en 2021 à l’initiative de la FUB et de l’Ade-")
    thisalinea.textcontent.append("me, ce label récompense les employeurs enga-")
    thisalinea.textcontent.append("gés : plus de 40 sites sont déjà labellisés.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "• Augmentation du forfait mobilités durables "
    thisalinea.nativeID = 30
    thisalinea.parentID = 29
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "• Augmentation du forfait mobilités durables pour la fonction publique de 200 à 300 euros. Le plafond des 100 jours a également été assoupli et il est désormais possible de le cumuler avec d’autres titres de trans- ports. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("• Augmentation du forfait mobilités durables")
    thisalinea.textcontent.append("pour la fonction publique de 200 à 300")
    thisalinea.textcontent.append("euros. Le plafond des 100 jours a également")
    thisalinea.textcontent.append("été assoupli et il est désormais possible de")
    thisalinea.textcontent.append("le cumuler avec d’autres titres de trans-")
    thisalinea.textcontent.append("ports.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "• Généralisation des espaces de stationne- "
    thisalinea.nativeID = 31
    thisalinea.parentID = 29
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "• Généralisation des espaces de stationne- ment vélo sécurisés dans les bâtiments des services publics et développement du vélo cargo dans la commande publique affirmés dans une circulaire du 10 novembre 2022. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("• Généralisation des espaces de stationne-")
    thisalinea.textcontent.append("ment vélo sécurisés dans les bâtiments des")
    thisalinea.textcontent.append("services publics et développement du vélo")
    thisalinea.textcontent.append("cargo dans la commande publique affirmés")
    thisalinea.textcontent.append("dans une circulaire du 10 novembre 2022.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Le vélo accessible à toutes et tous"
    thisalinea.nativeID = 32
    thisalinea.parentID = 22
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "Les aides à l’achat (bonus vélo et prime à la conversion vélo) ont été bonifiées en août 2022. En plus des personnes morales, les aides bénéficient à 50 % des ménages français aux revenus les plus modestes et sont bonifiées pour les 20 % des ménages aux revenus très modestes. Sur la période 2017-2022 ce sont ainsi 67 mil- lions d’euros d’aides à l’achat d’un vélo qui ont été versées à plus de 300 000 Français. Le Gouvernement annonce aujourd’hui la pro- longation de ces aides jusqu’à la fin du plan vélo et marche, en 2027, ainsi que l’ouverture de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Les aides à l’achat (bonus vélo et prime à la")
    thisalinea.textcontent.append("conversion vélo) ont été bonifiées en août")
    thisalinea.textcontent.append("2022. En plus des personnes morales, les aides")
    thisalinea.textcontent.append("bénéficient à 50 % des ménages français aux")
    thisalinea.textcontent.append("revenus les plus modestes et sont bonifiées")
    thisalinea.textcontent.append("pour les 20 % des ménages aux revenus très")
    thisalinea.textcontent.append("modestes.")
    thisalinea.textcontent.append("Sur la période 2017-2022 ce sont ainsi 67 mil-")
    thisalinea.textcontent.append("lions d’euros d’aides à l’achat d’un vélo qui ont")
    thisalinea.textcontent.append("été versées à plus de 300 000 Français.")
    thisalinea.textcontent.append("Le Gouvernement annonce aujourd’hui la pro-")
    thisalinea.textcontent.append("longation de ces aides jusqu’à la fin du plan")
    thisalinea.textcontent.append("vélo et marche, en 2027, ainsi que l’ouverture")
    thisalinea.textcontent.append("de ces aides aux vélos d’occasion vendus par")
    thisalinea.textcontent.append("des professionnels à l’occasion de la pro-")
    thisalinea.textcontent.append("chaine loi de finances.")
    thisalinea.textcontent.append("De plus, le programme Mon vélo de A à Z en-")
    thisalinea.textcontent.append("trera prochainement en vigueur. Il développera")
    thisalinea.textcontent.append("l’usage du vélo auprès de 15 000 personnes en")
    thisalinea.textcontent.append("situation de précarité. Porté par la FUB, ce pro-")
    thisalinea.textcontent.append("gramme est financé par des certificats d’écono-")
    thisalinea.textcontent.append("mies d’énergie à hauteur de 20 millions d’euros.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "L e s a i d e s"
    thisalinea.nativeID = 33
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 12
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "à l ’ a c h a t"
    thisalinea.nativeID = 34
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 13
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "d ’ u n v é l o"
    thisalinea.nativeID = 35
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 14
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "2."
    thisalinea.nativeID = 36
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 15
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "FAIRE DU VÉLO ET DE LA MARCHE DES ALTERNATIVES ATTRACTIVES À LA VOITURE INDIVIDUELLE POUR LES DÉPLACEMENTS DE PROXIMITÉ ET COMBINÉE AUX TRANSPORTS COLLECTIFS POUR LES DÉPLACEMENTS DE PLUS LONGUE DISTANCE"
    thisalinea.nativeID = 37
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 16
    thisalinea.summary = "Priorité au développement des infrastruc- tures cyclables Le 20 septembre 2022, la Première ministre a annoncé la reconduction du fonds mobilités actives augmenté à 250 millions d’euros pour l’année 2023 dont 200 millions d’euros dédiés aux infrastructures. Sur la durée du plan, le fonds mobilités ac- tives sera pérennisé à hauteur de 1,25 milliard d’euros, soit 250 millions d’euros par an, pour accélérer le développement des aménage- ments cyclables partout en France. C’est un effort sans précédent et inédit de l’État. Le réseau des véloroutes constitue le réseau structurant au niveau national et régional. Permettant le déplacement sécurisé sur de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Développer un réseau cyclable adapté et sécurisé"
    thisalinea.nativeID = 38
    thisalinea.parentID = 37
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "Priorité au développement des infrastruc- tures cyclables Le 20 septembre 2022, la Première ministre a annoncé la reconduction du fonds mobilités actives augmenté à 250 millions d’euros pour l’année 2023 dont 200 millions d’euros dédiés aux infrastructures. Sur la durée du plan, le fonds mobilités ac- tives sera pérennisé à hauteur de 1,25 milliard d’euros, soit 250 millions d’euros par an, pour accélérer le développement des aménage- ments cyclables partout en France. C’est un effort sans précédent et inédit de l’État. Le réseau des véloroutes constitue le réseau structurant au niveau national et régional. Permettant le déplacement sécurisé sur de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Priorité au développement des infrastruc-")
    thisalinea.textcontent.append("tures cyclables")
    thisalinea.textcontent.append("Le 20 septembre 2022, la Première ministre a")
    thisalinea.textcontent.append("annoncé la reconduction du fonds mobilités")
    thisalinea.textcontent.append("actives augmenté à 250 millions d’euros pour")
    thisalinea.textcontent.append("l’année 2023 dont 200 millions d’euros dédiés")
    thisalinea.textcontent.append("aux infrastructures.")
    thisalinea.textcontent.append("Sur la durée du plan, le fonds mobilités ac-")
    thisalinea.textcontent.append("tives sera pérennisé à hauteur de 1,25 milliard")
    thisalinea.textcontent.append("d’euros, soit 250 millions d’euros par an, pour")
    thisalinea.textcontent.append("accélérer le développement des aménage-")
    thisalinea.textcontent.append("ments cyclables partout en France. C’est un")
    thisalinea.textcontent.append("effort sans précédent et inédit de l’État.")
    thisalinea.textcontent.append("Le réseau des véloroutes constitue le réseau")
    thisalinea.textcontent.append("structurant au niveau national et régional.")
    thisalinea.textcontent.append("Permettant le déplacement sécurisé sur de")
    thisalinea.textcontent.append("longues distances, ce réseau répond à une")
    thisalinea.textcontent.append("attente forte des usagers qui plébiscitent")
    thisalinea.textcontent.append("de plus en plus le tourisme à vélo, en même")
    thisalinea.textcontent.append("temps qu’il propose des solutions sécurisées")
    thisalinea.textcontent.append("pour les déplacements du quotidien ou de loi-")
    thisalinea.textcontent.append("sir. À travers les contrats de plan État-Régions")
    thisalinea.textcontent.append("(CPER) 2023-2027, l’État aidera pour la pre-")
    thisalinea.textcontent.append("mière fois à compléter le maillage territorial")
    thisalinea.textcontent.append("de ces réseaux et sera prêt à contractualiser")
    thisalinea.textcontent.append("jusqu’à 200 million d’euros. Il contribuera ainsi")
    thisalinea.textcontent.append("à rendre le territoire national accessible et")
    thisalinea.textcontent.append("renforcera l’économie locale.")
    thisalinea.textcontent.append("À la suite de sa mise à jour par les acteurs lo-")
    thisalinea.textcontent.append("caux, un arrêté ministériel du 5 mai 2023 offi-")
    thisalinea.textcontent.append("cialise le schéma national des véloroutes. Les")
    thisalinea.textcontent.append("maîtres d’ouvrage d’infrastructures routières,")
    thisalinea.textcontent.append("ferroviaires, fluviales sont notamment tenus")
    thisalinea.textcontent.append("de le prendre en compte dans leurs projets.")
    thisalinea.textcontent.append("Fin 2022, 57 000 km d’aménagements cy-")
    thisalinea.textcontent.append("clables sécurisés sont déployés sur le terri-")
    thisalinea.textcontent.append("toire. L’objectif est d’atteindre 80 000 km")
    thisalinea.textcontent.append("en 2027 et 100 000 km en 2030.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "• Le 21 janvier, le Gouvernement ..."
    thisalinea.nativeID = 39
    thisalinea.parentID = 38
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "• Le 21 janvier, le Gouvernement a lancé le nouvel appel à projets fonds mobilités actives - aménagements cyclables, doté d’une enveloppe de 100 millions d’euros pour financer des projets d’aménagements cyclables sécurisés. 610 dossiers ont été re- çus à la clôture de l’appel à projets fin avril, témoignant de la forte attente des collec- tivités pour cet appel. Les lauréats seront annoncés en septembre. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("• Le 21 janvier, le Gouvernement a lancé le")
    thisalinea.textcontent.append("nouvel appel à projets fonds mobilités")
    thisalinea.textcontent.append("actives - aménagements cyclables, doté")
    thisalinea.textcontent.append("d’une enveloppe de 100 millions d’euros")
    thisalinea.textcontent.append("pour financer des projets d’aménagements")
    thisalinea.textcontent.append("cyclables sécurisés. 610 dossiers ont été re-")
    thisalinea.textcontent.append("çus à la clôture de l’appel à projets fin avril,")
    thisalinea.textcontent.append("témoignant de la forte attente des collec-")
    thisalinea.textcontent.append("tivités pour cet appel. Les lauréats seront")
    thisalinea.textcontent.append("annoncés en septembre.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "• Un appel à territoires cyclables ..."
    thisalinea.nativeID = 40
    thisalinea.parentID = 38
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "• Un appel à territoires cyclables sera lancé sous forme expérimentale dans les pro- chains jours pour accompagner dans la durée des territoires peu ou moyennement denses et accélérer la mise en œuvre de leur schéma cyclable, pour un montant de 100 millions d’euros. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("• Un appel à territoires cyclables sera lancé")
    thisalinea.textcontent.append("sous forme expérimentale dans les pro-")
    thisalinea.textcontent.append("chains jours pour accompagner dans la")
    thisalinea.textcontent.append("durée des territoires peu ou moyennement")
    thisalinea.textcontent.append("denses et accélérer la mise en œuvre de leur")
    thisalinea.textcontent.append("schéma cyclable, pour un montant de 100")
    thisalinea.textcontent.append("millions d’euros.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Soutenir les villes et collectivités engagées dans le développement"
    thisalinea.nativeID = 41
    thisalinea.parentID = 37
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "de la marche et du vélo"
    thisalinea.nativeID = 42
    thisalinea.parentID = 37
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "Le programme ID-Marche – initiative pour le développement de la marche –, lancé en 2023, est le premier programme national de soutien aux mobilités piétonnes. Son objectif est d’intensifier l’appui aux collectivités pour favoriser la politique de la marche des villes et villages, pendant une durée de 4 ans. Pour accompagner les politiques locales, 4 millions d’euros sont investis sur 4 ans par le ministère des Transports, le Cerema et l’Ademe qui pilo- teront ce programme. Le fonds d’accélération de la transition écolo- gique des territoires, aussi appelé Fonds vert, vise notamment à accompagner le déploie- ment des zones à "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Le programme ID-Marche – initiative pour")
    thisalinea.textcontent.append("le développement de la marche –, lancé en")
    thisalinea.textcontent.append("2023, est le premier programme national de")
    thisalinea.textcontent.append("soutien aux mobilités piétonnes. Son objectif")
    thisalinea.textcontent.append("est d’intensifier l’appui aux collectivités pour")
    thisalinea.textcontent.append("favoriser la politique de la marche des villes")
    thisalinea.textcontent.append("et villages, pendant une durée de 4 ans. Pour")
    thisalinea.textcontent.append("accompagner les politiques locales, 4 millions")
    thisalinea.textcontent.append("d’euros sont investis sur 4 ans par le ministère")
    thisalinea.textcontent.append("des Transports, le Cerema et l’Ademe qui pilo-")
    thisalinea.textcontent.append("teront ce programme.")
    thisalinea.textcontent.append("Le fonds d’accélération de la transition écolo-")
    thisalinea.textcontent.append("gique des territoires, aussi appelé Fonds vert,")
    thisalinea.textcontent.append("vise notamment à accompagner le déploie-")
    thisalinea.textcontent.append("ment des zones à faibles émissions mobilités")
    thisalinea.textcontent.append("(ZFE-m). Parmi les projets de nature très variés")
    thisalinea.textcontent.append("pouvant bénéficier d’un soutien, nombreux")
    thisalinea.textcontent.append("sont ceux visant à développer le vélo : aides")
    thisalinea.textcontent.append("à l’utilisation du vélo, développement de la")
    thisalinea.textcontent.append("cyclologistique, aménagements cyclables.")
    thisalinea.textcontent.append("Le programme Avélo3 sera lancé d’ici fin 2023.")
    thisalinea.textcontent.append("Porté par l’Ademe, il succède aux programmes")
    thisalinea.textcontent.append("Avélo1 et 2, ayant permis de soutenir 600 terri-")
    thisalinea.textcontent.append("toires peu denses dans le développement d’une")
    thisalinea.textcontent.append("stratégie vélo. Cette nouvelle édition permettra")
    thisalinea.textcontent.append("de soutenir 350 nouvelles collectivités,")
    thisalinea.textcontent.append("notamment des territoires peu et moyenne-")
    thisalinea.textcontent.append("ment denses dans la définition et la mise en")
    thisalinea.textcontent.append("œuvre de leur politique cyclable. L’objectif est")
    thisalinea.textcontent.append("que 100 % du territoire national soit couvert")
    thisalinea.textcontent.append("par un politique cyclable en 2030, ainsi que")
    thisalinea.textcontent.append("des départements et régions pour le dévelop-")
    thisalinea.textcontent.append("pement de l’accessibilité des collèges et lycées")
    thisalinea.textcontent.append("à vélo. Le programme est doté de 30 millions")
    thisalinea.textcontent.append("d’euros financés par des certificats d’écono-")
    thisalinea.textcontent.append("mies d’énergie et sera complété de 7 millions")
    thisalinea.textcontent.append("d’euros de fonds propres de l’Ademe. Cette")
    thisalinea.textcontent.append("enveloppe globale de 37 millions d’euros et")
    thisalinea.textcontent.append("l’investissement de l’Ademe soulignent l’im-")
    thisalinea.textcontent.append("portance accordée pour rendre l’intégralité du")
    thisalinea.textcontent.append("territoire national cyclable.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Renforcer la sécurité des cyclistes et des piétons par la sensibilisation"
    thisalinea.nativeID = 43
    thisalinea.parentID = 42
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "Le nombre d’accidents à vélo croît avec le développement des usages. Si en aggloméra- tion la croissance semble contenue au regard de la très forte croissance des pratiques, hors agglomération la situation est plus préoccu- pante avec un nombre important de chutes de cyclistes seuls. En parallèle du développement des aménage- ments cyclables, il est nécessaire de renforcer la sécurité des cyclistes par une meilleure sensibilisation. L’incitation au port permanent du casque et au port du gilet haute visibilité afin d’améliorer leur visibilité surtout la nuit et dans des environnements mal éclairés sera renforcée. La convention État-assureurs permettra une implication "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Le nombre d’accidents à vélo croît avec le")
    thisalinea.textcontent.append("développement des usages. Si en aggloméra-")
    thisalinea.textcontent.append("tion la croissance semble contenue au regard")
    thisalinea.textcontent.append("de la très forte croissance des pratiques, hors")
    thisalinea.textcontent.append("agglomération la situation est plus préoccu-")
    thisalinea.textcontent.append("pante avec un nombre important de chutes")
    thisalinea.textcontent.append("de cyclistes seuls.")
    thisalinea.textcontent.append("En parallèle du développement des aménage-")
    thisalinea.textcontent.append("ments cyclables, il est nécessaire de renforcer")
    thisalinea.textcontent.append("la sécurité des cyclistes par une meilleure")
    thisalinea.textcontent.append("sensibilisation. L’incitation au port permanent")
    thisalinea.textcontent.append("du casque et au port du gilet haute visibilité")
    thisalinea.textcontent.append("afin d’améliorer leur visibilité surtout la nuit")
    thisalinea.textcontent.append("et dans des environnements mal éclairés sera")
    thisalinea.textcontent.append("renforcée.")
    thisalinea.textcontent.append("La convention État-assureurs permettra une")
    thisalinea.textcontent.append("implication renforcée des assureurs en faveur")
    thisalinea.textcontent.append("d’une meilleure sécurité à vélo, notamment")
    thisalinea.textcontent.append("en portant ou en finançant des actions de")
    thisalinea.textcontent.append("sensibilisation.")
    thisalinea.textcontent.append("Pour accompagner le développement du vélo")
    thisalinea.textcontent.append("au travail, la charte des engagements signés")
    thisalinea.textcontent.append("par les employeurs (2 600 entreprises, plus")
    thisalinea.textcontent.append("de 4 millions de salariés) pour lutter contre le")
    thisalinea.textcontent.append("risque routier professionnel, première cause")
    thisalinea.textcontent.append("de décès au travail, élaborée autour des")
    thisalinea.textcontent.append("risques liés à la mobilité automobile et deux-")
    thisalinea.textcontent.append("roues motorisés, sera explicitement élargie")
    thisalinea.textcontent.append("aux risques à vélo créant ainsi une Charte des")
    thisalinea.textcontent.append("7 engagements +. Cette nouvelle charte visera")
    thisalinea.textcontent.append("à un meilleur respect du code de la route, une")
    thisalinea.textcontent.append("promotion des dispositifs améliorant la visibi-")
    thisalinea.textcontent.append("lité et la sécurité des cyclistes et un meilleur")
    thisalinea.textcontent.append("entretien des vélos et autres engins de dépla-")
    thisalinea.textcontent.append("cement.")
    thisalinea.textcontent.append("La délégation à la sécurité routière met en")
    thisalinea.textcontent.append("place une stratégie de communication articu-")
    thisalinea.textcontent.append("lée autour du mot d’ordre Attention aux vé-")
    thisalinea.textcontent.append("los, attention à vélo, qui s’adresse à la fois aux")
    thisalinea.textcontent.append("cyclistes, aux usagers vulnérables notamment")
    thisalinea.textcontent.append("les piétons, mais aussi aux automobilistes et")
    thisalinea.textcontent.append("autres usagers motorisés pour les inciter à")
    thisalinea.textcontent.append("être plus attentifs.")
    thisalinea.textcontent.append("Ainsi, la campagne à destination des automo-")
    thisalinea.textcontent.append("bilistes intitulée Portière gauche, main droite,")
    thisalinea.textcontent.append("portière droite, main gauche (octobre 2022),")
    thisalinea.textcontent.append("pour installer le nouveau réflexe incitant à")
    thisalinea.textcontent.append("pivoter pour mieux regarder l’angle mort et")
    thisalinea.textcontent.append("ainsi lutter contre l’emportièrage des cyclistes,")
    thisalinea.textcontent.append("trottinettistes et autres usagers de deux-roues")
    thisalinea.textcontent.append("motorisés sera renouvelée.")
    thisalinea.textcontent.append("Elle sera accompagnée, au second trimestre")
    thisalinea.textcontent.append("2023, par le lancement d’une double cam-")
    thisalinea.textcontent.append("pagne à destination, d’une part, des cyclistes")
    thisalinea.textcontent.append("en agglomération, d’autre part, des cyclistes")
    thisalinea.textcontent.append("hors agglomération. Cette campagne diffuse-")
    thisalinea.textcontent.append("ra les conseils que des cyclistes expérimentés")
    thisalinea.textcontent.append("délivreront à des cyclistes novices, par voie")
    thisalinea.textcontent.append("d’affichage, dans la presse quotidienne régio-")
    thisalinea.textcontent.append("nale et en numérique.")
    thisalinea.textcontent.append("À compter de 2024, une campagne d’informa-")
    thisalinea.textcontent.append("tion à destination des cyclistes et des usagers")
    thisalinea.textcontent.append("vulnérables, adaptée à l’accidentalité et à")
    thisalinea.textcontent.append("l’évolution des pratiques, sera lancée chaque")
    thisalinea.textcontent.append("printemps.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Renforcer la sécurité des cyclistes et des piétons"
    thisalinea.nativeID = 44
    thisalinea.parentID = 42
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "par l’adaptation du code de la route"
    thisalinea.nativeID = 45
    thisalinea.parentID = 37
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "Deux expérimentations visant à faciliter l’arrêt et le redémarrage des cyclistes au feu rouge seront conduites. D’une part, en lien avec les collectivités gestionnaires de voirie, il est proposé d’installer des repose-pieds en bord de chaussée afin de permettre aux cyclistes de s’arrêter au feu sans avoir à descendre de selle. D’autre part, un décalage du passage au vert pour les cyclistes sera expérimenté afin de leur permettre d’évacuer le sas et de retrouver une vitesse suffisante avant le dé- part des autres véhicules, sécurisant ainsi leur départ au moment du passage du feu au vert. Pour que le cycliste "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Deux expérimentations visant à faciliter l’arrêt")
    thisalinea.textcontent.append("et le redémarrage des cyclistes au feu rouge")
    thisalinea.textcontent.append("seront conduites. D’une part, en lien avec")
    thisalinea.textcontent.append("les collectivités gestionnaires de voirie, il est")
    thisalinea.textcontent.append("proposé d’installer des repose-pieds en bord")
    thisalinea.textcontent.append("de chaussée afin de permettre aux cyclistes")
    thisalinea.textcontent.append("de s’arrêter au feu sans avoir à descendre de")
    thisalinea.textcontent.append("selle. D’autre part, un décalage du passage")
    thisalinea.textcontent.append("au vert pour les cyclistes sera expérimenté")
    thisalinea.textcontent.append("afin de leur permettre d’évacuer le sas et de")
    thisalinea.textcontent.append("retrouver une vitesse suffisante avant le dé-")
    thisalinea.textcontent.append("part des autres véhicules, sécurisant ainsi leur")
    thisalinea.textcontent.append("départ au moment du passage du feu au vert.")
    thisalinea.textcontent.append("Pour que le cycliste à l’arrêt au feu soit iden-")
    thisalinea.textcontent.append("tifié par les véhicules motorisés, notamment")
    thisalinea.textcontent.append("les poids-lourds, la réservation d’un espace en")
    thisalinea.textcontent.append("amont du feu de signalisation – sas vélo – sera")
    thisalinea.textcontent.append("généralisée pour les nouveaux aménagements")
    thisalinea.textcontent.append("dès 2024. Les gestionnaires de voirie devront")
    thisalinea.textcontent.append("se mettre en conformité sur l’existant sur une")
    thisalinea.textcontent.append("période de 10 ans.")
    thisalinea.textcontent.append("Une expérimentation d’un détecteur de pré-")
    thisalinea.textcontent.append("sence des véhicules dans le sas vélo, qui avait")
    thisalinea.textcontent.append("été conduite dans l’agglomération de Nantes,")
    thisalinea.textcontent.append("sera étendue à l’ensemble du territoire natio-")
    thisalinea.textcontent.append("nal. Il s’agit d’un dispositif pédagogique qui")
    thisalinea.textcontent.append("alerte le conducteur lorsqu’il empiète sur le")
    thisalinea.textcontent.append("sas vélo. Ce dispositif et la communication qui")
    thisalinea.textcontent.append("l’accompagnera contribueront à l’éducation")
    thisalinea.textcontent.append("des conducteurs au respect du sas vélo et à")
    thisalinea.textcontent.append("un meilleur partage de l’espace routier.")
    thisalinea.textcontent.append("La réglementation n’autorise aujourd’hui que")
    thisalinea.textcontent.append("l’installation d’un feu blanc à l’avant et un feu")
    thisalinea.textcontent.append("rouge à l’arrière du vélo, tous deux non cligno-")
    thisalinea.textcontent.append("tants. Ces équipements sont obligatoires pour")
    thisalinea.textcontent.append("pouvoir circuler sur les voies ouvertes à la cir-")
    thisalinea.textcontent.append("culation. L’installation de tout autre dispositif")
    thisalinea.textcontent.append("lumineux est interdite. Cette réglementation")
    thisalinea.textcontent.append("sera adaptée afin d’autoriser l’installation sur")
    thisalinea.textcontent.append("le vélo et sur le cycliste de lumières supplé-")
    thisalinea.textcontent.append("mentaires, notamment de feux stop rouge et")
    thisalinea.textcontent.append("de clignotants orange pour indiquer le chan-")
    thisalinea.textcontent.append("gement de direction.")
    thisalinea.textcontent.append("Aujourd’hui, le code de la route interdit de")
    thisalinea.textcontent.append("doubler un véhicule par la droite et cette")
    thisalinea.textcontent.append("interdiction s’applique aussi aux vélos et aux")
    thisalinea.textcontent.append("autres engins de mobilité personnelle. Cette")
    thisalinea.textcontent.append("règle sera levée de manière expérimentale")
    thisalinea.textcontent.append("pour les cyclistes, tout en rappelant la pru-")
    thisalinea.textcontent.append("dence qui doit accompagner cette pratique.")
    thisalinea.textcontent.append("Le doublement d’un véhicule équipé d’un")
    thisalinea.textcontent.append("autocollant Angle mort demeurera interdit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Intensifier la lutte contre le vol"
    thisalinea.nativeID = 46
    thisalinea.parentID = 45
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "et développer le stationnement vélo sécurisé"
    thisalinea.nativeID = 47
    thisalinea.parentID = 37
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "Depuis 2021, l’ensemble des vélos vendus en France doivent être identifiés. Le fichier na- tional unique des cycles identifiés constitué en 2021 répertorie aujourd’hui 4 millions de vélos. Le dispositif de marquage a déjà permis, sur les 20 000 signalements de vols sur le fi- chier, de restituer près de 10 % des vélos volés à leur propriétaire. non résidentielles, neuves ou faisant l’objet de travaux de rénovation. À l’issue des négo- ciations européennes et une fois la directive publiée, la France la transposera dès que pos- sible, ce qui viendra compléter des évolutions déjà portées au code de la "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Depuis 2021, l’ensemble des vélos vendus en")
    thisalinea.textcontent.append("France doivent être identifiés. Le fichier na-")
    thisalinea.textcontent.append("tional unique des cycles identifiés constitué")
    thisalinea.textcontent.append("en 2021 répertorie aujourd’hui 4 millions de")
    thisalinea.textcontent.append("vélos. Le dispositif de marquage a déjà permis,")
    thisalinea.textcontent.append("sur les 20 000 signalements de vols sur le fi-")
    thisalinea.textcontent.append("chier, de restituer près de 10 % des vélos volés")
    thisalinea.textcontent.append("à leur propriétaire.")
    thisalinea.textcontent.append("non résidentielles, neuves ou faisant l’objet")
    thisalinea.textcontent.append("de travaux de rénovation. À l’issue des négo-")
    thisalinea.textcontent.append("ciations européennes et une fois la directive")
    thisalinea.textcontent.append("publiée, la France la transposera dès que pos-")
    thisalinea.textcontent.append("sible, ce qui viendra compléter des évolutions")
    thisalinea.textcontent.append("déjà portées au code de la construction et de")
    thisalinea.textcontent.append("l’habitation entre 2019 et 2022 en application")
    thisalinea.textcontent.append("de la loi d’orientation des mobilités.")
    thisalinea.textcontent.append("Pour intensifier l’engagement des services de")
    thisalinea.textcontent.append("l’État dans la lutte contre le vol, une conven-")
    thisalinea.textcontent.append("tion a été signée entre le ministère de l’Inté-")
    thisalinea.textcontent.append("rieur, le ministère chargé des Transports et")
    thisalinea.textcontent.append("l’Association de promotion et d’identification")
    thisalinea.textcontent.append("des cycles et des mobilités actives (APIC), ges-")
    thisalinea.textcontent.append("tionnaire du fichier national des cycles iden-")
    thisalinea.textcontent.append("tifiés. Aujourd’hui, les forces de l’ordre et la")
    thisalinea.textcontent.append("moitié des polices municipales sont équipées")
    thisalinea.textcontent.append("d’applications leur permettant de contacter")
    thisalinea.textcontent.append("le propriétaire d’un vélo identifié et retrouvé.")
    thisalinea.textcontent.append("Deux ans après la création du fichier natio-")
    thisalinea.textcontent.append("nal d’identification des cycles, 4 millions")
    thisalinea.textcontent.append("de vélos sont déjà inscrits. L’objectif est")
    thisalinea.textcontent.append("d’atteindre 13 millions en 2027.")
    thisalinea.textcontent.append("La directive européenne sur la performance")
    thisalinea.textcontent.append("énergétique des bâtiments (DPEB) est en")
    thisalinea.textcontent.append("cours de révision. Elle devrait renforcer l’obli-")
    thisalinea.textcontent.append("gation d’installer des stationnements pour les")
    thisalinea.textcontent.append("vélos dans les constructions résidentielles et")
    thisalinea.textcontent.append("Le programme Alvéole +, doté de 35 millions")
    thisalinea.textcontent.append("d’euros de certificat d’économies d’énergie,")
    thisalinea.textcontent.append("aide les collectivités locales, les bailleurs so-")
    thisalinea.textcontent.append("ciaux, les copropriétés et les établissements")
    thisalinea.textcontent.append("scolaires à s’équiper de points de stationne-")
    thisalinea.textcontent.append("ment vélo sécurisés. 5 000 places ont déjà été")
    thisalinea.textcontent.append("cofinancées sur les 100 000 visées.")
    thisalinea.textcontent.append("Grâce au plan France relance, 45 millions")
    thisalinea.textcontent.append("d’euros sont mobilisés, via des conven-")
    thisalinea.textcontent.append("tions de financement, pour développer")
    thisalinea.textcontent.append("le stationnement vélo sécurisé dans plus")
    thisalinea.textcontent.append("de 1 100 gares en France les plus fréquen-")
    thisalinea.textcontent.append("tées. L’objectif est de tripler le nombre de")
    thisalinea.textcontent.append("places par rapport à 2022 et d’atteindre")
    thisalinea.textcontent.append("90 000 emplacements sécurisés en 2027.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "3."
    thisalinea.nativeID = 48
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 17
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "FAIRE DU VÉLO UN LEVIER POUR NOTRE ÉCONOMIE EN ACCOMPAGNANT L’ÉCOSYSTÈME DES ACTEURS FRANÇAIS DE LA FILIÈRE"
    thisalinea.nativeID = 49
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 18
    thisalinea.summary = "Le plan 2023-2027 a plusieurs objectifs, dont celui de faire du vélo un levier pour notre économie en accompagnant les acteurs français. Il faut que l’on puisse faire du vélo sur des pistes cyclables en France avec des vélos fabriqués en France. Nous annonçons aujourd’hui le lancement pro- chain d’un appel à projets pour renforcer la filière industrielle française du vélo et faire revenir une industrie du quotidien dans nos territoires. Les sites olympiques et paralympiques pour les jeux de Paris seront accessibles à vélo et des stationnements y seront dis- ponibles. Un réseau cyclable olympique et des stationnements seront "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Roland Lescure Ministre délégué auprès du ministre de l’Économie, des Finances et de la Souveraineté industrielle et numérique, chargé de l’Industrie"
    thisalinea.nativeID = 50
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "Le plan 2023-2027 a plusieurs objectifs, dont celui de faire du vélo un levier pour notre économie en accompagnant les acteurs français. Il faut que l’on puisse faire du vélo sur des pistes cyclables en France avec des vélos fabriqués en France. Nous annonçons aujourd’hui le lancement pro- chain d’un appel à projets pour renforcer la filière industrielle française du vélo et faire revenir une industrie du quotidien dans nos territoires. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Le plan 2023-2027 a plusieurs objectifs, dont celui de faire du vélo un")
    thisalinea.textcontent.append("levier pour notre économie en accompagnant les acteurs français. Il faut")
    thisalinea.textcontent.append("que l’on puisse faire du vélo sur des pistes cyclables en France avec des")
    thisalinea.textcontent.append("vélos fabriqués en France. Nous annonçons aujourd’hui le lancement pro-")
    thisalinea.textcontent.append("chain d’un appel à projets pour renforcer la filière industrielle française du")
    thisalinea.textcontent.append("vélo et faire revenir une industrie du quotidien dans nos territoires.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Structurer une filière économique"
    thisalinea.nativeID = 51
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "À la suite des États généraux accueillis au ministère de l’Industrie, la filière économique du vélo poursuit activement ses travaux pour définir, avec les acteurs qui la composent, une structure, une gouvernance et des projets qui porteront les engagements de la filière. Un contrat de filière, reprenant les ambitions pré- sentées aux États généraux, sera signé à l’issue de ces travaux avec l’État en 2023. Pour accompagner la réindustrialisation et les innovations françaises dans le secteur du cy- cle en France, un appel à projets sera lancé en 2023. Cet appel doit encourager les acteurs industriels à innover, à relocaliser "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("À la suite des États généraux accueillis au")
    thisalinea.textcontent.append("ministère de l’Industrie, la filière économique")
    thisalinea.textcontent.append("du vélo poursuit activement ses travaux pour")
    thisalinea.textcontent.append("définir, avec les acteurs qui la composent, une")
    thisalinea.textcontent.append("structure, une gouvernance et des projets qui")
    thisalinea.textcontent.append("porteront les engagements de la filière. Un")
    thisalinea.textcontent.append("contrat de filière, reprenant les ambitions pré-")
    thisalinea.textcontent.append("sentées aux États généraux, sera signé à l’issue")
    thisalinea.textcontent.append("de ces travaux avec l’État en 2023.")
    thisalinea.textcontent.append("Pour accompagner la réindustrialisation et les")
    thisalinea.textcontent.append("innovations françaises dans le secteur du cy-")
    thisalinea.textcontent.append("cle en France, un appel à projets sera lancé en")
    thisalinea.textcontent.append("2023. Cet appel doit encourager les acteurs")
    thisalinea.textcontent.append("industriels à innover, à relocaliser la produc-")
    thisalinea.textcontent.append("tion de composants ainsi que l’assemblage")
    thisalinea.textcontent.append("des vélos.")
    thisalinea.textcontent.append("En 2022, 854 000 vélos ont été assemblés")
    thisalinea.textcontent.append("dans des usines françaises. L’objectif est de")
    thisalinea.textcontent.append("dépasser 1,4 million en 2027 et atteindre 2")
    thisalinea.textcontent.append("millions en 2030.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Développer les filières françaises du vélo reconditionné"
    thisalinea.nativeID = 52
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "100 millions de plus sur les 5 prochaines années avec les filières à responsabilité élar- gie des producteurs (REP) pour redonner du pouvoir d’achat aux Français en finançant la réparation des vélos : • plus de vélos reconditionnés à un meilleur prix ; • augmentation des bonus de réparation pour les élargir aux vélos électriques, aux pièces d’entretien et aux repair’cafés. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("100 millions de plus sur les 5 prochaines")
    thisalinea.textcontent.append("années avec les filières à responsabilité élar-")
    thisalinea.textcontent.append("gie des producteurs (REP) pour redonner du")
    thisalinea.textcontent.append("pouvoir d’achat aux Français en finançant la")
    thisalinea.textcontent.append("réparation des vélos :")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "• plus de vélos reconditionnés à ..."
    thisalinea.nativeID = 53
    thisalinea.parentID = 52
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "• plus de vélos reconditionnés à un meilleur prix ; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("• plus de vélos reconditionnés à un meilleur")
    thisalinea.textcontent.append("prix ;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "• augmentation des bonus de réparation "
    thisalinea.nativeID = 54
    thisalinea.parentID = 52
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "• augmentation des bonus de réparation pour les élargir aux vélos électriques, aux pièces d’entretien et aux repair’cafés. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("• augmentation des bonus de réparation")
    thisalinea.textcontent.append("pour les élargir aux vélos électriques, aux")
    thisalinea.textcontent.append("pièces d’entretien et aux repair’cafés.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Développer le vélotourisme"
    thisalinea.nativeID = 55
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "Pour faire de la France la première destination touristique cyclable du monde en 2030, il est nécessaire d’élaborer une stratégie nationale du vélotourisme. Un travail de concertation avec les acteurs de la filière, animé par Vélo & Territoires est en cours et aboutira à la remise d’un livre blanc à la ministre chargée du Tou- risme. Sur la base de ces recommandations, la stratégie sera pilotée par l’État, en association avec les associations, les collectivités et les acteurs économiques. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Pour faire de la France la première destination")
    thisalinea.textcontent.append("touristique cyclable du monde en 2030, il est")
    thisalinea.textcontent.append("nécessaire d’élaborer une stratégie nationale")
    thisalinea.textcontent.append("du vélotourisme. Un travail de concertation")
    thisalinea.textcontent.append("avec les acteurs de la filière, animé par Vélo &")
    thisalinea.textcontent.append("Territoires est en cours et aboutira à la remise")
    thisalinea.textcontent.append("d’un livre blanc à la ministre chargée du Tou-")
    thisalinea.textcontent.append("risme. Sur la base de ces recommandations, la")
    thisalinea.textcontent.append("stratégie sera pilotée par l’État, en association")
    thisalinea.textcontent.append("avec les associations, les collectivités et les")
    thisalinea.textcontent.append("acteurs économiques.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Développer la cyclologistique"
    thisalinea.nativeID = 56
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "Olivia Grégoire Ministre déléguée chargée des Pe- tites et Moyennes Entreprises, du Commerce, de l’Artisanat et du Tourisme"
    thisalinea.nativeID = 57
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "Pour conforter la transition vers une logistique du dernier kilomètre décarbonée, la TVA sur l’achat, la location et la maintenance de vé- los-cargos dont les caractéristiques techniques les destinent au transport de marchandises est déductible dans les conditions de droit commun, au même titre que la taxe sur les véhicules utilitaires légers. Il en est ainsi lorsque les vélo-cargos sont dépourvus de dispositifs prévus par la réglementation pour le transport d’enfants (siège passager et, selon les cas, cour- roies ou poignées et repose pieds). Le programme Cyclo-cargologie, pour aider à la structuration des PME de la cyclogistique, sera lancé prochainement. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Pour conforter la transition vers une logistique")
    thisalinea.textcontent.append("du dernier kilomètre décarbonée, la TVA sur")
    thisalinea.textcontent.append("l’achat, la location et la maintenance de vé-")
    thisalinea.textcontent.append("los-cargos dont les caractéristiques techniques")
    thisalinea.textcontent.append("les destinent au transport de marchandises")
    thisalinea.textcontent.append("est déductible dans les conditions de droit")
    thisalinea.textcontent.append("commun, au même titre que la taxe sur les")
    thisalinea.textcontent.append("véhicules utilitaires légers. Il en est ainsi lorsque")
    thisalinea.textcontent.append("les vélo-cargos sont dépourvus de dispositifs")
    thisalinea.textcontent.append("prévus par la réglementation pour le transport")
    thisalinea.textcontent.append("d’enfants (siège passager et, selon les cas, cour-")
    thisalinea.textcontent.append("roies ou poignées et repose pieds).")
    thisalinea.textcontent.append("Le programme Cyclo-cargologie, pour aider à")
    thisalinea.textcontent.append("la structuration des PME de la cyclogistique,")
    thisalinea.textcontent.append("sera lancé prochainement. Porté par Les Boîtes")
    thisalinea.textcontent.append("à vélo, ce programme est financé par des cer-")
    thisalinea.textcontent.append("tificats d’économies d’énergie à hauteur de 7")
    thisalinea.textcontent.append("millions d’euros.")
    thisalinea.textcontent.append("Le tourisme à vélo revêt un enjeu straté-")
    thisalinea.textcontent.append("gique pour le tourisme en France et pour")
    thisalinea.textcontent.append("les français tant en matière de durabilité")
    thisalinea.textcontent.append("que de valorisation de nouveaux parcours")
    thisalinea.textcontent.append("et circuits touristiques. Notre ambition")
    thisalinea.textcontent.append("est claire : faire de la France la première")
    thisalinea.textcontent.append("destination mondiale en matière de")
    thisalinea.textcontent.append("tourisme durable, ainsi que la première")
    thisalinea.textcontent.append("destination cyclo-touristique. L’enjeu est")
    thisalinea.textcontent.append("d’autant plus important que le secteur du")
    thisalinea.textcontent.append("vélotourisme est créateur d’emplois et de")
    thisalinea.textcontent.append("richesses sur notre territoire, avec près de")
    thisalinea.textcontent.append("5 milliards d’euros de retombées écono-")
    thisalinea.textcontent.append("miques. Notre pays a les moyens de ses")
    thisalinea.textcontent.append("ambitions, à nous de les mettre en œuvre")
    thisalinea.textcontent.append("pour atteindre nos objectifs.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Des Jeux olympiques et paralympiques 2024 cyclables en héritage"
    thisalinea.nativeID = 58
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "Les sites olympiques et paralympiques pour les jeux de Paris seront accessibles à vélo et des stationnements y seront dis- ponibles. Un réseau cyclable olympique et des stationnements seront réalisés et mis en place, sous forme définitive ou tempo- raire. Il constituera à la fois une invitation pour les visiteurs à pro- fiter de la capitale et de ses alentours à la vitesse du vélo et un héritage pour les Franciliens. 12 millions d’euros supplémentaires sont engagés, en plus de 14 millions d’euros déjà affectés en 2022, pour aider les collectivités locales et Paris2024 à faire de cet évènement les "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Les sites olympiques et paralympiques pour les jeux de Paris")
    thisalinea.textcontent.append("seront accessibles à vélo et des stationnements y seront dis-")
    thisalinea.textcontent.append("ponibles. Un réseau cyclable olympique et des stationnements")
    thisalinea.textcontent.append("seront réalisés et mis en place, sous forme définitive ou tempo-")
    thisalinea.textcontent.append("raire. Il constituera à la fois une invitation pour les visiteurs à pro-")
    thisalinea.textcontent.append("fiter de la capitale et de ses alentours à la vitesse du vélo et un")
    thisalinea.textcontent.append("héritage pour les Franciliens. 12 millions d’euros supplémentaires")
    thisalinea.textcontent.append("sont engagés, en plus de 14 millions d’euros déjà affectés en")
    thisalinea.textcontent.append("2022, pour aider les collectivités locales et Paris2024 à faire de")
    thisalinea.textcontent.append("cet évènement les premiers Jeux olympiques et paralympiques")
    thisalinea.textcontent.append("cyclables de l’histoire. Le réseau cyclable olympique bénéficiera")
    thisalinea.textcontent.append("à l’ensemble des Franciliens après les jeux, comme pendant.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "au développement du vélo"
    thisalinea.nativeID = 59
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "La France a signé la Déclaration du vélo avec qua- torze autres pays européens (Autriche, Belgique, Croatie, Danemark, Espagne, Estonie, Grèce, Hongrie, Irlande, Lituanie, Luxembourg, Pays-Bas, Slovaquie, Slovénie). Le Parlement européen a adopté en février une résolution visant à élaborer une stratégie euro- péenne du vélo. Avec les pays signataires et le Parle- ment européen, la France invite ainsi la Commission européenne à proposer une stratégie européenne du vélo et à faire de l’année 2024 l’Année européenne du vélo. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("La France a signé la Déclaration du vélo avec qua-")
    thisalinea.textcontent.append("torze autres pays européens (Autriche, Belgique,")
    thisalinea.textcontent.append("Croatie, Danemark, Espagne, Estonie, Grèce, Hongrie,")
    thisalinea.textcontent.append("Irlande, Lituanie, Luxembourg, Pays-Bas, Slovaquie,")
    thisalinea.textcontent.append("Slovénie). Le Parlement européen a adopté en février")
    thisalinea.textcontent.append("une résolution visant à élaborer une stratégie euro-")
    thisalinea.textcontent.append("péenne du vélo. Avec les pays signataires et le Parle-")
    thisalinea.textcontent.append("ment européen, la France invite ainsi la Commission")
    thisalinea.textcontent.append("européenne à proposer une stratégie européenne du")
    thisalinea.textcontent.append("vélo et à faire de l’année 2024 l’Année européenne du")
    thisalinea.textcontent.append("vélo.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Comité de suivi du Plan vélo et marche"
    thisalinea.nativeID = 60
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "Le Plan vélo et marche s’appuie sur l’ensemble des acteurs des mobilités actives pour faire de la France un grand pays du vélo et de la marche. Conçu en lien régulier avec les associations de collectivités et d’usagers, les acteurs économiques et les industriels, cette démarche sera poursuivie et renforcée. Dans les suites du précédent Plan vélo et marche, un comité de suivi sera mis en place pour disposer d’un espace de dialogue avec les partenaires ministériels et l’ensemble des parties prenantes. Ce comité se réunira avant chaque comité inter- ministériel afin de faire un bilan de l’avancement des mesures "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Le Plan vélo et marche s’appuie sur l’ensemble des acteurs des")
    thisalinea.textcontent.append("mobilités actives pour faire de la France un grand pays du vélo")
    thisalinea.textcontent.append("et de la marche. Conçu en lien régulier avec les associations")
    thisalinea.textcontent.append("de collectivités et d’usagers, les acteurs économiques et les")
    thisalinea.textcontent.append("industriels, cette démarche sera poursuivie et renforcée. Dans")
    thisalinea.textcontent.append("les suites du précédent Plan vélo et marche, un comité de")
    thisalinea.textcontent.append("suivi sera mis en place pour disposer d’un espace de dialogue")
    thisalinea.textcontent.append("avec les partenaires ministériels et l’ensemble des parties")
    thisalinea.textcontent.append("prenantes. Ce comité se réunira avant chaque comité inter-")
    thisalinea.textcontent.append("ministériel afin de faire un bilan de l’avancement des mesures")
    thisalinea.textcontent.append("et continuer à enrichir le plan. Cette démarche partenariale")
    thisalinea.textcontent.append("permettra de répondre aux enjeux, dans une logique d’amélio-")
    thisalinea.textcontent.append("ration continue et collaborative.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "Fêter Mai à vélo"
    thisalinea.nativeID = 61
    thisalinea.parentID = 49
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "Initié en 2020 par le ministère de la Transition écologique et le ministère chargé des Sports avec tous les acteurs nationaux du vélo, Mai à vélo est un événement d’ampleur nationale de promotion et d’animation autour du vélo et des mobilités durables. Cette fête, qui dure un mois, a vocation à ce que le vélo soit utilisé et adopté partout en France, par le plus grand nombre, tout le reste de l’année. Après deux premières édi- tions réussies – près de 3 000 évènements en 2022 – Mai à vélo revient en 2023 pour rassembler de manière festive toutes les "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Initié en 2020 par le ministère de la Transition écologique et le ministère chargé des")
    thisalinea.textcontent.append("Sports avec tous les acteurs nationaux du vélo, Mai à vélo est un événement d’ampleur")
    thisalinea.textcontent.append("nationale de promotion et d’animation autour du vélo et des mobilités durables. Cette")
    thisalinea.textcontent.append("fête, qui dure un mois, a vocation à ce que le vélo soit utilisé et adopté partout en")
    thisalinea.textcontent.append("France, par le plus grand nombre, tout le reste de l’année. Après deux premières édi-")
    thisalinea.textcontent.append("tions réussies – près de 3 000 évènements en 2022 – Mai à vélo revient en 2023 pour")
    thisalinea.textcontent.append("rassembler de manière festive toutes les initiatives et événements cyclables, pédago-")
    thisalinea.textcontent.append("giques et populaires organisés en France entre le 1er et le 31 mai. Le Gouvernement invite")
    thisalinea.textcontent.append("les associations, les collectivités locales, les employeurs, les établissements scolaires")
    thisalinea.textcontent.append("et tous les organismes qui le veulent à se mobiliser pour que tous les Français puissent")
    thisalinea.textcontent.append("avoir à proximité de chez eux un évènement qui leur donne envie de faire du vélo pour")
    thisalinea.textcontent.append("se promener, se déplacer ou faire du sport.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "CONTACTS PRESSE"
    thisalinea.nativeID = 62
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 19
    thisalinea.summary = "Service presse d’Élisabeth Borne, Première ministre, Tél : 01 42 75 50 78/79 Mél : communication@pm.gouv.fr Service presse de Christophe Béchu, ministre de la Transition écologique et de la Cohésion des territoires Tél : 01 40 8I 78 31 Mél : communication.mtect@ecologie-territoires.gouv.fr Service presse de Clément Beaune, ministre délégué auprès du ministre de la Transition écologique et de la Cohésion des territoires, chargé des Transports Tél : 01 40 81 12 28 Mél : presse.mt@transports.gouv.fr "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Service presse d’Élisabeth Borne,")
    thisalinea.textcontent.append("Première ministre,")
    thisalinea.textcontent.append("Tél : 01 42 75 50 78/79")
    thisalinea.textcontent.append("Mél : communication@pm.gouv.fr")
    thisalinea.textcontent.append("Service presse de Christophe Béchu,")
    thisalinea.textcontent.append("ministre de la Transition écologique et de la Cohésion des territoires")
    thisalinea.textcontent.append("Tél : 01 40 8I 78 31")
    thisalinea.textcontent.append("Mél : communication.mtect@ecologie-territoires.gouv.fr")
    thisalinea.textcontent.append("Service presse de Clément Beaune,")
    thisalinea.textcontent.append("ministre délégué auprès du ministre de la Transition écologique et de la Cohésion")
    thisalinea.textcontent.append("des territoires, chargé des Transports")
    thisalinea.textcontent.append("Tél : 01 40 81 12 28")
    thisalinea.textcontent.append("Mél : presse.mt@transports.gouv.fr")
    alineas.append(thisalinea)

    return alineas
