import sys
sys.path.insert(1, '../../')

from TextPart.textalinea import textalinea
from TextPart.masterrule import texttype
from TextPart.enum_type import enum_type

def hardcodedalineas_Burgerlijk_wetboek_deel_1() -> list[textalinea]:
    """
    This code holds the content of the textalineas-array in the textsplitter-class
    for the document Burgerlijk wetboek deel 1
    It is generated with the printcode()-functions of textsplitter & textalinea
    and it is supposed to be used only after a complete document analysis
    the outcome of this analysis (this script) can then be efficiently used
    for running regression-tests in the future.

    # Parameters: None (everything is hardcoded)
    # Return: list[textalinea] the hardcoded textalineas-array.
    """

    alineas = []

    thisalinea = textalinea()
    thisalinea.textlevel = 0
    thisalinea.texttitle = "Burgerlijk wetboek deel 1"
    thisalinea.nativeID = 0
    thisalinea.parentID = -1
    thisalinea.alineatype = texttype.TITLE
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Allen die zich in Nederland bevinden, zijn vrij en bevoegd tot het genot van de burgerlijke rechten. 2. Persoonlijke dienstbaarheden, van welke aard of onder welke benaming ook, worden niet geduld. Het kind waarvan een vrouw zwanger is wordt als reeds geboren aangemerkt, zo dikwijls zijn belang dit vordert. Komt het dood ter wereld, dan wordt het geacht nooit te hebben bestaan. 1. De graad van bloedverwantschap wordt bepaald door het getal der geboorten, die de bloedverwantschap hebben veroorzaakt. Hierbij telt een erkenning, een gerechtelijke vaststelling van het ouderschap of een adoptie als een geboorte. 2. Door huwelijk of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Burgerlijk Wetboek Boek 1 Geraadpleegd op 27-06-2023. Geldend van 01-05-2023 t/m heden"
    thisalinea.nativeID = 1
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Boek 1. Personen- en familierecht Titel 1. Algemene bepalingen"
    thisalinea.nativeID = 2
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 1"
    thisalinea.nativeID = 3
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "1. Allen die zich in Nederland bevinden, zijn vrij en bevoegd tot het genot van de burgerlijke rechten. 2. Persoonlijke dienstbaarheden, van welke aard of onder welke benaming ook, worden niet geduld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Allen die zich in Nederland ..."
    thisalinea.nativeID = 4
    thisalinea.parentID = 3
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Allen die zich in Nederland bevinden, zijn vrij en bevoegd tot het genot van de burgerlijke rechten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Allen die zich in Nederland bevinden, zijn vrij en bevoegd tot het genot van de burgerlijke")
    thisalinea.textcontent.append("rechten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Persoonlijke dienstbaarheden, van welke aard ..."
    thisalinea.nativeID = 5
    thisalinea.parentID = 3
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Persoonlijke dienstbaarheden, van welke aard of onder welke benaming ook, worden niet geduld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Persoonlijke dienstbaarheden, van welke aard of onder welke benaming ook, worden niet")
    thisalinea.textcontent.append("geduld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 2"
    thisalinea.nativeID = 6
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "Het kind waarvan een vrouw zwanger is wordt als reeds geboren aangemerkt, zo dikwijls zijn belang dit vordert. Komt het dood ter wereld, dan wordt het geacht nooit te hebben bestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Het kind waarvan een vrouw zwanger is wordt als reeds geboren aangemerkt, zo dikwijls zijn")
    thisalinea.textcontent.append("belang dit vordert. Komt het dood ter wereld, dan wordt het geacht nooit te hebben bestaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 3"
    thisalinea.nativeID = 7
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "1. De graad van bloedverwantschap wordt bepaald door het getal der geboorten, die de bloedverwantschap hebben veroorzaakt. Hierbij telt een erkenning, een gerechtelijke vaststelling van het ouderschap of een adoptie als een geboorte. 2. Door huwelijk of door geregistreerd partnerschap ontstaat tussen de ene echtgenoot dan wel de ene geregistreerde partner en een bloedverwant van de andere echtgenoot dan wel de andere geregistreerde partner aanverwantschap in dezelfde graad als er bloedverwantschap bestaat tussen de andere echtgenoot dan wel de andere geregistreerde partner en diens bloedverwant. 3. Door het eindigen van het huwelijk of geregistreerd partnerschap wordt de aanverwantschap niet opgeheven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De graad van bloedverwantschap wordt ..."
    thisalinea.nativeID = 8
    thisalinea.parentID = 7
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De graad van bloedverwantschap wordt bepaald door het getal der geboorten, die de bloedverwantschap hebben veroorzaakt. Hierbij telt een erkenning, een gerechtelijke vaststelling van het ouderschap of een adoptie als een geboorte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De graad van bloedverwantschap wordt bepaald door het getal der geboorten, die de")
    thisalinea.textcontent.append("bloedverwantschap hebben veroorzaakt. Hierbij telt een erkenning, een gerechtelijke")
    thisalinea.textcontent.append("vaststelling van het ouderschap of een adoptie als een geboorte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Door huwelijk of door geregistreerd ..."
    thisalinea.nativeID = 9
    thisalinea.parentID = 7
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Door huwelijk of door geregistreerd partnerschap ontstaat tussen de ene echtgenoot dan wel de ene geregistreerde partner en een bloedverwant van de andere echtgenoot dan wel de andere geregistreerde partner aanverwantschap in dezelfde graad als er bloedverwantschap bestaat tussen de andere echtgenoot dan wel de andere geregistreerde partner en diens bloedverwant. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Door huwelijk of door geregistreerd partnerschap ontstaat tussen de ene echtgenoot dan")
    thisalinea.textcontent.append("wel de ene geregistreerde partner en een bloedverwant van de andere echtgenoot dan")
    thisalinea.textcontent.append("wel de andere geregistreerde partner aanverwantschap in dezelfde graad als er")
    thisalinea.textcontent.append("bloedverwantschap bestaat tussen de andere echtgenoot dan wel de andere")
    thisalinea.textcontent.append("geregistreerde partner en diens bloedverwant.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Door het eindigen van het ..."
    thisalinea.nativeID = 10
    thisalinea.parentID = 7
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Door het eindigen van het huwelijk of geregistreerd partnerschap wordt de aanverwantschap niet opgeheven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Door het eindigen van het huwelijk of geregistreerd partnerschap wordt de")
    thisalinea.textcontent.append("aanverwantschap niet opgeheven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 2. Het recht op de naam"
    thisalinea.nativeID = 11
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 4"
    thisalinea.nativeID = 12
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "zoveel nodig ambtshalve hetzij een last tot inschrijving van de akte van geboorte dan wel van de akte of de uitspraak, bedoeld in artikel 25g, eerste lid, hetzij de in artikel 25c bedoelde beschikking. 1. Een ieder heeft de voornamen die hem in zijn geboorteakte zijn gegeven. 2. De ambtenaar van de burgerlijke stand weigert in de geboorteakte voornamen op te nemen die ongepast zijn, of overeenstemmen met bestaande geslachtsnamen tenzij deze tevens gebruikelijke voornamen zijn. 3. Geeft de aangever geen voornamen op, of worden deze alle geweigerd zonder dat de aangever ze door een of meer andere vervangt, dan "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("zoveel nodig ambtshalve hetzij een last tot inschrijving van de akte van geboorte dan wel")
    thisalinea.textcontent.append("van de akte of de uitspraak, bedoeld in artikel 25g, eerste lid, hetzij de in artikel 25c")
    thisalinea.textcontent.append("bedoelde beschikking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een ieder heeft de voornamen ..."
    thisalinea.nativeID = 13
    thisalinea.parentID = 12
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een ieder heeft de voornamen die hem in zijn geboorteakte zijn gegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een ieder heeft de voornamen die hem in zijn geboorteakte zijn gegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 14
    thisalinea.parentID = 12
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De ambtenaar van de burgerlijke stand weigert in de geboorteakte voornamen op te nemen die ongepast zijn, of overeenstemmen met bestaande geslachtsnamen tenzij deze tevens gebruikelijke voornamen zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De ambtenaar van de burgerlijke stand weigert in de geboorteakte voornamen op te")
    thisalinea.textcontent.append("nemen die ongepast zijn, of overeenstemmen met bestaande geslachtsnamen tenzij deze")
    thisalinea.textcontent.append("tevens gebruikelijke voornamen zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Geeft de aangever geen voornamen ..."
    thisalinea.nativeID = 15
    thisalinea.parentID = 12
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Geeft de aangever geen voornamen op, of worden deze alle geweigerd zonder dat de aangever ze door een of meer andere vervangt, dan geeft de ambtenaar ambtshalve het kind een of meer voornamen, en vermeldt hij uitdrukkelijk in de akte dat die voornamen ambtshalve zijn gegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Geeft de aangever geen voornamen op, of worden deze alle geweigerd zonder dat de")
    thisalinea.textcontent.append("aangever ze door een of meer andere vervangt, dan geeft de ambtenaar ambtshalve het")
    thisalinea.textcontent.append("kind een of meer voornamen, en vermeldt hij uitdrukkelijk in de akte dat die voornamen")
    thisalinea.textcontent.append("ambtshalve zijn gegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Wijziging van de voornamen kan ..."
    thisalinea.nativeID = 16
    thisalinea.parentID = 12
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Wijziging van de voornamen kan op verzoek van de betrokken persoon of zijn wettelijke vertegenwoordiger worden gelast door de rechtbank. De wijziging geschiedt doordat van de beschikking een latere vermelding aan de akte van geboorte wordt toegevoegd, overeenkomstig artikel 20a, eerste lid. In geval van wijziging van de voornamen van een buiten Nederland geboren persoon geeft de rechtbank die de beschikking geeft, voor "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Wijziging van de voornamen kan op verzoek van de betrokken persoon of zijn wettelijke")
    thisalinea.textcontent.append("vertegenwoordiger worden gelast door de rechtbank. De wijziging geschiedt doordat van")
    thisalinea.textcontent.append("de beschikking een latere vermelding aan de akte van geboorte wordt toegevoegd,")
    thisalinea.textcontent.append("overeenkomstig artikel 20a, eerste lid. In geval van wijziging van de voornamen van een")
    thisalinea.textcontent.append("buiten Nederland geboren persoon geeft de rechtbank die de beschikking geeft, voor")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 5"
    thisalinea.nativeID = 17
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "1. Indien een kind alleen in familierechtelijke betrekking tot de moeder staat, heeft het haar geslachtsnaam. Indien een kind door adoptie alleen in familierechtelijke betrekking tot de vader staat, heeft het zijn geslachtsnaam. 2. Indien een kind door erkenning in familierechtelijke betrekking tot de vader komt te staan, houdt het de geslachtsnaam van de moeder, tenzij de moeder en de erkenner ter gelegenheid van de erkenning gezamenlijk verklaren dat het kind de geslachtsnaam van de vader zal hebben. Van deze verklaring wordt melding gemaakt in de akte van erkenning. De eerste twee volzinnen zijn van overeenkomstige toepassing bij erkenning van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een kind alleen in ..."
    thisalinea.nativeID = 18
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een kind alleen in familierechtelijke betrekking tot de moeder staat, heeft het haar geslachtsnaam. Indien een kind door adoptie alleen in familierechtelijke betrekking tot de vader staat, heeft het zijn geslachtsnaam. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een kind alleen in familierechtelijke betrekking tot de moeder staat, heeft het haar")
    thisalinea.textcontent.append("geslachtsnaam. Indien een kind door adoptie alleen in familierechtelijke betrekking tot de")
    thisalinea.textcontent.append("vader staat, heeft het zijn geslachtsnaam.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien een kind door erkenning ..."
    thisalinea.nativeID = 19
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien een kind door erkenning in familierechtelijke betrekking tot de vader komt te staan, houdt het de geslachtsnaam van de moeder, tenzij de moeder en de erkenner ter gelegenheid van de erkenning gezamenlijk verklaren dat het kind de geslachtsnaam van de vader zal hebben. Van deze verklaring wordt melding gemaakt in de akte van erkenning. De eerste twee volzinnen zijn van overeenkomstige toepassing bij erkenning van een ongeboren kind. De ouders kunnen evenwel ter gelegenheid van de voltrekking van hun huwelijk of van de registratie van hun partnerschap alsnog gezamenlijk verklaren, dat hun kind voortaan de geslachtsnaam van de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien een kind door erkenning in familierechtelijke betrekking tot de vader komt te staan,")
    thisalinea.textcontent.append("houdt het de geslachtsnaam van de moeder, tenzij de moeder en de erkenner ter")
    thisalinea.textcontent.append("gelegenheid van de erkenning gezamenlijk verklaren dat het kind de geslachtsnaam van")
    thisalinea.textcontent.append("de vader zal hebben. Van deze verklaring wordt melding gemaakt in de akte van")
    thisalinea.textcontent.append("erkenning. De eerste twee volzinnen zijn van overeenkomstige toepassing bij erkenning")
    thisalinea.textcontent.append("van een ongeboren kind. De ouders kunnen evenwel ter gelegenheid van de voltrekking")
    thisalinea.textcontent.append("van hun huwelijk of van de registratie van hun partnerschap alsnog gezamenlijk verklaren,")
    thisalinea.textcontent.append("dat hun kind voortaan de geslachtsnaam van de andere ouder zal hebben. Van deze")
    thisalinea.textcontent.append("verklaring wordt een akte van naamskeuze opgemaakt. Indien een kind door gerechtelijke")
    thisalinea.textcontent.append("vaststelling van het vaderschap in familierechtelijke betrekking tot de vader komt te staan,")
    thisalinea.textcontent.append("houdt het de geslachtsnaam van de moeder, tenzij de moeder en de man, wiens")
    thisalinea.textcontent.append("vaderschap is vastgesteld, ter gelegenheid van de vaststelling gezamenlijk verklaren dat")
    thisalinea.textcontent.append("het kind de geslachtsnaam van de vader zal hebben. De rechterlijke uitspraak inzake de")
    thisalinea.textcontent.append("vaststelling van het vaderschap vermeldt de verklaring van de ouders hieromtrent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien een kind door adoptie ..."
    thisalinea.nativeID = 20
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien een kind door adoptie in familierechtelijke betrekking komt te staan tot beide adoptanten van verschillend geslacht, die met elkaar zijn gehuwd, heeft het kind de geslachtsnaam van de vader, tenzij de adoptanten ter gelegenheid van de adoptie gezamenlijk verklaren dat het kind de geslachtsnaam van de moeder zal hebben. Indien de adoptanten niet met elkaar gehuwd zijn of indien beide adoptanten van hetzelfde geslacht zijn en met elkaar gehuwd zijn, houdt het kind de geslachtsnaam die het heeft, tenzij de adoptanten ter gelegenheid van de adoptie gezamenlijk verklaren dat het een van hun beider geslachtsnamen zal hebben. Indien "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien een kind door adoptie in familierechtelijke betrekking komt te staan tot beide")
    thisalinea.textcontent.append("adoptanten van verschillend geslacht, die met elkaar zijn gehuwd, heeft het kind de")
    thisalinea.textcontent.append("geslachtsnaam van de vader, tenzij de adoptanten ter gelegenheid van de adoptie")
    thisalinea.textcontent.append("gezamenlijk verklaren dat het kind de geslachtsnaam van de moeder zal hebben. Indien")
    thisalinea.textcontent.append("de adoptanten niet met elkaar gehuwd zijn of indien beide adoptanten van hetzelfde")
    thisalinea.textcontent.append("geslacht zijn en met elkaar gehuwd zijn, houdt het kind de geslachtsnaam die het heeft,")
    thisalinea.textcontent.append("tenzij de adoptanten ter gelegenheid van de adoptie gezamenlijk verklaren dat het een")
    thisalinea.textcontent.append("van hun beider geslachtsnamen zal hebben. Indien een kind door adoptie in")
    thisalinea.textcontent.append("familierechtelijke betrekking tot de echtgenoot, geregistreerde partner of andere")
    thisalinea.textcontent.append("levensgezel van een ouder komt te staan, houdt het zijn geslachtsnaam, tenzij de ouder")
    thisalinea.textcontent.append("en diens echtgenoot, geregistreerde partner of andere levensgezel gezamenlijk verklaren")
    thisalinea.textcontent.append("dat het kind de geslachtsnaam zal hebben van de echtgenoot, geregistreerde partner of")
    thisalinea.textcontent.append("andere levensgezel, dan wel de geslachtsnaam van die ouder. De rechterlijke uitspraak")
    thisalinea.textcontent.append("inzake de adoptie vermeldt de verklaring van de adoptanten hieromtrent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Indien een kind door geboorte ..."
    thisalinea.nativeID = 21
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Indien een kind door geboorte in familierechtelijke betrekking tot beide ouders komt te staan, verklaren de ouders gezamenlijk voor of ter gelegenheid van de aangifte van de geboorte welke van hun beider geslachtsnamen het kind zal hebben. Van de verklaring van de ouders die voor de aangifte van de geboorte wordt afgelegd, wordt een akte van naamskeuze opgemaakt. Van de verklaring van de ouders die ter gelegenheid van de aangifte van de geboorte wordt afgelegd, wordt melding gemaakt in de akte van geboorte. De eerste drie volzinnen zijn van overeenkomstige toepassing indien een ouder en zijn echtgenoot of geregistreerde "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Indien een kind door geboorte in familierechtelijke betrekking tot beide ouders komt te")
    thisalinea.textcontent.append("staan, verklaren de ouders gezamenlijk voor of ter gelegenheid van de aangifte van de")
    thisalinea.textcontent.append("geboorte welke van hun beider geslachtsnamen het kind zal hebben. Van de verklaring")
    thisalinea.textcontent.append("van de ouders die voor de aangifte van de geboorte wordt afgelegd, wordt een akte van")
    thisalinea.textcontent.append("naamskeuze opgemaakt. Van de verklaring van de ouders die ter gelegenheid van de")
    thisalinea.textcontent.append("aangifte van de geboorte wordt afgelegd, wordt melding gemaakt in de akte van geboorte.")
    thisalinea.textcontent.append("De eerste drie volzinnen zijn van overeenkomstige toepassing indien een ouder en zijn")
    thisalinea.textcontent.append("echtgenoot of geregistreerde partner die niet de ouder is, van rechtswege gezamenlijk het")
    thisalinea.textcontent.append("gezag als bedoeld in artikel 253sa over het kind zullen uitoefenen of uitoefenen. De")
    thisalinea.textcontent.append("verklaring die niet ter gelegenheid van de aangifte van de geboorte wordt afgelegd, kan")
    thisalinea.textcontent.append("ten overstaan van iedere ambtenaar van de burgerlijke stand worden afgelegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Wordt een verklaring houdende naamskeuze, ..."
    thisalinea.nativeID = 22
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Wordt een verklaring houdende naamskeuze, bedoeld in het vierde lid, voor of ter gelegenheid van de aangifte van de geboorte afgelegd, dan heeft het kind de gekozen naam vanaf de geboorte. Geschiedt de naamskeuze niet uiterlijk ter gelegenheid van de aangifte van de geboorte, dan neemt de ambtenaar van de burgerlijke stand als geslachtsnaam van het kind in de geboorteakte op: a. de geslachtsnaam van de vader in geval het kind door geboorte in familierechtelijke betrekking tot beide ouders komt te staan; b. de geslachtsnaam van de moeder in geval een ouder en zijn echtgenoot of geregistreerde partner die "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Wordt een verklaring houdende naamskeuze, bedoeld in het vierde lid, voor of ter")
    thisalinea.textcontent.append("gelegenheid van de aangifte van de geboorte afgelegd, dan heeft het kind de gekozen")
    thisalinea.textcontent.append("naam vanaf de geboorte. Geschiedt de naamskeuze niet uiterlijk ter gelegenheid van de")
    thisalinea.textcontent.append("aangifte van de geboorte, dan neemt de ambtenaar van de burgerlijke stand als")
    thisalinea.textcontent.append("geslachtsnaam van het kind in de geboorteakte op:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de geslachtsnaam van de vader ..."
    thisalinea.nativeID = 23
    thisalinea.parentID = 22
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de geslachtsnaam van de vader in geval het kind door geboorte in familierechtelijke betrekking tot beide ouders komt te staan; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de geslachtsnaam van de vader in geval het kind door geboorte in familierechtelijke")
    thisalinea.textcontent.append("betrekking tot beide ouders komt te staan;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de geslachtsnaam van de moeder ..."
    thisalinea.nativeID = 24
    thisalinea.parentID = 22
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de geslachtsnaam van de moeder in geval een ouder en zijn echtgenoot of geregistreerde partner die niet de ouder is, van rechtswege gezamenlijk het gezag als bedoeld in artikel 253sa over het kind uitoefenen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de geslachtsnaam van de moeder in geval een ouder en zijn echtgenoot of")
    thisalinea.textcontent.append("geregistreerde partner die niet de ouder is, van rechtswege gezamenlijk het gezag als")
    thisalinea.textcontent.append("bedoeld in artikel 253sa over het kind uitoefenen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Indien de moeder na de ..."
    thisalinea.nativeID = 25
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Indien de moeder na de geboorte van het kind op grond van artikel 199, onderdeel b, het vaderschap van de overleden echtgenoot of geregistreerde partner ontkent of op grond van artikel 198, tweede lid, het moederschap van de overleden echtgenote of geregistreerde parnter ontkent en zij ten tijde van de geboorte en van de ontkenning is hertrouwd of een nieuw partnerschap heeft laten registreren, kunnen de moeder en haar echtgenoot of geregistreerde partner gezamenlijk ter gelegenheid van de ontkenning verklaren welke van hun beider geslachtsnamen het kind zal hebben. Van de verklaring van de ouders wordt een akte van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Indien de moeder na de geboorte van het kind op grond van artikel 199, onderdeel b, het")
    thisalinea.textcontent.append("vaderschap van de overleden echtgenoot of geregistreerde partner ontkent of op grond")
    thisalinea.textcontent.append("van artikel 198, tweede lid, het moederschap van de overleden echtgenote of")
    thisalinea.textcontent.append("geregistreerde parnter ontkent en zij ten tijde van de geboorte en van de ontkenning is")
    thisalinea.textcontent.append("hertrouwd of een nieuw partnerschap heeft laten registreren, kunnen de moeder en haar")
    thisalinea.textcontent.append("echtgenoot of geregistreerde partner gezamenlijk ter gelegenheid van de ontkenning")
    thisalinea.textcontent.append("verklaren welke van hun beider geslachtsnamen het kind zal hebben. Van de verklaring")
    thisalinea.textcontent.append("van de ouders wordt een akte van naamskeuze opgemaakt. Bij gebreke van een")
    thisalinea.textcontent.append("verklaring heeft het kind de geslachtsnaam van de echtgenoot of geregistreerde partner.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Indien een kind op het ..."
    thisalinea.nativeID = 26
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Indien een kind op het tijdstip van het ontstaan van de familierechtelijke betrekking met beide ouders zestien jaar of ouder is, verklaart het zelf ten overstaan van de ambtenaar van de burgerlijke stand of van de notaris of, in geval van adoptie of gerechtelijke vaststelling van het vaderschap, ten overstaan van de rechter of het de geslachtsnaam van de ene of de andere ouder zal hebben. Van deze verklaring wordt melding gemaakt in de akte van erkenning of in de rechterlijke uitspraak inzake adoptie of gerechtelijke vaststelling van het vaderschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Indien een kind op het tijdstip van het ontstaan van de familierechtelijke betrekking met")
    thisalinea.textcontent.append("beide ouders zestien jaar of ouder is, verklaart het zelf ten overstaan van de ambtenaar")
    thisalinea.textcontent.append("van de burgerlijke stand of van de notaris of, in geval van adoptie of gerechtelijke")
    thisalinea.textcontent.append("vaststelling van het vaderschap, ten overstaan van de rechter of het de geslachtsnaam")
    thisalinea.textcontent.append("van de ene of de andere ouder zal hebben. Van deze verklaring wordt melding gemaakt in")
    thisalinea.textcontent.append("de akte van erkenning of in de rechterlijke uitspraak inzake adoptie of gerechtelijke")
    thisalinea.textcontent.append("vaststelling van het vaderschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. Een verklaring van de ouders ..."
    thisalinea.nativeID = 27
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. Een verklaring van de ouders als bedoeld in het tweede, derde, vierde of zesde lid, kan slechts ten aanzien van de geslachtsnaam van hun eerste kind worden afgelegd. De eerste volzin is van overeenkomstige toepassing ten aanzien van het eerste kind over wie de ouder en zijn echtgenoot of geregistreerde partner die niet de ouder is, van rechtswege gezamenlijk het gezag als bedoeld in artikel 253sa zullen uitoefenen of uitoefenen. Onverminderd het zevende lid, hebben volgende kinderen van dezelfde ouders dan wel kinderen over wie dezelfde ouder en dezelfde echtgenoot of geregistreerde partner die niet de ouder is, van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. Een verklaring van de ouders als bedoeld in het tweede, derde, vierde of zesde lid, kan")
    thisalinea.textcontent.append("slechts ten aanzien van de geslachtsnaam van hun eerste kind worden afgelegd. De")
    thisalinea.textcontent.append("eerste volzin is van overeenkomstige toepassing ten aanzien van het eerste kind over wie")
    thisalinea.textcontent.append("de ouder en zijn echtgenoot of geregistreerde partner die niet de ouder is, van rechtswege")
    thisalinea.textcontent.append("gezamenlijk het gezag als bedoeld in artikel 253sa zullen uitoefenen of uitoefenen.")
    thisalinea.textcontent.append("Onverminderd het zevende lid, hebben volgende kinderen van dezelfde ouders dan wel")
    thisalinea.textcontent.append("kinderen over wie dezelfde ouder en dezelfde echtgenoot of geregistreerde partner die")
    thisalinea.textcontent.append("niet de ouder is, van rechtswege het gezag gezamenlijk zullen uitoefenen, dezelfde")
    thisalinea.textcontent.append("geslachtsnaam als het eerste kind, met dien verstande dat in het geval dat volgende")
    thisalinea.textcontent.append("kinderen blijkens de geboorteakte of krachtens toepasselijk recht een naam hebben die")
    thisalinea.textcontent.append("afwijkt van de naam van het eerste kind, de ouders kunnen verklaren dat het")
    thisalinea.textcontent.append("desbetreffende kind dezelfde geslachtsnaam zal hebben als het eerste kind. Indien voor")
    thisalinea.textcontent.append("de geboorte of ter gelegenheid van de aangifte naamskeuze is gedaan ten aanzien van")
    thisalinea.textcontent.append("een kind dat levenloos ter wereld komt of is gekomen, wordt deze keuze opgenomen in")
    thisalinea.textcontent.append("de akte, bedoeld in artikel 19i, eerste lid, en geldt zij alleen ten aanzien van dit kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "9. Is één van de ouders ..."
    thisalinea.nativeID = 28
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "9. Is één van de ouders voorafgaand aan het tijdstip waarop de naamskeuze uiterlijk moet zijn gedaan overleden en is de naamskeuze niet gedaan, dan legt de andere ouder een verklaring omtrent de naamskeuze af. Hetzelfde geldt indien één van de ouders wegens diens lichamelijke of geestelijke toestand onder curatele staat dan wel indien ten aanzien van hem of haar een mentorschap bestaat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("9. Is één van de ouders voorafgaand aan het tijdstip waarop de naamskeuze uiterlijk moet")
    thisalinea.textcontent.append("zijn gedaan overleden en is de naamskeuze niet gedaan, dan legt de andere ouder een")
    thisalinea.textcontent.append("verklaring omtrent de naamskeuze af. Hetzelfde geldt indien één van de ouders wegens")
    thisalinea.textcontent.append("diens lichamelijke of geestelijke toestand onder curatele staat dan wel indien ten aanzien")
    thisalinea.textcontent.append("van hem of haar een mentorschap bestaat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "10. Zijn de vader en moeder ..."
    thisalinea.nativeID = 29
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "10. Zijn de vader en moeder onbekend, dan neemt de ambtenaar van de burgerlijke stand in de geboorteakte een voorlopige voornaam en geslachtsnaam op, in afwachting van het koninklijk besluit waarbij de voornamen en de geslachtsnaam van het kind worden vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("10. Zijn de vader en moeder onbekend, dan neemt de ambtenaar van de burgerlijke stand in")
    thisalinea.textcontent.append("de geboorteakte een voorlopige voornaam en geslachtsnaam op, in afwachting van het")
    thisalinea.textcontent.append("koninklijk besluit waarbij de voornamen en de geslachtsnaam van het kind worden")
    thisalinea.textcontent.append("vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "11. Indien op grond van het ..."
    thisalinea.nativeID = 30
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 10
    thisalinea.summary = "11. Indien op grond van het tweede tot en met negende lid een kind, wiens vader van adel is, niet zijn geslachtsnaam verkrijgt, gaat de adeldom niet over op dat kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("11. Indien op grond van het tweede tot en met negende lid een kind, wiens vader van adel is,")
    thisalinea.textcontent.append("niet zijn geslachtsnaam verkrijgt, gaat de adeldom niet over op dat kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "12. De geslachtsnaam van kinderen geboren ..."
    thisalinea.nativeID = 31
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 11
    thisalinea.summary = "12. De geslachtsnaam van kinderen geboren uit een huwelijk met een lid van het koninklijk huis wordt bij koninklijk besluit bepaald. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("12. De geslachtsnaam van kinderen geboren uit een huwelijk met een lid van het koninklijk")
    thisalinea.textcontent.append("huis wordt bij koninklijk besluit bepaald.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "13. In het tweede, vijfde en ..."
    thisalinea.nativeID = 32
    thisalinea.parentID = 17
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 12
    thisalinea.summary = "13. In het tweede, vijfde en zesde lid wordt onder «moeder» verstaan de vrouw uit wie het kind is geboren. In deze leden wordt met «de vader» van het kind en zijn «vaderschap» gelijkgesteld de moeder die niet de vrouw is uit wie het kind is geboren onderscheidenlijk haar moederschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("13. In het tweede, vijfde en zesde lid wordt onder «moeder» verstaan de vrouw uit wie het")
    thisalinea.textcontent.append("kind is geboren. In deze leden wordt met «de vader» van het kind en zijn «vaderschap»")
    thisalinea.textcontent.append("gelijkgesteld de moeder die niet de vrouw is uit wie het kind is geboren onderscheidenlijk")
    thisalinea.textcontent.append("haar moederschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 6"
    thisalinea.nativeID = 33
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "De geslachtsnaam wordt ten aanzien van een ieder dwingend bewezen door de akte van geboorte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De geslachtsnaam wordt ten aanzien van een ieder dwingend bewezen door de akte van")
    thisalinea.textcontent.append("geboorte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 7"
    thisalinea.nativeID = 34
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "1. De geslachtsnaam van een persoon kan op zijn verzoek, of op verzoek van zijn wettelijke vertegenwoordiger, door de Koning worden gewijzigd. 2. Hij wiens geslachtsnaam of voornamen niet bekend zijn, kan de Koning verzoeken voor hem een geslachtsnaam of voornamen vast te stellen. 3. Een wijziging of vaststelling van de geslachtsnaam door de Koning heeft geen invloed op de geslachtsnaam van de kinderen van de betrokken persoon die voor de datum van het besluit meerderjarig zijn geworden of die niet onder zijn gezag staan. 4. Een wijziging of vaststelling van de geslachtsnaam door de Koning blijft in stand niettegenstaande "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De geslachtsnaam van een persoon ..."
    thisalinea.nativeID = 35
    thisalinea.parentID = 34
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De geslachtsnaam van een persoon kan op zijn verzoek, of op verzoek van zijn wettelijke vertegenwoordiger, door de Koning worden gewijzigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De geslachtsnaam van een persoon kan op zijn verzoek, of op verzoek van zijn wettelijke")
    thisalinea.textcontent.append("vertegenwoordiger, door de Koning worden gewijzigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij wiens geslachtsnaam of voornamen ..."
    thisalinea.nativeID = 36
    thisalinea.parentID = 34
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij wiens geslachtsnaam of voornamen niet bekend zijn, kan de Koning verzoeken voor hem een geslachtsnaam of voornamen vast te stellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij wiens geslachtsnaam of voornamen niet bekend zijn, kan de Koning verzoeken voor")
    thisalinea.textcontent.append("hem een geslachtsnaam of voornamen vast te stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een wijziging of vaststelling van ..."
    thisalinea.nativeID = 37
    thisalinea.parentID = 34
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een wijziging of vaststelling van de geslachtsnaam door de Koning heeft geen invloed op de geslachtsnaam van de kinderen van de betrokken persoon die voor de datum van het besluit meerderjarig zijn geworden of die niet onder zijn gezag staan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een wijziging of vaststelling van de geslachtsnaam door de Koning heeft geen invloed op")
    thisalinea.textcontent.append("de geslachtsnaam van de kinderen van de betrokken persoon die voor de datum van het")
    thisalinea.textcontent.append("besluit meerderjarig zijn geworden of die niet onder zijn gezag staan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Een wijziging of vaststelling van ..."
    thisalinea.nativeID = 38
    thisalinea.parentID = 34
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Een wijziging of vaststelling van de geslachtsnaam door de Koning blijft in stand niettegenstaande een latere erkenning of een gerechtelijke vaststelling van het ouderschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Een wijziging of vaststelling van de geslachtsnaam door de Koning blijft in stand")
    thisalinea.textcontent.append("niettegenstaande een latere erkenning of een gerechtelijke vaststelling van het")
    thisalinea.textcontent.append("ouderschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 39
    thisalinea.parentID = 34
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Bij algemene maatregel van bestuur worden regelen gesteld betreffende de gronden waarop de geslachtsnaamswijziging kan worden verleend, de wijze van indiening en behandeling van verzoeken als in het eerste en het tweede lid bedoeld en betreffende het voor wijziging van de geslachtsnaam verschuldigde recht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Bij algemene maatregel van bestuur worden regelen gesteld betreffende de gronden")
    thisalinea.textcontent.append("waarop de geslachtsnaamswijziging kan worden verleend, de wijze van indiening en")
    thisalinea.textcontent.append("behandeling van verzoeken als in het eerste en het tweede lid bedoeld en betreffende het")
    thisalinea.textcontent.append("voor wijziging van de geslachtsnaam verschuldigde recht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Indien Onze Minister van Justitie ..."
    thisalinea.nativeID = 40
    thisalinea.parentID = 34
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Indien Onze Minister van Justitie voornemens is een voordracht te doen voor een koninklijk besluit strekkende tot inwilliging van een verzoek als bedoeld in het eerste of tweede lid, deelt hij dit voornemen schriftelijk mee aan de verzoeker en degene wiens geslachtsnaam is verzocht, alsmede, indien het verzoek op de geslachtsnaam van een minderjarige betrekking heeft, zijn ouders en degene aan wie de minderjarige de geslachtsnaam, waarvan wijziging is verzocht, rechtstreeks ontleent. De schriftelijke mededeling van het voornemen geldt als een beschikking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Indien Onze Minister van Justitie voornemens is een voordracht te doen voor een")
    thisalinea.textcontent.append("koninklijk besluit strekkende tot inwilliging van een verzoek als bedoeld in het eerste of")
    thisalinea.textcontent.append("tweede lid, deelt hij dit voornemen schriftelijk mee aan de verzoeker en degene wiens")
    thisalinea.textcontent.append("geslachtsnaam is verzocht, alsmede, indien het verzoek op de geslachtsnaam van een")
    thisalinea.textcontent.append("minderjarige betrekking heeft, zijn ouders en degene aan wie de minderjarige de")
    thisalinea.textcontent.append("geslachtsnaam, waarvan wijziging is verzocht, rechtstreeks ontleent. De schriftelijke")
    thisalinea.textcontent.append("mededeling van het voornemen geldt als een beschikking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Onze Minister van Justitie doet ..."
    thisalinea.nativeID = 41
    thisalinea.parentID = 34
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Onze Minister van Justitie doet de schriftelijke mededeling van het voornemen binnen twintig weken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Onze Minister van Justitie doet de schriftelijke mededeling van het voornemen binnen")
    thisalinea.textcontent.append("twintig weken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 8"
    thisalinea.nativeID = 42
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 10
    thisalinea.summary = "Hij die de naam van een ander zonder diens toestemming voert, handelt jegens die persoon onrechtmatig, wanneer hij daardoor de schijn wekt die ander te zijn of tot diens geslacht of gezin te behoren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Hij die de naam van een ander zonder diens toestemming voert, handelt jegens die persoon")
    thisalinea.textcontent.append("onrechtmatig, wanneer hij daardoor de schijn wekt die ander te zijn of tot diens geslacht of")
    thisalinea.textcontent.append("gezin te behoren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 9"
    thisalinea.nativeID = 43
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 11
    thisalinea.summary = "geweest en die niet is getrouwd na beëindiging van de registratie of is hertrouwd dan wel niet een geregistreerd partnerschap is aangegaan na beëindiging van het huwelijk of opnieuw is aangegaan. 1. Een vrouw die gehuwd is of die gehuwd is geweest dan wel wier partnerschap geregistreerd is of is geweest en die niet is getrouwd na beëindiging van de registratie of is hertrouwd dan wel niet een geregistreerd partnerschap is aangegaan na beëindiging van het huwelijk of opnieuw is aangegaan, is steeds bevoegd de geslachtsnaam van haar echtgenoot of van haar geregistreerde partner te voeren of aan de hare "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("geweest en die niet is getrouwd na beëindiging van de registratie of is hertrouwd dan wel")
    thisalinea.textcontent.append("niet een geregistreerd partnerschap is aangegaan na beëindiging van het huwelijk of")
    thisalinea.textcontent.append("opnieuw is aangegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een vrouw die gehuwd is ..."
    thisalinea.nativeID = 44
    thisalinea.parentID = 43
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een vrouw die gehuwd is of die gehuwd is geweest dan wel wier partnerschap geregistreerd is of is geweest en die niet is getrouwd na beëindiging van de registratie of is hertrouwd dan wel niet een geregistreerd partnerschap is aangegaan na beëindiging van het huwelijk of opnieuw is aangegaan, is steeds bevoegd de geslachtsnaam van haar echtgenoot of van haar geregistreerde partner te voeren of aan de hare te doen voorafgaan dan wel die te doen volgen op haar eigen geslachtsnaam. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een vrouw die gehuwd is of die gehuwd is geweest dan wel wier partnerschap")
    thisalinea.textcontent.append("geregistreerd is of is geweest en die niet is getrouwd na beëindiging van de registratie of")
    thisalinea.textcontent.append("is hertrouwd dan wel niet een geregistreerd partnerschap is aangegaan na beëindiging")
    thisalinea.textcontent.append("van het huwelijk of opnieuw is aangegaan, is steeds bevoegd de geslachtsnaam van haar")
    thisalinea.textcontent.append("echtgenoot of van haar geregistreerde partner te voeren of aan de hare te doen")
    thisalinea.textcontent.append("voorafgaan dan wel die te doen volgen op haar eigen geslachtsnaam.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het huwelijk door echtscheiding ..."
    thisalinea.nativeID = 45
    thisalinea.parentID = 43
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het huwelijk door echtscheiding is ontbonden en daaruit geen afstammelingen in leven zijn dan wel indien het geregistreerd partnerschap op de wijze bedoeld in artikel 80c, onder c of d, is beëindigd, kan de rechtbank, wanneer daartoe gegronde redenen bestaan, op verzoek van de gewezen echtgenoot of de gewezen geregistreerde partner aan de vrouw de haar in het eerste lid toegekende bevoegdheid ontnemen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het huwelijk door echtscheiding is ontbonden en daaruit geen afstammelingen in")
    thisalinea.textcontent.append("leven zijn dan wel indien het geregistreerd partnerschap op de wijze bedoeld in artikel")
    thisalinea.textcontent.append("80c, onder c of d, is beëindigd, kan de rechtbank, wanneer daartoe gegronde redenen")
    thisalinea.textcontent.append("bestaan, op verzoek van de gewezen echtgenoot of de gewezen geregistreerde partner")
    thisalinea.textcontent.append("aan de vrouw de haar in het eerste lid toegekende bevoegdheid ontnemen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het eerste en tweede lid ..."
    thisalinea.nativeID = 46
    thisalinea.parentID = 43
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het eerste en tweede lid zijn van overeenkomstige toepassing ten aanzien van de man die gehuwd is of gehuwd is geweest dan wel wiens partnerschap geregistreerd is of is "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het eerste en tweede lid zijn van overeenkomstige toepassing ten aanzien van de man")
    thisalinea.textcontent.append("die gehuwd is of gehuwd is geweest dan wel wiens partnerschap geregistreerd is of is")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 3. Woonplaats"
    thisalinea.nativeID = 47
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 12
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 10"
    thisalinea.nativeID = 48
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 13
    thisalinea.summary = "1. De woonplaats van een natuurlijk persoon bevindt zich te zijner woonstede, en bij gebreke van woonstede ter plaatse van zijn werkelijk verblijf. 2. Een rechtspersoon heeft zijn woonplaats ter plaatse waar hij volgens wettelijk voorschrift of volgens zijn statuten of reglementen zijn zetel heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De woonplaats van een natuurlijk ..."
    thisalinea.nativeID = 49
    thisalinea.parentID = 48
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De woonplaats van een natuurlijk persoon bevindt zich te zijner woonstede, en bij gebreke van woonstede ter plaatse van zijn werkelijk verblijf. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De woonplaats van een natuurlijk persoon bevindt zich te zijner woonstede, en bij gebreke")
    thisalinea.textcontent.append("van woonstede ter plaatse van zijn werkelijk verblijf.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Een rechtspersoon heeft zijn woonplaats ..."
    thisalinea.nativeID = 50
    thisalinea.parentID = 48
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Een rechtspersoon heeft zijn woonplaats ter plaatse waar hij volgens wettelijk voorschrift of volgens zijn statuten of reglementen zijn zetel heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Een rechtspersoon heeft zijn woonplaats ter plaatse waar hij volgens wettelijk voorschrift")
    thisalinea.textcontent.append("of volgens zijn statuten of reglementen zijn zetel heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 11"
    thisalinea.nativeID = 51
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 14
    thisalinea.summary = "1. Een natuurlijk persoon verliest zijn woonstede door daden, waaruit zijn wil blijkt om haar prijs te geven. 2. Een natuurlijk persoon wordt vermoed zijn woonstede te hebben verplaatst, wanneer hij daarvan op de wettelijk voorgeschreven wijze aan de betrokken colleges van burgemeester en wethouders heeft kennis gegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een natuurlijk persoon verliest zijn ..."
    thisalinea.nativeID = 52
    thisalinea.parentID = 51
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een natuurlijk persoon verliest zijn woonstede door daden, waaruit zijn wil blijkt om haar prijs te geven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een natuurlijk persoon verliest zijn woonstede door daden, waaruit zijn wil blijkt om haar")
    thisalinea.textcontent.append("prijs te geven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Een natuurlijk persoon wordt vermoed ..."
    thisalinea.nativeID = 53
    thisalinea.parentID = 51
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Een natuurlijk persoon wordt vermoed zijn woonstede te hebben verplaatst, wanneer hij daarvan op de wettelijk voorgeschreven wijze aan de betrokken colleges van burgemeester en wethouders heeft kennis gegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Een natuurlijk persoon wordt vermoed zijn woonstede te hebben verplaatst, wanneer hij")
    thisalinea.textcontent.append("daarvan op de wettelijk voorgeschreven wijze aan de betrokken colleges van")
    thisalinea.textcontent.append("burgemeester en wethouders heeft kennis gegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 12"
    thisalinea.nativeID = 54
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 15
    thisalinea.summary = "1. Een minderjarige volgt de woonplaats van hem die het gezag over hem uitoefent, de onder curatele gestelde die van zijn curator. Oefenen beide ouders tezamen het gezag over hun minderjarige kind uit, doch hebben zij niet dezelfde woonplaats, dan volgt het kind de woonplaats van de ouder bij wie het feitelijk verblijft dan wel laatstelijk heeft verbleven. 2. Wanneer iemands goederen onder bewind staan, volgt hij voor alles wat de uitoefening van dit bewind betreft, de woonplaats van de bewindvoerder. 3. Wanneer ten behoeve van een persoon een mentorschap is ingesteld, volgt hij voor alles wat de uitoefening van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een minderjarige volgt de woonplaats ..."
    thisalinea.nativeID = 55
    thisalinea.parentID = 54
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een minderjarige volgt de woonplaats van hem die het gezag over hem uitoefent, de onder curatele gestelde die van zijn curator. Oefenen beide ouders tezamen het gezag over hun minderjarige kind uit, doch hebben zij niet dezelfde woonplaats, dan volgt het kind de woonplaats van de ouder bij wie het feitelijk verblijft dan wel laatstelijk heeft verbleven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een minderjarige volgt de woonplaats van hem die het gezag over hem uitoefent, de")
    thisalinea.textcontent.append("onder curatele gestelde die van zijn curator. Oefenen beide ouders tezamen het gezag")
    thisalinea.textcontent.append("over hun minderjarige kind uit, doch hebben zij niet dezelfde woonplaats, dan volgt het")
    thisalinea.textcontent.append("kind de woonplaats van de ouder bij wie het feitelijk verblijft dan wel laatstelijk heeft")
    thisalinea.textcontent.append("verbleven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Wanneer iemands goederen onder bewind ..."
    thisalinea.nativeID = 56
    thisalinea.parentID = 54
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Wanneer iemands goederen onder bewind staan, volgt hij voor alles wat de uitoefening van dit bewind betreft, de woonplaats van de bewindvoerder. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Wanneer iemands goederen onder bewind staan, volgt hij voor alles wat de uitoefening")
    thisalinea.textcontent.append("van dit bewind betreft, de woonplaats van de bewindvoerder.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Wanneer ten behoeve van een ..."
    thisalinea.nativeID = 57
    thisalinea.parentID = 54
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Wanneer ten behoeve van een persoon een mentorschap is ingesteld, volgt hij voor alles wat de uitoefening van dit mentorschap betreft, de woonplaats van de mentor. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Wanneer ten behoeve van een persoon een mentorschap is ingesteld, volgt hij voor alles")
    thisalinea.textcontent.append("wat de uitoefening van dit mentorschap betreft, de woonplaats van de mentor.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het eerste, tweede en derde ..."
    thisalinea.nativeID = 58
    thisalinea.parentID = 54
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het eerste, tweede en derde lid zijn niet van toepassing voor zover het betreft de relatieve bevoegdheid van de rechter gedurende een curatele, een bewind als bedoeld in titel 19 en een mentorschap. Hetzelfde geldt indien ten aanzien van een persoon een curatele, een mentorschap of een bewind als bedoeld in titel 19 en tevens een bewind als bedoeld in afdeling 7 van titel 5 van Boek 4 of een bewind als bedoeld in artikel 182 van Boek 7 van kracht zijn en de bevoegde kantonrechter de andere kantonrechter als uitsluitend bevoegde heeft aangewezen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het eerste, tweede en derde lid zijn niet van toepassing voor zover het betreft de relatieve")
    thisalinea.textcontent.append("bevoegdheid van de rechter gedurende een curatele, een bewind als bedoeld in titel 19")
    thisalinea.textcontent.append("en een mentorschap. Hetzelfde geldt indien ten aanzien van een persoon een curatele,")
    thisalinea.textcontent.append("een mentorschap of een bewind als bedoeld in titel 19 en tevens een bewind als bedoeld")
    thisalinea.textcontent.append("in afdeling 7 van titel 5 van Boek 4 of een bewind als bedoeld in artikel 182 van Boek 7")
    thisalinea.textcontent.append("van kracht zijn en de bevoegde kantonrechter de andere kantonrechter als uitsluitend")
    thisalinea.textcontent.append("bevoegde heeft aangewezen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Wanneer de persoon, van wie ..."
    thisalinea.nativeID = 59
    thisalinea.parentID = 54
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Wanneer de persoon, van wie de woonplaats wordt afgeleid, overlijdt of zijn gezag of zijn hoedanigheid verliest, duurt de afgeleide woonplaats voort, totdat een nieuwe woonplaats is verkregen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Wanneer de persoon, van wie de woonplaats wordt afgeleid, overlijdt of zijn gezag of zijn")
    thisalinea.textcontent.append("hoedanigheid verliest, duurt de afgeleide woonplaats voort, totdat een nieuwe woonplaats")
    thisalinea.textcontent.append("is verkregen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 13"
    thisalinea.nativeID = 60
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 16
    thisalinea.summary = "Het sterfhuis van een overledene is daar, waar hij zijn laatste woonplaats heeft gehad. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Het sterfhuis van een overledene is daar, waar hij zijn laatste woonplaats heeft gehad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 14"
    thisalinea.nativeID = 61
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 17
    thisalinea.summary = "Een persoon die een kantoor of een filiaal houdt, heeft ten aanzien van aangelegenheden die dit kantoor of dit filiaal betreffen mede aldaar woonplaats. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een persoon die een kantoor of een filiaal houdt, heeft ten aanzien van aangelegenheden die")
    thisalinea.textcontent.append("dit kantoor of dit filiaal betreffen mede aldaar woonplaats.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 15"
    thisalinea.nativeID = 62
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 18
    thisalinea.summary = "Een persoon kan een andere woonplaats dan zijn werkelijke slechts kiezen, wanneer de wet hem daartoe verplicht, of wanneer de keuze bij schriftelijk of langs elektronische weg aangegane overeenkomst voor een of meer bepaalde rechtshandelingen of rechtsbetrekkingen geschiedt en voor de gekozen woonplaats een redelijk belang aanwezig is. Indien de keuze bij langs elektronische weg aangegane overeenkomst geschiedt, is artikel 227a lid 1 van Boek 6 van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een persoon kan een andere woonplaats dan zijn werkelijke slechts kiezen, wanneer de wet")
    thisalinea.textcontent.append("hem daartoe verplicht, of wanneer de keuze bij schriftelijk of langs elektronische weg")
    thisalinea.textcontent.append("aangegane overeenkomst voor een of meer bepaalde rechtshandelingen of")
    thisalinea.textcontent.append("rechtsbetrekkingen geschiedt en voor de gekozen woonplaats een redelijk belang aanwezig")
    thisalinea.textcontent.append("is. Indien de keuze bij langs elektronische weg aangegane overeenkomst geschiedt, is artikel")
    thisalinea.textcontent.append("227a lid 1 van Boek 6 van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 4. Burgerlijke stand Afdeling 1. De ambtenaar van de burgerlijke stand"
    thisalinea.nativeID = 63
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 19
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 16"
    thisalinea.nativeID = 64
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 20
    thisalinea.summary = '"Ik zweer (beloof) dat ik de betrekking van ambtenaar van de burgerlijke stand met eerlijkheid en nauwkeurigheid zal vervullen en dat ik de wettelijke voorschriften, de burgerlijke stand betreffende, met de meeste nauwgezetheid zal opvolgen; dat ik voorts, tot het verkrijgen van mijn aanstelling, middellijk noch onmiddellijk, onder enige naam of voorwendsel, aan iemand iets heb gegeven of beloofd, en dat ik, om iets in deze betrekking te doen of te laten, van niemand enige beloften of geschenken zal aannemen, middellijk of onmiddellijk. Zo waarlijk helpe mij God almachtig". ("Dat verklaar en beloof ik"). «Ik swar (ûnthjit) dat ik de '
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append('"Ik zweer (beloof) dat ik de betrekking van ambtenaar van de burgerlijke stand met eerlijkheid')
    thisalinea.textcontent.append("en nauwkeurigheid zal vervullen en dat ik de wettelijke voorschriften, de burgerlijke stand")
    thisalinea.textcontent.append("betreffende, met de meeste nauwgezetheid zal opvolgen; dat ik voorts, tot het verkrijgen van")
    thisalinea.textcontent.append("mijn aanstelling, middellijk noch onmiddellijk, onder enige naam of voorwendsel, aan iemand")
    thisalinea.textcontent.append("iets heb gegeven of beloofd, en dat ik, om iets in deze betrekking te doen of te laten, van")
    thisalinea.textcontent.append("niemand enige beloften of geschenken zal aannemen, middellijk of onmiddellijk. Zo waarlijk")
    thisalinea.textcontent.append('helpe mij God almachtig". ("Dat verklaar en beloof ik").')
    thisalinea.textcontent.append("«Ik swar (ûnthjit) dat ik de funksje fan amtner fan de boargerlike stân mei earlikheid en")
    thisalinea.textcontent.append("soarchfâldichheid útoefenje sil en dat ik de wetlike foarskriften oangeande de boargerlike stân")
    thisalinea.textcontent.append("op ’en sekuersten neikomme sil; dat ik fierders, foar it krijen fan myn oanstelling, streekrjocht")
    thisalinea.textcontent.append("noch midlik, ûnder hokker namme of útwynsel dan ek, oan immen eat jûn of tasein haw, en")
    thisalinea.textcontent.append("dat ik, om eat yn dizze funksje te dwaan of te litten, fan gjinien tasizzingen of geskinken,")
    thisalinea.textcontent.append("likefolle hokker, oannimme sil, midlik of streekrjocht. Sa wier helpe my God almachtich».")
    thisalinea.textcontent.append("(«Dat ferklearje en ûnthjit ik»).")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. In elke gemeente zijn twee, ..."
    thisalinea.nativeID = 65
    thisalinea.parentID = 64
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. In elke gemeente zijn twee, of, naar goedvinden van burgemeester en wethouders, meer ambtenaren van de burgerlijke stand. Daarenboven kunnen een of meer ambtenaren van de burgerlijke stand worden belast met het verrichten van bepaalde taken. Deze dragen de titel van buitengewoon ambtenaar van de burgerlijke stand. Een ambtenaar van de burgerlijke stand, die niet voldoet aan het in het tweede lid bedoelde vereiste van aanwijsbaarheid, wordt niet in aanmerking genomen voor de berekening van het in de eerste zin genoemde aantal. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. In elke gemeente zijn twee, of, naar goedvinden van burgemeester en wethouders, meer")
    thisalinea.textcontent.append("ambtenaren van de burgerlijke stand. Daarenboven kunnen een of meer ambtenaren van")
    thisalinea.textcontent.append("de burgerlijke stand worden belast met het verrichten van bepaalde taken. Deze dragen")
    thisalinea.textcontent.append("de titel van buitengewoon ambtenaar van de burgerlijke stand. Een ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand, die niet voldoet aan het in het tweede lid bedoelde vereiste van")
    thisalinea.textcontent.append("aanwijsbaarheid, wordt niet in aanmerking genomen voor de berekening van het in de")
    thisalinea.textcontent.append("eerste zin genoemde aantal.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De in het eerste lid ..."
    thisalinea.nativeID = 66
    thisalinea.parentID = 64
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De in het eerste lid bedoelde ambtenaren worden door burgemeester en wethouders aangewezen. Een aanwijzing kan voor een bepaalde tijdsduur geschieden. De aanwijzing eindigt van rechtswege met ingang van de datum waarop de uitoefening van de functie van ambtenaar van de burgerlijke stand of buitengewoon ambtenaar van de burgerlijke stand eindigt. Als ambtenaar of buitengewoon ambtenaar van de burgerlijke stand is slechts aanwijsbaar de persoon die in de uitoefening van zijn ambt geen onderscheid maakt als bedoeld in artikel 1 van de Algemene wet gelijke behandeling, tenzij het onderscheid is gebaseerd op een wettelijk voorschrift. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De in het eerste lid bedoelde ambtenaren worden door burgemeester en wethouders")
    thisalinea.textcontent.append("aangewezen. Een aanwijzing kan voor een bepaalde tijdsduur geschieden. De aanwijzing")
    thisalinea.textcontent.append("eindigt van rechtswege met ingang van de datum waarop de uitoefening van de functie")
    thisalinea.textcontent.append("van ambtenaar van de burgerlijke stand of buitengewoon ambtenaar van de burgerlijke")
    thisalinea.textcontent.append("stand eindigt. Als ambtenaar of buitengewoon ambtenaar van de burgerlijke stand is")
    thisalinea.textcontent.append("slechts aanwijsbaar de persoon die in de uitoefening van zijn ambt geen onderscheid")
    thisalinea.textcontent.append("maakt als bedoeld in artikel 1 van de Algemene wet gelijke behandeling, tenzij het")
    thisalinea.textcontent.append("onderscheid is gebaseerd op een wettelijk voorschrift.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Ambtenaar van de burgerlijke stand ..."
    thisalinea.nativeID = 67
    thisalinea.parentID = 64
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Ambtenaar van de burgerlijke stand van een gemeente kan slechts zijn een ambtenaar in dienst van die gemeente of een andere gemeente. Buitengewoon ambtenaar van de burgerlijke stand kan mede zijn een persoon die geen ambtenaar in gemeentelijke dienst is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Ambtenaar van de burgerlijke stand van een gemeente kan slechts zijn een ambtenaar in")
    thisalinea.textcontent.append("dienst van die gemeente of een andere gemeente. Buitengewoon ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand kan mede zijn een persoon die geen ambtenaar in gemeentelijke dienst")
    thisalinea.textcontent.append("is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De ambtenaar of buitengewoon ambtenaar ..."
    thisalinea.nativeID = 68
    thisalinea.parentID = 64
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De ambtenaar of buitengewoon ambtenaar van de burgerlijke stand wordt tot zijn betrekking niet toegelaten dan na voor de rechtbank tot wier rechtsgebied de gemeente behoort waar hij voor het eerst wordt benoemd de navolgende eed dan wel belofte te hebben afgelegd: "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De ambtenaar of buitengewoon ambtenaar van de burgerlijke stand wordt tot zijn")
    thisalinea.textcontent.append("betrekking niet toegelaten dan na voor de rechtbank tot wier rechtsgebied de gemeente")
    thisalinea.textcontent.append("behoort waar hij voor het eerst wordt benoemd de navolgende eed dan wel belofte te")
    thisalinea.textcontent.append("hebben afgelegd:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Wanneer de eed dan wel ..."
    thisalinea.nativeID = 69
    thisalinea.parentID = 64
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Wanneer de eed dan wel belofte, bedoeld in het vierde lid, in de Friese taal wordt afgelegd, luidt de tekst van de eed dan wel belofte als volgt: "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Wanneer de eed dan wel belofte, bedoeld in het vierde lid, in de Friese taal wordt")
    thisalinea.textcontent.append("afgelegd, luidt de tekst van de eed dan wel belofte als volgt:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 16a"
    thisalinea.nativeID = 70
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 21
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand is belast met het opnemen in de onder hem berustende registers van de burgerlijke stand van akten en de daaraan toe te voegen latere vermeldingen, alsmede al datgene wat de instandhouding van de registers en de zorg voor de toegankelijkheid van de daarin neergelegde gegevens betreft. 2. De buitengewoon ambtenaar van de burgerlijke stand kan uitsluitend worden belast met de taken omschreven in de artikelen 45, 45a, 58, 63, 64, 65, 67, 80a, derde lid, en 80g. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 71
    thisalinea.parentID = 70
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand is belast met het opnemen in de onder hem berustende registers van de burgerlijke stand van akten en de daaraan toe te voegen latere vermeldingen, alsmede al datgene wat de instandhouding van de registers en de zorg voor de toegankelijkheid van de daarin neergelegde gegevens betreft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ambtenaar van de burgerlijke stand is belast met het opnemen in de onder hem")
    thisalinea.textcontent.append("berustende registers van de burgerlijke stand van akten en de daaraan toe te voegen")
    thisalinea.textcontent.append("latere vermeldingen, alsmede al datgene wat de instandhouding van de registers en de")
    thisalinea.textcontent.append("zorg voor de toegankelijkheid van de daarin neergelegde gegevens betreft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De buitengewoon ambtenaar van de ..."
    thisalinea.nativeID = 72
    thisalinea.parentID = 70
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De buitengewoon ambtenaar van de burgerlijke stand kan uitsluitend worden belast met de taken omschreven in de artikelen 45, 45a, 58, 63, 64, 65, 67, 80a, derde lid, en 80g. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De buitengewoon ambtenaar van de burgerlijke stand kan uitsluitend worden belast met")
    thisalinea.textcontent.append("de taken omschreven in de artikelen 45, 45a, 58, 63, 64, 65, 67, 80a, derde lid, en 80g.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 16b"
    thisalinea.nativeID = 73
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 22
    thisalinea.summary = "Wanneer de ambtenaar van de burgerlijke stand in de uitoefening van zijn ambt op grond van enige bepaling van deze titel of van enige andere titel van dit boek in rechte optreedt, kan hij dit zonder advocaat doen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Wanneer de ambtenaar van de burgerlijke stand in de uitoefening van zijn ambt op grond van")
    thisalinea.textcontent.append("enige bepaling van deze titel of van enige andere titel van dit boek in rechte optreedt, kan hij")
    thisalinea.textcontent.append("dit zonder advocaat doen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 16c"
    thisalinea.nativeID = 74
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 23
    thisalinea.summary = "Burgemeester en wethouders bepalen de uren, waarop elk bureau van de burgerlijke stand dagelijks voor het publiek geopend zal zijn. Daarbij wordt, ten einde de werkzaamheden van de ambtenaren van de burgerlijke stand op die dagen zoveel mogelijk te beperken, een afzonderlijke regeling getroffen voor de zaterdag, de zondag, de algemeen erkende feestdagen en de overige daarvoor door burgemeester en wethouders aan te wijzen dagen, waarop gemeentelijke diensten niet of slechts gedeeltelijk zijn geopend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Burgemeester en wethouders bepalen de uren, waarop elk bureau van de burgerlijke stand")
    thisalinea.textcontent.append("dagelijks voor het publiek geopend zal zijn. Daarbij wordt, ten einde de werkzaamheden van")
    thisalinea.textcontent.append("de ambtenaren van de burgerlijke stand op die dagen zoveel mogelijk te beperken, een")
    thisalinea.textcontent.append("afzonderlijke regeling getroffen voor de zaterdag, de zondag, de algemeen erkende")
    thisalinea.textcontent.append("feestdagen en de overige daarvoor door burgemeester en wethouders aan te wijzen dagen,")
    thisalinea.textcontent.append("waarop gemeentelijke diensten niet of slechts gedeeltelijk zijn geopend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 16d"
    thisalinea.nativeID = 75
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 24
    thisalinea.summary = "Bij algemene maatregel van bestuur worden regels gesteld ten aanzien van de door het college van burgemeester en wethouders te treffen voorzieningen ten behoeve van de taakuitoefening door de ambtenaar van de burgerlijke stand, en voorts ten aanzien van al wat verder de taak van de ambtenaar van de burgerlijke stand betreft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij algemene maatregel van bestuur worden regels gesteld ten aanzien van de door het")
    thisalinea.textcontent.append("college van burgemeester en wethouders te treffen voorzieningen ten behoeve van de")
    thisalinea.textcontent.append("taakuitoefening door de ambtenaar van de burgerlijke stand, en voorts ten aanzien van al wat")
    thisalinea.textcontent.append("verder de taak van de ambtenaar van de burgerlijke stand betreft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. De registers van de burgerlijke stand en de bewaring daarvan"
    thisalinea.nativeID = 76
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 25
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 17"
    thisalinea.nativeID = 77
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 26
    thisalinea.summary = "1. Er bestaan voor iedere gemeente registers van geboorten, van huwelijken, van geregistreerde partnerschappen en van overlijden. 2. Er bestaat in de gemeente 's-Gravenhage, naast de in het eerste lid genoemde registers, een register voor de inschrijving van de in afdeling 6 bedoelde rechterlijke uitspraken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Er bestaan voor iedere gemeente ..."
    thisalinea.nativeID = 78
    thisalinea.parentID = 77
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Er bestaan voor iedere gemeente registers van geboorten, van huwelijken, van geregistreerde partnerschappen en van overlijden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Er bestaan voor iedere gemeente registers van geboorten, van huwelijken, van")
    thisalinea.textcontent.append("geregistreerde partnerschappen en van overlijden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Er bestaat in de gemeente ..."
    thisalinea.nativeID = 79
    thisalinea.parentID = 77
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Er bestaat in de gemeente 's-Gravenhage, naast de in het eerste lid genoemde registers, een register voor de inschrijving van de in afdeling 6 bedoelde rechterlijke uitspraken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Er bestaat in de gemeente 's-Gravenhage, naast de in het eerste lid genoemde registers,")
    thisalinea.textcontent.append("een register voor de inschrijving van de in afdeling 6 bedoelde rechterlijke uitspraken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 17a"
    thisalinea.nativeID = 80
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 27
    thisalinea.summary = "1. De registers van de burgerlijke stand worden in het gemeentehuis bewaard totdat zij naar een gemeentelijke archiefbewaarplaats in de zin van de Archiefwet 1995 (Stb. 276) worden overgebracht. 2. De overbrenging naar de gemeentelijke archiefbewaarplaats van de in het gemeentehuis berustende registers van geboorten, van huwelijken dan wel geregistreerde partnerschappen en van overlijden vindt eerst plaats onderscheidenlijk honderd jaar, vijfenzeventig jaar en vijftig jaar na de afsluiting van deze registers. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De registers van de burgerlijke ..."
    thisalinea.nativeID = 81
    thisalinea.parentID = 80
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De registers van de burgerlijke stand worden in het gemeentehuis bewaard totdat zij naar een gemeentelijke archiefbewaarplaats in de zin van de Archiefwet 1995 (Stb. 276) worden overgebracht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De registers van de burgerlijke stand worden in het gemeentehuis bewaard totdat zij naar")
    thisalinea.textcontent.append("een gemeentelijke archiefbewaarplaats in de zin van de Archiefwet 1995 (Stb. 276)")
    thisalinea.textcontent.append("worden overgebracht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De overbrenging naar de gemeentelijke ..."
    thisalinea.nativeID = 82
    thisalinea.parentID = 80
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De overbrenging naar de gemeentelijke archiefbewaarplaats van de in het gemeentehuis berustende registers van geboorten, van huwelijken dan wel geregistreerde partnerschappen en van overlijden vindt eerst plaats onderscheidenlijk honderd jaar, vijfenzeventig jaar en vijftig jaar na de afsluiting van deze registers. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De overbrenging naar de gemeentelijke archiefbewaarplaats van de in het gemeentehuis")
    thisalinea.textcontent.append("berustende registers van geboorten, van huwelijken dan wel geregistreerde")
    thisalinea.textcontent.append("partnerschappen en van overlijden vindt eerst plaats onderscheidenlijk honderd jaar,")
    thisalinea.textcontent.append("vijfenzeventig jaar en vijftig jaar na de afsluiting van deze registers.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 17b"
    thisalinea.nativeID = 83
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 28
    thisalinea.summary = "De beheerder van een archiefbewaarplaats als bedoeld in artikel 17a is belast met het bewaren van de onder hem berustende registers, met het toevoegen van latere vermeldingen aan de daarin opgenomen akten en met de afgifte van afschriften en uittreksels van deze akten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De beheerder van een archiefbewaarplaats als bedoeld in artikel 17a is belast met het")
    thisalinea.textcontent.append("bewaren van de onder hem berustende registers, met het toevoegen van latere vermeldingen")
    thisalinea.textcontent.append("aan de daarin opgenomen akten en met de afgifte van afschriften en uittreksels van deze")
    thisalinea.textcontent.append("akten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 17c"
    thisalinea.nativeID = 84
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 29
    thisalinea.summary = "Bij algemene maatregel van bestuur wordt geregeld alles wat verder betreft de inrichting van de registers, alsmede de in artikel 17b genoemde handelingen ten aanzien van die registers. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij algemene maatregel van bestuur wordt geregeld alles wat verder betreft de inrichting van")
    thisalinea.textcontent.append("de registers, alsmede de in artikel 17b genoemde handelingen ten aanzien van die registers.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3. Akten van de burgerlijke stand en partijen bij deze akten"
    thisalinea.nativeID = 85
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 30
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 18"
    thisalinea.nativeID = 86
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 31
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand mag in de akten alleen opnemen hetgeen ingevolge het bij of krachtens de wet bepaalde moet worden verklaard of opgenomen. 2. Alvorens tot het opmaken van een akte over te gaan, verifieert de ambtenaar van de burgerlijke stand de door partijen bij de akte verstrekte gegevens door raadpleging van de basisregistratie personen en, zonodig, andere daartoe bestemde registers of bevoegde autoriteiten, zonder daarvoor leges verschuldigd te zijn. 3. De ambtenaar van de burgerlijke stand is voorts bevoegd zich, al dan niet in persoon, alle bescheiden te doen vertonen die hij voor het opmaken "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 87
    thisalinea.parentID = 86
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand mag in de akten alleen opnemen hetgeen ingevolge het bij of krachtens de wet bepaalde moet worden verklaard of opgenomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ambtenaar van de burgerlijke stand mag in de akten alleen opnemen hetgeen")
    thisalinea.textcontent.append("ingevolge het bij of krachtens de wet bepaalde moet worden verklaard of opgenomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Alvorens tot het opmaken van ..."
    thisalinea.nativeID = 88
    thisalinea.parentID = 86
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Alvorens tot het opmaken van een akte over te gaan, verifieert de ambtenaar van de burgerlijke stand de door partijen bij de akte verstrekte gegevens door raadpleging van de basisregistratie personen en, zonodig, andere daartoe bestemde registers of bevoegde autoriteiten, zonder daarvoor leges verschuldigd te zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Alvorens tot het opmaken van een akte over te gaan, verifieert de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand de door partijen bij de akte verstrekte gegevens door raadpleging van de")
    thisalinea.textcontent.append("basisregistratie personen en, zonodig, andere daartoe bestemde registers of bevoegde")
    thisalinea.textcontent.append("autoriteiten, zonder daarvoor leges verschuldigd te zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 89
    thisalinea.parentID = 86
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De ambtenaar van de burgerlijke stand is voorts bevoegd zich, al dan niet in persoon, alle bescheiden te doen vertonen die hij voor het opmaken van de akte of voor de vaststelling van de in de akte op te nemen gegevens noodzakelijk acht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De ambtenaar van de burgerlijke stand is voorts bevoegd zich, al dan niet in persoon, alle")
    thisalinea.textcontent.append("bescheiden te doen vertonen die hij voor het opmaken van de akte of voor de vaststelling")
    thisalinea.textcontent.append("van de in de akte op te nemen gegevens noodzakelijk acht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. [Dit lid is nog niet ..."
    thisalinea.nativeID = 90
    thisalinea.parentID = 86
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. [Dit lid is nog niet in werking getreden.] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. [Dit lid is nog niet in werking getreden.]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 91
    thisalinea.parentID = 86
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Bij algemene maatregel van bestuur wordt geregeld al hetgeen het opmaken van de akten betreft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Bij algemene maatregel van bestuur wordt geregeld al hetgeen het opmaken van de akten")
    thisalinea.textcontent.append("betreft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 18a"
    thisalinea.nativeID = 92
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 32
    thisalinea.summary = "1. Partijen bij een akte van de burgerlijke stand zijn degenen die aan de ambtenaar van de burgerlijke stand een aangifte doen of te zijnen overstaan een verklaring afleggen betreffende een feit, waarvan de akte bestemd is te doen blijken. 2. Belanghebbende partijen zijn partijen die met hun verklaring enig rechtsgevolg teweeg brengen voor henzelf of voor medepartijen, dan wel voor henzelf en medepartijen. 3. De belanghebbende partijen kunnen zich door een daartoe bij authentieke akte gevolmachtigde doen vertegenwoordigen. 4. Wanneer een gevolmachtigde een verklaring aflegt, geldt hij zowel als de door hem vertegenwoordigde persoon als partij bij de akte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Partijen bij een akte van ..."
    thisalinea.nativeID = 93
    thisalinea.parentID = 92
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Partijen bij een akte van de burgerlijke stand zijn degenen die aan de ambtenaar van de burgerlijke stand een aangifte doen of te zijnen overstaan een verklaring afleggen betreffende een feit, waarvan de akte bestemd is te doen blijken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Partijen bij een akte van de burgerlijke stand zijn degenen die aan de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand een aangifte doen of te zijnen overstaan een verklaring afleggen")
    thisalinea.textcontent.append("betreffende een feit, waarvan de akte bestemd is te doen blijken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Belanghebbende partijen zijn partijen die ..."
    thisalinea.nativeID = 94
    thisalinea.parentID = 92
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Belanghebbende partijen zijn partijen die met hun verklaring enig rechtsgevolg teweeg brengen voor henzelf of voor medepartijen, dan wel voor henzelf en medepartijen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Belanghebbende partijen zijn partijen die met hun verklaring enig rechtsgevolg teweeg")
    thisalinea.textcontent.append("brengen voor henzelf of voor medepartijen, dan wel voor henzelf en medepartijen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De belanghebbende partijen kunnen zich ..."
    thisalinea.nativeID = 95
    thisalinea.parentID = 92
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De belanghebbende partijen kunnen zich door een daartoe bij authentieke akte gevolmachtigde doen vertegenwoordigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De belanghebbende partijen kunnen zich door een daartoe bij authentieke akte")
    thisalinea.textcontent.append("gevolmachtigde doen vertegenwoordigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Wanneer een gevolmachtigde een verklaring ..."
    thisalinea.nativeID = 96
    thisalinea.parentID = 92
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Wanneer een gevolmachtigde een verklaring aflegt, geldt hij zowel als de door hem vertegenwoordigde persoon als partij bij de akte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Wanneer een gevolmachtigde een verklaring aflegt, geldt hij zowel als de door hem")
    thisalinea.textcontent.append("vertegenwoordigde persoon als partij bij de akte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 97
    thisalinea.parentID = 92
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De ambtenaar van de burgerlijke stand mag geen akte verlijden waarin hijzelf als partij of belanghebbende partij voorkomt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De ambtenaar van de burgerlijke stand mag geen akte verlijden waarin hijzelf als partij of")
    thisalinea.textcontent.append("belanghebbende partij voorkomt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 18b"
    thisalinea.nativeID = 98
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 33
    thisalinea.summary = "1. Voor de betrouwbaarheid en vertrouwelijkheid van de elektronische aangifte alsmede het opmaken en de opslag van een akte in elektronische vorm wordt een systeem van gegevensverwerking gebruikt dat: a. de ambtenaar van de burgerlijke stand in staat stelt de juistheid van de identiteit van de aangever vast te stellen; b. de vertrouwelijkheid van de door de aangever verstrekte gegevens waarborgt; c. waarborgt dat elektronische akten als bedoeld in artikel 18, vierde lid, zodanig blijven opgeslagen dat de inhoud toegankelijk is voor toekomstig gebruik en een ongewijzigde reproductie van de inhoud van de akten gewaarborgd is; d. waarborgt dat een "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Voor de betrouwbaarheid en vertrouwelijkheid ..."
    thisalinea.nativeID = 99
    thisalinea.parentID = 98
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Voor de betrouwbaarheid en vertrouwelijkheid van de elektronische aangifte alsmede het opmaken en de opslag van een akte in elektronische vorm wordt een systeem van gegevensverwerking gebruikt dat: a. de ambtenaar van de burgerlijke stand in staat stelt de juistheid van de identiteit van de aangever vast te stellen; b. de vertrouwelijkheid van de door de aangever verstrekte gegevens waarborgt; c. waarborgt dat elektronische akten als bedoeld in artikel 18, vierde lid, zodanig blijven opgeslagen dat de inhoud toegankelijk is voor toekomstig gebruik en een ongewijzigde reproductie van de inhoud van de akten gewaarborgd is; d. waarborgt dat een "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Voor de betrouwbaarheid en vertrouwelijkheid van de elektronische aangifte alsmede het")
    thisalinea.textcontent.append("opmaken en de opslag van een akte in elektronische vorm wordt een systeem van")
    thisalinea.textcontent.append("gegevensverwerking gebruikt dat:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 100
    thisalinea.parentID = 99
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de ambtenaar van de burgerlijke stand in staat stelt de juistheid van de identiteit van de aangever vast te stellen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de ambtenaar van de burgerlijke stand in staat stelt de juistheid van de identiteit van")
    thisalinea.textcontent.append("de aangever vast te stellen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de vertrouwelijkheid van de door ..."
    thisalinea.nativeID = 101
    thisalinea.parentID = 99
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de vertrouwelijkheid van de door de aangever verstrekte gegevens waarborgt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de vertrouwelijkheid van de door de aangever verstrekte gegevens waarborgt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. waarborgt dat elektronische akten als ..."
    thisalinea.nativeID = 102
    thisalinea.parentID = 99
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. waarborgt dat elektronische akten als bedoeld in artikel 18, vierde lid, zodanig blijven opgeslagen dat de inhoud toegankelijk is voor toekomstig gebruik en een ongewijzigde reproductie van de inhoud van de akten gewaarborgd is; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. waarborgt dat elektronische akten als bedoeld in artikel 18, vierde lid, zodanig blijven")
    thisalinea.textcontent.append("opgeslagen dat de inhoud toegankelijk is voor toekomstig gebruik en een")
    thisalinea.textcontent.append("ongewijzigde reproductie van de inhoud van de akten gewaarborgd is;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. waarborgt dat een bericht, elektronisch ..."
    thisalinea.nativeID = 103
    thisalinea.parentID = 99
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. waarborgt dat een bericht, elektronisch afschrift of uittreksel volledig is en niet onbevoegdelijk is of kan worden gewijzigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. waarborgt dat een bericht, elektronisch afschrift of uittreksel volledig is en niet")
    thisalinea.textcontent.append("onbevoegdelijk is of kan worden gewijzigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 104
    thisalinea.parentID = 98
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bij algemene maatregel van bestuur kunnen over het in het eerste lid bepaalde nadere regels worden gesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bij algemene maatregel van bestuur kunnen over het in het eerste lid bepaalde nadere")
    thisalinea.textcontent.append("regels worden gesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 18c"
    thisalinea.nativeID = 105
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 34
    thisalinea.summary = "1. Blijft een partij bij een akte van de burgerlijke stand of een belanghebbende partij in gebreke de in artikel 18, derde lid, bedoelde bescheiden over te leggen, of acht de ambtenaar van de burgerlijke stand de overgelegde bescheiden ongenoegzaam, dan weigert deze tot het opmaken van de akte over te gaan. 2. De ambtenaar van de burgerlijke stand weigert eveneens tot het opmaken van de akte over te gaan, indien hij van oordeel is dat de Nederlandse openbare orde zich hiertegen verzet. 3. Van een weigering als bedoeld in het eerste of het tweede lid doet de ambtenaar van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Blijft een partij bij een ..."
    thisalinea.nativeID = 106
    thisalinea.parentID = 105
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Blijft een partij bij een akte van de burgerlijke stand of een belanghebbende partij in gebreke de in artikel 18, derde lid, bedoelde bescheiden over te leggen, of acht de ambtenaar van de burgerlijke stand de overgelegde bescheiden ongenoegzaam, dan weigert deze tot het opmaken van de akte over te gaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Blijft een partij bij een akte van de burgerlijke stand of een belanghebbende partij in")
    thisalinea.textcontent.append("gebreke de in artikel 18, derde lid, bedoelde bescheiden over te leggen, of acht de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand de overgelegde bescheiden ongenoegzaam, dan")
    thisalinea.textcontent.append("weigert deze tot het opmaken van de akte over te gaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 107
    thisalinea.parentID = 105
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De ambtenaar van de burgerlijke stand weigert eveneens tot het opmaken van de akte over te gaan, indien hij van oordeel is dat de Nederlandse openbare orde zich hiertegen verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De ambtenaar van de burgerlijke stand weigert eveneens tot het opmaken van de akte")
    thisalinea.textcontent.append("over te gaan, indien hij van oordeel is dat de Nederlandse openbare orde zich hiertegen")
    thisalinea.textcontent.append("verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Van een weigering als bedoeld ..."
    thisalinea.nativeID = 108
    thisalinea.parentID = 105
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Van een weigering als bedoeld in het eerste of het tweede lid doet de ambtenaar van de burgerlijke stand een schriftelijke, met redenen omklede mededeling aan de partijen bij de akte en de belanghebbende partijen toekomen, onder vermelding van de tegen die weigering openstaande voorziening van afdeling 12 van deze titel. Een afschrift van deze mededeling doet hij aan de Immigratie- en Naturalisatiedienst toekomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Van een weigering als bedoeld in het eerste of het tweede lid doet de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand een schriftelijke, met redenen omklede mededeling aan de partijen bij de")
    thisalinea.textcontent.append("akte en de belanghebbende partijen toekomen, onder vermelding van de tegen die")
    thisalinea.textcontent.append("weigering openstaande voorziening van afdeling 12 van deze titel. Een afschrift van deze")
    thisalinea.textcontent.append("mededeling doet hij aan de Immigratie- en Naturalisatiedienst toekomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 18d"
    thisalinea.nativeID = 109
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 35
    thisalinea.summary = "1. Van alle in registers opgenomen akten van de burgerlijke stand wordt een dubbel of een afschrift gehouden, volgens regels, bij algemene maatregel van bestuur te stellen. 2. Bij algemene maatregel van bestuur wordt geregeld alles wat betreft de bewaring van de dubbelen of de afschriften alsmede van de daarop betrekking hebbende latere vermeldingen. 3. Wanneer akten van de burgerlijke stand verloren zijn gegaan of verminkt zijn, wordt ter vervanging van deze akten van de dubbelen van de akten een afschrift gemaakt door een of meer door Onze Minister van Justitie aan te wijzen Centrale Bewaarplaatsen waar de dubbelen bewaard "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Van alle in registers opgenomen ..."
    thisalinea.nativeID = 110
    thisalinea.parentID = 109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Van alle in registers opgenomen akten van de burgerlijke stand wordt een dubbel of een afschrift gehouden, volgens regels, bij algemene maatregel van bestuur te stellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Van alle in registers opgenomen akten van de burgerlijke stand wordt een dubbel of een")
    thisalinea.textcontent.append("afschrift gehouden, volgens regels, bij algemene maatregel van bestuur te stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 111
    thisalinea.parentID = 109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bij algemene maatregel van bestuur wordt geregeld alles wat betreft de bewaring van de dubbelen of de afschriften alsmede van de daarop betrekking hebbende latere vermeldingen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bij algemene maatregel van bestuur wordt geregeld alles wat betreft de bewaring van de")
    thisalinea.textcontent.append("dubbelen of de afschriften alsmede van de daarop betrekking hebbende latere")
    thisalinea.textcontent.append("vermeldingen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Wanneer akten van de burgerlijke ..."
    thisalinea.nativeID = 112
    thisalinea.parentID = 109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Wanneer akten van de burgerlijke stand verloren zijn gegaan of verminkt zijn, wordt ter vervanging van deze akten van de dubbelen van de akten een afschrift gemaakt door een of meer door Onze Minister van Justitie aan te wijzen Centrale Bewaarplaatsen waar de dubbelen bewaard worden. De afschriften treden in de plaats van de verloren gegane of verminkte akten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Wanneer akten van de burgerlijke stand verloren zijn gegaan of verminkt zijn, wordt ter")
    thisalinea.textcontent.append("vervanging van deze akten van de dubbelen van de akten een afschrift gemaakt door een")
    thisalinea.textcontent.append("of meer door Onze Minister van Justitie aan te wijzen Centrale Bewaarplaatsen waar de")
    thisalinea.textcontent.append("dubbelen bewaard worden. De afschriften treden in de plaats van de verloren gegane of")
    thisalinea.textcontent.append("verminkte akten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Er wordt een lijst opgesteld ..."
    thisalinea.nativeID = 113
    thisalinea.parentID = 109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Er wordt een lijst opgesteld van de akten die vervangen worden, die in de Staatscourant wordt gepubliceerd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Er wordt een lijst opgesteld van de akten die vervangen worden, die in de Staatscourant")
    thisalinea.textcontent.append("wordt gepubliceerd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De kosten voor de vervanging ..."
    thisalinea.nativeID = 114
    thisalinea.parentID = 109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De kosten voor de vervanging van akten van de burgerlijke stand komen ten laste van de Staat, tenzij het de vervanging van akten betreft die bewaard worden door een gemeente. In het laatstgenoemde geval komen de kosten van vervanging voor rekening van de gemeente. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De kosten voor de vervanging van akten van de burgerlijke stand komen ten laste van de")
    thisalinea.textcontent.append("Staat, tenzij het de vervanging van akten betreft die bewaard worden door een gemeente.")
    thisalinea.textcontent.append("In het laatstgenoemde geval komen de kosten van vervanging voor rekening van de")
    thisalinea.textcontent.append("gemeente.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Onze Minister van Justitie kan ..."
    thisalinea.nativeID = 115
    thisalinea.parentID = 109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Onze Minister van Justitie kan nadere regels stellen omtrent de wijze waarop de vervanging van de akten dient te worden uitgevoerd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Onze Minister van Justitie kan nadere regels stellen omtrent de wijze waarop de")
    thisalinea.textcontent.append("vervanging van de akten dient te worden uitgevoerd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 4. De akten van geboorte, van overlijden en de akten houdende attestaties de vita"
    thisalinea.nativeID = 116
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 36
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19"
    thisalinea.nativeID = 117
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 37
    thisalinea.summary = "1. Een akte van geboorte wordt opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waar het kind is geboren. 2. Indien de plaats van de geboorte van het kind niet bekend is, wordt de akte opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waar het kind is aangetroffen. Die gemeente geldt als gemeente waar het kind is geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een akte van geboorte wordt ..."
    thisalinea.nativeID = 118
    thisalinea.parentID = 117
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een akte van geboorte wordt opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waar het kind is geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een akte van geboorte wordt opgemaakt door de ambtenaar van de burgerlijke stand van")
    thisalinea.textcontent.append("de gemeente waar het kind is geboren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de plaats van de ..."
    thisalinea.nativeID = 119
    thisalinea.parentID = 117
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de plaats van de geboorte van het kind niet bekend is, wordt de akte opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waar het kind is aangetroffen. Die gemeente geldt als gemeente waar het kind is geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de plaats van de geboorte van het kind niet bekend is, wordt de akte opgemaakt")
    thisalinea.textcontent.append("door de ambtenaar van de burgerlijke stand van de gemeente waar het kind is")
    thisalinea.textcontent.append("aangetroffen. Die gemeente geldt als gemeente waar het kind is geboren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19a"
    thisalinea.nativeID = 120
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 38
    thisalinea.summary = "van geboorte opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waar dat kind het voertuig, het schip of het luchtvaartuig verlaat, dan wel waar het schip ligplaats kiest. Die gemeente geldt als gemeente waar het kind is geboren. 1. In geval van geboorte op Nederlands grondgebied in een rijdend voertuig of op een varend schip of tijdens een binnenlandse luchtreis met een luchtvaartuig, wordt de akte 2. In geval van geboorte tijdens een zeereis met een in Nederland geregistreerd vaartuig, dan wel tijdens een internationale luchtreis met een in Nederland geregistreerd luchtvaartuig, is de gezagvoerder van het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("van geboorte opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente")
    thisalinea.textcontent.append("waar dat kind het voertuig, het schip of het luchtvaartuig verlaat, dan wel waar het schip")
    thisalinea.textcontent.append("ligplaats kiest. Die gemeente geldt als gemeente waar het kind is geboren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. In geval van geboorte op ..."
    thisalinea.nativeID = 121
    thisalinea.parentID = 120
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. In geval van geboorte op Nederlands grondgebied in een rijdend voertuig of op een varend schip of tijdens een binnenlandse luchtreis met een luchtvaartuig, wordt de akte "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. In geval van geboorte op Nederlands grondgebied in een rijdend voertuig of op een")
    thisalinea.textcontent.append("varend schip of tijdens een binnenlandse luchtreis met een luchtvaartuig, wordt de akte")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In geval van geboorte tijdens ..."
    thisalinea.nativeID = 122
    thisalinea.parentID = 120
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In geval van geboorte tijdens een zeereis met een in Nederland geregistreerd vaartuig, dan wel tijdens een internationale luchtreis met een in Nederland geregistreerd luchtvaartuig, is de gezagvoerder van het vaartuig of het luchtvaartuig verplicht een voorlopige akte van geboorte binnen vierentwintig uur in het journaal in te schrijven in tegenwoordigheid van twee getuigen en zo mogelijk van de vader. De gezagvoerder zendt een afschrift van die akte zo spoedig mogelijk aan de ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage. Deze maakt de akte van geboorte op aan de hand van het ontvangen afschrift, met dien verstande "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In geval van geboorte tijdens een zeereis met een in Nederland geregistreerd vaartuig,")
    thisalinea.textcontent.append("dan wel tijdens een internationale luchtreis met een in Nederland geregistreerd")
    thisalinea.textcontent.append("luchtvaartuig, is de gezagvoerder van het vaartuig of het luchtvaartuig verplicht een")
    thisalinea.textcontent.append("voorlopige akte van geboorte binnen vierentwintig uur in het journaal in te schrijven in")
    thisalinea.textcontent.append("tegenwoordigheid van twee getuigen en zo mogelijk van de vader. De gezagvoerder zendt")
    thisalinea.textcontent.append("een afschrift van die akte zo spoedig mogelijk aan de ambtenaar van de burgerlijke stand")
    thisalinea.textcontent.append("van de gemeente 's-Gravenhage. Deze maakt de akte van geboorte op aan de hand van")
    thisalinea.textcontent.append("het ontvangen afschrift, met dien verstande dat hij gegevens die ontbreken of hem blijken")
    thisalinea.textcontent.append("onjuist te zijn, zoveel mogelijk aanvult of verbetert. Aan de personen op wie de akte")
    thisalinea.textcontent.append("betrekking heeft, wordt een uittreksel van de akte toegezonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19b"
    thisalinea.nativeID = 123
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 39
    thisalinea.summary = "Indien de plaats of de dag van de geboorte van het kind niet bekend is dan wel indien de naam, met inbegrip van de voornamen, van de moeder uit wie het kind is geboren niet bekend is, wordt de geboorteakte ten aanzien van deze punten opgemaakt krachtens een bevel en overeenkomstig de aanwijzingen van het openbaar ministerie. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien de plaats of de dag van de geboorte van het kind niet bekend is dan wel indien de")
    thisalinea.textcontent.append("naam, met inbegrip van de voornamen, van de moeder uit wie het kind is geboren niet")
    thisalinea.textcontent.append("bekend is, wordt de geboorteakte ten aanzien van deze punten opgemaakt krachtens een")
    thisalinea.textcontent.append("bevel en overeenkomstig de aanwijzingen van het openbaar ministerie.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19c"
    thisalinea.nativeID = 124
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 40
    thisalinea.summary = "Zijn krachtens artikel 5, tiende lid, van dit boek in de akte een voorlopige voornaam en geslachtsnaam opgenomen, dan zendt de ambtenaar van de burgerlijke stand onverwijld een volledig afschrift van de akte aan Onze Minister van Justitie. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Zijn krachtens artikel 5, tiende lid, van dit boek in de akte een voorlopige voornaam en")
    thisalinea.textcontent.append("geslachtsnaam opgenomen, dan zendt de ambtenaar van de burgerlijke stand onverwijld een")
    thisalinea.textcontent.append("volledig afschrift van de akte aan Onze Minister van Justitie.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19d"
    thisalinea.nativeID = 125
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 41
    thisalinea.summary = "1. Indien het geslacht van het kind twijfelachtig is, wordt een geboorteakte opgemaakt, waarin wordt vermeld dat het geslacht van het kind niet is kunnen worden vastgesteld. 2. Binnen drie maanden na de geboorte, of, bij overlijden binnen die termijn, ter gelegenheid van de aangifte van het overlijden, wordt onder doorhaling van de in het eerste lid bedoelde akte een nieuwe geboorteakte opgemaakt, waarin het geslacht, indien dit inmiddels is vastgesteld, wordt vermeld aan de hand van een ter zake overgelegde medische verklaring. 3. Is binnen de in het tweede lid genoemde termijn geen medische verklaring overgelegd, of blijkt uit "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien het geslacht van het ..."
    thisalinea.nativeID = 126
    thisalinea.parentID = 125
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien het geslacht van het kind twijfelachtig is, wordt een geboorteakte opgemaakt, waarin wordt vermeld dat het geslacht van het kind niet is kunnen worden vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien het geslacht van het kind twijfelachtig is, wordt een geboorteakte opgemaakt,")
    thisalinea.textcontent.append("waarin wordt vermeld dat het geslacht van het kind niet is kunnen worden vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Binnen drie maanden na de ..."
    thisalinea.nativeID = 127
    thisalinea.parentID = 125
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Binnen drie maanden na de geboorte, of, bij overlijden binnen die termijn, ter gelegenheid van de aangifte van het overlijden, wordt onder doorhaling van de in het eerste lid bedoelde akte een nieuwe geboorteakte opgemaakt, waarin het geslacht, indien dit inmiddels is vastgesteld, wordt vermeld aan de hand van een ter zake overgelegde medische verklaring. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Binnen drie maanden na de geboorte, of, bij overlijden binnen die termijn, ter gelegenheid")
    thisalinea.textcontent.append("van de aangifte van het overlijden, wordt onder doorhaling van de in het eerste lid")
    thisalinea.textcontent.append("bedoelde akte een nieuwe geboorteakte opgemaakt, waarin het geslacht, indien dit")
    thisalinea.textcontent.append("inmiddels is vastgesteld, wordt vermeld aan de hand van een ter zake overgelegde")
    thisalinea.textcontent.append("medische verklaring.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Is binnen de in het ..."
    thisalinea.nativeID = 128
    thisalinea.parentID = 125
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Is binnen de in het tweede lid genoemde termijn geen medische verklaring overgelegd, of blijkt uit de overgelegde medische verklaring dat het geslacht niet is kunnen worden vastgesteld, dan vermeldt de nieuwe geboorteakte dat het geslacht van het kind niet is kunnen worden vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Is binnen de in het tweede lid genoemde termijn geen medische verklaring overgelegd, of")
    thisalinea.textcontent.append("blijkt uit de overgelegde medische verklaring dat het geslacht niet is kunnen worden")
    thisalinea.textcontent.append("vastgesteld, dan vermeldt de nieuwe geboorteakte dat het geslacht van het kind niet is")
    thisalinea.textcontent.append("kunnen worden vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19e"
    thisalinea.nativeID = 129
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 42
    thisalinea.summary = "1. De aangifte van een geboorte kan in persoon of, als deze weg is geopend, elektronisch worden gedaan. Tot elektronische aangifte zijn uitsluitend bevoegd de moeder uit wie het kind is geboren en de vader van het kind. 2. Tot de aangifte in persoon van een geboorte is bevoegd de moeder uit wie het kind is geboren. 3. Tot de aangifte in persoon is verplicht de vader of de moeder uit wie het kind niet is geboren. 4. Wanneer de persoon genoemd in het tweede lid ontbreekt of verhinderd is de aangifte te doen, is tot aangifte verplicht: a. ieder "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De aangifte van een geboorte ..."
    thisalinea.nativeID = 130
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De aangifte van een geboorte kan in persoon of, als deze weg is geopend, elektronisch worden gedaan. Tot elektronische aangifte zijn uitsluitend bevoegd de moeder uit wie het kind is geboren en de vader van het kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De aangifte van een geboorte kan in persoon of, als deze weg is geopend, elektronisch")
    thisalinea.textcontent.append("worden gedaan. Tot elektronische aangifte zijn uitsluitend bevoegd de moeder uit wie het")
    thisalinea.textcontent.append("kind is geboren en de vader van het kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Tot de aangifte in persoon ..."
    thisalinea.nativeID = 131
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Tot de aangifte in persoon van een geboorte is bevoegd de moeder uit wie het kind is geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Tot de aangifte in persoon van een geboorte is bevoegd de moeder uit wie het kind is")
    thisalinea.textcontent.append("geboren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Tot de aangifte in persoon ..."
    thisalinea.nativeID = 132
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Tot de aangifte in persoon is verplicht de vader of de moeder uit wie het kind niet is geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Tot de aangifte in persoon is verplicht de vader of de moeder uit wie het kind niet is")
    thisalinea.textcontent.append("geboren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Wanneer de persoon genoemd in ..."
    thisalinea.nativeID = 133
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Wanneer de persoon genoemd in het tweede lid ontbreekt of verhinderd is de aangifte te doen, is tot aangifte verplicht: a. ieder die bij het ter wereld komen van het kind tegenwoordig is geweest; b. de bewoner van het huis waar de geboorte heeft plaats gehad, of indien zulks is geschied in een inrichting tot verpleging of verzorging bestemd, in een gevangenis of in een soortgelijke inrichting, het hoofd van die inrichting of een door hem bij onderhandse akte bijzonderlijk tot het doen van de aangifte aangewezen ondergeschikte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Wanneer de persoon genoemd in het tweede lid ontbreekt of verhinderd is de aangifte te")
    thisalinea.textcontent.append("doen, is tot aangifte verplicht:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. ieder die bij het ter ..."
    thisalinea.nativeID = 134
    thisalinea.parentID = 133
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. ieder die bij het ter wereld komen van het kind tegenwoordig is geweest; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. ieder die bij het ter wereld komen van het kind tegenwoordig is geweest;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de bewoner van het huis ..."
    thisalinea.nativeID = 135
    thisalinea.parentID = 133
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de bewoner van het huis waar de geboorte heeft plaats gehad, of indien zulks is geschied in een inrichting tot verpleging of verzorging bestemd, in een gevangenis of in een soortgelijke inrichting, het hoofd van die inrichting of een door hem bij onderhandse akte bijzonderlijk tot het doen van de aangifte aangewezen ondergeschikte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de bewoner van het huis waar de geboorte heeft plaats gehad, of indien zulks is")
    thisalinea.textcontent.append("geschied in een inrichting tot verpleging of verzorging bestemd, in een gevangenis of")
    thisalinea.textcontent.append("in een soortgelijke inrichting, het hoofd van die inrichting of een door hem bij")
    thisalinea.textcontent.append("onderhandse akte bijzonderlijk tot het doen van de aangifte aangewezen")
    thisalinea.textcontent.append("ondergeschikte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Voor een in het vierde ..."
    thisalinea.nativeID = 136
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Voor een in het vierde lid, onder b, genoemde persoon bestaat de verplichting alleen indien een onder a genoemde persoon ontbreekt of verhinderd is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Voor een in het vierde lid, onder b, genoemde persoon bestaat de verplichting alleen")
    thisalinea.textcontent.append("indien een onder a genoemde persoon ontbreekt of verhinderd is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Wanneer tot de aangifte bevoegde ..."
    thisalinea.nativeID = 137
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Wanneer tot de aangifte bevoegde of verplichte personen ontbreken of nalaten de aangifte te doen, geschiedt deze door of vanwege de burgemeester van de gemeente alwaar de geboorteakte moet worden opgemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Wanneer tot de aangifte bevoegde of verplichte personen ontbreken of nalaten de")
    thisalinea.textcontent.append("aangifte te doen, geschiedt deze door of vanwege de burgemeester van de gemeente")
    thisalinea.textcontent.append("alwaar de geboorteakte moet worden opgemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. De verplichting tot aangifte moet ..."
    thisalinea.nativeID = 138
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. De verplichting tot aangifte moet worden vervuld binnen drie dagen na de dag der bevalling. Van een aangifte later dan de derde dag, bedoeld in de eerste zin van dit lid, wordt door de ambtenaar van de burgerlijke stand mededeling gedaan aan het openbaar ministerie. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. De verplichting tot aangifte moet worden vervuld binnen drie dagen na de dag der")
    thisalinea.textcontent.append("bevalling. Van een aangifte later dan de derde dag, bedoeld in de eerste zin van dit lid,")
    thisalinea.textcontent.append("wordt door de ambtenaar van de burgerlijke stand mededeling gedaan aan het openbaar")
    thisalinea.textcontent.append("ministerie.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 139
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. De ambtenaar van de burgerlijke stand stelt de identiteit van de aangever vast aan de hand van een document als bedoeld in artikel 1 van de Wet op de identificatieplicht, dan wel op bij algemene maatregel van bestuur te bepalen andere wijze. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. De ambtenaar van de burgerlijke stand stelt de identiteit van de aangever vast aan de")
    thisalinea.textcontent.append("hand van een document als bedoeld in artikel 1 van de Wet op de identificatieplicht, dan")
    thisalinea.textcontent.append("wel op bij algemene maatregel van bestuur te bepalen andere wijze.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "9. De aangever verstrekt in ieder ..."
    thisalinea.nativeID = 140
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "9. De aangever verstrekt in ieder geval de volgende gegevens: a. de dag, de plaats en het tijdstip van de geboorte; b. het geslacht van het kind; c. de voornamen van het kind; d. de geslachtsnaam, de voornamen, de dag van geboorte, de woonplaats, het woonadres en e. zo mogelijk, het burgerservicenummer van de moeder uit wie het kind is geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("9. De aangever verstrekt in ieder geval de volgende gegevens:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de dag, de plaats en ..."
    thisalinea.nativeID = 141
    thisalinea.parentID = 140
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de dag, de plaats en het tijdstip van de geboorte; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de dag, de plaats en het tijdstip van de geboorte;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. het geslacht van het kind; "
    thisalinea.nativeID = 142
    thisalinea.parentID = 140
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. het geslacht van het kind; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. het geslacht van het kind;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. de voornamen van het kind; "
    thisalinea.nativeID = 143
    thisalinea.parentID = 140
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. de voornamen van het kind; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. de voornamen van het kind;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. de geslachtsnaam, de voornamen, de ..."
    thisalinea.nativeID = 144
    thisalinea.parentID = 140
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. de geslachtsnaam, de voornamen, de dag van geboorte, de woonplaats, het woonadres en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. de geslachtsnaam, de voornamen, de dag van geboorte, de woonplaats, het")
    thisalinea.textcontent.append("woonadres en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. zo mogelijk, het burgerservicenummer van ..."
    thisalinea.nativeID = 145
    thisalinea.parentID = 140
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. zo mogelijk, het burgerservicenummer van de moeder uit wie het kind is geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. zo mogelijk, het burgerservicenummer van de moeder uit wie het kind is geboren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "10. Bij elektronische aangifte dient de ..."
    thisalinea.nativeID = 146
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "10. Bij elektronische aangifte dient de moeder uit wie het kind is geboren haar burgerservicenummer op te geven en dient de vader zowel zijn burgerservicenummer als dat van de moeder uit wie het kind is geboren op te geven. Tevens dient de moeder uit wie het kind is geboren of de vader de juistheid van de in het negende lid, onder a, b en d genoemde gegevens te laten bevestigen door de betrokken arts of verloskundige. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("10. Bij elektronische aangifte dient de moeder uit wie het kind is geboren haar")
    thisalinea.textcontent.append("burgerservicenummer op te geven en dient de vader zowel zijn burgerservicenummer als")
    thisalinea.textcontent.append("dat van de moeder uit wie het kind is geboren op te geven. Tevens dient de moeder uit")
    thisalinea.textcontent.append("wie het kind is geboren of de vader de juistheid van de in het negende lid, onder a, b en d")
    thisalinea.textcontent.append("genoemde gegevens te laten bevestigen door de betrokken arts of verloskundige.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "11. Bij de aangifte kan de ..."
    thisalinea.nativeID = 147
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 10
    thisalinea.summary = "11. Bij de aangifte kan de ambtenaar van de burgerlijke stand zich doen overleggen een door de arts of de verloskundige die bij het ter wereld komen van het kind tegenwoordig was, opgemaakte verklaring dat het kind uit de als moeder opgegeven persoon is geboren. Is het kind buiten de tegenwoordigheid van een arts of verloskundige ter wereld gekomen, dan kan hij zich een door een zodanige hulpverlener nadien opgemaakte verklaring doen overleggen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("11. Bij de aangifte kan de ambtenaar van de burgerlijke stand zich doen overleggen een door")
    thisalinea.textcontent.append("de arts of de verloskundige die bij het ter wereld komen van het kind tegenwoordig was,")
    thisalinea.textcontent.append("opgemaakte verklaring dat het kind uit de als moeder opgegeven persoon is geboren. Is")
    thisalinea.textcontent.append("het kind buiten de tegenwoordigheid van een arts of verloskundige ter wereld gekomen,")
    thisalinea.textcontent.append("dan kan hij zich een door een zodanige hulpverlener nadien opgemaakte verklaring doen")
    thisalinea.textcontent.append("overleggen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "12. Wordt geen gevolg gegeven aan ..."
    thisalinea.nativeID = 148
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 11
    thisalinea.summary = "12. Wordt geen gevolg gegeven aan het verzoek van de ambtenaar van de burgerlijke stand om overlegging van een verklaring als bedoeld in het elfde lid of is in de verklaring vermeld dat de identiteit van de moeder uit wie het kind is geboren onbekend is, dan is artikel 19b van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("12. Wordt geen gevolg gegeven aan het verzoek van de ambtenaar van de burgerlijke stand")
    thisalinea.textcontent.append("om overlegging van een verklaring als bedoeld in het elfde lid of is in de verklaring")
    thisalinea.textcontent.append("vermeld dat de identiteit van de moeder uit wie het kind is geboren onbekend is, dan is")
    thisalinea.textcontent.append("artikel 19b van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "13. In het derde en vierde ..."
    thisalinea.nativeID = 149
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 12
    thisalinea.summary = "13. In het derde en vierde lid wordt met «de vader» gelijkgesteld de moeder die niet de vrouw is uit wie het kind is geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("13. In het derde en vierde lid wordt met «de vader» gelijkgesteld de moeder die niet de vrouw")
    thisalinea.textcontent.append("is uit wie het kind is geboren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "14. Voor de elektronische aangifte, geregeld ..."
    thisalinea.nativeID = 150
    thisalinea.parentID = 129
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 13
    thisalinea.summary = "14. Voor de elektronische aangifte, geregeld in het eerste en tiende lid, wordt met «de vader» gelijkgesteld de moeder die niet de vrouw is uit wie het kind is geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("14. Voor de elektronische aangifte, geregeld in het eerste en tiende lid, wordt met «de vader»")
    thisalinea.textcontent.append("gelijkgesteld de moeder die niet de vrouw is uit wie het kind is geboren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19f"
    thisalinea.nativeID = 151
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 43
    thisalinea.summary = "1. Een akte van overlijden wordt opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waar het overlijden heeft plaatsgevonden. 2. Indien een lijk is gevonden en de plaats of de dag van overlijden niet met voldoende nauwkeurigheid kan worden vastgesteld, wordt de akte van overlijden opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waarin het lijk is gevonden of aan land gebracht. 3. Ongeacht het in het eerste lid bepaalde is het tweede lid van overeenkomstige toepassing indien het overlijden heeft plaatsgevonden op een op zee gestationeerde installatie en het lijk in Nederland aan "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een akte van overlijden wordt ..."
    thisalinea.nativeID = 152
    thisalinea.parentID = 151
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een akte van overlijden wordt opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waar het overlijden heeft plaatsgevonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een akte van overlijden wordt opgemaakt door de ambtenaar van de burgerlijke stand van")
    thisalinea.textcontent.append("de gemeente waar het overlijden heeft plaatsgevonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien een lijk is gevonden ..."
    thisalinea.nativeID = 153
    thisalinea.parentID = 151
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien een lijk is gevonden en de plaats of de dag van overlijden niet met voldoende nauwkeurigheid kan worden vastgesteld, wordt de akte van overlijden opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waarin het lijk is gevonden of aan land gebracht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien een lijk is gevonden en de plaats of de dag van overlijden niet met voldoende")
    thisalinea.textcontent.append("nauwkeurigheid kan worden vastgesteld, wordt de akte van overlijden opgemaakt door de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand van de gemeente waarin het lijk is gevonden of aan")
    thisalinea.textcontent.append("land gebracht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Ongeacht het in het eerste ..."
    thisalinea.nativeID = 154
    thisalinea.parentID = 151
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Ongeacht het in het eerste lid bepaalde is het tweede lid van overeenkomstige toepassing indien het overlijden heeft plaatsgevonden op een op zee gestationeerde installatie en het lijk in Nederland aan land wordt gebracht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Ongeacht het in het eerste lid bepaalde is het tweede lid van overeenkomstige toepassing")
    thisalinea.textcontent.append("indien het overlijden heeft plaatsgevonden op een op zee gestationeerde installatie en het")
    thisalinea.textcontent.append("lijk in Nederland aan land wordt gebracht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19g"
    thisalinea.nativeID = 155
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 44
    thisalinea.summary = "1. In geval van overlijden op Nederlands grondgebied in een rijdend voertuig of op een varend schip of tijdens een binnenlandse luchtreis met een luchtvaartuig, wordt de akte van overlijden opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waar het lijk het voertuig, het schip of het luchtvaartuig verlaat, dan wel waar het schip ligplaats kiest. Die gemeente geldt als gemeente waar het overlijden heeft plaatsgevonden. 2. In geval van overlijden tijdens een zeereis met een in Nederland geregistreerd voertuig, dan wel tijdens een internationale luchtreis met een in Nederland geregistreerd luchtvaartuig, is de gezagvoerder van het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. In geval van overlijden op ..."
    thisalinea.nativeID = 156
    thisalinea.parentID = 155
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. In geval van overlijden op Nederlands grondgebied in een rijdend voertuig of op een varend schip of tijdens een binnenlandse luchtreis met een luchtvaartuig, wordt de akte van overlijden opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente waar het lijk het voertuig, het schip of het luchtvaartuig verlaat, dan wel waar het schip ligplaats kiest. Die gemeente geldt als gemeente waar het overlijden heeft plaatsgevonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. In geval van overlijden op Nederlands grondgebied in een rijdend voertuig of op een")
    thisalinea.textcontent.append("varend schip of tijdens een binnenlandse luchtreis met een luchtvaartuig, wordt de akte")
    thisalinea.textcontent.append("van overlijden opgemaakt door de ambtenaar van de burgerlijke stand van de gemeente")
    thisalinea.textcontent.append("waar het lijk het voertuig, het schip of het luchtvaartuig verlaat, dan wel waar het schip")
    thisalinea.textcontent.append("ligplaats kiest. Die gemeente geldt als gemeente waar het overlijden heeft")
    thisalinea.textcontent.append("plaatsgevonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In geval van overlijden tijdens ..."
    thisalinea.nativeID = 157
    thisalinea.parentID = 155
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In geval van overlijden tijdens een zeereis met een in Nederland geregistreerd voertuig, dan wel tijdens een internationale luchtreis met een in Nederland geregistreerd luchtvaartuig, is de gezagvoerder van het vaartuig of het luchtvaartuig verplicht een voorlopige akte van overlijden binnen vierentwintig uur in het journaal in te schrijven in tegenwoordigheid van twee getuigen. De gezagvoerder zendt een afschrift van die akte zo spoedig mogelijk naar de ambtenaar van de burgerlijke stand van de gemeente 's- Gravenhage. Deze maakt de akte van overlijden op aan de hand van het ontvangen afschrift, met dien verstande dat hij gegevens die ontbreken "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In geval van overlijden tijdens een zeereis met een in Nederland geregistreerd voertuig,")
    thisalinea.textcontent.append("dan wel tijdens een internationale luchtreis met een in Nederland geregistreerd")
    thisalinea.textcontent.append("luchtvaartuig, is de gezagvoerder van het vaartuig of het luchtvaartuig verplicht een")
    thisalinea.textcontent.append("voorlopige akte van overlijden binnen vierentwintig uur in het journaal in te schrijven in")
    thisalinea.textcontent.append("tegenwoordigheid van twee getuigen. De gezagvoerder zendt een afschrift van die akte")
    thisalinea.textcontent.append("zo spoedig mogelijk naar de ambtenaar van de burgerlijke stand van de gemeente 's-")
    thisalinea.textcontent.append("Gravenhage. Deze maakt de akte van overlijden op aan de hand van het ontvangen")
    thisalinea.textcontent.append("afschrift, met dien verstande dat hij gegevens die ontbreken of hem blijken onjuist te zijn,")
    thisalinea.textcontent.append("zoveel mogelijk aanvult of verbetert. Aan de personen op wie de akte betrekking heeft,")
    thisalinea.textcontent.append("wordt een uittreksel van de akte toegezonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19h"
    thisalinea.nativeID = 158
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 45
    thisalinea.summary = "1. Tot de aangifte van een overlijden is bevoegd wie daarvan uit eigen wetenschap kennis draagt. 2. Binnen de in artikel 16 van de Wet op de lijkbezorging gestelde termijn voor de begraving of crematie, kan de persoon die in de lijkbezorging voorziet, door een in het eerste lid bedoelde persoon worden gemachtigd tot het doen van de aangifte. In dit geval kan de aangifte door de gemachtigde ook elektronisch worden gedaan, als deze weg is geopend. 3. De identiteit van de aangever wordt vastgesteld aan de hand van een document als bedoeld in artikel 1 van de Wet op "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Tot de aangifte van een ..."
    thisalinea.nativeID = 159
    thisalinea.parentID = 158
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Tot de aangifte van een overlijden is bevoegd wie daarvan uit eigen wetenschap kennis draagt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Tot de aangifte van een overlijden is bevoegd wie daarvan uit eigen wetenschap kennis")
    thisalinea.textcontent.append("draagt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Binnen de in artikel 16 ..."
    thisalinea.nativeID = 160
    thisalinea.parentID = 158
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Binnen de in artikel 16 van de Wet op de lijkbezorging gestelde termijn voor de begraving of crematie, kan de persoon die in de lijkbezorging voorziet, door een in het eerste lid bedoelde persoon worden gemachtigd tot het doen van de aangifte. In dit geval kan de aangifte door de gemachtigde ook elektronisch worden gedaan, als deze weg is geopend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Binnen de in artikel 16 van de Wet op de lijkbezorging gestelde termijn voor de begraving")
    thisalinea.textcontent.append("of crematie, kan de persoon die in de lijkbezorging voorziet, door een in het eerste lid")
    thisalinea.textcontent.append("bedoelde persoon worden gemachtigd tot het doen van de aangifte. In dit geval kan de")
    thisalinea.textcontent.append("aangifte door de gemachtigde ook elektronisch worden gedaan, als deze weg is geopend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De identiteit van de aangever ..."
    thisalinea.nativeID = 161
    thisalinea.parentID = 158
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De identiteit van de aangever wordt vastgesteld aan de hand van een document als bedoeld in artikel 1 van de Wet op de identificatieplicht, dan wel op bij algemene maatregel van bestuur te bepalen andere wijze. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De identiteit van de aangever wordt vastgesteld aan de hand van een document als")
    thisalinea.textcontent.append("bedoeld in artikel 1 van de Wet op de identificatieplicht, dan wel op bij algemene")
    thisalinea.textcontent.append("maatregel van bestuur te bepalen andere wijze.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De aangever verstrekt ten minste ..."
    thisalinea.nativeID = 162
    thisalinea.parentID = 158
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De aangever verstrekt ten minste de volgende gegevens van de overledene: a. geslachtsnaam, voornamen en geslacht van de overledene; b. voor zover bekend, plaats en dag van geboorte; c. plaats, dag en, zo mogelijk, het tijdstip van overlijden en d. diens burgerlijke staat en e. diens laatst bekende woonadres of woonplaats. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De aangever verstrekt ten minste de volgende gegevens van de overledene:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. geslachtsnaam, voornamen en geslacht van ..."
    thisalinea.nativeID = 163
    thisalinea.parentID = 162
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. geslachtsnaam, voornamen en geslacht van de overledene; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. geslachtsnaam, voornamen en geslacht van de overledene;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. voor zover bekend, plaats en ..."
    thisalinea.nativeID = 164
    thisalinea.parentID = 162
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. voor zover bekend, plaats en dag van geboorte; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. voor zover bekend, plaats en dag van geboorte;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. plaats, dag en, zo mogelijk, ..."
    thisalinea.nativeID = 165
    thisalinea.parentID = 162
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. plaats, dag en, zo mogelijk, het tijdstip van overlijden en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. plaats, dag en, zo mogelijk, het tijdstip van overlijden en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. diens burgerlijke staat en "
    thisalinea.nativeID = 166
    thisalinea.parentID = 162
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. diens burgerlijke staat en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. diens burgerlijke staat en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. diens laatst bekende woonadres of ..."
    thisalinea.nativeID = 167
    thisalinea.parentID = 162
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. diens laatst bekende woonadres of woonplaats. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. diens laatst bekende woonadres of woonplaats.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Wanneer tot de aangifte bevoegde ..."
    thisalinea.nativeID = 168
    thisalinea.parentID = 158
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Wanneer tot de aangifte bevoegde personen ontbreken of nalaten binnen de in de Wet op de lijkbezorging gestelde termijn voor de begraving of crematie de aangifte te doen, geschiedt deze door of vanwege de burgemeester van de gemeente alwaar de akte van overlijden moet worden opgemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Wanneer tot de aangifte bevoegde personen ontbreken of nalaten binnen de in de Wet op")
    thisalinea.textcontent.append("de lijkbezorging gestelde termijn voor de begraving of crematie de aangifte te doen,")
    thisalinea.textcontent.append("geschiedt deze door of vanwege de burgemeester van de gemeente alwaar de akte van")
    thisalinea.textcontent.append("overlijden moet worden opgemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. In de gevallen bedoeld in ..."
    thisalinea.nativeID = 169
    thisalinea.parentID = 158
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. In de gevallen bedoeld in artikel 19f, tweede en derde lid, geschiedt de aangifte door de hulpofficier van justitie. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. In de gevallen bedoeld in artikel 19f, tweede en derde lid, geschiedt de aangifte door de")
    thisalinea.textcontent.append("hulpofficier van justitie.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19i"
    thisalinea.nativeID = 170
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 46
    thisalinea.summary = "1. Wanneer een kind levenloos ter wereld is gekomen, wordt een akte opgemaakt, die in het register van overlijden wordt opgenomen. 2. Wanneer een kind binnen de in artikel 19e, zesde lid, bepaalde termijn is overleden voordat aangifte van de geboorte is geschied, wordt zowel een akte van geboorte als een akte van overlijden opgemaakt. 3. In de in de vorige leden bedoelde gevallen is ten aanzien van de aangifte het bepaalde in artikel 19h van overeenkomstige toepassing. In het in het tweede lid bedoelde geval blijft artikel 19e buiten toepassing. 4. In het geval, bedoeld in het eerste lid, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer een kind levenloos ter ..."
    thisalinea.nativeID = 171
    thisalinea.parentID = 170
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer een kind levenloos ter wereld is gekomen, wordt een akte opgemaakt, die in het register van overlijden wordt opgenomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer een kind levenloos ter wereld is gekomen, wordt een akte opgemaakt, die in het")
    thisalinea.textcontent.append("register van overlijden wordt opgenomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Wanneer een kind binnen de ..."
    thisalinea.nativeID = 172
    thisalinea.parentID = 170
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Wanneer een kind binnen de in artikel 19e, zesde lid, bepaalde termijn is overleden voordat aangifte van de geboorte is geschied, wordt zowel een akte van geboorte als een akte van overlijden opgemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Wanneer een kind binnen de in artikel 19e, zesde lid, bepaalde termijn is overleden")
    thisalinea.textcontent.append("voordat aangifte van de geboorte is geschied, wordt zowel een akte van geboorte als een")
    thisalinea.textcontent.append("akte van overlijden opgemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In de in de vorige ..."
    thisalinea.nativeID = 173
    thisalinea.parentID = 170
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In de in de vorige leden bedoelde gevallen is ten aanzien van de aangifte het bepaalde in artikel 19h van overeenkomstige toepassing. In het in het tweede lid bedoelde geval blijft artikel 19e buiten toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In de in de vorige leden bedoelde gevallen is ten aanzien van de aangifte het bepaalde in")
    thisalinea.textcontent.append("artikel 19h van overeenkomstige toepassing. In het in het tweede lid bedoelde geval blijft")
    thisalinea.textcontent.append("artikel 19e buiten toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. In het geval, bedoeld in ..."
    thisalinea.nativeID = 174
    thisalinea.parentID = 170
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. In het geval, bedoeld in het eerste lid, verstrekt de ambtenaar van de burgerlijke stand aan het Centraal Bureau voor de Statistiek zo spoedig mogelijk de gegevens betreffende dat kind, die zijn vermeld in het daartoe door hem te gebruiken formulier dat door Onze Minister van Veiligheid en Justitie is vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. In het geval, bedoeld in het eerste lid, verstrekt de ambtenaar van de burgerlijke stand")
    thisalinea.textcontent.append("aan het Centraal Bureau voor de Statistiek zo spoedig mogelijk de gegevens betreffende")
    thisalinea.textcontent.append("dat kind, die zijn vermeld in het daartoe door hem te gebruiken formulier dat door Onze")
    thisalinea.textcontent.append("Minister van Veiligheid en Justitie is vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19j"
    thisalinea.nativeID = 175
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 47
    thisalinea.summary = "1. Bij algemene maatregel van bestuur wordt geregeld al wat betreft de aan de ambtenaar over te leggen stukken, het opmaken van de akten, onderscheidenlijk de voorlopige akten van geboorte en van overlijden, en de inhoud daarvan. 2. Bij algemene maatregel van bestuur wordt tevens geregeld: a. op welke wijze en waar de akten van geboorte en van overlijden zullen worden opgemaakt en ingeschreven wanneer dit ten gevolge van een verbod van verkeer of ten gevolge van andere buitengewone omstandigheden niet op de gewone wijze kan geschieden; en b. op welke wijze en waar overlijdensakten zullen worden opgemaakt van militairen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 176
    thisalinea.parentID = 175
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Bij algemene maatregel van bestuur wordt geregeld al wat betreft de aan de ambtenaar over te leggen stukken, het opmaken van de akten, onderscheidenlijk de voorlopige akten van geboorte en van overlijden, en de inhoud daarvan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Bij algemene maatregel van bestuur wordt geregeld al wat betreft de aan de ambtenaar")
    thisalinea.textcontent.append("over te leggen stukken, het opmaken van de akten, onderscheidenlijk de voorlopige akten")
    thisalinea.textcontent.append("van geboorte en van overlijden, en de inhoud daarvan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 177
    thisalinea.parentID = 175
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bij algemene maatregel van bestuur wordt tevens geregeld: a. op welke wijze en waar de akten van geboorte en van overlijden zullen worden opgemaakt en ingeschreven wanneer dit ten gevolge van een verbod van verkeer of ten gevolge van andere buitengewone omstandigheden niet op de gewone wijze kan geschieden; en b. op welke wijze en waar overlijdensakten zullen worden opgemaakt van militairen en van andere personen, die tot de krijgsmacht behoren en die te velde, in de slag, of in ’s Rijks dienst buiten Nederland zijn overleden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bij algemene maatregel van bestuur wordt tevens geregeld:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. op welke wijze en waar ..."
    thisalinea.nativeID = 178
    thisalinea.parentID = 177
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. op welke wijze en waar de akten van geboorte en van overlijden zullen worden opgemaakt en ingeschreven wanneer dit ten gevolge van een verbod van verkeer of ten gevolge van andere buitengewone omstandigheden niet op de gewone wijze kan geschieden; en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. op welke wijze en waar de akten van geboorte en van overlijden zullen worden")
    thisalinea.textcontent.append("opgemaakt en ingeschreven wanneer dit ten gevolge van een verbod van verkeer of")
    thisalinea.textcontent.append("ten gevolge van andere buitengewone omstandigheden niet op de gewone wijze kan")
    thisalinea.textcontent.append("geschieden; en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. op welke wijze en waar ..."
    thisalinea.nativeID = 179
    thisalinea.parentID = 177
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. op welke wijze en waar overlijdensakten zullen worden opgemaakt van militairen en van andere personen, die tot de krijgsmacht behoren en die te velde, in de slag, of in ’s Rijks dienst buiten Nederland zijn overleden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. op welke wijze en waar overlijdensakten zullen worden opgemaakt van militairen en")
    thisalinea.textcontent.append("van andere personen, die tot de krijgsmacht behoren en die te velde, in de slag, of in")
    thisalinea.textcontent.append("’s Rijks dienst buiten Nederland zijn overleden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 19k"
    thisalinea.nativeID = 180
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 48
    thisalinea.summary = "bevoegde diplomatieke of consulaire autoriteit verzoeken om afgifte van: 1. Een ieder die zijn gewone verblijfplaats in Nederland heeft, kan de ambtenaar van de burgerlijke stand van zijn woonplaats verzoeken om afgifte van een attestatie de vita opgesteld overeenkomstig bijlage 1 van de op 10 september 1998 te Parijs tot stand gekomen Overeenkomst betreffende de afgifte van een attestatie de vita (Trb. 2004, 283). 2. De verzoeker verschijnt in persoon voor de ambtenaar van de burgerlijke stand van zijn woonplaats, dan wel voor de daartoe in Nederland bevoegde diplomatieke of consulaire autoriteit, tenzij hij in de onmogelijkheid hiertoe verkeert. Hij "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("bevoegde diplomatieke of consulaire autoriteit verzoeken om afgifte van:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een ieder die zijn gewone ..."
    thisalinea.nativeID = 181
    thisalinea.parentID = 180
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een ieder die zijn gewone verblijfplaats in Nederland heeft, kan de ambtenaar van de burgerlijke stand van zijn woonplaats verzoeken om afgifte van een attestatie de vita opgesteld overeenkomstig bijlage 1 van de op 10 september 1998 te Parijs tot stand gekomen Overeenkomst betreffende de afgifte van een attestatie de vita (Trb. 2004, 283). "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een ieder die zijn gewone verblijfplaats in Nederland heeft, kan de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand van zijn woonplaats verzoeken om afgifte van een attestatie de vita")
    thisalinea.textcontent.append("opgesteld overeenkomstig bijlage 1 van de op 10 september 1998 te Parijs tot stand")
    thisalinea.textcontent.append("gekomen Overeenkomst betreffende de afgifte van een attestatie de vita (Trb. 2004, 283).")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De verzoeker verschijnt in persoon ..."
    thisalinea.nativeID = 182
    thisalinea.parentID = 180
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De verzoeker verschijnt in persoon voor de ambtenaar van de burgerlijke stand van zijn woonplaats, dan wel voor de daartoe in Nederland bevoegde diplomatieke of consulaire autoriteit, tenzij hij in de onmogelijkheid hiertoe verkeert. Hij toont zijn identiteit aan aan de hand van een document als bedoeld in artikel 1 van de Wet op de identificatieplicht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De verzoeker verschijnt in persoon voor de ambtenaar van de burgerlijke stand van zijn")
    thisalinea.textcontent.append("woonplaats, dan wel voor de daartoe in Nederland bevoegde diplomatieke of consulaire")
    thisalinea.textcontent.append("autoriteit, tenzij hij in de onmogelijkheid hiertoe verkeert. Hij toont zijn identiteit aan aan de")
    thisalinea.textcontent.append("hand van een document als bedoeld in artikel 1 van de Wet op de identificatieplicht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De attestatie de vita is ..."
    thisalinea.nativeID = 183
    thisalinea.parentID = 180
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De attestatie de vita is gedurende zes maanden geldig, te rekenen vanaf de datum van afgifte. Zij is vrijgesteld van de vereisten van vertaling en van legalisatie dan wel van enig soortgelijk formeel vereiste. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De attestatie de vita is gedurende zes maanden geldig, te rekenen vanaf de datum van")
    thisalinea.textcontent.append("afgifte. Zij is vrijgesteld van de vereisten van vertaling en van legalisatie dan wel van enig")
    thisalinea.textcontent.append("soortgelijk formeel vereiste.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De attestatie de vita wordt ..."
    thisalinea.nativeID = 184
    thisalinea.parentID = 180
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De attestatie de vita wordt afgegeven in de Nederlandse taal en in de Franse taal. Op verzoek wordt daarbij tevens afgegeven: a. de lijst van coderingen en de vertaling ervan in de officiële taal of in één van de officiële talen van het land waar de attestatie overgelegd zal worden, of b. de vertaling in de officiële taal of in één van de officiële talen van de landen die bij de in het eerste lid genoemde Overeenkomst partij zijn. De vertaling wordt uitgevoerd overeenkomstig de in de bijlage bij de Overeenkomst vastgestelde termen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De attestatie de vita wordt afgegeven in de Nederlandse taal en in de Franse taal. Op")
    thisalinea.textcontent.append("verzoek wordt daarbij tevens afgegeven:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de lijst van coderingen en ..."
    thisalinea.nativeID = 185
    thisalinea.parentID = 184
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de lijst van coderingen en de vertaling ervan in de officiële taal of in één van de officiële talen van het land waar de attestatie overgelegd zal worden, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de lijst van coderingen en de vertaling ervan in de officiële taal of in één van de")
    thisalinea.textcontent.append("officiële talen van het land waar de attestatie overgelegd zal worden, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de vertaling in de officiële ..."
    thisalinea.nativeID = 186
    thisalinea.parentID = 184
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de vertaling in de officiële taal of in één van de officiële talen van de landen die bij de in het eerste lid genoemde Overeenkomst partij zijn. De vertaling wordt uitgevoerd overeenkomstig de in de bijlage bij de Overeenkomst vastgestelde termen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de vertaling in de officiële taal of in één van de officiële talen van de landen die bij de")
    thisalinea.textcontent.append("in het eerste lid genoemde Overeenkomst partij zijn. De vertaling wordt uitgevoerd")
    thisalinea.textcontent.append("overeenkomstig de in de bijlage bij de Overeenkomst vastgestelde termen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Iedere belanghebbende kan met betrekking ..."
    thisalinea.nativeID = 187
    thisalinea.parentID = 180
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Iedere belanghebbende kan met betrekking tot een attestatie de vita die is afgegeven in een ander land dat partij is bij de in het eerste lid genoemde Overeenkomst, de ambtenaar van de burgerlijke stand in zijn woonplaats dan wel de daartoe in Nederland a. een vertaling van de coderingen in het Nederlands, of b. een vertaling van de attestatie de vita in het Nederlands. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Iedere belanghebbende kan met betrekking tot een attestatie de vita die is afgegeven in")
    thisalinea.textcontent.append("een ander land dat partij is bij de in het eerste lid genoemde Overeenkomst, de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand in zijn woonplaats dan wel de daartoe in Nederland")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. een vertaling van de coderingen ..."
    thisalinea.nativeID = 188
    thisalinea.parentID = 187
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. een vertaling van de coderingen in het Nederlands, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. een vertaling van de coderingen in het Nederlands, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. een vertaling van de attestatie ..."
    thisalinea.nativeID = 189
    thisalinea.parentID = 187
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een vertaling van de attestatie de vita in het Nederlands. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een vertaling van de attestatie de vita in het Nederlands.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 5. Latere vermeldingen"
    thisalinea.nativeID = 190
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 49
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 20"
    thisalinea.nativeID = 191
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 50
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand voegt aan de onder hem berustende akten van de burgerlijke stand latere vermeldingen toe van akten van de burgerlijke stand en andere authentieke akten houdende naamskeuze, erkenning, ontkenning van het vaderschap of moederschap door de moeder, van besluiten houdende wijziging of vaststelling van namen, van bevestigingen van opties mede houdende vaststelling van namen en naturalisatiebesluiten mede houdende wijziging of vaststelling van namen alsmede van besluiten tot intrekking van zulke bevestigingen of besluiten, van de opgave van afwijkende namen die een persoon die meer dan één nationaliteit bezit, voert in overeenstemming met het recht "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 192
    thisalinea.parentID = 191
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand voegt aan de onder hem berustende akten van de burgerlijke stand latere vermeldingen toe van akten van de burgerlijke stand en andere authentieke akten houdende naamskeuze, erkenning, ontkenning van het vaderschap of moederschap door de moeder, van besluiten houdende wijziging of vaststelling van namen, van bevestigingen van opties mede houdende vaststelling van namen en naturalisatiebesluiten mede houdende wijziging of vaststelling van namen alsmede van besluiten tot intrekking van zulke bevestigingen of besluiten, van de opgave van afwijkende namen die een persoon die meer dan één nationaliteit bezit, voert in overeenstemming met het recht "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ambtenaar van de burgerlijke stand voegt aan de onder hem berustende akten van de")
    thisalinea.textcontent.append("burgerlijke stand latere vermeldingen toe van akten van de burgerlijke stand en andere")
    thisalinea.textcontent.append("authentieke akten houdende naamskeuze, erkenning, ontkenning van het vaderschap of")
    thisalinea.textcontent.append("moederschap door de moeder, van besluiten houdende wijziging of vaststelling van")
    thisalinea.textcontent.append("namen, van bevestigingen van opties mede houdende vaststelling van namen en")
    thisalinea.textcontent.append("naturalisatiebesluiten mede houdende wijziging of vaststelling van namen alsmede van")
    thisalinea.textcontent.append("besluiten tot intrekking van zulke bevestigingen of besluiten, van de opgave van")
    thisalinea.textcontent.append("afwijkende namen die een persoon die meer dan één nationaliteit bezit, voert in")
    thisalinea.textcontent.append("overeenstemming met het recht van het land waarvan hij mede de nationaliteit bezit, van")
    thisalinea.textcontent.append("akten houdende beëindiging van een geregistreerd partnerschap, van akten van")
    thisalinea.textcontent.append("omzetting van een geregistreerd partnerschap, wijziging van de vermelding van het")
    thisalinea.textcontent.append("geslacht na een aangifte als bedoeld in artikel 28, alsmede van rechterlijke uitspraken")
    thisalinea.textcontent.append("waarvan de dagtekening ten minste drie maanden oud is en die inhouden:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. een last tot wijziging van ..."
    thisalinea.nativeID = 193
    thisalinea.parentID = 192
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. een last tot wijziging van de voornamen of van de geslachtsnaam, een adoptie, een herroeping van een adoptie, een vernietiging van een erkenning, een gerechtelijke vaststelling van het ouderschap, een gegrondverklaring van een ontkenning van het vaderschap of moederschap of, of een vernietiging van zulk een uitspraak; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. een last tot wijziging van de voornamen of van de geslachtsnaam, een adoptie, een")
    thisalinea.textcontent.append("herroeping van een adoptie, een vernietiging van een erkenning, een gerechtelijke")
    thisalinea.textcontent.append("vaststelling van het ouderschap, een gegrondverklaring van een ontkenning van het")
    thisalinea.textcontent.append("vaderschap of moederschap of, of een vernietiging van zulk een uitspraak;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de nietigverklaring van een huwelijk ..."
    thisalinea.nativeID = 194
    thisalinea.parentID = 192
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de nietigverklaring van een huwelijk of van een geregistreerd partnerschap of de vernietiging van zulk een uitspraak tussen echtelieden of geregistreerde partners wier huwelijksakte onderscheidenlijk akte van een geregistreerd partnerschap, dan wel akte van omzetting van een geregistreerd partnerschap of huwelijk in de Nederlandse registers van de burgerlijke stand is opgenomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de nietigverklaring van een huwelijk of van een geregistreerd partnerschap of de")
    thisalinea.textcontent.append("vernietiging van zulk een uitspraak tussen echtelieden of geregistreerde partners wier")
    thisalinea.textcontent.append("huwelijksakte onderscheidenlijk akte van een geregistreerd partnerschap, dan wel")
    thisalinea.textcontent.append("akte van omzetting van een geregistreerd partnerschap of huwelijk in de Nederlandse")
    thisalinea.textcontent.append("registers van de burgerlijke stand is opgenomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 195
    thisalinea.parentID = 191
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De ambtenaar van de burgerlijke stand voegt eveneens aan de onder hem berustende akten van de burgerlijke stand latere vermeldingen toe van in kracht van gewijsde gegane rechterlijke uitspraken die een echtscheiding of een ontbinding van een geregistreerd partnerschap, een ontbinding van een huwelijk na scheiding van tafel en bed of de vernietiging van zulk een uitspraak tussen echtelieden wier huwelijksakte, akte van registratie van een partnerschap of akte van omzetting van een geregistreerd partnerschap of huwelijk in de Nederlandse registers van de burgerlijke stand is opgenomen, inhouden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De ambtenaar van de burgerlijke stand voegt eveneens aan de onder hem berustende")
    thisalinea.textcontent.append("akten van de burgerlijke stand latere vermeldingen toe van in kracht van gewijsde gegane")
    thisalinea.textcontent.append("rechterlijke uitspraken die een echtscheiding of een ontbinding van een geregistreerd")
    thisalinea.textcontent.append("partnerschap, een ontbinding van een huwelijk na scheiding van tafel en bed of de")
    thisalinea.textcontent.append("vernietiging van zulk een uitspraak tussen echtelieden wier huwelijksakte, akte van")
    thisalinea.textcontent.append("registratie van een partnerschap of akte van omzetting van een geregistreerd")
    thisalinea.textcontent.append("partnerschap of huwelijk in de Nederlandse registers van de burgerlijke stand is")
    thisalinea.textcontent.append("opgenomen, inhouden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 20a"
    thisalinea.nativeID = 196
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 51
    thisalinea.summary = "latere vermelding toegevoegd aan de geboorteakte van de betrokkene en de geboortenakten van diens kinderen, voor zover hun naam eveneens verandert. 1. De in artikel 20 bedoelde latere vermeldingen, met uitzondering van de vermeldingen bedoeld in het eerste lid, onder b, alsmede van de vermeldingen houdende beëindiging van een geregistreerd partnerschap en van de vermeldingen van een omzetting van een geregistreerd partnerschap, worden toegevoegd aan de geboorteakte van de betrokken persoon. Van een wijziging of vaststelling van de geslachtsnaam wordt tevens een latere vermelding toegevoegd aan de geboorteakten van de kinderen van de betrokken persoon, voor zover de wijziging of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("latere vermelding toegevoegd aan de geboorteakte van de betrokkene en de")
    thisalinea.textcontent.append("geboortenakten van diens kinderen, voor zover hun naam eveneens verandert.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De in artikel 20 bedoelde ..."
    thisalinea.nativeID = 197
    thisalinea.parentID = 196
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De in artikel 20 bedoelde latere vermeldingen, met uitzondering van de vermeldingen bedoeld in het eerste lid, onder b, alsmede van de vermeldingen houdende beëindiging van een geregistreerd partnerschap en van de vermeldingen van een omzetting van een geregistreerd partnerschap, worden toegevoegd aan de geboorteakte van de betrokken persoon. Van een wijziging of vaststelling van de geslachtsnaam wordt tevens een latere vermelding toegevoegd aan de geboorteakten van de kinderen van de betrokken persoon, voor zover de wijziging of vaststelling zich tot hen uitstrekt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De in artikel 20 bedoelde latere vermeldingen, met uitzondering van de vermeldingen")
    thisalinea.textcontent.append("bedoeld in het eerste lid, onder b, alsmede van de vermeldingen houdende beëindiging")
    thisalinea.textcontent.append("van een geregistreerd partnerschap en van de vermeldingen van een omzetting van een")
    thisalinea.textcontent.append("geregistreerd partnerschap, worden toegevoegd aan de geboorteakte van de betrokken")
    thisalinea.textcontent.append("persoon. Van een wijziging of vaststelling van de geslachtsnaam wordt tevens een latere")
    thisalinea.textcontent.append("vermelding toegevoegd aan de geboorteakten van de kinderen van de betrokken persoon,")
    thisalinea.textcontent.append("voor zover de wijziging of vaststelling zich tot hen uitstrekt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De in artikel 20, eerste ..."
    thisalinea.nativeID = 198
    thisalinea.parentID = 196
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De in artikel 20, eerste lid, onder b, en tweede lid, bedoelde latere vermeldingen alsmede de in de aanhef van artikel 20, eerste lid, bedoelde beëindiging van een geregistreerd partnerschap en de daar bedoelde omzetting, worden toegevoegd aan de huwelijksakte dan wel aan de akte van registratie van een partnerschap van de betrokken persoon. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De in artikel 20, eerste lid, onder b, en tweede lid, bedoelde latere vermeldingen alsmede")
    thisalinea.textcontent.append("de in de aanhef van artikel 20, eerste lid, bedoelde beëindiging van een geregistreerd")
    thisalinea.textcontent.append("partnerschap en de daar bedoelde omzetting, worden toegevoegd aan de huwelijksakte")
    thisalinea.textcontent.append("dan wel aan de akte van registratie van een partnerschap van de betrokken persoon.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Wanneer als gevolg van het ..."
    thisalinea.nativeID = 199
    thisalinea.parentID = 196
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Wanneer als gevolg van het huwelijk of van de echtscheiding een verandering intreedt in de geslachtsnaam van een persoon, wordt hiervan, voorzover zij niet in de huwelijksakte is vermeld, aan deze akte een latere vermelding toegevoegd. Tevens wordt daarvan een "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Wanneer als gevolg van het huwelijk of van de echtscheiding een verandering intreedt in")
    thisalinea.textcontent.append("de geslachtsnaam van een persoon, wordt hiervan, voorzover zij niet in de huwelijksakte")
    thisalinea.textcontent.append("is vermeld, aan deze akte een latere vermelding toegevoegd. Tevens wordt daarvan een")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 20b"
    thisalinea.nativeID = 200
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 52
    thisalinea.summary = "1. Van akten en uitspraken die buiten Nederland overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn opgemaakt of gedaan en een overeenkomstige uitwerking hebben als de akten en rechterlijke uitspraken, bedoeld in artikel 20, wordt, tenzij de Nederlandse openbare orde zich hiertegen verzet, op verzoek van een belanghebbende dan wel ambtshalve, door de ambtenaar van de burgerlijke stand een latere vermelding toegevoegd aan de desbetreffende in de registers van de burgerlijke stand hier te lande voorkomende huwelijksakte, akte van registratie van een partnerschap, akte van omzetting van een geregistreerd partnerschap of huwelijk of geboorteakte. Van een verandering van de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Van akten en uitspraken die ..."
    thisalinea.nativeID = 201
    thisalinea.parentID = 200
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Van akten en uitspraken die buiten Nederland overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn opgemaakt of gedaan en een overeenkomstige uitwerking hebben als de akten en rechterlijke uitspraken, bedoeld in artikel 20, wordt, tenzij de Nederlandse openbare orde zich hiertegen verzet, op verzoek van een belanghebbende dan wel ambtshalve, door de ambtenaar van de burgerlijke stand een latere vermelding toegevoegd aan de desbetreffende in de registers van de burgerlijke stand hier te lande voorkomende huwelijksakte, akte van registratie van een partnerschap, akte van omzetting van een geregistreerd partnerschap of huwelijk of geboorteakte. Van een verandering van de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Van akten en uitspraken die buiten Nederland overeenkomstig de plaatselijke")
    thisalinea.textcontent.append("voorschriften door een bevoegde instantie zijn opgemaakt of gedaan en een")
    thisalinea.textcontent.append("overeenkomstige uitwerking hebben als de akten en rechterlijke uitspraken, bedoeld in")
    thisalinea.textcontent.append("artikel 20, wordt, tenzij de Nederlandse openbare orde zich hiertegen verzet, op verzoek")
    thisalinea.textcontent.append("van een belanghebbende dan wel ambtshalve, door de ambtenaar van de burgerlijke")
    thisalinea.textcontent.append("stand een latere vermelding toegevoegd aan de desbetreffende in de registers van de")
    thisalinea.textcontent.append("burgerlijke stand hier te lande voorkomende huwelijksakte, akte van registratie van een")
    thisalinea.textcontent.append("partnerschap, akte van omzetting van een geregistreerd partnerschap of huwelijk of")
    thisalinea.textcontent.append("geboorteakte. Van een verandering van de geslachtsnaam wordt op verzoek van een")
    thisalinea.textcontent.append("belanghebbende tevens een latere vermelding gevoegd bij de geboorteakte van de")
    thisalinea.textcontent.append("kinderen van de betrokken persoon, voor zover hun naam eveneens verandert.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien een latere vermelding ambtshalve ..."
    thisalinea.nativeID = 202
    thisalinea.parentID = 200
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien een latere vermelding ambtshalve aan een akte is toegevoegd, zendt de ambtenaar van de burgerlijke stand een afschrift van de akte en de latere vermelding aan de persoon of personen op wie de akte betrekking heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien een latere vermelding ambtshalve aan een akte is toegevoegd, zendt de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand een afschrift van de akte en de latere vermelding aan")
    thisalinea.textcontent.append("de persoon of personen op wie de akte betrekking heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 20c"
    thisalinea.nativeID = 203
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 53
    thisalinea.summary = "De artikelen 18 en 18c zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De artikelen 18 en 18c zijn van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 20d"
    thisalinea.nativeID = 204
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 54
    thisalinea.summary = "Bij algemene maatregel van bestuur wordt geregeld al wat betreft de aan de ambtenaar over te leggen stukken, het opmaken van de latere vermeldingen en de inhoud daarvan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij algemene maatregel van bestuur wordt geregeld al wat betreft de aan de ambtenaar over")
    thisalinea.textcontent.append("te leggen stukken, het opmaken van de latere vermeldingen en de inhoud daarvan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 20e"
    thisalinea.nativeID = 205
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 55
    thisalinea.summary = "1. Van de in artikel 20, eerste lid, genoemde uitspraken zendt de griffier van het college waarvoor de zaak laatstelijk aanhangig was niet eerder dan drie maanden na de dag van de beschikking een afschrift aan de ambtenaar van de burgerlijke stand. 2. Van besluiten houdende wijziging of vaststelling van namen en van naturalisatiebesluiten mede houdende wijziging of vaststelling van namen zendt Onze Minister van Justitie onverwijld een afschrift aan de ambtenaar van de burgerlijke stand onder wie de akte van geboorte van de betrokken persoon berust. 3. De notaris die een akte van erkenning heeft opgemaakt, zendt onverwijld een "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Van de in artikel 20, ..."
    thisalinea.nativeID = 206
    thisalinea.parentID = 205
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Van de in artikel 20, eerste lid, genoemde uitspraken zendt de griffier van het college waarvoor de zaak laatstelijk aanhangig was niet eerder dan drie maanden na de dag van de beschikking een afschrift aan de ambtenaar van de burgerlijke stand. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Van de in artikel 20, eerste lid, genoemde uitspraken zendt de griffier van het college")
    thisalinea.textcontent.append("waarvoor de zaak laatstelijk aanhangig was niet eerder dan drie maanden na de dag van")
    thisalinea.textcontent.append("de beschikking een afschrift aan de ambtenaar van de burgerlijke stand.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Van besluiten houdende wijziging of ..."
    thisalinea.nativeID = 207
    thisalinea.parentID = 205
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Van besluiten houdende wijziging of vaststelling van namen en van naturalisatiebesluiten mede houdende wijziging of vaststelling van namen zendt Onze Minister van Justitie onverwijld een afschrift aan de ambtenaar van de burgerlijke stand onder wie de akte van geboorte van de betrokken persoon berust. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Van besluiten houdende wijziging of vaststelling van namen en van naturalisatiebesluiten")
    thisalinea.textcontent.append("mede houdende wijziging of vaststelling van namen zendt Onze Minister van Justitie")
    thisalinea.textcontent.append("onverwijld een afschrift aan de ambtenaar van de burgerlijke stand onder wie de akte van")
    thisalinea.textcontent.append("geboorte van de betrokken persoon berust.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De notaris die een akte ..."
    thisalinea.nativeID = 208
    thisalinea.parentID = 205
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De notaris die een akte van erkenning heeft opgemaakt, zendt onverwijld een afschrift of een uittreksel daarvan aan de ambtenaar van de burgerlijke stand onder wie de akte van geboorte van het kind berust. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De notaris die een akte van erkenning heeft opgemaakt, zendt onverwijld een afschrift of")
    thisalinea.textcontent.append("een uittreksel daarvan aan de ambtenaar van de burgerlijke stand onder wie de akte van")
    thisalinea.textcontent.append("geboorte van het kind berust.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 20f"
    thisalinea.nativeID = 209
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 56
    thisalinea.summary = "opmaken van de akte. 1. De ambtenaar van de burgerlijke stand die de gegevens van een akte van naamskeuze opneemt in de akte van geboorte van het kind, zendt een afschrift van die akte aan de ambtenaar van de burgerlijke stand die de akte van naamskeuze heeft opgemaakt. Deze akte wordt bewaard totdat achttien maanden zijn verstreken na de ontvangst van dat afschrift. 2. De ambtenaar van de burgerlijke stand die een latere vermelding van de naamskeuze, de erkenning toevoegt aan de akte van geboorte van het kind, zendt een afschrift van die akte en de latere vermelding aan de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("opmaken van de akte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 210
    thisalinea.parentID = 209
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand die de gegevens van een akte van naamskeuze opneemt in de akte van geboorte van het kind, zendt een afschrift van die akte aan de ambtenaar van de burgerlijke stand die de akte van naamskeuze heeft opgemaakt. Deze akte wordt bewaard totdat achttien maanden zijn verstreken na de ontvangst van dat afschrift. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ambtenaar van de burgerlijke stand die de gegevens van een akte van naamskeuze")
    thisalinea.textcontent.append("opneemt in de akte van geboorte van het kind, zendt een afschrift van die akte aan de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand die de akte van naamskeuze heeft opgemaakt. Deze")
    thisalinea.textcontent.append("akte wordt bewaard totdat achttien maanden zijn verstreken na de ontvangst van dat")
    thisalinea.textcontent.append("afschrift.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 211
    thisalinea.parentID = 209
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De ambtenaar van de burgerlijke stand die een latere vermelding van de naamskeuze, de erkenning toevoegt aan de akte van geboorte van het kind, zendt een afschrift van die akte en de latere vermelding aan de personen op wie de akte betrekking heeft. Hij zendt een afschrift aan de ambtenaar van de burgerlijke stand die de akte van naamskeuze, van erkenning heeft opgemaakt. Laatstgenoemde akte wordt bewaard totdat achttien maanden zijn verstreken na de ontvangst van laatstgenoemd afschrift dan wel, indien geen zodanig afschrift wordt ontvangen, totdat achttien maanden zijn verstreken na het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De ambtenaar van de burgerlijke stand die een latere vermelding van de naamskeuze, de")
    thisalinea.textcontent.append("erkenning toevoegt aan de akte van geboorte van het kind, zendt een afschrift van die")
    thisalinea.textcontent.append("akte en de latere vermelding aan de personen op wie de akte betrekking heeft. Hij zendt")
    thisalinea.textcontent.append("een afschrift aan de ambtenaar van de burgerlijke stand die de akte van naamskeuze, van")
    thisalinea.textcontent.append("erkenning heeft opgemaakt. Laatstgenoemde akte wordt bewaard totdat achttien")
    thisalinea.textcontent.append("maanden zijn verstreken na de ontvangst van laatstgenoemd afschrift dan wel, indien")
    thisalinea.textcontent.append("geen zodanig afschrift wordt ontvangen, totdat achttien maanden zijn verstreken na het")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 20g"
    thisalinea.nativeID = 212
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 57
    thisalinea.summary = "De ambtenaar van de burgerlijke stand die aan de geboorteakte van een minderjarige een latere vermelding toevoegt, waaruit blijkt dat de minderjarige is erkend, of dat een naam van hem is gewijzigd, geeft van dit feit kennis aan de bewaarder van het in artikel 244 van dit boek bedoelde openbare register waarin rechtsfeiten omtrent die minderjarige zijn opgenomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De ambtenaar van de burgerlijke stand die aan de geboorteakte van een minderjarige een")
    thisalinea.textcontent.append("latere vermelding toevoegt, waaruit blijkt dat de minderjarige is erkend, of dat een naam van")
    thisalinea.textcontent.append("hem is gewijzigd, geeft van dit feit kennis aan de bewaarder van het in artikel 244 van dit")
    thisalinea.textcontent.append("boek bedoelde openbare register waarin rechtsfeiten omtrent die minderjarige zijn")
    thisalinea.textcontent.append("opgenomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 20h"
    thisalinea.nativeID = 213
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 58
    thisalinea.summary = "[Vervallen per 01-01-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 6. Akten van inschrijving van bepaalde rechterlijke uitspraken"
    thisalinea.nativeID = 214
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 59
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 21"
    thisalinea.nativeID = 215
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 60
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand te 's-Gravenhage maakt akten van inschrijving op van in kracht van gewijsde gegane rechterlijke uitspraken betreffende huwelijken of registraties van een partnerschap, waarvan de akten niet in de Nederlandse registers van de burgerlijke stand zijn opgenomen, welke inhouden de nietigverklaring van een huwelijk of van een geregistreerd partnerschap, een echtscheiding, de ontbinding van een geregistreerd partnerschap, de ontbinding van een huwelijk na scheiding van tafel en bed of de vernietiging van zulk een ingeschreven uitspraak, dan wel de beëindiging van een geregistreerd partnerschap, bedoeld in artikel 80c, onder c, of de vernietiging daarvan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 216
    thisalinea.parentID = 215
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand te 's-Gravenhage maakt akten van inschrijving op van in kracht van gewijsde gegane rechterlijke uitspraken betreffende huwelijken of registraties van een partnerschap, waarvan de akten niet in de Nederlandse registers van de burgerlijke stand zijn opgenomen, welke inhouden de nietigverklaring van een huwelijk of van een geregistreerd partnerschap, een echtscheiding, de ontbinding van een geregistreerd partnerschap, de ontbinding van een huwelijk na scheiding van tafel en bed of de vernietiging van zulk een ingeschreven uitspraak, dan wel de beëindiging van een geregistreerd partnerschap, bedoeld in artikel 80c, onder c, of de vernietiging daarvan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ambtenaar van de burgerlijke stand te 's-Gravenhage maakt akten van inschrijving op")
    thisalinea.textcontent.append("van in kracht van gewijsde gegane rechterlijke uitspraken betreffende huwelijken of")
    thisalinea.textcontent.append("registraties van een partnerschap, waarvan de akten niet in de Nederlandse registers van")
    thisalinea.textcontent.append("de burgerlijke stand zijn opgenomen, welke inhouden de nietigverklaring van een huwelijk")
    thisalinea.textcontent.append("of van een geregistreerd partnerschap, een echtscheiding, de ontbinding van een")
    thisalinea.textcontent.append("geregistreerd partnerschap, de ontbinding van een huwelijk na scheiding van tafel en bed")
    thisalinea.textcontent.append("of de vernietiging van zulk een ingeschreven uitspraak, dan wel de beëindiging van een")
    thisalinea.textcontent.append("geregistreerd partnerschap, bedoeld in artikel 80c, onder c, of de vernietiging daarvan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De in het eerste lid ..."
    thisalinea.nativeID = 217
    thisalinea.parentID = 215
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De in het eerste lid bedoelde akten worden ingeschreven in het daartoe bestemde register van de burgerlijke stand te 's-Gravenhage. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De in het eerste lid bedoelde akten worden ingeschreven in het daartoe bestemde register")
    thisalinea.textcontent.append("van de burgerlijke stand te 's-Gravenhage.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 218
    thisalinea.parentID = 215
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Bij algemene maatregel van bestuur wordt geregeld al wat betreft de aan de ambtenaar over te leggen stukken, het opmaken van de akten van inschrijving en de inhoud daarvan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Bij algemene maatregel van bestuur wordt geregeld al wat betreft de aan de ambtenaar")
    thisalinea.textcontent.append("over te leggen stukken, het opmaken van de akten van inschrijving en de inhoud daarvan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 7. De bewijskracht van akten van de burgerlijke stand alsmede van afschriften en uittreksels"
    thisalinea.nativeID = 219
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 61
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 22"
    thisalinea.nativeID = 220
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 62
    thisalinea.summary = "1. De akte van geboorte bewijst ten aanzien van een ieder dat op de in de akte vermelde plaats, dag en uur uit de daarin genoemde moeder een kind van het daarin vermelde geslacht is geboren. Vermeldt de akte dat de plaats van de geboorte van het kind niet bekend is, dan komt dezelfde bewijskracht toe aan de vermelding van de plaats waar het is aangetroffen. 2. De akte van overlijden bewijst ten aanzien van een ieder, dat op de plaats, de dag en het uur, in de akte vermeld, de daarin genoemde persoon is overleden of, indien de akte "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De akte van geboorte bewijst ..."
    thisalinea.nativeID = 221
    thisalinea.parentID = 220
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De akte van geboorte bewijst ten aanzien van een ieder dat op de in de akte vermelde plaats, dag en uur uit de daarin genoemde moeder een kind van het daarin vermelde geslacht is geboren. Vermeldt de akte dat de plaats van de geboorte van het kind niet bekend is, dan komt dezelfde bewijskracht toe aan de vermelding van de plaats waar het is aangetroffen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De akte van geboorte bewijst ten aanzien van een ieder dat op de in de akte vermelde")
    thisalinea.textcontent.append("plaats, dag en uur uit de daarin genoemde moeder een kind van het daarin vermelde")
    thisalinea.textcontent.append("geslacht is geboren. Vermeldt de akte dat de plaats van de geboorte van het kind niet")
    thisalinea.textcontent.append("bekend is, dan komt dezelfde bewijskracht toe aan de vermelding van de plaats waar het")
    thisalinea.textcontent.append("is aangetroffen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De akte van overlijden bewijst ..."
    thisalinea.nativeID = 222
    thisalinea.parentID = 220
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De akte van overlijden bewijst ten aanzien van een ieder, dat op de plaats, de dag en het uur, in de akte vermeld, de daarin genoemde persoon is overleden of, indien de akte krachtens artikel 19f, tweede lid, van dit boek is opgemaakt, dat het lijk van de daarin genoemde persoon op de plaats, de dag en het uur, in de akte vermeld, is gevonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De akte van overlijden bewijst ten aanzien van een ieder, dat op de plaats, de dag en het")
    thisalinea.textcontent.append("uur, in de akte vermeld, de daarin genoemde persoon is overleden of, indien de akte")
    thisalinea.textcontent.append("krachtens artikel 19f, tweede lid, van dit boek is opgemaakt, dat het lijk van de daarin")
    thisalinea.textcontent.append("genoemde persoon op de plaats, de dag en het uur, in de akte vermeld, is gevonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Voor het overige hebben akten ..."
    thisalinea.nativeID = 223
    thisalinea.parentID = 220
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Voor het overige hebben akten van de burgerlijke stand dezelfde bewijskracht als andere authentieke akten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Voor het overige hebben akten van de burgerlijke stand dezelfde bewijskracht als andere")
    thisalinea.textcontent.append("authentieke akten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 22a"
    thisalinea.nativeID = 224
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 63
    thisalinea.summary = "Authentieke afschriften of uittreksels, in de wettige vorm opgemaakt en afgegeven door de daartoe bevoegde bewaarder van het register, hebben dezelfde bewijskracht als het origineel, tenzij bewezen wordt dat zij daarmede niet overeenstemmen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Authentieke afschriften of uittreksels, in de wettige vorm opgemaakt en afgegeven door de")
    thisalinea.textcontent.append("daartoe bevoegde bewaarder van het register, hebben dezelfde bewijskracht als het origineel,")
    thisalinea.textcontent.append("tenzij bewezen wordt dat zij daarmede niet overeenstemmen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 8. De openbaarheid van de akten van de burgerlijke stand"
    thisalinea.nativeID = 225
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 64
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 23"
    thisalinea.nativeID = 226
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 65
    thisalinea.summary = "De akten van de burgerlijke stand, daaronder begrepen de dubbelen van deze akten, zijn openbaar voor zover te dien aanzien in deze afdeling geen nadere voorziening is gegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De akten van de burgerlijke stand, daaronder begrepen de dubbelen van deze akten, zijn")
    thisalinea.textcontent.append("openbaar voor zover te dien aanzien in deze afdeling geen nadere voorziening is gegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 23a"
    thisalinea.nativeID = 227
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 66
    thisalinea.summary = "Van de akten van de burgerlijke stand mogen slechts de bewaarders en het openbaar ministerie inzage nemen. Voorts kunnen de rechter en het openbaar ministerie overlegging van akten bevelen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Van de akten van de burgerlijke stand mogen slechts de bewaarders en het openbaar")
    thisalinea.textcontent.append("ministerie inzage nemen. Voorts kunnen de rechter en het openbaar ministerie overlegging")
    thisalinea.textcontent.append("van akten bevelen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 23b"
    thisalinea.nativeID = 228
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 67
    thisalinea.summary = "1. Een ieder is bevoegd zich door de ambtenaar die met de afgifte van afschriften en uittreksels van akten van de burgerlijke stand is belast, een uittreksel van een onder deze ambtenaar berustende akte van geboorte, van huwelijk, van registratie van een partnerschap, van omzetting van een huwelijk in een registratie van een partnerschap, van omzetting van een registratie van een partnerschap in een huwelijk of van overlijden te doen afgeven. Het uittreksel bevat de bij algemene maatregel van bestuur te vermelden gegevens, waaruit de afstamming van de persoon of personen op wie de akte betrekking heeft, niet blijkt. 2. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een ieder is bevoegd zich ..."
    thisalinea.nativeID = 229
    thisalinea.parentID = 228
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een ieder is bevoegd zich door de ambtenaar die met de afgifte van afschriften en uittreksels van akten van de burgerlijke stand is belast, een uittreksel van een onder deze ambtenaar berustende akte van geboorte, van huwelijk, van registratie van een partnerschap, van omzetting van een huwelijk in een registratie van een partnerschap, van omzetting van een registratie van een partnerschap in een huwelijk of van overlijden te doen afgeven. Het uittreksel bevat de bij algemene maatregel van bestuur te vermelden gegevens, waaruit de afstamming van de persoon of personen op wie de akte betrekking heeft, niet blijkt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een ieder is bevoegd zich door de ambtenaar die met de afgifte van afschriften en")
    thisalinea.textcontent.append("uittreksels van akten van de burgerlijke stand is belast, een uittreksel van een onder deze")
    thisalinea.textcontent.append("ambtenaar berustende akte van geboorte, van huwelijk, van registratie van een")
    thisalinea.textcontent.append("partnerschap, van omzetting van een huwelijk in een registratie van een partnerschap,")
    thisalinea.textcontent.append("van omzetting van een registratie van een partnerschap in een huwelijk of van overlijden")
    thisalinea.textcontent.append("te doen afgeven. Het uittreksel bevat de bij algemene maatregel van bestuur te vermelden")
    thisalinea.textcontent.append("gegevens, waaruit de afstamming van de persoon of personen op wie de akte betrekking")
    thisalinea.textcontent.append("heeft, niet blijkt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Van de in het eerste ..."
    thisalinea.nativeID = 230
    thisalinea.parentID = 228
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Van de in het eerste lid bedoelde akten alsmede van de akten van erkenning of ontkenning van het vaderschap of moederschap door de moeder wordt een afschrift slechts afgegeven indien de verzoeker aantoont dat hij bij de verkrijging een gerechtvaardigd belang heeft. Van andere akten die de in het eerste lid bedoelde ambtenaar onder zijn berusting heeft, wordt steeds een afschrift afgegeven. Dit afschrift bevat de bij algemene maatregel van bestuur te vermelden gegevens. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Van de in het eerste lid bedoelde akten alsmede van de akten van erkenning of")
    thisalinea.textcontent.append("ontkenning van het vaderschap of moederschap door de moeder wordt een afschrift")
    thisalinea.textcontent.append("slechts afgegeven indien de verzoeker aantoont dat hij bij de verkrijging een")
    thisalinea.textcontent.append("gerechtvaardigd belang heeft. Van andere akten die de in het eerste lid bedoelde")
    thisalinea.textcontent.append("ambtenaar onder zijn berusting heeft, wordt steeds een afschrift afgegeven. Dit afschrift")
    thisalinea.textcontent.append("bevat de bij algemene maatregel van bestuur te vermelden gegevens.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een verzoek om afgifte van ..."
    thisalinea.nativeID = 231
    thisalinea.parentID = 228
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een verzoek om afgifte van een uittreksel of een afschrift dient op een bepaalde persoon of bepaalde personen betrekking te hebben. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een verzoek om afgifte van een uittreksel of een afschrift dient op een bepaalde persoon")
    thisalinea.textcontent.append("of bepaalde personen betrekking te hebben.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 232
    thisalinea.parentID = 228
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Bij algemene maatregel van bestuur wordt geregeld al hetgeen overigens het opmaken en het verstrekken van afschriften en uittreksels betreft. Daarbij worden tevens regels gegeven voor het opmaken van uittreksels van akten die voor de inwerkingtreding van deze wet zijn opgemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Bij algemene maatregel van bestuur wordt geregeld al hetgeen overigens het opmaken en")
    thisalinea.textcontent.append("het verstrekken van afschriften en uittreksels betreft. Daarbij worden tevens regels")
    thisalinea.textcontent.append("gegeven voor het opmaken van uittreksels van akten die voor de inwerkingtreding van")
    thisalinea.textcontent.append("deze wet zijn opgemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Weigert de in het eerste ..."
    thisalinea.nativeID = 233
    thisalinea.parentID = 228
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Weigert de in het eerste lid bedoelde ambtenaar een afschrift of een uittreksel af te geven, dan verstrekt hij aan de aanvrager een schriftelijke opgave van de gronden voor zijn weigering. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Weigert de in het eerste lid bedoelde ambtenaar een afschrift of een uittreksel af te geven,")
    thisalinea.textcontent.append("dan verstrekt hij aan de aanvrager een schriftelijke opgave van de gronden voor zijn")
    thisalinea.textcontent.append("weigering.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 23c"
    thisalinea.nativeID = 234
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 68
    thisalinea.summary = "De dubbelen van de akten van de burgerlijke stand zijn openbaar zolang zij onder de ambtenaar van de burgerlijke stand berusten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De dubbelen van de akten van de burgerlijke stand zijn openbaar zolang zij onder de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand berusten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 9. De aanvulling van de registers van de burgerlijke stand en de verbetering van de daarin voorkomende akten en latere vermeldingen"
    thisalinea.nativeID = 235
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 69
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 24"
    thisalinea.nativeID = 236
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 70
    thisalinea.summary = "bedoelde bevoegdheid kan mede worden uitgeoefend ten aanzien van een akte of latere vermelding betreffende dezelfde persoon of zijn afstammelingen die in de registers van de burgerlijke stand van de openbare lichamen Bonaire, Sint Eustatius en Saba is opgenomen. 1. Aanvulling van een register van de burgerlijke stand met een daarin ontbrekende akte of latere vermelding, doorhaling van een daarin ten onrechte voorkomende akte of latere vermelding, of verbetering van een daarin voorkomende akte of latere vermelding die onvolledig is of een misslag bevat, kan op verzoek van belanghebbenden of van het openbaar ministerie worden gelast door de rechtbank. De "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("bedoelde bevoegdheid kan mede worden uitgeoefend ten aanzien van een akte of latere")
    thisalinea.textcontent.append("vermelding betreffende dezelfde persoon of zijn afstammelingen die in de registers van de")
    thisalinea.textcontent.append("burgerlijke stand van de openbare lichamen Bonaire, Sint Eustatius en Saba is")
    thisalinea.textcontent.append("opgenomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Aanvulling van een register van ..."
    thisalinea.nativeID = 237
    thisalinea.parentID = 236
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Aanvulling van een register van de burgerlijke stand met een daarin ontbrekende akte of latere vermelding, doorhaling van een daarin ten onrechte voorkomende akte of latere vermelding, of verbetering van een daarin voorkomende akte of latere vermelding die onvolledig is of een misslag bevat, kan op verzoek van belanghebbenden of van het openbaar ministerie worden gelast door de rechtbank. De rechtbank kan bij haar beschikking tot verbetering van een akte of latere vermelding die onvolledig is of een misslag bevat, eveneens dezelfde verbetering gelasten ten aanzien van een akte of latere vermelding betreffende dezelfde persoon of zijn afstammelingen, die "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Aanvulling van een register van de burgerlijke stand met een daarin ontbrekende akte of")
    thisalinea.textcontent.append("latere vermelding, doorhaling van een daarin ten onrechte voorkomende akte of latere")
    thisalinea.textcontent.append("vermelding, of verbetering van een daarin voorkomende akte of latere vermelding die")
    thisalinea.textcontent.append("onvolledig is of een misslag bevat, kan op verzoek van belanghebbenden of van het")
    thisalinea.textcontent.append("openbaar ministerie worden gelast door de rechtbank. De rechtbank kan bij haar")
    thisalinea.textcontent.append("beschikking tot verbetering van een akte of latere vermelding die onvolledig is of een")
    thisalinea.textcontent.append("misslag bevat, eveneens dezelfde verbetering gelasten ten aanzien van een akte of latere")
    thisalinea.textcontent.append("vermelding betreffende dezelfde persoon of zijn afstammelingen, die buiten haar")
    thisalinea.textcontent.append("rechtsgebied in de registers van de burgerlijke stand is opgenomen. De in de tweede zin")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De griffier van het college ..."
    thisalinea.nativeID = 238
    thisalinea.parentID = 236
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De griffier van het college waarvoor de zaak laatstelijk aanhangig was, zendt niet eerder dan drie maanden na de dag van de beschikking een afschrift daarvan aan de ambtenaar van de burgerlijke stand van de gemeente, in welker registers de akte of latere vermelding is of had moeten zijn opgenomen. Is deze gemeente opgeheven, dan zendt hij het afschrift aan de ambtenaar van de gemeente in wier archieven de registers van de burgerlijk stand van de opgeheven gemeente berusten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De griffier van het college waarvoor de zaak laatstelijk aanhangig was, zendt niet eerder")
    thisalinea.textcontent.append("dan drie maanden na de dag van de beschikking een afschrift daarvan aan de ambtenaar")
    thisalinea.textcontent.append("van de burgerlijke stand van de gemeente, in welker registers de akte of latere vermelding")
    thisalinea.textcontent.append("is of had moeten zijn opgenomen. Is deze gemeente opgeheven, dan zendt hij het")
    thisalinea.textcontent.append("afschrift aan de ambtenaar van de gemeente in wier archieven de registers van de")
    thisalinea.textcontent.append("burgerlijk stand van de opgeheven gemeente berusten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 24a"
    thisalinea.nativeID = 239
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 71
    thisalinea.summary = "Kennelijke schrijf- of spelfouten en kennelijke misslagen kunnen ambtshalve door de ambtenaar van de burgerlijke stand worden verbeterd. Indien in een andere gemeente een akte betreffende dezelfde persoon of diens afstammelingen wordt gehouden, die eveneens verbetering behoeft, stelt de ambtenaar van de burgerlijke stand die de verbetering in de akte heeft aangebracht de ambtenaar van de burgerlijke stand in de andere gemeente daarvan op de hoogte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Kennelijke schrijf- of spelfouten en kennelijke misslagen kunnen ambtshalve door de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand worden verbeterd. Indien in een andere gemeente een")
    thisalinea.textcontent.append("akte betreffende dezelfde persoon of diens afstammelingen wordt gehouden, die eveneens")
    thisalinea.textcontent.append("verbetering behoeft, stelt de ambtenaar van de burgerlijke stand die de verbetering in de akte")
    thisalinea.textcontent.append("heeft aangebracht de ambtenaar van de burgerlijke stand in de andere gemeente daarvan op")
    thisalinea.textcontent.append("de hoogte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 24b"
    thisalinea.nativeID = 240
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 72
    thisalinea.summary = "1. Aanvulling van een register van de burgerlijke stand op grond van artikel 24 geschiedt door het opmaken van een nieuwe akte in dat register. 2. Van een verbetering of een doorhaling op grond van deze afdeling wordt een latere vermelding toegevoegd aan de desbetreffende akte, volgens regels, bij algemene maatregel van bestuur te stellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Aanvulling van een register van ..."
    thisalinea.nativeID = 241
    thisalinea.parentID = 240
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Aanvulling van een register van de burgerlijke stand op grond van artikel 24 geschiedt door het opmaken van een nieuwe akte in dat register. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Aanvulling van een register van de burgerlijke stand op grond van artikel 24 geschiedt")
    thisalinea.textcontent.append("door het opmaken van een nieuwe akte in dat register.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Van een verbetering of een ..."
    thisalinea.nativeID = 242
    thisalinea.parentID = 240
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Van een verbetering of een doorhaling op grond van deze afdeling wordt een latere vermelding toegevoegd aan de desbetreffende akte, volgens regels, bij algemene maatregel van bestuur te stellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Van een verbetering of een doorhaling op grond van deze afdeling wordt een latere")
    thisalinea.textcontent.append("vermelding toegevoegd aan de desbetreffende akte, volgens regels, bij algemene")
    thisalinea.textcontent.append("maatregel van bestuur te stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 10. Inschrijving van buitenlandse akten en de rechterlijke last tot het opmaken van een vervangende akte van geboorte"
    thisalinea.nativeID = 243
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 73
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 25"
    thisalinea.nativeID = 244
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 74
    thisalinea.summary = "wie er een niet de Nederlandse nationaliteit bezit of rechtmatig in Nederland verblijft als bedoeld in artikel 8, onder b, d of e, van de Vreemdelingenwet 2000, dienen de echtgenoten of geregistreerde partners ten behoeve van de ambtenaar van de burgerlijke stand van de gemeente ’s-Gravenhage een verklaring af te leggen inzake het verblijfsrecht van de echtgenoot of geregistreerde partner die niet de Nederlandse nationaliteit bezit alsmede inhoudende dat hun huwelijk of geregistreerd partnerschap niet is aangegaan met het oogmerk om verblijfsrecht in Nederland te verkrijgen. De verklaring is niet vereist indien: 1. Buiten Nederland overeenkomstig de plaatselijke voorschriften door "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("wie er een niet de Nederlandse nationaliteit bezit of rechtmatig in Nederland verblijft als")
    thisalinea.textcontent.append("bedoeld in artikel 8, onder b, d of e, van de Vreemdelingenwet 2000, dienen de")
    thisalinea.textcontent.append("echtgenoten of geregistreerde partners ten behoeve van de ambtenaar van de burgerlijke")
    thisalinea.textcontent.append("stand van de gemeente ’s-Gravenhage een verklaring af te leggen inzake het")
    thisalinea.textcontent.append("verblijfsrecht van de echtgenoot of geregistreerde partner die niet de Nederlandse")
    thisalinea.textcontent.append("nationaliteit bezit alsmede inhoudende dat hun huwelijk of geregistreerd partnerschap niet")
    thisalinea.textcontent.append("is aangegaan met het oogmerk om verblijfsrecht in Nederland te verkrijgen. De verklaring")
    thisalinea.textcontent.append("is niet vereist indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Buiten Nederland overeenkomstig de plaatselijke ..."
    thisalinea.nativeID = 245
    thisalinea.parentID = 244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Buiten Nederland overeenkomstig de plaatselijke voorschriften door een bevoegde instantie opgemaakte akten van geboorte, huwelijksakten, akten van registratie van een partnerschap en akten van overlijden worden op bevel van het openbaar ministerie of op verzoek van een belanghebbende ingeschreven in de registers onderscheidenlijk van geboorten, van huwelijken, van geregistreerde partnerschappen en van overlijden van de gemeente 's-Gravenhage, indien: a. de akte een persoon betreft die op het ogenblik van het verzoek Nederlander is of te eniger tijd Nederlander dan wel Nederlands onderdaan niet-Nederlander is geweest; b. de akte een persoon betreft die rechtmatig verblijft op grond van artikel 8, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Buiten Nederland overeenkomstig de plaatselijke voorschriften door een bevoegde")
    thisalinea.textcontent.append("instantie opgemaakte akten van geboorte, huwelijksakten, akten van registratie van een")
    thisalinea.textcontent.append("partnerschap en akten van overlijden worden op bevel van het openbaar ministerie of op")
    thisalinea.textcontent.append("verzoek van een belanghebbende ingeschreven in de registers onderscheidenlijk van")
    thisalinea.textcontent.append("geboorten, van huwelijken, van geregistreerde partnerschappen en van overlijden van de")
    thisalinea.textcontent.append("gemeente 's-Gravenhage, indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de akte een persoon betreft ..."
    thisalinea.nativeID = 246
    thisalinea.parentID = 245
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de akte een persoon betreft die op het ogenblik van het verzoek Nederlander is of te eniger tijd Nederlander dan wel Nederlands onderdaan niet-Nederlander is geweest; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de akte een persoon betreft die op het ogenblik van het verzoek Nederlander is of te")
    thisalinea.textcontent.append("eniger tijd Nederlander dan wel Nederlands onderdaan niet-Nederlander is geweest;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de akte een persoon betreft ..."
    thisalinea.nativeID = 247
    thisalinea.parentID = 245
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de akte een persoon betreft die rechtmatig verblijft op grond van artikel 8, onder c en d, van de Vreemdelingenwet 2000. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de akte een persoon betreft die rechtmatig verblijft op grond van artikel 8, onder c en")
    thisalinea.textcontent.append("d, van de Vreemdelingenwet 2000.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Buiten Nederland overeenkomstig de plaatselijke ..."
    thisalinea.nativeID = 248
    thisalinea.parentID = 244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Buiten Nederland overeenkomstig de plaatselijke voorschriften door een bevoegde instantie opgemaakte akten van geboorte worden op bevel van het openbaar ministerie of op verzoek van een belanghebbende ingeschreven in het register van geboorten van de gemeente 's-Gravenhage, indien de akte een persoon van vreemde nationaliteit betreft en op grond van enige bepaling van dit boek een latere vermelding aan de akte van geboorte moet worden toegevoegd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Buiten Nederland overeenkomstig de plaatselijke voorschriften door een bevoegde")
    thisalinea.textcontent.append("instantie opgemaakte akten van geboorte worden op bevel van het openbaar ministerie of")
    thisalinea.textcontent.append("op verzoek van een belanghebbende ingeschreven in het register van geboorten van de")
    thisalinea.textcontent.append("gemeente 's-Gravenhage, indien de akte een persoon van vreemde nationaliteit betreft en")
    thisalinea.textcontent.append("op grond van enige bepaling van dit boek een latere vermelding aan de akte van geboorte")
    thisalinea.textcontent.append("moet worden toegevoegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 249
    thisalinea.parentID = 244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage kan ook ambtshalve de in de vorige leden bedoelde akten inschrijven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage kan ook")
    thisalinea.textcontent.append("ambtshalve de in de vorige leden bedoelde akten inschrijven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Indien de inschrijving van een ..."
    thisalinea.nativeID = 250
    thisalinea.parentID = 244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Indien de inschrijving van een huwelijksakte of van een akte van registratie van een partnerschap op grond van het eerste lid wordt verzocht door een belanghebbende en betrekking heeft op een huwelijk of een geregistreerd partnerschap tussen personen van a. sinds de voltrekking van het huwelijk of de registratie van het partnerschap ten minste tien jaren zijn verstreken, of b. het huwelijk of geregistreerd partnerschap inmiddels is geëindigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Indien de inschrijving van een huwelijksakte of van een akte van registratie van een")
    thisalinea.textcontent.append("partnerschap op grond van het eerste lid wordt verzocht door een belanghebbende en")
    thisalinea.textcontent.append("betrekking heeft op een huwelijk of een geregistreerd partnerschap tussen personen van")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. sinds de voltrekking van het ..."
    thisalinea.nativeID = 251
    thisalinea.parentID = 250
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. sinds de voltrekking van het huwelijk of de registratie van het partnerschap ten minste tien jaren zijn verstreken, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. sinds de voltrekking van het huwelijk of de registratie van het partnerschap ten minste")
    thisalinea.textcontent.append("tien jaren zijn verstreken, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. het huwelijk of geregistreerd partnerschap ..."
    thisalinea.nativeID = 252
    thisalinea.parentID = 250
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. het huwelijk of geregistreerd partnerschap inmiddels is geëindigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. het huwelijk of geregistreerd partnerschap inmiddels is geëindigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. In geval van adoptie gelast ..."
    thisalinea.nativeID = 253
    thisalinea.parentID = 244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. In geval van adoptie gelast de rechtbank, die de adoptie uitspreekt, ambtshalve afzonderlijk de inschrijving van de in het eerste en het tweede lid bedoelde akte van geboorte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. In geval van adoptie gelast de rechtbank, die de adoptie uitspreekt, ambtshalve")
    thisalinea.textcontent.append("afzonderlijk de inschrijving van de in het eerste en het tweede lid bedoelde akte van")
    thisalinea.textcontent.append("geboorte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De akte van inschrijving vermeldt ..."
    thisalinea.nativeID = 254
    thisalinea.parentID = 244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De akte van inschrijving vermeldt de bij algemene maatregel van bestuur vast te stellen gegevens. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De akte van inschrijving vermeldt de bij algemene maatregel van bestuur vast te stellen")
    thisalinea.textcontent.append("gegevens.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Kennelijke misslagen of schrijf- of ..."
    thisalinea.nativeID = 255
    thisalinea.parentID = 244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Kennelijke misslagen of schrijf- of spelfouten, die de ambtenaar van de burgerlijke stand in de in te schrijven akte vaststelt op grond van een hier te lande in de registers van de burgerlijke stand opgenomen akte of op grond van een rechterlijke uitspraak, kunnen ambtshalve door hem worden verbeterd. De verbeteringen worden afzonderlijk in de akte vermeld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Kennelijke misslagen of schrijf- of spelfouten, die de ambtenaar van de burgerlijke stand")
    thisalinea.textcontent.append("in de in te schrijven akte vaststelt op grond van een hier te lande in de registers van de")
    thisalinea.textcontent.append("burgerlijke stand opgenomen akte of op grond van een rechterlijke uitspraak, kunnen")
    thisalinea.textcontent.append("ambtshalve door hem worden verbeterd. De verbeteringen worden afzonderlijk in de akte")
    thisalinea.textcontent.append("vermeld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. Indien een akte ambtshalve is ..."
    thisalinea.nativeID = 256
    thisalinea.parentID = 244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. Indien een akte ambtshalve is ingeschreven, wordt een afschrift van de akte van inschrijving toegezonden aan de persoon of de personen op wie de akte betrekking heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. Indien een akte ambtshalve is ingeschreven, wordt een afschrift van de akte van")
    thisalinea.textcontent.append("inschrijving toegezonden aan de persoon of de personen op wie de akte betrekking heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 25a"
    thisalinea.nativeID = 257
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 75
    thisalinea.summary = "1. Indien na de inschrijving kennelijke misslagen in de buiten Nederland opgemaakte akte overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn verbeterd, wordt de verbetering in de akte van inschrijving aangebracht doordat de ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage, aan wie een afschrift van de beslissing tot verbetering en een afschrift van de verbeterde akte zijn overgelegd, een latere vermelding van de verbetering aan de akte van inschrijving toevoegt. 2. Kennelijke schrijf- en spelfouten, die in de buiten Nederland opgemaakte akte overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn verbeterd, kunnen ook zonder toestemming van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien na de inschrijving kennelijke ..."
    thisalinea.nativeID = 258
    thisalinea.parentID = 257
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien na de inschrijving kennelijke misslagen in de buiten Nederland opgemaakte akte overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn verbeterd, wordt de verbetering in de akte van inschrijving aangebracht doordat de ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage, aan wie een afschrift van de beslissing tot verbetering en een afschrift van de verbeterde akte zijn overgelegd, een latere vermelding van de verbetering aan de akte van inschrijving toevoegt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien na de inschrijving kennelijke misslagen in de buiten Nederland opgemaakte akte")
    thisalinea.textcontent.append("overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn verbeterd,")
    thisalinea.textcontent.append("wordt de verbetering in de akte van inschrijving aangebracht doordat de ambtenaar van")
    thisalinea.textcontent.append("de burgerlijke stand van de gemeente 's-Gravenhage, aan wie een afschrift van de")
    thisalinea.textcontent.append("beslissing tot verbetering en een afschrift van de verbeterde akte zijn overgelegd, een")
    thisalinea.textcontent.append("latere vermelding van de verbetering aan de akte van inschrijving toevoegt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Kennelijke schrijf- en spelfouten, die ..."
    thisalinea.nativeID = 259
    thisalinea.parentID = 257
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Kennelijke schrijf- en spelfouten, die in de buiten Nederland opgemaakte akte overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn verbeterd, kunnen ook zonder toestemming van de officier van justitie, ambtshalve door de ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage aan de hand van een afschrift van de verbeterde akte worden verbeterd op de in het eerste lid aangegeven wijze. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Kennelijke schrijf- en spelfouten, die in de buiten Nederland opgemaakte akte")
    thisalinea.textcontent.append("overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn verbeterd,")
    thisalinea.textcontent.append("kunnen ook zonder toestemming van de officier van justitie, ambtshalve door de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage aan de hand van")
    thisalinea.textcontent.append("een afschrift van de verbeterde akte worden verbeterd op de in het eerste lid aangegeven")
    thisalinea.textcontent.append("wijze.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 25b"
    thisalinea.nativeID = 260
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 76
    thisalinea.summary = "Aan de akte van inschrijving, bedoeld in artikel 25, worden de latere vermeldingen toegevoegd die op grond van dit boek aan een in Nederland opgemaakte akte van geboorte, huwelijksakte of akte van overlijden moeten worden toegevoegd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Aan de akte van inschrijving, bedoeld in artikel 25, worden de latere vermeldingen")
    thisalinea.textcontent.append("toegevoegd die op grond van dit boek aan een in Nederland opgemaakte akte van geboorte,")
    thisalinea.textcontent.append("huwelijksakte of akte van overlijden moeten worden toegevoegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 25c"
    thisalinea.nativeID = 261
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 77
    thisalinea.summary = "1. Indien ten aanzien van een buiten Nederland geboren persoon geen akte van geboorte overeenkomstig de plaatselijke voorschriften door een bevoegde instantie is opgemaakt of kan worden overgelegd, kan op verzoek van het openbaar ministerie, van een belanghebbende of van de ambtenaar van de burgerlijke stand van de gemeente 's- Gravenhage de rechtbank Den Haag de voor het opmaken van een geboorteakte noodzakelijke gegevens vaststellen, indien: a. die persoon Nederlander is of te eniger tijd Nederlander dan wel Nederlands onderdaan niet-Nederlander is geweest; b. die persoon rechtmatig verblijft op grond van artikel 8, onder c en d, van de Vreemdelingenwet "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien ten aanzien van een ..."
    thisalinea.nativeID = 262
    thisalinea.parentID = 261
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien ten aanzien van een buiten Nederland geboren persoon geen akte van geboorte overeenkomstig de plaatselijke voorschriften door een bevoegde instantie is opgemaakt of kan worden overgelegd, kan op verzoek van het openbaar ministerie, van een belanghebbende of van de ambtenaar van de burgerlijke stand van de gemeente 's- Gravenhage de rechtbank Den Haag de voor het opmaken van een geboorteakte noodzakelijke gegevens vaststellen, indien: a. die persoon Nederlander is of te eniger tijd Nederlander dan wel Nederlands onderdaan niet-Nederlander is geweest; b. die persoon rechtmatig verblijft op grond van artikel 8, onder c en d, van de Vreemdelingenwet "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien ten aanzien van een buiten Nederland geboren persoon geen akte van geboorte")
    thisalinea.textcontent.append("overeenkomstig de plaatselijke voorschriften door een bevoegde instantie is opgemaakt of")
    thisalinea.textcontent.append("kan worden overgelegd, kan op verzoek van het openbaar ministerie, van een")
    thisalinea.textcontent.append("belanghebbende of van de ambtenaar van de burgerlijke stand van de gemeente 's-")
    thisalinea.textcontent.append("Gravenhage de rechtbank Den Haag de voor het opmaken van een geboorteakte")
    thisalinea.textcontent.append("noodzakelijke gegevens vaststellen, indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. die persoon Nederlander is of ..."
    thisalinea.nativeID = 263
    thisalinea.parentID = 262
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. die persoon Nederlander is of te eniger tijd Nederlander dan wel Nederlands onderdaan niet-Nederlander is geweest; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. die persoon Nederlander is of te eniger tijd Nederlander dan wel Nederlands")
    thisalinea.textcontent.append("onderdaan niet-Nederlander is geweest;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. die persoon rechtmatig verblijft op ..."
    thisalinea.nativeID = 264
    thisalinea.parentID = 262
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. die persoon rechtmatig verblijft op grond van artikel 8, onder c en d, van de Vreemdelingenwet 2000; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. die persoon rechtmatig verblijft op grond van artikel 8, onder c en d, van de")
    thisalinea.textcontent.append("Vreemdelingenwet 2000;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. op grond van dit boek ..."
    thisalinea.nativeID = 265
    thisalinea.parentID = 262
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. op grond van dit boek een latere vermelding aan de akte van geboorte moet worden toegevoegd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. op grond van dit boek een latere vermelding aan de akte van geboorte moet worden")
    thisalinea.textcontent.append("toegevoegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechtbank houdt rekening met ..."
    thisalinea.nativeID = 266
    thisalinea.parentID = 261
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechtbank houdt rekening met alle bewijzen en aanwijzingen omtrent de omstandigheden waaronder, en het tijdstip waarop de geboorte moet hebben plaatsgehad. De geslachtsnaam, de voornamen, alsmede de plaats en de dag van de geboorte van de vader en van de moeder worden vastgesteld, voor zover daarvoor aanwijzingen zijn verkregen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechtbank houdt rekening met alle bewijzen en aanwijzingen omtrent de")
    thisalinea.textcontent.append("omstandigheden waaronder, en het tijdstip waarop de geboorte moet hebben")
    thisalinea.textcontent.append("plaatsgehad. De geslachtsnaam, de voornamen, alsmede de plaats en de dag van de")
    thisalinea.textcontent.append("geboorte van de vader en van de moeder worden vastgesteld, voor zover daarvoor")
    thisalinea.textcontent.append("aanwijzingen zijn verkregen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In geval van adoptie geeft ..."
    thisalinea.nativeID = 267
    thisalinea.parentID = 261
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In geval van adoptie geeft de rechtbank die de adoptie uitspreekt, ambtshalve afzonderlijk de in het eerste lid bedoelde beschikking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In geval van adoptie geeft de rechtbank die de adoptie uitspreekt, ambtshalve afzonderlijk")
    thisalinea.textcontent.append("de in het eerste lid bedoelde beschikking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 25d"
    thisalinea.nativeID = 268
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 78
    thisalinea.summary = "De rechtbank Den Haag kan op verzoek van het openbaar ministerie, van een belanghebbende of van de ambtenaar van de burgerlijke stand van de gemeente 's- Gravenhage de krachtens artikel 25c gegeven beschikking wijzigen op grond dat de vastgestelde gegevens onjuist of onvolledig zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank Den Haag kan op verzoek van het openbaar ministerie, van een")
    thisalinea.textcontent.append("belanghebbende of van de ambtenaar van de burgerlijke stand van de gemeente 's-")
    thisalinea.textcontent.append("Gravenhage de krachtens artikel 25c gegeven beschikking wijzigen op grond dat de")
    thisalinea.textcontent.append("vastgestelde gegevens onjuist of onvolledig zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 25e"
    thisalinea.nativeID = 269
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 79
    thisalinea.summary = "[Vervallen per 01-04-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 25f"
    thisalinea.nativeID = 270
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 80
    thisalinea.summary = "1. De griffier van het college waarvoor de zaak laatstelijk aanhangig was, zendt niet eerder dan drie maanden na de dag van de beschikking een afschrift daarvan, aan de ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage. 2. Deze ambtenaar maakt van de beschikking, bedoeld in artikel 25c een akte van inschrijving op, die geldt als een akte van geboorte in de zin van artikel 19 van dit boek. Deze akte is in overeenstemming met de beschikking en vermeldt dit uitdrukkelijk. 3. Van de beschikking, bedoeld in artikel 25d, wordt een latere vermelding toegevoegd aan de akte als bedoeld "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De griffier van het college ..."
    thisalinea.nativeID = 271
    thisalinea.parentID = 270
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De griffier van het college waarvoor de zaak laatstelijk aanhangig was, zendt niet eerder dan drie maanden na de dag van de beschikking een afschrift daarvan, aan de ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De griffier van het college waarvoor de zaak laatstelijk aanhangig was, zendt niet eerder")
    thisalinea.textcontent.append("dan drie maanden na de dag van de beschikking een afschrift daarvan, aan de ambtenaar")
    thisalinea.textcontent.append("van de burgerlijke stand van de gemeente 's-Gravenhage.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Deze ambtenaar maakt van de ..."
    thisalinea.nativeID = 272
    thisalinea.parentID = 270
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Deze ambtenaar maakt van de beschikking, bedoeld in artikel 25c een akte van inschrijving op, die geldt als een akte van geboorte in de zin van artikel 19 van dit boek. Deze akte is in overeenstemming met de beschikking en vermeldt dit uitdrukkelijk. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Deze ambtenaar maakt van de beschikking, bedoeld in artikel 25c een akte van")
    thisalinea.textcontent.append("inschrijving op, die geldt als een akte van geboorte in de zin van artikel 19 van dit boek.")
    thisalinea.textcontent.append("Deze akte is in overeenstemming met de beschikking en vermeldt dit uitdrukkelijk.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Van de beschikking, bedoeld in ..."
    thisalinea.nativeID = 273
    thisalinea.parentID = 270
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Van de beschikking, bedoeld in artikel 25d, wordt een latere vermelding toegevoegd aan de akte als bedoeld in het vorige lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Van de beschikking, bedoeld in artikel 25d, wordt een latere vermelding toegevoegd aan")
    thisalinea.textcontent.append("de akte als bedoeld in het vorige lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 25g"
    thisalinea.nativeID = 274
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 81
    thisalinea.summary = "1. Op akten en uitspraken die buiten Nederland overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn opgemaakt of gedaan en een overeenkomstige uitwerking hebben als de in artikel 25c van dit boek bedoelde beschikkingen, zijn de artikelen 25 tot en met 25b van overeenkomstige toepassing. De inschrijving als bedoeld in artikel 25 vindt niet plaats indien de Nederlandse openbare orde zich hiertegen verzet. 2. In geval van adoptie van een buiten Nederland geboren kind ten aanzien waarvan een akte of uitspraak als bedoeld in het vorige lid is opgemaakt of gedaan, geeft de rechtbank die de adoptie uitspreekt, ambtshalve "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op akten en uitspraken die ..."
    thisalinea.nativeID = 275
    thisalinea.parentID = 274
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op akten en uitspraken die buiten Nederland overeenkomstig de plaatselijke voorschriften door een bevoegde instantie zijn opgemaakt of gedaan en een overeenkomstige uitwerking hebben als de in artikel 25c van dit boek bedoelde beschikkingen, zijn de artikelen 25 tot en met 25b van overeenkomstige toepassing. De inschrijving als bedoeld in artikel 25 vindt niet plaats indien de Nederlandse openbare orde zich hiertegen verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op akten en uitspraken die buiten Nederland overeenkomstig de plaatselijke voorschriften")
    thisalinea.textcontent.append("door een bevoegde instantie zijn opgemaakt of gedaan en een overeenkomstige")
    thisalinea.textcontent.append("uitwerking hebben als de in artikel 25c van dit boek bedoelde beschikkingen, zijn de")
    thisalinea.textcontent.append("artikelen 25 tot en met 25b van overeenkomstige toepassing. De inschrijving als bedoeld")
    thisalinea.textcontent.append("in artikel 25 vindt niet plaats indien de Nederlandse openbare orde zich hiertegen verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In geval van adoptie van ..."
    thisalinea.nativeID = 276
    thisalinea.parentID = 274
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In geval van adoptie van een buiten Nederland geboren kind ten aanzien waarvan een akte of uitspraak als bedoeld in het vorige lid is opgemaakt of gedaan, geeft de rechtbank die de adoptie uitspreekt, ambtshalve afzonderlijk last tot inschrijving van die akte of uitspraak. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In geval van adoptie van een buiten Nederland geboren kind ten aanzien waarvan een")
    thisalinea.textcontent.append("akte of uitspraak als bedoeld in het vorige lid is opgemaakt of gedaan, geeft de rechtbank")
    thisalinea.textcontent.append("die de adoptie uitspreekt, ambtshalve afzonderlijk last tot inschrijving van die akte of")
    thisalinea.textcontent.append("uitspraak.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 11. De verklaring voor recht omtrent de rechtsgeldigheid in Nederland van een buitenlandse akte of uitspraak"
    thisalinea.nativeID = 277
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 82
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 26"
    thisalinea.nativeID = 278
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 83
    thisalinea.summary = "opgemaakte akte of gedane uitspraak overeenkomstig de plaatselijke voorschriften door een bevoegde instantie is opgemaakt of gedaan en naar zijn aard vatbaar is voor opneming in een Nederlands register van de burgerlijke stand. 1. Een ieder die daarbij een gerechtvaardigd belang heeft, kan de rechtbank verzoeken een verklaring voor recht af te geven dat een op hem betrekking hebbende, buiten Nederland 2. De in het eerste lid bedoelde verklaring voor recht kan eveneens op verzoek van de ambtenaar van de burgerlijke stand of van het openbaar ministerie worden afgegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("opgemaakte akte of gedane uitspraak overeenkomstig de plaatselijke voorschriften door")
    thisalinea.textcontent.append("een bevoegde instantie is opgemaakt of gedaan en naar zijn aard vatbaar is voor")
    thisalinea.textcontent.append("opneming in een Nederlands register van de burgerlijke stand.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een ieder die daarbij een ..."
    thisalinea.nativeID = 279
    thisalinea.parentID = 278
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een ieder die daarbij een gerechtvaardigd belang heeft, kan de rechtbank verzoeken een verklaring voor recht af te geven dat een op hem betrekking hebbende, buiten Nederland "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een ieder die daarbij een gerechtvaardigd belang heeft, kan de rechtbank verzoeken een")
    thisalinea.textcontent.append("verklaring voor recht af te geven dat een op hem betrekking hebbende, buiten Nederland")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De in het eerste lid ..."
    thisalinea.nativeID = 280
    thisalinea.parentID = 278
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De in het eerste lid bedoelde verklaring voor recht kan eveneens op verzoek van de ambtenaar van de burgerlijke stand of van het openbaar ministerie worden afgegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De in het eerste lid bedoelde verklaring voor recht kan eveneens op verzoek van de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand of van het openbaar ministerie worden afgegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 26a"
    thisalinea.nativeID = 281
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 84
    thisalinea.summary = "De rechtbank kan, op verzoek of ambtshalve, bij de in het eerste lid van artikel 26 bedoelde verklaring voor recht tevens de toevoeging van een latere vermelding, op grond van artikel 24, eerste lid, aan een in de Nederlandse registers van de burgerlijke stand voorkomende akte gelasten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank kan, op verzoek of ambtshalve, bij de in het eerste lid van artikel 26 bedoelde")
    thisalinea.textcontent.append("verklaring voor recht tevens de toevoeging van een latere vermelding, op grond van artikel")
    thisalinea.textcontent.append("24, eerste lid, aan een in de Nederlandse registers van de burgerlijke stand voorkomende")
    thisalinea.textcontent.append("akte gelasten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 26b"
    thisalinea.nativeID = 282
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 85
    thisalinea.summary = "Is met betrekking tot de verzoeker geen akte in de Nederlandse registers van de burgerlijke stand opgenomen, dan kan de rechtbank Den Haag, op verzoek of ambtshalve, bij haar beschikking tevens de inschrijving, overeenkomstig artikel 25, van een daarvoor in aanmerking komende in het buitenland opgemaakte akte in de registers van de burgerlijke stand te 's-Gravenhage gelasten, alsmede de verbetering van de akte van inschrijving op grond van artikel 24, eerste lid. Ook kan zij bij haar beschikking een last als bedoeld in artikel 25c geven alsmede een last tot verbetering, overeenkomstig artikel 24, eerste lid, van de door de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Is met betrekking tot de verzoeker geen akte in de Nederlandse registers van de burgerlijke")
    thisalinea.textcontent.append("stand opgenomen, dan kan de rechtbank Den Haag, op verzoek of ambtshalve, bij haar")
    thisalinea.textcontent.append("beschikking tevens de inschrijving, overeenkomstig artikel 25, van een daarvoor in")
    thisalinea.textcontent.append("aanmerking komende in het buitenland opgemaakte akte in de registers van de burgerlijke")
    thisalinea.textcontent.append("stand te 's-Gravenhage gelasten, alsmede de verbetering van de akte van inschrijving op")
    thisalinea.textcontent.append("grond van artikel 24, eerste lid. Ook kan zij bij haar beschikking een last als bedoeld in artikel")
    thisalinea.textcontent.append("25c geven alsmede een last tot verbetering, overeenkomstig artikel 24, eerste lid, van de door")
    thisalinea.textcontent.append("de ambtenaar van de burgerlijke stand te 's-Gravenhage op te maken akte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 26c"
    thisalinea.nativeID = 283
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 86
    thisalinea.summary = "[Vervallen per 01-04-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 26d"
    thisalinea.nativeID = 284
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 87
    thisalinea.summary = "De overlegging van een authentiek afschrift van de buitenlandse akte of uitspraak waarop het verzoek betrekking heeft, kan worden verlangd. Artikel 986, derde en vierde lid, van het Wetboek van Burgerlijke Rechtsvordering is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De overlegging van een authentiek afschrift van de buitenlandse akte of uitspraak waarop het")
    thisalinea.textcontent.append("verzoek betrekking heeft, kan worden verlangd. Artikel 986, derde en vierde lid, van het")
    thisalinea.textcontent.append("Wetboek van Burgerlijke Rechtsvordering is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 26e"
    thisalinea.nativeID = 285
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 88
    thisalinea.summary = "De griffier van het college, waarbij de zaak laatstelijk aanhangig was, zendt een afschrift van de beschikking aan de ambtenaar van de burgerlijke stand in wiens registers een op de belanghebbende betrekking hebbende akte is opgenomen, waaraan een latere vermelding van de beschikking moet worden toegevoegd. Is bij de beschikking een last tot inschrijving van een in het buitenland opgemaakte akte gegeven, dan zendt de griffier een afschrift van de beschikking aan de ambtenaar van de burgerlijke stand te 's-Gravenhage. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De griffier van het college, waarbij de zaak laatstelijk aanhangig was, zendt een afschrift van")
    thisalinea.textcontent.append("de beschikking aan de ambtenaar van de burgerlijke stand in wiens registers een op de")
    thisalinea.textcontent.append("belanghebbende betrekking hebbende akte is opgenomen, waaraan een latere vermelding")
    thisalinea.textcontent.append("van de beschikking moet worden toegevoegd. Is bij de beschikking een last tot inschrijving")
    thisalinea.textcontent.append("van een in het buitenland opgemaakte akte gegeven, dan zendt de griffier een afschrift van")
    thisalinea.textcontent.append("de beschikking aan de ambtenaar van de burgerlijke stand te 's-Gravenhage.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 26f"
    thisalinea.nativeID = 286
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 89
    thisalinea.summary = "[Vervallen per 01-04-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 12. Voorziening tegen de weigering tot het opmaken van een akte van de burgerlijke stand of tot een andere verrichting"
    thisalinea.nativeID = 287
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 90
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 27"
    thisalinea.nativeID = 288
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 91
    thisalinea.summary = "Naar aanleiding van een besluit van een ambtenaar van de burgerlijke stand om op grond van artikel 18c of 20c te weigeren een akte van de burgerlijke stand op te maken, een latere vermelding aan een akte toe te voegen of, buiten het geval van stuiting van het huwelijk of het geregistreerd partnerschap en dat van afgifte van een afschrift of een uittreksel, aan een verrichting mee te werken, kunnen belanghebbende partijen binnen zes weken na de verzending van dat besluit een verzoek indienen bij de rechtbank binnen het rechtsgebied waar de standplaats van de ambtenaar van de burgerlijke stand "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Naar aanleiding van een besluit van een ambtenaar van de burgerlijke stand om op grond")
    thisalinea.textcontent.append("van artikel 18c of 20c te weigeren een akte van de burgerlijke stand op te maken, een latere")
    thisalinea.textcontent.append("vermelding aan een akte toe te voegen of, buiten het geval van stuiting van het huwelijk of het")
    thisalinea.textcontent.append("geregistreerd partnerschap en dat van afgifte van een afschrift of een uittreksel, aan een")
    thisalinea.textcontent.append("verrichting mee te werken, kunnen belanghebbende partijen binnen zes weken na de")
    thisalinea.textcontent.append("verzending van dat besluit een verzoek indienen bij de rechtbank binnen het rechtsgebied")
    thisalinea.textcontent.append("waar de standplaats van de ambtenaar van de burgerlijke stand is gelegen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 27a"
    thisalinea.nativeID = 289
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 92
    thisalinea.summary = "De rechtbank kan, op verzoek van een belanghebbende partij of ambtshalve, bij haar beschikking tevens een verklaring als bedoeld in artikel 26 afgeven, alsmede een last als bedoeld in artikel 26a, onderscheidenlijk artikel 26b. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank kan, op verzoek van een belanghebbende partij of ambtshalve, bij haar")
    thisalinea.textcontent.append("beschikking tevens een verklaring als bedoeld in artikel 26 afgeven, alsmede een last als")
    thisalinea.textcontent.append("bedoeld in artikel 26a, onderscheidenlijk artikel 26b.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 27b"
    thisalinea.nativeID = 290
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 93
    thisalinea.summary = "De griffier zendt een afschrift van de beschikking aan de belanghebbende partijen en aan de ambtenaar van de burgerlijke stand. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De griffier zendt een afschrift van de beschikking aan de belanghebbende partijen en aan de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 27c"
    thisalinea.nativeID = 291
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 94
    thisalinea.summary = "[Vervallen per 01-04-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 13. Wijziging van de vermelding van het geslacht in de akte van geboorte"
    thisalinea.nativeID = 292
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 95
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 28"
    thisalinea.nativeID = 293
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 96
    thisalinea.summary = "1. Iedere Nederlander van zestien jaar of ouder die de overtuiging heeft tot het andere geslacht te behoren dan is vermeld in de akte van geboorte, kan van die overtuiging aangifte doen bij de ambtenaar van de burgerlijke stand onder wie de desbetreffende akte berust. Indien de akte van geboorte niet hier te lande in de registers van de burgerlijke stand is ingeschreven, geschiedt de aangifte bij de ambtenaar van de burgerlijke stand van de gemeente ’s-Gravenhage. 2. Voor de toepassing van het eerste lid en het derde lid alsmede de artikelen 28a en 28b wordt onder akte van geboorte "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Iedere Nederlander van zestien jaar ..."
    thisalinea.nativeID = 294
    thisalinea.parentID = 293
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Iedere Nederlander van zestien jaar of ouder die de overtuiging heeft tot het andere geslacht te behoren dan is vermeld in de akte van geboorte, kan van die overtuiging aangifte doen bij de ambtenaar van de burgerlijke stand onder wie de desbetreffende akte berust. Indien de akte van geboorte niet hier te lande in de registers van de burgerlijke stand is ingeschreven, geschiedt de aangifte bij de ambtenaar van de burgerlijke stand van de gemeente ’s-Gravenhage. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Iedere Nederlander van zestien jaar of ouder die de overtuiging heeft tot het andere")
    thisalinea.textcontent.append("geslacht te behoren dan is vermeld in de akte van geboorte, kan van die overtuiging")
    thisalinea.textcontent.append("aangifte doen bij de ambtenaar van de burgerlijke stand onder wie de desbetreffende akte")
    thisalinea.textcontent.append("berust. Indien de akte van geboorte niet hier te lande in de registers van de burgerlijke")
    thisalinea.textcontent.append("stand is ingeschreven, geschiedt de aangifte bij de ambtenaar van de burgerlijke stand")
    thisalinea.textcontent.append("van de gemeente ’s-Gravenhage.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voor de toepassing van het ..."
    thisalinea.nativeID = 295
    thisalinea.parentID = 293
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voor de toepassing van het eerste lid en het derde lid alsmede de artikelen 28a en 28b wordt onder akte van geboorte mede verstaan een akte van inschrijving van een buiten Nederland opgemaakte akte van geboorte of van een beschikking als bedoeld in artikel 25c. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voor de toepassing van het eerste lid en het derde lid alsmede de artikelen 28a en 28b")
    thisalinea.textcontent.append("wordt onder akte van geboorte mede verstaan een akte van inschrijving van een buiten")
    thisalinea.textcontent.append("Nederland opgemaakte akte van geboorte of van een beschikking als bedoeld in artikel")
    thisalinea.textcontent.append("25c.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Degene die de Nederlandse nationaliteit ..."
    thisalinea.nativeID = 296
    thisalinea.parentID = 293
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Degene die de Nederlandse nationaliteit niet bezit kan een aangifte als bedoeld in het eerste lid doen, indien hij gedurende een tijdvak van ten minste één jaar, onmiddellijk voorafgaande aan de aangifte, woonplaats in Nederland heeft en een rechtsgeldige verblijfstitel heeft. In dat geval wordt tevens een afschrift van de akte van geboorte overgelegd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Degene die de Nederlandse nationaliteit niet bezit kan een aangifte als bedoeld in het")
    thisalinea.textcontent.append("eerste lid doen, indien hij gedurende een tijdvak van ten minste één jaar, onmiddellijk")
    thisalinea.textcontent.append("voorafgaande aan de aangifte, woonplaats in Nederland heeft en een rechtsgeldige")
    thisalinea.textcontent.append("verblijfstitel heeft. In dat geval wordt tevens een afschrift van de akte van geboorte")
    thisalinea.textcontent.append("overgelegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De minderjarige van zestien jaar ..."
    thisalinea.nativeID = 297
    thisalinea.parentID = 293
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De minderjarige van zestien jaar of ouder is bekwaam tot het doen van de in het eerste lid bedoelde aangifte ten behoeve van zichzelf, alsmede om ter zake in en buiten rechte op te treden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De minderjarige van zestien jaar of ouder is bekwaam tot het doen van de in het eerste lid")
    thisalinea.textcontent.append("bedoelde aangifte ten behoeve van zichzelf, alsmede om ter zake in en buiten rechte op")
    thisalinea.textcontent.append("te treden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 28a"
    thisalinea.nativeID = 298
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 97
    thisalinea.summary = "1. Bij de aangifte wordt overgelegd een verklaring van een bij of krachtens algemene maatregel van bestuur aangewezen deskundige, afgegeven ten hoogste zes maanden voor de datum van de aangifte. 2. De deskundigenverklaring vermeldt dat degene op wie de aangifte betrekking heeft jegens de deskundige heeft verklaard de overtuiging te hebben tot het andere geslacht te behoren dan is vermeld in zijn akte van geboorte en jegens de deskundige er blijk van heeft gegeven diens voorlichting omtrent de reikwijdte en de betekenis van deze staat te hebben begrepen en de wijziging van de vermelding van het geslacht in de akte "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Bij de aangifte wordt overgelegd ..."
    thisalinea.nativeID = 299
    thisalinea.parentID = 298
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Bij de aangifte wordt overgelegd een verklaring van een bij of krachtens algemene maatregel van bestuur aangewezen deskundige, afgegeven ten hoogste zes maanden voor de datum van de aangifte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Bij de aangifte wordt overgelegd een verklaring van een bij of krachtens algemene")
    thisalinea.textcontent.append("maatregel van bestuur aangewezen deskundige, afgegeven ten hoogste zes maanden")
    thisalinea.textcontent.append("voor de datum van de aangifte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De deskundigenverklaring vermeldt dat degene ..."
    thisalinea.nativeID = 300
    thisalinea.parentID = 298
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De deskundigenverklaring vermeldt dat degene op wie de aangifte betrekking heeft jegens de deskundige heeft verklaard de overtuiging te hebben tot het andere geslacht te behoren dan is vermeld in zijn akte van geboorte en jegens de deskundige er blijk van heeft gegeven diens voorlichting omtrent de reikwijdte en de betekenis van deze staat te hebben begrepen en de wijziging van de vermelding van het geslacht in de akte van geboorte weloverwogen te blijven wensen. De deskundige geeft de verklaring niet af indien hij gegronde reden heeft om aan de gegrondheid van bedoelde overtuiging te twijfelen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De deskundigenverklaring vermeldt dat degene op wie de aangifte betrekking heeft")
    thisalinea.textcontent.append("jegens de deskundige heeft verklaard de overtuiging te hebben tot het andere geslacht te")
    thisalinea.textcontent.append("behoren dan is vermeld in zijn akte van geboorte en jegens de deskundige er blijk van")
    thisalinea.textcontent.append("heeft gegeven diens voorlichting omtrent de reikwijdte en de betekenis van deze staat te")
    thisalinea.textcontent.append("hebben begrepen en de wijziging van de vermelding van het geslacht in de akte van")
    thisalinea.textcontent.append("geboorte weloverwogen te blijven wensen. De deskundige geeft de verklaring niet af")
    thisalinea.textcontent.append("indien hij gegronde reden heeft om aan de gegrondheid van bedoelde overtuiging te")
    thisalinea.textcontent.append("twijfelen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 28b"
    thisalinea.nativeID = 301
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 98
    thisalinea.summary = "1. Indien aan artikel 28a is voldaan voegt de ambtenaar van de burgerlijke stand aan de akte van geboorte een latere vermelding toe van wijziging van het geslacht. Artikel 27 is van overeenkomstige toepassing. 2. In het in de eerste zin van het eerste lid bedoelde geval kan de ambtenaar van de burgerlijke stand desverzocht tevens overgaan tot wijziging van de voornamen van degene op wie de aangifte betrekking heeft. 3. In het geval bedoeld in artikel 28, eerste lid, tweede zin, schrijft de ambtenaar van de burgerlijke stand van de gemeente ’s-Gravenhage de akte van geboorte tevens in het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien aan artikel 28a is ..."
    thisalinea.nativeID = 302
    thisalinea.parentID = 301
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien aan artikel 28a is voldaan voegt de ambtenaar van de burgerlijke stand aan de akte van geboorte een latere vermelding toe van wijziging van het geslacht. Artikel 27 is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien aan artikel 28a is voldaan voegt de ambtenaar van de burgerlijke stand aan de akte")
    thisalinea.textcontent.append("van geboorte een latere vermelding toe van wijziging van het geslacht. Artikel 27 is van")
    thisalinea.textcontent.append("overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In het in de eerste ..."
    thisalinea.nativeID = 303
    thisalinea.parentID = 301
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In het in de eerste zin van het eerste lid bedoelde geval kan de ambtenaar van de burgerlijke stand desverzocht tevens overgaan tot wijziging van de voornamen van degene op wie de aangifte betrekking heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In het in de eerste zin van het eerste lid bedoelde geval kan de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand desverzocht tevens overgaan tot wijziging van de voornamen van")
    thisalinea.textcontent.append("degene op wie de aangifte betrekking heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In het geval bedoeld in ..."
    thisalinea.nativeID = 304
    thisalinea.parentID = 301
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In het geval bedoeld in artikel 28, eerste lid, tweede zin, schrijft de ambtenaar van de burgerlijke stand van de gemeente ’s-Gravenhage de akte van geboorte tevens in het register van geboorten van die gemeente in. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In het geval bedoeld in artikel 28, eerste lid, tweede zin, schrijft de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand van de gemeente ’s-Gravenhage de akte van geboorte tevens in het")
    thisalinea.textcontent.append("register van geboorten van die gemeente in.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 28c"
    thisalinea.nativeID = 305
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 99
    thisalinea.summary = "1. De wijziging van de vermelding van het geslacht in de akte van geboorte heeft haar gevolgen, die uit dit boek voortvloeien, vanaf de dag waarop de ambtenaar van de burgerlijke stand aan de akte van geboorte een latere vermelding van wijziging van het geslacht toevoegt. Dit tijdstip geldt eveneens voor de wijziging van de voornamen, bedoeld in artikel 28b, tweede lid. 2. De wijziging van de vermelding van het geslacht laat de op het in het eerste lid genoemde tijdstip bestaande familierechtelijke betrekkingen en de daaruit voortvloeiende op dit boek gegronde rechten, bevoegdheden en verplichtingen onverlet. 3. Indien de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De wijziging van de vermelding ..."
    thisalinea.nativeID = 306
    thisalinea.parentID = 305
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De wijziging van de vermelding van het geslacht in de akte van geboorte heeft haar gevolgen, die uit dit boek voortvloeien, vanaf de dag waarop de ambtenaar van de burgerlijke stand aan de akte van geboorte een latere vermelding van wijziging van het geslacht toevoegt. Dit tijdstip geldt eveneens voor de wijziging van de voornamen, bedoeld in artikel 28b, tweede lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De wijziging van de vermelding van het geslacht in de akte van geboorte heeft haar")
    thisalinea.textcontent.append("gevolgen, die uit dit boek voortvloeien, vanaf de dag waarop de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand aan de akte van geboorte een latere vermelding van wijziging van het")
    thisalinea.textcontent.append("geslacht toevoegt. Dit tijdstip geldt eveneens voor de wijziging van de voornamen,")
    thisalinea.textcontent.append("bedoeld in artikel 28b, tweede lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De wijziging van de vermelding ..."
    thisalinea.nativeID = 307
    thisalinea.parentID = 305
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De wijziging van de vermelding van het geslacht laat de op het in het eerste lid genoemde tijdstip bestaande familierechtelijke betrekkingen en de daaruit voortvloeiende op dit boek gegronde rechten, bevoegdheden en verplichtingen onverlet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De wijziging van de vermelding van het geslacht laat de op het in het eerste lid genoemde")
    thisalinea.textcontent.append("tijdstip bestaande familierechtelijke betrekkingen en de daaruit voortvloeiende op dit boek")
    thisalinea.textcontent.append("gegronde rechten, bevoegdheden en verplichtingen onverlet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien de betrokkene na de ..."
    thisalinea.nativeID = 308
    thisalinea.parentID = 305
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien de betrokkene na de wijziging van de vermelding van het geslacht een kind baart, wordt voor de toepassing van titel 11 en hetgeen daaruit voortvloeit uitgegaan van het geslacht dat deze voor de wijziging had. In geval van adoptie van een kind op verzoek van degene die dit na de wijziging van de vermelding van het geslacht heeft verwekt of heeft ingestemd met een daad die de verwekking van het kind met eigen zaad tot gevolg heeft gehad, en het kind is of wordt geboren binnen de relatie van de adoptant en de ouder, is de maatstaf van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien de betrokkene na de wijziging van de vermelding van het geslacht een kind baart,")
    thisalinea.textcontent.append("wordt voor de toepassing van titel 11 en hetgeen daaruit voortvloeit uitgegaan van het")
    thisalinea.textcontent.append("geslacht dat deze voor de wijziging had. In geval van adoptie van een kind op verzoek")
    thisalinea.textcontent.append("van degene die dit na de wijziging van de vermelding van het geslacht heeft verwekt of")
    thisalinea.textcontent.append("heeft ingestemd met een daad die de verwekking van het kind met eigen zaad tot gevolg")
    thisalinea.textcontent.append("heeft gehad, en het kind is of wordt geboren binnen de relatie van de adoptant en de")
    thisalinea.textcontent.append("ouder, is de maatstaf van het vierde lid van artikel 227 van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 14. De Commissie van advies voor de zaken betreffende de burgerlijke staat en de nationaliteit"
    thisalinea.nativeID = 309
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 100
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 29"
    thisalinea.nativeID = 310
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 101
    thisalinea.summary = "Er is een Commissie van advies voor de zaken betreffende de burgerlijke staat en de nationaliteit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Er is een Commissie van advies voor de zaken betreffende de burgerlijke staat en de")
    thisalinea.textcontent.append("nationaliteit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 29a"
    thisalinea.nativeID = 311
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 102
    thisalinea.summary = "1. De Commissie bestaat uit ten minste negen en ten hoogste vijftien leden. 2. De Commissie bestaat uit ten minste een lid van de rechterlijke macht, ten minste een lid uit de kring van het wetenschappelijk onderzoek, ten minste twee leden uit de kring van de ambtenaren van de burgerlijke stand en ten minste twee leden uit de kring van de basisregistratie personen. 3. Onze Minister van Justitie benoemt en ontslaat de in het voorgaande lid bedoelde leden in overeenstemming met Onze Minister van Binnenlandse Zaken. Voorts wijst hij een voorzitter en een secretaris aan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De Commissie bestaat uit ten ..."
    thisalinea.nativeID = 312
    thisalinea.parentID = 311
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De Commissie bestaat uit ten minste negen en ten hoogste vijftien leden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De Commissie bestaat uit ten minste negen en ten hoogste vijftien leden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De Commissie bestaat uit ten ..."
    thisalinea.nativeID = 313
    thisalinea.parentID = 311
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De Commissie bestaat uit ten minste een lid van de rechterlijke macht, ten minste een lid uit de kring van het wetenschappelijk onderzoek, ten minste twee leden uit de kring van de ambtenaren van de burgerlijke stand en ten minste twee leden uit de kring van de basisregistratie personen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De Commissie bestaat uit ten minste een lid van de rechterlijke macht, ten minste een lid")
    thisalinea.textcontent.append("uit de kring van het wetenschappelijk onderzoek, ten minste twee leden uit de kring van")
    thisalinea.textcontent.append("de ambtenaren van de burgerlijke stand en ten minste twee leden uit de kring van de")
    thisalinea.textcontent.append("basisregistratie personen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Onze Minister van Justitie benoemt ..."
    thisalinea.nativeID = 314
    thisalinea.parentID = 311
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Onze Minister van Justitie benoemt en ontslaat de in het voorgaande lid bedoelde leden in overeenstemming met Onze Minister van Binnenlandse Zaken. Voorts wijst hij een voorzitter en een secretaris aan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Onze Minister van Justitie benoemt en ontslaat de in het voorgaande lid bedoelde leden in")
    thisalinea.textcontent.append("overeenstemming met Onze Minister van Binnenlandse Zaken. Voorts wijst hij een")
    thisalinea.textcontent.append("voorzitter en een secretaris aan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 29b"
    thisalinea.nativeID = 315
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 103
    thisalinea.summary = "1. De Commissie brengt op verzoek van een ambtenaar van de burgerlijke stand of een ander bestuursorgaan advies uit over vragen betreffende de rechtstoepassing in zaken van burgerlijke staat of nationaliteit. 2. Indien een advies van algemeen belang is, wordt het openbaar gemaakt. De Commissie bepaalt de wijze van openbaarmaking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De Commissie brengt op verzoek ..."
    thisalinea.nativeID = 316
    thisalinea.parentID = 315
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De Commissie brengt op verzoek van een ambtenaar van de burgerlijke stand of een ander bestuursorgaan advies uit over vragen betreffende de rechtstoepassing in zaken van burgerlijke staat of nationaliteit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De Commissie brengt op verzoek van een ambtenaar van de burgerlijke stand of een")
    thisalinea.textcontent.append("ander bestuursorgaan advies uit over vragen betreffende de rechtstoepassing in zaken")
    thisalinea.textcontent.append("van burgerlijke staat of nationaliteit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien een advies van algemeen ..."
    thisalinea.nativeID = 317
    thisalinea.parentID = 315
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien een advies van algemeen belang is, wordt het openbaar gemaakt. De Commissie bepaalt de wijze van openbaarmaking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien een advies van algemeen belang is, wordt het openbaar gemaakt. De Commissie")
    thisalinea.textcontent.append("bepaalt de wijze van openbaarmaking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 29c"
    thisalinea.nativeID = 318
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 104
    thisalinea.summary = "Indien een ambtenaar van de burgerlijke stand gerede twijfel heeft over de vraag of een aan een buiten Nederland opgemaakte akte van de burgerlijke stand of ander geschrift te ontlenen gegeven in aanmerking komt om in een akte van de burgerlijke stand te worden opgenomen, is hij gehouden het advies van de Commissie in te winnen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien een ambtenaar van de burgerlijke stand gerede twijfel heeft over de vraag of een aan")
    thisalinea.textcontent.append("een buiten Nederland opgemaakte akte van de burgerlijke stand of ander geschrift te")
    thisalinea.textcontent.append("ontlenen gegeven in aanmerking komt om in een akte van de burgerlijke stand te worden")
    thisalinea.textcontent.append("opgenomen, is hij gehouden het advies van de Commissie in te winnen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 29d"
    thisalinea.nativeID = 319
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 105
    thisalinea.summary = "Indien een ambtenaar van de burgerlijke stand een door de Commissie gegeven advies niet opvolgt, stelt hij de Commissie en de officier van justitie hiervan in kennis. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien een ambtenaar van de burgerlijke stand een door de Commissie gegeven advies niet")
    thisalinea.textcontent.append("opvolgt, stelt hij de Commissie en de officier van justitie hiervan in kennis.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 29e"
    thisalinea.nativeID = 320
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 106
    thisalinea.summary = "Onze Minister van Justitie kan nadere regels stellen omtrent de taak en de werkwijze van de Commissie. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Onze Minister van Justitie kan nadere regels stellen omtrent de taak en de werkwijze van de")
    thisalinea.textcontent.append("Commissie.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 29f"
    thisalinea.nativeID = 321
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 107
    thisalinea.summary = "Telkens binnen een termijn van vier jaren brengt de Commissie een rapport uit aan Onze Minister van Justitie, waarin de taakvervulling van de Commissie aan een onderzoek wordt onderworpen en voorstellen kunnen worden gedaan voor gewenste veranderingen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Telkens binnen een termijn van vier jaren brengt de Commissie een rapport uit aan Onze")
    thisalinea.textcontent.append("Minister van Justitie, waarin de taakvervulling van de Commissie aan een onderzoek wordt")
    thisalinea.textcontent.append("onderworpen en voorstellen kunnen worden gedaan voor gewenste veranderingen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 5. Het huwelijk Algemene bepaling"
    thisalinea.nativeID = 322
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 108
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 30"
    thisalinea.nativeID = 323
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 109
    thisalinea.summary = "1. Een huwelijk kan worden aangegaan door twee personen van verschillend of van gelijk geslacht. 2. De wet beschouwt het huwelijk alleen in zijn burgerlijke betrekkingen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een huwelijk kan worden aangegaan ..."
    thisalinea.nativeID = 324
    thisalinea.parentID = 323
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een huwelijk kan worden aangegaan door twee personen van verschillend of van gelijk geslacht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een huwelijk kan worden aangegaan door twee personen van verschillend of van gelijk")
    thisalinea.textcontent.append("geslacht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De wet beschouwt het huwelijk ..."
    thisalinea.nativeID = 325
    thisalinea.parentID = 323
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De wet beschouwt het huwelijk alleen in zijn burgerlijke betrekkingen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De wet beschouwt het huwelijk alleen in zijn burgerlijke betrekkingen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 1. Vereisten tot het aangaan van een huwelijk"
    thisalinea.nativeID = 326
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 110
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 31"
    thisalinea.nativeID = 327
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 111
    thisalinea.summary = "Om een huwelijk te mogen aangaan moeten een man en een vrouw de leeftijd van achttien jaren hebben bereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Om een huwelijk te mogen aangaan moeten een man en een vrouw de leeftijd van achttien")
    thisalinea.textcontent.append("jaren hebben bereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 32"
    thisalinea.nativeID = 328
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 112
    thisalinea.summary = "Een huwelijk mag niet worden aangegaan, wanneer de geestvermogens van een partij zodanig zijn gestoord, dat deze niet in staat is haar wil te bepalen of de betekenis van haar verklaring te begrijpen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een huwelijk mag niet worden aangegaan, wanneer de geestvermogens van een partij")
    thisalinea.textcontent.append("zodanig zijn gestoord, dat deze niet in staat is haar wil te bepalen of de betekenis van haar")
    thisalinea.textcontent.append("verklaring te begrijpen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 33"
    thisalinea.nativeID = 329
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 113
    thisalinea.summary = "Een persoon kan tegelijkertijd slechts met één andere persoon door het huwelijk verbonden zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een persoon kan tegelijkertijd slechts met één andere persoon door het huwelijk verbonden")
    thisalinea.textcontent.append("zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 34"
    thisalinea.nativeID = 330
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 114
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 35"
    thisalinea.nativeID = 331
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 115
    thisalinea.summary = "[Vervallen per 05-12-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 05-12-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 36"
    thisalinea.nativeID = 332
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 116
    thisalinea.summary = "[Vervallen per 05-12-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 05-12-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 37"
    thisalinea.nativeID = 333
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 117
    thisalinea.summary = "1. Hij die wegens gewoonte van drank- of drugsmisbruik onder curatele staat, mag geen huwelijk aangaan zonder de toestemming van zijn curator. 2. Voor zover die toestemming niet wordt verkregen, kan zij op verzoek van de onder curatele gestelde door toestemming van de kantonrechter worden vervangen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Hij die wegens gewoonte van ..."
    thisalinea.nativeID = 334
    thisalinea.parentID = 333
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Hij die wegens gewoonte van drank- of drugsmisbruik onder curatele staat, mag geen huwelijk aangaan zonder de toestemming van zijn curator. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Hij die wegens gewoonte van drank- of drugsmisbruik onder curatele staat, mag geen")
    thisalinea.textcontent.append("huwelijk aangaan zonder de toestemming van zijn curator.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voor zover die toestemming niet ..."
    thisalinea.nativeID = 335
    thisalinea.parentID = 333
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voor zover die toestemming niet wordt verkregen, kan zij op verzoek van de onder curatele gestelde door toestemming van de kantonrechter worden vervangen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voor zover die toestemming niet wordt verkregen, kan zij op verzoek van de onder")
    thisalinea.textcontent.append("curatele gestelde door toestemming van de kantonrechter worden vervangen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 38"
    thisalinea.nativeID = 336
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 118
    thisalinea.summary = "Hij die wegens een zijn lichamelijke of geestelijke toestand onder curatele staat, mag geen huwelijk aangaan zonder toestemming van de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Hij die wegens een zijn lichamelijke of geestelijke toestand onder curatele staat, mag geen")
    thisalinea.textcontent.append("huwelijk aangaan zonder toestemming van de kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 39"
    thisalinea.nativeID = 337
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 119
    thisalinea.summary = "1. Heeft de rechter de toestemming verleend, dan is de termijn van beroep veertien dagen en kan gedurende die termijn de beschikking niet worden ten uitvoer gelegd. 2. Hij die tegen een verleende toestemming opkomt, is verplicht dit binnen de termijn van beroep bij deurwaardersexploit te doen aanzeggen aan de ambtenaar of ambtenaren van de burgerlijke stand ten overstaan van wie het huwelijk kan worden voltrokken. Door dit te verzuimen verliest hij het recht om de nietigverklaring van het huwelijk op grond van het ontbreken van zijn toestemming te vragen, indien het gerechtshof de in het eerste lid bedoelde beschikking "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Heeft de rechter de toestemming ..."
    thisalinea.nativeID = 338
    thisalinea.parentID = 337
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Heeft de rechter de toestemming verleend, dan is de termijn van beroep veertien dagen en kan gedurende die termijn de beschikking niet worden ten uitvoer gelegd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Heeft de rechter de toestemming verleend, dan is de termijn van beroep veertien dagen")
    thisalinea.textcontent.append("en kan gedurende die termijn de beschikking niet worden ten uitvoer gelegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij die tegen een verleende ..."
    thisalinea.nativeID = 339
    thisalinea.parentID = 337
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij die tegen een verleende toestemming opkomt, is verplicht dit binnen de termijn van beroep bij deurwaardersexploit te doen aanzeggen aan de ambtenaar of ambtenaren van de burgerlijke stand ten overstaan van wie het huwelijk kan worden voltrokken. Door dit te verzuimen verliest hij het recht om de nietigverklaring van het huwelijk op grond van het ontbreken van zijn toestemming te vragen, indien het gerechtshof de in het eerste lid bedoelde beschikking vernietigt en het huwelijk reeds is voltrokken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij die tegen een verleende toestemming opkomt, is verplicht dit binnen de termijn van")
    thisalinea.textcontent.append("beroep bij deurwaardersexploit te doen aanzeggen aan de ambtenaar of ambtenaren van")
    thisalinea.textcontent.append("de burgerlijke stand ten overstaan van wie het huwelijk kan worden voltrokken. Door dit te")
    thisalinea.textcontent.append("verzuimen verliest hij het recht om de nietigverklaring van het huwelijk op grond van het")
    thisalinea.textcontent.append("ontbreken van zijn toestemming te vragen, indien het gerechtshof de in het eerste lid")
    thisalinea.textcontent.append("bedoelde beschikking vernietigt en het huwelijk reeds is voltrokken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 40"
    thisalinea.nativeID = 340
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 120
    thisalinea.summary = "[Vervallen per 01-01-1988] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-1988]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 41"
    thisalinea.nativeID = 341
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 121
    thisalinea.summary = "1. Een huwelijk mag niet worden gesloten tussen hen die elkander, hetzij van nature hetzij familierechtelijk, bestaan in de opgaande en in de nederdalende lijn of als broeders, zusters of broeder en zuster. 2. Onze Minister van Justitie kan om gewichtige redenen ontheffing van het verbod verlenen aan hen die broeders, zusters of broeder en zuster door adoptie zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een huwelijk mag niet worden ..."
    thisalinea.nativeID = 342
    thisalinea.parentID = 341
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een huwelijk mag niet worden gesloten tussen hen die elkander, hetzij van nature hetzij familierechtelijk, bestaan in de opgaande en in de nederdalende lijn of als broeders, zusters of broeder en zuster. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een huwelijk mag niet worden gesloten tussen hen die elkander, hetzij van nature hetzij")
    thisalinea.textcontent.append("familierechtelijk, bestaan in de opgaande en in de nederdalende lijn of als broeders,")
    thisalinea.textcontent.append("zusters of broeder en zuster.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Onze Minister van Justitie kan ..."
    thisalinea.nativeID = 343
    thisalinea.parentID = 341
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Onze Minister van Justitie kan om gewichtige redenen ontheffing van het verbod verlenen aan hen die broeders, zusters of broeder en zuster door adoptie zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Onze Minister van Justitie kan om gewichtige redenen ontheffing van het verbod verlenen")
    thisalinea.textcontent.append("aan hen die broeders, zusters of broeder en zuster door adoptie zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 41a"
    thisalinea.nativeID = 344
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 122
    thisalinea.summary = "Een huwelijk mag niet worden gesloten tussen hen die elkander, hetzij van nature hetzij familierechtelijk, als bloedverwanten bestaan in de derde of vierde graad in de zijlinie, tenzij de aanstaande echtgenoten bij de ambtenaar van de burgerlijke stand ieder een beëdigde verklaring hebben afgelegd, inhoudende dat zij hun vrije toestemming tot het huwelijk geven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een huwelijk mag niet worden gesloten tussen hen die elkander, hetzij van nature hetzij")
    thisalinea.textcontent.append("familierechtelijk, als bloedverwanten bestaan in de derde of vierde graad in de zijlinie, tenzij")
    thisalinea.textcontent.append("de aanstaande echtgenoten bij de ambtenaar van de burgerlijke stand ieder een beëdigde")
    thisalinea.textcontent.append("verklaring hebben afgelegd, inhoudende dat zij hun vrije toestemming tot het huwelijk geven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 42"
    thisalinea.nativeID = 345
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 123
    thisalinea.summary = "Zij die met elkander een huwelijk willen aangaan, mogen niet tegelijkertijd een geregistreerd partnerschap zijn aangegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Zij die met elkander een huwelijk willen aangaan, mogen niet tegelijkertijd een geregistreerd")
    thisalinea.textcontent.append("partnerschap zijn aangegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Formaliteiten die aan de voltrekking van het huwelijk moeten voorafgaan"
    thisalinea.nativeID = 346
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 124
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 43"
    thisalinea.nativeID = 347
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 125
    thisalinea.summary = "[Vervallen per 01-09-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-09-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 44"
    thisalinea.nativeID = 348
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 126
    thisalinea.summary = "1. Ten behoeve van het kenbaar maken van hun voornemen om in het huwelijk te treden verstrekken de aanstaande echtgenoten van wie ten minste één uitsluitend of mede de Nederlandse nationaliteit bezit of in Nederland zijn gewone verblijfplaats heeft aan de ambtenaar van de burgerlijke stand: a. hun geslachtsnaam, voornamen, woonplaats en geboortegegevens, alsmede een verklaring dat zij elkaar niet als bloedverwanten bestaan in de derde of vierde graad in de zijlinie, dan wel een beëdigde verklaring als bedoeld in artikel 41a; b. indien toestemming tot het aangaan van een huwelijk is vereist, de gegevens van degenen wier toestemming noodzakelijk "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Ten behoeve van het kenbaar ..."
    thisalinea.nativeID = 349
    thisalinea.parentID = 348
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Ten behoeve van het kenbaar maken van hun voornemen om in het huwelijk te treden verstrekken de aanstaande echtgenoten van wie ten minste één uitsluitend of mede de Nederlandse nationaliteit bezit of in Nederland zijn gewone verblijfplaats heeft aan de ambtenaar van de burgerlijke stand: a. hun geslachtsnaam, voornamen, woonplaats en geboortegegevens, alsmede een verklaring dat zij elkaar niet als bloedverwanten bestaan in de derde of vierde graad in de zijlinie, dan wel een beëdigde verklaring als bedoeld in artikel 41a; b. indien toestemming tot het aangaan van een huwelijk is vereist, de gegevens van degenen wier toestemming noodzakelijk "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Ten behoeve van het kenbaar maken van hun voornemen om in het huwelijk te treden")
    thisalinea.textcontent.append("verstrekken de aanstaande echtgenoten van wie ten minste één uitsluitend of mede de")
    thisalinea.textcontent.append("Nederlandse nationaliteit bezit of in Nederland zijn gewone verblijfplaats heeft aan de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. hun geslachtsnaam, voornamen, woonplaats en ..."
    thisalinea.nativeID = 350
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. hun geslachtsnaam, voornamen, woonplaats en geboortegegevens, alsmede een verklaring dat zij elkaar niet als bloedverwanten bestaan in de derde of vierde graad in de zijlinie, dan wel een beëdigde verklaring als bedoeld in artikel 41a; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. hun geslachtsnaam, voornamen, woonplaats en geboortegegevens, alsmede een")
    thisalinea.textcontent.append("verklaring dat zij elkaar niet als bloedverwanten bestaan in de derde of vierde graad in")
    thisalinea.textcontent.append("de zijlinie, dan wel een beëdigde verklaring als bedoeld in artikel 41a;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. indien toestemming tot het aangaan ..."
    thisalinea.nativeID = 351
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. indien toestemming tot het aangaan van een huwelijk is vereist, de gegevens van degenen wier toestemming noodzakelijk is, dan wel het bewijs dat deze hun toestemming hebben verleend. De toestemming kan ook ter gelegenheid van de huwelijksvoltrekking worden gegeven. Is de toestemming door de rechter verleend, dan verifieert de ambtenaar het bestaan daarvan bij de betrokken griffie; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. indien toestemming tot het aangaan van een huwelijk is vereist, de gegevens van")
    thisalinea.textcontent.append("degenen wier toestemming noodzakelijk is, dan wel het bewijs dat deze hun")
    thisalinea.textcontent.append("toestemming hebben verleend. De toestemming kan ook ter gelegenheid van de")
    thisalinea.textcontent.append("huwelijksvoltrekking worden gegeven. Is de toestemming door de rechter verleend,")
    thisalinea.textcontent.append("dan verifieert de ambtenaar het bestaan daarvan bij de betrokken griffie;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. de overlijdensgegevens van allen wier ..."
    thisalinea.nativeID = 352
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. de overlijdensgegevens van allen wier toestemming voor het huwelijk was vereist, als zij in leven waren geweest; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. de overlijdensgegevens van allen wier toestemming voor het huwelijk was vereist, als")
    thisalinea.textcontent.append("zij in leven waren geweest;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. de gegevens inzake ontbinding van ..."
    thisalinea.nativeID = 353
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. de gegevens inzake ontbinding van eventuele eerdere huwelijken of geregistreerde partnerschappen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. de gegevens inzake ontbinding van eventuele eerdere huwelijken of geregistreerde")
    thisalinea.textcontent.append("partnerschappen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. in geval van stuiting, de ..."
    thisalinea.nativeID = 354
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. in geval van stuiting, de gegevens inzake de opheffing daarvan; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. in geval van stuiting, de gegevens inzake de opheffing daarvan;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "f. de ontheffing of de vergunning ..."
    thisalinea.nativeID = 355
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "f. de ontheffing of de vergunning van Onze Minister van Justitie, ingeval deze is vereist; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("f. de ontheffing of de vergunning van Onze Minister van Justitie, ingeval deze is vereist;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "g. een vrijstelling krachtens artikel 62, ..."
    thisalinea.nativeID = 356
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "g. een vrijstelling krachtens artikel 62, indien deze is verkregen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("g. een vrijstelling krachtens artikel 62, indien deze is verkregen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "h. de namen en adressen van ..."
    thisalinea.nativeID = 357
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "h. de namen en adressen van de personen die als getuigen bij de voltrekking van het huwelijk aanwezig zullen zijn; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("h. de namen en adressen van de personen die als getuigen bij de voltrekking van het")
    thisalinea.textcontent.append("huwelijk aanwezig zullen zijn;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "i. ingeval een aanstaande echtgenoot niet ..."
    thisalinea.nativeID = 358
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "i. ingeval een aanstaande echtgenoot niet de Nederlandse nationaliteit bezit of rechtmatig in Nederland verblijft als bedoeld in artikel 8, onder b, d of e, van de Vreemdelingenwet 2000, een verklaring dat het voornemen om in het huwelijk te treden niet wordt aangegaan met het oogmerk om verblijfsrecht in Nederland te verkrijgen, alsmede een verklaring omtrent het verblijfsrecht van de aanstaande echtgenoot die niet de Nederlandse nationaliteit bezit; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("i. ingeval een aanstaande echtgenoot niet de Nederlandse nationaliteit bezit of")
    thisalinea.textcontent.append("rechtmatig in Nederland verblijft als bedoeld in artikel 8, onder b, d of e, van de")
    thisalinea.textcontent.append("Vreemdelingenwet 2000, een verklaring dat het voornemen om in het huwelijk te")
    thisalinea.textcontent.append("treden niet wordt aangegaan met het oogmerk om verblijfsrecht in Nederland te")
    thisalinea.textcontent.append("verkrijgen, alsmede een verklaring omtrent het verblijfsrecht van de aanstaande")
    thisalinea.textcontent.append("echtgenoot die niet de Nederlandse nationaliteit bezit;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "j. de naam van de gemeente ..."
    thisalinea.nativeID = 359
    thisalinea.parentID = 349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "j. de naam van de gemeente in Nederland waar het huwelijk zal worden voltrokken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("j. de naam van de gemeente in Nederland waar het huwelijk zal worden voltrokken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Wanneer de aanstaande echtgenoten, van ..."
    thisalinea.nativeID = 360
    thisalinea.parentID = 348
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Wanneer de aanstaande echtgenoten, van wie ten minste één de Nederlandse nationaliteit bezit, buiten Nederland hun woonplaats hebben, kunnen zij zich ten behoeve van hun voornemen om in het huwelijk te treden uitsluitend tot de ambtenaar van de burgerlijke stand van de gemeente ’s-Gravenhage wenden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Wanneer de aanstaande echtgenoten, van wie ten minste één de Nederlandse")
    thisalinea.textcontent.append("nationaliteit bezit, buiten Nederland hun woonplaats hebben, kunnen zij zich ten behoeve")
    thisalinea.textcontent.append("van hun voornemen om in het huwelijk te treden uitsluitend tot de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand van de gemeente ’s-Gravenhage wenden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 45"
    thisalinea.nativeID = 361
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 127
    thisalinea.summary = "1. Indien de geboortegegevens van een aanstaande echtgenoot niet kunnen worden geverifieerd en deze niet in staat is om een geboorteakte over te leggen, kan de betrokkene jegens de ambtenaar van de burgerlijke stand ten overstaan van wie het huwelijk zal worden voltrokken een beëdigde verklaring afleggen inhoudende: het geslacht, de plaats, het land en, zo nauwkeurig mogelijk, de datum van geboorte alsmede de persoonsgegevens van de ouders. 2. In de huwelijksakte wordt van de afgelegde verklaring melding gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de geboortegegevens van een ..."
    thisalinea.nativeID = 362
    thisalinea.parentID = 361
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de geboortegegevens van een aanstaande echtgenoot niet kunnen worden geverifieerd en deze niet in staat is om een geboorteakte over te leggen, kan de betrokkene jegens de ambtenaar van de burgerlijke stand ten overstaan van wie het huwelijk zal worden voltrokken een beëdigde verklaring afleggen inhoudende: het geslacht, de plaats, het land en, zo nauwkeurig mogelijk, de datum van geboorte alsmede de persoonsgegevens van de ouders. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de geboortegegevens van een aanstaande echtgenoot niet kunnen worden")
    thisalinea.textcontent.append("geverifieerd en deze niet in staat is om een geboorteakte over te leggen, kan de")
    thisalinea.textcontent.append("betrokkene jegens de ambtenaar van de burgerlijke stand ten overstaan van wie het")
    thisalinea.textcontent.append("huwelijk zal worden voltrokken een beëdigde verklaring afleggen inhoudende: het")
    thisalinea.textcontent.append("geslacht, de plaats, het land en, zo nauwkeurig mogelijk, de datum van geboorte alsmede")
    thisalinea.textcontent.append("de persoonsgegevens van de ouders.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In de huwelijksakte wordt van ..."
    thisalinea.nativeID = 363
    thisalinea.parentID = 361
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In de huwelijksakte wordt van de afgelegde verklaring melding gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In de huwelijksakte wordt van de afgelegde verklaring melding gemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 45a"
    thisalinea.nativeID = 364
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 128
    thisalinea.summary = "Indien de gegevens betreffende overlijden als bedoeld in artikel 44, eerste lid, onder c, niet kunnen worden geverifieerd en de aanstaande echtgenoten niet in staat zijn om de akte of akten van overlijden over te leggen, kunnen zij terzake een beëdigde verklaring afleggen jegens de ambtenaar van de burgerlijke stand ten overstaan van wie het huwelijk zal worden voltrokken. Deze maakt daarvan melding in de huwelijksakte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien de gegevens betreffende overlijden als bedoeld in artikel 44, eerste lid, onder c, niet")
    thisalinea.textcontent.append("kunnen worden geverifieerd en de aanstaande echtgenoten niet in staat zijn om de akte of")
    thisalinea.textcontent.append("akten van overlijden over te leggen, kunnen zij terzake een beëdigde verklaring afleggen")
    thisalinea.textcontent.append("jegens de ambtenaar van de burgerlijke stand ten overstaan van wie het huwelijk zal worden")
    thisalinea.textcontent.append("voltrokken. Deze maakt daarvan melding in de huwelijksakte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 46"
    thisalinea.nativeID = 365
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 129
    thisalinea.summary = "Wanneer het huwelijk binnen een jaar, te rekenen vanaf de datum waarop het voornemen daartoe is kenbaar gemaakt, niet is voltrokken, mag het niet worden voltrokken dan nadat het voornemen daartoe opnieuw kenbaar is gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Wanneer het huwelijk binnen een jaar, te rekenen vanaf de datum waarop het voornemen")
    thisalinea.textcontent.append("daartoe is kenbaar gemaakt, niet is voltrokken, mag het niet worden voltrokken dan nadat het")
    thisalinea.textcontent.append("voornemen daartoe opnieuw kenbaar is gemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 47"
    thisalinea.nativeID = 366
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 130
    thisalinea.summary = "[Vervallen per 05-12-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 05-12-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 48"
    thisalinea.nativeID = 367
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 131
    thisalinea.summary = "Indien hij die wil hertrouwen het gezag heeft over kinderen uit een vorig huwelijk, geeft de ambtenaar van de burgerlijke stand van dit voornemen onverwijld kennis aan de rechtbank van de woonplaats van de bedoelde ouder. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien hij die wil hertrouwen het gezag heeft over kinderen uit een vorig huwelijk, geeft de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand van dit voornemen onverwijld kennis aan de rechtbank")
    thisalinea.textcontent.append("van de woonplaats van de bedoelde ouder.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 49"
    thisalinea.nativeID = 368
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 132
    thisalinea.summary = "1. Trouwbeloften geven geen rechtsvordering tot het aangaan van een huwelijk, noch tot schadevergoeding wegens de niet-vervulling van de beloften; alle afwijkende bedingen zijn nietig. 2. Indien het voornemen tot het aangaan van een huwelijk aan een ambtenaar van de burgerlijke stand kenbaar is gemaakt, kan dit grond opleveren tot een vordering tot vergoeding der werkelijke vermogensverliezen, zonder dat daarbij enige winstderving in aanmerking komt. De vordering vervalt door verloop van achttien maanden, te rekenen vanaf de datum waarop het voornemen kenbaar is gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Trouwbeloften geven geen rechtsvordering tot ..."
    thisalinea.nativeID = 369
    thisalinea.parentID = 368
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Trouwbeloften geven geen rechtsvordering tot het aangaan van een huwelijk, noch tot schadevergoeding wegens de niet-vervulling van de beloften; alle afwijkende bedingen zijn nietig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Trouwbeloften geven geen rechtsvordering tot het aangaan van een huwelijk, noch tot")
    thisalinea.textcontent.append("schadevergoeding wegens de niet-vervulling van de beloften; alle afwijkende bedingen")
    thisalinea.textcontent.append("zijn nietig.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het voornemen tot het ..."
    thisalinea.nativeID = 370
    thisalinea.parentID = 368
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het voornemen tot het aangaan van een huwelijk aan een ambtenaar van de burgerlijke stand kenbaar is gemaakt, kan dit grond opleveren tot een vordering tot vergoeding der werkelijke vermogensverliezen, zonder dat daarbij enige winstderving in aanmerking komt. De vordering vervalt door verloop van achttien maanden, te rekenen vanaf de datum waarop het voornemen kenbaar is gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het voornemen tot het aangaan van een huwelijk aan een ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand kenbaar is gemaakt, kan dit grond opleveren tot een vordering tot")
    thisalinea.textcontent.append("vergoeding der werkelijke vermogensverliezen, zonder dat daarbij enige winstderving in")
    thisalinea.textcontent.append("aanmerking komt. De vordering vervalt door verloop van achttien maanden, te rekenen")
    thisalinea.textcontent.append("vanaf de datum waarop het voornemen kenbaar is gemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 49a"
    thisalinea.nativeID = 371
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 133
    thisalinea.summary = "1. Indien een Nederlander buiten Nederland een huwelijk wenst aan te gaan, wordt op zijn verzoek aan hem een verklaring van huwelijksbevoegdheid overeenkomstig de bijlage van de Overeenkomst van München van 5 september 1980 (Trb. 1981, 71, en 1982, 116) afgegeven. 2. Deze verklaring wordt afgegeven: a. aan degene die binnen Nederland woonplaats heeft, door de ambtenaar van de burgerlijke stand van zijn woonplaats; b. aan degene die binnen Nederland geen woonplaats heeft, maar wel heeft gehad, door de ambtenaar van de burgerlijke stand van de laatste woonplaats aldaar; c. aan degene die binnen Nederland geen woonplaats heeft of heeft "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een Nederlander buiten Nederland ..."
    thisalinea.nativeID = 372
    thisalinea.parentID = 371
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een Nederlander buiten Nederland een huwelijk wenst aan te gaan, wordt op zijn verzoek aan hem een verklaring van huwelijksbevoegdheid overeenkomstig de bijlage van de Overeenkomst van München van 5 september 1980 (Trb. 1981, 71, en 1982, 116) afgegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een Nederlander buiten Nederland een huwelijk wenst aan te gaan, wordt op zijn")
    thisalinea.textcontent.append("verzoek aan hem een verklaring van huwelijksbevoegdheid overeenkomstig de bijlage")
    thisalinea.textcontent.append("van de Overeenkomst van München van 5 september 1980 (Trb. 1981, 71, en 1982, 116)")
    thisalinea.textcontent.append("afgegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Deze verklaring wordt afgegeven: "
    thisalinea.nativeID = 373
    thisalinea.parentID = 371
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Deze verklaring wordt afgegeven: a. aan degene die binnen Nederland woonplaats heeft, door de ambtenaar van de burgerlijke stand van zijn woonplaats; b. aan degene die binnen Nederland geen woonplaats heeft, maar wel heeft gehad, door de ambtenaar van de burgerlijke stand van de laatste woonplaats aldaar; c. aan degene die binnen Nederland geen woonplaats heeft of heeft gehad, door het hoofd van de diplomatieke of consulaire vertegenwoordiging van het Koninkrijk der Nederlanden in het ressort waar het huwelijk wordt voltrokken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Deze verklaring wordt afgegeven:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. aan degene die binnen Nederland ..."
    thisalinea.nativeID = 374
    thisalinea.parentID = 373
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. aan degene die binnen Nederland woonplaats heeft, door de ambtenaar van de burgerlijke stand van zijn woonplaats; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. aan degene die binnen Nederland woonplaats heeft, door de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand van zijn woonplaats;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. aan degene die binnen Nederland ..."
    thisalinea.nativeID = 375
    thisalinea.parentID = 373
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. aan degene die binnen Nederland geen woonplaats heeft, maar wel heeft gehad, door de ambtenaar van de burgerlijke stand van de laatste woonplaats aldaar; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. aan degene die binnen Nederland geen woonplaats heeft, maar wel heeft gehad, door")
    thisalinea.textcontent.append("de ambtenaar van de burgerlijke stand van de laatste woonplaats aldaar;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. aan degene die binnen Nederland ..."
    thisalinea.nativeID = 376
    thisalinea.parentID = 373
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. aan degene die binnen Nederland geen woonplaats heeft of heeft gehad, door het hoofd van de diplomatieke of consulaire vertegenwoordiging van het Koninkrijk der Nederlanden in het ressort waar het huwelijk wordt voltrokken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. aan degene die binnen Nederland geen woonplaats heeft of heeft gehad, door het")
    thisalinea.textcontent.append("hoofd van de diplomatieke of consulaire vertegenwoordiging van het Koninkrijk der")
    thisalinea.textcontent.append("Nederlanden in het ressort waar het huwelijk wordt voltrokken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De verklaring wordt door de ..."
    thisalinea.nativeID = 377
    thisalinea.parentID = 371
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De verklaring wordt door de bevoegde autoriteit niet afgegeven alvorens deze, door verificatie van de gegevens, vermeld in artikel 44, eerste lid, onder a, b, c, d en f, en zo nodig van die, vermeld in de artikelen 45 en 45a, alsmede in artikel 27b, zich ervan heeft overtuigd dat naar Nederlands recht geen beletselen tegen het huwelijk bestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De verklaring wordt door de bevoegde autoriteit niet afgegeven alvorens deze, door")
    thisalinea.textcontent.append("verificatie van de gegevens, vermeld in artikel 44, eerste lid, onder a, b, c, d en f, en zo")
    thisalinea.textcontent.append("nodig van die, vermeld in de artikelen 45 en 45a, alsmede in artikel 27b, zich ervan heeft")
    thisalinea.textcontent.append("overtuigd dat naar Nederlands recht geen beletselen tegen het huwelijk bestaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De verklaring van huwelijksbevoegdheid is, ..."
    thisalinea.nativeID = 378
    thisalinea.parentID = 371
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De verklaring van huwelijksbevoegdheid is, te rekenen van het tijdstip van afgifte, gedurende zes maanden geldig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De verklaring van huwelijksbevoegdheid is, te rekenen van het tijdstip van afgifte,")
    thisalinea.textcontent.append("gedurende zes maanden geldig.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3. Stuiting van het huwelijk"
    thisalinea.nativeID = 379
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 134
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 50"
    thisalinea.nativeID = 380
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 135
    thisalinea.summary = "Een huwelijk kan worden gestuit, wanneer partijen niet de vereisten in zich verenigen om een huwelijk aan te gaan, of wanneer partijen niet beiden hun vrije toestemming tot het huwelijk zullen geven dan wel wanneer het oogmerk van de aanstaande echtgenoten, of één hunner, niet is gericht op de vervulling van de door de wet aan de huwelijkse staat verbonden plichten, doch op het verkrijgen van toelating tot Nederland. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een huwelijk kan worden gestuit, wanneer partijen niet de vereisten in zich verenigen om een")
    thisalinea.textcontent.append("huwelijk aan te gaan, of wanneer partijen niet beiden hun vrije toestemming tot het huwelijk")
    thisalinea.textcontent.append("zullen geven dan wel wanneer het oogmerk van de aanstaande echtgenoten, of één hunner,")
    thisalinea.textcontent.append("niet is gericht op de vervulling van de door de wet aan de huwelijkse staat verbonden")
    thisalinea.textcontent.append("plichten, doch op het verkrijgen van toelating tot Nederland.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 51"
    thisalinea.nativeID = 381
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 136
    thisalinea.summary = "1. Bevoegd tot stuiting, wanneer partijen niet de vereisten in zich verenigen om een huwelijk aan te gaan, zijn bloedverwanten in de rechte lijn, broeders, zusters en curatoren van een der aanstaande echtgenoten. 2. De in het vorige lid genoemde personen zijn ook bevoegd een huwelijk te stuiten, wanneer de andere aanstaande echtgenoot onder curatele staat, en het huwelijk klaarblijkelijk het ongeluk zou veroorzaken van de partij, waarvan zij bloedverwant of curator zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Bevoegd tot stuiting, wanneer partijen ..."
    thisalinea.nativeID = 382
    thisalinea.parentID = 381
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Bevoegd tot stuiting, wanneer partijen niet de vereisten in zich verenigen om een huwelijk aan te gaan, zijn bloedverwanten in de rechte lijn, broeders, zusters en curatoren van een der aanstaande echtgenoten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Bevoegd tot stuiting, wanneer partijen niet de vereisten in zich verenigen om een huwelijk")
    thisalinea.textcontent.append("aan te gaan, zijn bloedverwanten in de rechte lijn, broeders, zusters en curatoren van een")
    thisalinea.textcontent.append("der aanstaande echtgenoten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De in het vorige lid ..."
    thisalinea.nativeID = 383
    thisalinea.parentID = 381
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De in het vorige lid genoemde personen zijn ook bevoegd een huwelijk te stuiten, wanneer de andere aanstaande echtgenoot onder curatele staat, en het huwelijk klaarblijkelijk het ongeluk zou veroorzaken van de partij, waarvan zij bloedverwant of curator zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De in het vorige lid genoemde personen zijn ook bevoegd een huwelijk te stuiten,")
    thisalinea.textcontent.append("wanneer de andere aanstaande echtgenoot onder curatele staat, en het huwelijk")
    thisalinea.textcontent.append("klaarblijkelijk het ongeluk zou veroorzaken van de partij, waarvan zij bloedverwant of")
    thisalinea.textcontent.append("curator zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 52"
    thisalinea.nativeID = 384
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 137
    thisalinea.summary = "Hij die met een der partijen door huwelijk verbonden is dan wel met een der partijen een geregistreerd partnerschap is aangegaan, kan op grond van het bestaan van dat huwelijk of dat geregistreerd partnerschap een nieuw aan te gaan huwelijk stuiten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Hij die met een der partijen door huwelijk verbonden is dan wel met een der partijen een")
    thisalinea.textcontent.append("geregistreerd partnerschap is aangegaan, kan op grond van het bestaan van dat huwelijk of")
    thisalinea.textcontent.append("dat geregistreerd partnerschap een nieuw aan te gaan huwelijk stuiten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 53"
    thisalinea.nativeID = 385
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 138
    thisalinea.summary = "1. Het openbaar ministerie is verplicht een voorgenomen huwelijk te stuiten, indien het met een der in de artikelen 31 tot en met 33, 41 en 42 omschreven huwelijksbeletselen bekend is. 2. Het openbaar ministerie is bevoegd het huwelijk als schijnhandeling wegens strijd met de Nederlandse openbare orde te stuiten indien het oogmerk van de aanstaande echtgenoten, of één hunner, niet is gericht op de vervulling van de door de wet aan de huwelijkse staat verbonden plichten, doch op het verkrijgen van toelating tot Nederland. 3. Het openbaar ministerie is voorts bevoegd het huwelijk te stuiten indien genoegzaam is gebleken "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het openbaar ministerie is verplicht ..."
    thisalinea.nativeID = 386
    thisalinea.parentID = 385
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het openbaar ministerie is verplicht een voorgenomen huwelijk te stuiten, indien het met een der in de artikelen 31 tot en met 33, 41 en 42 omschreven huwelijksbeletselen bekend is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het openbaar ministerie is verplicht een voorgenomen huwelijk te stuiten, indien het met")
    thisalinea.textcontent.append("een der in de artikelen 31 tot en met 33, 41 en 42 omschreven huwelijksbeletselen")
    thisalinea.textcontent.append("bekend is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het openbaar ministerie is bevoegd ..."
    thisalinea.nativeID = 387
    thisalinea.parentID = 385
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het openbaar ministerie is bevoegd het huwelijk als schijnhandeling wegens strijd met de Nederlandse openbare orde te stuiten indien het oogmerk van de aanstaande echtgenoten, of één hunner, niet is gericht op de vervulling van de door de wet aan de huwelijkse staat verbonden plichten, doch op het verkrijgen van toelating tot Nederland. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het openbaar ministerie is bevoegd het huwelijk als schijnhandeling wegens strijd met de")
    thisalinea.textcontent.append("Nederlandse openbare orde te stuiten indien het oogmerk van de aanstaande")
    thisalinea.textcontent.append("echtgenoten, of één hunner, niet is gericht op de vervulling van de door de wet aan de")
    thisalinea.textcontent.append("huwelijkse staat verbonden plichten, doch op het verkrijgen van toelating tot Nederland.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het openbaar ministerie is voorts ..."
    thisalinea.nativeID = 388
    thisalinea.parentID = 385
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het openbaar ministerie is voorts bevoegd het huwelijk te stuiten indien genoegzaam is gebleken dat de aanstaande echtgenoten, of één hunner, het huwelijk onder invloed van dwang zullen aangaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het openbaar ministerie is voorts bevoegd het huwelijk te stuiten indien genoegzaam is")
    thisalinea.textcontent.append("gebleken dat de aanstaande echtgenoten, of één hunner, het huwelijk onder invloed van")
    thisalinea.textcontent.append("dwang zullen aangaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Voor de uitoefening van de ..."
    thisalinea.nativeID = 389
    thisalinea.parentID = 385
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Voor de uitoefening van de in de leden 2 en 3 bedoelde bevoegdheid door het openbaar ministerie is voorafgaande machtiging van de rechtbank vereist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Voor de uitoefening van de in de leden 2 en 3 bedoelde bevoegdheid door het openbaar")
    thisalinea.textcontent.append("ministerie is voorafgaande machtiging van de rechtbank vereist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 54"
    thisalinea.nativeID = 390
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 139
    thisalinea.summary = "1. De stuiting geschiedt door betekening van een akte aan de ambtenaar van de burgerlijke stand van de gemeente waar het huwelijk zal worden voltrokken. 2. De akte houdt de keus van een woonplaats in die gemeente en de gronden van de stuiting in en vermeldt de hoedanigheid die aan de opposant de bevoegdheid geeft om het huwelijk te stuiten; alles op straffe van nietigheid. 3. De opposant zal afschrift der akte van stuiting onverwijld doen betekenen aan de partij, tegen welke de stuiting is gericht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De stuiting geschiedt door betekening ..."
    thisalinea.nativeID = 391
    thisalinea.parentID = 390
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De stuiting geschiedt door betekening van een akte aan de ambtenaar van de burgerlijke stand van de gemeente waar het huwelijk zal worden voltrokken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De stuiting geschiedt door betekening van een akte aan de ambtenaar van de burgerlijke")
    thisalinea.textcontent.append("stand van de gemeente waar het huwelijk zal worden voltrokken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De akte houdt de keus ..."
    thisalinea.nativeID = 392
    thisalinea.parentID = 390
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De akte houdt de keus van een woonplaats in die gemeente en de gronden van de stuiting in en vermeldt de hoedanigheid die aan de opposant de bevoegdheid geeft om het huwelijk te stuiten; alles op straffe van nietigheid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De akte houdt de keus van een woonplaats in die gemeente en de gronden van de")
    thisalinea.textcontent.append("stuiting in en vermeldt de hoedanigheid die aan de opposant de bevoegdheid geeft om")
    thisalinea.textcontent.append("het huwelijk te stuiten; alles op straffe van nietigheid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De opposant zal afschrift der ..."
    thisalinea.nativeID = 393
    thisalinea.parentID = 390
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De opposant zal afschrift der akte van stuiting onverwijld doen betekenen aan de partij, tegen welke de stuiting is gericht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De opposant zal afschrift der akte van stuiting onverwijld doen betekenen aan de partij,")
    thisalinea.textcontent.append("tegen welke de stuiting is gericht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 55"
    thisalinea.nativeID = 394
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 140
    thisalinea.summary = "Een stuiting kan worden opgeheven: a. op dezelfde wijze als waarop zij is geschied; b. door een verklaring, in persoon afgelegd ten overstaan van de ambtenaar van de burgerlijke stand, genoemd in het vorige artikel; c. door een verklaring, afgelegd ten overstaan van een notaris; d. door een in kracht van gewijsde gegane beschikking, gegeven op verzoek van een belanghebbende. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een stuiting kan worden opgeheven:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. op dezelfde wijze als waarop ..."
    thisalinea.nativeID = 395
    thisalinea.parentID = 394
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. op dezelfde wijze als waarop zij is geschied; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. op dezelfde wijze als waarop zij is geschied;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. door een verklaring, in persoon ..."
    thisalinea.nativeID = 396
    thisalinea.parentID = 394
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door een verklaring, in persoon afgelegd ten overstaan van de ambtenaar van de burgerlijke stand, genoemd in het vorige artikel; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door een verklaring, in persoon afgelegd ten overstaan van de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand, genoemd in het vorige artikel;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "c. door een verklaring, afgelegd ten ..."
    thisalinea.nativeID = 397
    thisalinea.parentID = 394
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. door een verklaring, afgelegd ten overstaan van een notaris; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. door een verklaring, afgelegd ten overstaan van een notaris;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "d. door een in kracht van ..."
    thisalinea.nativeID = 398
    thisalinea.parentID = 394
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. door een in kracht van gewijsde gegane beschikking, gegeven op verzoek van een belanghebbende. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. door een in kracht van gewijsde gegane beschikking, gegeven op verzoek van een")
    thisalinea.textcontent.append("belanghebbende.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 56"
    thisalinea.nativeID = 399
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 141
    thisalinea.summary = "Het huwelijk mag niet worden voltrokken, voordat de stuiting is opgeheven. Mocht het desniettemin voltrokken zijn hangende een geding tot opheffing van de stuiting, dan kan dit geding op verlangen van de opposant worden voortgezet en wordt het huwelijk nietig verklaard, indien de rechter de gegrondheid der stuiting aanvaardt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Het huwelijk mag niet worden voltrokken, voordat de stuiting is opgeheven. Mocht het")
    thisalinea.textcontent.append("desniettemin voltrokken zijn hangende een geding tot opheffing van de stuiting, dan kan dit")
    thisalinea.textcontent.append("geding op verlangen van de opposant worden voortgezet en wordt het huwelijk nietig")
    thisalinea.textcontent.append("verklaard, indien de rechter de gegrondheid der stuiting aanvaardt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 57"
    thisalinea.nativeID = 400
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 142
    thisalinea.summary = "Een ambtenaar van de burgerlijke stand aan wie het bestaan van een der in de artikelen 31 tot en met 33, 41, 41a en 42 omschreven huwelijksbeletselen bekend is, mag geen medewerking verlenen aan een huwelijksvoltrekking of aan de vervulling van daaraan voorafgaande formaliteiten, ook al zou geen stuiting hebben plaatsgehad. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een ambtenaar van de burgerlijke stand aan wie het bestaan van een der in de artikelen 31")
    thisalinea.textcontent.append("tot en met 33, 41, 41a en 42 omschreven huwelijksbeletselen bekend is, mag geen")
    thisalinea.textcontent.append("medewerking verlenen aan een huwelijksvoltrekking of aan de vervulling van daaraan")
    thisalinea.textcontent.append("voorafgaande formaliteiten, ook al zou geen stuiting hebben plaatsgehad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 4. De voltrekking van het huwelijk"
    thisalinea.nativeID = 401
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 143
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 58"
    thisalinea.nativeID = 402
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 144
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand verifieert, alvorens tot de voltrekking van het huwelijk over te gaan, opnieuw de rechtmatigheid van het verblijf in Nederland van de aanstaande echtgenoot die niet de Nederlandse nationaliteit bezit. 2. Is de ambtenaar van de burgerlijke stand, in het geval geen rechtmatig verblijf bestaat op grond van artikel 8, onder b, d of e van de Vreemdelingenwet 2000, van oordeel dat het oogmerk van de aanstaande echtgenoten, of één hunner, niet is gericht op de vervulling van de door de wet aan de huwelijkse staat verbonden plichten, maar op het verkrijgen van toelating "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 403
    thisalinea.parentID = 402
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand verifieert, alvorens tot de voltrekking van het huwelijk over te gaan, opnieuw de rechtmatigheid van het verblijf in Nederland van de aanstaande echtgenoot die niet de Nederlandse nationaliteit bezit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ambtenaar van de burgerlijke stand verifieert, alvorens tot de voltrekking van het")
    thisalinea.textcontent.append("huwelijk over te gaan, opnieuw de rechtmatigheid van het verblijf in Nederland van de")
    thisalinea.textcontent.append("aanstaande echtgenoot die niet de Nederlandse nationaliteit bezit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Is de ambtenaar van de ..."
    thisalinea.nativeID = 404
    thisalinea.parentID = 402
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Is de ambtenaar van de burgerlijke stand, in het geval geen rechtmatig verblijf bestaat op grond van artikel 8, onder b, d of e van de Vreemdelingenwet 2000, van oordeel dat het oogmerk van de aanstaande echtgenoten, of één hunner, niet is gericht op de vervulling van de door de wet aan de huwelijkse staat verbonden plichten, maar op het verkrijgen van toelating tot Nederland, dan weigert hij de huwelijksakte op te maken overeenkomstig artikel 18c, tweede lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Is de ambtenaar van de burgerlijke stand, in het geval geen rechtmatig verblijf bestaat op")
    thisalinea.textcontent.append("grond van artikel 8, onder b, d of e van de Vreemdelingenwet 2000, van oordeel dat het")
    thisalinea.textcontent.append("oogmerk van de aanstaande echtgenoten, of één hunner, niet is gericht op de vervulling")
    thisalinea.textcontent.append("van de door de wet aan de huwelijkse staat verbonden plichten, maar op het verkrijgen")
    thisalinea.textcontent.append("van toelating tot Nederland, dan weigert hij de huwelijksakte op te maken overeenkomstig")
    thisalinea.textcontent.append("artikel 18c, tweede lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 59"
    thisalinea.nativeID = 405
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 145
    thisalinea.summary = "[Vervallen per 01-11-1994] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-11-1994]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 60"
    thisalinea.nativeID = 406
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 146
    thisalinea.summary = "[Vervallen per 01-11-1994] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-11-1994]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 61"
    thisalinea.nativeID = 407
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 147
    thisalinea.summary = "[Vervallen per 01-04-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 62"
    thisalinea.nativeID = 408
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 148
    thisalinea.summary = "1. Het huwelijk mag niet worden voltrokken vóór de veertiende dag na de datum waarop het voornemen om in het huwelijk te treden aan de ambtenaar van de burgerlijke stand kenbaar is gemaakt. 2. Het openbaar ministerie bij de rechtbank, binnen wier rechtsgebied de het voornemen om in het huwelijk te treden kenbaar is gemaakt, is bevoegd uit hoofde van gewichtige redenen vrijstelling te verlenen van de voorgeschreven wachttijd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het huwelijk mag niet worden ..."
    thisalinea.nativeID = 409
    thisalinea.parentID = 408
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het huwelijk mag niet worden voltrokken vóór de veertiende dag na de datum waarop het voornemen om in het huwelijk te treden aan de ambtenaar van de burgerlijke stand kenbaar is gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het huwelijk mag niet worden voltrokken vóór de veertiende dag na de datum waarop het")
    thisalinea.textcontent.append("voornemen om in het huwelijk te treden aan de ambtenaar van de burgerlijke stand")
    thisalinea.textcontent.append("kenbaar is gemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het openbaar ministerie bij de ..."
    thisalinea.nativeID = 410
    thisalinea.parentID = 408
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het openbaar ministerie bij de rechtbank, binnen wier rechtsgebied de het voornemen om in het huwelijk te treden kenbaar is gemaakt, is bevoegd uit hoofde van gewichtige redenen vrijstelling te verlenen van de voorgeschreven wachttijd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het openbaar ministerie bij de rechtbank, binnen wier rechtsgebied de het voornemen om")
    thisalinea.textcontent.append("in het huwelijk te treden kenbaar is gemaakt, is bevoegd uit hoofde van gewichtige")
    thisalinea.textcontent.append("redenen vrijstelling te verlenen van de voorgeschreven wachttijd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 63"
    thisalinea.nativeID = 411
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 149
    thisalinea.summary = "getuigen. 1. Een huwelijk wordt in het openbaar in het gemeentehuis voltrokken ten overstaan van de ambtenaar van de burgerlijke stand van de door de aanstaande echtgenoten aangewezen gemeente in tegenwoordigheid van ten minste twee en ten hoogste vier meerderjarige 2. In het geval dat de melding van een voornemen om in het huwelijk te treden op elektronische wijze heeft plaatsgevonden, dienen de aanstaande echtgenoten uiterlijk ter gelegenheid van de huwelijksvoltrekking hun identiteit aan te tonen door overlegging van een document als bedoeld in artikel 1 van de Wet op de identificatieplicht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("getuigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een huwelijk wordt in het ..."
    thisalinea.nativeID = 412
    thisalinea.parentID = 411
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een huwelijk wordt in het openbaar in het gemeentehuis voltrokken ten overstaan van de ambtenaar van de burgerlijke stand van de door de aanstaande echtgenoten aangewezen gemeente in tegenwoordigheid van ten minste twee en ten hoogste vier meerderjarige "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een huwelijk wordt in het openbaar in het gemeentehuis voltrokken ten overstaan van de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand van de door de aanstaande echtgenoten aangewezen")
    thisalinea.textcontent.append("gemeente in tegenwoordigheid van ten minste twee en ten hoogste vier meerderjarige")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In het geval dat de ..."
    thisalinea.nativeID = 413
    thisalinea.parentID = 411
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In het geval dat de melding van een voornemen om in het huwelijk te treden op elektronische wijze heeft plaatsgevonden, dienen de aanstaande echtgenoten uiterlijk ter gelegenheid van de huwelijksvoltrekking hun identiteit aan te tonen door overlegging van een document als bedoeld in artikel 1 van de Wet op de identificatieplicht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In het geval dat de melding van een voornemen om in het huwelijk te treden op")
    thisalinea.textcontent.append("elektronische wijze heeft plaatsgevonden, dienen de aanstaande echtgenoten uiterlijk ter")
    thisalinea.textcontent.append("gelegenheid van de huwelijksvoltrekking hun identiteit aan te tonen door overlegging van")
    thisalinea.textcontent.append("een document als bedoeld in artikel 1 van de Wet op de identificatieplicht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 64"
    thisalinea.nativeID = 414
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 150
    thisalinea.summary = "Indien een der partijen uit hoofde van een behoorlijk bewezen wettig beletsel verhinderd wordt zich naar het gemeentehuis te begeven, kan het huwelijk worden voltrokken in een bijzonder huis binnen dezelfde gemeente, mits dit in tegenwoordigheid van zes meerderjarige getuigen geschiedt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien een der partijen uit hoofde van een behoorlijk bewezen wettig beletsel verhinderd")
    thisalinea.textcontent.append("wordt zich naar het gemeentehuis te begeven, kan het huwelijk worden voltrokken in een")
    thisalinea.textcontent.append("bijzonder huis binnen dezelfde gemeente, mits dit in tegenwoordigheid van zes meerderjarige")
    thisalinea.textcontent.append("getuigen geschiedt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 65"
    thisalinea.nativeID = 415
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 151
    thisalinea.summary = "De aanstaande echtgenoten zijn verplicht bij de voltrekking van hun huwelijk in persoon voor de ambtenaar van de burgerlijke stand te verschijnen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De aanstaande echtgenoten zijn verplicht bij de voltrekking van hun huwelijk in persoon voor")
    thisalinea.textcontent.append("de ambtenaar van de burgerlijke stand te verschijnen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 66"
    thisalinea.nativeID = 416
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 152
    thisalinea.summary = "Het staat Onze Minister van Justitie vrij, uit hoofde van gewichtige redenen aan partijen te vergunnen het huwelijk door een bijzondere bij authentieke akte gevolmachtigde te voltrekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Het staat Onze Minister van Justitie vrij, uit hoofde van gewichtige redenen aan partijen te")
    thisalinea.textcontent.append("vergunnen het huwelijk door een bijzondere bij authentieke akte gevolmachtigde te")
    thisalinea.textcontent.append("voltrekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 67"
    thisalinea.nativeID = 417
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 153
    thisalinea.summary = "1. De aanstaande echtgenoten moeten ten overstaan van de ambtenaar van de burgerlijke stand en in tegenwoordigheid van de getuigen verklaren, dat zij elkander aannemen tot echtgenoten en dat zij getrouw alle plichten zullen vervullen, die door de wet aan de huwelijkse staat worden verbonden. 2. Terstond nadat deze verklaring is afgelegd, verklaart de ambtenaar van de burgerlijke stand, dat partijen door de echt aan elkander zijn verbonden, en maakt hij daarvan in het daartoe bestemde register een akte op. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De aanstaande echtgenoten moeten ten ..."
    thisalinea.nativeID = 418
    thisalinea.parentID = 417
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De aanstaande echtgenoten moeten ten overstaan van de ambtenaar van de burgerlijke stand en in tegenwoordigheid van de getuigen verklaren, dat zij elkander aannemen tot echtgenoten en dat zij getrouw alle plichten zullen vervullen, die door de wet aan de huwelijkse staat worden verbonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De aanstaande echtgenoten moeten ten overstaan van de ambtenaar van de burgerlijke")
    thisalinea.textcontent.append("stand en in tegenwoordigheid van de getuigen verklaren, dat zij elkander aannemen tot")
    thisalinea.textcontent.append("echtgenoten en dat zij getrouw alle plichten zullen vervullen, die door de wet aan de")
    thisalinea.textcontent.append("huwelijkse staat worden verbonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Terstond nadat deze verklaring is ..."
    thisalinea.nativeID = 419
    thisalinea.parentID = 417
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Terstond nadat deze verklaring is afgelegd, verklaart de ambtenaar van de burgerlijke stand, dat partijen door de echt aan elkander zijn verbonden, en maakt hij daarvan in het daartoe bestemde register een akte op. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Terstond nadat deze verklaring is afgelegd, verklaart de ambtenaar van de burgerlijke")
    thisalinea.textcontent.append("stand, dat partijen door de echt aan elkander zijn verbonden, en maakt hij daarvan in het")
    thisalinea.textcontent.append("daartoe bestemde register een akte op.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 68"
    thisalinea.nativeID = 420
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 154
    thisalinea.summary = "Geen godsdienstige plechtigheden zullen mogen plaats hebben, voordat de partijen aan de bedienaar van de eredienst zullen hebben doen blijken, dat het huwelijk ten overstaan van de ambtenaar van de burgerlijke stand is voltrokken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Geen godsdienstige plechtigheden zullen mogen plaats hebben, voordat de partijen aan de")
    thisalinea.textcontent.append("bedienaar van de eredienst zullen hebben doen blijken, dat het huwelijk ten overstaan van de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand is voltrokken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 5. Nietigverklaring van een huwelijk"
    thisalinea.nativeID = 421
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 155
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 69"
    thisalinea.nativeID = 422
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 156
    thisalinea.summary = "verzoeken. 1. Voor zover hieronder niet anders is bepaald, kan op grond dat de echtgenoten niet de vereisten in zich verenigden om tezamen een huwelijk aan te gaan, de nietigverklaring van het huwelijk worden verzocht door: a. de bloedverwanten in de rechte lijn van een der echtgenoten; b. ieder der echtgenoten; c. alle overige personen, die daarbij een onmiddellijk rechtsbelang hebben, echter deze alleen na de ontbinding van het huwelijk; d. het openbaar ministerie, echter alleen zolang het huwelijk niet is ontbonden. 2. Hij die met een der echtgenoten nog door een vroeger huwelijk dan wel door een eerder geregistreerd "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("verzoeken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Voor zover hieronder niet anders ..."
    thisalinea.nativeID = 423
    thisalinea.parentID = 422
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Voor zover hieronder niet anders is bepaald, kan op grond dat de echtgenoten niet de vereisten in zich verenigden om tezamen een huwelijk aan te gaan, de nietigverklaring van het huwelijk worden verzocht door: a. de bloedverwanten in de rechte lijn van een der echtgenoten; b. ieder der echtgenoten; c. alle overige personen, die daarbij een onmiddellijk rechtsbelang hebben, echter deze alleen na de ontbinding van het huwelijk; d. het openbaar ministerie, echter alleen zolang het huwelijk niet is ontbonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Voor zover hieronder niet anders is bepaald, kan op grond dat de echtgenoten niet de")
    thisalinea.textcontent.append("vereisten in zich verenigden om tezamen een huwelijk aan te gaan, de nietigverklaring")
    thisalinea.textcontent.append("van het huwelijk worden verzocht door:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de bloedverwanten in de rechte ..."
    thisalinea.nativeID = 424
    thisalinea.parentID = 423
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de bloedverwanten in de rechte lijn van een der echtgenoten; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de bloedverwanten in de rechte lijn van een der echtgenoten;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. ieder der echtgenoten; "
    thisalinea.nativeID = 425
    thisalinea.parentID = 423
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. ieder der echtgenoten; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. ieder der echtgenoten;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. alle overige personen, die daarbij ..."
    thisalinea.nativeID = 426
    thisalinea.parentID = 423
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. alle overige personen, die daarbij een onmiddellijk rechtsbelang hebben, echter deze alleen na de ontbinding van het huwelijk; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. alle overige personen, die daarbij een onmiddellijk rechtsbelang hebben, echter deze")
    thisalinea.textcontent.append("alleen na de ontbinding van het huwelijk;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. het openbaar ministerie, echter alleen ..."
    thisalinea.nativeID = 427
    thisalinea.parentID = 423
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. het openbaar ministerie, echter alleen zolang het huwelijk niet is ontbonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. het openbaar ministerie, echter alleen zolang het huwelijk niet is ontbonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij die met een der ..."
    thisalinea.nativeID = 428
    thisalinea.parentID = 422
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij die met een der echtgenoten nog door een vroeger huwelijk dan wel door een eerder geregistreerd partnerschap is verbonden, is eveneens bevoegd op grond van het bestaan van dat huwelijk of die registratie de nietigverklaring van het daarna gesloten huwelijk te "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij die met een der echtgenoten nog door een vroeger huwelijk dan wel door een eerder")
    thisalinea.textcontent.append("geregistreerd partnerschap is verbonden, is eveneens bevoegd op grond van het bestaan")
    thisalinea.textcontent.append("van dat huwelijk of die registratie de nietigverklaring van het daarna gesloten huwelijk te")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 70"
    thisalinea.nativeID = 429
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 157
    thisalinea.summary = "1. Op verzoek van de ouders, de echtgenoten en het openbaar ministerie kan een huwelijk worden nietig verklaard, wanneer het ten overstaan van een niet bevoegde ambtenaar van de burgerlijke stand of niet in tegenwoordigheid van het vereiste aantal getuigen is voltrokken. 2. De bevoegdheid van een echtgenoot om uit dien hoofde de nietigverklaring van het huwelijk te verzoeken vervalt, indien er uiterlijk bezit van de huwelijkse staat en een akte van huwelijksvoltrekking ten overstaan van een ambtenaar van de burgerlijke stand verleden, aanwezig zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op verzoek van de ouders, ..."
    thisalinea.nativeID = 430
    thisalinea.parentID = 429
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op verzoek van de ouders, de echtgenoten en het openbaar ministerie kan een huwelijk worden nietig verklaard, wanneer het ten overstaan van een niet bevoegde ambtenaar van de burgerlijke stand of niet in tegenwoordigheid van het vereiste aantal getuigen is voltrokken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op verzoek van de ouders, de echtgenoten en het openbaar ministerie kan een huwelijk")
    thisalinea.textcontent.append("worden nietig verklaard, wanneer het ten overstaan van een niet bevoegde ambtenaar")
    thisalinea.textcontent.append("van de burgerlijke stand of niet in tegenwoordigheid van het vereiste aantal getuigen is")
    thisalinea.textcontent.append("voltrokken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De bevoegdheid van een echtgenoot ..."
    thisalinea.nativeID = 431
    thisalinea.parentID = 429
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De bevoegdheid van een echtgenoot om uit dien hoofde de nietigverklaring van het huwelijk te verzoeken vervalt, indien er uiterlijk bezit van de huwelijkse staat en een akte van huwelijksvoltrekking ten overstaan van een ambtenaar van de burgerlijke stand verleden, aanwezig zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De bevoegdheid van een echtgenoot om uit dien hoofde de nietigverklaring van het")
    thisalinea.textcontent.append("huwelijk te verzoeken vervalt, indien er uiterlijk bezit van de huwelijkse staat en een akte")
    thisalinea.textcontent.append("van huwelijksvoltrekking ten overstaan van een ambtenaar van de burgerlijke stand")
    thisalinea.textcontent.append("verleden, aanwezig zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 71"
    thisalinea.nativeID = 432
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 158
    thisalinea.summary = "1. Een echtgenoot kan de nietigverklaring van zijn huwelijk verzoeken, wanneer hij dit onder invloed van dwang heeft gesloten. Tevens is het openbaar ministerie, na de echtgenoten in de gelegenheid te hebben gesteld hun mening omtrent de wenselijkheid van het indienen van het verzoek tot nietigverklaring kenbaar te maken, althans na deze daartoe behoorlijk te hebben opgeroepen, bevoegd tot het doen van het verzoek. 2. Voorts kan de echtgenoot, die bij de huwelijksvoltrekking gedwaald heeft hetzij in de persoon van de andere echtgenoot, hetzij omtrent de betekenis van de door hem afgelegde verklaring de nietigverklaring van zijn huwelijk verzoeken. 3. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een echtgenoot kan de nietigverklaring ..."
    thisalinea.nativeID = 433
    thisalinea.parentID = 432
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een echtgenoot kan de nietigverklaring van zijn huwelijk verzoeken, wanneer hij dit onder invloed van dwang heeft gesloten. Tevens is het openbaar ministerie, na de echtgenoten in de gelegenheid te hebben gesteld hun mening omtrent de wenselijkheid van het indienen van het verzoek tot nietigverklaring kenbaar te maken, althans na deze daartoe behoorlijk te hebben opgeroepen, bevoegd tot het doen van het verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een echtgenoot kan de nietigverklaring van zijn huwelijk verzoeken, wanneer hij dit onder")
    thisalinea.textcontent.append("invloed van dwang heeft gesloten. Tevens is het openbaar ministerie, na de echtgenoten")
    thisalinea.textcontent.append("in de gelegenheid te hebben gesteld hun mening omtrent de wenselijkheid van het")
    thisalinea.textcontent.append("indienen van het verzoek tot nietigverklaring kenbaar te maken, althans na deze daartoe")
    thisalinea.textcontent.append("behoorlijk te hebben opgeroepen, bevoegd tot het doen van het verzoek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voorts kan de echtgenoot, die ..."
    thisalinea.nativeID = 434
    thisalinea.parentID = 432
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voorts kan de echtgenoot, die bij de huwelijksvoltrekking gedwaald heeft hetzij in de persoon van de andere echtgenoot, hetzij omtrent de betekenis van de door hem afgelegde verklaring de nietigverklaring van zijn huwelijk verzoeken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voorts kan de echtgenoot, die bij de huwelijksvoltrekking gedwaald heeft hetzij in de")
    thisalinea.textcontent.append("persoon van de andere echtgenoot, hetzij omtrent de betekenis van de door hem")
    thisalinea.textcontent.append("afgelegde verklaring de nietigverklaring van zijn huwelijk verzoeken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De bevoegdheid de nietigverklaring wegens ..."
    thisalinea.nativeID = 435
    thisalinea.parentID = 432
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De bevoegdheid de nietigverklaring wegens dwaling te verzoeken vervalt, wanneer de echtgenoten zes maanden hebben samengewoond sedert de ontdekking van de dwaling zonder dat het verzoek is gedaan. De bevoegdheid de nietigverklaring wegens dwang te verzoeken vervalt, wanneer de echtgenoten drie jaar hebben samengewoond zonder dwang gericht op instandhouding van het huwelijk, zonder dat het verzoek is gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De bevoegdheid de nietigverklaring wegens dwaling te verzoeken vervalt, wanneer de")
    thisalinea.textcontent.append("echtgenoten zes maanden hebben samengewoond sedert de ontdekking van de dwaling")
    thisalinea.textcontent.append("zonder dat het verzoek is gedaan. De bevoegdheid de nietigverklaring wegens dwang te")
    thisalinea.textcontent.append("verzoeken vervalt, wanneer de echtgenoten drie jaar hebben samengewoond zonder")
    thisalinea.textcontent.append("dwang gericht op instandhouding van het huwelijk, zonder dat het verzoek is gedaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 71a"
    thisalinea.nativeID = 436
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 159
    thisalinea.summary = "Op verzoek van het openbaar ministerie kan een huwelijk als schijnhandeling wegens strijd met de Nederlandse openbare orde worden nietig verklaard indien het oogmerk van de echtgenoten, of één hunner, niet was gericht op de vervulling van de door de wet aan de huwelijkse staat verbonden plichten, doch op het verkrijgen van toelating tot Nederland. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Op verzoek van het openbaar ministerie kan een huwelijk als schijnhandeling wegens strijd")
    thisalinea.textcontent.append("met de Nederlandse openbare orde worden nietig verklaard indien het oogmerk van de")
    thisalinea.textcontent.append("echtgenoten, of één hunner, niet was gericht op de vervulling van de door de wet aan de")
    thisalinea.textcontent.append("huwelijkse staat verbonden plichten, doch op het verkrijgen van toelating tot Nederland.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 72"
    thisalinea.nativeID = 437
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 160
    thisalinea.summary = "Een huwelijk kan niet nietig worden verklaard uit hoofde dat op het tijdstip van de huwelijksvoltrekking een der echtgenoten onder curatele stond, en het huwelijk klaarblijkelijk het ongeluk van de andere echtgenoot zou veroorzaken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een huwelijk kan niet nietig worden verklaard uit hoofde dat op het tijdstip van de")
    thisalinea.textcontent.append("huwelijksvoltrekking een der echtgenoten onder curatele stond, en het huwelijk klaarblijkelijk")
    thisalinea.textcontent.append("het ongeluk van de andere echtgenoot zou veroorzaken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 73"
    thisalinea.nativeID = 438
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 161
    thisalinea.summary = "De nietigverklaring van een huwelijk uit hoofde van een geestelijke stoornis kan na het ophouden van de stoornis alleen worden verzocht door de echtgenoot die geestelijk gestoord was. Het verzoek vervalt door een samenwoning van ten minste zes maanden na het ophouden van de stoornis. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De nietigverklaring van een huwelijk uit hoofde van een geestelijke stoornis kan na het")
    thisalinea.textcontent.append("ophouden van de stoornis alleen worden verzocht door de echtgenoot die geestelijk gestoord")
    thisalinea.textcontent.append("was. Het verzoek vervalt door een samenwoning van ten minste zes maanden na het")
    thisalinea.textcontent.append("ophouden van de stoornis.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 74"
    thisalinea.nativeID = 439
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 162
    thisalinea.summary = "De nietigverklaring van een huwelijk, dat aangegaan is door iemand die de vereiste leeftijd miste, kan niet worden verzocht wanneer deze op de dag van het verzoek de vereiste ouderdom heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De nietigverklaring van een huwelijk, dat aangegaan is door iemand die de vereiste leeftijd")
    thisalinea.textcontent.append("miste, kan niet worden verzocht wanneer deze op de dag van het verzoek de vereiste")
    thisalinea.textcontent.append("ouderdom heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 75"
    thisalinea.nativeID = 440
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 163
    thisalinea.summary = "1. Wegens het ontbreken van een vereiste toestemming van een derde kan de nietigverklaring van het huwelijk alleen door die derde of, in het geval van artikel 38 van dit boek, door de curator worden verzocht. Dit verzoek vervalt, wanneer hij die bevoegd is de nietigverklaring te verzoeken, het huwelijk uitdrukkelijk of stilzwijgend heeft goedgekeurd, of wanneer drie maanden verlopen zijn nadat hij met de huwelijksvoltrekking bekend is geworden. 2. Hij die bevoegd is de nietigverklaring te verzoeken, wordt vermoed met het huwelijk bekend te zijn geworden, wanneer het hier te lande is voltrokken, of wanneer het, buiten Nederland aangegaan, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wegens het ontbreken van een ..."
    thisalinea.nativeID = 441
    thisalinea.parentID = 440
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wegens het ontbreken van een vereiste toestemming van een derde kan de nietigverklaring van het huwelijk alleen door die derde of, in het geval van artikel 38 van dit boek, door de curator worden verzocht. Dit verzoek vervalt, wanneer hij die bevoegd is de nietigverklaring te verzoeken, het huwelijk uitdrukkelijk of stilzwijgend heeft goedgekeurd, of wanneer drie maanden verlopen zijn nadat hij met de huwelijksvoltrekking bekend is geworden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wegens het ontbreken van een vereiste toestemming van een derde kan de")
    thisalinea.textcontent.append("nietigverklaring van het huwelijk alleen door die derde of, in het geval van artikel 38 van")
    thisalinea.textcontent.append("dit boek, door de curator worden verzocht. Dit verzoek vervalt, wanneer hij die bevoegd is")
    thisalinea.textcontent.append("de nietigverklaring te verzoeken, het huwelijk uitdrukkelijk of stilzwijgend heeft")
    thisalinea.textcontent.append("goedgekeurd, of wanneer drie maanden verlopen zijn nadat hij met de")
    thisalinea.textcontent.append("huwelijksvoltrekking bekend is geworden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij die bevoegd is de ..."
    thisalinea.nativeID = 442
    thisalinea.parentID = 440
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij die bevoegd is de nietigverklaring te verzoeken, wordt vermoed met het huwelijk bekend te zijn geworden, wanneer het hier te lande is voltrokken, of wanneer het, buiten Nederland aangegaan, hier te lande in de registers van de burgerlijke stand is ingeschreven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij die bevoegd is de nietigverklaring te verzoeken, wordt vermoed met het huwelijk")
    thisalinea.textcontent.append("bekend te zijn geworden, wanneer het hier te lande is voltrokken, of wanneer het, buiten")
    thisalinea.textcontent.append("Nederland aangegaan, hier te lande in de registers van de burgerlijke stand is")
    thisalinea.textcontent.append("ingeschreven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 76"
    thisalinea.nativeID = 443
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 164
    thisalinea.summary = "Behoudens het in artikel 56 van dit boek bepaalde, verklaart de rechter een huwelijk alleen nietig op grond van een verzoek overeenkomstig de bepalingen van deze afdeling. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Behoudens het in artikel 56 van dit boek bepaalde, verklaart de rechter een huwelijk alleen")
    thisalinea.textcontent.append("nietig op grond van een verzoek overeenkomstig de bepalingen van deze afdeling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 77"
    thisalinea.nativeID = 444
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 165
    thisalinea.summary = "1. De nietigverklaring van het huwelijk werkt, zodra de beschikking in kracht van gewijsde is gegaan; zij werkt terug tot het tijdstip van de huwelijksvoltrekking. 2. Nochtans mist de beschikking terugwerkende kracht en heeft zij hetzelfde gevolg als een echtscheiding: a. ten aanzien van de kinderen der echtgenoten; b. ten aanzien van de te goeder trouw zijnde echtgenoot; deze kan echter niet op een gemeenschap van goederen aanspraak maken, wanneer het huwelijk wegens het bestaan van een vroeger huwelijk of een eerder geregistreerd partnerschap is nietig verklaard; c. ten aanzien van andere personen dan de echtgenoten en hun kinderen, voor "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De nietigverklaring van het huwelijk ..."
    thisalinea.nativeID = 445
    thisalinea.parentID = 444
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De nietigverklaring van het huwelijk werkt, zodra de beschikking in kracht van gewijsde is gegaan; zij werkt terug tot het tijdstip van de huwelijksvoltrekking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De nietigverklaring van het huwelijk werkt, zodra de beschikking in kracht van gewijsde is")
    thisalinea.textcontent.append("gegaan; zij werkt terug tot het tijdstip van de huwelijksvoltrekking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Nochtans mist de beschikking terugwerkende ..."
    thisalinea.nativeID = 446
    thisalinea.parentID = 444
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Nochtans mist de beschikking terugwerkende kracht en heeft zij hetzelfde gevolg als een echtscheiding: a. ten aanzien van de kinderen der echtgenoten; b. ten aanzien van de te goeder trouw zijnde echtgenoot; deze kan echter niet op een gemeenschap van goederen aanspraak maken, wanneer het huwelijk wegens het bestaan van een vroeger huwelijk of een eerder geregistreerd partnerschap is nietig verklaard; c. ten aanzien van andere personen dan de echtgenoten en hun kinderen, voor zover zij te goeder trouw vóór de inschrijving der nietigverklaring rechten hebben verkregen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Nochtans mist de beschikking terugwerkende kracht en heeft zij hetzelfde gevolg als een")
    thisalinea.textcontent.append("echtscheiding:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. ten aanzien van de kinderen ..."
    thisalinea.nativeID = 447
    thisalinea.parentID = 446
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. ten aanzien van de kinderen der echtgenoten; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. ten aanzien van de kinderen der echtgenoten;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. ten aanzien van de te ..."
    thisalinea.nativeID = 448
    thisalinea.parentID = 446
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. ten aanzien van de te goeder trouw zijnde echtgenoot; deze kan echter niet op een gemeenschap van goederen aanspraak maken, wanneer het huwelijk wegens het bestaan van een vroeger huwelijk of een eerder geregistreerd partnerschap is nietig verklaard; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. ten aanzien van de te goeder trouw zijnde echtgenoot; deze kan echter niet op een")
    thisalinea.textcontent.append("gemeenschap van goederen aanspraak maken, wanneer het huwelijk wegens het")
    thisalinea.textcontent.append("bestaan van een vroeger huwelijk of een eerder geregistreerd partnerschap is nietig")
    thisalinea.textcontent.append("verklaard;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. ten aanzien van andere personen ..."
    thisalinea.nativeID = 449
    thisalinea.parentID = 446
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. ten aanzien van andere personen dan de echtgenoten en hun kinderen, voor zover zij te goeder trouw vóór de inschrijving der nietigverklaring rechten hebben verkregen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. ten aanzien van andere personen dan de echtgenoten en hun kinderen, voor zover zij")
    thisalinea.textcontent.append("te goeder trouw vóór de inschrijving der nietigverklaring rechten hebben verkregen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 5A. Omzetting van een huwelijk in een geregistreerd partnerschap"
    thisalinea.nativeID = 450
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 166
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 77a"
    thisalinea.nativeID = 451
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 167
    thisalinea.summary = "[Vervallen per 01-03-2009] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-03-2009]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 6. Bewijs van het bestaan van het huwelijk"
    thisalinea.nativeID = 452
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 168
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 78"
    thisalinea.nativeID = 453
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 169
    thisalinea.summary = "Het bestaan van een in Nederland gesloten huwelijk kan niet anders worden bewezen dan door de huwelijksakte dan wel door de akte van omzetting, bedoeld in artikel 80g, behoudens in de gevallen bij de volgende artikelen voorzien. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Het bestaan van een in Nederland gesloten huwelijk kan niet anders worden bewezen dan")
    thisalinea.textcontent.append("door de huwelijksakte dan wel door de akte van omzetting, bedoeld in artikel 80g, behoudens")
    thisalinea.textcontent.append("in de gevallen bij de volgende artikelen voorzien.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 79"
    thisalinea.nativeID = 454
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 170
    thisalinea.summary = "Heeft het huwelijksregister niet bestaan of is het verloren gegaan of ontbreekt daaraan de huwelijksakte, dan wel de akte van omzetting, bedoeld in artikel 80g, dan kan het huwelijk door getuigen of bescheiden worden bewezen, mits er een uiterlijk bezit van de huwelijkse staat aanwezig is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Heeft het huwelijksregister niet bestaan of is het verloren gegaan of ontbreekt daaraan de")
    thisalinea.textcontent.append("huwelijksakte, dan wel de akte van omzetting, bedoeld in artikel 80g, dan kan het huwelijk")
    thisalinea.textcontent.append("door getuigen of bescheiden worden bewezen, mits er een uiterlijk bezit van de huwelijkse")
    thisalinea.textcontent.append("staat aanwezig is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 80"
    thisalinea.nativeID = 455
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 171
    thisalinea.summary = "Wordt in een geding betwist dat een kind, dat uiterlijk bezit van staat heeft, uit een huwelijk is geboren, dan levert het feit dat de ouders openlijk als man en vrouw hebben geleefd, voldoende bewijs op. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Wordt in een geding betwist dat een kind, dat uiterlijk bezit van staat heeft, uit een huwelijk is")
    thisalinea.textcontent.append("geboren, dan levert het feit dat de ouders openlijk als man en vrouw hebben geleefd,")
    thisalinea.textcontent.append("voldoende bewijs op.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 5A. Het geregistreerd partnerschap"
    thisalinea.nativeID = 456
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 172
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 80a"
    thisalinea.nativeID = 457
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 173
    thisalinea.summary = "1. Een persoon kan tegelijkertijd slechts met één andere persoon van hetzelfde of andere geslacht een geregistreerd partnerschap aangaan. 2. Zij die een geregistreerd partnerschap aangaan, mogen niet tegelijkertijd gehuwd zijn. 3. Registratie van partnerschap geschiedt bij een akte van registratie van partnerschap opgemaakt door een ambtenaar van de burgerlijke stand. 4. Een partnerschapsregistratie kan worden gestuit, indien partijen niet de vereisten in zich verenigen om de registratie aan te gaan, of wanneer partijen niet beiden hun toestemming tot het geregistreerd partnerschap vrijelijk zullen geven, dan wel wanneer het oogmerk van de aanstaande geregistreerde partners, of één hunner, niet is "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een persoon kan tegelijkertijd slechts ..."
    thisalinea.nativeID = 458
    thisalinea.parentID = 457
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een persoon kan tegelijkertijd slechts met één andere persoon van hetzelfde of andere geslacht een geregistreerd partnerschap aangaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een persoon kan tegelijkertijd slechts met één andere persoon van hetzelfde of andere")
    thisalinea.textcontent.append("geslacht een geregistreerd partnerschap aangaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zij die een geregistreerd partnerschap ..."
    thisalinea.nativeID = 459
    thisalinea.parentID = 457
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zij die een geregistreerd partnerschap aangaan, mogen niet tegelijkertijd gehuwd zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zij die een geregistreerd partnerschap aangaan, mogen niet tegelijkertijd gehuwd zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Registratie van partnerschap geschiedt bij ..."
    thisalinea.nativeID = 460
    thisalinea.parentID = 457
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Registratie van partnerschap geschiedt bij een akte van registratie van partnerschap opgemaakt door een ambtenaar van de burgerlijke stand. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Registratie van partnerschap geschiedt bij een akte van registratie van partnerschap")
    thisalinea.textcontent.append("opgemaakt door een ambtenaar van de burgerlijke stand.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Een partnerschapsregistratie kan worden gestuit, ..."
    thisalinea.nativeID = 461
    thisalinea.parentID = 457
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Een partnerschapsregistratie kan worden gestuit, indien partijen niet de vereisten in zich verenigen om de registratie aan te gaan, of wanneer partijen niet beiden hun toestemming tot het geregistreerd partnerschap vrijelijk zullen geven, dan wel wanneer het oogmerk van de aanstaande geregistreerde partners, of één hunner, niet is gericht op de vervulling van de door de wet aan de partnerschapsregistratie verbonden plichten, doch op het verkrijgen van toelating tot Nederland. Op een stuiting zijn de artikelen 51, 52, 53, tweede tot en met vierde lid, en 54 tot en met 56 van overeenkomstige toepassing. Het openbaar ministerie is verplicht "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Een partnerschapsregistratie kan worden gestuit, indien partijen niet de vereisten in zich")
    thisalinea.textcontent.append("verenigen om de registratie aan te gaan, of wanneer partijen niet beiden hun toestemming")
    thisalinea.textcontent.append("tot het geregistreerd partnerschap vrijelijk zullen geven, dan wel wanneer het oogmerk")
    thisalinea.textcontent.append("van de aanstaande geregistreerde partners, of één hunner, niet is gericht op de vervulling")
    thisalinea.textcontent.append("van de door de wet aan de partnerschapsregistratie verbonden plichten, doch op het")
    thisalinea.textcontent.append("verkrijgen van toelating tot Nederland. Op een stuiting zijn de artikelen 51, 52, 53, tweede")
    thisalinea.textcontent.append("tot en met vierde lid, en 54 tot en met 56 van overeenkomstige toepassing. Het openbaar")
    thisalinea.textcontent.append("ministerie is verplicht een partnerschapsregistratie te stuiten, indien het met een van de in")
    thisalinea.textcontent.append("de artikelen 31, 32, 41 en in het eerste en tweede lid van dit artikel omschreven")
    thisalinea.textcontent.append("beletselen bekend is. Indien aan de ambtenaar van de burgerlijke stand een van de in de")
    thisalinea.textcontent.append("vorige zin genoemde beletselen bekend is, of wanneer partijen niet beiden hun")
    thisalinea.textcontent.append("toestemming tot het geregistreerd partnerschap vrijelijk zullen geven, mag hij niet")
    thisalinea.textcontent.append("meewerken aan een registratie of daaraan voorafgaande formaliteiten verrichten, ook al")
    thisalinea.textcontent.append("zou geen stuiting hebben plaatsgehad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Ter zake van de partnerschapsregistratie ..."
    thisalinea.nativeID = 462
    thisalinea.parentID = 457
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Ter zake van de partnerschapsregistratie zijn de artikelen 31, 32, 37 tot en met 39, 41, 41a, 44 tot en met 49, 58, en 62 tot en met 66 van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Ter zake van de partnerschapsregistratie zijn de artikelen 31, 32, 37 tot en met 39, 41,")
    thisalinea.textcontent.append("41a, 44 tot en met 49, 58, en 62 tot en met 66 van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Op de nietigverklaring van een ..."
    thisalinea.nativeID = 463
    thisalinea.parentID = 457
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Op de nietigverklaring van een partnerschapsregistratie zijn van overeenkomstige toepassing de artikelen 69 tot en met 73, 74, 75 tot en met 77, eerste lid en tweede lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Op de nietigverklaring van een partnerschapsregistratie zijn van overeenkomstige")
    thisalinea.textcontent.append("toepassing de artikelen 69 tot en met 73, 74, 75 tot en met 77, eerste lid en tweede lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Op het bewijs van het ..."
    thisalinea.nativeID = 464
    thisalinea.parentID = 457
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Op het bewijs van het bestaan van de partnerschapsregistratie zijn de artikelen 78, 79 en 80 van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Op het bewijs van het bestaan van de partnerschapsregistratie zijn de artikelen 78, 79 en")
    thisalinea.textcontent.append("80 van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 80b"
    thisalinea.nativeID = 465
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 174
    thisalinea.summary = "Op een geregistreerd partnerschap zijn de titels 6, 7 en 8 van overeenkomstige toepassing met uitzondering van het omtrent scheiding van tafel en bed bepaalde. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Op een geregistreerd partnerschap zijn de titels 6, 7 en 8 van overeenkomstige toepassing")
    thisalinea.textcontent.append("met uitzondering van het omtrent scheiding van tafel en bed bepaalde.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 80c"
    thisalinea.nativeID = 466
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 175
    thisalinea.summary = "1. Het geregistreerd partnerschap eindigt: a. door de dood; b. indien degene ten aanzien van wie, overeenkomstig de bepalingen van de tweede afdeling van de achttiende titel van dit boek de vermissing is vastgesteld, dan wel overeenkomstig de bepalingen van de derde afdeling van de achttiende titel van dit boek het overlijden is vastgesteld, nog in leven is op de dag waarop de achtergebleven geregistreerde partner een nieuw geregistreerd partnerschap of huwelijk is aangegaan: door de voltrekking van dit geregistreerd partnerschap of huwelijk; c. met wederzijds goedvinden door inschrijving door de ambtenaar van de burgerlijke stand van een door beide "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het geregistreerd partnerschap eindigt: "
    thisalinea.nativeID = 467
    thisalinea.parentID = 466
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het geregistreerd partnerschap eindigt: a. door de dood; b. indien degene ten aanzien van wie, overeenkomstig de bepalingen van de tweede afdeling van de achttiende titel van dit boek de vermissing is vastgesteld, dan wel overeenkomstig de bepalingen van de derde afdeling van de achttiende titel van dit boek het overlijden is vastgesteld, nog in leven is op de dag waarop de achtergebleven geregistreerde partner een nieuw geregistreerd partnerschap of huwelijk is aangegaan: door de voltrekking van dit geregistreerd partnerschap of huwelijk; c. met wederzijds goedvinden door inschrijving door de ambtenaar van de burgerlijke stand van een door beide "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het geregistreerd partnerschap eindigt:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. door de dood; "
    thisalinea.nativeID = 468
    thisalinea.parentID = 467
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door de dood; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door de dood;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. indien degene ten aanzien van ..."
    thisalinea.nativeID = 469
    thisalinea.parentID = 467
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. indien degene ten aanzien van wie, overeenkomstig de bepalingen van de tweede afdeling van de achttiende titel van dit boek de vermissing is vastgesteld, dan wel overeenkomstig de bepalingen van de derde afdeling van de achttiende titel van dit boek het overlijden is vastgesteld, nog in leven is op de dag waarop de achtergebleven geregistreerde partner een nieuw geregistreerd partnerschap of huwelijk is aangegaan: door de voltrekking van dit geregistreerd partnerschap of huwelijk; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. indien degene ten aanzien van wie, overeenkomstig de bepalingen van de tweede")
    thisalinea.textcontent.append("afdeling van de achttiende titel van dit boek de vermissing is vastgesteld, dan wel")
    thisalinea.textcontent.append("overeenkomstig de bepalingen van de derde afdeling van de achttiende titel van dit")
    thisalinea.textcontent.append("boek het overlijden is vastgesteld, nog in leven is op de dag waarop de")
    thisalinea.textcontent.append("achtergebleven geregistreerde partner een nieuw geregistreerd partnerschap of")
    thisalinea.textcontent.append("huwelijk is aangegaan: door de voltrekking van dit geregistreerd partnerschap of")
    thisalinea.textcontent.append("huwelijk;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. met wederzijds goedvinden door inschrijving ..."
    thisalinea.nativeID = 470
    thisalinea.parentID = 467
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. met wederzijds goedvinden door inschrijving door de ambtenaar van de burgerlijke stand van een door beide partners en een of meer advocaten of notarissen ondertekende en gedateerde verklaring waaruit blijkt dat en op welk tijdstip de partners omtrent de beëindiging van het geregistreerd partnerschap een overeenkomst hebben gesloten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. met wederzijds goedvinden door inschrijving door de ambtenaar van de burgerlijke")
    thisalinea.textcontent.append("stand van een door beide partners en een of meer advocaten of notarissen")
    thisalinea.textcontent.append("ondertekende en gedateerde verklaring waaruit blijkt dat en op welk tijdstip de")
    thisalinea.textcontent.append("partners omtrent de beëindiging van het geregistreerd partnerschap een")
    thisalinea.textcontent.append("overeenkomst hebben gesloten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. door ontbinding op verzoek van ..."
    thisalinea.nativeID = 471
    thisalinea.parentID = 467
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. door ontbinding op verzoek van de partners of een van hen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. door ontbinding op verzoek van de partners of een van hen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. door omzetting van een geregistreerd ..."
    thisalinea.nativeID = 472
    thisalinea.parentID = 467
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. door omzetting van een geregistreerd partnerschap in een huwelijk. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. door omzetting van een geregistreerd partnerschap in een huwelijk.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Tot inschrijving van verklaringen als ..."
    thisalinea.nativeID = 473
    thisalinea.parentID = 466
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Tot inschrijving van verklaringen als bedoeld in het eerste lid, onder c, is de ambtenaar van de burgerlijke stand steeds bevoegd indien het geregistreerd partnerschap in Nederland is aangegaan. Indien het partnerschap buiten Nederland is aangegaan, is de ambtenaar van de burgerlijke stand tot inschrijving van verklaringen als bedoeld in het eerste lid, onder c, bevoegd indien voldaan is aan de voorwaarden van artikel 4, vierde lid, van het Wetboek van Burgerlijke Rechtsvordering voor de bevoegdheid van de rechter in geval van de ontbinding van het geregistreerd partnerschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Tot inschrijving van verklaringen als bedoeld in het eerste lid, onder c, is de ambtenaar")
    thisalinea.textcontent.append("van de burgerlijke stand steeds bevoegd indien het geregistreerd partnerschap in")
    thisalinea.textcontent.append("Nederland is aangegaan. Indien het partnerschap buiten Nederland is aangegaan, is de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand tot inschrijving van verklaringen als bedoeld in het")
    thisalinea.textcontent.append("eerste lid, onder c, bevoegd indien voldaan is aan de voorwaarden van artikel 4, vierde")
    thisalinea.textcontent.append("lid, van het Wetboek van Burgerlijke Rechtsvordering voor de bevoegdheid van de rechter")
    thisalinea.textcontent.append("in geval van de ontbinding van het geregistreerd partnerschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een geregistreerd partnerschap kan niet ..."
    thisalinea.nativeID = 474
    thisalinea.parentID = 466
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een geregistreerd partnerschap kan niet met wederzijds goedvinden als bedoeld in het eerste lid, onder c, worden beëindigd indien de partners: a. al dan niet gezamenlijk het gezag uitoefenen over een of meer van hun gezamenlijke kinderen; b. ingevolge artikel 253sa of 253t het gezag gezamenlijk uitoefenen over een of meer kinderen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een geregistreerd partnerschap kan niet met wederzijds goedvinden als bedoeld in het")
    thisalinea.textcontent.append("eerste lid, onder c, worden beëindigd indien de partners:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. al dan niet gezamenlijk het ..."
    thisalinea.nativeID = 475
    thisalinea.parentID = 474
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. al dan niet gezamenlijk het gezag uitoefenen over een of meer van hun gezamenlijke kinderen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. al dan niet gezamenlijk het gezag uitoefenen over een of meer van hun gezamenlijke")
    thisalinea.textcontent.append("kinderen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. ingevolge artikel 253sa of 253t ..."
    thisalinea.nativeID = 476
    thisalinea.parentID = 474
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. ingevolge artikel 253sa of 253t het gezag gezamenlijk uitoefenen over een of meer kinderen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. ingevolge artikel 253sa of 253t het gezag gezamenlijk uitoefenen over een of meer")
    thisalinea.textcontent.append("kinderen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 80d"
    thisalinea.nativeID = 477
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 176
    thisalinea.summary = "1. De in artikel 80c, onder c, bedoelde overeenkomst betreft ten minste de verklaring van beide partners dat hun geregistreerd partnerschap duurzaam ontwricht is en dat zij het willen beëindigen. Voorts betreft de overeenkomst, evenwel niet op straffe van nietigheid: a. de uitkering tot levensonderhoud ten behoeve van de geregistreerde partner die niet voldoende inkomsten tot zijn levensonderhoud heeft, noch zich in redelijkheid kan verwerven; b. wie van de geregistreerde partners huurder van de woonruimte die hen tot hoofdverblijf dient, zal zijn of wie van de geregistreerde partners gedurende een bij de overeenkomst te bepalen termijn het gebruik zal hebben "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De in artikel 80c, onder ..."
    thisalinea.nativeID = 478
    thisalinea.parentID = 477
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De in artikel 80c, onder c, bedoelde overeenkomst betreft ten minste de verklaring van beide partners dat hun geregistreerd partnerschap duurzaam ontwricht is en dat zij het willen beëindigen. Voorts betreft de overeenkomst, evenwel niet op straffe van nietigheid: a. de uitkering tot levensonderhoud ten behoeve van de geregistreerde partner die niet voldoende inkomsten tot zijn levensonderhoud heeft, noch zich in redelijkheid kan verwerven; b. wie van de geregistreerde partners huurder van de woonruimte die hen tot hoofdverblijf dient, zal zijn of wie van de geregistreerde partners gedurende een bij de overeenkomst te bepalen termijn het gebruik zal hebben "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De in artikel 80c, onder c, bedoelde overeenkomst betreft ten minste de verklaring van")
    thisalinea.textcontent.append("beide partners dat hun geregistreerd partnerschap duurzaam ontwricht is en dat zij het")
    thisalinea.textcontent.append("willen beëindigen. Voorts betreft de overeenkomst, evenwel niet op straffe van nietigheid:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de uitkering tot levensonderhoud ten ..."
    thisalinea.nativeID = 479
    thisalinea.parentID = 478
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de uitkering tot levensonderhoud ten behoeve van de geregistreerde partner die niet voldoende inkomsten tot zijn levensonderhoud heeft, noch zich in redelijkheid kan verwerven; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de uitkering tot levensonderhoud ten behoeve van de geregistreerde partner die niet")
    thisalinea.textcontent.append("voldoende inkomsten tot zijn levensonderhoud heeft, noch zich in redelijkheid kan")
    thisalinea.textcontent.append("verwerven;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. wie van de geregistreerde partners ..."
    thisalinea.nativeID = 480
    thisalinea.parentID = 478
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. wie van de geregistreerde partners huurder van de woonruimte die hen tot hoofdverblijf dient, zal zijn of wie van de geregistreerde partners gedurende een bij de overeenkomst te bepalen termijn het gebruik zal hebben van de woning en de inboedel die een van hen of hen beiden toebehoren dan wel ten gebruike toekomen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. wie van de geregistreerde partners huurder van de woonruimte die hen tot")
    thisalinea.textcontent.append("hoofdverblijf dient, zal zijn of wie van de geregistreerde partners gedurende een bij de")
    thisalinea.textcontent.append("overeenkomst te bepalen termijn het gebruik zal hebben van de woning en de")
    thisalinea.textcontent.append("inboedel die een van hen of hen beiden toebehoren dan wel ten gebruike toekomen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. de verdeling van enige gemeenschap ..."
    thisalinea.nativeID = 481
    thisalinea.parentID = 478
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. de verdeling van enige gemeenschap waarin de partners de registratie zijn aangegaan dan wel de verrekening die bij voorwaarden als bedoeld in titel 8 is overeengekomen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. de verdeling van enige gemeenschap waarin de partners de registratie zijn aangegaan")
    thisalinea.textcontent.append("dan wel de verrekening die bij voorwaarden als bedoeld in titel 8 is overeengekomen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. de verevening of verrekening van ..."
    thisalinea.nativeID = 482
    thisalinea.parentID = 478
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. de verevening of verrekening van pensioenrechten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. de verevening of verrekening van pensioenrechten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Op een beëindiging van het ..."
    thisalinea.nativeID = 483
    thisalinea.parentID = 477
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Op een beëindiging van het geregistreerd partnerschap met wederzijds goedvinden zijn de artikelen 155, 157, eerste tot en met zesde lid, 158, 159, eerste en derde lid, 159a, 160 en 164 van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Op een beëindiging van het geregistreerd partnerschap met wederzijds goedvinden zijn")
    thisalinea.textcontent.append("de artikelen 155, 157, eerste tot en met zesde lid, 158, 159, eerste en derde lid, 159a, 160")
    thisalinea.textcontent.append("en 164 van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De verklaring, bedoeld in artikel ..."
    thisalinea.nativeID = 484
    thisalinea.parentID = 477
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De verklaring, bedoeld in artikel 80c, onder c, wordt slechts ingeschreven in de registers van de burgerlijke stand, indien zij de ambtenaar van de burgerlijke stand uiterlijk drie maanden na het sluiten van de overeenkomst heeft bereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De verklaring, bedoeld in artikel 80c, onder c, wordt slechts ingeschreven in de registers")
    thisalinea.textcontent.append("van de burgerlijke stand, indien zij de ambtenaar van de burgerlijke stand uiterlijk drie")
    thisalinea.textcontent.append("maanden na het sluiten van de overeenkomst heeft bereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 80e"
    thisalinea.nativeID = 485
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 177
    thisalinea.summary = "1. Op een ontbinding van een geregistreerd partnerschap als bedoeld in artikel 80c, onder d, zijn de artikelen 151, 153, 155, 156 tot en met 160, 164 en 165 van overeenkomstige toepassing. 2. De ontbinding komt tot stand door inschrijving van een rechterlijke uitspraak op verzoek van partijen of van één van hen in de registers van de burgerlijke stand. Artikel 163, derde lid, is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op een ontbinding van een ..."
    thisalinea.nativeID = 486
    thisalinea.parentID = 485
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op een ontbinding van een geregistreerd partnerschap als bedoeld in artikel 80c, onder d, zijn de artikelen 151, 153, 155, 156 tot en met 160, 164 en 165 van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op een ontbinding van een geregistreerd partnerschap als bedoeld in artikel 80c, onder d,")
    thisalinea.textcontent.append("zijn de artikelen 151, 153, 155, 156 tot en met 160, 164 en 165 van overeenkomstige")
    thisalinea.textcontent.append("toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De ontbinding komt tot stand ..."
    thisalinea.nativeID = 487
    thisalinea.parentID = 485
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De ontbinding komt tot stand door inschrijving van een rechterlijke uitspraak op verzoek van partijen of van één van hen in de registers van de burgerlijke stand. Artikel 163, derde lid, is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De ontbinding komt tot stand door inschrijving van een rechterlijke uitspraak op verzoek")
    thisalinea.textcontent.append("van partijen of van één van hen in de registers van de burgerlijke stand. Artikel 163, derde")
    thisalinea.textcontent.append("lid, is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 80f"
    thisalinea.nativeID = 488
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 178
    thisalinea.summary = "Indien de partijen wier geregistreerd partnerschap is beëindigd, opnieuw een geregistreerd partnerschap met elkaar aangaan dan wel met elkaar in het huwelijk treden, herleven alle gevolgen van het geregistreerd partnerschap van rechtswege alsof er geen beëindiging heeft plaats gehad. Nochtans wordt de geldigheid van rechtshandelingen die tussen de inschrijving van de beëindiging en de nieuwe registratie of het huwelijk zijn verricht, beoordeeld naar het tijdstip van de handeling. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien de partijen wier geregistreerd partnerschap is beëindigd, opnieuw een geregistreerd")
    thisalinea.textcontent.append("partnerschap met elkaar aangaan dan wel met elkaar in het huwelijk treden, herleven alle")
    thisalinea.textcontent.append("gevolgen van het geregistreerd partnerschap van rechtswege alsof er geen beëindiging heeft")
    thisalinea.textcontent.append("plaats gehad. Nochtans wordt de geldigheid van rechtshandelingen die tussen de inschrijving")
    thisalinea.textcontent.append("van de beëindiging en de nieuwe registratie of het huwelijk zijn verricht, beoordeeld naar het")
    thisalinea.textcontent.append("tijdstip van de handeling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 80g"
    thisalinea.nativeID = 489
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 179
    thisalinea.summary = "1. Indien twee personen aan de ambtenaar van de burgerlijke stand kenbaar maken dat zij het geregistreerd partnerschap dat zij zijn aangegaan, omgezet wensen te zien in een huwelijk, kan de ambtenaar van de burgerlijke stand ter zake een akte van omzetting opmaken. Indien de geregistreerde partners van wie ten minste één de Nederlandse nationaliteit bezit, buiten Nederland woonplaats hebben en in Nederland hun geregistreerd partnerschap in een huwelijk willen omzetten, geschiedt de omzetting bij de ambtenaar van de burgerlijke stand te 's-Gravenhage. 2. De artikelen 65 en 66 zijn van overeenkomstige toepassing. 3. Een omzetting doet het geregistreerd partnerschap "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien twee personen aan de ..."
    thisalinea.nativeID = 490
    thisalinea.parentID = 489
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien twee personen aan de ambtenaar van de burgerlijke stand kenbaar maken dat zij het geregistreerd partnerschap dat zij zijn aangegaan, omgezet wensen te zien in een huwelijk, kan de ambtenaar van de burgerlijke stand ter zake een akte van omzetting opmaken. Indien de geregistreerde partners van wie ten minste één de Nederlandse nationaliteit bezit, buiten Nederland woonplaats hebben en in Nederland hun geregistreerd partnerschap in een huwelijk willen omzetten, geschiedt de omzetting bij de ambtenaar van de burgerlijke stand te 's-Gravenhage. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien twee personen aan de ambtenaar van de burgerlijke stand kenbaar maken dat zij")
    thisalinea.textcontent.append("het geregistreerd partnerschap dat zij zijn aangegaan, omgezet wensen te zien in een")
    thisalinea.textcontent.append("huwelijk, kan de ambtenaar van de burgerlijke stand ter zake een akte van omzetting")
    thisalinea.textcontent.append("opmaken. Indien de geregistreerde partners van wie ten minste één de Nederlandse")
    thisalinea.textcontent.append("nationaliteit bezit, buiten Nederland woonplaats hebben en in Nederland hun")
    thisalinea.textcontent.append("geregistreerd partnerschap in een huwelijk willen omzetten, geschiedt de omzetting bij de")
    thisalinea.textcontent.append("ambtenaar van de burgerlijke stand te 's-Gravenhage.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De artikelen 65 en 66 ..."
    thisalinea.nativeID = 491
    thisalinea.parentID = 489
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De artikelen 65 en 66 zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De artikelen 65 en 66 zijn van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een omzetting doet het geregistreerd ..."
    thisalinea.nativeID = 492
    thisalinea.parentID = 489
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een omzetting doet het geregistreerd partnerschap eindigen en het huwelijk aanvangen op het tijdstip dat de akte van omzetting in het register van huwelijken is opgemaakt. De omzetting brengt geen wijziging in de al dan niet bestaande familierechtelijke betrekkingen met kinderen die voor de omzetting zijn geboren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een omzetting doet het geregistreerd partnerschap eindigen en het huwelijk aanvangen")
    thisalinea.textcontent.append("op het tijdstip dat de akte van omzetting in het register van huwelijken is opgemaakt. De")
    thisalinea.textcontent.append("omzetting brengt geen wijziging in de al dan niet bestaande familierechtelijke")
    thisalinea.textcontent.append("betrekkingen met kinderen die voor de omzetting zijn geboren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 6. Rechten en verplichtingen van echtgenoten"
    thisalinea.nativeID = 493
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 180
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 81"
    thisalinea.nativeID = 494
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 181
    thisalinea.summary = "Echtgenoten zijn elkander getrouwheid, hulp en bijstand verschuldigd. Zij zijn verplicht elkander het nodige te verschaffen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Echtgenoten zijn elkander getrouwheid, hulp en bijstand verschuldigd. Zij zijn verplicht")
    thisalinea.textcontent.append("elkander het nodige te verschaffen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 82"
    thisalinea.nativeID = 495
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 182
    thisalinea.summary = "Echtgenoten zijn jegens elkaar verplicht de tot het gezin behorende minderjarige kinderen te verzorgen en op te voeden en de kosten van die verzorging en opvoeding te dragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Echtgenoten zijn jegens elkaar verplicht de tot het gezin behorende minderjarige kinderen te")
    thisalinea.textcontent.append("verzorgen en op te voeden en de kosten van die verzorging en opvoeding te dragen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 83"
    thisalinea.nativeID = 496
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 183
    thisalinea.summary = "Echtgenoten verschaffen elkaar desgevraagd inlichtingen over het door hen gevoerde bestuur alsmede over de stand van hun goederen en schulden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Echtgenoten verschaffen elkaar desgevraagd inlichtingen over het door hen gevoerde")
    thisalinea.textcontent.append("bestuur alsmede over de stand van hun goederen en schulden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 84"
    thisalinea.nativeID = 497
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 184
    thisalinea.summary = "1. De kosten der huishouding, daaronder begrepen de kosten van verzorging en opvoeding van de kinderen, komen ten laste van het gemene inkomen van de echtgenoten en, voor zover dit ontoereikend is, ten laste van hun eigen inkomens in evenredigheid daarvan; voor zover de inkomens ontoereikend zijn, komen deze kosten ten laste van het gemene vermogen en, voor zover ook dit ontoereikend is, ten laste van de eigen vermogens naar evenredigheid daarvan. Een en ander geldt niet voor zover bijzondere omstandigheden zich er tegen verzetten. 2. De echtgenoten zijn jegens elkaar verplicht dienovereenkomstig tot de bestrijding van de in het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kosten der huishouding, daaronder ..."
    thisalinea.nativeID = 498
    thisalinea.parentID = 497
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kosten der huishouding, daaronder begrepen de kosten van verzorging en opvoeding van de kinderen, komen ten laste van het gemene inkomen van de echtgenoten en, voor zover dit ontoereikend is, ten laste van hun eigen inkomens in evenredigheid daarvan; voor zover de inkomens ontoereikend zijn, komen deze kosten ten laste van het gemene vermogen en, voor zover ook dit ontoereikend is, ten laste van de eigen vermogens naar evenredigheid daarvan. Een en ander geldt niet voor zover bijzondere omstandigheden zich er tegen verzetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kosten der huishouding, daaronder begrepen de kosten van verzorging en opvoeding")
    thisalinea.textcontent.append("van de kinderen, komen ten laste van het gemene inkomen van de echtgenoten en, voor")
    thisalinea.textcontent.append("zover dit ontoereikend is, ten laste van hun eigen inkomens in evenredigheid daarvan;")
    thisalinea.textcontent.append("voor zover de inkomens ontoereikend zijn, komen deze kosten ten laste van het gemene")
    thisalinea.textcontent.append("vermogen en, voor zover ook dit ontoereikend is, ten laste van de eigen vermogens naar")
    thisalinea.textcontent.append("evenredigheid daarvan. Een en ander geldt niet voor zover bijzondere omstandigheden")
    thisalinea.textcontent.append("zich er tegen verzetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De echtgenoten zijn jegens elkaar ..."
    thisalinea.nativeID = 499
    thisalinea.parentID = 497
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De echtgenoten zijn jegens elkaar verplicht dienovereenkomstig tot de bestrijding van de in het eerste lid bedoelde uitgaven voldoende gelden ter beschikking te stellen uit de onder hun bestuur staande goederen, voor zover bijzondere omstandigheden zich daartegen niet verzetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De echtgenoten zijn jegens elkaar verplicht dienovereenkomstig tot de bestrijding van de")
    thisalinea.textcontent.append("in het eerste lid bedoelde uitgaven voldoende gelden ter beschikking te stellen uit de")
    thisalinea.textcontent.append("onder hun bestuur staande goederen, voor zover bijzondere omstandigheden zich")
    thisalinea.textcontent.append("daartegen niet verzetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Bij schriftelijke overeenkomst kan een ..."
    thisalinea.nativeID = 500
    thisalinea.parentID = 497
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Bij schriftelijke overeenkomst kan een van het eerste en tweede lid afwijkende regeling worden getroffen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Bij schriftelijke overeenkomst kan een van het eerste en tweede lid afwijkende regeling")
    thisalinea.textcontent.append("worden getroffen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Geschillen tussen de echtgenoten omtrent ..."
    thisalinea.nativeID = 501
    thisalinea.parentID = 497
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Geschillen tussen de echtgenoten omtrent de toepassing van het eerste tot en met derde lid worden door de rechtbank op verzoek van beiden of een van hen beslist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Geschillen tussen de echtgenoten omtrent de toepassing van het eerste tot en met derde")
    thisalinea.textcontent.append("lid worden door de rechtbank op verzoek van beiden of een van hen beslist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Op verzoek van beide of ..."
    thisalinea.nativeID = 502
    thisalinea.parentID = 497
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Op verzoek van beide of van een van de echtgenoten kan de rechtbank een gegeven beschikking of een onderling getroffen regeling wijzigen op grond van veranderde omstandigheden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Op verzoek van beide of van een van de echtgenoten kan de rechtbank een gegeven")
    thisalinea.textcontent.append("beschikking of een onderling getroffen regeling wijzigen op grond van veranderde")
    thisalinea.textcontent.append("omstandigheden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 85"
    thisalinea.nativeID = 503
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 185
    thisalinea.summary = "De ene echtgenoot is naast de andere voor het geheel aansprakelijk voor de door deze ten behoeve van de gewone gang van de huishouding aangegane verbintenissen, met inbegrip van die welke voortvloeien uit de door hem als werkgever ten behoeve van de huishouding aangegane arbeidsovereenkomsten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De ene echtgenoot is naast de andere voor het geheel aansprakelijk voor de door deze ten")
    thisalinea.textcontent.append("behoeve van de gewone gang van de huishouding aangegane verbintenissen, met inbegrip")
    thisalinea.textcontent.append("van die welke voortvloeien uit de door hem als werkgever ten behoeve van de huishouding")
    thisalinea.textcontent.append("aangegane arbeidsovereenkomsten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 86"
    thisalinea.nativeID = 504
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 186
    thisalinea.summary = "1. De rechtbank kan, wanneer daartoe gegronde redenen bestaan, op verzoek van een echtgenoot bepalen dat deze niet aansprakelijk zal zijn voor de door de andere echtgenoot in het vervolg aangegane verbintenissen als bedoeld in het vorige artikel. 2. Een overeenkomstig dit artikel gegeven rechterlijke beschikking kan bij veranderde omstandigheden op gelijke wijze als zij is tot stand gekomen, worden gewijzigd of opgeheven. 3. De beschikking kan aan derden die van haar bestaan onkundig waren, slechts worden tegengeworpen, indien zij ingeschreven was in het huwelijksgoederenregister, aangewezen in artikel 116 van dit boek, en na de inschrijving veertien dagen waren verlopen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechtbank kan, wanneer daartoe ..."
    thisalinea.nativeID = 505
    thisalinea.parentID = 504
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechtbank kan, wanneer daartoe gegronde redenen bestaan, op verzoek van een echtgenoot bepalen dat deze niet aansprakelijk zal zijn voor de door de andere echtgenoot in het vervolg aangegane verbintenissen als bedoeld in het vorige artikel. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechtbank kan, wanneer daartoe gegronde redenen bestaan, op verzoek van een")
    thisalinea.textcontent.append("echtgenoot bepalen dat deze niet aansprakelijk zal zijn voor de door de andere")
    thisalinea.textcontent.append("echtgenoot in het vervolg aangegane verbintenissen als bedoeld in het vorige artikel.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Een overeenkomstig dit artikel gegeven ..."
    thisalinea.nativeID = 506
    thisalinea.parentID = 504
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Een overeenkomstig dit artikel gegeven rechterlijke beschikking kan bij veranderde omstandigheden op gelijke wijze als zij is tot stand gekomen, worden gewijzigd of opgeheven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Een overeenkomstig dit artikel gegeven rechterlijke beschikking kan bij veranderde")
    thisalinea.textcontent.append("omstandigheden op gelijke wijze als zij is tot stand gekomen, worden gewijzigd of")
    thisalinea.textcontent.append("opgeheven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De beschikking kan aan derden ..."
    thisalinea.nativeID = 507
    thisalinea.parentID = 504
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De beschikking kan aan derden die van haar bestaan onkundig waren, slechts worden tegengeworpen, indien zij ingeschreven was in het huwelijksgoederenregister, aangewezen in artikel 116 van dit boek, en na de inschrijving veertien dagen waren verlopen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De beschikking kan aan derden die van haar bestaan onkundig waren, slechts worden")
    thisalinea.textcontent.append("tegengeworpen, indien zij ingeschreven was in het huwelijksgoederenregister,")
    thisalinea.textcontent.append("aangewezen in artikel 116 van dit boek, en na de inschrijving veertien dagen waren")
    thisalinea.textcontent.append("verlopen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. In de beschikking kan worden ..."
    thisalinea.nativeID = 508
    thisalinea.parentID = 504
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. In de beschikking kan worden bepaald dat zij bovendien moet worden bekend gemaakt in een of meer door de rechter aangewezen dagbladen. In dat geval werkt de beschikking ten nadele van derden die daarvan onkundig waren, ook niet vóór deze bekendmaking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. In de beschikking kan worden bepaald dat zij bovendien moet worden bekend gemaakt in")
    thisalinea.textcontent.append("een of meer door de rechter aangewezen dagbladen. In dat geval werkt de beschikking")
    thisalinea.textcontent.append("ten nadele van derden die daarvan onkundig waren, ook niet vóór deze bekendmaking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 87"
    thisalinea.nativeID = 509
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 187
    thisalinea.summary = "1. Indien een echtgenoot ten laste van het vermogen van de andere echtgenoot een goed dat tot zijn eigen vermogen zal behoren, verkrijgt of indien ten laste van het vermogen van de andere echtgenoot een schuld ter zake van een tot zijn eigen vermogen behorend goed wordt voldaan of afgelost, ontstaat voor de eerstgenoemde echtgenoot een plicht tot vergoeding. 2. De vergoeding beloopt een gedeelte van de waarde van het goed op het tijdstip waarop de vergoeding wordt voldaan. Dit gedeelte: a. is in het geval van een verkrijging ten laste van het vermogen van de andere echtgenoot evenredig aan "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een echtgenoot ten laste ..."
    thisalinea.nativeID = 510
    thisalinea.parentID = 509
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een echtgenoot ten laste van het vermogen van de andere echtgenoot een goed dat tot zijn eigen vermogen zal behoren, verkrijgt of indien ten laste van het vermogen van de andere echtgenoot een schuld ter zake van een tot zijn eigen vermogen behorend goed wordt voldaan of afgelost, ontstaat voor de eerstgenoemde echtgenoot een plicht tot vergoeding. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een echtgenoot ten laste van het vermogen van de andere echtgenoot een goed")
    thisalinea.textcontent.append("dat tot zijn eigen vermogen zal behoren, verkrijgt of indien ten laste van het vermogen van")
    thisalinea.textcontent.append("de andere echtgenoot een schuld ter zake van een tot zijn eigen vermogen behorend")
    thisalinea.textcontent.append("goed wordt voldaan of afgelost, ontstaat voor de eerstgenoemde echtgenoot een plicht tot")
    thisalinea.textcontent.append("vergoeding.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De vergoeding beloopt een gedeelte ..."
    thisalinea.nativeID = 511
    thisalinea.parentID = 509
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De vergoeding beloopt een gedeelte van de waarde van het goed op het tijdstip waarop de vergoeding wordt voldaan. Dit gedeelte: a. is in het geval van een verkrijging ten laste van het vermogen van de andere echtgenoot evenredig aan het uit diens vermogen afkomstige aandeel in de tegenprestatie voor het goed; b. komt in het geval van een voldoening of aflossing ten laste van het vermogen van de andere echtgenoot overeen met de verhouding tussen het uit diens vermogen voldane of afgeloste bedrag ten opzichte van de waarde van het goed op het tijdstip van die voldoening of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De vergoeding beloopt een gedeelte van de waarde van het goed op het tijdstip waarop")
    thisalinea.textcontent.append("de vergoeding wordt voldaan. Dit gedeelte:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. is in het geval van ..."
    thisalinea.nativeID = 512
    thisalinea.parentID = 511
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. is in het geval van een verkrijging ten laste van het vermogen van de andere echtgenoot evenredig aan het uit diens vermogen afkomstige aandeel in de tegenprestatie voor het goed; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. is in het geval van een verkrijging ten laste van het vermogen van de andere")
    thisalinea.textcontent.append("echtgenoot evenredig aan het uit diens vermogen afkomstige aandeel in de")
    thisalinea.textcontent.append("tegenprestatie voor het goed;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. komt in het geval van ..."
    thisalinea.nativeID = 513
    thisalinea.parentID = 511
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. komt in het geval van een voldoening of aflossing ten laste van het vermogen van de andere echtgenoot overeen met de verhouding tussen het uit diens vermogen voldane of afgeloste bedrag ten opzichte van de waarde van het goed op het tijdstip van die voldoening of aflossing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. komt in het geval van een voldoening of aflossing ten laste van het vermogen van de")
    thisalinea.textcontent.append("andere echtgenoot overeen met de verhouding tussen het uit diens vermogen voldane")
    thisalinea.textcontent.append("of afgeloste bedrag ten opzichte van de waarde van het goed op het tijdstip van die")
    thisalinea.textcontent.append("voldoening of aflossing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Ten aanzien van de vergoeding ..."
    thisalinea.nativeID = 514
    thisalinea.parentID = 509
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Ten aanzien van de vergoeding gelden voorts de volgende regels: a. tenzij de echtgenoot het vermogen van de andere echtgenoot met diens toestemming heeft aangewend op de wijze als bedoeld in het eerste lid, beloopt de vergoeding ten minste het nominale bedrag dat ten laste van het vermogen van de andere echtgenoot is gekomen; b. ter zake van goederen die naar hun aard bestemd zijn om te worden verbruikt, beloopt de vergoeding steeds het nominale bedrag dat ten laste van het vermogen van de andere echtgenoot is gekomen; c. ter zake van goederen die inmiddels zijn vervreemd zonder dat "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Ten aanzien van de vergoeding gelden voorts de volgende regels:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. tenzij de echtgenoot het vermogen ..."
    thisalinea.nativeID = 515
    thisalinea.parentID = 514
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. tenzij de echtgenoot het vermogen van de andere echtgenoot met diens toestemming heeft aangewend op de wijze als bedoeld in het eerste lid, beloopt de vergoeding ten minste het nominale bedrag dat ten laste van het vermogen van de andere echtgenoot is gekomen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. tenzij de echtgenoot het vermogen van de andere echtgenoot met diens toestemming")
    thisalinea.textcontent.append("heeft aangewend op de wijze als bedoeld in het eerste lid, beloopt de vergoeding ten")
    thisalinea.textcontent.append("minste het nominale bedrag dat ten laste van het vermogen van de andere echtgenoot")
    thisalinea.textcontent.append("is gekomen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. ter zake van goederen die ..."
    thisalinea.nativeID = 516
    thisalinea.parentID = 514
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. ter zake van goederen die naar hun aard bestemd zijn om te worden verbruikt, beloopt de vergoeding steeds het nominale bedrag dat ten laste van het vermogen van de andere echtgenoot is gekomen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. ter zake van goederen die naar hun aard bestemd zijn om te worden verbruikt, beloopt")
    thisalinea.textcontent.append("de vergoeding steeds het nominale bedrag dat ten laste van het vermogen van de")
    thisalinea.textcontent.append("andere echtgenoot is gekomen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. ter zake van goederen die ..."
    thisalinea.nativeID = 517
    thisalinea.parentID = 514
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. ter zake van goederen die inmiddels zijn vervreemd zonder dat daarvoor andere goederen in de plaats zijn gekomen, wordt in plaats van de waarde, bedoeld in de aanhef van het tweede lid, uitgegaan van de waarde ten tijde van de vervreemding. Met een vervreemding wordt gelijkgesteld het onherroepelijk worden van een begunstiging bij een sommenverzekering of een andere begunstiging bij een beding ten behoeve van een derde. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. ter zake van goederen die inmiddels zijn vervreemd zonder dat daarvoor andere")
    thisalinea.textcontent.append("goederen in de plaats zijn gekomen, wordt in plaats van de waarde, bedoeld in de")
    thisalinea.textcontent.append("aanhef van het tweede lid, uitgegaan van de waarde ten tijde van de vervreemding.")
    thisalinea.textcontent.append("Met een vervreemding wordt gelijkgesteld het onherroepelijk worden van een")
    thisalinea.textcontent.append("begunstiging bij een sommenverzekering of een andere begunstiging bij een beding")
    thisalinea.textcontent.append("ten behoeve van een derde.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Echtgenoten kunnen bij overeenkomst afwijken ..."
    thisalinea.nativeID = 518
    thisalinea.parentID = 509
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Echtgenoten kunnen bij overeenkomst afwijken van het eerste lid tot en met het derde lid. Geen vergoeding is verschuldigd voorzover door de verkrijging, voldoening of aflossing ten laste van het vermogen van de andere echtgenoot wordt voldaan aan een op die echtgenoot rustende verbintenis. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Echtgenoten kunnen bij overeenkomst afwijken van het eerste lid tot en met het derde lid.")
    thisalinea.textcontent.append("Geen vergoeding is verschuldigd voorzover door de verkrijging, voldoening of aflossing")
    thisalinea.textcontent.append("ten laste van het vermogen van de andere echtgenoot wordt voldaan aan een op die")
    thisalinea.textcontent.append("echtgenoot rustende verbintenis.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Kan de vergoeding overeenkomstig het ..."
    thisalinea.nativeID = 519
    thisalinea.parentID = 509
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Kan de vergoeding overeenkomstig het eerste tot en met het vierde lid niet nauwkeurig worden vastgesteld, dan wordt zij geschat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Kan de vergoeding overeenkomstig het eerste tot en met het vierde lid niet nauwkeurig")
    thisalinea.textcontent.append("worden vastgesteld, dan wordt zij geschat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 88"
    thisalinea.nativeID = 520
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 188
    thisalinea.summary = "1. Een echtgenoot behoeft de toestemming van de andere echtgenoot voor de volgende rechtshandelingen: a. overeenkomsten strekkende tot vervreemding, bezwaring of ingebruikgeving en rechtshandelingen strekkende tot beëindiging van het gebruik van een door de echtgenoten tezamen of door de andere echtgenoot alleen bewoonde woning of van zaken die bij een zodanige woning of tot de inboedel daarvan behoren; b. giften, met uitzondering van de gebruikelijke, niet bovenmatige; c. overeenkomsten die ertoe strekken dat hij, anders dan in de normale uitoefening van zijn beroep of bedrijf, zich als borg of hoofdelijk medeschuldenaar verbindt, zich voor een derde sterk maakt, of zich "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een echtgenoot behoeft de toestemming ..."
    thisalinea.nativeID = 521
    thisalinea.parentID = 520
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een echtgenoot behoeft de toestemming van de andere echtgenoot voor de volgende rechtshandelingen: a. overeenkomsten strekkende tot vervreemding, bezwaring of ingebruikgeving en rechtshandelingen strekkende tot beëindiging van het gebruik van een door de echtgenoten tezamen of door de andere echtgenoot alleen bewoonde woning of van zaken die bij een zodanige woning of tot de inboedel daarvan behoren; b. giften, met uitzondering van de gebruikelijke, niet bovenmatige; c. overeenkomsten die ertoe strekken dat hij, anders dan in de normale uitoefening van zijn beroep of bedrijf, zich als borg of hoofdelijk medeschuldenaar verbindt, zich voor een derde sterk maakt, of zich "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een echtgenoot behoeft de toestemming van de andere echtgenoot voor de volgende")
    thisalinea.textcontent.append("rechtshandelingen:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. overeenkomsten strekkende tot vervreemding, bezwaring ..."
    thisalinea.nativeID = 522
    thisalinea.parentID = 521
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. overeenkomsten strekkende tot vervreemding, bezwaring of ingebruikgeving en rechtshandelingen strekkende tot beëindiging van het gebruik van een door de echtgenoten tezamen of door de andere echtgenoot alleen bewoonde woning of van zaken die bij een zodanige woning of tot de inboedel daarvan behoren; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. overeenkomsten strekkende tot vervreemding, bezwaring of ingebruikgeving en")
    thisalinea.textcontent.append("rechtshandelingen strekkende tot beëindiging van het gebruik van een door de")
    thisalinea.textcontent.append("echtgenoten tezamen of door de andere echtgenoot alleen bewoonde woning of van")
    thisalinea.textcontent.append("zaken die bij een zodanige woning of tot de inboedel daarvan behoren;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. giften, met uitzondering van de ..."
    thisalinea.nativeID = 523
    thisalinea.parentID = 521
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. giften, met uitzondering van de gebruikelijke, niet bovenmatige; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. giften, met uitzondering van de gebruikelijke, niet bovenmatige;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. overeenkomsten die ertoe strekken dat ..."
    thisalinea.nativeID = 524
    thisalinea.parentID = 521
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. overeenkomsten die ertoe strekken dat hij, anders dan in de normale uitoefening van zijn beroep of bedrijf, zich als borg of hoofdelijk medeschuldenaar verbindt, zich voor een derde sterk maakt, of zich tot zekerheidstelling voor een schuld van de derde verbindt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. overeenkomsten die ertoe strekken dat hij, anders dan in de normale uitoefening van")
    thisalinea.textcontent.append("zijn beroep of bedrijf, zich als borg of hoofdelijk medeschuldenaar verbindt, zich voor")
    thisalinea.textcontent.append("een derde sterk maakt, of zich tot zekerheidstelling voor een schuld van de derde")
    thisalinea.textcontent.append("verbindt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. overeenkomsten van goederenkrediet als bedoeld ..."
    thisalinea.nativeID = 525
    thisalinea.parentID = 521
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. overeenkomsten van goederenkrediet als bedoeld in artikel 84 van Boek 7, behalve indien zij zaken betreffen die kennelijk uitsluitend of hoofdzakelijk ten behoeve van de normale uitoefening van zijn beroep of bedrijf strekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. overeenkomsten van goederenkrediet als bedoeld in artikel 84 van Boek 7, behalve")
    thisalinea.textcontent.append("indien zij zaken betreffen die kennelijk uitsluitend of hoofdzakelijk ten behoeve van de")
    thisalinea.textcontent.append("normale uitoefening van zijn beroep of bedrijf strekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De echtgenoot behoeft de toestemming ..."
    thisalinea.nativeID = 526
    thisalinea.parentID = 520
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De echtgenoot behoeft de toestemming niet, indien hij tot het verrichten der rechtshandeling is verplicht op grond van de wet of op grond van een voorafgaande rechtshandeling waarvoor die toestemming is verleend of niet was vereist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De echtgenoot behoeft de toestemming niet, indien hij tot het verrichten der")
    thisalinea.textcontent.append("rechtshandeling is verplicht op grond van de wet of op grond van een voorafgaande")
    thisalinea.textcontent.append("rechtshandeling waarvoor die toestemming is verleend of niet was vereist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De toestemming moet schriftelijk of ..."
    thisalinea.nativeID = 527
    thisalinea.parentID = 520
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De toestemming moet schriftelijk of langs elektronische weg worden verleend, indien de wet voor het verrichten van de rechtshandeling een vorm voorschrijft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De toestemming moet schriftelijk of langs elektronische weg worden verleend, indien de")
    thisalinea.textcontent.append("wet voor het verrichten van de rechtshandeling een vorm voorschrijft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. In afwijking van lid 1, ..."
    thisalinea.nativeID = 528
    thisalinea.parentID = 520
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. In afwijking van lid 1, onder b, is geen toestemming vereist voor giften welke de strekking hebben dat zij pas zullen worden uitgevoerd na het overlijden van degene die de gift doet, en niet reeds tijdens diens leven worden uitgevoerd. Bestaat de gift in de aanwijzing van een begunstigde bij een sommenverzekering die tijdens het leven van de verzekeringnemer is aanvaard of kan worden aanvaard, dan is daarvoor wel toestemming vereist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. In afwijking van lid 1, onder b, is geen toestemming vereist voor giften welke de strekking")
    thisalinea.textcontent.append("hebben dat zij pas zullen worden uitgevoerd na het overlijden van degene die de gift doet,")
    thisalinea.textcontent.append("en niet reeds tijdens diens leven worden uitgevoerd. Bestaat de gift in de aanwijzing van")
    thisalinea.textcontent.append("een begunstigde bij een sommenverzekering die tijdens het leven van de")
    thisalinea.textcontent.append("verzekeringnemer is aanvaard of kan worden aanvaard, dan is daarvoor wel toestemming")
    thisalinea.textcontent.append("vereist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Toestemming voor een rechtshandeling als ..."
    thisalinea.nativeID = 529
    thisalinea.parentID = 520
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Toestemming voor een rechtshandeling als bedoeld in lid 1 onder c, is niet vereist, indien zij wordt verricht door een bestuurder van een naamloze vennootschap of van een besloten vennootschap met beperkte aansprakelijkheid, die daarvan alleen of met zijn medebestuurders de meerderheid der aandelen houdt en mits zij geschiedt ten behoeve van de normale uitoefening van het bedrijf van die vennootschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Toestemming voor een rechtshandeling als bedoeld in lid 1 onder c, is niet vereist, indien")
    thisalinea.textcontent.append("zij wordt verricht door een bestuurder van een naamloze vennootschap of van een")
    thisalinea.textcontent.append("besloten vennootschap met beperkte aansprakelijkheid, die daarvan alleen of met zijn")
    thisalinea.textcontent.append("medebestuurders de meerderheid der aandelen houdt en mits zij geschiedt ten behoeve")
    thisalinea.textcontent.append("van de normale uitoefening van het bedrijf van die vennootschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Indien de andere echtgenoot door ..."
    thisalinea.nativeID = 530
    thisalinea.parentID = 520
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Indien de andere echtgenoot door afwezigheid of een andere oorzaak in de onmogelijkheid verkeert zijn wil te verklaren of zijn toestemming niet verleent, kan de beslissing van de rechtbank worden ingeroepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Indien de andere echtgenoot door afwezigheid of een andere oorzaak in de")
    thisalinea.textcontent.append("onmogelijkheid verkeert zijn wil te verklaren of zijn toestemming niet verleent, kan de")
    thisalinea.textcontent.append("beslissing van de rechtbank worden ingeroepen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Dit artikel is van toepassing ..."
    thisalinea.nativeID = 531
    thisalinea.parentID = 520
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Dit artikel is van toepassing ongeacht het recht dat van toepassing is op het huwelijksvermogensstelsel van de echtgenoten, indien de andere echtgenoot zijn gewone verblijfplaats heeft in Nederland ten tijde van het verrichten van een rechtshandeling, bedoeld in het eerste lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Dit artikel is van toepassing ongeacht het recht dat van toepassing is op het")
    thisalinea.textcontent.append("huwelijksvermogensstelsel van de echtgenoten, indien de andere echtgenoot zijn gewone")
    thisalinea.textcontent.append("verblijfplaats heeft in Nederland ten tijde van het verrichten van een rechtshandeling,")
    thisalinea.textcontent.append("bedoeld in het eerste lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 89"
    thisalinea.nativeID = 532
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 189
    thisalinea.summary = "doen. 1. Een rechtshandeling die een echtgenoot in strijd met het vorige artikel heeft verricht, is vernietigbaar; slechts de andere echtgenoot kan een beroep op de vernietigingsgrond 2. Het vorige lid geldt niet voor een andere handeling dan een gift, indien de wederpartij te goeder trouw was. 3. Het einde van het huwelijk en scheiding van tafel en bed hebben geen invloed op de bevoegdheid om ter vernietiging van een rechtshandeling van een echtgenoot een beroep op de vernietigingsgrond te doen, die voordien was ontstaan. Indien de andere echtgenoot dientengevolge schuldenaar uit die rechtshandeling wordt, geldt artikel 51 lid 3 "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("doen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een rechtshandeling die een echtgenoot ..."
    thisalinea.nativeID = 533
    thisalinea.parentID = 532
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een rechtshandeling die een echtgenoot in strijd met het vorige artikel heeft verricht, is vernietigbaar; slechts de andere echtgenoot kan een beroep op de vernietigingsgrond "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een rechtshandeling die een echtgenoot in strijd met het vorige artikel heeft verricht, is")
    thisalinea.textcontent.append("vernietigbaar; slechts de andere echtgenoot kan een beroep op de vernietigingsgrond")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het vorige lid geldt niet ..."
    thisalinea.nativeID = 534
    thisalinea.parentID = 532
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het vorige lid geldt niet voor een andere handeling dan een gift, indien de wederpartij te goeder trouw was. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het vorige lid geldt niet voor een andere handeling dan een gift, indien de wederpartij te")
    thisalinea.textcontent.append("goeder trouw was.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het einde van het huwelijk ..."
    thisalinea.nativeID = 535
    thisalinea.parentID = 532
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het einde van het huwelijk en scheiding van tafel en bed hebben geen invloed op de bevoegdheid om ter vernietiging van een rechtshandeling van een echtgenoot een beroep op de vernietigingsgrond te doen, die voordien was ontstaan. Indien de andere echtgenoot dientengevolge schuldenaar uit die rechtshandeling wordt, geldt artikel 51 lid 3 van Boek 3 voor hem slechts, zolang de termijn van artikel 52 lid 1 van Boek 3 niet is verstreken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het einde van het huwelijk en scheiding van tafel en bed hebben geen invloed op de")
    thisalinea.textcontent.append("bevoegdheid om ter vernietiging van een rechtshandeling van een echtgenoot een beroep")
    thisalinea.textcontent.append("op de vernietigingsgrond te doen, die voordien was ontstaan. Indien de andere")
    thisalinea.textcontent.append("echtgenoot dientengevolge schuldenaar uit die rechtshandeling wordt, geldt artikel 51 lid 3")
    thisalinea.textcontent.append("van Boek 3 voor hem slechts, zolang de termijn van artikel 52 lid 1 van Boek 3 niet is")
    thisalinea.textcontent.append("verstreken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De verklaring of rechtsvordering tot ..."
    thisalinea.nativeID = 536
    thisalinea.parentID = 532
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De verklaring of rechtsvordering tot vernietiging behoeft in afwijking van de artikelen 50 lid 1 en 51 lid 2 van Boek 3 niet mede te worden gericht tot de echtgenoot die de handeling heeft verricht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De verklaring of rechtsvordering tot vernietiging behoeft in afwijking van de artikelen 50 lid")
    thisalinea.textcontent.append("1 en 51 lid 2 van Boek 3 niet mede te worden gericht tot de echtgenoot die de handeling")
    thisalinea.textcontent.append("heeft verricht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De echtgenoot die een beroep ..."
    thisalinea.nativeID = 537
    thisalinea.parentID = 532
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De echtgenoot die een beroep op de vernietigingsgrond heeft gedaan, kan tevens alle uit de nietigheid voortvloeiende rechtsvorderingen instellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De echtgenoot die een beroep op de vernietigingsgrond heeft gedaan, kan tevens alle uit")
    thisalinea.textcontent.append("de nietigheid voortvloeiende rechtsvorderingen instellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 90"
    thisalinea.nativeID = 538
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 190
    thisalinea.summary = "1. Een echtgenoot is bevoegd tot het bestuur van zijn eigen goederen en, volgens de regels van artikel 97, tot het bestuur van goederen van een gemeenschap. 2. Het bestuur van een echtgenoot over een goed omvat de uitoefening van de daaraan verbonden bevoegdheden, daaronder begrepen de bevoegdheid tot beschikking en tot beheer en de bevoegdheid om ten aanzien van dat goed feitelijke handelingen te verrichten en toe te laten, onverminderd de bevoegdheden tot genot en gebruik die de andere echtgenoot overeenkomstig de huwelijksverhouding toekomen. 3. Tussen de echtgenoot die het hem toekomend bestuur overlaat aan de andere echtgenoot, en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een echtgenoot is bevoegd tot ..."
    thisalinea.nativeID = 539
    thisalinea.parentID = 538
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een echtgenoot is bevoegd tot het bestuur van zijn eigen goederen en, volgens de regels van artikel 97, tot het bestuur van goederen van een gemeenschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een echtgenoot is bevoegd tot het bestuur van zijn eigen goederen en, volgens de regels")
    thisalinea.textcontent.append("van artikel 97, tot het bestuur van goederen van een gemeenschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het bestuur van een echtgenoot ..."
    thisalinea.nativeID = 540
    thisalinea.parentID = 538
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het bestuur van een echtgenoot over een goed omvat de uitoefening van de daaraan verbonden bevoegdheden, daaronder begrepen de bevoegdheid tot beschikking en tot beheer en de bevoegdheid om ten aanzien van dat goed feitelijke handelingen te verrichten en toe te laten, onverminderd de bevoegdheden tot genot en gebruik die de andere echtgenoot overeenkomstig de huwelijksverhouding toekomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het bestuur van een echtgenoot over een goed omvat de uitoefening van de daaraan")
    thisalinea.textcontent.append("verbonden bevoegdheden, daaronder begrepen de bevoegdheid tot beschikking en tot")
    thisalinea.textcontent.append("beheer en de bevoegdheid om ten aanzien van dat goed feitelijke handelingen te")
    thisalinea.textcontent.append("verrichten en toe te laten, onverminderd de bevoegdheden tot genot en gebruik die de")
    thisalinea.textcontent.append("andere echtgenoot overeenkomstig de huwelijksverhouding toekomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Tussen de echtgenoot die het ..."
    thisalinea.nativeID = 541
    thisalinea.parentID = 538
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Tussen de echtgenoot die het hem toekomend bestuur overlaat aan de andere echtgenoot, en deze laatste zijn de bepalingen omtrent opdracht van overeenkomstige toepassing, met inachtneming van de aard van de huwelijksverhouding en de aard der goederen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Tussen de echtgenoot die het hem toekomend bestuur overlaat aan de andere")
    thisalinea.textcontent.append("echtgenoot, en deze laatste zijn de bepalingen omtrent opdracht van overeenkomstige")
    thisalinea.textcontent.append("toepassing, met inachtneming van de aard van de huwelijksverhouding en de aard der")
    thisalinea.textcontent.append("goederen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De echtgenoot die een goed ..."
    thisalinea.nativeID = 542
    thisalinea.parentID = 538
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De echtgenoot die een goed bestuurt, kan als partij naast de andere echtgenoot toetreden tot een rechtshandeling die deze laatste met betrekking tot dat goed heeft verricht. De verklaring van toetreding wordt gericht tot hen die partij bij de rechtshandeling zijn; artikel 56 van Boek 3 is van overeenkomstige toepassing. Is voor het verrichten van de rechtshandeling een bepaalde vorm voorgeschreven, dan geldt voor de toetreding hetzelfde vereiste. De echtgenoot kan toetreding tot bijkomstige en tot reeds opeisbare rechten en verplichtingen uitsluiten; hij wordt geacht zich slechts te hebben verbonden onder eerbiediging van tevoren aan derden verleende rechten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De echtgenoot die een goed bestuurt, kan als partij naast de andere echtgenoot toetreden")
    thisalinea.textcontent.append("tot een rechtshandeling die deze laatste met betrekking tot dat goed heeft verricht. De")
    thisalinea.textcontent.append("verklaring van toetreding wordt gericht tot hen die partij bij de rechtshandeling zijn; artikel")
    thisalinea.textcontent.append("56 van Boek 3 is van overeenkomstige toepassing. Is voor het verrichten van de")
    thisalinea.textcontent.append("rechtshandeling een bepaalde vorm voorgeschreven, dan geldt voor de toetreding")
    thisalinea.textcontent.append("hetzelfde vereiste. De echtgenoot kan toetreding tot bijkomstige en tot reeds opeisbare")
    thisalinea.textcontent.append("rechten en verplichtingen uitsluiten; hij wordt geacht zich slechts te hebben verbonden")
    thisalinea.textcontent.append("onder eerbiediging van tevoren aan derden verleende rechten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 91"
    thisalinea.nativeID = 543
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 191
    thisalinea.summary = "vertegenwoordiging van de echtgenoot aan wie het wordt onttrokken, bij andere dan bestuurshandelingen met betrekking tot die goederen. 1. Indien een echtgenoot door afwezigheid of een andere oorzaak in de onmogelijkheid verkeert zijn goederen of de goederen der gemeenschap te besturen, of in ernstige mate tekortschiet in het bestuur van de goederen der gemeenschap, kan de rechtbank op verzoek van de andere echtgenoot aan deze het bestuur over die goederen of een deel daarvan met uitsluiting van de eerstgenoemde echtgenoot opdragen. De rechter kan bij de opdracht nadere regelen stellen omtrent het bestuur en de vertegenwoordiging in de zin van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("vertegenwoordiging van de echtgenoot aan wie het wordt onttrokken, bij andere dan")
    thisalinea.textcontent.append("bestuurshandelingen met betrekking tot die goederen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een echtgenoot door afwezigheid ..."
    thisalinea.nativeID = 544
    thisalinea.parentID = 543
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een echtgenoot door afwezigheid of een andere oorzaak in de onmogelijkheid verkeert zijn goederen of de goederen der gemeenschap te besturen, of in ernstige mate tekortschiet in het bestuur van de goederen der gemeenschap, kan de rechtbank op verzoek van de andere echtgenoot aan deze het bestuur over die goederen of een deel daarvan met uitsluiting van de eerstgenoemde echtgenoot opdragen. De rechter kan bij de opdracht nadere regelen stellen omtrent het bestuur en de vertegenwoordiging in de zin van lid 4. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een echtgenoot door afwezigheid of een andere oorzaak in de onmogelijkheid")
    thisalinea.textcontent.append("verkeert zijn goederen of de goederen der gemeenschap te besturen, of in ernstige mate")
    thisalinea.textcontent.append("tekortschiet in het bestuur van de goederen der gemeenschap, kan de rechtbank op")
    thisalinea.textcontent.append("verzoek van de andere echtgenoot aan deze het bestuur over die goederen of een deel")
    thisalinea.textcontent.append("daarvan met uitsluiting van de eerstgenoemde echtgenoot opdragen. De rechter kan bij")
    thisalinea.textcontent.append("de opdracht nadere regelen stellen omtrent het bestuur en de vertegenwoordiging in de")
    thisalinea.textcontent.append("zin van lid 4.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De artikelen 86 leden 2-4 ..."
    thisalinea.nativeID = 545
    thisalinea.parentID = 543
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De artikelen 86 leden 2-4 en 90 lid 3 zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De artikelen 86 leden 2-4 en 90 lid 3 zijn van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechter gelast de oproeping ..."
    thisalinea.nativeID = 546
    thisalinea.parentID = 543
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechter gelast de oproeping van beide echtgenoten en, zo de in lid 1 eerstgenoemde echtgenoot een vertegenwoordiger heeft aangesteld, ook deze. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechter gelast de oproeping van beide echtgenoten en, zo de in lid 1 eerstgenoemde")
    thisalinea.textcontent.append("echtgenoot een vertegenwoordiger heeft aangesteld, ook deze.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De echtgenoot aan wie het ..."
    thisalinea.nativeID = 547
    thisalinea.parentID = 543
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De echtgenoot aan wie het bestuur over goederen wordt opgedragen, is bevoegd tot "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De echtgenoot aan wie het bestuur over goederen wordt opgedragen, is bevoegd tot")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 92"
    thisalinea.nativeID = 548
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 192
    thisalinea.summary = "1. Is aan een derde niet kenbaar wie van de echtgenoten bevoegd is tot het bestuur over een roerende zaak die geen registergoed is, of een recht aan toonder, dan mag hij de echtgenoot die de zaak of het papier aan toonder onder zich heeft, bevoegd achten. 2. De echtgenoot die ten gevolge van een rechtshandeling van de andere echtgenoot door een derde te goeder trouw in het bestuur van een goed is gestoord, verliest het recht tot beëindiging van de stoornis, indien hij zich tegen de stoornis niet heeft verzet binnen een redelijke termijn nadat zij te zijner kennis "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Is aan een derde niet ..."
    thisalinea.nativeID = 549
    thisalinea.parentID = 548
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Is aan een derde niet kenbaar wie van de echtgenoten bevoegd is tot het bestuur over een roerende zaak die geen registergoed is, of een recht aan toonder, dan mag hij de echtgenoot die de zaak of het papier aan toonder onder zich heeft, bevoegd achten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Is aan een derde niet kenbaar wie van de echtgenoten bevoegd is tot het bestuur over")
    thisalinea.textcontent.append("een roerende zaak die geen registergoed is, of een recht aan toonder, dan mag hij de")
    thisalinea.textcontent.append("echtgenoot die de zaak of het papier aan toonder onder zich heeft, bevoegd achten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De echtgenoot die ten gevolge ..."
    thisalinea.nativeID = 550
    thisalinea.parentID = 548
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De echtgenoot die ten gevolge van een rechtshandeling van de andere echtgenoot door een derde te goeder trouw in het bestuur van een goed is gestoord, verliest het recht tot beëindiging van de stoornis, indien hij zich tegen de stoornis niet heeft verzet binnen een redelijke termijn nadat zij te zijner kennis is gekomen. De bevoegdheid van de echtgenoot tot beëindiging van de stoornis vervalt eveneens indien de derde hem een redelijke termijn heeft gesteld ter uitoefening van die bevoegdheid en hij daarvan geen gebruik heeft gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De echtgenoot die ten gevolge van een rechtshandeling van de andere echtgenoot door")
    thisalinea.textcontent.append("een derde te goeder trouw in het bestuur van een goed is gestoord, verliest het recht tot")
    thisalinea.textcontent.append("beëindiging van de stoornis, indien hij zich tegen de stoornis niet heeft verzet binnen een")
    thisalinea.textcontent.append("redelijke termijn nadat zij te zijner kennis is gekomen. De bevoegdheid van de echtgenoot")
    thisalinea.textcontent.append("tot beëindiging van de stoornis vervalt eveneens indien de derde hem een redelijke")
    thisalinea.textcontent.append("termijn heeft gesteld ter uitoefening van die bevoegdheid en hij daarvan geen gebruik")
    thisalinea.textcontent.append("heeft gemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Aan een derde kan niet ..."
    thisalinea.nativeID = 551
    thisalinea.parentID = 548
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Aan een derde kan niet worden tegengeworpen dat een vordering tot vergoeding welke tijdens het huwelijk is ontstaan wegens vermogensverschuiving tussen de echtgenoten onderling of tussen een der echtgenoten en een tussen hen bestaande gemeenschap, niet opeisbaar is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Aan een derde kan niet worden tegengeworpen dat een vordering tot vergoeding welke")
    thisalinea.textcontent.append("tijdens het huwelijk is ontstaan wegens vermogensverschuiving tussen de echtgenoten")
    thisalinea.textcontent.append("onderling of tussen een der echtgenoten en een tussen hen bestaande gemeenschap,")
    thisalinea.textcontent.append("niet opeisbaar is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 92a"
    thisalinea.nativeID = 552
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 193
    thisalinea.summary = "Deze titel is niet van toepassing op van tafel en bed gescheiden echtgenoten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Deze titel is niet van toepassing op van tafel en bed gescheiden echtgenoten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 7. De wettelijke gemeenschap van goederen Afdeling 1. Algemene bepalingen"
    thisalinea.nativeID = 553
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 194
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 93"
    thisalinea.nativeID = 554
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 195
    thisalinea.summary = "Bij huwelijkse voorwaarden kan uitdrukkelijk of door de aard der bedingen worden afgeweken van bepalingen van deze titel, behalve voor zover bepalingen zich uitdrukkelijk of naar hun aard tegen afwijking verzetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij huwelijkse voorwaarden kan uitdrukkelijk of door de aard der bedingen worden afgeweken")
    thisalinea.textcontent.append("van bepalingen van deze titel, behalve voor zover bepalingen zich uitdrukkelijk of naar hun")
    thisalinea.textcontent.append("aard tegen afwijking verzetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 94"
    thisalinea.nativeID = 555
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 196
    thisalinea.summary = "wilsbeschikking of bij de gift is bepaald dat zij in de gemeenschap vallen. 1. Van het ogenblik van de voltrekking van het huwelijk bestaat tussen de echtgenoten van rechtswege een gemeenschap van goederen. 2. De gemeenschap omvat, wat haar baten betreft, alle goederen die reeds vóór de aanvang van de gemeenschap aan de echtgenoten gezamenlijk toebehoorden, en alle overige goederen van de echtgenoten, door ieder van hen afzonderlijk of door hen tezamen vanaf de aanvang van de gemeenschap tot haar ontbinding verkregen, met uitzondering van: a. krachtens erfopvolging bij versterf, making, lastbevoordeling of gift verkregen goederen; b. pensioenrechten waarop de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("wilsbeschikking of bij de gift is bepaald dat zij in de gemeenschap vallen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Van het ogenblik van de ..."
    thisalinea.nativeID = 556
    thisalinea.parentID = 555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Van het ogenblik van de voltrekking van het huwelijk bestaat tussen de echtgenoten van rechtswege een gemeenschap van goederen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Van het ogenblik van de voltrekking van het huwelijk bestaat tussen de echtgenoten van")
    thisalinea.textcontent.append("rechtswege een gemeenschap van goederen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De gemeenschap omvat, wat haar ..."
    thisalinea.nativeID = 557
    thisalinea.parentID = 555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De gemeenschap omvat, wat haar baten betreft, alle goederen die reeds vóór de aanvang van de gemeenschap aan de echtgenoten gezamenlijk toebehoorden, en alle overige goederen van de echtgenoten, door ieder van hen afzonderlijk of door hen tezamen vanaf de aanvang van de gemeenschap tot haar ontbinding verkregen, met uitzondering van: a. krachtens erfopvolging bij versterf, making, lastbevoordeling of gift verkregen goederen; b. pensioenrechten waarop de Wet verevening pensioenrechten bij scheiding van toepassing is, alsmede met die pensioenrechten verband houdende rechten op nabestaandenpensioen; c. rechten op het vestigen van vruchtgebruik als bedoeld in de artikelen 29 en 30 van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De gemeenschap omvat, wat haar baten betreft, alle goederen die reeds vóór de aanvang")
    thisalinea.textcontent.append("van de gemeenschap aan de echtgenoten gezamenlijk toebehoorden, en alle overige")
    thisalinea.textcontent.append("goederen van de echtgenoten, door ieder van hen afzonderlijk of door hen tezamen vanaf")
    thisalinea.textcontent.append("de aanvang van de gemeenschap tot haar ontbinding verkregen, met uitzondering van:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. krachtens erfopvolging bij versterf, making, ..."
    thisalinea.nativeID = 558
    thisalinea.parentID = 557
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. krachtens erfopvolging bij versterf, making, lastbevoordeling of gift verkregen goederen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. krachtens erfopvolging bij versterf, making, lastbevoordeling of gift verkregen")
    thisalinea.textcontent.append("goederen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. pensioenrechten waarop de Wet verevening ..."
    thisalinea.nativeID = 559
    thisalinea.parentID = 557
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. pensioenrechten waarop de Wet verevening pensioenrechten bij scheiding van toepassing is, alsmede met die pensioenrechten verband houdende rechten op nabestaandenpensioen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. pensioenrechten waarop de Wet verevening pensioenrechten bij scheiding van")
    thisalinea.textcontent.append("toepassing is, alsmede met die pensioenrechten verband houdende rechten op")
    thisalinea.textcontent.append("nabestaandenpensioen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. rechten op het vestigen van ..."
    thisalinea.nativeID = 560
    thisalinea.parentID = 557
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. rechten op het vestigen van vruchtgebruik als bedoeld in de artikelen 29 en 30 van Boek 4, vruchtgebruik dat op grond van die bepalingen is gevestigd, alsmede hetgeen wordt verkregen ingevolge de artikelen 34, 35, 36, 38, 63 tot en met 92 en 126, eerste lid en tweede lid, onderdelen a en c, van Boek 4. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. rechten op het vestigen van vruchtgebruik als bedoeld in de artikelen 29 en 30 van")
    thisalinea.textcontent.append("Boek 4, vruchtgebruik dat op grond van die bepalingen is gevestigd, alsmede hetgeen")
    thisalinea.textcontent.append("wordt verkregen ingevolge de artikelen 34, 35, 36, 38, 63 tot en met 92 en 126, eerste")
    thisalinea.textcontent.append("lid en tweede lid, onderdelen a en c, van Boek 4.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het tweede lid, aanhef en ..."
    thisalinea.nativeID = 561
    thisalinea.parentID = 555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het tweede lid, aanhef en onderdeel a, is niet van toepassing op: a. giften van tot de gemeenschap behorende goederen aan de andere echtgenoot; b. goederen, alsmede de vruchten van die goederen, ten aanzien waarvan bij uiterste "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het tweede lid, aanhef en onderdeel a, is niet van toepassing op:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. giften van tot de gemeenschap ..."
    thisalinea.nativeID = 562
    thisalinea.parentID = 561
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. giften van tot de gemeenschap behorende goederen aan de andere echtgenoot; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. giften van tot de gemeenschap behorende goederen aan de andere echtgenoot;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. goederen, alsmede de vruchten van ..."
    thisalinea.nativeID = 563
    thisalinea.parentID = 561
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. goederen, alsmede de vruchten van die goederen, ten aanzien waarvan bij uiterste "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. goederen, alsmede de vruchten van die goederen, ten aanzien waarvan bij uiterste")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Goederen, alsmede de vruchten van ..."
    thisalinea.nativeID = 564
    thisalinea.parentID = 555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Goederen, alsmede de vruchten van die goederen, ten aanzien waarvan bij uiterste wilsbeschikking of bij de gift is bepaald dat zij buiten de gemeenschap vallen, blijven buiten de gemeenschap, ook al zijn echtgenoten bij huwelijkse voorwaarden overeengekomen dat krachtens erfopvolging bij versterf, making, lastbevoordeling of gift verkregen goederen dan wel de vruchten daarvan in de gemeenschap vallen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Goederen, alsmede de vruchten van die goederen, ten aanzien waarvan bij uiterste")
    thisalinea.textcontent.append("wilsbeschikking of bij de gift is bepaald dat zij buiten de gemeenschap vallen, blijven")
    thisalinea.textcontent.append("buiten de gemeenschap, ook al zijn echtgenoten bij huwelijkse voorwaarden")
    thisalinea.textcontent.append("overeengekomen dat krachtens erfopvolging bij versterf, making, lastbevoordeling of gift")
    thisalinea.textcontent.append("verkregen goederen dan wel de vruchten daarvan in de gemeenschap vallen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Goederen en schulden die aan ..."
    thisalinea.nativeID = 565
    thisalinea.parentID = 555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Goederen en schulden die aan een van de echtgenoten op enigerlei bijzondere wijze verknocht zijn, vallen slechts in de gemeenschap voor zover die verknochtheid zich hiertegen niet verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Goederen en schulden die aan een van de echtgenoten op enigerlei bijzondere wijze")
    thisalinea.textcontent.append("verknocht zijn, vallen slechts in de gemeenschap voor zover die verknochtheid zich")
    thisalinea.textcontent.append("hiertegen niet verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Vruchten van goederen die niet ..."
    thisalinea.nativeID = 566
    thisalinea.parentID = 555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Vruchten van goederen die niet in de gemeenschap vallen, vallen evenmin in de gemeenschap. Buiten de gemeenschap valt hetgeen wordt geïnd op een vordering die buiten de gemeenschap valt, alsmede een vordering tot vergoeding die in de plaats van een eigen goed van een echtgenoot treedt, waaronder begrepen een vordering ter zake van waardevermindering van zulk een goed. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Vruchten van goederen die niet in de gemeenschap vallen, vallen evenmin in de")
    thisalinea.textcontent.append("gemeenschap. Buiten de gemeenschap valt hetgeen wordt geïnd op een vordering die")
    thisalinea.textcontent.append("buiten de gemeenschap valt, alsmede een vordering tot vergoeding die in de plaats van")
    thisalinea.textcontent.append("een eigen goed van een echtgenoot treedt, waaronder begrepen een vordering ter zake")
    thisalinea.textcontent.append("van waardevermindering van zulk een goed.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. De gemeenschap omvat, wat haar ..."
    thisalinea.nativeID = 567
    thisalinea.parentID = 555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. De gemeenschap omvat, wat haar lasten betreft, alle vóór het bestaan van de gemeenschap ontstane gemeenschappelijke schulden, alle schulden betreffende goederen die reeds vóór de aanvang van de gemeenschap aan de echtgenoten gezamenlijk toebehoorden, en alle tijdens het bestaan van de gemeenschap ontstane schulden van ieder van de echtgenoten, met uitzondering van schulden: a. betreffende van de gemeenschap uitgezonderde goederen; b. die behoren tot een nalatenschap waartoe een echtgenoot is gerechtigd; c. uit door een van de echtgenoten gedane giften, gemaakte bedingen en aangegane omzettingen als bedoeld in artikel 126, eerste lid en tweede lid, onderdelen a en c, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. De gemeenschap omvat, wat haar lasten betreft, alle vóór het bestaan van de")
    thisalinea.textcontent.append("gemeenschap ontstane gemeenschappelijke schulden, alle schulden betreffende")
    thisalinea.textcontent.append("goederen die reeds vóór de aanvang van de gemeenschap aan de echtgenoten")
    thisalinea.textcontent.append("gezamenlijk toebehoorden, en alle tijdens het bestaan van de gemeenschap ontstane")
    thisalinea.textcontent.append("schulden van ieder van de echtgenoten, met uitzondering van schulden:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. betreffende van de gemeenschap uitgezonderde ..."
    thisalinea.nativeID = 568
    thisalinea.parentID = 567
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. betreffende van de gemeenschap uitgezonderde goederen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. betreffende van de gemeenschap uitgezonderde goederen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. die behoren tot een nalatenschap ..."
    thisalinea.nativeID = 569
    thisalinea.parentID = 567
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. die behoren tot een nalatenschap waartoe een echtgenoot is gerechtigd; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. die behoren tot een nalatenschap waartoe een echtgenoot is gerechtigd;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. uit door een van de ..."
    thisalinea.nativeID = 570
    thisalinea.parentID = 567
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. uit door een van de echtgenoten gedane giften, gemaakte bedingen en aangegane omzettingen als bedoeld in artikel 126, eerste lid en tweede lid, onderdelen a en c, van Boek 4. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. uit door een van de echtgenoten gedane giften, gemaakte bedingen en aangegane")
    thisalinea.textcontent.append("omzettingen als bedoeld in artikel 126, eerste lid en tweede lid, onderdelen a en c, van")
    thisalinea.textcontent.append("Boek 4.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. Bestaat tussen echtgenoten een geschil ..."
    thisalinea.nativeID = 571
    thisalinea.parentID = 555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. Bestaat tussen echtgenoten een geschil aan wie van hen beiden een goed toebehoort en kan geen van beiden zijn recht op dit goed bewijzen, dan wordt dit goed als gemeenschapsgoed aangemerkt. Het vermoeden werkt niet ten nadele van de schuldeisers van de echtgenoten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. Bestaat tussen echtgenoten een geschil aan wie van hen beiden een goed toebehoort en")
    thisalinea.textcontent.append("kan geen van beiden zijn recht op dit goed bewijzen, dan wordt dit goed als")
    thisalinea.textcontent.append("gemeenschapsgoed aangemerkt. Het vermoeden werkt niet ten nadele van de")
    thisalinea.textcontent.append("schuldeisers van de echtgenoten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 95"
    thisalinea.nativeID = 572
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 197
    thisalinea.summary = "1. Een goed dat een echtgenoot anders dan om niet verkrijgt, blijft buiten de gemeenschap indien de tegenprestatie bij de verkrijging van dit goed voor meer dan de helft ten laste komt van zijn eigen vermogen. Voor zover de tegenprestatie ten laste van de gemeenschap komt, is de echtgenoot gehouden tot een vergoeding aan de gemeenschap. Het beloop van de vergoeding wordt bepaald overeenkomstig artikel 87, tweede en derde lid. 2. Indien een goed tot de gemeenschap gaat behoren en een echtgenoot bij de verkrijging uit zijn eigen vermogen aan de tegenprestatie heeft bijgedragen, komt deze echtgenoot een vergoedingsvordering toe, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een goed dat een echtgenoot ..."
    thisalinea.nativeID = 573
    thisalinea.parentID = 572
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een goed dat een echtgenoot anders dan om niet verkrijgt, blijft buiten de gemeenschap indien de tegenprestatie bij de verkrijging van dit goed voor meer dan de helft ten laste komt van zijn eigen vermogen. Voor zover de tegenprestatie ten laste van de gemeenschap komt, is de echtgenoot gehouden tot een vergoeding aan de gemeenschap. Het beloop van de vergoeding wordt bepaald overeenkomstig artikel 87, tweede en derde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een goed dat een echtgenoot anders dan om niet verkrijgt, blijft buiten de gemeenschap")
    thisalinea.textcontent.append("indien de tegenprestatie bij de verkrijging van dit goed voor meer dan de helft ten laste")
    thisalinea.textcontent.append("komt van zijn eigen vermogen. Voor zover de tegenprestatie ten laste van de")
    thisalinea.textcontent.append("gemeenschap komt, is de echtgenoot gehouden tot een vergoeding aan de")
    thisalinea.textcontent.append("gemeenschap. Het beloop van de vergoeding wordt bepaald overeenkomstig artikel 87,")
    thisalinea.textcontent.append("tweede en derde lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien een goed tot de ..."
    thisalinea.nativeID = 574
    thisalinea.parentID = 572
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien een goed tot de gemeenschap gaat behoren en een echtgenoot bij de verkrijging uit zijn eigen vermogen aan de tegenprestatie heeft bijgedragen, komt deze echtgenoot een vergoedingsvordering toe, waarvan het beloop overeenkomstig artikel 87, tweede en derde lid, wordt bepaald. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien een goed tot de gemeenschap gaat behoren en een echtgenoot bij de verkrijging")
    thisalinea.textcontent.append("uit zijn eigen vermogen aan de tegenprestatie heeft bijgedragen, komt deze echtgenoot")
    thisalinea.textcontent.append("een vergoedingsvordering toe, waarvan het beloop overeenkomstig artikel 87, tweede en")
    thisalinea.textcontent.append("derde lid, wordt bepaald.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 95a"
    thisalinea.nativeID = 575
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 198
    thisalinea.summary = "gerechtigd, in overwegende mate bij machte is te bepalen dat de winsten van die onderneming hem rechtstreeks of middellijk ten goede komen, komt ten bate van de gemeenschap een redelijke vergoeding voor de kennis, vaardigheden en arbeid die een echtgenoot ten behoeve van die onderneming heeft aangewend, voor zover een dergelijke vergoeding niet al op andere wijze ten bate van beide echtgenoten komt of is gekomen. 1. Indien een onderneming buiten de gemeenschap valt, komt ten bate van de gemeenschap een redelijke vergoeding voor de kennis, vaardigheden en arbeid die een echtgenoot ten behoeve van die onderneming heeft aangewend, voor "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("gerechtigd, in overwegende mate bij machte is te bepalen dat de winsten van die")
    thisalinea.textcontent.append("onderneming hem rechtstreeks of middellijk ten goede komen, komt ten bate van de")
    thisalinea.textcontent.append("gemeenschap een redelijke vergoeding voor de kennis, vaardigheden en arbeid die een")
    thisalinea.textcontent.append("echtgenoot ten behoeve van die onderneming heeft aangewend, voor zover een")
    thisalinea.textcontent.append("dergelijke vergoeding niet al op andere wijze ten bate van beide echtgenoten komt of is")
    thisalinea.textcontent.append("gekomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een onderneming buiten de ..."
    thisalinea.nativeID = 576
    thisalinea.parentID = 575
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een onderneming buiten de gemeenschap valt, komt ten bate van de gemeenschap een redelijke vergoeding voor de kennis, vaardigheden en arbeid die een echtgenoot ten behoeve van die onderneming heeft aangewend, voor zover een dergelijke vergoeding niet al op andere wijze ten bate van beide echtgenoten komt of is gekomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een onderneming buiten de gemeenschap valt, komt ten bate van de")
    thisalinea.textcontent.append("gemeenschap een redelijke vergoeding voor de kennis, vaardigheden en arbeid die een")
    thisalinea.textcontent.append("echtgenoot ten behoeve van die onderneming heeft aangewend, voor zover een")
    thisalinea.textcontent.append("dergelijke vergoeding niet al op andere wijze ten bate van beide echtgenoten komt of is")
    thisalinea.textcontent.append("gekomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Ook indien een onderneming op ..."
    thisalinea.nativeID = 577
    thisalinea.parentID = 575
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Ook indien een onderneming op naam en voor rekening van een personenvennootschap of een rechtspersoon wordt uitgeoefend, de gerechtigdheid tot die personenvennootschap of die rechtspersoon buiten de gemeenschap valt en de echtgenoot die daartoe is "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Ook indien een onderneming op naam en voor rekening van een personenvennootschap")
    thisalinea.textcontent.append("of een rechtspersoon wordt uitgeoefend, de gerechtigdheid tot die personenvennootschap")
    thisalinea.textcontent.append("of die rechtspersoon buiten de gemeenschap valt en de echtgenoot die daartoe is")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 96"
    thisalinea.nativeID = 578
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 199
    thisalinea.summary = "1. Voor een schuld van een echtgenoot kunnen, ongeacht of deze in de gemeenschap is gevallen, zowel de goederen van de gemeenschap als zijn eigen goederen worden uitgewonnen. 2. Voor een niet in de gemeenschap gevallen schuld van een echtgenoot kunnen de goederen van de gemeenschap niet worden uitgewonnen, indien de andere echtgenoot eigen goederen van eerstgenoemde aanwijst, die voldoende verhaal bieden. Voor een in de gemeenschap gevallen schuld van een echtgenoot kunnen de eigen goederen van deze echtgenoot niet worden uitgewonnen, indien hij goederen van de gemeenschap aanwijst, die voldoende verhaal bieden. 3. Het verhaal op de goederen van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Voor een schuld van een ..."
    thisalinea.nativeID = 579
    thisalinea.parentID = 578
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Voor een schuld van een echtgenoot kunnen, ongeacht of deze in de gemeenschap is gevallen, zowel de goederen van de gemeenschap als zijn eigen goederen worden uitgewonnen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Voor een schuld van een echtgenoot kunnen, ongeacht of deze in de gemeenschap is")
    thisalinea.textcontent.append("gevallen, zowel de goederen van de gemeenschap als zijn eigen goederen worden")
    thisalinea.textcontent.append("uitgewonnen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voor een niet in de ..."
    thisalinea.nativeID = 580
    thisalinea.parentID = 578
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voor een niet in de gemeenschap gevallen schuld van een echtgenoot kunnen de goederen van de gemeenschap niet worden uitgewonnen, indien de andere echtgenoot eigen goederen van eerstgenoemde aanwijst, die voldoende verhaal bieden. Voor een in de gemeenschap gevallen schuld van een echtgenoot kunnen de eigen goederen van deze echtgenoot niet worden uitgewonnen, indien hij goederen van de gemeenschap aanwijst, die voldoende verhaal bieden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voor een niet in de gemeenschap gevallen schuld van een echtgenoot kunnen de")
    thisalinea.textcontent.append("goederen van de gemeenschap niet worden uitgewonnen, indien de andere echtgenoot")
    thisalinea.textcontent.append("eigen goederen van eerstgenoemde aanwijst, die voldoende verhaal bieden. Voor een in")
    thisalinea.textcontent.append("de gemeenschap gevallen schuld van een echtgenoot kunnen de eigen goederen van")
    thisalinea.textcontent.append("deze echtgenoot niet worden uitgewonnen, indien hij goederen van de gemeenschap")
    thisalinea.textcontent.append("aanwijst, die voldoende verhaal bieden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het verhaal op de goederen ..."
    thisalinea.nativeID = 581
    thisalinea.parentID = 578
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het verhaal op de goederen van de gemeenschap voor een niet tot de gemeenschap behorende schuld van een echtgenoot is beperkt tot de helft van de opbrengst van het uitgewonnen goed. De andere helft komt de andere echtgenoot toe en valt voortaan buiten de gemeenschap. De andere echtgenoot is bevoegd, indien een schuldeiser verhaal op een goed van de gemeenschap zoekt ter zake van een niet tot de gemeenschap behorende schuld, het goed waarop de schuldeiser verhaal zoekt, over te nemen tegen betaling van de helft van de waarde van dat goed uit zijn eigen vermogen. Vanaf het tijdstip "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het verhaal op de goederen van de gemeenschap voor een niet tot de gemeenschap")
    thisalinea.textcontent.append("behorende schuld van een echtgenoot is beperkt tot de helft van de opbrengst van het")
    thisalinea.textcontent.append("uitgewonnen goed. De andere helft komt de andere echtgenoot toe en valt voortaan")
    thisalinea.textcontent.append("buiten de gemeenschap. De andere echtgenoot is bevoegd, indien een schuldeiser")
    thisalinea.textcontent.append("verhaal op een goed van de gemeenschap zoekt ter zake van een niet tot de")
    thisalinea.textcontent.append("gemeenschap behorende schuld, het goed waarop de schuldeiser verhaal zoekt, over te")
    thisalinea.textcontent.append("nemen tegen betaling van de helft van de waarde van dat goed uit zijn eigen vermogen.")
    thisalinea.textcontent.append("Vanaf het tijdstip van de overneming is dit een eigen goed van deze echtgenoot, dat niet")
    thisalinea.textcontent.append("in de gemeenschap valt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De echtgenoot uit wiens eigen ..."
    thisalinea.nativeID = 582
    thisalinea.parentID = 578
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De echtgenoot uit wiens eigen goederen een schuld van de gemeenschap is voldaan, heeft deswege recht op vergoeding uit de goederen van de gemeenschap. Betreft het een schuld ter zake van een tot de gemeenschap behorend goed, dan wordt het beloop van de vergoeding bepaald overeenkomstig artikel 87, tweede en derde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De echtgenoot uit wiens eigen goederen een schuld van de gemeenschap is voldaan,")
    thisalinea.textcontent.append("heeft deswege recht op vergoeding uit de goederen van de gemeenschap. Betreft het een")
    thisalinea.textcontent.append("schuld ter zake van een tot de gemeenschap behorend goed, dan wordt het beloop van")
    thisalinea.textcontent.append("de vergoeding bepaald overeenkomstig artikel 87, tweede en derde lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De echtgenoot wiens niet in ..."
    thisalinea.nativeID = 583
    thisalinea.parentID = 578
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De echtgenoot wiens niet in de gemeenschap gevallen schuld uit goederen van de gemeenschap is voldaan, is deswege gehouden tot vergoeding aan de gemeenschap. Betreft het een schuld ter zake van een tot zijn eigen vermogen behorend goed, dan wordt het beloop van de vergoeding bepaald overeenkomstig artikel 87, tweede en derde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De echtgenoot wiens niet in de gemeenschap gevallen schuld uit goederen van de")
    thisalinea.textcontent.append("gemeenschap is voldaan, is deswege gehouden tot vergoeding aan de gemeenschap.")
    thisalinea.textcontent.append("Betreft het een schuld ter zake van een tot zijn eigen vermogen behorend goed, dan")
    thisalinea.textcontent.append("wordt het beloop van de vergoeding bepaald overeenkomstig artikel 87, tweede en derde")
    thisalinea.textcontent.append("lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De echtgenoot die een schuldeiser ..."
    thisalinea.nativeID = 584
    thisalinea.parentID = 578
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De echtgenoot die een schuldeiser tegenwerpt dat een goed waarop deze verhaal zoekt niet behoort tot de gemeenschap, draagt daarvan de bewijslast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De echtgenoot die een schuldeiser tegenwerpt dat een goed waarop deze verhaal zoekt")
    thisalinea.textcontent.append("niet behoort tot de gemeenschap, draagt daarvan de bewijslast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 96a"
    thisalinea.nativeID = 585
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 200
    thisalinea.summary = "Indien een echtgenoot door een begunstiging bij een door zijn overlijden tot uitkering komende sommenverzekering een gift aan een derde heeft gedaan en ten laste van de gemeenschap premies voor die verzekering zijn gekomen, is de echtgenoot deswege gehouden tot vergoeding aan de gemeenschap. De vergoeding beloopt een gedeelte van de waarde van de uitkering, evenredig aan het uit de gemeenschap afkomstige aandeel in de premies. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien een echtgenoot door een begunstiging bij een door zijn overlijden tot uitkering")
    thisalinea.textcontent.append("komende sommenverzekering een gift aan een derde heeft gedaan en ten laste van de")
    thisalinea.textcontent.append("gemeenschap premies voor die verzekering zijn gekomen, is de echtgenoot deswege")
    thisalinea.textcontent.append("gehouden tot vergoeding aan de gemeenschap. De vergoeding beloopt een gedeelte van de")
    thisalinea.textcontent.append("waarde van de uitkering, evenredig aan het uit de gemeenschap afkomstige aandeel in de")
    thisalinea.textcontent.append("premies.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 96b"
    thisalinea.nativeID = 586
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 201
    thisalinea.summary = "Echtgenoten kunnen bij overeenkomst het beloop van vergoedingen ingevolge de artikelen 95, 96 en 96a anders bepalen. Artikel 87, vierde lid, tweede zin, is van overeenkomstige toepassing. Kan de vergoeding niet nauwkeurig worden vastgesteld, dan wordt zij geschat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Echtgenoten kunnen bij overeenkomst het beloop van vergoedingen ingevolge de artikelen")
    thisalinea.textcontent.append("95, 96 en 96a anders bepalen. Artikel 87, vierde lid, tweede zin, is van overeenkomstige")
    thisalinea.textcontent.append("toepassing. Kan de vergoeding niet nauwkeurig worden vastgesteld, dan wordt zij geschat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Het bestuur van de gemeenschap"
    thisalinea.nativeID = 587
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 202
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 97"
    thisalinea.nativeID = 588
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 203
    thisalinea.summary = "1. Een goed dat op naam van een echtgenoot staat of dat hij krachtens erfopvolging bij versterf, making, lastbevoordeling of gift heeft verkregen, staat onder diens bestuur. Voor het overige is ieder der echtgenoten bevoegd tot het bestuur over de goederen van de gemeenschap. Artikel 170, eerste lid, van Boek 3 is van overeenkomstige toepassing. 2. Is een goed der gemeenschap met toestemming, verleend door de echtgenoot onder wiens bestuur dat goed alleen of mede stond, dienstbaar aan een beroep of bedrijf van de andere echtgenoot, dan berust het bestuur van dat goed, voor zover het handelingen betreft die als "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een goed dat op naam ..."
    thisalinea.nativeID = 589
    thisalinea.parentID = 588
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een goed dat op naam van een echtgenoot staat of dat hij krachtens erfopvolging bij versterf, making, lastbevoordeling of gift heeft verkregen, staat onder diens bestuur. Voor het overige is ieder der echtgenoten bevoegd tot het bestuur over de goederen van de gemeenschap. Artikel 170, eerste lid, van Boek 3 is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een goed dat op naam van een echtgenoot staat of dat hij krachtens erfopvolging bij")
    thisalinea.textcontent.append("versterf, making, lastbevoordeling of gift heeft verkregen, staat onder diens bestuur. Voor")
    thisalinea.textcontent.append("het overige is ieder der echtgenoten bevoegd tot het bestuur over de goederen van de")
    thisalinea.textcontent.append("gemeenschap. Artikel 170, eerste lid, van Boek 3 is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Is een goed der gemeenschap ..."
    thisalinea.nativeID = 590
    thisalinea.parentID = 588
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Is een goed der gemeenschap met toestemming, verleend door de echtgenoot onder wiens bestuur dat goed alleen of mede stond, dienstbaar aan een beroep of bedrijf van de andere echtgenoot, dan berust het bestuur van dat goed, voor zover het handelingen betreft die als normale uitoefening van dat beroep of bedrijf zijn te beschouwen, uitsluitend bij laatstbedoelde echtgenoot en voor het overige bij de echtgenoten gezamenlijk. Een verleende toestemming geldt voor de gehele duur van het beroep of bedrijf, tenzij de echtgenoten anders overeenkomen, doch de rechtbank kan de dienstbaarheid op verzoek van een echtgenoot te allen tijde wegens "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Is een goed der gemeenschap met toestemming, verleend door de echtgenoot onder")
    thisalinea.textcontent.append("wiens bestuur dat goed alleen of mede stond, dienstbaar aan een beroep of bedrijf van de")
    thisalinea.textcontent.append("andere echtgenoot, dan berust het bestuur van dat goed, voor zover het handelingen")
    thisalinea.textcontent.append("betreft die als normale uitoefening van dat beroep of bedrijf zijn te beschouwen,")
    thisalinea.textcontent.append("uitsluitend bij laatstbedoelde echtgenoot en voor het overige bij de echtgenoten")
    thisalinea.textcontent.append("gezamenlijk. Een verleende toestemming geldt voor de gehele duur van het beroep of")
    thisalinea.textcontent.append("bedrijf, tenzij de echtgenoten anders overeenkomen, doch de rechtbank kan de")
    thisalinea.textcontent.append("dienstbaarheid op verzoek van een echtgenoot te allen tijde wegens gegronde redenen")
    thisalinea.textcontent.append("beëindigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Geschillen tussen de echtgenoten over ..."
    thisalinea.nativeID = 591
    thisalinea.parentID = 588
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Geschillen tussen de echtgenoten over het bestuur ten aanzien van tot de gemeenschap behorende goederen, kunnen op verzoek van de echtgenoten of van een van hen aan de rechtbank worden voorgelegd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Geschillen tussen de echtgenoten over het bestuur ten aanzien van tot de gemeenschap")
    thisalinea.textcontent.append("behorende goederen, kunnen op verzoek van de echtgenoten of van een van hen aan de")
    thisalinea.textcontent.append("rechtbank worden voorgelegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 98"
    thisalinea.nativeID = 592
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 204
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3. Ontbinding van de gemeenschap"
    thisalinea.nativeID = 593
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 205
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 99"
    thisalinea.nativeID = 594
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 206
    thisalinea.summary = "gevolgen van de gemeenschap, alsof er geen verzoek was ingediend of overeenkomst was gesloten, tenzij zich inmiddels een andere grond voor ontbinding heeft voorgedaan. Nochtans wordt de geldigheid van rechtshandelingen die zijn verricht tussen het tijdstip van indiening van het verzoek of sluiting van de overeenkomst en het tijdstip waarop komt vast te staan dat het verzoek of de overeenkomst niet meer tot het in de eerste zin bedoelde gevolg kan leiden, beoordeeld naar het tijdstip van de handeling. 1. De gemeenschap wordt van rechtswege ontbonden: a. in geval van het eindigen van het huwelijk of het geregistreerd partnerschap door "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("gevolgen van de gemeenschap, alsof er geen verzoek was ingediend of overeenkomst")
    thisalinea.textcontent.append("was gesloten, tenzij zich inmiddels een andere grond voor ontbinding heeft voorgedaan.")
    thisalinea.textcontent.append("Nochtans wordt de geldigheid van rechtshandelingen die zijn verricht tussen het tijdstip")
    thisalinea.textcontent.append("van indiening van het verzoek of sluiting van de overeenkomst en het tijdstip waarop komt")
    thisalinea.textcontent.append("vast te staan dat het verzoek of de overeenkomst niet meer tot het in de eerste zin")
    thisalinea.textcontent.append("bedoelde gevolg kan leiden, beoordeeld naar het tijdstip van de handeling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De gemeenschap wordt van rechtswege ..."
    thisalinea.nativeID = 595
    thisalinea.parentID = 594
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De gemeenschap wordt van rechtswege ontbonden: a. in geval van het eindigen van het huwelijk of het geregistreerd partnerschap door overlijden: op het tijdstip van overlijden; b. in geval van beëindiging van het huwelijk door echtscheiding of ontbinding van het geregistreerd partnerschap door de rechter: op het tijdstip van indiening van het verzoek tot echtscheiding onderscheidenlijk indiening van het verzoek tot ontbinding van het geregistreerd partnerschap; c. in geval van scheiding van tafel en bed: op het tijdstip van indiening van het verzoek tot scheiding van tafel en bed; d. in geval van opheffing van de gemeenschap door een "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De gemeenschap wordt van rechtswege ontbonden:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. in geval van het eindigen ..."
    thisalinea.nativeID = 596
    thisalinea.parentID = 595
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. in geval van het eindigen van het huwelijk of het geregistreerd partnerschap door overlijden: op het tijdstip van overlijden; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. in geval van het eindigen van het huwelijk of het geregistreerd partnerschap door")
    thisalinea.textcontent.append("overlijden: op het tijdstip van overlijden;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. in geval van beëindiging van ..."
    thisalinea.nativeID = 597
    thisalinea.parentID = 595
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. in geval van beëindiging van het huwelijk door echtscheiding of ontbinding van het geregistreerd partnerschap door de rechter: op het tijdstip van indiening van het verzoek tot echtscheiding onderscheidenlijk indiening van het verzoek tot ontbinding van het geregistreerd partnerschap; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. in geval van beëindiging van het huwelijk door echtscheiding of ontbinding van het")
    thisalinea.textcontent.append("geregistreerd partnerschap door de rechter: op het tijdstip van indiening van het")
    thisalinea.textcontent.append("verzoek tot echtscheiding onderscheidenlijk indiening van het verzoek tot ontbinding")
    thisalinea.textcontent.append("van het geregistreerd partnerschap;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. in geval van scheiding van ..."
    thisalinea.nativeID = 598
    thisalinea.parentID = 595
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. in geval van scheiding van tafel en bed: op het tijdstip van indiening van het verzoek tot scheiding van tafel en bed; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. in geval van scheiding van tafel en bed: op het tijdstip van indiening van het verzoek")
    thisalinea.textcontent.append("tot scheiding van tafel en bed;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. in geval van opheffing van ..."
    thisalinea.nativeID = 599
    thisalinea.parentID = 595
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. in geval van opheffing van de gemeenschap door een beschikking: op het tijdstip van indiening van het verzoek tot opheffing van de gemeenschap; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. in geval van opheffing van de gemeenschap door een beschikking: op het tijdstip van")
    thisalinea.textcontent.append("indiening van het verzoek tot opheffing van de gemeenschap;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. in geval van beëindiging van ..."
    thisalinea.nativeID = 600
    thisalinea.parentID = 595
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. in geval van beëindiging van het geregistreerd partnerschap met wederzijds goedvinden: op het tijdstip waarop de overeenkomst tot beëindiging wordt gesloten; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. in geval van beëindiging van het geregistreerd partnerschap met wederzijds")
    thisalinea.textcontent.append("goedvinden: op het tijdstip waarop de overeenkomst tot beëindiging wordt gesloten;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "f. in geval van vermissing en ..."
    thisalinea.nativeID = 601
    thisalinea.parentID = 595
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "f. in geval van vermissing en een daarop gevolgd huwelijk of geregistreerd partnerschap: op het tijdstip waarop de beschikking, bedoeld in artikel 417, eerste lid, in kracht van gewijsde is gegaan; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("f. in geval van vermissing en een daarop gevolgd huwelijk of geregistreerd")
    thisalinea.textcontent.append("partnerschap: op het tijdstip waarop de beschikking, bedoeld in artikel 417, eerste lid,")
    thisalinea.textcontent.append("in kracht van gewijsde is gegaan;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "g. in geval van opheffing bij ..."
    thisalinea.nativeID = 602
    thisalinea.parentID = 595
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "g. in geval van opheffing bij latere huwelijkse voorwaarden: op het tijdstip, bedoeld in artikel 120, eerste lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("g. in geval van opheffing bij latere huwelijkse voorwaarden: op het tijdstip, bedoeld in")
    thisalinea.textcontent.append("artikel 120, eerste lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De ontbinding van de gemeenschap ..."
    thisalinea.nativeID = 603
    thisalinea.parentID = 594
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De ontbinding van de gemeenschap door indiening van een verzoek als bedoeld in het eerste lid, onder b, c en d, alsmede door sluiting van een overeenkomst als bedoeld onder e, kan aan derden die daarvan onkundig waren slechts worden tegengeworpen, indien het desbetreffende verzoek dan wel de overeenkomst ingeschreven was in het huwelijksgoederenregister, bedoeld in artikel 116. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De ontbinding van de gemeenschap door indiening van een verzoek als bedoeld in het")
    thisalinea.textcontent.append("eerste lid, onder b, c en d, alsmede door sluiting van een overeenkomst als bedoeld onder")
    thisalinea.textcontent.append("e, kan aan derden die daarvan onkundig waren slechts worden tegengeworpen, indien het")
    thisalinea.textcontent.append("desbetreffende verzoek dan wel de overeenkomst ingeschreven was in het")
    thisalinea.textcontent.append("huwelijksgoederenregister, bedoeld in artikel 116.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien vast komt te staan ..."
    thisalinea.nativeID = 604
    thisalinea.parentID = 594
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien vast komt te staan dat een verzoek als bedoeld in het eerste lid, onder b, c en d, dan wel een overeenkomst als bedoeld in het eerste lid, onder e, niet meer kan leiden tot echtscheiding, ontbinding van het geregistreerd partnerschap, scheiding van tafel en bed, opheffing van de gemeenschap door een beschikking, onderscheidenlijk beëindiging van het geregistreerd partnerschap met wederzijds goedvinden, herleven van rechtswege alle "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien vast komt te staan dat een verzoek als bedoeld in het eerste lid, onder b, c en d,")
    thisalinea.textcontent.append("dan wel een overeenkomst als bedoeld in het eerste lid, onder e, niet meer kan leiden tot")
    thisalinea.textcontent.append("echtscheiding, ontbinding van het geregistreerd partnerschap, scheiding van tafel en bed,")
    thisalinea.textcontent.append("opheffing van de gemeenschap door een beschikking, onderscheidenlijk beëindiging van")
    thisalinea.textcontent.append("het geregistreerd partnerschap met wederzijds goedvinden, herleven van rechtswege alle")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Tezamen met een verzoek als ..."
    thisalinea.nativeID = 605
    thisalinea.parentID = 594
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Tezamen met een verzoek als bedoeld in het eerste lid, onder b, c of d kan reeds overeenkomstig titel 7 van Boek 3 een vordering worden ingesteld tot verdeling van de gemeenschap, tot gelasten van de wijze van verdeling en tot vaststelling van de verdeling. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Tezamen met een verzoek als bedoeld in het eerste lid, onder b, c of d kan reeds")
    thisalinea.textcontent.append("overeenkomstig titel 7 van Boek 3 een vordering worden ingesteld tot verdeling van de")
    thisalinea.textcontent.append("gemeenschap, tot gelasten van de wijze van verdeling en tot vaststelling van de verdeling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 100"
    thisalinea.nativeID = 606
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 207
    thisalinea.summary = "1. De echtgenoten hebben een gelijk aandeel in de ontbonden gemeenschap, tenzij anders is bepaald bij huwelijkse voorwaarden of bij een overeenkomst die tussen de echtgenoten bij geschrift is gesloten met het oog op de aanstaande ontbinding der gemeenschap anders dan door de dood of ten gevolge van opheffing bij huwelijkse voorwaarden. 2. Voor zover bij de ontbinding van de gemeenschap de goederen van de gemeenschap niet toereikend zijn om de schulden van de gemeenschap te voldoen, worden deze gedragen door beide echtgenoten ieder voor een gelijk deel, tenzij uit de eisen van redelijkheid en billijkheid, mede in verband met "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De echtgenoten hebben een gelijk ..."
    thisalinea.nativeID = 607
    thisalinea.parentID = 606
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De echtgenoten hebben een gelijk aandeel in de ontbonden gemeenschap, tenzij anders is bepaald bij huwelijkse voorwaarden of bij een overeenkomst die tussen de echtgenoten bij geschrift is gesloten met het oog op de aanstaande ontbinding der gemeenschap anders dan door de dood of ten gevolge van opheffing bij huwelijkse voorwaarden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De echtgenoten hebben een gelijk aandeel in de ontbonden gemeenschap, tenzij anders")
    thisalinea.textcontent.append("is bepaald bij huwelijkse voorwaarden of bij een overeenkomst die tussen de echtgenoten")
    thisalinea.textcontent.append("bij geschrift is gesloten met het oog op de aanstaande ontbinding der gemeenschap")
    thisalinea.textcontent.append("anders dan door de dood of ten gevolge van opheffing bij huwelijkse voorwaarden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voor zover bij de ontbinding ..."
    thisalinea.nativeID = 608
    thisalinea.parentID = 606
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voor zover bij de ontbinding van de gemeenschap de goederen van de gemeenschap niet toereikend zijn om de schulden van de gemeenschap te voldoen, worden deze gedragen door beide echtgenoten ieder voor een gelijk deel, tenzij uit de eisen van redelijkheid en billijkheid, mede in verband met de aard van de schulden, een andere draagplicht voortvloeit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voor zover bij de ontbinding van de gemeenschap de goederen van de gemeenschap niet")
    thisalinea.textcontent.append("toereikend zijn om de schulden van de gemeenschap te voldoen, worden deze gedragen")
    thisalinea.textcontent.append("door beide echtgenoten ieder voor een gelijk deel, tenzij uit de eisen van redelijkheid en")
    thisalinea.textcontent.append("billijkheid, mede in verband met de aard van de schulden, een andere draagplicht")
    thisalinea.textcontent.append("voortvloeit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Zij die bij de ontbinding ..."
    thisalinea.nativeID = 609
    thisalinea.parentID = 606
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Zij die bij de ontbinding van de gemeenschap schuldeiser zijn, behouden het hun toekomende recht van verhaal op de goederen der gemeenschap, zolang deze niet verdeeld zijn. Artikel 96, derde lid, blijft van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Zij die bij de ontbinding van de gemeenschap schuldeiser zijn, behouden het hun")
    thisalinea.textcontent.append("toekomende recht van verhaal op de goederen der gemeenschap, zolang deze niet")
    thisalinea.textcontent.append("verdeeld zijn. Artikel 96, derde lid, blijft van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 101"
    thisalinea.nativeID = 610
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 208
    thisalinea.summary = "Na de ontbinding der gemeenschap heeft ieder der echtgenoten de bevoegdheid de te zijnen gebruike strekkende kleren en kleinodiën, alsmede zijn beroeps- en bedrijfsmiddelen en de papieren en gedenkstukken tot zijn familie behorende, tegen de geschatte prijs over te nemen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Na de ontbinding der gemeenschap heeft ieder der echtgenoten de bevoegdheid de te zijnen")
    thisalinea.textcontent.append("gebruike strekkende kleren en kleinodiën, alsmede zijn beroeps- en bedrijfsmiddelen en de")
    thisalinea.textcontent.append("papieren en gedenkstukken tot zijn familie behorende, tegen de geschatte prijs over te")
    thisalinea.textcontent.append("nemen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 102"
    thisalinea.nativeID = 611
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 209
    thisalinea.summary = "Na ontbinding van de gemeenschap blijft ieder der echtgenoten voor het geheel aansprakelijk voor de gemeenschapsschulden waarvoor hij voordien aansprakelijk was. Voor andere gemeenschapsschulden is hij hoofdelijk met de andere echtgenoot verbonden, met dien verstande evenwel dat daarvoor slechts kan worden uitgewonnen hetgeen hij uit hoofde van verdeling van de gemeenschap heeft verkregen, onverminderd de artikelen 190, eerste lid, en 191, eerste lid, van Boek 3. De rechtsvordering tot voldoening van de in de tweede volzin bedoelde schuld verjaart tegelijkertijd met de rechtsvordering tegen de echtgenoot, in wiens persoon de in die volzin bedoelde gemeenschapsschuld is ontstaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Na ontbinding van de gemeenschap blijft ieder der echtgenoten voor het geheel aansprakelijk")
    thisalinea.textcontent.append("voor de gemeenschapsschulden waarvoor hij voordien aansprakelijk was. Voor andere")
    thisalinea.textcontent.append("gemeenschapsschulden is hij hoofdelijk met de andere echtgenoot verbonden, met dien")
    thisalinea.textcontent.append("verstande evenwel dat daarvoor slechts kan worden uitgewonnen hetgeen hij uit hoofde van")
    thisalinea.textcontent.append("verdeling van de gemeenschap heeft verkregen, onverminderd de artikelen 190, eerste lid, en")
    thisalinea.textcontent.append("191, eerste lid, van Boek 3. De rechtsvordering tot voldoening van de in de tweede volzin")
    thisalinea.textcontent.append("bedoelde schuld verjaart tegelijkertijd met de rechtsvordering tegen de echtgenoot, in wiens")
    thisalinea.textcontent.append("persoon de in die volzin bedoelde gemeenschapsschuld is ontstaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 103"
    thisalinea.nativeID = 612
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 210
    thisalinea.summary = "schulden der gemeenschap, waarvoor hij vóór de ontbinding der gemeenschap niet aansprakelijk was. 1. Ieder der echtgenoten heeft het recht van de gemeenschap afstand te doen; alle daarmede strijdige overeenkomsten zijn nietig. 2. Het deel der gemeenschap waarvan afstand wordt gedaan, wast aan bij het deel van de andere echtgenoot. 3. De echtgenoot die afstand heeft gedaan, kan uit de gemeenschap niets terugvorderen dan alleen zijn bed met bijbehorend beddegoed en de kleren die hij voor zijn persoonlijk gebruik nodig heeft. Hij kan de papieren en gedenkstukken, tot zijn familie behorende, tegen de geschatte prijs overnemen. 4. Door deze afstand "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("schulden der gemeenschap, waarvoor hij vóór de ontbinding der gemeenschap niet")
    thisalinea.textcontent.append("aansprakelijk was.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Ieder der echtgenoten heeft het ..."
    thisalinea.nativeID = 613
    thisalinea.parentID = 612
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Ieder der echtgenoten heeft het recht van de gemeenschap afstand te doen; alle daarmede strijdige overeenkomsten zijn nietig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Ieder der echtgenoten heeft het recht van de gemeenschap afstand te doen; alle")
    thisalinea.textcontent.append("daarmede strijdige overeenkomsten zijn nietig.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het deel der gemeenschap waarvan ..."
    thisalinea.nativeID = 614
    thisalinea.parentID = 612
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het deel der gemeenschap waarvan afstand wordt gedaan, wast aan bij het deel van de andere echtgenoot. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het deel der gemeenschap waarvan afstand wordt gedaan, wast aan bij het deel van de")
    thisalinea.textcontent.append("andere echtgenoot.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De echtgenoot die afstand heeft ..."
    thisalinea.nativeID = 615
    thisalinea.parentID = 612
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De echtgenoot die afstand heeft gedaan, kan uit de gemeenschap niets terugvorderen dan alleen zijn bed met bijbehorend beddegoed en de kleren die hij voor zijn persoonlijk gebruik nodig heeft. Hij kan de papieren en gedenkstukken, tot zijn familie behorende, tegen de geschatte prijs overnemen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De echtgenoot die afstand heeft gedaan, kan uit de gemeenschap niets terugvorderen")
    thisalinea.textcontent.append("dan alleen zijn bed met bijbehorend beddegoed en de kleren die hij voor zijn persoonlijk")
    thisalinea.textcontent.append("gebruik nodig heeft. Hij kan de papieren en gedenkstukken, tot zijn familie behorende,")
    thisalinea.textcontent.append("tegen de geschatte prijs overnemen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Door deze afstand wordt hij ..."
    thisalinea.nativeID = 616
    thisalinea.parentID = 612
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Door deze afstand wordt hij ontheven van de aansprakelijkheid en de draagplicht voor "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Door deze afstand wordt hij ontheven van de aansprakelijkheid en de draagplicht voor")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Hij blijft aansprakelijk voor de ..."
    thisalinea.nativeID = 617
    thisalinea.parentID = 612
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Hij blijft aansprakelijk voor de schulden der gemeenschap, waarvoor hij vóór de ontbinding der gemeenschap aansprakelijk was. Indien hij een schuld, waarvoor beide echtgenoten vóór de ontbinding der gemeenschap voor het geheel aansprakelijk waren, voor meer dan de helft heeft voldaan, heeft hij voor het meerdere verhaal tegen de andere echtgenoot. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Hij blijft aansprakelijk voor de schulden der gemeenschap, waarvoor hij vóór de")
    thisalinea.textcontent.append("ontbinding der gemeenschap aansprakelijk was. Indien hij een schuld, waarvoor beide")
    thisalinea.textcontent.append("echtgenoten vóór de ontbinding der gemeenschap voor het geheel aansprakelijk waren,")
    thisalinea.textcontent.append("voor meer dan de helft heeft voldaan, heeft hij voor het meerdere verhaal tegen de andere")
    thisalinea.textcontent.append("echtgenoot.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Indien de andere echtgenoot een ..."
    thisalinea.nativeID = 618
    thisalinea.parentID = 612
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Indien de andere echtgenoot een schuld der gemeenschap, waarvoor hij vóór de ontbinding der gemeenschap niet aansprakelijk was, geheel of ten dele heeft voldaan, heeft hij deswege verhaal tegen de echtgenoot die de afstand heeft gedaan. Heeft hij een schuld, waarvoor beide echtgenoten vóór de ontbinding der gemeenschap voor het geheel aansprakelijk waren, voor meer dan de helft voldaan, dan heeft hij voor het meerdere verhaal tegen de echtgenoot die de afstand heeft gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Indien de andere echtgenoot een schuld der gemeenschap, waarvoor hij vóór de")
    thisalinea.textcontent.append("ontbinding der gemeenschap niet aansprakelijk was, geheel of ten dele heeft voldaan,")
    thisalinea.textcontent.append("heeft hij deswege verhaal tegen de echtgenoot die de afstand heeft gedaan. Heeft hij een")
    thisalinea.textcontent.append("schuld, waarvoor beide echtgenoten vóór de ontbinding der gemeenschap voor het")
    thisalinea.textcontent.append("geheel aansprakelijk waren, voor meer dan de helft voldaan, dan heeft hij voor het")
    thisalinea.textcontent.append("meerdere verhaal tegen de echtgenoot die de afstand heeft gedaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 104"
    thisalinea.nativeID = 619
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 211
    thisalinea.summary = "1. De echtgenoot die van het bij het vorige artikel omschreven voorrecht wil gebruik maken, is verplicht binnen drie maanden na de ontbinding der gemeenschap een akte van afstand te doen inschrijven in het huwelijksgoederenregister, aangewezen in artikel 116 van dit boek, op verbeurte van dit voorrecht. 2. Indien de gemeenschap door de dood van de andere echtgenoot wordt ontbonden, begint de termijn van drie maanden te lopen op de dag waarop de echtgenoot die van het voorrecht wil gebruik maken, van dat overlijden kennis heeft genomen. Indien de gemeenschap is ontbonden op de wijze als bedoeld in artikel 99, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De echtgenoot die van het ..."
    thisalinea.nativeID = 620
    thisalinea.parentID = 619
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De echtgenoot die van het bij het vorige artikel omschreven voorrecht wil gebruik maken, is verplicht binnen drie maanden na de ontbinding der gemeenschap een akte van afstand te doen inschrijven in het huwelijksgoederenregister, aangewezen in artikel 116 van dit boek, op verbeurte van dit voorrecht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De echtgenoot die van het bij het vorige artikel omschreven voorrecht wil gebruik maken,")
    thisalinea.textcontent.append("is verplicht binnen drie maanden na de ontbinding der gemeenschap een akte van afstand")
    thisalinea.textcontent.append("te doen inschrijven in het huwelijksgoederenregister, aangewezen in artikel 116 van dit")
    thisalinea.textcontent.append("boek, op verbeurte van dit voorrecht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de gemeenschap door de ..."
    thisalinea.nativeID = 621
    thisalinea.parentID = 619
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de gemeenschap door de dood van de andere echtgenoot wordt ontbonden, begint de termijn van drie maanden te lopen op de dag waarop de echtgenoot die van het voorrecht wil gebruik maken, van dat overlijden kennis heeft genomen. Indien de gemeenschap is ontbonden op de wijze als bedoeld in artikel 99, eerste lid, onder c en d, eindigt de termijn drie maanden nadat het verzoek tot opheffing van de gemeenschap of tot scheiding van tafel en bed bij de rechtbank is ingediend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de gemeenschap door de dood van de andere echtgenoot wordt ontbonden, begint")
    thisalinea.textcontent.append("de termijn van drie maanden te lopen op de dag waarop de echtgenoot die van het")
    thisalinea.textcontent.append("voorrecht wil gebruik maken, van dat overlijden kennis heeft genomen. Indien de")
    thisalinea.textcontent.append("gemeenschap is ontbonden op de wijze als bedoeld in artikel 99, eerste lid, onder c en d,")
    thisalinea.textcontent.append("eindigt de termijn drie maanden nadat het verzoek tot opheffing van de gemeenschap of")
    thisalinea.textcontent.append("tot scheiding van tafel en bed bij de rechtbank is ingediend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 105"
    thisalinea.nativeID = 622
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 212
    thisalinea.summary = "1. De erfgenamen van een echtgenoot, door wiens overlijden de gemeenschap is ontbonden, of die binnen de in het vorige artikel gestelde termijn is overleden zonder afstand te hebben gedaan, zijn ieder voor hun aandeel bevoegd op de in het vorige artikel omschreven wijze afstand te doen binnen drie maanden nadat zij met het overlijden bekend zijn geworden. 2. De aanspraak van de echtgenoot tot terugvordering van zijn bed, beddegoed, en kleren uit de gemeenschap kan niet worden overgedragen en gaat ook niet over op zijn erfgenamen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De erfgenamen van een echtgenoot, ..."
    thisalinea.nativeID = 623
    thisalinea.parentID = 622
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De erfgenamen van een echtgenoot, door wiens overlijden de gemeenschap is ontbonden, of die binnen de in het vorige artikel gestelde termijn is overleden zonder afstand te hebben gedaan, zijn ieder voor hun aandeel bevoegd op de in het vorige artikel omschreven wijze afstand te doen binnen drie maanden nadat zij met het overlijden bekend zijn geworden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De erfgenamen van een echtgenoot, door wiens overlijden de gemeenschap is")
    thisalinea.textcontent.append("ontbonden, of die binnen de in het vorige artikel gestelde termijn is overleden zonder")
    thisalinea.textcontent.append("afstand te hebben gedaan, zijn ieder voor hun aandeel bevoegd op de in het vorige artikel")
    thisalinea.textcontent.append("omschreven wijze afstand te doen binnen drie maanden nadat zij met het overlijden")
    thisalinea.textcontent.append("bekend zijn geworden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De aanspraak van de echtgenoot ..."
    thisalinea.nativeID = 624
    thisalinea.parentID = 622
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De aanspraak van de echtgenoot tot terugvordering van zijn bed, beddegoed, en kleren uit de gemeenschap kan niet worden overgedragen en gaat ook niet over op zijn erfgenamen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De aanspraak van de echtgenoot tot terugvordering van zijn bed, beddegoed, en kleren")
    thisalinea.textcontent.append("uit de gemeenschap kan niet worden overgedragen en gaat ook niet over op zijn")
    thisalinea.textcontent.append("erfgenamen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 106"
    thisalinea.nativeID = 625
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 213
    thisalinea.summary = "De rechtbank van de plaats waar de akte van afstand moet worden ingeschreven, kan de voor de inschrijving gestelde termijn voor de afloop daarvan een of meer malen op grond van bijzondere omstandigheden verlengen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank van de plaats waar de akte van afstand moet worden ingeschreven, kan de")
    thisalinea.textcontent.append("voor de inschrijving gestelde termijn voor de afloop daarvan een of meer malen op grond van")
    thisalinea.textcontent.append("bijzondere omstandigheden verlengen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 107"
    thisalinea.nativeID = 626
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 214
    thisalinea.summary = "1. De echtgenoot of zijn erfgenaam, die zich de goederen der gemeenschap heeft aangetrokken of goederen daarvan heeft weggemaakt of verduisterd, kan geen afstand meer doen. Daden van dagelijks bestuur of tot behoud van de goederen brengen dit gevolg niet teweeg. 2. Hij die na gedane afstand goederen der gemeenschap wegmaakt of verduistert, verliest de bevoegdheid artikel 103 lid 4 van dit boek in te roepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De echtgenoot of zijn erfgenaam, ..."
    thisalinea.nativeID = 627
    thisalinea.parentID = 626
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De echtgenoot of zijn erfgenaam, die zich de goederen der gemeenschap heeft aangetrokken of goederen daarvan heeft weggemaakt of verduisterd, kan geen afstand meer doen. Daden van dagelijks bestuur of tot behoud van de goederen brengen dit gevolg niet teweeg. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De echtgenoot of zijn erfgenaam, die zich de goederen der gemeenschap heeft")
    thisalinea.textcontent.append("aangetrokken of goederen daarvan heeft weggemaakt of verduisterd, kan geen afstand")
    thisalinea.textcontent.append("meer doen. Daden van dagelijks bestuur of tot behoud van de goederen brengen dit")
    thisalinea.textcontent.append("gevolg niet teweeg.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij die na gedane afstand ..."
    thisalinea.nativeID = 628
    thisalinea.parentID = 626
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij die na gedane afstand goederen der gemeenschap wegmaakt of verduistert, verliest de bevoegdheid artikel 103 lid 4 van dit boek in te roepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij die na gedane afstand goederen der gemeenschap wegmaakt of verduistert, verliest")
    thisalinea.textcontent.append("de bevoegdheid artikel 103 lid 4 van dit boek in te roepen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 108"
    thisalinea.nativeID = 629
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 215
    thisalinea.summary = "1. Afstand van de gemeenschap, door een echtgenoot of een erfgenaam van een echtgenoot gedaan nadat door de andere echtgenoot of een of meer van diens erfgenamen afstand werd gedaan, heeft niet de gevolgen, omschreven in artikel 103 leden 2 en 3 van dit boek, en verplicht hen die tot de gemeenschap gerechtigd zijn, haar te vereffenen. Afdeling 3 van titel 6 van Boek 4 betreffende de vereffening van nalatenschappen is zoveel mogelijk van overeenkomstige toepassing. 2. Indien hij die tot vereffening van de gemeenschap gehouden is, na tot het afleggen van de rekening en verantwoording te zijn aangemaand, in "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Afstand van de gemeenschap, door ..."
    thisalinea.nativeID = 630
    thisalinea.parentID = 629
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Afstand van de gemeenschap, door een echtgenoot of een erfgenaam van een echtgenoot gedaan nadat door de andere echtgenoot of een of meer van diens erfgenamen afstand werd gedaan, heeft niet de gevolgen, omschreven in artikel 103 leden 2 en 3 van dit boek, en verplicht hen die tot de gemeenschap gerechtigd zijn, haar te vereffenen. Afdeling 3 van titel 6 van Boek 4 betreffende de vereffening van nalatenschappen is zoveel mogelijk van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Afstand van de gemeenschap, door een echtgenoot of een erfgenaam van een")
    thisalinea.textcontent.append("echtgenoot gedaan nadat door de andere echtgenoot of een of meer van diens")
    thisalinea.textcontent.append("erfgenamen afstand werd gedaan, heeft niet de gevolgen, omschreven in artikel 103")
    thisalinea.textcontent.append("leden 2 en 3 van dit boek, en verplicht hen die tot de gemeenschap gerechtigd zijn, haar")
    thisalinea.textcontent.append("te vereffenen. Afdeling 3 van titel 6 van Boek 4 betreffende de vereffening van")
    thisalinea.textcontent.append("nalatenschappen is zoveel mogelijk van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien hij die tot vereffening ..."
    thisalinea.nativeID = 631
    thisalinea.parentID = 629
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien hij die tot vereffening van de gemeenschap gehouden is, na tot het afleggen van de rekening en verantwoording te zijn aangemaand, in gebreke blijft aan deze verplichting te voldoen, verliest hij de bevoegdheid artikel 103 lid 4 van dit boek in te roepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien hij die tot vereffening van de gemeenschap gehouden is, na tot het afleggen van de")
    thisalinea.textcontent.append("rekening en verantwoording te zijn aangemaand, in gebreke blijft aan deze verplichting te")
    thisalinea.textcontent.append("voldoen, verliest hij de bevoegdheid artikel 103 lid 4 van dit boek in te roepen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 4. Opheffing van de gemeenschap bij beschikking"
    thisalinea.nativeID = 632
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 216
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 109"
    thisalinea.nativeID = 633
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 217
    thisalinea.summary = "Een echtgenoot kan opheffing van de gemeenschap verzoeken, wanneer de andere echtgenoot op lichtvaardige wijze schulden maakt, de goederen der gemeenschap verspilt, handelingen verricht, die kennelijk indruisen tegen het bestuur van de andere echtgenoot over goederen der gemeenschap, of weigert de nodige inlichtingen te geven omtrent de stand van de goederen der gemeenschap en van de daarop verhaalbare schulden en het over die goederen gevoerde bestuur. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een echtgenoot kan opheffing van de gemeenschap verzoeken, wanneer de andere")
    thisalinea.textcontent.append("echtgenoot op lichtvaardige wijze schulden maakt, de goederen der gemeenschap verspilt,")
    thisalinea.textcontent.append("handelingen verricht, die kennelijk indruisen tegen het bestuur van de andere echtgenoot")
    thisalinea.textcontent.append("over goederen der gemeenschap, of weigert de nodige inlichtingen te geven omtrent de stand")
    thisalinea.textcontent.append("van de goederen der gemeenschap en van de daarop verhaalbare schulden en het over die")
    thisalinea.textcontent.append("goederen gevoerde bestuur.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 110"
    thisalinea.nativeID = 634
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 218
    thisalinea.summary = "De echtgenoot die de opheffing van de gemeenschap verzoekt, kan tot behoud van zijn recht de maatregelen nemen, die in het Wetboek van Burgerlijke Rechtsvordering nader zijn aangegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De echtgenoot die de opheffing van de gemeenschap verzoekt, kan tot behoud van zijn recht")
    thisalinea.textcontent.append("de maatregelen nemen, die in het Wetboek van Burgerlijke Rechtsvordering nader zijn")
    thisalinea.textcontent.append("aangegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 111"
    thisalinea.nativeID = 635
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 219
    thisalinea.summary = "1. Indien de echtgenoot tegen wie het verzoek is toegewezen, de gemeenschap heeft benadeeld doordat hij na de aanvang van het geding of binnen zes maanden daarvóór lichtvaardig schulden heeft gemaakt, goederen der gemeenschap heeft verspild, of een rechtshandeling als bedoeld in artikel 88 van dit boek zonder de vereiste toestemming of beslissing van de rechtbank heeft verricht, is hij gehouden de aangerichte schade aan de gemeenschap te vergoeden. 2. Een op het vorige lid gegronde vordering kan niet later worden ingesteld dan drie jaren nadat het verzoek tot opheffing van de gemeenschap bij de rechtbank is ingediend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de echtgenoot tegen wie ..."
    thisalinea.nativeID = 636
    thisalinea.parentID = 635
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de echtgenoot tegen wie het verzoek is toegewezen, de gemeenschap heeft benadeeld doordat hij na de aanvang van het geding of binnen zes maanden daarvóór lichtvaardig schulden heeft gemaakt, goederen der gemeenschap heeft verspild, of een rechtshandeling als bedoeld in artikel 88 van dit boek zonder de vereiste toestemming of beslissing van de rechtbank heeft verricht, is hij gehouden de aangerichte schade aan de gemeenschap te vergoeden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de echtgenoot tegen wie het verzoek is toegewezen, de gemeenschap heeft")
    thisalinea.textcontent.append("benadeeld doordat hij na de aanvang van het geding of binnen zes maanden daarvóór")
    thisalinea.textcontent.append("lichtvaardig schulden heeft gemaakt, goederen der gemeenschap heeft verspild, of een")
    thisalinea.textcontent.append("rechtshandeling als bedoeld in artikel 88 van dit boek zonder de vereiste toestemming of")
    thisalinea.textcontent.append("beslissing van de rechtbank heeft verricht, is hij gehouden de aangerichte schade aan de")
    thisalinea.textcontent.append("gemeenschap te vergoeden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Een op het vorige lid ..."
    thisalinea.nativeID = 637
    thisalinea.parentID = 635
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Een op het vorige lid gegronde vordering kan niet later worden ingesteld dan drie jaren nadat het verzoek tot opheffing van de gemeenschap bij de rechtbank is ingediend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Een op het vorige lid gegronde vordering kan niet later worden ingesteld dan drie jaren")
    thisalinea.textcontent.append("nadat het verzoek tot opheffing van de gemeenschap bij de rechtbank is ingediend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 112"
    thisalinea.nativeID = 638
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 220
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 113"
    thisalinea.nativeID = 639
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 221
    thisalinea.summary = "Is de gemeenschap door opheffing ontbonden, dan kunnen de echtgenoten daarna, echter alleen bij huwelijkse voorwaarden, wederom een gemeenschap overeenkomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Is de gemeenschap door opheffing ontbonden, dan kunnen de echtgenoten daarna, echter")
    thisalinea.textcontent.append("alleen bij huwelijkse voorwaarden, wederom een gemeenschap overeenkomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 8. Huwelijkse voorwaarden Afdeling 1. Huwelijkse voorwaarden in het algemeen"
    thisalinea.nativeID = 640
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 222
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 114"
    thisalinea.nativeID = 641
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 223
    thisalinea.summary = "Huwelijkse voorwaarden kunnen zowel door aanstaande echtgenoten vóór het sluiten van het huwelijk als door echtgenoten tijdens het huwelijk worden gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Huwelijkse voorwaarden kunnen zowel door aanstaande echtgenoten vóór het sluiten van het")
    thisalinea.textcontent.append("huwelijk als door echtgenoten tijdens het huwelijk worden gemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 115"
    thisalinea.nativeID = 642
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 224
    thisalinea.summary = "1. Huwelijkse voorwaarden moeten op straffe van nietigheid bij notariële akte worden aangegaan. 2. Een volmacht tot het aangaan van huwelijkse voorwaarden moet schriftelijk worden verleend en moet de in de huwelijkse voorwaarden op te nemen bepalingen bevatten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Huwelijkse voorwaarden moeten op straffe ..."
    thisalinea.nativeID = 643
    thisalinea.parentID = 642
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Huwelijkse voorwaarden moeten op straffe van nietigheid bij notariële akte worden aangegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Huwelijkse voorwaarden moeten op straffe van nietigheid bij notariële akte worden")
    thisalinea.textcontent.append("aangegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Een volmacht tot het aangaan ..."
    thisalinea.nativeID = 644
    thisalinea.parentID = 642
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Een volmacht tot het aangaan van huwelijkse voorwaarden moet schriftelijk worden verleend en moet de in de huwelijkse voorwaarden op te nemen bepalingen bevatten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Een volmacht tot het aangaan van huwelijkse voorwaarden moet schriftelijk worden")
    thisalinea.textcontent.append("verleend en moet de in de huwelijkse voorwaarden op te nemen bepalingen bevatten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 116"
    thisalinea.nativeID = 645
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 225
    thisalinea.summary = "1. Bepalingen in huwelijkse voorwaarden kunnen aan derden die daarvan onkundig waren, slechts worden tegengeworpen, indien die bepalingen ingeschreven waren in het openbaar huwelijksgoederenregister, gehouden ter griffie der rechtbank binnen welker rechtsgebied het huwelijk is voltrokken, of, indien het huwelijk buiten Nederland is aangegaan, ter griffie van de rechtbank Den Haag. 2. De wijze van inrichting en raadpleging van het register wordt nader bij algemene maatregel van bestuur geregeld. 3. In afwijking van het eerste lid kan bij algemene maatregel van bestuur worden bepaald dat het register elders dan ter griffie der rechtbank wordt gehouden. Bij algemene maatregel van bestuur "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Bepalingen in huwelijkse voorwaarden kunnen ..."
    thisalinea.nativeID = 646
    thisalinea.parentID = 645
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Bepalingen in huwelijkse voorwaarden kunnen aan derden die daarvan onkundig waren, slechts worden tegengeworpen, indien die bepalingen ingeschreven waren in het openbaar huwelijksgoederenregister, gehouden ter griffie der rechtbank binnen welker rechtsgebied het huwelijk is voltrokken, of, indien het huwelijk buiten Nederland is aangegaan, ter griffie van de rechtbank Den Haag. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Bepalingen in huwelijkse voorwaarden kunnen aan derden die daarvan onkundig waren,")
    thisalinea.textcontent.append("slechts worden tegengeworpen, indien die bepalingen ingeschreven waren in het")
    thisalinea.textcontent.append("openbaar huwelijksgoederenregister, gehouden ter griffie der rechtbank binnen welker")
    thisalinea.textcontent.append("rechtsgebied het huwelijk is voltrokken, of, indien het huwelijk buiten Nederland is")
    thisalinea.textcontent.append("aangegaan, ter griffie van de rechtbank Den Haag.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De wijze van inrichting en ..."
    thisalinea.nativeID = 647
    thisalinea.parentID = 645
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De wijze van inrichting en raadpleging van het register wordt nader bij algemene maatregel van bestuur geregeld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De wijze van inrichting en raadpleging van het register wordt nader bij algemene")
    thisalinea.textcontent.append("maatregel van bestuur geregeld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In afwijking van het eerste ..."
    thisalinea.nativeID = 648
    thisalinea.parentID = 645
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In afwijking van het eerste lid kan bij algemene maatregel van bestuur worden bepaald dat het register elders dan ter griffie der rechtbank wordt gehouden. Bij algemene maatregel van bestuur kan eveneens worden bepaald dat de verstrekking van gegevens ter inschrijving in het register uitsluitend op een in die maatregel aan te geven wijze plaats vindt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In afwijking van het eerste lid kan bij algemene maatregel van bestuur worden bepaald")
    thisalinea.textcontent.append("dat het register elders dan ter griffie der rechtbank wordt gehouden. Bij algemene")
    thisalinea.textcontent.append("maatregel van bestuur kan eveneens worden bepaald dat de verstrekking van gegevens")
    thisalinea.textcontent.append("ter inschrijving in het register uitsluitend op een in die maatregel aan te geven wijze plaats")
    thisalinea.textcontent.append("vindt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 117"
    thisalinea.nativeID = 649
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 226
    thisalinea.summary = "1. Huwelijkse voorwaarden vóór het huwelijk gemaakt of gewijzigd, zijn slechts geldig, indien zij wier toestemming tot het huwelijk noodzakelijk is, bij de akte hun toestemming tot de huwelijkse voorwaarden of de wijziging hebben gegeven; is de toestemming van de rechter nodig, dan kan worden volstaan met vasthechting van zijn beschikking aan de minuut van de akte. Op het verzoek tot toestemming van de rechter is artikel 39 lid 1 van dit boek van overeenkomstige toepassing. 2. Vóór het huwelijk gemaakte huwelijkse voorwaarden beginnen te werken van het tijdstip der voltrekking van het huwelijk; geen ander tijdstip kan daarvoor worden "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Huwelijkse voorwaarden vóór het huwelijk ..."
    thisalinea.nativeID = 650
    thisalinea.parentID = 649
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Huwelijkse voorwaarden vóór het huwelijk gemaakt of gewijzigd, zijn slechts geldig, indien zij wier toestemming tot het huwelijk noodzakelijk is, bij de akte hun toestemming tot de huwelijkse voorwaarden of de wijziging hebben gegeven; is de toestemming van de rechter nodig, dan kan worden volstaan met vasthechting van zijn beschikking aan de minuut van de akte. Op het verzoek tot toestemming van de rechter is artikel 39 lid 1 van dit boek van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Huwelijkse voorwaarden vóór het huwelijk gemaakt of gewijzigd, zijn slechts geldig, indien")
    thisalinea.textcontent.append("zij wier toestemming tot het huwelijk noodzakelijk is, bij de akte hun toestemming tot de")
    thisalinea.textcontent.append("huwelijkse voorwaarden of de wijziging hebben gegeven; is de toestemming van de")
    thisalinea.textcontent.append("rechter nodig, dan kan worden volstaan met vasthechting van zijn beschikking aan de")
    thisalinea.textcontent.append("minuut van de akte. Op het verzoek tot toestemming van de rechter is artikel 39 lid 1 van")
    thisalinea.textcontent.append("dit boek van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Vóór het huwelijk gemaakte huwelijkse ..."
    thisalinea.nativeID = 651
    thisalinea.parentID = 649
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Vóór het huwelijk gemaakte huwelijkse voorwaarden beginnen te werken van het tijdstip der voltrekking van het huwelijk; geen ander tijdstip kan daarvoor worden aangewezen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Vóór het huwelijk gemaakte huwelijkse voorwaarden beginnen te werken van het tijdstip")
    thisalinea.textcontent.append("der voltrekking van het huwelijk; geen ander tijdstip kan daarvoor worden aangewezen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 118"
    thisalinea.nativeID = 652
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 227
    thisalinea.summary = "De echtgenoot die onder curatele staat, kan na de huwelijksvoltrekking slechts met toestemming van zijn curator huwelijkse voorwaarden maken of wijzigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De echtgenoot die onder curatele staat, kan na de huwelijksvoltrekking slechts met")
    thisalinea.textcontent.append("toestemming van zijn curator huwelijkse voorwaarden maken of wijzigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 119"
    thisalinea.nativeID = 653
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 228
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 120"
    thisalinea.nativeID = 654
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 229
    thisalinea.summary = "1. Tijdens het huwelijk gemaakte of gewijzigde huwelijkse voorwaarden beginnen te werken op de dag, volgende op die waarop de akte is verleden, tenzij in de akte een later tijdstip is aangewezen. 2. Bepalingen in deze huwelijkse voorwaarden kunnen aan derden die daarvan onkundig waren, slechts worden tegengeworpen, indien zij ten minste veertien dagen in het huwelijksgoederenregister ingeschreven waren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Tijdens het huwelijk gemaakte of ..."
    thisalinea.nativeID = 655
    thisalinea.parentID = 654
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Tijdens het huwelijk gemaakte of gewijzigde huwelijkse voorwaarden beginnen te werken op de dag, volgende op die waarop de akte is verleden, tenzij in de akte een later tijdstip is aangewezen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Tijdens het huwelijk gemaakte of gewijzigde huwelijkse voorwaarden beginnen te werken")
    thisalinea.textcontent.append("op de dag, volgende op die waarop de akte is verleden, tenzij in de akte een later tijdstip")
    thisalinea.textcontent.append("is aangewezen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bepalingen in deze huwelijkse voorwaarden ..."
    thisalinea.nativeID = 656
    thisalinea.parentID = 654
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bepalingen in deze huwelijkse voorwaarden kunnen aan derden die daarvan onkundig waren, slechts worden tegengeworpen, indien zij ten minste veertien dagen in het huwelijksgoederenregister ingeschreven waren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bepalingen in deze huwelijkse voorwaarden kunnen aan derden die daarvan onkundig")
    thisalinea.textcontent.append("waren, slechts worden tegengeworpen, indien zij ten minste veertien dagen in het")
    thisalinea.textcontent.append("huwelijksgoederenregister ingeschreven waren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 121"
    thisalinea.nativeID = 657
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 230
    thisalinea.summary = "1. Partijen kunnen bij huwelijkse voorwaarden afwijken van de regels der wettelijke gemeenschap, mits die voorwaarden niet met dwingende wetsbepalingen, de goede zeden, of de openbare orde strijden. 2. Zij kunnen niet bepalen dat een hunner tot een groter aandeel in de schulden zal zijn gehouden, dan zijn aandeel in de goederen der gemeenschap beloopt. 3. Zij kunnen niet afwijken van de rechten die uit het ouderlijk gezag voortspruiten, noch van de rechten die de wet aan een langstlevende echtgenoot toekent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Partijen kunnen bij huwelijkse voorwaarden ..."
    thisalinea.nativeID = 658
    thisalinea.parentID = 657
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Partijen kunnen bij huwelijkse voorwaarden afwijken van de regels der wettelijke gemeenschap, mits die voorwaarden niet met dwingende wetsbepalingen, de goede zeden, of de openbare orde strijden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Partijen kunnen bij huwelijkse voorwaarden afwijken van de regels der wettelijke")
    thisalinea.textcontent.append("gemeenschap, mits die voorwaarden niet met dwingende wetsbepalingen, de goede")
    thisalinea.textcontent.append("zeden, of de openbare orde strijden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zij kunnen niet bepalen dat ..."
    thisalinea.nativeID = 659
    thisalinea.parentID = 657
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zij kunnen niet bepalen dat een hunner tot een groter aandeel in de schulden zal zijn gehouden, dan zijn aandeel in de goederen der gemeenschap beloopt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zij kunnen niet bepalen dat een hunner tot een groter aandeel in de schulden zal zijn")
    thisalinea.textcontent.append("gehouden, dan zijn aandeel in de goederen der gemeenschap beloopt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Zij kunnen niet afwijken van ..."
    thisalinea.nativeID = 660
    thisalinea.parentID = 657
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Zij kunnen niet afwijken van de rechten die uit het ouderlijk gezag voortspruiten, noch van de rechten die de wet aan een langstlevende echtgenoot toekent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Zij kunnen niet afwijken van de rechten die uit het ouderlijk gezag voortspruiten, noch van")
    thisalinea.textcontent.append("de rechten die de wet aan een langstlevende echtgenoot toekent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 122"
    thisalinea.nativeID = 661
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 231
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 123"
    thisalinea.nativeID = 662
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 232
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 124"
    thisalinea.nativeID = 663
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 233
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 125"
    thisalinea.nativeID = 664
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 234
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 126"
    thisalinea.nativeID = 665
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 235
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 127"
    thisalinea.nativeID = 666
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 236
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 128"
    thisalinea.nativeID = 667
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 237
    thisalinea.summary = "[Vervallen per 01-01-2012] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2012]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 129"
    thisalinea.nativeID = 668
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 238
    thisalinea.summary = "[Vervallen per 01-09-2002] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-09-2002]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 130"
    thisalinea.nativeID = 669
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 239
    thisalinea.summary = "[Vervallen per 01-01-2018] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2018]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 131"
    thisalinea.nativeID = 670
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 240
    thisalinea.summary = "1. Bestaat tussen niet in gemeenschap van goederen gehuwde echtgenoten een geschil aan wie van hen beiden een recht aan toonder of een zaak die geen registergoed is, toebehoort en kan geen van beiden zijn recht op dit goed bewijzen, dan wordt het goed geacht aan ieder der echtgenoten voor de helft toe te behoren. 2. Het vermoeden werkt niet ten nadele van de schuldeisers der echtgenoten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Bestaat tussen niet in gemeenschap ..."
    thisalinea.nativeID = 671
    thisalinea.parentID = 670
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Bestaat tussen niet in gemeenschap van goederen gehuwde echtgenoten een geschil aan wie van hen beiden een recht aan toonder of een zaak die geen registergoed is, toebehoort en kan geen van beiden zijn recht op dit goed bewijzen, dan wordt het goed geacht aan ieder der echtgenoten voor de helft toe te behoren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Bestaat tussen niet in gemeenschap van goederen gehuwde echtgenoten een geschil aan")
    thisalinea.textcontent.append("wie van hen beiden een recht aan toonder of een zaak die geen registergoed is,")
    thisalinea.textcontent.append("toebehoort en kan geen van beiden zijn recht op dit goed bewijzen, dan wordt het goed")
    thisalinea.textcontent.append("geacht aan ieder der echtgenoten voor de helft toe te behoren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het vermoeden werkt niet ten ..."
    thisalinea.nativeID = 672
    thisalinea.parentID = 670
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het vermoeden werkt niet ten nadele van de schuldeisers der echtgenoten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het vermoeden werkt niet ten nadele van de schuldeisers der echtgenoten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Verrekenbedingen Paragraaf 1. Algemene regels voor verrekenbedingen"
    thisalinea.nativeID = 673
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 241
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 132"
    thisalinea.nativeID = 674
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 242
    thisalinea.summary = "1. Deze afdeling is van toepassing op huwelijkse voorwaarden die een of meer verplichtingen inhouden tot verrekening van inkomsten of van vermogen. 2. Tenzij anders is bepaald, kan van deze afdeling bij huwelijkse voorwaarden uitdrukkelijk of door de aard der bedingen worden afgeweken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Deze afdeling is van toepassing ..."
    thisalinea.nativeID = 675
    thisalinea.parentID = 674
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Deze afdeling is van toepassing op huwelijkse voorwaarden die een of meer verplichtingen inhouden tot verrekening van inkomsten of van vermogen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Deze afdeling is van toepassing op huwelijkse voorwaarden die een of meer")
    thisalinea.textcontent.append("verplichtingen inhouden tot verrekening van inkomsten of van vermogen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Tenzij anders is bepaald, kan ..."
    thisalinea.nativeID = 676
    thisalinea.parentID = 674
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Tenzij anders is bepaald, kan van deze afdeling bij huwelijkse voorwaarden uitdrukkelijk of door de aard der bedingen worden afgeweken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Tenzij anders is bepaald, kan van deze afdeling bij huwelijkse voorwaarden uitdrukkelijk of")
    thisalinea.textcontent.append("door de aard der bedingen worden afgeweken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 133"
    thisalinea.nativeID = 677
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 243
    thisalinea.summary = "1. De verplichting tot verrekening van inkomsten of van vermogen is wederkerig. 2. De verplichting tot verrekening heeft uitsluitend betrekking op inkomsten die of op vermogen dat de echtgenoten tijdens het bestaan van deze verplichting hebben verkregen. De verplichting tot verrekening heeft geen betrekking op vermogen dat krachtens erfopvolging bij versterf, making, lastbevoordeling of gift wordt verkregen en ook niet op de vruchten daaruit of de voor dat vermogen of voor die vruchten in de plaats getreden goederen. Evenmin heeft de verplichting tot verrekening betrekking op vermogen dat bestaat uit rechten op het vestigen van vruchtgebruik als bedoeld in de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De verplichting tot verrekening van ..."
    thisalinea.nativeID = 678
    thisalinea.parentID = 677
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De verplichting tot verrekening van inkomsten of van vermogen is wederkerig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De verplichting tot verrekening van inkomsten of van vermogen is wederkerig.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De verplichting tot verrekening heeft ..."
    thisalinea.nativeID = 679
    thisalinea.parentID = 677
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De verplichting tot verrekening heeft uitsluitend betrekking op inkomsten die of op vermogen dat de echtgenoten tijdens het bestaan van deze verplichting hebben verkregen. De verplichting tot verrekening heeft geen betrekking op vermogen dat krachtens erfopvolging bij versterf, making, lastbevoordeling of gift wordt verkregen en ook niet op de vruchten daaruit of de voor dat vermogen of voor die vruchten in de plaats getreden goederen. Evenmin heeft de verplichting tot verrekening betrekking op vermogen dat bestaat uit rechten op het vestigen van vruchtgebruik als bedoeld in de artikelen 29 en 30 van Boek 4, vruchtgebruik dat op grond van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De verplichting tot verrekening heeft uitsluitend betrekking op inkomsten die of op")
    thisalinea.textcontent.append("vermogen dat de echtgenoten tijdens het bestaan van deze verplichting hebben")
    thisalinea.textcontent.append("verkregen. De verplichting tot verrekening heeft geen betrekking op vermogen dat")
    thisalinea.textcontent.append("krachtens erfopvolging bij versterf, making, lastbevoordeling of gift wordt verkregen en")
    thisalinea.textcontent.append("ook niet op de vruchten daaruit of de voor dat vermogen of voor die vruchten in de plaats")
    thisalinea.textcontent.append("getreden goederen. Evenmin heeft de verplichting tot verrekening betrekking op")
    thisalinea.textcontent.append("vermogen dat bestaat uit rechten op het vestigen van vruchtgebruik als bedoeld in de")
    thisalinea.textcontent.append("artikelen 29 en 30 van Boek 4, vruchtgebruik dat op grond van die bepalingen is")
    thisalinea.textcontent.append("gevestigd, alsmede hetgeen wordt verkregen ingevolge de artikelen 34, 35, 36, 38 en")
    thisalinea.textcontent.append("126, tweede lid, onder a en c, van Boek 4, en afdeling 3 van titel 4 van Boek 4.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 134"
    thisalinea.nativeID = 680
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 244
    thisalinea.summary = "Bij uiterste wilsbeschikking of bij de gift kan worden bepaald dat geen verrekening van krachtens erfopvolging bij versterf, making, lastbevoordeling of gift verkregen vermogen en van de vruchten daarvan plaatsvindt, indien verrekening daarvan ingevolge huwelijkse voorwaarden zou behoren plaats te vinden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij uiterste wilsbeschikking of bij de gift kan worden bepaald dat geen verrekening van")
    thisalinea.textcontent.append("krachtens erfopvolging bij versterf, making, lastbevoordeling of gift verkregen vermogen en")
    thisalinea.textcontent.append("van de vruchten daarvan plaatsvindt, indien verrekening daarvan ingevolge huwelijkse")
    thisalinea.textcontent.append("voorwaarden zou behoren plaats te vinden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 135"
    thisalinea.nativeID = 681
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 245
    thisalinea.summary = "1. De verrekening van inkomsten of van vermogen geschiedt bij helfte. 2. Op de verrekening zijn de artikelen 181, 183 en 195 tot en met 200 van Boek 3 van dit wetboek van overeenkomstige toepassing, met dien verstande dat voor de beoordeling van de vraag of benadeling als bedoeld in artikel 196 van Boek 3 van dit wetboek heeft plaatsgevonden, de in artikel 142 genoemde tijdstippen bepalend zijn. De artikelen 677 tot en met 680 van het Wetboek van Burgerlijke Rechtsvordering zijn van overeenkomstige toepassing. 3. Een echtgenoot die opzettelijk een tot het te verrekenen vermogen behorend goed verzwijgt, zoek "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De verrekening van inkomsten of ..."
    thisalinea.nativeID = 682
    thisalinea.parentID = 681
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De verrekening van inkomsten of van vermogen geschiedt bij helfte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De verrekening van inkomsten of van vermogen geschiedt bij helfte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Op de verrekening zijn de ..."
    thisalinea.nativeID = 683
    thisalinea.parentID = 681
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Op de verrekening zijn de artikelen 181, 183 en 195 tot en met 200 van Boek 3 van dit wetboek van overeenkomstige toepassing, met dien verstande dat voor de beoordeling van de vraag of benadeling als bedoeld in artikel 196 van Boek 3 van dit wetboek heeft plaatsgevonden, de in artikel 142 genoemde tijdstippen bepalend zijn. De artikelen 677 tot en met 680 van het Wetboek van Burgerlijke Rechtsvordering zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Op de verrekening zijn de artikelen 181, 183 en 195 tot en met 200 van Boek 3 van dit")
    thisalinea.textcontent.append("wetboek van overeenkomstige toepassing, met dien verstande dat voor de beoordeling")
    thisalinea.textcontent.append("van de vraag of benadeling als bedoeld in artikel 196 van Boek 3 van dit wetboek heeft")
    thisalinea.textcontent.append("plaatsgevonden, de in artikel 142 genoemde tijdstippen bepalend zijn. De artikelen 677 tot")
    thisalinea.textcontent.append("en met 680 van het Wetboek van Burgerlijke Rechtsvordering zijn van overeenkomstige")
    thisalinea.textcontent.append("toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een echtgenoot die opzettelijk een ..."
    thisalinea.nativeID = 684
    thisalinea.parentID = 681
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een echtgenoot die opzettelijk een tot het te verrekenen vermogen behorend goed verzwijgt, zoek maakt of verborgen houdt waardoor de waarde daarvan niet in de verrekening is betrokken, dient de waarde daarvan niet te verrekenen, maar geheel aan de andere echtgenoot te vergoeden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een echtgenoot die opzettelijk een tot het te verrekenen vermogen behorend goed")
    thisalinea.textcontent.append("verzwijgt, zoek maakt of verborgen houdt waardoor de waarde daarvan niet in de")
    thisalinea.textcontent.append("verrekening is betrokken, dient de waarde daarvan niet te verrekenen, maar geheel aan")
    thisalinea.textcontent.append("de andere echtgenoot te vergoeden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 136"
    thisalinea.nativeID = 685
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 246
    thisalinea.summary = "1. Indien een goed onder aanwending van te verrekenen vermogen is verkregen, wordt het verkregen goed tot het te verrekenen vermogen gerekend voor het aandeel dat overeenkomt met het bij de verkrijging uit het te verrekenen vermogen aangewende gedeelte van de tegenprestatie gedeeld door de totale tegenprestatie. Indien een echtgenoot in verband met de verwerving van een goed een schuld is aangegaan, wordt het goed op de voet van de eerste volzin tot het te verrekenen vermogen gerekend voor zover de schuld daartoe wordt gerekend of daaruit is afgelost of betaald. 2. Bestaat tussen de echtgenoten een geschil omtrent de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een goed onder aanwending ..."
    thisalinea.nativeID = 686
    thisalinea.parentID = 685
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een goed onder aanwending van te verrekenen vermogen is verkregen, wordt het verkregen goed tot het te verrekenen vermogen gerekend voor het aandeel dat overeenkomt met het bij de verkrijging uit het te verrekenen vermogen aangewende gedeelte van de tegenprestatie gedeeld door de totale tegenprestatie. Indien een echtgenoot in verband met de verwerving van een goed een schuld is aangegaan, wordt het goed op de voet van de eerste volzin tot het te verrekenen vermogen gerekend voor zover de schuld daartoe wordt gerekend of daaruit is afgelost of betaald. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een goed onder aanwending van te verrekenen vermogen is verkregen, wordt het")
    thisalinea.textcontent.append("verkregen goed tot het te verrekenen vermogen gerekend voor het aandeel dat")
    thisalinea.textcontent.append("overeenkomt met het bij de verkrijging uit het te verrekenen vermogen aangewende")
    thisalinea.textcontent.append("gedeelte van de tegenprestatie gedeeld door de totale tegenprestatie. Indien een")
    thisalinea.textcontent.append("echtgenoot in verband met de verwerving van een goed een schuld is aangegaan, wordt")
    thisalinea.textcontent.append("het goed op de voet van de eerste volzin tot het te verrekenen vermogen gerekend voor")
    thisalinea.textcontent.append("zover de schuld daartoe wordt gerekend of daaruit is afgelost of betaald.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bestaat tussen de echtgenoten een ..."
    thisalinea.nativeID = 687
    thisalinea.parentID = 685
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bestaat tussen de echtgenoten een geschil omtrent de vraag of een goed tot het te verrekenen vermogen wordt gerekend en kan geen van beiden bewijzen dat het goed tot het niet te verrekenen vermogen wordt gerekend, dan wordt dat goed aangemerkt als te rekenen tot het te verrekenen vermogen. Het vermoeden werkt niet ten nadele van de schuldeisers der echtgenoten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bestaat tussen de echtgenoten een geschil omtrent de vraag of een goed tot het te")
    thisalinea.textcontent.append("verrekenen vermogen wordt gerekend en kan geen van beiden bewijzen dat het goed tot")
    thisalinea.textcontent.append("het niet te verrekenen vermogen wordt gerekend, dan wordt dat goed aangemerkt als te")
    thisalinea.textcontent.append("rekenen tot het te verrekenen vermogen. Het vermoeden werkt niet ten nadele van de")
    thisalinea.textcontent.append("schuldeisers der echtgenoten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 137"
    thisalinea.nativeID = 688
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 247
    thisalinea.summary = "1. Onverminderd het derde lid, geschiedt een verrekening in geld. 2. Indien op grond van een verrekenbeding over en weer opeisbare vorderingen ontstaan, worden beide vorderingen van rechtswege met elkaar verrekend tot aan hun gemeenschappelijk beloop. 3. Een echtgenoot is slechts gehouden een inbetalinggeving van goederen te aanvaarden dan wel kan deze slechts verlangen in plaats van een verrekening in geld, voor zover de verrekening in geld naar maatstaven van redelijkheid en billijkheid onaanvaardbaar zou zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Onverminderd het derde lid, geschiedt ..."
    thisalinea.nativeID = 689
    thisalinea.parentID = 688
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Onverminderd het derde lid, geschiedt een verrekening in geld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Onverminderd het derde lid, geschiedt een verrekening in geld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien op grond van een ..."
    thisalinea.nativeID = 690
    thisalinea.parentID = 688
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien op grond van een verrekenbeding over en weer opeisbare vorderingen ontstaan, worden beide vorderingen van rechtswege met elkaar verrekend tot aan hun gemeenschappelijk beloop. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien op grond van een verrekenbeding over en weer opeisbare vorderingen ontstaan,")
    thisalinea.textcontent.append("worden beide vorderingen van rechtswege met elkaar verrekend tot aan hun")
    thisalinea.textcontent.append("gemeenschappelijk beloop.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een echtgenoot is slechts gehouden ..."
    thisalinea.nativeID = 691
    thisalinea.parentID = 688
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een echtgenoot is slechts gehouden een inbetalinggeving van goederen te aanvaarden dan wel kan deze slechts verlangen in plaats van een verrekening in geld, voor zover de verrekening in geld naar maatstaven van redelijkheid en billijkheid onaanvaardbaar zou zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een echtgenoot is slechts gehouden een inbetalinggeving van goederen te aanvaarden")
    thisalinea.textcontent.append("dan wel kan deze slechts verlangen in plaats van een verrekening in geld, voor zover de")
    thisalinea.textcontent.append("verrekening in geld naar maatstaven van redelijkheid en billijkheid onaanvaardbaar zou")
    thisalinea.textcontent.append("zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 138"
    thisalinea.nativeID = 692
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 248
    thisalinea.summary = "1. De ene echtgenoot is aan de andere geen verantwoording over het bestuur van zijn goederen schuldig. Slecht bestuur over die goederen verplicht niet tot schadevergoeding. 2. De ene echtgenoot kan jaarlijks van de andere echtgenoot een gespecificeerde, schriftelijke en ondertekende opgave verzoeken van de te verrekenen inkomsten en van het te verrekenen vermogen. Van deze bepaling kan niet worden afgeweken. 3. Geschillen tussen de echtgenoten betreffende de opgave worden op verzoek van een van hen door de rechtbank beslist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ene echtgenoot is aan ..."
    thisalinea.nativeID = 693
    thisalinea.parentID = 692
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ene echtgenoot is aan de andere geen verantwoording over het bestuur van zijn goederen schuldig. Slecht bestuur over die goederen verplicht niet tot schadevergoeding. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ene echtgenoot is aan de andere geen verantwoording over het bestuur van zijn")
    thisalinea.textcontent.append("goederen schuldig. Slecht bestuur over die goederen verplicht niet tot schadevergoeding.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De ene echtgenoot kan jaarlijks ..."
    thisalinea.nativeID = 694
    thisalinea.parentID = 692
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De ene echtgenoot kan jaarlijks van de andere echtgenoot een gespecificeerde, schriftelijke en ondertekende opgave verzoeken van de te verrekenen inkomsten en van het te verrekenen vermogen. Van deze bepaling kan niet worden afgeweken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De ene echtgenoot kan jaarlijks van de andere echtgenoot een gespecificeerde,")
    thisalinea.textcontent.append("schriftelijke en ondertekende opgave verzoeken van de te verrekenen inkomsten en van")
    thisalinea.textcontent.append("het te verrekenen vermogen. Van deze bepaling kan niet worden afgeweken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Geschillen tussen de echtgenoten betreffende ..."
    thisalinea.nativeID = 695
    thisalinea.parentID = 692
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Geschillen tussen de echtgenoten betreffende de opgave worden op verzoek van een van hen door de rechtbank beslist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Geschillen tussen de echtgenoten betreffende de opgave worden op verzoek van een van")
    thisalinea.textcontent.append("hen door de rechtbank beslist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 139"
    thisalinea.nativeID = 696
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 249
    thisalinea.summary = "1. Een echtgenoot kan de opheffing van de wederzijdse verplichting tot verrekening verzoeken, wanneer de andere echtgenoot op lichtvaardige wijze schulden maakt, zijn goederen verspilt of weigert de in artikel 138, tweede lid, bedoelde verplichte opgave omtrent zijn te verrekenen inkomsten of vermogen te verstrekken. 2. Indien de echtgenoot tegen wie het verzoek zich richt, het te verrekenen vermogen benadeelt doordat hij na de aanvang van het geding of binnen zes maanden daarvoor lichtvaardig schulden heeft gemaakt, te verrekenen goederen heeft verspild, of een rechtshandeling als bedoeld in artikel 88 zonder de vereiste toestemming of beslissing van de rechtbank heeft "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een echtgenoot kan de opheffing ..."
    thisalinea.nativeID = 697
    thisalinea.parentID = 696
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een echtgenoot kan de opheffing van de wederzijdse verplichting tot verrekening verzoeken, wanneer de andere echtgenoot op lichtvaardige wijze schulden maakt, zijn goederen verspilt of weigert de in artikel 138, tweede lid, bedoelde verplichte opgave omtrent zijn te verrekenen inkomsten of vermogen te verstrekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een echtgenoot kan de opheffing van de wederzijdse verplichting tot verrekening")
    thisalinea.textcontent.append("verzoeken, wanneer de andere echtgenoot op lichtvaardige wijze schulden maakt, zijn")
    thisalinea.textcontent.append("goederen verspilt of weigert de in artikel 138, tweede lid, bedoelde verplichte opgave")
    thisalinea.textcontent.append("omtrent zijn te verrekenen inkomsten of vermogen te verstrekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de echtgenoot tegen wie ..."
    thisalinea.nativeID = 698
    thisalinea.parentID = 696
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de echtgenoot tegen wie het verzoek zich richt, het te verrekenen vermogen benadeelt doordat hij na de aanvang van het geding of binnen zes maanden daarvoor lichtvaardig schulden heeft gemaakt, te verrekenen goederen heeft verspild, of een rechtshandeling als bedoeld in artikel 88 zonder de vereiste toestemming of beslissing van de rechtbank heeft verricht, is hij gehouden de aangerichte schade te vergoeden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de echtgenoot tegen wie het verzoek zich richt, het te verrekenen vermogen")
    thisalinea.textcontent.append("benadeelt doordat hij na de aanvang van het geding of binnen zes maanden daarvoor")
    thisalinea.textcontent.append("lichtvaardig schulden heeft gemaakt, te verrekenen goederen heeft verspild, of een")
    thisalinea.textcontent.append("rechtshandeling als bedoeld in artikel 88 zonder de vereiste toestemming of beslissing")
    thisalinea.textcontent.append("van de rechtbank heeft verricht, is hij gehouden de aangerichte schade te vergoeden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Van het eerste en tweede ..."
    thisalinea.nativeID = 699
    thisalinea.parentID = 696
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Van het eerste en tweede lid kan niet worden afgeweken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Van het eerste en tweede lid kan niet worden afgeweken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 140"
    thisalinea.nativeID = 700
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 250
    thisalinea.summary = "1. Op verzoek van de verrekenplichtige echtgenoot kan de rechter wegens gewichtige redenen bepalen dat een verschuldigde geldsom, al dan niet vermeerderd met een in de beschikking te bepalen rente, in termijnen of eerst na verloop van zekere tijd, hetzij ineens, hetzij in termijnen behoeft te worden voldaan. Hierbij let de rechter op de belangen van beide partijen. De rechter kan de verrekenplichtige echtgenoot verplichten binnen een bepaalde tijd zakelijke of persoonlijke zekerheid te stellen voor de voldoening van de verschuldigde geldsom. 2. Hetgeen in het eerste lid omtrent een echtgenoot is bepaald, geldt op overeenkomstige wijze na zijn overlijden "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op verzoek van de verrekenplichtige ..."
    thisalinea.nativeID = 701
    thisalinea.parentID = 700
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op verzoek van de verrekenplichtige echtgenoot kan de rechter wegens gewichtige redenen bepalen dat een verschuldigde geldsom, al dan niet vermeerderd met een in de beschikking te bepalen rente, in termijnen of eerst na verloop van zekere tijd, hetzij ineens, hetzij in termijnen behoeft te worden voldaan. Hierbij let de rechter op de belangen van beide partijen. De rechter kan de verrekenplichtige echtgenoot verplichten binnen een bepaalde tijd zakelijke of persoonlijke zekerheid te stellen voor de voldoening van de verschuldigde geldsom. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op verzoek van de verrekenplichtige echtgenoot kan de rechter wegens gewichtige")
    thisalinea.textcontent.append("redenen bepalen dat een verschuldigde geldsom, al dan niet vermeerderd met een in de")
    thisalinea.textcontent.append("beschikking te bepalen rente, in termijnen of eerst na verloop van zekere tijd, hetzij")
    thisalinea.textcontent.append("ineens, hetzij in termijnen behoeft te worden voldaan. Hierbij let de rechter op de")
    thisalinea.textcontent.append("belangen van beide partijen. De rechter kan de verrekenplichtige echtgenoot verplichten")
    thisalinea.textcontent.append("binnen een bepaalde tijd zakelijke of persoonlijke zekerheid te stellen voor de voldoening")
    thisalinea.textcontent.append("van de verschuldigde geldsom.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hetgeen in het eerste lid ..."
    thisalinea.nativeID = 702
    thisalinea.parentID = 700
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hetgeen in het eerste lid omtrent een echtgenoot is bepaald, geldt op overeenkomstige wijze na zijn overlijden voor zijn rechtverkrijgenden onder algemene titel. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hetgeen in het eerste lid omtrent een echtgenoot is bepaald, geldt op overeenkomstige")
    thisalinea.textcontent.append("wijze na zijn overlijden voor zijn rechtverkrijgenden onder algemene titel.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Van het eerste en tweede ..."
    thisalinea.nativeID = 703
    thisalinea.parentID = 700
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Van het eerste en tweede lid kan niet worden afgeweken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Van het eerste en tweede lid kan niet worden afgeweken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Paragraaf 2. Periodieke verrekenbedingen"
    thisalinea.nativeID = 704
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 251
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 141"
    thisalinea.nativeID = 705
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 252
    thisalinea.summary = "vruchten daarvan. 1. Indien een verrekenplicht betrekking heeft op een in de huwelijkse voorwaarden omschreven tijdvak van het huwelijk en over dat tijdvak niet is afgerekend, blijft de verplichting tot verrekening over dat tijdvak in stand en strekt deze zich uit over het saldo, ontstaan door belegging en herbelegging van hetgeen niet verrekend is, alsmede over de 2. Indien een verrekenplicht betrekking heeft op een in de huwelijkse voorwaarden omschreven tijdvak van het huwelijk, dan eindigt die verrekenplicht op het tijdstip zoals in artikel 142 bepaald, als dat tijdvak nog loopt. 3. Indien bij het einde van het huwelijk aan "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("vruchten daarvan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een verrekenplicht betrekking heeft ..."
    thisalinea.nativeID = 706
    thisalinea.parentID = 705
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een verrekenplicht betrekking heeft op een in de huwelijkse voorwaarden omschreven tijdvak van het huwelijk en over dat tijdvak niet is afgerekend, blijft de verplichting tot verrekening over dat tijdvak in stand en strekt deze zich uit over het saldo, ontstaan door belegging en herbelegging van hetgeen niet verrekend is, alsmede over de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een verrekenplicht betrekking heeft op een in de huwelijkse voorwaarden")
    thisalinea.textcontent.append("omschreven tijdvak van het huwelijk en over dat tijdvak niet is afgerekend, blijft de")
    thisalinea.textcontent.append("verplichting tot verrekening over dat tijdvak in stand en strekt deze zich uit over het saldo,")
    thisalinea.textcontent.append("ontstaan door belegging en herbelegging van hetgeen niet verrekend is, alsmede over de")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien een verrekenplicht betrekking heeft ..."
    thisalinea.nativeID = 707
    thisalinea.parentID = 705
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien een verrekenplicht betrekking heeft op een in de huwelijkse voorwaarden omschreven tijdvak van het huwelijk, dan eindigt die verrekenplicht op het tijdstip zoals in artikel 142 bepaald, als dat tijdvak nog loopt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien een verrekenplicht betrekking heeft op een in de huwelijkse voorwaarden")
    thisalinea.textcontent.append("omschreven tijdvak van het huwelijk, dan eindigt die verrekenplicht op het tijdstip zoals in")
    thisalinea.textcontent.append("artikel 142 bepaald, als dat tijdvak nog loopt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien bij het einde van ..."
    thisalinea.nativeID = 708
    thisalinea.parentID = 705
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien bij het einde van het huwelijk aan een bij huwelijkse voorwaarden overeengekomen periodieke verrekenplicht als bedoeld in het eerste lid niet is voldaan, wordt het alsdan aanwezige vermogen vermoed te zijn gevormd uit hetgeen verrekend had moeten worden, tenzij uit de eisen van redelijkheid en billijkheid in het licht van de aard en omvang van de verrekenplicht anders voortvloeit. Artikel 143 is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien bij het einde van het huwelijk aan een bij huwelijkse voorwaarden overeengekomen")
    thisalinea.textcontent.append("periodieke verrekenplicht als bedoeld in het eerste lid niet is voldaan, wordt het alsdan")
    thisalinea.textcontent.append("aanwezige vermogen vermoed te zijn gevormd uit hetgeen verrekend had moeten")
    thisalinea.textcontent.append("worden, tenzij uit de eisen van redelijkheid en billijkheid in het licht van de aard en")
    thisalinea.textcontent.append("omvang van de verrekenplicht anders voortvloeit. Artikel 143 is van overeenkomstige")
    thisalinea.textcontent.append("toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Indien een echtgenoot in overwegende ..."
    thisalinea.nativeID = 709
    thisalinea.parentID = 705
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Indien een echtgenoot in overwegende mate bij machte is te bepalen dat de winsten van een niet op zijn eigen naam uitgeoefende onderneming hem rechtstreeks of middellijk ten goede komen, en een verrekenbeding is overeengekomen dat ook ondernemingswinsten omvat, worden de niet uitgekeerde winsten uit zodanige onderneming, voor zover in het maatschappelijk verkeer als redelijk beschouwd, eveneens in aanmerking genomen bij de vaststelling van de verrekenplicht van die echtgenoot, onverminderd het eerste lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Indien een echtgenoot in overwegende mate bij machte is te bepalen dat de winsten van")
    thisalinea.textcontent.append("een niet op zijn eigen naam uitgeoefende onderneming hem rechtstreeks of middellijk ten")
    thisalinea.textcontent.append("goede komen, en een verrekenbeding is overeengekomen dat ook ondernemingswinsten")
    thisalinea.textcontent.append("omvat, worden de niet uitgekeerde winsten uit zodanige onderneming, voor zover in het")
    thisalinea.textcontent.append("maatschappelijk verkeer als redelijk beschouwd, eveneens in aanmerking genomen bij de")
    thisalinea.textcontent.append("vaststelling van de verrekenplicht van die echtgenoot, onverminderd het eerste lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Het vierde lid is van ..."
    thisalinea.nativeID = 710
    thisalinea.parentID = 705
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Het vierde lid is van overeenkomstige toepassing, indien een echtgenoot op eigen naam een onderneming uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Het vierde lid is van overeenkomstige toepassing, indien een echtgenoot op eigen naam")
    thisalinea.textcontent.append("een onderneming uitoefent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De rechtsvordering tot verrekening, bedoeld ..."
    thisalinea.nativeID = 711
    thisalinea.parentID = 705
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De rechtsvordering tot verrekening, bedoeld in het eerste lid, verjaart niet eerder dan drie jaren na de beëindiging van het huwelijk dan wel na de inschrijving van de beschikking tot scheiding van tafel en bed in het register, bedoeld in artikel 116. Deze termijn kan niet worden verkort. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De rechtsvordering tot verrekening, bedoeld in het eerste lid, verjaart niet eerder dan drie")
    thisalinea.textcontent.append("jaren na de beëindiging van het huwelijk dan wel na de inschrijving van de beschikking tot")
    thisalinea.textcontent.append("scheiding van tafel en bed in het register, bedoeld in artikel 116. Deze termijn kan niet")
    thisalinea.textcontent.append("worden verkort.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Paragraaf 3. Finale verrekenbedingen"
    thisalinea.nativeID = 712
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 253
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 142"
    thisalinea.nativeID = 713
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 254
    thisalinea.summary = "1. Als tijdstip waarop de samenstelling en de omvang van het te verrekenen vermogen worden bepaald, geldt: a. in geval van het eindigen van het huwelijk of het geregistreerd partnerschap door overlijden: het tijdstip van overlijden; b. in geval van beëindiging van het huwelijk door echtscheiding: het tijdstip van indiening van het verzoek tot echtscheiding; c. in geval van scheiding van tafel en bed: het tijdstip van indiening van het verzoek tot scheiding van tafel en bed; d. in geval van opheffing van de wederzijdse verplichting tot verrekening als bedoeld in artikel 139: het tijdstip van indiening van het verzoek "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Als tijdstip waarop de samenstelling ..."
    thisalinea.nativeID = 714
    thisalinea.parentID = 713
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Als tijdstip waarop de samenstelling en de omvang van het te verrekenen vermogen worden bepaald, geldt: a. in geval van het eindigen van het huwelijk of het geregistreerd partnerschap door overlijden: het tijdstip van overlijden; b. in geval van beëindiging van het huwelijk door echtscheiding: het tijdstip van indiening van het verzoek tot echtscheiding; c. in geval van scheiding van tafel en bed: het tijdstip van indiening van het verzoek tot scheiding van tafel en bed; d. in geval van opheffing van de wederzijdse verplichting tot verrekening als bedoeld in artikel 139: het tijdstip van indiening van het verzoek "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Als tijdstip waarop de samenstelling en de omvang van het te verrekenen vermogen")
    thisalinea.textcontent.append("worden bepaald, geldt:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. in geval van het eindigen ..."
    thisalinea.nativeID = 715
    thisalinea.parentID = 714
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. in geval van het eindigen van het huwelijk of het geregistreerd partnerschap door overlijden: het tijdstip van overlijden; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. in geval van het eindigen van het huwelijk of het geregistreerd partnerschap door")
    thisalinea.textcontent.append("overlijden: het tijdstip van overlijden;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. in geval van beëindiging van ..."
    thisalinea.nativeID = 716
    thisalinea.parentID = 714
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. in geval van beëindiging van het huwelijk door echtscheiding: het tijdstip van indiening van het verzoek tot echtscheiding; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. in geval van beëindiging van het huwelijk door echtscheiding: het tijdstip van indiening")
    thisalinea.textcontent.append("van het verzoek tot echtscheiding;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. in geval van scheiding van ..."
    thisalinea.nativeID = 717
    thisalinea.parentID = 714
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. in geval van scheiding van tafel en bed: het tijdstip van indiening van het verzoek tot scheiding van tafel en bed; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. in geval van scheiding van tafel en bed: het tijdstip van indiening van het verzoek tot")
    thisalinea.textcontent.append("scheiding van tafel en bed;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. in geval van opheffing van ..."
    thisalinea.nativeID = 718
    thisalinea.parentID = 714
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. in geval van opheffing van de wederzijdse verplichting tot verrekening als bedoeld in artikel 139: het tijdstip van indiening van het verzoek tot opheffing van die verplichting; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. in geval van opheffing van de wederzijdse verplichting tot verrekening als bedoeld in")
    thisalinea.textcontent.append("artikel 139: het tijdstip van indiening van het verzoek tot opheffing van die verplichting;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. in geval van beëindiging van ..."
    thisalinea.nativeID = 719
    thisalinea.parentID = 714
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. in geval van beëindiging van het geregistreerd partnerschap met wederzijds goedvinden: het tijdstip waarop de overeenkomst tot beëindiging wordt gesloten; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. in geval van beëindiging van het geregistreerd partnerschap met wederzijds")
    thisalinea.textcontent.append("goedvinden: het tijdstip waarop de overeenkomst tot beëindiging wordt gesloten;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "f. in geval van ontbinding van ..."
    thisalinea.nativeID = 720
    thisalinea.parentID = 714
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "f. in geval van ontbinding van het geregistreerd partnerschap op verzoek: het tijdstip van indiening van het verzoek; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("f. in geval van ontbinding van het geregistreerd partnerschap op verzoek: het tijdstip van")
    thisalinea.textcontent.append("indiening van het verzoek;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "g. in geval van vermissing en ..."
    thisalinea.nativeID = 721
    thisalinea.parentID = 714
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "g. in geval van vermissing en een daarop gevolgd huwelijk of geregistreerd partnerschap: het tijdstip waarop de beschikking, bedoeld in artikel 417, eerste lid, in kracht van gewijsde is gegaan; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("g. in geval van vermissing en een daarop gevolgd huwelijk of geregistreerd")
    thisalinea.textcontent.append("partnerschap: het tijdstip waarop de beschikking, bedoeld in artikel 417, eerste lid, in")
    thisalinea.textcontent.append("kracht van gewijsde is gegaan;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "h. in geval van opheffing van ..."
    thisalinea.nativeID = 722
    thisalinea.parentID = 714
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "h. in geval van opheffing van de wederzijdse verplichting tot verrekening bij huwelijkse voorwaarden: het tijdstip, bedoeld in artikel 120, eerste lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("h. in geval van opheffing van de wederzijdse verplichting tot verrekening bij huwelijkse")
    thisalinea.textcontent.append("voorwaarden: het tijdstip, bedoeld in artikel 120, eerste lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Van het eerste lid, aanhef ..."
    thisalinea.nativeID = 723
    thisalinea.parentID = 713
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Van het eerste lid, aanhef en onder b tot en met f, kan bij op schrift gestelde overeenkomst worden afgeweken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Van het eerste lid, aanhef en onder b tot en met f, kan bij op schrift gestelde")
    thisalinea.textcontent.append("overeenkomst worden afgeweken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 143"
    thisalinea.nativeID = 724
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 255
    thisalinea.summary = "1. Vanaf de in het eerste lid van artikel 142 vermelde tijdstippen kan ieder der echtgenoten verzoeken dat het te verrekenen vermogen van de andere echtgenoot wordt beschreven. 2. De artikelen 671 tot en met 676 en 679 van het Wetboek van Burgerlijke Rechtsvordering zijn van overeenkomstige toepassing. 3. Hetgeen in de vorige leden omtrent een echtgenoot is bepaald, geldt op overeenkomstige wijze na zijn overlijden voor zijn rechtverkrijgenden onder algemene titel. 4. Van het eerste tot en met het derde lid kan niet worden afgeweken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Vanaf de in het eerste ..."
    thisalinea.nativeID = 725
    thisalinea.parentID = 724
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Vanaf de in het eerste lid van artikel 142 vermelde tijdstippen kan ieder der echtgenoten verzoeken dat het te verrekenen vermogen van de andere echtgenoot wordt beschreven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Vanaf de in het eerste lid van artikel 142 vermelde tijdstippen kan ieder der echtgenoten")
    thisalinea.textcontent.append("verzoeken dat het te verrekenen vermogen van de andere echtgenoot wordt beschreven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De artikelen 671 tot en ..."
    thisalinea.nativeID = 726
    thisalinea.parentID = 724
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De artikelen 671 tot en met 676 en 679 van het Wetboek van Burgerlijke Rechtsvordering zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De artikelen 671 tot en met 676 en 679 van het Wetboek van Burgerlijke Rechtsvordering")
    thisalinea.textcontent.append("zijn van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Hetgeen in de vorige leden ..."
    thisalinea.nativeID = 727
    thisalinea.parentID = 724
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Hetgeen in de vorige leden omtrent een echtgenoot is bepaald, geldt op overeenkomstige wijze na zijn overlijden voor zijn rechtverkrijgenden onder algemene titel. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Hetgeen in de vorige leden omtrent een echtgenoot is bepaald, geldt op overeenkomstige")
    thisalinea.textcontent.append("wijze na zijn overlijden voor zijn rechtverkrijgenden onder algemene titel.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Van het eerste tot en ..."
    thisalinea.nativeID = 728
    thisalinea.parentID = 724
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Van het eerste tot en met het derde lid kan niet worden afgeweken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Van het eerste tot en met het derde lid kan niet worden afgeweken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 144"
    thisalinea.nativeID = 729
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 256
    thisalinea.summary = "[Vervallen per 01-09-2002] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-09-2002]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 145"
    thisalinea.nativeID = 730
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 257
    thisalinea.summary = "[Vervallen per 01-09-2002] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-09-2002]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3. Giften bij huwelijkse voorwaarden"
    thisalinea.nativeID = 731
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 258
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 146"
    thisalinea.nativeID = 732
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 259
    thisalinea.summary = "[Vervallen per 01-01-2003] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2003]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 147"
    thisalinea.nativeID = 733
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 260
    thisalinea.summary = "[Vervallen per 01-01-2003] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2003]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 148"
    thisalinea.nativeID = 734
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 261
    thisalinea.summary = "[Vervallen per 01-01-2003] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2003]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 9. Ontbinding van het huwelijk Afdeling 1. Ontbinding van het huwelijk in het algemeen"
    thisalinea.nativeID = 735
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 262
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 149"
    thisalinea.nativeID = 736
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 263
    thisalinea.summary = "Het huwelijk eindigt: a. door de dood; b. indien degene ten aanzien van wie overeenkomstig de bepalingen van de tweede afdeling van de achttiende titel van dit boek de vermissing is vastgesteld, dan wel overeenkomstig de bepalingen van de derde afdeling van de achttiende titel van dit boek het overlijden is vastgesteld, nog in leven is op de dag waarop de achtergebleven echtgenoot een nieuw huwelijk of geregistreerd partnerschap is aangegaan: door de voltrekking van dit huwelijk of geregistreerd partnerschap; c. door echtscheiding, overeenkomstig de bepalingen van de tweede afdeling van deze titel; d. door ontbinding van het huwelijk na "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Het huwelijk eindigt:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. door de dood; "
    thisalinea.nativeID = 737
    thisalinea.parentID = 736
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door de dood; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door de dood;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. indien degene ten aanzien van ..."
    thisalinea.nativeID = 738
    thisalinea.parentID = 736
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. indien degene ten aanzien van wie overeenkomstig de bepalingen van de tweede afdeling van de achttiende titel van dit boek de vermissing is vastgesteld, dan wel overeenkomstig de bepalingen van de derde afdeling van de achttiende titel van dit boek het overlijden is vastgesteld, nog in leven is op de dag waarop de achtergebleven echtgenoot een nieuw huwelijk of geregistreerd partnerschap is aangegaan: door de voltrekking van dit huwelijk of geregistreerd partnerschap; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. indien degene ten aanzien van wie overeenkomstig de bepalingen van de tweede")
    thisalinea.textcontent.append("afdeling van de achttiende titel van dit boek de vermissing is vastgesteld, dan wel")
    thisalinea.textcontent.append("overeenkomstig de bepalingen van de derde afdeling van de achttiende titel van dit")
    thisalinea.textcontent.append("boek het overlijden is vastgesteld, nog in leven is op de dag waarop de")
    thisalinea.textcontent.append("achtergebleven echtgenoot een nieuw huwelijk of geregistreerd partnerschap is")
    thisalinea.textcontent.append("aangegaan: door de voltrekking van dit huwelijk of geregistreerd partnerschap;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "c. door echtscheiding, overeenkomstig de bepalingen ..."
    thisalinea.nativeID = 739
    thisalinea.parentID = 736
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. door echtscheiding, overeenkomstig de bepalingen van de tweede afdeling van deze titel; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. door echtscheiding, overeenkomstig de bepalingen van de tweede afdeling van deze")
    thisalinea.textcontent.append("titel;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "d. door ontbinding van het huwelijk ..."
    thisalinea.nativeID = 740
    thisalinea.parentID = 736
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. door ontbinding van het huwelijk na scheiding van tafel en bed, overeenkomstig de bepalingen van de tweede afdeling van de tiende titel van dit boek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. door ontbinding van het huwelijk na scheiding van tafel en bed, overeenkomstig de")
    thisalinea.textcontent.append("bepalingen van de tweede afdeling van de tiende titel van dit boek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Echtscheiding"
    thisalinea.nativeID = 741
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 264
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 150"
    thisalinea.nativeID = 742
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 265
    thisalinea.summary = "Echtscheiding tussen echtgenoten die niet van tafel en bed gescheiden zijn, wordt uitgesproken op verzoek van één der echtgenoten of op hun gemeenschappelijk verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Echtscheiding tussen echtgenoten die niet van tafel en bed gescheiden zijn, wordt")
    thisalinea.textcontent.append("uitgesproken op verzoek van één der echtgenoten of op hun gemeenschappelijk verzoek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 151"
    thisalinea.nativeID = 743
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 266
    thisalinea.summary = "Echtscheiding wordt op verzoek van één der echtgenoten uitgesproken, indien het huwelijk duurzaam ontwricht is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Echtscheiding wordt op verzoek van één der echtgenoten uitgesproken, indien het huwelijk")
    thisalinea.textcontent.append("duurzaam ontwricht is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 152"
    thisalinea.nativeID = 744
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 267
    thisalinea.summary = "[Vervallen per 01-01-1993] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-1993]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 153"
    thisalinea.nativeID = 745
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 268
    thisalinea.summary = "1. Indien als gevolg van de verzochte echtscheiding een bestaand vooruitzicht op uitkeringen aan de andere echtgenoot na vooroverlijden van de echtgenoot die het verzoek heeft gedaan zou teloorgaan of in ernstige mate zou verminderen, en de andere echtgenoot deswege tegen dat verzoek verweer voert, kan deze niet worden toegewezen voordat daaromtrent een voorziening is getroffen die, gelet op de omstandigheden van het geval, ten opzichte van beide echtgenoten billijk is te achten. De rechter kan daartoe een termijn stellen. 2. Het eerste lid is niet van toepassing: a. indien redelijkerwijs te verwachten is dat de andere echtgenoot zelf voor "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien als gevolg van de ..."
    thisalinea.nativeID = 746
    thisalinea.parentID = 745
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien als gevolg van de verzochte echtscheiding een bestaand vooruitzicht op uitkeringen aan de andere echtgenoot na vooroverlijden van de echtgenoot die het verzoek heeft gedaan zou teloorgaan of in ernstige mate zou verminderen, en de andere echtgenoot deswege tegen dat verzoek verweer voert, kan deze niet worden toegewezen voordat daaromtrent een voorziening is getroffen die, gelet op de omstandigheden van het geval, ten opzichte van beide echtgenoten billijk is te achten. De rechter kan daartoe een termijn stellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien als gevolg van de verzochte echtscheiding een bestaand vooruitzicht op")
    thisalinea.textcontent.append("uitkeringen aan de andere echtgenoot na vooroverlijden van de echtgenoot die het")
    thisalinea.textcontent.append("verzoek heeft gedaan zou teloorgaan of in ernstige mate zou verminderen, en de andere")
    thisalinea.textcontent.append("echtgenoot deswege tegen dat verzoek verweer voert, kan deze niet worden toegewezen")
    thisalinea.textcontent.append("voordat daaromtrent een voorziening is getroffen die, gelet op de omstandigheden van het")
    thisalinea.textcontent.append("geval, ten opzichte van beide echtgenoten billijk is te achten. De rechter kan daartoe een")
    thisalinea.textcontent.append("termijn stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het eerste lid is niet ..."
    thisalinea.nativeID = 747
    thisalinea.parentID = 745
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het eerste lid is niet van toepassing: a. indien redelijkerwijs te verwachten is dat de andere echtgenoot zelf voor dat geval voldoende voorzieningen kan treffen; b. indien de duurzame ontwrichting van het huwelijk in overwegende mate te wijten is aan de andere echtgenoot. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het eerste lid is niet van toepassing:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. indien redelijkerwijs te verwachten is ..."
    thisalinea.nativeID = 748
    thisalinea.parentID = 747
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. indien redelijkerwijs te verwachten is dat de andere echtgenoot zelf voor dat geval voldoende voorzieningen kan treffen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. indien redelijkerwijs te verwachten is dat de andere echtgenoot zelf voor dat geval")
    thisalinea.textcontent.append("voldoende voorzieningen kan treffen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. indien de duurzame ontwrichting van ..."
    thisalinea.nativeID = 749
    thisalinea.parentID = 747
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. indien de duurzame ontwrichting van het huwelijk in overwegende mate te wijten is aan de andere echtgenoot. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. indien de duurzame ontwrichting van het huwelijk in overwegende mate te wijten is")
    thisalinea.textcontent.append("aan de andere echtgenoot.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 154"
    thisalinea.nativeID = 750
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 269
    thisalinea.summary = "1. Echtscheiding wordt op gemeenschappelijk verzoek van de echtgenoten uitgesproken indien het verzoek is gegrond op hun beider oordeel dat het huwelijk duurzaam ontwricht is. 2. Ieder der echtgenoten is tot op het tijdstip der uitspraak bevoegd het verzoek in te trekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Echtscheiding wordt op gemeenschappelijk verzoek ..."
    thisalinea.nativeID = 751
    thisalinea.parentID = 750
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Echtscheiding wordt op gemeenschappelijk verzoek van de echtgenoten uitgesproken indien het verzoek is gegrond op hun beider oordeel dat het huwelijk duurzaam ontwricht is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Echtscheiding wordt op gemeenschappelijk verzoek van de echtgenoten uitgesproken")
    thisalinea.textcontent.append("indien het verzoek is gegrond op hun beider oordeel dat het huwelijk duurzaam ontwricht")
    thisalinea.textcontent.append("is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Ieder der echtgenoten is tot ..."
    thisalinea.nativeID = 752
    thisalinea.parentID = 750
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Ieder der echtgenoten is tot op het tijdstip der uitspraak bevoegd het verzoek in te trekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Ieder der echtgenoten is tot op het tijdstip der uitspraak bevoegd het verzoek in te")
    thisalinea.textcontent.append("trekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 155"
    thisalinea.nativeID = 753
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 270
    thisalinea.summary = "In geval van echtscheiding en voor zover de ene echtgenoot na de huwelijkssluiting en voor de echtscheiding pensioenaanspraken heeft opgebouwd, heeft de andere echtgenoot overeenkomstig het bepaalde bij of krachtens de Wet verevening pensioenrechten bij scheiding recht op pensioenverevening, tenzij de echtgenoten op de wijze voorzien in deze Wet toepasselijkheid daarvan hebben uitgesloten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In geval van echtscheiding en voor zover de ene echtgenoot na de huwelijkssluiting en voor")
    thisalinea.textcontent.append("de echtscheiding pensioenaanspraken heeft opgebouwd, heeft de andere echtgenoot")
    thisalinea.textcontent.append("overeenkomstig het bepaalde bij of krachtens de Wet verevening pensioenrechten bij")
    thisalinea.textcontent.append("scheiding recht op pensioenverevening, tenzij de echtgenoten op de wijze voorzien in deze")
    thisalinea.textcontent.append("Wet toepasselijkheid daarvan hebben uitgesloten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 156"
    thisalinea.nativeID = 754
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 271
    thisalinea.summary = "1. De rechter kan bij de echtscheidingsbeschikking of bij latere uitspraak aan de echtgenoot die niet voldoende inkomsten tot zijn levensonderhoud heeft, noch zich in redelijkheid kan verwerven op diens verzoek ten laste van de andere echtgenoot een uitkering tot levensonderhoud toekennen. 2. Bij de vaststelling van de uitkering kan de rechter rekening houden met de behoefte aan een voorziening in het levensonderhoud voor het geval van overlijden van degene die tot de uitkering is gehouden. 3. De rechter kan op verzoek van een van de echtgenoten de uitkering toekennen onder de vaststelling van voorwaarden en van een termijn. Deze "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechter kan bij de ..."
    thisalinea.nativeID = 755
    thisalinea.parentID = 754
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechter kan bij de echtscheidingsbeschikking of bij latere uitspraak aan de echtgenoot die niet voldoende inkomsten tot zijn levensonderhoud heeft, noch zich in redelijkheid kan verwerven op diens verzoek ten laste van de andere echtgenoot een uitkering tot levensonderhoud toekennen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechter kan bij de echtscheidingsbeschikking of bij latere uitspraak aan de echtgenoot")
    thisalinea.textcontent.append("die niet voldoende inkomsten tot zijn levensonderhoud heeft, noch zich in redelijkheid kan")
    thisalinea.textcontent.append("verwerven op diens verzoek ten laste van de andere echtgenoot een uitkering tot")
    thisalinea.textcontent.append("levensonderhoud toekennen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bij de vaststelling van de ..."
    thisalinea.nativeID = 756
    thisalinea.parentID = 754
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bij de vaststelling van de uitkering kan de rechter rekening houden met de behoefte aan een voorziening in het levensonderhoud voor het geval van overlijden van degene die tot de uitkering is gehouden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bij de vaststelling van de uitkering kan de rechter rekening houden met de behoefte aan")
    thisalinea.textcontent.append("een voorziening in het levensonderhoud voor het geval van overlijden van degene die tot")
    thisalinea.textcontent.append("de uitkering is gehouden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechter kan op verzoek ..."
    thisalinea.nativeID = 757
    thisalinea.parentID = 754
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechter kan op verzoek van een van de echtgenoten de uitkering toekennen onder de vaststelling van voorwaarden en van een termijn. Deze vaststelling kan niet tot gevolg hebben dat de uitkering later eindigt dan op grond van de toepasselijke termijn, bedoeld in artikel 157. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechter kan op verzoek van een van de echtgenoten de uitkering toekennen onder de")
    thisalinea.textcontent.append("vaststelling van voorwaarden en van een termijn. Deze vaststelling kan niet tot gevolg")
    thisalinea.textcontent.append("hebben dat de uitkering later eindigt dan op grond van de toepasselijke termijn, bedoeld in")
    thisalinea.textcontent.append("artikel 157.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 157"
    thisalinea.nativeID = 758
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 272
    thisalinea.summary = "1. Indien de rechter geen termijn heeft vastgesteld, eindigt de verplichting tot het verstrekken van levensonderhoud van rechtswege na het verstrijken van een termijn die gelijk is aan de helft van de duur van het huwelijk met een maximum van vijf jaren. 2. Indien op het tijdstip van indiening van het verzoek tot echtscheiding de duur van het huwelijk langer is dan vijftien jaren en de leeftijd van de echtgenoot die recht heeft op een uitkering tot levensonderhoud, ten hoogste tien jaren lager is dan de leeftijd, bedoeld in artikel 7a van de Algemene Ouderdomswet, eindigt de verplichting tot het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de rechter geen termijn ..."
    thisalinea.nativeID = 759
    thisalinea.parentID = 758
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de rechter geen termijn heeft vastgesteld, eindigt de verplichting tot het verstrekken van levensonderhoud van rechtswege na het verstrijken van een termijn die gelijk is aan de helft van de duur van het huwelijk met een maximum van vijf jaren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de rechter geen termijn heeft vastgesteld, eindigt de verplichting tot het verstrekken")
    thisalinea.textcontent.append("van levensonderhoud van rechtswege na het verstrijken van een termijn die gelijk is aan")
    thisalinea.textcontent.append("de helft van de duur van het huwelijk met een maximum van vijf jaren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien op het tijdstip van ..."
    thisalinea.nativeID = 760
    thisalinea.parentID = 758
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien op het tijdstip van indiening van het verzoek tot echtscheiding de duur van het huwelijk langer is dan vijftien jaren en de leeftijd van de echtgenoot die recht heeft op een uitkering tot levensonderhoud, ten hoogste tien jaren lager is dan de leeftijd, bedoeld in artikel 7a van de Algemene Ouderdomswet, eindigt de verplichting tot het verstrekken van levensonderhoud, in afwijking van het eerste lid, niet eerder dan op het tijdstip, waarop die echtgenoot deze leeftijd heeft bereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien op het tijdstip van indiening van het verzoek tot echtscheiding de duur van het")
    thisalinea.textcontent.append("huwelijk langer is dan vijftien jaren en de leeftijd van de echtgenoot die recht heeft op een")
    thisalinea.textcontent.append("uitkering tot levensonderhoud, ten hoogste tien jaren lager is dan de leeftijd, bedoeld in")
    thisalinea.textcontent.append("artikel 7a van de Algemene Ouderdomswet, eindigt de verplichting tot het verstrekken van")
    thisalinea.textcontent.append("levensonderhoud, in afwijking van het eerste lid, niet eerder dan op het tijdstip, waarop die")
    thisalinea.textcontent.append("echtgenoot deze leeftijd heeft bereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien op het tijdstip van ..."
    thisalinea.nativeID = 761
    thisalinea.parentID = 758
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien op het tijdstip van indiening van het verzoek tot echtscheiding de duur van het huwelijk langer is dan vijftien jaren en de echtgenoot die recht heeft op een uitkering tot levensonderhoud geboren is op of voor 1 januari 1970 en diens leeftijd meer dan tien jaren lager is dan de leeftijd bedoeld in artikel 7a van de Algemene Ouderdomswet, eindigt de verplichting tot het verstrekken van levensonderhoud, in afwijking van het eerste lid, na tien jaren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien op het tijdstip van indiening van het verzoek tot echtscheiding de duur van het")
    thisalinea.textcontent.append("huwelijk langer is dan vijftien jaren en de echtgenoot die recht heeft op een uitkering tot")
    thisalinea.textcontent.append("levensonderhoud geboren is op of voor 1 januari 1970 en diens leeftijd meer dan tien")
    thisalinea.textcontent.append("jaren lager is dan de leeftijd bedoeld in artikel 7a van de Algemene Ouderdomswet,")
    thisalinea.textcontent.append("eindigt de verplichting tot het verstrekken van levensonderhoud, in afwijking van het")
    thisalinea.textcontent.append("eerste lid, na tien jaren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. In afwijking van het eerste ..."
    thisalinea.nativeID = 762
    thisalinea.parentID = 758
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. In afwijking van het eerste tot en met derde lid eindigt de verplichting tot het verstrekken van levensonderhoud niet eerder dan op het tijdstip waarop de uit het huwelijk van de echtgenoten geboren kinderen de leeftijd van twaalf jaren hebben bereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. In afwijking van het eerste tot en met derde lid eindigt de verplichting tot het verstrekken")
    thisalinea.textcontent.append("van levensonderhoud niet eerder dan op het tijdstip waarop de uit het huwelijk van de")
    thisalinea.textcontent.append("echtgenoten geboren kinderen de leeftijd van twaalf jaren hebben bereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Bij samenloop van de omstandigheden, ..."
    thisalinea.nativeID = 763
    thisalinea.parentID = 758
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Bij samenloop van de omstandigheden, bedoeld in het eerste tot en met vierde lid, geldt de langste termijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Bij samenloop van de omstandigheden, bedoeld in het eerste tot en met vierde lid, geldt")
    thisalinea.textcontent.append("de langste termijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De termijn voor het verstrekken ..."
    thisalinea.nativeID = 764
    thisalinea.parentID = 758
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De termijn voor het verstrekken van levensonderhoud vangt aan op de datum van inschrijving van de echtscheidingsbeschikking in de registers van de burgerlijke stand. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De termijn voor het verstrekken van levensonderhoud vangt aan op de datum van")
    thisalinea.textcontent.append("inschrijving van de echtscheidingsbeschikking in de registers van de burgerlijke stand.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Indien ongewijzigde handhaving van de ..."
    thisalinea.nativeID = 765
    thisalinea.parentID = 758
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Indien ongewijzigde handhaving van de beëindiging van de uitkering ten gevolge van het verstrijken van de in het eerste tot en met vierde lid bedoelde termijn, gelet op alle omstandigheden van het geval, naar maatstaven van redelijkheid en billijkheid niet kan worden gevergd van degene die recht heeft op die uitkering, kan de rechter op diens verzoek alsnog een termijn vaststellen. Het verzoek daartoe wordt ingediend voordat drie maanden sinds de beëindiging van de uitkering zijn verstreken. De rechter bepaalt bij de uitspraak of verlenging van de termijn na ommekomst daarvan al dan niet mogelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Indien ongewijzigde handhaving van de beëindiging van de uitkering ten gevolge van het")
    thisalinea.textcontent.append("verstrijken van de in het eerste tot en met vierde lid bedoelde termijn, gelet op alle")
    thisalinea.textcontent.append("omstandigheden van het geval, naar maatstaven van redelijkheid en billijkheid niet kan")
    thisalinea.textcontent.append("worden gevergd van degene die recht heeft op die uitkering, kan de rechter op diens")
    thisalinea.textcontent.append("verzoek alsnog een termijn vaststellen. Het verzoek daartoe wordt ingediend voordat drie")
    thisalinea.textcontent.append("maanden sinds de beëindiging van de uitkering zijn verstreken. De rechter bepaalt bij de")
    thisalinea.textcontent.append("uitspraak of verlenging van de termijn na ommekomst daarvan al dan niet mogelijk is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 158"
    thisalinea.nativeID = 766
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 273
    thisalinea.summary = "Vóór of na de beschikking tot echtscheiding kunnen de echtgenoten bij overeenkomst bepalen of, en zo ja tot welk bedrag, na de echtscheiding de één tegenover de ander tot een uitkering tot diens levensonderhoud zal zijn gehouden. Indien in de overeenkomst geen termijn is opgenomen, is artikel 157, eerste tot en met vijfde lid en zevende lid, van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Vóór of na de beschikking tot echtscheiding kunnen de echtgenoten bij overeenkomst")
    thisalinea.textcontent.append("bepalen of, en zo ja tot welk bedrag, na de echtscheiding de één tegenover de ander tot een")
    thisalinea.textcontent.append("uitkering tot diens levensonderhoud zal zijn gehouden. Indien in de overeenkomst geen")
    thisalinea.textcontent.append("termijn is opgenomen, is artikel 157, eerste tot en met vijfde lid en zevende lid, van")
    thisalinea.textcontent.append("overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 159"
    thisalinea.nativeID = 767
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 274
    thisalinea.summary = "1. Bij de overeenkomst kan worden bedongen dat zij niet bij rechterlijke uitspraak zal kunnen worden gewijzigd op grond van een wijziging van omstandigheden. Een zodanig beding kan slechts schriftelijk worden gemaakt. 2. Het beding vervalt, indien de overeenkomst is aangegaan vóór de indiening van het verzoek tot echtscheiding, tenzij dit binnen drie maanden na de overeenkomst is ingediend. Het voorgaande is van overeenkomstige toepassing bij een gemeenschappelijk verzoek. 3. Ondanks een zodanig beding kan op verzoek van een der partijen de overeenkomst door de rechter bij de echtscheidingsbeschikking of bij latere beschikking worden gewijzigd op grond van een zo "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Bij de overeenkomst kan worden ..."
    thisalinea.nativeID = 768
    thisalinea.parentID = 767
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Bij de overeenkomst kan worden bedongen dat zij niet bij rechterlijke uitspraak zal kunnen worden gewijzigd op grond van een wijziging van omstandigheden. Een zodanig beding kan slechts schriftelijk worden gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Bij de overeenkomst kan worden bedongen dat zij niet bij rechterlijke uitspraak zal kunnen")
    thisalinea.textcontent.append("worden gewijzigd op grond van een wijziging van omstandigheden. Een zodanig beding")
    thisalinea.textcontent.append("kan slechts schriftelijk worden gemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het beding vervalt, indien de ..."
    thisalinea.nativeID = 769
    thisalinea.parentID = 767
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het beding vervalt, indien de overeenkomst is aangegaan vóór de indiening van het verzoek tot echtscheiding, tenzij dit binnen drie maanden na de overeenkomst is ingediend. Het voorgaande is van overeenkomstige toepassing bij een gemeenschappelijk verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het beding vervalt, indien de overeenkomst is aangegaan vóór de indiening van het")
    thisalinea.textcontent.append("verzoek tot echtscheiding, tenzij dit binnen drie maanden na de overeenkomst is")
    thisalinea.textcontent.append("ingediend. Het voorgaande is van overeenkomstige toepassing bij een")
    thisalinea.textcontent.append("gemeenschappelijk verzoek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Ondanks een zodanig beding kan ..."
    thisalinea.nativeID = 770
    thisalinea.parentID = 767
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Ondanks een zodanig beding kan op verzoek van een der partijen de overeenkomst door de rechter bij de echtscheidingsbeschikking of bij latere beschikking worden gewijzigd op grond van een zo ingrijpende wijziging van omstandigheden, dat de verzoeker naar maatstaven van redelijkheid en billijkheid niet langer aan het beding mag worden gehouden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Ondanks een zodanig beding kan op verzoek van een der partijen de overeenkomst door")
    thisalinea.textcontent.append("de rechter bij de echtscheidingsbeschikking of bij latere beschikking worden gewijzigd op")
    thisalinea.textcontent.append("grond van een zo ingrijpende wijziging van omstandigheden, dat de verzoeker naar")
    thisalinea.textcontent.append("maatstaven van redelijkheid en billijkheid niet langer aan het beding mag worden")
    thisalinea.textcontent.append("gehouden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 159a"
    thisalinea.nativeID = 771
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 275
    thisalinea.summary = "Een overeenkomst als bedoeld in de artikelen 158 en 159 van dit boek staat niet in de weg aan verhaal op grond van paragraaf 6.5 van de Participatiewet en laat de vaststelling van het te verhalen bedrag onverlet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een overeenkomst als bedoeld in de artikelen 158 en 159 van dit boek staat niet in de weg")
    thisalinea.textcontent.append("aan verhaal op grond van paragraaf 6.5 van de Participatiewet en laat de vaststelling van het")
    thisalinea.textcontent.append("te verhalen bedrag onverlet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 160"
    thisalinea.nativeID = 772
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 276
    thisalinea.summary = "Een verplichting van een gewezen echtgenoot om uit hoofde van echtscheiding levensonderhoud te verschaffen aan de wederpartij, eindigt wanneer deze opnieuw in het huwelijk treedt, een geregistreerd partnerschap aangaat dan wel is gaan samenleven met een ander als waren zij gehuwd of als hadden zij hun partnerschap laten registreren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een verplichting van een gewezen echtgenoot om uit hoofde van echtscheiding")
    thisalinea.textcontent.append("levensonderhoud te verschaffen aan de wederpartij, eindigt wanneer deze opnieuw in het")
    thisalinea.textcontent.append("huwelijk treedt, een geregistreerd partnerschap aangaat dan wel is gaan samenleven met")
    thisalinea.textcontent.append("een ander als waren zij gehuwd of als hadden zij hun partnerschap laten registreren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 161"
    thisalinea.nativeID = 773
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 277
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 161a"
    thisalinea.nativeID = 774
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 278
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 162"
    thisalinea.nativeID = 775
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 279
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 162a"
    thisalinea.nativeID = 776
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 280
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 163"
    thisalinea.nativeID = 777
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 281
    thisalinea.summary = "1. De echtscheiding komt tot stand door de inschrijving van de beschikking in de registers van de burgerlijke stand. 2. De inschrijving geschiedt op verzoek van partijen of van één van hen. 3. Indien het verzoek tot inschrijving niet is gedaan uiterlijk zes maanden na de dag waarop de beschikking in kracht van gewijsde is gegaan, verliest de beschikking haar kracht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De echtscheiding komt tot stand ..."
    thisalinea.nativeID = 778
    thisalinea.parentID = 777
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De echtscheiding komt tot stand door de inschrijving van de beschikking in de registers van de burgerlijke stand. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De echtscheiding komt tot stand door de inschrijving van de beschikking in de registers")
    thisalinea.textcontent.append("van de burgerlijke stand.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De inschrijving geschiedt op verzoek ..."
    thisalinea.nativeID = 779
    thisalinea.parentID = 777
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De inschrijving geschiedt op verzoek van partijen of van één van hen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De inschrijving geschiedt op verzoek van partijen of van één van hen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien het verzoek tot inschrijving ..."
    thisalinea.nativeID = 780
    thisalinea.parentID = 777
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien het verzoek tot inschrijving niet is gedaan uiterlijk zes maanden na de dag waarop de beschikking in kracht van gewijsde is gegaan, verliest de beschikking haar kracht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien het verzoek tot inschrijving niet is gedaan uiterlijk zes maanden na de dag waarop")
    thisalinea.textcontent.append("de beschikking in kracht van gewijsde is gegaan, verliest de beschikking haar kracht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 164"
    thisalinea.nativeID = 781
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 282
    thisalinea.summary = "1. Indien een tussen de echtgenoten bestaande gemeenschap van goederen door één van hen is benadeeld doordat hij na de aanvang van het geding of binnen zes maanden daarvóór lichtvaardig schulden heeft gemaakt, goederen der gemeenschap heeft verspild, of rechtshandelingen als bedoeld in artikel 88 van dit boek zonder de vereiste toestemming of beslissing van de rechtbank heeft verricht, is hij gehouden na de inschrijving van de beschikking waarbij de echtscheiding is uitgesproken, de aangerichte schade aan de gemeenschap te vergoeden. 2. Een op het vorige lid gegronde rechtsvordering kan niet later worden ingesteld dan drie jaren na de inschrijving "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een tussen de echtgenoten ..."
    thisalinea.nativeID = 782
    thisalinea.parentID = 781
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een tussen de echtgenoten bestaande gemeenschap van goederen door één van hen is benadeeld doordat hij na de aanvang van het geding of binnen zes maanden daarvóór lichtvaardig schulden heeft gemaakt, goederen der gemeenschap heeft verspild, of rechtshandelingen als bedoeld in artikel 88 van dit boek zonder de vereiste toestemming of beslissing van de rechtbank heeft verricht, is hij gehouden na de inschrijving van de beschikking waarbij de echtscheiding is uitgesproken, de aangerichte schade aan de gemeenschap te vergoeden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een tussen de echtgenoten bestaande gemeenschap van goederen door één van")
    thisalinea.textcontent.append("hen is benadeeld doordat hij na de aanvang van het geding of binnen zes maanden")
    thisalinea.textcontent.append("daarvóór lichtvaardig schulden heeft gemaakt, goederen der gemeenschap heeft verspild,")
    thisalinea.textcontent.append("of rechtshandelingen als bedoeld in artikel 88 van dit boek zonder de vereiste")
    thisalinea.textcontent.append("toestemming of beslissing van de rechtbank heeft verricht, is hij gehouden na de")
    thisalinea.textcontent.append("inschrijving van de beschikking waarbij de echtscheiding is uitgesproken, de aangerichte")
    thisalinea.textcontent.append("schade aan de gemeenschap te vergoeden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Een op het vorige lid ..."
    thisalinea.nativeID = 783
    thisalinea.parentID = 781
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Een op het vorige lid gegronde rechtsvordering kan niet later worden ingesteld dan drie jaren na de inschrijving van de beschikking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Een op het vorige lid gegronde rechtsvordering kan niet later worden ingesteld dan drie")
    thisalinea.textcontent.append("jaren na de inschrijving van de beschikking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 165"
    thisalinea.nativeID = 784
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 283
    thisalinea.summary = "zaken gedurende zes maanden na de inschrijving van de beschikking tegen een redelijke vergoeding voort te zetten. 1. Op verzoek van een echtgenoot kan de rechter bij de echtscheidingsbeschikking of bij latere uitspraak bepalen dat, als die echtgenoot ten tijde van de inschrijving van de beschikking een woning bewoont die aan de andere echtgenoot uitsluitend of mede toebehoort of ten gebruike toekomt, hij jegens de andere echtgenoot bevoegd is de bewoning en het gebruik van de bij de woning en tot de inboedel daarvan behorende 2. Tegen hem kan een in dat tijdvak zonder zijn toestemming door de andere echtgenoot "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("zaken gedurende zes maanden na de inschrijving van de beschikking tegen een redelijke")
    thisalinea.textcontent.append("vergoeding voort te zetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op verzoek van een echtgenoot ..."
    thisalinea.nativeID = 785
    thisalinea.parentID = 784
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op verzoek van een echtgenoot kan de rechter bij de echtscheidingsbeschikking of bij latere uitspraak bepalen dat, als die echtgenoot ten tijde van de inschrijving van de beschikking een woning bewoont die aan de andere echtgenoot uitsluitend of mede toebehoort of ten gebruike toekomt, hij jegens de andere echtgenoot bevoegd is de bewoning en het gebruik van de bij de woning en tot de inboedel daarvan behorende "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op verzoek van een echtgenoot kan de rechter bij de echtscheidingsbeschikking of bij")
    thisalinea.textcontent.append("latere uitspraak bepalen dat, als die echtgenoot ten tijde van de inschrijving van de")
    thisalinea.textcontent.append("beschikking een woning bewoont die aan de andere echtgenoot uitsluitend of mede")
    thisalinea.textcontent.append("toebehoort of ten gebruike toekomt, hij jegens de andere echtgenoot bevoegd is de")
    thisalinea.textcontent.append("bewoning en het gebruik van de bij de woning en tot de inboedel daarvan behorende")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Tegen hem kan een in ..."
    thisalinea.nativeID = 786
    thisalinea.parentID = 784
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Tegen hem kan een in dat tijdvak zonder zijn toestemming door de andere echtgenoot verrichte rechtshandeling niet worden tegengeworpen ten nadele van zijn in het vorige lid omschreven bevoegdheid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Tegen hem kan een in dat tijdvak zonder zijn toestemming door de andere echtgenoot")
    thisalinea.textcontent.append("verrichte rechtshandeling niet worden tegengeworpen ten nadele van zijn in het vorige lid")
    thisalinea.textcontent.append("omschreven bevoegdheid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Weigert hij zijn toestemming of ..."
    thisalinea.nativeID = 787
    thisalinea.parentID = 784
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Weigert hij zijn toestemming of is hij niet in staat zijn wil te verklaren, dan kan de rechtbank die in eerste aanleg over het verzoek tot echtscheiding heeft beslist, op verzoek van de andere gewezen echtgenoot, bepalen dat het vorige lid buiten toepassing blijft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Weigert hij zijn toestemming of is hij niet in staat zijn wil te verklaren, dan kan de")
    thisalinea.textcontent.append("rechtbank die in eerste aanleg over het verzoek tot echtscheiding heeft beslist, op verzoek")
    thisalinea.textcontent.append("van de andere gewezen echtgenoot, bepalen dat het vorige lid buiten toepassing blijft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 166"
    thisalinea.nativeID = 788
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 284
    thisalinea.summary = "Indien de gescheiden echtgenoten met elkander hertrouwen of een geregistreerd partnerschap aangaan, herleven alle gevolgen van het huwelijk van rechtswege, alsof er geen echtscheiding had plaats gehad. Nochtans wordt de geldigheid van rechtshandelingen die tussen de ontbinding van het huwelijk en het nieuwe huwelijk of het geregistreerd partnerschap zijn verricht, beoordeeld naar het tijdstip der handeling. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien de gescheiden echtgenoten met elkander hertrouwen of een geregistreerd")
    thisalinea.textcontent.append("partnerschap aangaan, herleven alle gevolgen van het huwelijk van rechtswege, alsof er")
    thisalinea.textcontent.append("geen echtscheiding had plaats gehad. Nochtans wordt de geldigheid van rechtshandelingen")
    thisalinea.textcontent.append("die tussen de ontbinding van het huwelijk en het nieuwe huwelijk of het geregistreerd")
    thisalinea.textcontent.append("partnerschap zijn verricht, beoordeeld naar het tijdstip der handeling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 167"
    thisalinea.nativeID = 789
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 285
    thisalinea.summary = "[Vervallen per 05-07-1982] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 05-07-1982]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 10. Scheiding van tafel en bed en ontbinding van het huwelijk na scheiding van tafel en bed Afdeling 1. Scheiding van tafel en bed"
    thisalinea.nativeID = 790
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 286
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 168"
    thisalinea.nativeID = 791
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 287
    thisalinea.summary = "[Vervallen per 22-06-2001] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 22-06-2001]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 169"
    thisalinea.nativeID = 792
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 288
    thisalinea.summary = "1. Scheiding van tafel en bed kan worden verzocht op dezelfde grond en op dezelfde wijze als echtscheiding. 2. De artikelen 151, 154 tot en met 159a zijn van overeenkomstige toepassing, met dien verstande dat de termijnen, bedoeld in artikel 156, derde lid, en artikel 157, eerste tot en met vijfde lid, aanvangen op de dag waarop de beschikking tot scheiding van tafel en bed is ingeschreven in het huwelijksgoederenregister, aangewezen in artikel 116, en dat de duur van het huwelijk wordt berekend tot die dag. 3. Een verplichting van een echtgenoot om uit hoofde van scheiding van tafel en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Scheiding van tafel en bed ..."
    thisalinea.nativeID = 793
    thisalinea.parentID = 792
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Scheiding van tafel en bed kan worden verzocht op dezelfde grond en op dezelfde wijze als echtscheiding. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Scheiding van tafel en bed kan worden verzocht op dezelfde grond en op dezelfde wijze")
    thisalinea.textcontent.append("als echtscheiding.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De artikelen 151, 154 tot ..."
    thisalinea.nativeID = 794
    thisalinea.parentID = 792
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De artikelen 151, 154 tot en met 159a zijn van overeenkomstige toepassing, met dien verstande dat de termijnen, bedoeld in artikel 156, derde lid, en artikel 157, eerste tot en met vijfde lid, aanvangen op de dag waarop de beschikking tot scheiding van tafel en bed is ingeschreven in het huwelijksgoederenregister, aangewezen in artikel 116, en dat de duur van het huwelijk wordt berekend tot die dag. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De artikelen 151, 154 tot en met 159a zijn van overeenkomstige toepassing, met dien")
    thisalinea.textcontent.append("verstande dat de termijnen, bedoeld in artikel 156, derde lid, en artikel 157, eerste tot en")
    thisalinea.textcontent.append("met vijfde lid, aanvangen op de dag waarop de beschikking tot scheiding van tafel en bed")
    thisalinea.textcontent.append("is ingeschreven in het huwelijksgoederenregister, aangewezen in artikel 116, en dat de")
    thisalinea.textcontent.append("duur van het huwelijk wordt berekend tot die dag.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een verplichting van een echtgenoot ..."
    thisalinea.nativeID = 795
    thisalinea.parentID = 792
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een verplichting van een echtgenoot om uit hoofde van scheiding van tafel en bed levensonderhoud te verschaffen aan de andere echtgenoot, eindigt bij ontbinding van het huwelijk. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een verplichting van een echtgenoot om uit hoofde van scheiding van tafel en bed")
    thisalinea.textcontent.append("levensonderhoud te verschaffen aan de andere echtgenoot, eindigt bij ontbinding van het")
    thisalinea.textcontent.append("huwelijk.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 170"
    thisalinea.nativeID = 796
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 289
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 171"
    thisalinea.nativeID = 797
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 290
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 171a"
    thisalinea.nativeID = 798
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 291
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 172"
    thisalinea.nativeID = 799
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 292
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 173"
    thisalinea.nativeID = 800
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 293
    thisalinea.summary = "1. De scheiding van tafel en bed komt tot stand door de inschrijving van de beschikking in het huwelijksgoederenregister, aangewezen in artikel 116. 2. De inschrijving geschiedt op verzoek van de echtgenoten of van één van hen. 3. Indien het verzoek niet is gedaan uiterlijk zes maanden na de dag waarop de beschikking in kracht van gewijsde is gegaan, verliest de beschikking haar kracht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De scheiding van tafel en ..."
    thisalinea.nativeID = 801
    thisalinea.parentID = 800
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De scheiding van tafel en bed komt tot stand door de inschrijving van de beschikking in het huwelijksgoederenregister, aangewezen in artikel 116. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De scheiding van tafel en bed komt tot stand door de inschrijving van de beschikking in")
    thisalinea.textcontent.append("het huwelijksgoederenregister, aangewezen in artikel 116.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De inschrijving geschiedt op verzoek ..."
    thisalinea.nativeID = 802
    thisalinea.parentID = 800
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De inschrijving geschiedt op verzoek van de echtgenoten of van één van hen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De inschrijving geschiedt op verzoek van de echtgenoten of van één van hen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien het verzoek niet is ..."
    thisalinea.nativeID = 803
    thisalinea.parentID = 800
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien het verzoek niet is gedaan uiterlijk zes maanden na de dag waarop de beschikking in kracht van gewijsde is gegaan, verliest de beschikking haar kracht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien het verzoek niet is gedaan uiterlijk zes maanden na de dag waarop de beschikking")
    thisalinea.textcontent.append("in kracht van gewijsde is gegaan, verliest de beschikking haar kracht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 174"
    thisalinea.nativeID = 804
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 294
    thisalinea.summary = "1. Indien een tussen de echtgenoten bestaande gemeenschap van goederen door één van hen is benadeeld doordat hij na de aanvang van het geding of binnen zes maanden daarvóór lichtvaardig schulden heeft gemaakt, goederen der gemeenschap heeft verspild, of rechtshandelingen als bedoeld in artikel 88 van dit boek zonder de vereiste toestemming of beslissing van de rechtbank heeft verricht, is hij gehouden, nadat de beschikking waarbij de scheiding van tafel en bed is uitgesproken, is ingeschreven, de aangerichte schade aan de gemeenschap te vergoeden. 2. Een op het eerste lid gegronde rechtsvordering kan niet later worden ingesteld dan drie jaren "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een tussen de echtgenoten ..."
    thisalinea.nativeID = 805
    thisalinea.parentID = 804
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een tussen de echtgenoten bestaande gemeenschap van goederen door één van hen is benadeeld doordat hij na de aanvang van het geding of binnen zes maanden daarvóór lichtvaardig schulden heeft gemaakt, goederen der gemeenschap heeft verspild, of rechtshandelingen als bedoeld in artikel 88 van dit boek zonder de vereiste toestemming of beslissing van de rechtbank heeft verricht, is hij gehouden, nadat de beschikking waarbij de scheiding van tafel en bed is uitgesproken, is ingeschreven, de aangerichte schade aan de gemeenschap te vergoeden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een tussen de echtgenoten bestaande gemeenschap van goederen door één van")
    thisalinea.textcontent.append("hen is benadeeld doordat hij na de aanvang van het geding of binnen zes maanden")
    thisalinea.textcontent.append("daarvóór lichtvaardig schulden heeft gemaakt, goederen der gemeenschap heeft verspild,")
    thisalinea.textcontent.append("of rechtshandelingen als bedoeld in artikel 88 van dit boek zonder de vereiste")
    thisalinea.textcontent.append("toestemming of beslissing van de rechtbank heeft verricht, is hij gehouden, nadat de")
    thisalinea.textcontent.append("beschikking waarbij de scheiding van tafel en bed is uitgesproken, is ingeschreven, de")
    thisalinea.textcontent.append("aangerichte schade aan de gemeenschap te vergoeden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Een op het eerste lid ..."
    thisalinea.nativeID = 806
    thisalinea.parentID = 804
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Een op het eerste lid gegronde rechtsvordering kan niet later worden ingesteld dan drie jaren na de inschrijving van de beschikking van scheiding van tafel en bed. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Een op het eerste lid gegronde rechtsvordering kan niet later worden ingesteld dan drie")
    thisalinea.textcontent.append("jaren na de inschrijving van de beschikking van scheiding van tafel en bed.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 175"
    thisalinea.nativeID = 807
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 295
    thisalinea.summary = "1. Op verzoek van een echtgenoot kan de rechter bij de beschikking houdende scheiding van tafel en bed of bij latere uitspraak bepalen dat, als die echtgenoot ten tijde van de inschrijving van de beschikking een woning bewoont die aan de andere echtgenoot uitsluitend of mede toebehoort of ten gebruike toekomt, hij jegens de andere echtgenoot bevoegd is de bewoning en het gebruik van de bij de woning en tot de inboedel daarvan behorende zaken gedurende zes maanden na de inschrijving van de beschikking, tegen een redelijke vergoeding voort te zetten. 2. Tegen hem kan een in dat tijdvak zonder "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op verzoek van een echtgenoot ..."
    thisalinea.nativeID = 808
    thisalinea.parentID = 807
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op verzoek van een echtgenoot kan de rechter bij de beschikking houdende scheiding van tafel en bed of bij latere uitspraak bepalen dat, als die echtgenoot ten tijde van de inschrijving van de beschikking een woning bewoont die aan de andere echtgenoot uitsluitend of mede toebehoort of ten gebruike toekomt, hij jegens de andere echtgenoot bevoegd is de bewoning en het gebruik van de bij de woning en tot de inboedel daarvan behorende zaken gedurende zes maanden na de inschrijving van de beschikking, tegen een redelijke vergoeding voort te zetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op verzoek van een echtgenoot kan de rechter bij de beschikking houdende scheiding")
    thisalinea.textcontent.append("van tafel en bed of bij latere uitspraak bepalen dat, als die echtgenoot ten tijde van de")
    thisalinea.textcontent.append("inschrijving van de beschikking een woning bewoont die aan de andere echtgenoot")
    thisalinea.textcontent.append("uitsluitend of mede toebehoort of ten gebruike toekomt, hij jegens de andere echtgenoot")
    thisalinea.textcontent.append("bevoegd is de bewoning en het gebruik van de bij de woning en tot de inboedel daarvan")
    thisalinea.textcontent.append("behorende zaken gedurende zes maanden na de inschrijving van de beschikking, tegen")
    thisalinea.textcontent.append("een redelijke vergoeding voort te zetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Tegen hem kan een in ..."
    thisalinea.nativeID = 809
    thisalinea.parentID = 807
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Tegen hem kan een in dat tijdvak zonder zijn toestemming door de andere echtgenoot verrichte rechtshandeling niet worden tegengeworpen ten nadele van zijn in het vorige lid omschreven bevoegdheid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Tegen hem kan een in dat tijdvak zonder zijn toestemming door de andere echtgenoot")
    thisalinea.textcontent.append("verrichte rechtshandeling niet worden tegengeworpen ten nadele van zijn in het vorige lid")
    thisalinea.textcontent.append("omschreven bevoegdheid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Weigert hij zijn toestemming of ..."
    thisalinea.nativeID = 810
    thisalinea.parentID = 807
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Weigert hij zijn toestemming of is hij niet in staat zijn wil te verklaren, dan kan de rechtbank die in eerste aanleg over het verzoek tot scheiding van tafel en bed heeft beslist, op verzoek van de andere echtgenoot bepalen dat het vorige lid buiten toepassing blijft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Weigert hij zijn toestemming of is hij niet in staat zijn wil te verklaren, dan kan de")
    thisalinea.textcontent.append("rechtbank die in eerste aanleg over het verzoek tot scheiding van tafel en bed heeft")
    thisalinea.textcontent.append("beslist, op verzoek van de andere echtgenoot bepalen dat het vorige lid buiten toepassing")
    thisalinea.textcontent.append("blijft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 176"
    thisalinea.nativeID = 811
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 296
    thisalinea.summary = "1. Een scheiding van tafel en bed eindigt door de verzoening van de echtgenoten, op het tijdstip dat zij op hun eensluidend verzoek in het huwelijksgoederenregister, aangewezen in artikel 116, hebben doen inschrijven dat de scheiding heeft opgehouden te bestaan. 2. De inschrijving doet alle gevolgen van het huwelijk van rechtswege herleven, alsof er geen scheiding van tafel en bed had plaatsgehad. Nochtans wordt de geldigheid van rechtshandelingen die tussen de scheiding van tafel en bed en de verzoening zijn verricht, beoordeeld naar het tijdstip van de handeling. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een scheiding van tafel en ..."
    thisalinea.nativeID = 812
    thisalinea.parentID = 811
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een scheiding van tafel en bed eindigt door de verzoening van de echtgenoten, op het tijdstip dat zij op hun eensluidend verzoek in het huwelijksgoederenregister, aangewezen in artikel 116, hebben doen inschrijven dat de scheiding heeft opgehouden te bestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een scheiding van tafel en bed eindigt door de verzoening van de echtgenoten, op het")
    thisalinea.textcontent.append("tijdstip dat zij op hun eensluidend verzoek in het huwelijksgoederenregister, aangewezen")
    thisalinea.textcontent.append("in artikel 116, hebben doen inschrijven dat de scheiding heeft opgehouden te bestaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De inschrijving doet alle gevolgen ..."
    thisalinea.nativeID = 813
    thisalinea.parentID = 811
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De inschrijving doet alle gevolgen van het huwelijk van rechtswege herleven, alsof er geen scheiding van tafel en bed had plaatsgehad. Nochtans wordt de geldigheid van rechtshandelingen die tussen de scheiding van tafel en bed en de verzoening zijn verricht, beoordeeld naar het tijdstip van de handeling. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De inschrijving doet alle gevolgen van het huwelijk van rechtswege herleven, alsof er")
    thisalinea.textcontent.append("geen scheiding van tafel en bed had plaatsgehad. Nochtans wordt de geldigheid van")
    thisalinea.textcontent.append("rechtshandelingen die tussen de scheiding van tafel en bed en de verzoening zijn verricht,")
    thisalinea.textcontent.append("beoordeeld naar het tijdstip van de handeling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 177"
    thisalinea.nativeID = 814
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 297
    thisalinea.summary = "[Vervallen per 01-06-2001] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-06-2001]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 178"
    thisalinea.nativeID = 815
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 298
    thisalinea.summary = "[Vervallen per 05-07-1982] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 05-07-1982]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Ontbinding van het huwelijk na scheiding van tafel en bed"
    thisalinea.nativeID = 816
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 299
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 179"
    thisalinea.nativeID = 817
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 300
    thisalinea.summary = "1. Ontbinding van het huwelijk van echtgenoten die van tafel en bed gescheiden zijn, wordt op verzoek van een der echtgenoten uitgesproken, indien de scheiding tenminste drie jaren heeft geduurd. 2. De termijn van drie jaren kan op verzoek van een echtgenoot worden bekort tot ten minste een jaar, indien de andere echtgenoot zich gedurig schuldig maakt aan wangedrag in zodanige mate dat van de echtgenoot, die het verzoek heeft gedaan, niet kan worden gevergd het huwelijk te doen voortbestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Ontbinding van het huwelijk van ..."
    thisalinea.nativeID = 818
    thisalinea.parentID = 817
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Ontbinding van het huwelijk van echtgenoten die van tafel en bed gescheiden zijn, wordt op verzoek van een der echtgenoten uitgesproken, indien de scheiding tenminste drie jaren heeft geduurd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Ontbinding van het huwelijk van echtgenoten die van tafel en bed gescheiden zijn, wordt")
    thisalinea.textcontent.append("op verzoek van een der echtgenoten uitgesproken, indien de scheiding tenminste drie")
    thisalinea.textcontent.append("jaren heeft geduurd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De termijn van drie jaren ..."
    thisalinea.nativeID = 819
    thisalinea.parentID = 817
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De termijn van drie jaren kan op verzoek van een echtgenoot worden bekort tot ten minste een jaar, indien de andere echtgenoot zich gedurig schuldig maakt aan wangedrag in zodanige mate dat van de echtgenoot, die het verzoek heeft gedaan, niet kan worden gevergd het huwelijk te doen voortbestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De termijn van drie jaren kan op verzoek van een echtgenoot worden bekort tot ten minste")
    thisalinea.textcontent.append("een jaar, indien de andere echtgenoot zich gedurig schuldig maakt aan wangedrag in")
    thisalinea.textcontent.append("zodanige mate dat van de echtgenoot, die het verzoek heeft gedaan, niet kan worden")
    thisalinea.textcontent.append("gevergd het huwelijk te doen voortbestaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 180"
    thisalinea.nativeID = 820
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 301
    thisalinea.summary = "De rechter kan daartoe een termijn stellen. 1. Indien als gevolg van de gevraagde ontbinding van het huwelijk een bestaand vooruitzicht op uitkeringen aan de andere echtgenoot na vooroverlijden van de echtgenoot die het verzoek heeft gedaan zou teloorgaan of in ernstige mate zou verminderen, en de andere echtgenoot deswege tegen het verzoek verweer voert, kan het verzoek niet worden toegewezen voordat daaromtrent een voorziening is getroffen die, gelet op de omstandigheden van het geval, ten opzichte van beide echtgenoten billijk is te achten. 2. Het eerste lid is niet van toepassing: a. indien redelijkerwijs te verwachten is dat de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechter kan daartoe een termijn stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien als gevolg van de ..."
    thisalinea.nativeID = 821
    thisalinea.parentID = 820
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien als gevolg van de gevraagde ontbinding van het huwelijk een bestaand vooruitzicht op uitkeringen aan de andere echtgenoot na vooroverlijden van de echtgenoot die het verzoek heeft gedaan zou teloorgaan of in ernstige mate zou verminderen, en de andere echtgenoot deswege tegen het verzoek verweer voert, kan het verzoek niet worden toegewezen voordat daaromtrent een voorziening is getroffen die, gelet op de omstandigheden van het geval, ten opzichte van beide echtgenoten billijk is te achten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien als gevolg van de gevraagde ontbinding van het huwelijk een bestaand vooruitzicht")
    thisalinea.textcontent.append("op uitkeringen aan de andere echtgenoot na vooroverlijden van de echtgenoot die het")
    thisalinea.textcontent.append("verzoek heeft gedaan zou teloorgaan of in ernstige mate zou verminderen, en de andere")
    thisalinea.textcontent.append("echtgenoot deswege tegen het verzoek verweer voert, kan het verzoek niet worden")
    thisalinea.textcontent.append("toegewezen voordat daaromtrent een voorziening is getroffen die, gelet op de")
    thisalinea.textcontent.append("omstandigheden van het geval, ten opzichte van beide echtgenoten billijk is te achten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het eerste lid is niet ..."
    thisalinea.nativeID = 822
    thisalinea.parentID = 820
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het eerste lid is niet van toepassing: a. indien redelijkerwijs te verwachten is dat de andere echtgenoot zelf voor dat geval voldoende voorzieningen kan treffen; b. indien de andere echtgenoot zich gedurig schuldig maakt aan wangedrag in zodanige mate dat van de echtgenoot die het verzoek heeft gedaan naar redelijkheid generlei verstrekking van levensonderhoud zou kunnen worden gevergd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het eerste lid is niet van toepassing:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. indien redelijkerwijs te verwachten is ..."
    thisalinea.nativeID = 823
    thisalinea.parentID = 822
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. indien redelijkerwijs te verwachten is dat de andere echtgenoot zelf voor dat geval voldoende voorzieningen kan treffen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. indien redelijkerwijs te verwachten is dat de andere echtgenoot zelf voor dat geval")
    thisalinea.textcontent.append("voldoende voorzieningen kan treffen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. indien de andere echtgenoot zich ..."
    thisalinea.nativeID = 824
    thisalinea.parentID = 822
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. indien de andere echtgenoot zich gedurig schuldig maakt aan wangedrag in zodanige mate dat van de echtgenoot die het verzoek heeft gedaan naar redelijkheid generlei verstrekking van levensonderhoud zou kunnen worden gevergd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. indien de andere echtgenoot zich gedurig schuldig maakt aan wangedrag in zodanige")
    thisalinea.textcontent.append("mate dat van de echtgenoot die het verzoek heeft gedaan naar redelijkheid generlei")
    thisalinea.textcontent.append("verstrekking van levensonderhoud zou kunnen worden gevergd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 181"
    thisalinea.nativeID = 825
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 302
    thisalinea.summary = "Ontbinding van het huwelijk van echtgenoten die van tafel en bed gescheiden zijn, wordt op hun gemeenschappelijk verzoek uitgesproken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Ontbinding van het huwelijk van echtgenoten die van tafel en bed gescheiden zijn, wordt op")
    thisalinea.textcontent.append("hun gemeenschappelijk verzoek uitgesproken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 182"
    thisalinea.nativeID = 826
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 303
    thisalinea.summary = "De artikelen 154, tweede lid, en 156 tot en met 160 van dit boek zijn van overeenkomstige toepassing, met dien verstande dat de in de artikelen 156, derde lid, en 157, eerste tot en met vijfde lid en zevende lid, bedoelde termijnen worden verminderd met de tijd gedurende welke tijdens de scheiding van tafel en bed een verplichting tot levensonderhoud jegens de andere echtgenoot bestond en dat de duur van het huwelijk wordt berekend tot de dag waarop de beschikking tot scheiding van tafel en bed is ingeschreven in het huwelijksgoederenregister, aangewezen in artikel 116. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De artikelen 154, tweede lid, en 156 tot en met 160 van dit boek zijn van overeenkomstige")
    thisalinea.textcontent.append("toepassing, met dien verstande dat de in de artikelen 156, derde lid, en 157, eerste tot en met")
    thisalinea.textcontent.append("vijfde lid en zevende lid, bedoelde termijnen worden verminderd met de tijd gedurende welke")
    thisalinea.textcontent.append("tijdens de scheiding van tafel en bed een verplichting tot levensonderhoud jegens de andere")
    thisalinea.textcontent.append("echtgenoot bestond en dat de duur van het huwelijk wordt berekend tot de dag waarop de")
    thisalinea.textcontent.append("beschikking tot scheiding van tafel en bed is ingeschreven in het huwelijksgoederenregister,")
    thisalinea.textcontent.append("aangewezen in artikel 116.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 183"
    thisalinea.nativeID = 827
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 304
    thisalinea.summary = "toepassing. 1. De ontbinding van het huwelijk komt tot stand door de inschrijving van de beschikking in de registers van de burgerlijke stand. 2. De artikelen 163, tweede en derde lid, en 166 van dit boek zijn van overeenkomstige "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ontbinding van het huwelijk ..."
    thisalinea.nativeID = 828
    thisalinea.parentID = 827
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ontbinding van het huwelijk komt tot stand door de inschrijving van de beschikking in de registers van de burgerlijke stand. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ontbinding van het huwelijk komt tot stand door de inschrijving van de beschikking in")
    thisalinea.textcontent.append("de registers van de burgerlijke stand.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De artikelen 163, tweede en ..."
    thisalinea.nativeID = 829
    thisalinea.parentID = 827
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De artikelen 163, tweede en derde lid, en 166 van dit boek zijn van overeenkomstige "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De artikelen 163, tweede en derde lid, en 166 van dit boek zijn van overeenkomstige")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 184"
    thisalinea.nativeID = 830
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 305
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 185"
    thisalinea.nativeID = 831
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 306
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 186"
    thisalinea.nativeID = 832
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 307
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 187"
    thisalinea.nativeID = 833
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 308
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 188"
    thisalinea.nativeID = 834
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 309
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 189"
    thisalinea.nativeID = 835
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 310
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 190"
    thisalinea.nativeID = 836
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 311
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 191"
    thisalinea.nativeID = 837
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 312
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 192"
    thisalinea.nativeID = 838
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 313
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 193"
    thisalinea.nativeID = 839
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 314
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 194"
    thisalinea.nativeID = 840
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 315
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 195"
    thisalinea.nativeID = 841
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 316
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 196"
    thisalinea.nativeID = 842
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 317
    thisalinea.summary = "[Vervallen per 01-10-1971] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-10-1971]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 11. Afstamming Afdeling 1. Algemeen"
    thisalinea.nativeID = 843
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 318
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 197"
    thisalinea.nativeID = 844
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 319
    thisalinea.summary = "Een kind, zijn ouders en hun bloedverwanten staan in familierechtelijke betrekking tot elkaar. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een kind, zijn ouders en hun bloedverwanten staan in familierechtelijke betrekking tot elkaar.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 198"
    thisalinea.nativeID = 845
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 320
    thisalinea.summary = "1. Moeder van een kind is de vrouw: a. uit wie het kind is geboren; b. die op het tijdstip van de geboorte van het kind is gehuwd of door een geregistreerd partnerschap is verbonden met de vrouw uit wie het kind is geboren, indien dit kind is verwekt door kunstmatige donorbevruchting als bedoeld in artikel 1, onder c, sub 1, van de Wet donorgegevens kunstmatige bevruchting en een door de stichting, bedoeld in die wet, ter bevestiging hiervan afgegeven verklaring is overgelegd, waaruit blijkt dat de identiteit van de donor aan de vrouw bij wie de kunstmatige donorbevruchting heeft "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Moeder van een kind is ..."
    thisalinea.nativeID = 846
    thisalinea.parentID = 845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Moeder van een kind is de vrouw: a. uit wie het kind is geboren; b. die op het tijdstip van de geboorte van het kind is gehuwd of door een geregistreerd partnerschap is verbonden met de vrouw uit wie het kind is geboren, indien dit kind is verwekt door kunstmatige donorbevruchting als bedoeld in artikel 1, onder c, sub 1, van de Wet donorgegevens kunstmatige bevruchting en een door de stichting, bedoeld in die wet, ter bevestiging hiervan afgegeven verklaring is overgelegd, waaruit blijkt dat de identiteit van de donor aan de vrouw bij wie de kunstmatige donorbevruchting heeft "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Moeder van een kind is de vrouw:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. uit wie het kind is ..."
    thisalinea.nativeID = 847
    thisalinea.parentID = 846
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. uit wie het kind is geboren; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. uit wie het kind is geboren;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. die op het tijdstip van ..."
    thisalinea.nativeID = 848
    thisalinea.parentID = 846
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. die op het tijdstip van de geboorte van het kind is gehuwd of door een geregistreerd partnerschap is verbonden met de vrouw uit wie het kind is geboren, indien dit kind is verwekt door kunstmatige donorbevruchting als bedoeld in artikel 1, onder c, sub 1, van de Wet donorgegevens kunstmatige bevruchting en een door de stichting, bedoeld in die wet, ter bevestiging hiervan afgegeven verklaring is overgelegd, waaruit blijkt dat de identiteit van de donor aan de vrouw bij wie de kunstmatige donorbevruchting heeft plaatsgevonden onbekend is, tenzij de laatste zin van dit onderdeel of de eerste zin van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. die op het tijdstip van de geboorte van het kind is gehuwd of door een geregistreerd")
    thisalinea.textcontent.append("partnerschap is verbonden met de vrouw uit wie het kind is geboren, indien dit kind is")
    thisalinea.textcontent.append("verwekt door kunstmatige donorbevruchting als bedoeld in artikel 1, onder c, sub 1,")
    thisalinea.textcontent.append("van de Wet donorgegevens kunstmatige bevruchting en een door de stichting,")
    thisalinea.textcontent.append("bedoeld in die wet, ter bevestiging hiervan afgegeven verklaring is overgelegd, waaruit")
    thisalinea.textcontent.append("blijkt dat de identiteit van de donor aan de vrouw bij wie de kunstmatige")
    thisalinea.textcontent.append("donorbevruchting heeft plaatsgevonden onbekend is, tenzij de laatste zin van dit")
    thisalinea.textcontent.append("onderdeel of de eerste zin van artikel 199, onder b, geldt. De verklaring dient bij de")
    thisalinea.textcontent.append("aangifte van de geboorte te worden overgelegd aan de ambtenaar van de burgerlijke")
    thisalinea.textcontent.append("stand en werkt terug tot aan de geboorte van het kind. Indien het huwelijk of")
    thisalinea.textcontent.append("geregistreerd partnerschap na de kunstmatige donorbevruchting en voor de geboorte")
    thisalinea.textcontent.append("van het kind is ontbonden door de dood van de echtgenote of geregistreerde partner")
    thisalinea.textcontent.append("van de vrouw uit wie het kind is geboren, is de overleden echtgenote of geregistreerde")
    thisalinea.textcontent.append("partner eveneens moeder van het kind als de voornoemde verklaring wordt")
    thisalinea.textcontent.append("overgelegd bij de aangifte van de geboorte van het kind, zelfs indien de vrouw uit wie")
    thisalinea.textcontent.append("het kind is geboren was hertrouwd of een nieuw partnerschap had laten registreren;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. die het kind heeft erkend; "
    thisalinea.nativeID = 849
    thisalinea.parentID = 846
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. die het kind heeft erkend; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. die het kind heeft erkend;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. wier ouderschap gerechtelijk is vastgesteld; ..."
    thisalinea.nativeID = 850
    thisalinea.parentID = 846
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. wier ouderschap gerechtelijk is vastgesteld; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. wier ouderschap gerechtelijk is vastgesteld; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. die het kind heeft geadopteerd. "
    thisalinea.nativeID = 851
    thisalinea.parentID = 846
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. die het kind heeft geadopteerd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. die het kind heeft geadopteerd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De vrouw uit wie het ..."
    thisalinea.nativeID = 852
    thisalinea.parentID = 845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De vrouw uit wie het kind is geboren kan, indien zij op het tijdstip van de kunstmatige donorbevruchting was gescheiden van tafel en bed of zij en haar echtgenote of geregistreerde partner sedert dat tijdstip gescheiden hebben geleefd, binnen een jaar na de geboorte van het kind ten overstaan van de ambtenaar van de burgerlijke stand verklaren dat haar overleden echtgenote of geregistreerde partner niet de moeder is van het kind, bedoeld in het eerste lid, onder b, van welke verklaring een akte wordt opgemaakt; was de vrouw uit wie het kind is geboren op het tijdstip van de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De vrouw uit wie het kind is geboren kan, indien zij op het tijdstip van de kunstmatige")
    thisalinea.textcontent.append("donorbevruchting was gescheiden van tafel en bed of zij en haar echtgenote of")
    thisalinea.textcontent.append("geregistreerde partner sedert dat tijdstip gescheiden hebben geleefd, binnen een jaar na")
    thisalinea.textcontent.append("de geboorte van het kind ten overstaan van de ambtenaar van de burgerlijke stand")
    thisalinea.textcontent.append("verklaren dat haar overleden echtgenote of geregistreerde partner niet de moeder is van")
    thisalinea.textcontent.append("het kind, bedoeld in het eerste lid, onder b, van welke verklaring een akte wordt")
    thisalinea.textcontent.append("opgemaakt; was de vrouw uit wie het kind is geboren op het tijdstip van de geboorte")
    thisalinea.textcontent.append("hertrouwd of had zij een nieuw partnerschap laten registreren dan is in dat geval de")
    thisalinea.textcontent.append("huidige echtgenoot of geregistreerd partner de ouder van het kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 199"
    thisalinea.nativeID = 853
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 321
    thisalinea.summary = "Vader van een kind is de man: a. die op het tijdstip van de geboorte van het kind met de vrouw uit wie het kind is geboren, is gehuwd of een geregistreerd partnerschap is aangegaan, tenzij onderdeel b of de slotzin van artikel 198, eerste lid, onder b, geldt; b. wiens huwelijk of geregistreerd partnerschap met de vrouw uit wie het kind is geboren, binnen 306 dagen voor de geboorte van het kind door zijn dood is ontbonden, zelfs indien de moeder was hertrouwd of een nieuw partnerschap had laten registreren; indien echter de vrouw sedert de 306de dag voor "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Vader van een kind is de man:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. die op het tijdstip van ..."
    thisalinea.nativeID = 854
    thisalinea.parentID = 853
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. die op het tijdstip van de geboorte van het kind met de vrouw uit wie het kind is geboren, is gehuwd of een geregistreerd partnerschap is aangegaan, tenzij onderdeel b of de slotzin van artikel 198, eerste lid, onder b, geldt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. die op het tijdstip van de geboorte van het kind met de vrouw uit wie het kind is")
    thisalinea.textcontent.append("geboren, is gehuwd of een geregistreerd partnerschap is aangegaan, tenzij")
    thisalinea.textcontent.append("onderdeel b of de slotzin van artikel 198, eerste lid, onder b, geldt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. wiens huwelijk of geregistreerd partnerschap ..."
    thisalinea.nativeID = 855
    thisalinea.parentID = 853
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. wiens huwelijk of geregistreerd partnerschap met de vrouw uit wie het kind is geboren, binnen 306 dagen voor de geboorte van het kind door zijn dood is ontbonden, zelfs indien de moeder was hertrouwd of een nieuw partnerschap had laten registreren; indien echter de vrouw sedert de 306de dag voor de geboorte van het kind was gescheiden van tafel en bed of zij en haar echtgenoot of geregistreerde partner sedert dat tijdstip gescheiden hebben geleefd, kan de vrouw binnen een jaar na de geboorte van het kind ten overstaan van de ambtenaar van de burgerlijke stand verklaren dat haar "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. wiens huwelijk of geregistreerd partnerschap met de vrouw uit wie het kind is geboren,")
    thisalinea.textcontent.append("binnen 306 dagen voor de geboorte van het kind door zijn dood is ontbonden, zelfs")
    thisalinea.textcontent.append("indien de moeder was hertrouwd of een nieuw partnerschap had laten registreren;")
    thisalinea.textcontent.append("indien echter de vrouw sedert de 306de dag voor de geboorte van het kind was")
    thisalinea.textcontent.append("gescheiden van tafel en bed of zij en haar echtgenoot of geregistreerde partner sedert")
    thisalinea.textcontent.append("dat tijdstip gescheiden hebben geleefd, kan de vrouw binnen een jaar na de geboorte")
    thisalinea.textcontent.append("van het kind ten overstaan van de ambtenaar van de burgerlijke stand verklaren dat")
    thisalinea.textcontent.append("haar overleden echtgenoot of geregistreerde partner niet de vader is van het kind, van")
    thisalinea.textcontent.append("welke verklaring een akte wordt opgemaakt; was de moeder op het tijdstip van de")
    thisalinea.textcontent.append("geboorte hertrouwd of had zij een nieuw partnerschap laten registreren dan is in dat")
    thisalinea.textcontent.append("geval de huidige echtgenoot of geregistreerde partner de vader of, in het geval,")
    thisalinea.textcontent.append("genoemd in artikel 198, eerste lid, onder b, de huidige echtgenote of geregistreerde")
    thisalinea.textcontent.append("partner de moeder van het kind;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "c. die het kind heeft erkend; "
    thisalinea.nativeID = 856
    thisalinea.parentID = 853
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. die het kind heeft erkend; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. die het kind heeft erkend;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "d. wiens vaderschap gerechtelijk is vastgesteld; ..."
    thisalinea.nativeID = 857
    thisalinea.parentID = 853
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. wiens vaderschap gerechtelijk is vastgesteld; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. wiens vaderschap gerechtelijk is vastgesteld; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "e. die het kind heeft geadopteerd. "
    thisalinea.nativeID = 858
    thisalinea.parentID = 853
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. die het kind heeft geadopteerd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. die het kind heeft geadopteerd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Ontkenning van het door huwelijk of geregistreerd partnerschap ontstane vaderschap"
    thisalinea.nativeID = 859
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 322
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 200"
    thisalinea.nativeID = 860
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 323
    thisalinea.summary = "1. Het in artikel 199, onder a en b, bedoelde vaderschap kan, op de grond dat de man niet de biologische vader van het kind is, worden ontkend: a. door de vader of de moeder van het kind; b. door het kind zelf. 2. De vader of moeder kan het in artikel 199, onder a en b, bedoelde vaderschap niet ontkennen, indien de man vóór het huwelijk of geregistreerd partnerschap heeft kennis gedragen van de zwangerschap. 3. De vader of moeder kan het in artikel 199, onder a en b, bedoelde vaderschap evenmin ontkennen, indien de man heeft ingestemd met "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het in artikel 199, onder ..."
    thisalinea.nativeID = 861
    thisalinea.parentID = 860
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het in artikel 199, onder a en b, bedoelde vaderschap kan, op de grond dat de man niet de biologische vader van het kind is, worden ontkend: a. door de vader of de moeder van het kind; b. door het kind zelf. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het in artikel 199, onder a en b, bedoelde vaderschap kan, op de grond dat de man niet")
    thisalinea.textcontent.append("de biologische vader van het kind is, worden ontkend:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. door de vader of de ..."
    thisalinea.nativeID = 862
    thisalinea.parentID = 861
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door de vader of de moeder van het kind; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door de vader of de moeder van het kind;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. door het kind zelf. "
    thisalinea.nativeID = 863
    thisalinea.parentID = 861
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door het kind zelf. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door het kind zelf.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De vader of moeder kan ..."
    thisalinea.nativeID = 864
    thisalinea.parentID = 860
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De vader of moeder kan het in artikel 199, onder a en b, bedoelde vaderschap niet ontkennen, indien de man vóór het huwelijk of geregistreerd partnerschap heeft kennis gedragen van de zwangerschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De vader of moeder kan het in artikel 199, onder a en b, bedoelde vaderschap niet")
    thisalinea.textcontent.append("ontkennen, indien de man vóór het huwelijk of geregistreerd partnerschap heeft kennis")
    thisalinea.textcontent.append("gedragen van de zwangerschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De vader of moeder kan ..."
    thisalinea.nativeID = 865
    thisalinea.parentID = 860
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De vader of moeder kan het in artikel 199, onder a en b, bedoelde vaderschap evenmin ontkennen, indien de man heeft ingestemd met een daad die de verwekking van het kind tot gevolg kan hebben gehad. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De vader of moeder kan het in artikel 199, onder a en b, bedoelde vaderschap evenmin")
    thisalinea.textcontent.append("ontkennen, indien de man heeft ingestemd met een daad die de verwekking van het kind")
    thisalinea.textcontent.append("tot gevolg kan hebben gehad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het tweede en derde lid ..."
    thisalinea.nativeID = 866
    thisalinea.parentID = 860
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het tweede en derde lid zijn niet van toepassing ten aanzien van de vader, indien de moeder hem heeft bedrogen omtrent de verwekker. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het tweede en derde lid zijn niet van toepassing ten aanzien van de vader, indien de")
    thisalinea.textcontent.append("moeder hem heeft bedrogen omtrent de verwekker.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Het verzoek tot gegrondverklaring van ..."
    thisalinea.nativeID = 867
    thisalinea.parentID = 860
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Het verzoek tot gegrondverklaring van de ontkenning wordt door de moeder bij de rechtbank ingediend binnen een jaar na de geboorte van het kind. Een zodanig verzoek wordt door de vader ingediend binnen een jaar nadat hij bekend is geworden met het feit dat hij vermoedelijk niet de biologische vader is van het kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Het verzoek tot gegrondverklaring van de ontkenning wordt door de moeder bij de")
    thisalinea.textcontent.append("rechtbank ingediend binnen een jaar na de geboorte van het kind. Een zodanig verzoek")
    thisalinea.textcontent.append("wordt door de vader ingediend binnen een jaar nadat hij bekend is geworden met het feit")
    thisalinea.textcontent.append("dat hij vermoedelijk niet de biologische vader is van het kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Het verzoek tot gegrondverklaring van ..."
    thisalinea.nativeID = 868
    thisalinea.parentID = 860
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Het verzoek tot gegrondverklaring van de ontkenning wordt door het kind bij de rechtbank ingediend binnen drie jaren nadat het kind bekend is geworden met het feit dat de man vermoedelijk niet zijn biologische vader is. Indien het kind evenwel gedurende zijn minderjarigheid bekend is geworden met dit feit, kan het verzoek tot uiterlijk drie jaren nadat het kind meerderjarig is geworden, worden ingediend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Het verzoek tot gegrondverklaring van de ontkenning wordt door het kind bij de rechtbank")
    thisalinea.textcontent.append("ingediend binnen drie jaren nadat het kind bekend is geworden met het feit dat de man")
    thisalinea.textcontent.append("vermoedelijk niet zijn biologische vader is. Indien het kind evenwel gedurende zijn")
    thisalinea.textcontent.append("minderjarigheid bekend is geworden met dit feit, kan het verzoek tot uiterlijk drie jaren")
    thisalinea.textcontent.append("nadat het kind meerderjarig is geworden, worden ingediend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 201"
    thisalinea.nativeID = 869
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 324
    thisalinea.summary = "1. Overlijdt de vader of de moeder voor de afloop van de in artikel 200, vijfde lid, gestelde termijn, dan kan een afstammeling van deze echtgenoot of geregistreerde partner in de eerste graad of, bij gebreke van zodanige afstammeling, een ouder van deze echtgenoot of geregistreerde partner, de rechtbank verzoeken de ontkenning van het vaderschap gegrond te verklaren. Het verzoek wordt gedaan binnen een jaar na de dag van overlijden of nadat het overlijden ter kennis van de verzoeker is gekomen. 2. Overlijdt het kind voor de afloop van de in artikel 200, zesde lid, gestelde termijn, dan kan een "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Overlijdt de vader of de ..."
    thisalinea.nativeID = 870
    thisalinea.parentID = 869
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Overlijdt de vader of de moeder voor de afloop van de in artikel 200, vijfde lid, gestelde termijn, dan kan een afstammeling van deze echtgenoot of geregistreerde partner in de eerste graad of, bij gebreke van zodanige afstammeling, een ouder van deze echtgenoot of geregistreerde partner, de rechtbank verzoeken de ontkenning van het vaderschap gegrond te verklaren. Het verzoek wordt gedaan binnen een jaar na de dag van overlijden of nadat het overlijden ter kennis van de verzoeker is gekomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Overlijdt de vader of de moeder voor de afloop van de in artikel 200, vijfde lid, gestelde")
    thisalinea.textcontent.append("termijn, dan kan een afstammeling van deze echtgenoot of geregistreerde partner in de")
    thisalinea.textcontent.append("eerste graad of, bij gebreke van zodanige afstammeling, een ouder van deze echtgenoot")
    thisalinea.textcontent.append("of geregistreerde partner, de rechtbank verzoeken de ontkenning van het vaderschap")
    thisalinea.textcontent.append("gegrond te verklaren. Het verzoek wordt gedaan binnen een jaar na de dag van overlijden")
    thisalinea.textcontent.append("of nadat het overlijden ter kennis van de verzoeker is gekomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Overlijdt het kind voor de ..."
    thisalinea.nativeID = 871
    thisalinea.parentID = 869
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Overlijdt het kind voor de afloop van de in artikel 200, zesde lid, gestelde termijn, dan kan een afstammeling in de eerste graad van het kind de rechtbank verzoeken de ontkenning van het vaderschap gegrond te verklaren. Indien het kind meerderjarig was ten tijde van het overlijden, wordt het verzoek gedaan binnen een jaar na de dag van overlijden of binnen een jaar nadat het overlijden ter kennis van de verzoeker is gekomen. Overleed het kind gedurende de minderjarigheid, dan dient het verzoek te worden gedaan binnen een jaar nadat het kind, in leven zijnde, zelfstandig het verzoek had "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Overlijdt het kind voor de afloop van de in artikel 200, zesde lid, gestelde termijn, dan kan")
    thisalinea.textcontent.append("een afstammeling in de eerste graad van het kind de rechtbank verzoeken de ontkenning")
    thisalinea.textcontent.append("van het vaderschap gegrond te verklaren. Indien het kind meerderjarig was ten tijde van")
    thisalinea.textcontent.append("het overlijden, wordt het verzoek gedaan binnen een jaar na de dag van overlijden of")
    thisalinea.textcontent.append("binnen een jaar nadat het overlijden ter kennis van de verzoeker is gekomen. Overleed")
    thisalinea.textcontent.append("het kind gedurende de minderjarigheid, dan dient het verzoek te worden gedaan binnen")
    thisalinea.textcontent.append("een jaar nadat het kind, in leven zijnde, zelfstandig het verzoek had kunnen doen, dan")
    thisalinea.textcontent.append("wel, indien het overlijden op een later tijdstip ter kennis is gekomen van de verzoeker")
    thisalinea.textcontent.append("binnen een jaar na die kennisneming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 202"
    thisalinea.nativeID = 872
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 325
    thisalinea.summary = "1. Nadat de beschikking houdende gegrondverklaring van een ontkenning van een door huwelijk of geregistreerd partnerschap ontstaan vaderschap in kracht van gewijsde is gegaan, wordt het door huwelijk of geregistreerd partnerschap ontstane vaderschap geacht nimmer gevolg te hebben gehad. 2. Te goeder trouw door derden verkregen rechten worden hierdoor nochtans niet geschaad. 3. Door de gegrondverklaring van de ontkenning ontstaat geen vordering tot teruggave van kosten van verzorging en opvoeding of van kosten van levensonderhoud en studie noch tot teruggave van het krachtens vruchtgenot genotene. Voorts ontstaat geen verplichting tot teruggave van genoten vermogensrechtelijke voordelen, voor zover degene die hen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Nadat de beschikking houdende gegrondverklaring ..."
    thisalinea.nativeID = 873
    thisalinea.parentID = 872
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Nadat de beschikking houdende gegrondverklaring van een ontkenning van een door huwelijk of geregistreerd partnerschap ontstaan vaderschap in kracht van gewijsde is gegaan, wordt het door huwelijk of geregistreerd partnerschap ontstane vaderschap geacht nimmer gevolg te hebben gehad. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Nadat de beschikking houdende gegrondverklaring van een ontkenning van een door")
    thisalinea.textcontent.append("huwelijk of geregistreerd partnerschap ontstaan vaderschap in kracht van gewijsde is")
    thisalinea.textcontent.append("gegaan, wordt het door huwelijk of geregistreerd partnerschap ontstane vaderschap")
    thisalinea.textcontent.append("geacht nimmer gevolg te hebben gehad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Te goeder trouw door derden ..."
    thisalinea.nativeID = 874
    thisalinea.parentID = 872
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Te goeder trouw door derden verkregen rechten worden hierdoor nochtans niet geschaad. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Te goeder trouw door derden verkregen rechten worden hierdoor nochtans niet geschaad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Door de gegrondverklaring van de ..."
    thisalinea.nativeID = 875
    thisalinea.parentID = 872
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Door de gegrondverklaring van de ontkenning ontstaat geen vordering tot teruggave van kosten van verzorging en opvoeding of van kosten van levensonderhoud en studie noch tot teruggave van het krachtens vruchtgenot genotene. Voorts ontstaat geen verplichting tot teruggave van genoten vermogensrechtelijke voordelen, voor zover degene die hen heeft genoten ten tijde van het doen van het verzoek daardoor niet was gebaat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Door de gegrondverklaring van de ontkenning ontstaat geen vordering tot teruggave van")
    thisalinea.textcontent.append("kosten van verzorging en opvoeding of van kosten van levensonderhoud en studie noch")
    thisalinea.textcontent.append("tot teruggave van het krachtens vruchtgenot genotene. Voorts ontstaat geen verplichting")
    thisalinea.textcontent.append("tot teruggave van genoten vermogensrechtelijke voordelen, voor zover degene die hen")
    thisalinea.textcontent.append("heeft genoten ten tijde van het doen van het verzoek daardoor niet was gebaat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2a. Ontkenning van het door huwelijk of geregistreerd partnerschap ontstane moederschap"
    thisalinea.nativeID = 876
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 326
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 202a"
    thisalinea.nativeID = 877
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 327
    thisalinea.summary = "1. Het in artikel 198, eerste lid, onder b, bedoelde moederschap kan, op de grond dat de moeder niet de biologische moeder van het kind is, worden ontkend: a. door de moeder, bedoeld in artikel 198, eerste lid, onder a; b. door de moeder, bedoeld in artikel 198, eerste lid, onder b; c. door het kind zelf. 2. De moeder, bedoeld in artikel 198, eerste lid, onder a of onder b, kan het in artikel 198, eerste lid, onder b, bedoelde moederschap niet ontkennen, indien de moeder, bedoeld in het eerste lid, onder b, vóór het huwelijk of geregistreerd partnerschap "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het in artikel 198, eerste ..."
    thisalinea.nativeID = 878
    thisalinea.parentID = 877
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het in artikel 198, eerste lid, onder b, bedoelde moederschap kan, op de grond dat de moeder niet de biologische moeder van het kind is, worden ontkend: a. door de moeder, bedoeld in artikel 198, eerste lid, onder a; b. door de moeder, bedoeld in artikel 198, eerste lid, onder b; c. door het kind zelf. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het in artikel 198, eerste lid, onder b, bedoelde moederschap kan, op de grond dat de")
    thisalinea.textcontent.append("moeder niet de biologische moeder van het kind is, worden ontkend:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. door de moeder, bedoeld in ..."
    thisalinea.nativeID = 879
    thisalinea.parentID = 878
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door de moeder, bedoeld in artikel 198, eerste lid, onder a; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door de moeder, bedoeld in artikel 198, eerste lid, onder a;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. door de moeder, bedoeld in ..."
    thisalinea.nativeID = 880
    thisalinea.parentID = 878
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door de moeder, bedoeld in artikel 198, eerste lid, onder b; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door de moeder, bedoeld in artikel 198, eerste lid, onder b;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. door het kind zelf. "
    thisalinea.nativeID = 881
    thisalinea.parentID = 878
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. door het kind zelf. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. door het kind zelf.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De moeder, bedoeld in artikel ..."
    thisalinea.nativeID = 882
    thisalinea.parentID = 877
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De moeder, bedoeld in artikel 198, eerste lid, onder a of onder b, kan het in artikel 198, eerste lid, onder b, bedoelde moederschap niet ontkennen, indien de moeder, bedoeld in het eerste lid, onder b, vóór het huwelijk of geregistreerd partnerschap heeft kennis gedragen van de zwangerschap of heeft ingestemd met de kunstmatige donorbevruchting, bedoeld in artikel 198, eerste lid, onder b. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De moeder, bedoeld in artikel 198, eerste lid, onder a of onder b, kan het in artikel 198,")
    thisalinea.textcontent.append("eerste lid, onder b, bedoelde moederschap niet ontkennen, indien de moeder, bedoeld in")
    thisalinea.textcontent.append("het eerste lid, onder b, vóór het huwelijk of geregistreerd partnerschap heeft kennis")
    thisalinea.textcontent.append("gedragen van de zwangerschap of heeft ingestemd met de kunstmatige")
    thisalinea.textcontent.append("donorbevruchting, bedoeld in artikel 198, eerste lid, onder b.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het verzoek tot gegrondverklaring van ..."
    thisalinea.nativeID = 883
    thisalinea.parentID = 877
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het verzoek tot gegrondverklaring van de ontkenning wordt door de moeder, bedoeld in artikel 198, eerste lid, onder a of onder b, bij de rechtbank ingediend binnen een jaar na de geboorte van het kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het verzoek tot gegrondverklaring van de ontkenning wordt door de moeder, bedoeld in")
    thisalinea.textcontent.append("artikel 198, eerste lid, onder a of onder b, bij de rechtbank ingediend binnen een jaar na")
    thisalinea.textcontent.append("de geboorte van het kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het verzoek tot gegrondverklaring van ..."
    thisalinea.nativeID = 884
    thisalinea.parentID = 877
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het verzoek tot gegrondverklaring van de ontkenning wordt door het kind bij de rechtbank ingediend uiterlijk binnen drie jaren nadat het kind meerderjarig is geworden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het verzoek tot gegrondverklaring van de ontkenning wordt door het kind bij de rechtbank")
    thisalinea.textcontent.append("ingediend uiterlijk binnen drie jaren nadat het kind meerderjarig is geworden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 202b"
    thisalinea.nativeID = 885
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 328
    thisalinea.summary = "1. Overlijdt de moeder, bedoeld in artikel 198, eerste lid, onder a of onder b, voor de afloop van de in artikel 202a, derde lid, gestelde termijn, dan kan een afstammeling van deze moeder in de eerste graad of, bij gebreke van zodanige afstammeling, een ouder van deze moeder, de rechtbank verzoeken de ontkenning van het moederschap gegrond te verklaren. Het verzoek wordt gedaan binnen een jaar na de dag van overlijden of nadat het overlijden ter kennis van verzoeker is gekomen. 2. Op de ontkenning van het moederschap zijn de artikelen 201, tweede lid, en 202 van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Overlijdt de moeder, bedoeld in ..."
    thisalinea.nativeID = 886
    thisalinea.parentID = 885
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Overlijdt de moeder, bedoeld in artikel 198, eerste lid, onder a of onder b, voor de afloop van de in artikel 202a, derde lid, gestelde termijn, dan kan een afstammeling van deze moeder in de eerste graad of, bij gebreke van zodanige afstammeling, een ouder van deze moeder, de rechtbank verzoeken de ontkenning van het moederschap gegrond te verklaren. Het verzoek wordt gedaan binnen een jaar na de dag van overlijden of nadat het overlijden ter kennis van verzoeker is gekomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Overlijdt de moeder, bedoeld in artikel 198, eerste lid, onder a of onder b, voor de afloop")
    thisalinea.textcontent.append("van de in artikel 202a, derde lid, gestelde termijn, dan kan een afstammeling van deze")
    thisalinea.textcontent.append("moeder in de eerste graad of, bij gebreke van zodanige afstammeling, een ouder van")
    thisalinea.textcontent.append("deze moeder, de rechtbank verzoeken de ontkenning van het moederschap gegrond te")
    thisalinea.textcontent.append("verklaren. Het verzoek wordt gedaan binnen een jaar na de dag van overlijden of nadat")
    thisalinea.textcontent.append("het overlijden ter kennis van verzoeker is gekomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Op de ontkenning van het ..."
    thisalinea.nativeID = 887
    thisalinea.parentID = 885
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Op de ontkenning van het moederschap zijn de artikelen 201, tweede lid, en 202 van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Op de ontkenning van het moederschap zijn de artikelen 201, tweede lid, en 202 van")
    thisalinea.textcontent.append("overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3. Erkenning"
    thisalinea.nativeID = 888
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 329
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 203"
    thisalinea.nativeID = 889
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 330
    thisalinea.summary = "1. Erkenning kan geschieden: a. bij een akte van erkenning, opgemaakt door een ambtenaar van de burgerlijke stand; b. bij notariële akte. 2. De erkenning heeft gevolg vanaf het tijdstip waarop zij is gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Erkenning kan geschieden: "
    thisalinea.nativeID = 890
    thisalinea.parentID = 889
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Erkenning kan geschieden: a. bij een akte van erkenning, opgemaakt door een ambtenaar van de burgerlijke stand; b. bij notariële akte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Erkenning kan geschieden:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. bij een akte van erkenning, ..."
    thisalinea.nativeID = 891
    thisalinea.parentID = 890
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. bij een akte van erkenning, opgemaakt door een ambtenaar van de burgerlijke stand; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. bij een akte van erkenning, opgemaakt door een ambtenaar van de burgerlijke stand;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. bij notariële akte. "
    thisalinea.nativeID = 892
    thisalinea.parentID = 890
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. bij notariële akte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. bij notariële akte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De erkenning heeft gevolg vanaf ..."
    thisalinea.nativeID = 893
    thisalinea.parentID = 889
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De erkenning heeft gevolg vanaf het tijdstip waarop zij is gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De erkenning heeft gevolg vanaf het tijdstip waarop zij is gedaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 204"
    thisalinea.nativeID = 894
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 331
    thisalinea.summary = "1. De erkenning is nietig, indien zij is gedaan: a. door een persoon die krachtens artikel 41 geen huwelijk met de moeder mag sluiten of krachtens artikel 80a, zesde lid, geen geregistreerd partnerschap met de moeder mag aangaan; b. door een minderjarige die de leeftijd van zestien jaren nog niet heeft bereikt; c. indien het kind de leeftijd van zestien jaar nog niet heeft bereikt, zonder voorafgaande schriftelijke toestemming van de moeder of de vader; d. zonder voorafgaande schriftelijke toestemming van het kind van twaalf jaren of ouder; e. terwijl er twee ouders zijn. 2. De in het vorige lid "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De erkenning is nietig, indien ..."
    thisalinea.nativeID = 895
    thisalinea.parentID = 894
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De erkenning is nietig, indien zij is gedaan: a. door een persoon die krachtens artikel 41 geen huwelijk met de moeder mag sluiten of krachtens artikel 80a, zesde lid, geen geregistreerd partnerschap met de moeder mag aangaan; b. door een minderjarige die de leeftijd van zestien jaren nog niet heeft bereikt; c. indien het kind de leeftijd van zestien jaar nog niet heeft bereikt, zonder voorafgaande schriftelijke toestemming van de moeder of de vader; d. zonder voorafgaande schriftelijke toestemming van het kind van twaalf jaren of ouder; e. terwijl er twee ouders zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De erkenning is nietig, indien zij is gedaan:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. door een persoon die krachtens ..."
    thisalinea.nativeID = 896
    thisalinea.parentID = 895
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door een persoon die krachtens artikel 41 geen huwelijk met de moeder mag sluiten of krachtens artikel 80a, zesde lid, geen geregistreerd partnerschap met de moeder mag aangaan; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door een persoon die krachtens artikel 41 geen huwelijk met de moeder mag sluiten of")
    thisalinea.textcontent.append("krachtens artikel 80a, zesde lid, geen geregistreerd partnerschap met de moeder mag")
    thisalinea.textcontent.append("aangaan;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. door een minderjarige die de ..."
    thisalinea.nativeID = 897
    thisalinea.parentID = 895
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door een minderjarige die de leeftijd van zestien jaren nog niet heeft bereikt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door een minderjarige die de leeftijd van zestien jaren nog niet heeft bereikt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. indien het kind de leeftijd ..."
    thisalinea.nativeID = 898
    thisalinea.parentID = 895
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. indien het kind de leeftijd van zestien jaar nog niet heeft bereikt, zonder voorafgaande schriftelijke toestemming van de moeder of de vader; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. indien het kind de leeftijd van zestien jaar nog niet heeft bereikt, zonder voorafgaande")
    thisalinea.textcontent.append("schriftelijke toestemming van de moeder of de vader;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. zonder voorafgaande schriftelijke toestemming van ..."
    thisalinea.nativeID = 899
    thisalinea.parentID = 895
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. zonder voorafgaande schriftelijke toestemming van het kind van twaalf jaren of ouder; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. zonder voorafgaande schriftelijke toestemming van het kind van twaalf jaren of ouder;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. terwijl er twee ouders zijn. "
    thisalinea.nativeID = 900
    thisalinea.parentID = 895
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. terwijl er twee ouders zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. terwijl er twee ouders zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De in het vorige lid ..."
    thisalinea.nativeID = 901
    thisalinea.parentID = 894
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De in het vorige lid onder c en d vereiste toestemming kan ook geschieden ter gelegenheid van het opmaken van de akte van erkenning. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De in het vorige lid onder c en d vereiste toestemming kan ook geschieden ter")
    thisalinea.textcontent.append("gelegenheid van het opmaken van de akte van erkenning.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De toestemming van de moeder ..."
    thisalinea.nativeID = 902
    thisalinea.parentID = 894
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De toestemming van de moeder wier kind de leeftijd van zestien jaren nog niet heeft bereikt, dan wel de toestemming van het kind van twaalf jaren of ouder, kan op verzoek van de persoon die het kind wil erkennen, door de toestemming van de rechtbank worden vervangen, tenzij dit de belangen van de moeder bij een ongestoorde verhouding met het kind schaadt of een evenwichtige sociaalpsychologische en emotionele ontwikkeling van het kind in het gedrang komt, mits deze persoon: a. de verwekker van het kind is; of b. de biologische vader van het kind, die niet de verwekker is "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De toestemming van de moeder wier kind de leeftijd van zestien jaren nog niet heeft")
    thisalinea.textcontent.append("bereikt, dan wel de toestemming van het kind van twaalf jaren of ouder, kan op verzoek")
    thisalinea.textcontent.append("van de persoon die het kind wil erkennen, door de toestemming van de rechtbank worden")
    thisalinea.textcontent.append("vervangen, tenzij dit de belangen van de moeder bij een ongestoorde verhouding met het")
    thisalinea.textcontent.append("kind schaadt of een evenwichtige sociaalpsychologische en emotionele ontwikkeling van")
    thisalinea.textcontent.append("het kind in het gedrang komt, mits deze persoon:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de verwekker van het kind ..."
    thisalinea.nativeID = 903
    thisalinea.parentID = 902
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de verwekker van het kind is; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de verwekker van het kind is; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de biologische vader van het ..."
    thisalinea.nativeID = 904
    thisalinea.parentID = 902
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de biologische vader van het kind, die niet de verwekker is en in een nauwe persoonlijke betrekking staat tot het kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de biologische vader van het kind, die niet de verwekker is en in een nauwe")
    thisalinea.textcontent.append("persoonlijke betrekking staat tot het kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De toestemming van de moeder ..."
    thisalinea.nativeID = 905
    thisalinea.parentID = 894
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De toestemming van de moeder wier kind de leeftijd van zestien jaren nog niet heeft bereikt, dan wel de toestemming van het kind van twaalf jaren of ouder, kan op verzoek van de persoon die als levensgezel van de moeder ingestemd heeft met een daad die de verwekking van het kind tot gevolg kan hebben gehad, door de toestemming van de rechtbank worden vervangen als dit in het belang is van het kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De toestemming van de moeder wier kind de leeftijd van zestien jaren nog niet heeft")
    thisalinea.textcontent.append("bereikt, dan wel de toestemming van het kind van twaalf jaren of ouder, kan op verzoek")
    thisalinea.textcontent.append("van de persoon die als levensgezel van de moeder ingestemd heeft met een daad die de")
    thisalinea.textcontent.append("verwekking van het kind tot gevolg kan hebben gehad, door de toestemming van de")
    thisalinea.textcontent.append("rechtbank worden vervangen als dit in het belang is van het kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Een persoon die wegens zijn ..."
    thisalinea.nativeID = 906
    thisalinea.parentID = 894
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Een persoon die wegens zijn lichamelijke of geestelijke toestand onder curatele staat, mag slechts erkennen nadat daartoe toestemming is verkregen van de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Een persoon die wegens zijn lichamelijke of geestelijke toestand onder curatele staat,")
    thisalinea.textcontent.append("mag slechts erkennen nadat daartoe toestemming is verkregen van de kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 205"
    thisalinea.nativeID = 907
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 332
    thisalinea.summary = "gestelde termijn, is artikel 201, eerste lid, van overeenkomstige toepassing. Voor het geval het kind overlijdt voor de afloop van de in het vierde lid gestelde termijn, is artikel 201, tweede lid, van overeenkomstige toepassing. 1. Een verzoek tot vernietiging van de erkenning kan, op de grond dat de erkenner niet de biologische vader van het kind is, bij de rechtbank worden ingediend: a. door het kind zelf, tenzij de erkenning tijdens zijn meerderjarigheid heeft plaatsgevonden; b. door de erkenner, indien hij door bedreiging, dwaling, bedrog of, tijdens zijn minderjarigheid, door misbruik van omstandigheden daartoe is bewogen; c. door de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("gestelde termijn, is artikel 201, eerste lid, van overeenkomstige toepassing. Voor het")
    thisalinea.textcontent.append("geval het kind overlijdt voor de afloop van de in het vierde lid gestelde termijn, is artikel")
    thisalinea.textcontent.append("201, tweede lid, van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een verzoek tot vernietiging van ..."
    thisalinea.nativeID = 908
    thisalinea.parentID = 907
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een verzoek tot vernietiging van de erkenning kan, op de grond dat de erkenner niet de biologische vader van het kind is, bij de rechtbank worden ingediend: a. door het kind zelf, tenzij de erkenning tijdens zijn meerderjarigheid heeft plaatsgevonden; b. door de erkenner, indien hij door bedreiging, dwaling, bedrog of, tijdens zijn minderjarigheid, door misbruik van omstandigheden daartoe is bewogen; c. door de moeder, indien zij door bedreiging, dwaling, bedrog, of tijdens haar minderjarigheid, door misbruik van omstandigheden bewogen is toestemming tot de erkenning te geven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een verzoek tot vernietiging van de erkenning kan, op de grond dat de erkenner niet de")
    thisalinea.textcontent.append("biologische vader van het kind is, bij de rechtbank worden ingediend:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. door het kind zelf, tenzij ..."
    thisalinea.nativeID = 909
    thisalinea.parentID = 908
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door het kind zelf, tenzij de erkenning tijdens zijn meerderjarigheid heeft plaatsgevonden; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door het kind zelf, tenzij de erkenning tijdens zijn meerderjarigheid heeft")
    thisalinea.textcontent.append("plaatsgevonden;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. door de erkenner, indien hij ..."
    thisalinea.nativeID = 910
    thisalinea.parentID = 908
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door de erkenner, indien hij door bedreiging, dwaling, bedrog of, tijdens zijn minderjarigheid, door misbruik van omstandigheden daartoe is bewogen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door de erkenner, indien hij door bedreiging, dwaling, bedrog of, tijdens zijn")
    thisalinea.textcontent.append("minderjarigheid, door misbruik van omstandigheden daartoe is bewogen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. door de moeder, indien zij ..."
    thisalinea.nativeID = 911
    thisalinea.parentID = 908
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. door de moeder, indien zij door bedreiging, dwaling, bedrog, of tijdens haar minderjarigheid, door misbruik van omstandigheden bewogen is toestemming tot de erkenning te geven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. door de moeder, indien zij door bedreiging, dwaling, bedrog, of tijdens haar")
    thisalinea.textcontent.append("minderjarigheid, door misbruik van omstandigheden bewogen is toestemming tot de")
    thisalinea.textcontent.append("erkenning te geven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het openbaar ministerie kan wegens ..."
    thisalinea.nativeID = 912
    thisalinea.parentID = 907
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het openbaar ministerie kan wegens strijd met de Nederlandse openbare orde, indien de erkenner niet de biologische vader van het kind is, vernietiging van de erkenning verzoeken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het openbaar ministerie kan wegens strijd met de Nederlandse openbare orde, indien de")
    thisalinea.textcontent.append("erkenner niet de biologische vader van het kind is, vernietiging van de erkenning")
    thisalinea.textcontent.append("verzoeken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In geval van bedreiging of ..."
    thisalinea.nativeID = 913
    thisalinea.parentID = 907
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In geval van bedreiging of misbruik van omstandigheden, wordt het verzoek door de erkenner of door de moeder niet later ingediend dan een jaar nadat deze invloed heeft opgehouden te werken en, in geval van bedrog of dwaling, binnen een jaar nadat de verzoeker het bedrog of de dwaling heeft ontdekt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In geval van bedreiging of misbruik van omstandigheden, wordt het verzoek door de")
    thisalinea.textcontent.append("erkenner of door de moeder niet later ingediend dan een jaar nadat deze invloed heeft")
    thisalinea.textcontent.append("opgehouden te werken en, in geval van bedrog of dwaling, binnen een jaar nadat de")
    thisalinea.textcontent.append("verzoeker het bedrog of de dwaling heeft ontdekt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het verzoek wordt door het ..."
    thisalinea.nativeID = 914
    thisalinea.parentID = 907
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het verzoek wordt door het kind ingediend binnen drie jaren nadat het kind bekend is geworden met het feit dat de man vermoedelijk niet zijn biologische vader is. Indien het kind evenwel gedurende zijn minderjarigheid bekend is geworden met dit feit kan het verzoek tot uiterlijk drie jaren nadat het kind meerderjarig is geworden, worden ingediend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het verzoek wordt door het kind ingediend binnen drie jaren nadat het kind bekend is")
    thisalinea.textcontent.append("geworden met het feit dat de man vermoedelijk niet zijn biologische vader is. Indien het")
    thisalinea.textcontent.append("kind evenwel gedurende zijn minderjarigheid bekend is geworden met dit feit kan het")
    thisalinea.textcontent.append("verzoek tot uiterlijk drie jaren nadat het kind meerderjarig is geworden, worden ingediend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Voor het geval de erkenner ..."
    thisalinea.nativeID = 915
    thisalinea.parentID = 907
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Voor het geval de erkenner of de moeder overlijdt voor de afloop van de in het derde lid "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Voor het geval de erkenner of de moeder overlijdt voor de afloop van de in het derde lid")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 205a"
    thisalinea.nativeID = 916
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 333
    thisalinea.summary = "1. Een verzoek tot vernietiging van de door de moeder gedane erkenning kan, op de grond dat de moeder niet de biologische moeder van het kind is, bij de rechtbank worden ingediend: a. door het kind zelf, tenzij de erkenning tijdens zijn meerderjarigheid heeft plaatsgevonden; b. door de erkenner, indien zij door bedreiging, dwaling, bedrog of, tijdens haar minderjarigheid, door misbruik van omstandigheden daartoe is bewogen; c. door de andere moeder, indien zij door bedreiging, dwaling, bedrog of, tijdens haar minderjarigheid, door misbruik van omstandigheden bewogen is toestemming tot de erkenning te geven. 2. Op de vernietiging van de erkenning "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een verzoek tot vernietiging van ..."
    thisalinea.nativeID = 917
    thisalinea.parentID = 916
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een verzoek tot vernietiging van de door de moeder gedane erkenning kan, op de grond dat de moeder niet de biologische moeder van het kind is, bij de rechtbank worden ingediend: a. door het kind zelf, tenzij de erkenning tijdens zijn meerderjarigheid heeft plaatsgevonden; b. door de erkenner, indien zij door bedreiging, dwaling, bedrog of, tijdens haar minderjarigheid, door misbruik van omstandigheden daartoe is bewogen; c. door de andere moeder, indien zij door bedreiging, dwaling, bedrog of, tijdens haar minderjarigheid, door misbruik van omstandigheden bewogen is toestemming tot de erkenning te geven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een verzoek tot vernietiging van de door de moeder gedane erkenning kan, op de grond")
    thisalinea.textcontent.append("dat de moeder niet de biologische moeder van het kind is, bij de rechtbank worden")
    thisalinea.textcontent.append("ingediend:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. door het kind zelf, tenzij ..."
    thisalinea.nativeID = 918
    thisalinea.parentID = 917
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door het kind zelf, tenzij de erkenning tijdens zijn meerderjarigheid heeft plaatsgevonden; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door het kind zelf, tenzij de erkenning tijdens zijn meerderjarigheid heeft")
    thisalinea.textcontent.append("plaatsgevonden;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. door de erkenner, indien zij ..."
    thisalinea.nativeID = 919
    thisalinea.parentID = 917
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door de erkenner, indien zij door bedreiging, dwaling, bedrog of, tijdens haar minderjarigheid, door misbruik van omstandigheden daartoe is bewogen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door de erkenner, indien zij door bedreiging, dwaling, bedrog of, tijdens haar")
    thisalinea.textcontent.append("minderjarigheid, door misbruik van omstandigheden daartoe is bewogen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. door de andere moeder, indien ..."
    thisalinea.nativeID = 920
    thisalinea.parentID = 917
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. door de andere moeder, indien zij door bedreiging, dwaling, bedrog of, tijdens haar minderjarigheid, door misbruik van omstandigheden bewogen is toestemming tot de erkenning te geven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. door de andere moeder, indien zij door bedreiging, dwaling, bedrog of, tijdens haar")
    thisalinea.textcontent.append("minderjarigheid, door misbruik van omstandigheden bewogen is toestemming tot de")
    thisalinea.textcontent.append("erkenning te geven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Op de vernietiging van de ..."
    thisalinea.nativeID = 921
    thisalinea.parentID = 916
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Op de vernietiging van de erkenning is artikel 205, tweede tot en met vijfde lid, van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Op de vernietiging van de erkenning is artikel 205, tweede tot en met vijfde lid, van")
    thisalinea.textcontent.append("overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 206"
    thisalinea.nativeID = 922
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 334
    thisalinea.summary = "1. Nadat de beschikking houdende vernietiging van de erkenning in kracht van gewijsde is gegaan, wordt de erkenning geacht nimmer gevolg te hebben gehad. 2. Te goeder trouw door derden verkregen rechten worden hierdoor nochtans niet geschaad. 3. Door de vernietiging ontstaat geen vordering tot teruggave van de kosten van verzorging en opvoeding of van levensonderhoud en studie noch tot teruggave van het krachtens vruchtgenot genotene. Voorts ontstaat geen verplichting tot teruggave van genoten vermogensrechtelijke voordelen die uit de erkenning zijn voortgevloeid, voor zover degene die hen heeft genoten ten tijde van het instellen van het verzoek daardoor niet was "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Nadat de beschikking houdende vernietiging ..."
    thisalinea.nativeID = 923
    thisalinea.parentID = 922
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Nadat de beschikking houdende vernietiging van de erkenning in kracht van gewijsde is gegaan, wordt de erkenning geacht nimmer gevolg te hebben gehad. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Nadat de beschikking houdende vernietiging van de erkenning in kracht van gewijsde is")
    thisalinea.textcontent.append("gegaan, wordt de erkenning geacht nimmer gevolg te hebben gehad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Te goeder trouw door derden ..."
    thisalinea.nativeID = 924
    thisalinea.parentID = 922
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Te goeder trouw door derden verkregen rechten worden hierdoor nochtans niet geschaad. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Te goeder trouw door derden verkregen rechten worden hierdoor nochtans niet geschaad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Door de vernietiging ontstaat geen ..."
    thisalinea.nativeID = 925
    thisalinea.parentID = 922
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Door de vernietiging ontstaat geen vordering tot teruggave van de kosten van verzorging en opvoeding of van levensonderhoud en studie noch tot teruggave van het krachtens vruchtgenot genotene. Voorts ontstaat geen verplichting tot teruggave van genoten vermogensrechtelijke voordelen die uit de erkenning zijn voortgevloeid, voor zover degene die hen heeft genoten ten tijde van het instellen van het verzoek daardoor niet was gebaat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Door de vernietiging ontstaat geen vordering tot teruggave van de kosten van verzorging")
    thisalinea.textcontent.append("en opvoeding of van levensonderhoud en studie noch tot teruggave van het krachtens")
    thisalinea.textcontent.append("vruchtgenot genotene. Voorts ontstaat geen verplichting tot teruggave van genoten")
    thisalinea.textcontent.append("vermogensrechtelijke voordelen die uit de erkenning zijn voortgevloeid, voor zover")
    thisalinea.textcontent.append("degene die hen heeft genoten ten tijde van het instellen van het verzoek daardoor niet")
    thisalinea.textcontent.append("was gebaat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 4. Gerechtelijke vaststelling van het ouderschap"
    thisalinea.nativeID = 926
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 335
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 207"
    thisalinea.nativeID = 927
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 336
    thisalinea.summary = "identiteit en de verblijfplaats aan de moeder bekend zijn geworden. 1. Het ouderschap van een persoon kan, ook indien deze is overleden, op de grond dat deze de verwekker is van het kind of op de grond dat deze als levensgezel van de moeder ingestemd heeft met een daad die de verwekking van het kind tot gevolg kan hebben gehad, door de rechtbank worden vastgesteld op verzoek van: a. de moeder, tenzij het kind de leeftijd van zestien jaar heeft bereikt; b. het kind. 2. Vaststelling van het ouderschap kan niet geschieden, indien: a. het kind twee ouders heeft; b. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("identiteit en de verblijfplaats aan de moeder bekend zijn geworden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het ouderschap van een persoon ..."
    thisalinea.nativeID = 928
    thisalinea.parentID = 927
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het ouderschap van een persoon kan, ook indien deze is overleden, op de grond dat deze de verwekker is van het kind of op de grond dat deze als levensgezel van de moeder ingestemd heeft met een daad die de verwekking van het kind tot gevolg kan hebben gehad, door de rechtbank worden vastgesteld op verzoek van: a. de moeder, tenzij het kind de leeftijd van zestien jaar heeft bereikt; b. het kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het ouderschap van een persoon kan, ook indien deze is overleden, op de grond dat deze")
    thisalinea.textcontent.append("de verwekker is van het kind of op de grond dat deze als levensgezel van de moeder")
    thisalinea.textcontent.append("ingestemd heeft met een daad die de verwekking van het kind tot gevolg kan hebben")
    thisalinea.textcontent.append("gehad, door de rechtbank worden vastgesteld op verzoek van:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de moeder, tenzij het kind ..."
    thisalinea.nativeID = 929
    thisalinea.parentID = 928
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de moeder, tenzij het kind de leeftijd van zestien jaar heeft bereikt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de moeder, tenzij het kind de leeftijd van zestien jaar heeft bereikt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. het kind. "
    thisalinea.nativeID = 930
    thisalinea.parentID = 928
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. het kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. het kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Vaststelling van het ouderschap kan ..."
    thisalinea.nativeID = 931
    thisalinea.parentID = 927
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Vaststelling van het ouderschap kan niet geschieden, indien: a. het kind twee ouders heeft; b. tussen de in de aanhef van het eerste lid bedoelde persoon en de moeder van het kind krachtens artikel 41 geen huwelijk zou mogen worden gesloten of krachtens artikel 80a, zesde lid, geen partnerschap zou mogen worden geregistreerd; c. de in de aanhef van het eerste lid bedoelde persoon een minderjarige is die de leeftijd van zestien jaren nog niet heeft bereikt, tenzij hij voordat hij deze leeftijd heeft bereikt is overleden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Vaststelling van het ouderschap kan niet geschieden, indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. het kind twee ouders heeft; "
    thisalinea.nativeID = 932
    thisalinea.parentID = 931
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. het kind twee ouders heeft; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. het kind twee ouders heeft;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. tussen de in de aanhef ..."
    thisalinea.nativeID = 933
    thisalinea.parentID = 931
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. tussen de in de aanhef van het eerste lid bedoelde persoon en de moeder van het kind krachtens artikel 41 geen huwelijk zou mogen worden gesloten of krachtens artikel 80a, zesde lid, geen partnerschap zou mogen worden geregistreerd; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. tussen de in de aanhef van het eerste lid bedoelde persoon en de moeder van het")
    thisalinea.textcontent.append("kind krachtens artikel 41 geen huwelijk zou mogen worden gesloten of krachtens")
    thisalinea.textcontent.append("artikel 80a, zesde lid, geen partnerschap zou mogen worden geregistreerd;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. de in de aanhef van ..."
    thisalinea.nativeID = 934
    thisalinea.parentID = 931
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. de in de aanhef van het eerste lid bedoelde persoon een minderjarige is die de leeftijd van zestien jaren nog niet heeft bereikt, tenzij hij voordat hij deze leeftijd heeft bereikt is overleden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. de in de aanhef van het eerste lid bedoelde persoon een minderjarige is die de leeftijd")
    thisalinea.textcontent.append("van zestien jaren nog niet heeft bereikt, tenzij hij voordat hij deze leeftijd heeft bereikt")
    thisalinea.textcontent.append("is overleden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het verzoek wordt door de ..."
    thisalinea.nativeID = 935
    thisalinea.parentID = 927
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het verzoek wordt door de moeder ingediend binnen vijf jaren na de geboorte van het kind of, in geval van onbekendheid met de identiteit van de vermoedelijke verwekker dan wel van onbekendheid met zijn verblijfplaats, binnen vijf jaren na de dag waarop de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het verzoek wordt door de moeder ingediend binnen vijf jaren na de geboorte van het")
    thisalinea.textcontent.append("kind of, in geval van onbekendheid met de identiteit van de vermoedelijke verwekker dan")
    thisalinea.textcontent.append("wel van onbekendheid met zijn verblijfplaats, binnen vijf jaren na de dag waarop de")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Overlijdt het kind voordat vaststelling ..."
    thisalinea.nativeID = 936
    thisalinea.parentID = 927
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Overlijdt het kind voordat vaststelling van het ouderschap heeft kunnen plaatsvinden, dan kan een afstammeling van het kind in de eerste graad de vaststelling van het ouderschap aan de rechtbank verzoeken, mits de in de aanhef van het eerste lid bedoelde persoon, nog in leven is. Het verzoek wordt gedaan binnen een jaar na de dag van overlijden of binnen een jaar nadat het overlijden ter kennis van de verzoeker is gekomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Overlijdt het kind voordat vaststelling van het ouderschap heeft kunnen plaatsvinden, dan")
    thisalinea.textcontent.append("kan een afstammeling van het kind in de eerste graad de vaststelling van het ouderschap")
    thisalinea.textcontent.append("aan de rechtbank verzoeken, mits de in de aanhef van het eerste lid bedoelde persoon,")
    thisalinea.textcontent.append("nog in leven is. Het verzoek wordt gedaan binnen een jaar na de dag van overlijden of")
    thisalinea.textcontent.append("binnen een jaar nadat het overlijden ter kennis van de verzoeker is gekomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De vaststelling van het ouderschap, ..."
    thisalinea.nativeID = 937
    thisalinea.parentID = 927
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De vaststelling van het ouderschap, mits de beschikking daartoe in kracht van gewijsde is gegaan, werkt terug tot het moment van de geboorte van het kind. Te goeder trouw door derden verkregen rechten worden hierdoor nochtans niet geschaad. Voorts ontstaat geen verplichting tot teruggave van vermogensrechtelijke voordelen, voor zover degene die hen heeft genoten ten tijde van het doen van het verzoek daardoor niet was gebaat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De vaststelling van het ouderschap, mits de beschikking daartoe in kracht van gewijsde is")
    thisalinea.textcontent.append("gegaan, werkt terug tot het moment van de geboorte van het kind. Te goeder trouw door")
    thisalinea.textcontent.append("derden verkregen rechten worden hierdoor nochtans niet geschaad. Voorts ontstaat geen")
    thisalinea.textcontent.append("verplichting tot teruggave van vermogensrechtelijke voordelen, voor zover degene die hen")
    thisalinea.textcontent.append("heeft genoten ten tijde van het doen van het verzoek daardoor niet was gebaat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 208"
    thisalinea.nativeID = 938
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 337
    thisalinea.summary = "Bij de uitspraak waarbij het ouderschap wordt vastgesteld, kan de rechter op een daartoe strekkend verzoek ten behoeve van het kind een bijdrage toekennen in de kosten van verzorging en opvoeding als bedoeld in artikel 404 of in de kosten van levensonderhoud en studie als bedoeld in artikel 395a. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij de uitspraak waarbij het ouderschap wordt vastgesteld, kan de rechter op een daartoe")
    thisalinea.textcontent.append("strekkend verzoek ten behoeve van het kind een bijdrage toekennen in de kosten van")
    thisalinea.textcontent.append("verzorging en opvoeding als bedoeld in artikel 404 of in de kosten van levensonderhoud en")
    thisalinea.textcontent.append("studie als bedoeld in artikel 395a.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 5. Inroeping of betwisting van staat"
    thisalinea.nativeID = 939
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 338
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 209"
    thisalinea.nativeID = 940
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 339
    thisalinea.summary = "Iemands afstamming volgens zijn geboorteakte kan door een ander niet worden betwist, indien hij een staat overeenkomstig die akte heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Iemands afstamming volgens zijn geboorteakte kan door een ander niet worden betwist,")
    thisalinea.textcontent.append("indien hij een staat overeenkomstig die akte heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 210"
    thisalinea.nativeID = 941
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 340
    thisalinea.summary = "Een verzoek tot gegrondverklaring van de inroeping of betwisting van staat is niet aan verjaring onderworpen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een verzoek tot gegrondverklaring van de inroeping of betwisting van staat is niet aan")
    thisalinea.textcontent.append("verjaring onderworpen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 211"
    thisalinea.nativeID = 942
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 341
    thisalinea.summary = "1. Een verzoek tot gegrondverklaring van de inroeping van staat kan worden ingediend: a. door het kind zelf; b. door de erfgenamen van het kind, indien het kind gedurende zijn minderjarigheid of binnen drie jaren nadien is overleden. 2. Indien het kind een verzoek als bedoeld in het eerste lid had ingediend, kunnen zijn erfgenamen de procedure voortzetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een verzoek tot gegrondverklaring van ..."
    thisalinea.nativeID = 943
    thisalinea.parentID = 942
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een verzoek tot gegrondverklaring van de inroeping van staat kan worden ingediend: a. door het kind zelf; b. door de erfgenamen van het kind, indien het kind gedurende zijn minderjarigheid of binnen drie jaren nadien is overleden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een verzoek tot gegrondverklaring van de inroeping van staat kan worden ingediend:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. door het kind zelf; "
    thisalinea.nativeID = 944
    thisalinea.parentID = 943
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door het kind zelf; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door het kind zelf;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. door de erfgenamen van het ..."
    thisalinea.nativeID = 945
    thisalinea.parentID = 943
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door de erfgenamen van het kind, indien het kind gedurende zijn minderjarigheid of binnen drie jaren nadien is overleden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door de erfgenamen van het kind, indien het kind gedurende zijn minderjarigheid of")
    thisalinea.textcontent.append("binnen drie jaren nadien is overleden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het kind een verzoek ..."
    thisalinea.nativeID = 946
    thisalinea.parentID = 942
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het kind een verzoek als bedoeld in het eerste lid had ingediend, kunnen zijn erfgenamen de procedure voortzetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het kind een verzoek als bedoeld in het eerste lid had ingediend, kunnen zijn")
    thisalinea.textcontent.append("erfgenamen de procedure voortzetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 6. De bijzondere curator"
    thisalinea.nativeID = 947
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 342
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 212"
    thisalinea.nativeID = 948
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 343
    thisalinea.summary = "In zaken van afstamming wordt het minderjarige kind, optredende als verzoeker of belanghebbende, vertegenwoordigd door een bijzondere curator daartoe benoemd door de rechtbank die over de zaak beslist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In zaken van afstamming wordt het minderjarige kind, optredende als verzoeker of")
    thisalinea.textcontent.append("belanghebbende, vertegenwoordigd door een bijzondere curator daartoe benoemd door de")
    thisalinea.textcontent.append("rechtbank die over de zaak beslist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 213"
    thisalinea.nativeID = 949
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 344
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 214"
    thisalinea.nativeID = 950
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 345
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 215"
    thisalinea.nativeID = 951
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 346
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 216"
    thisalinea.nativeID = 952
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 347
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 217"
    thisalinea.nativeID = 953
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 348
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 218"
    thisalinea.nativeID = 954
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 349
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 219"
    thisalinea.nativeID = 955
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 350
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 220"
    thisalinea.nativeID = 956
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 351
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 221"
    thisalinea.nativeID = 957
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 352
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 222"
    thisalinea.nativeID = 958
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 353
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 223"
    thisalinea.nativeID = 959
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 354
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 224"
    thisalinea.nativeID = 960
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 355
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 225"
    thisalinea.nativeID = 961
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 356
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 226"
    thisalinea.nativeID = 962
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 357
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 12. Adoptie"
    thisalinea.nativeID = 963
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 358
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 227"
    thisalinea.nativeID = 964
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 359
    thisalinea.summary = "verzoek met elkaar hebben samengeleefd. Het verzoek door de adoptant die echtgenoot, geregistreerde partner of andere levensgezel van de ouder is, kan slechts worden gedaan, indien hij ten minste drie aaneengesloten jaren onmiddellijk voorafgaande aan de indiening van het verzoek met die ouder heeft samengeleefd. De in de tweede zin bedoelde voorwaarde geldt evenwel niet indien het kind is of wordt geboren binnen de relatie van de adoptant en die ouder. 1. Adoptie geschiedt door een uitspraak van de rechtbank op verzoek van twee personen tezamen of op verzoek van één persoon alleen. Twee personen tezamen kunnen geen verzoek tot "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("verzoek met elkaar hebben samengeleefd. Het verzoek door de adoptant die echtgenoot,")
    thisalinea.textcontent.append("geregistreerde partner of andere levensgezel van de ouder is, kan slechts worden")
    thisalinea.textcontent.append("gedaan, indien hij ten minste drie aaneengesloten jaren onmiddellijk voorafgaande aan de")
    thisalinea.textcontent.append("indiening van het verzoek met die ouder heeft samengeleefd. De in de tweede zin")
    thisalinea.textcontent.append("bedoelde voorwaarde geldt evenwel niet indien het kind is of wordt geboren binnen de")
    thisalinea.textcontent.append("relatie van de adoptant en die ouder.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Adoptie geschiedt door een uitspraak ..."
    thisalinea.nativeID = 965
    thisalinea.parentID = 964
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Adoptie geschiedt door een uitspraak van de rechtbank op verzoek van twee personen tezamen of op verzoek van één persoon alleen. Twee personen tezamen kunnen geen verzoek tot adoptie doen, indien zij krachtens artikel 41 geen huwelijk zouden mogen aangaan of krachtens artikel 80a, zesde lid, geen partnerschap zouden mogen aangaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Adoptie geschiedt door een uitspraak van de rechtbank op verzoek van twee personen")
    thisalinea.textcontent.append("tezamen of op verzoek van één persoon alleen. Twee personen tezamen kunnen geen")
    thisalinea.textcontent.append("verzoek tot adoptie doen, indien zij krachtens artikel 41 geen huwelijk zouden mogen")
    thisalinea.textcontent.append("aangaan of krachtens artikel 80a, zesde lid, geen partnerschap zouden mogen aangaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het verzoek door twee personen ..."
    thisalinea.nativeID = 966
    thisalinea.parentID = 964
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het verzoek door twee personen tezamen kan slechts worden gedaan, indien zij ten minste drie aaneengesloten jaren onmiddellijk voorafgaande aan de indiening van het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het verzoek door twee personen tezamen kan slechts worden gedaan, indien zij ten")
    thisalinea.textcontent.append("minste drie aaneengesloten jaren onmiddellijk voorafgaande aan de indiening van het")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het verzoek kan alleen worden ..."
    thisalinea.nativeID = 967
    thisalinea.parentID = 964
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het verzoek kan alleen worden toegewezen, indien de adoptie in het kennelijk belang van het kind is, op het tijdstip van het verzoek tot adoptie vaststaat en voor de toekomst redelijkerwijs te voorzien is dat het kind niets meer van zijn ouder of ouders in de hoedanigheid van ouder te verwachten heeft, en aan de voorwaarden, genoemd in artikel 228, wordt voldaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het verzoek kan alleen worden toegewezen, indien de adoptie in het kennelijk belang van")
    thisalinea.textcontent.append("het kind is, op het tijdstip van het verzoek tot adoptie vaststaat en voor de toekomst")
    thisalinea.textcontent.append("redelijkerwijs te voorzien is dat het kind niets meer van zijn ouder of ouders in de")
    thisalinea.textcontent.append("hoedanigheid van ouder te verwachten heeft, en aan de voorwaarden, genoemd in artikel")
    thisalinea.textcontent.append("228, wordt voldaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Indien het kind is of ..."
    thisalinea.nativeID = 968
    thisalinea.parentID = 964
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Indien het kind is of wordt geboren binnen de relatie van de adoptant en de ouder, en het kind door en tengevolge van kunstmatige donorbevruchting als bedoeld in artikel 1, onder c, van de Wet donorgegevens kunstmatige bevruchting is verwekt en een door de stichting, bedoeld in die wet, ter bevestiging hiervan afgegeven verklaring wordt overgelegd waaruit blijkt dat de identiteit van de donor aan de vrouw bij wie de kunstmatige donorbevruchting heeft plaatsgevonden onbekend is, wordt het verzoek toegewezen, tenzij de adoptie kennelijk niet in het belang van het kind is of niet is voldaan aan de voorwaarden, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Indien het kind is of wordt geboren binnen de relatie van de adoptant en de ouder, en het")
    thisalinea.textcontent.append("kind door en tengevolge van kunstmatige donorbevruchting als bedoeld in artikel 1,")
    thisalinea.textcontent.append("onder c, van de Wet donorgegevens kunstmatige bevruchting is verwekt en een door de")
    thisalinea.textcontent.append("stichting, bedoeld in die wet, ter bevestiging hiervan afgegeven verklaring wordt")
    thisalinea.textcontent.append("overgelegd waaruit blijkt dat de identiteit van de donor aan de vrouw bij wie de")
    thisalinea.textcontent.append("kunstmatige donorbevruchting heeft plaatsgevonden onbekend is, wordt het verzoek")
    thisalinea.textcontent.append("toegewezen, tenzij de adoptie kennelijk niet in het belang van het kind is of niet is voldaan")
    thisalinea.textcontent.append("aan de voorwaarden, genoemd in artikel 228.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Zijn de voornamen van het ..."
    thisalinea.nativeID = 969
    thisalinea.parentID = 964
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Zijn de voornamen van het kind niet bekend, dan stelt de rechter, nadat hij de adoptant of adoptanten en het kind, indien dat twaalf jaren of ouder is, heeft gehoord, bij de adoptiebeschikking tevens een of meer voornamen vast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Zijn de voornamen van het kind niet bekend, dan stelt de rechter, nadat hij de adoptant of")
    thisalinea.textcontent.append("adoptanten en het kind, indien dat twaalf jaren of ouder is, heeft gehoord, bij de")
    thisalinea.textcontent.append("adoptiebeschikking tevens een of meer voornamen vast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. In zaken van adoptie is ..."
    thisalinea.nativeID = 970
    thisalinea.parentID = 964
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. In zaken van adoptie is de minderjarige ouder bekwaam in rechte op te treden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. In zaken van adoptie is de minderjarige ouder bekwaam in rechte op te treden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 228"
    thisalinea.nativeID = 971
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 360
    thisalinea.summary = "1. Voorwaarden voor adoptie zijn: a. dat het kind op de dag van het eerste verzoek minderjarig is, en dat het kind, indien het op de dag van het verzoek twaalf jaren of ouder is, ter gelegenheid van zijn verhoor niet van bezwaren tegen toewijzing van het verzoek heeft doen blijken; hetzelfde geldt, indien de rechter is gebleken van bezwaren tegen toewijzing van het verzoek van een minderjarige die op de dag van het verzoek de leeftijd van twaalf jaren nog niet heeft bereikt, maar in staat kan worden geacht tot een redelijke waardering van zijn belangen ter zake; b. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Voorwaarden voor adoptie zijn: "
    thisalinea.nativeID = 972
    thisalinea.parentID = 971
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Voorwaarden voor adoptie zijn: a. dat het kind op de dag van het eerste verzoek minderjarig is, en dat het kind, indien het op de dag van het verzoek twaalf jaren of ouder is, ter gelegenheid van zijn verhoor niet van bezwaren tegen toewijzing van het verzoek heeft doen blijken; hetzelfde geldt, indien de rechter is gebleken van bezwaren tegen toewijzing van het verzoek van een minderjarige die op de dag van het verzoek de leeftijd van twaalf jaren nog niet heeft bereikt, maar in staat kan worden geacht tot een redelijke waardering van zijn belangen ter zake; b. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Voorwaarden voor adoptie zijn:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. dat het kind op de ..."
    thisalinea.nativeID = 973
    thisalinea.parentID = 972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. dat het kind op de dag van het eerste verzoek minderjarig is, en dat het kind, indien het op de dag van het verzoek twaalf jaren of ouder is, ter gelegenheid van zijn verhoor niet van bezwaren tegen toewijzing van het verzoek heeft doen blijken; hetzelfde geldt, indien de rechter is gebleken van bezwaren tegen toewijzing van het verzoek van een minderjarige die op de dag van het verzoek de leeftijd van twaalf jaren nog niet heeft bereikt, maar in staat kan worden geacht tot een redelijke waardering van zijn belangen ter zake; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. dat het kind op de dag van het eerste verzoek minderjarig is, en dat het kind, indien")
    thisalinea.textcontent.append("het op de dag van het verzoek twaalf jaren of ouder is, ter gelegenheid van zijn")
    thisalinea.textcontent.append("verhoor niet van bezwaren tegen toewijzing van het verzoek heeft doen blijken;")
    thisalinea.textcontent.append("hetzelfde geldt, indien de rechter is gebleken van bezwaren tegen toewijzing van het")
    thisalinea.textcontent.append("verzoek van een minderjarige die op de dag van het verzoek de leeftijd van twaalf")
    thisalinea.textcontent.append("jaren nog niet heeft bereikt, maar in staat kan worden geacht tot een redelijke")
    thisalinea.textcontent.append("waardering van zijn belangen ter zake;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. dat het kind niet is ..."
    thisalinea.nativeID = 974
    thisalinea.parentID = 972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. dat het kind niet is een kleinkind van een adoptant; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. dat het kind niet is een kleinkind van een adoptant;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. dat de adoptant of ieder ..."
    thisalinea.nativeID = 975
    thisalinea.parentID = 972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. dat de adoptant of ieder der adoptanten ten minste achttien jaren ouder dan het kind is; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. dat de adoptant of ieder der adoptanten ten minste achttien jaren ouder dan het kind")
    thisalinea.textcontent.append("is;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. dat geen der ouders het ..."
    thisalinea.nativeID = 976
    thisalinea.parentID = 972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. dat geen der ouders het verzoek tegenspreekt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. dat geen der ouders het verzoek tegenspreekt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. dat de minderjarige moeder van ..."
    thisalinea.nativeID = 977
    thisalinea.parentID = 972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. dat de minderjarige moeder van het kind op de dag van het verzoek de leeftijd van zestien jaren heeft bereikt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. dat de minderjarige moeder van het kind op de dag van het verzoek de leeftijd van")
    thisalinea.textcontent.append("zestien jaren heeft bereikt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "f. dat de adoptant of de ..."
    thisalinea.nativeID = 978
    thisalinea.parentID = 972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "f. dat de adoptant of de adoptanten het kind gedurende ten minste een jaar heeft of hebben verzorgd en opgevoed; indien de echtgenoot, geregistreerde partner of andere levensgezel van de ouder of adoptiefouder het kind adopteert en zij gezamenlijk het kind gedurende ten minste een jaar hebben verzorgd en opgevoed wordt de periode van een jaar voor de echtgenoot, geregistreerde partner of andere levensgezel gerekend vanaf het moment van feitelijk gezamenlijk verzorgen en opvoeden; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("f. dat de adoptant of de adoptanten het kind gedurende ten minste een jaar heeft of")
    thisalinea.textcontent.append("hebben verzorgd en opgevoed; indien de echtgenoot, geregistreerde partner of")
    thisalinea.textcontent.append("andere levensgezel van de ouder of adoptiefouder het kind adopteert en zij")
    thisalinea.textcontent.append("gezamenlijk het kind gedurende ten minste een jaar hebben verzorgd en opgevoed")
    thisalinea.textcontent.append("wordt de periode van een jaar voor de echtgenoot, geregistreerde partner of andere")
    thisalinea.textcontent.append("levensgezel gerekend vanaf het moment van feitelijk gezamenlijk verzorgen en")
    thisalinea.textcontent.append("opvoeden;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "g. dat de ouder of ouders ..."
    thisalinea.nativeID = 979
    thisalinea.parentID = 972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "g. dat de ouder of ouders niet of niet langer het gezag over het kind hebben. Indien evenwel de echtgenoot, geregistreerde partner of andere levensgezel van de ouder het kind adopteert, geldt dat deze ouder alleen of samen met voornoemde echtgenoot, geregistreerde partner of andere levensgezel het gezag heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("g. dat de ouder of ouders niet of niet langer het gezag over het kind hebben. Indien")
    thisalinea.textcontent.append("evenwel de echtgenoot, geregistreerde partner of andere levensgezel van de ouder")
    thisalinea.textcontent.append("het kind adopteert, geldt dat deze ouder alleen of samen met voornoemde echtgenoot,")
    thisalinea.textcontent.append("geregistreerde partner of andere levensgezel het gezag heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Aan de tegenspraak van een ..."
    thisalinea.nativeID = 980
    thisalinea.parentID = 971
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Aan de tegenspraak van een ouder als bedoeld in het eerste lid, onder d, kan worden voorbijgegaan: a. indien het kind en de ouder niet of nauwelijks in gezinsverband hebben samengeleefd; of b. indien de ouder het gezag over het kind heeft misbruikt of de verzorging en opvoeding van het kind op grove wijze heeft verwaarloosd; of c. indien de ouder onherroepelijk is veroordeeld wegens het plegen tegen de minderjarige van een van de misdrijven, omschreven in de titels XIII tot en met XV en XVIII tot en met XX van het tweede boek van het Wetboek van Strafrecht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Aan de tegenspraak van een ouder als bedoeld in het eerste lid, onder d, kan worden")
    thisalinea.textcontent.append("voorbijgegaan:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. indien het kind en de ..."
    thisalinea.nativeID = 981
    thisalinea.parentID = 980
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. indien het kind en de ouder niet of nauwelijks in gezinsverband hebben samengeleefd; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. indien het kind en de ouder niet of nauwelijks in gezinsverband hebben samengeleefd;")
    thisalinea.textcontent.append("of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. indien de ouder het gezag ..."
    thisalinea.nativeID = 982
    thisalinea.parentID = 980
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. indien de ouder het gezag over het kind heeft misbruikt of de verzorging en opvoeding van het kind op grove wijze heeft verwaarloosd; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. indien de ouder het gezag over het kind heeft misbruikt of de verzorging en opvoeding")
    thisalinea.textcontent.append("van het kind op grove wijze heeft verwaarloosd; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. indien de ouder onherroepelijk is ..."
    thisalinea.nativeID = 983
    thisalinea.parentID = 980
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. indien de ouder onherroepelijk is veroordeeld wegens het plegen tegen de minderjarige van een van de misdrijven, omschreven in de titels XIII tot en met XV en XVIII tot en met XX van het tweede boek van het Wetboek van Strafrecht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. indien de ouder onherroepelijk is veroordeeld wegens het plegen tegen de")
    thisalinea.textcontent.append("minderjarige van een van de misdrijven, omschreven in de titels XIII tot en met XV en")
    thisalinea.textcontent.append("XVIII tot en met XX van het tweede boek van het Wetboek van Strafrecht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De voorwaarde, bedoeld in het ..."
    thisalinea.nativeID = 984
    thisalinea.parentID = 971
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De voorwaarde, bedoeld in het eerste lid, onder f, geldt niet indien het kind wordt geboren binnen de relatie van de moeder met een levensgezel van gelijk geslacht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De voorwaarde, bedoeld in het eerste lid, onder f, geldt niet indien het kind wordt geboren")
    thisalinea.textcontent.append("binnen de relatie van de moeder met een levensgezel van gelijk geslacht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 229"
    thisalinea.nativeID = 985
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 361
    thisalinea.summary = "1. Door adoptie komen de geadopteerde, de adoptiefouder en zijn bloedverwanten of de adoptiefouders en hun bloedverwanten in familierechtelijke betrekking tot elkaar te staan. 2. Tegelijkertijd houdt de familierechtelijke betrekking tussen de geadopteerde, zijn oorspronkelijke ouders en hun bloedverwanten op te bestaan. 3. In afwijking van het tweede lid blijft de familierechtelijke betrekking tussen de geadopteerde en zijn ouder en diens bloedverwanten bestaan, indien de echtgenoot, geregistreerde partner of andere levensgezel van die ouder het kind adopteert. 4. De adoptiefouders die niet met elkaar zijn gehuwd of door een geregistreerd partnerschap zijn verbonden oefenen door adoptie het gezag over de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Door adoptie komen de geadopteerde, ..."
    thisalinea.nativeID = 986
    thisalinea.parentID = 985
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Door adoptie komen de geadopteerde, de adoptiefouder en zijn bloedverwanten of de adoptiefouders en hun bloedverwanten in familierechtelijke betrekking tot elkaar te staan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Door adoptie komen de geadopteerde, de adoptiefouder en zijn bloedverwanten of de")
    thisalinea.textcontent.append("adoptiefouders en hun bloedverwanten in familierechtelijke betrekking tot elkaar te staan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Tegelijkertijd houdt de familierechtelijke betrekking ..."
    thisalinea.nativeID = 987
    thisalinea.parentID = 985
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Tegelijkertijd houdt de familierechtelijke betrekking tussen de geadopteerde, zijn oorspronkelijke ouders en hun bloedverwanten op te bestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Tegelijkertijd houdt de familierechtelijke betrekking tussen de geadopteerde, zijn")
    thisalinea.textcontent.append("oorspronkelijke ouders en hun bloedverwanten op te bestaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In afwijking van het tweede ..."
    thisalinea.nativeID = 988
    thisalinea.parentID = 985
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In afwijking van het tweede lid blijft de familierechtelijke betrekking tussen de geadopteerde en zijn ouder en diens bloedverwanten bestaan, indien de echtgenoot, geregistreerde partner of andere levensgezel van die ouder het kind adopteert. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In afwijking van het tweede lid blijft de familierechtelijke betrekking tussen de")
    thisalinea.textcontent.append("geadopteerde en zijn ouder en diens bloedverwanten bestaan, indien de echtgenoot,")
    thisalinea.textcontent.append("geregistreerde partner of andere levensgezel van die ouder het kind adopteert.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De adoptiefouders die niet met ..."
    thisalinea.nativeID = 989
    thisalinea.parentID = 985
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De adoptiefouders die niet met elkaar zijn gehuwd of door een geregistreerd partnerschap zijn verbonden oefenen door adoptie het gezag over de geadopteerde gezamenlijk uit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De adoptiefouders die niet met elkaar zijn gehuwd of door een geregistreerd partnerschap")
    thisalinea.textcontent.append("zijn verbonden oefenen door adoptie het gezag over de geadopteerde gezamenlijk uit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Indien het kind op het ..."
    thisalinea.nativeID = 990
    thisalinea.parentID = 985
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Indien het kind op het tijdstip van de adoptie omgang heeft met een ouder ten aanzien van wie de familierechtelijke betrekking ophoudt te bestaan, kan de rechtbank bepalen dat zij gerechtigd blijven tot omgang met elkaar. De artikelen 377a, tweede en derde lid, 377e en 377g zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Indien het kind op het tijdstip van de adoptie omgang heeft met een ouder ten aanzien")
    thisalinea.textcontent.append("van wie de familierechtelijke betrekking ophoudt te bestaan, kan de rechtbank bepalen dat")
    thisalinea.textcontent.append("zij gerechtigd blijven tot omgang met elkaar. De artikelen 377a, tweede en derde lid, 377e")
    thisalinea.textcontent.append("en 377g zijn van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 230"
    thisalinea.nativeID = 991
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 362
    thisalinea.summary = "1. De adoptie heeft haar gevolgen van de dag, waarop de uitspraak in kracht van gewijsde is gegaan. 2. Indien het kind is geboren binnen de relatie van de ouder en de adoptant en de adoptie voor de geboorte van het kind is verzocht, werkt deze terug tot het tijdstip van geboorte van het kind; indien de adoptie uiterlijk zes maanden na de geboorte van het kind is verzocht, werkt deze terug tot het tijdstip van indiening van het verzoek. Het bepaalde in de eerste volzin is niet van toepassing indien voor de adoptie familierechtelijke betrekkingen waren gevestigd tussen het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De adoptie heeft haar gevolgen ..."
    thisalinea.nativeID = 992
    thisalinea.parentID = 991
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De adoptie heeft haar gevolgen van de dag, waarop de uitspraak in kracht van gewijsde is gegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De adoptie heeft haar gevolgen van de dag, waarop de uitspraak in kracht van gewijsde is")
    thisalinea.textcontent.append("gegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het kind is geboren ..."
    thisalinea.nativeID = 993
    thisalinea.parentID = 991
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het kind is geboren binnen de relatie van de ouder en de adoptant en de adoptie voor de geboorte van het kind is verzocht, werkt deze terug tot het tijdstip van geboorte van het kind; indien de adoptie uiterlijk zes maanden na de geboorte van het kind is verzocht, werkt deze terug tot het tijdstip van indiening van het verzoek. Het bepaalde in de eerste volzin is niet van toepassing indien voor de adoptie familierechtelijke betrekkingen waren gevestigd tussen het kind en een andere ouder en deze door de adoptie zijn verbroken. De adoptie kan in het geval, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het kind is geboren binnen de relatie van de ouder en de adoptant en de adoptie")
    thisalinea.textcontent.append("voor de geboorte van het kind is verzocht, werkt deze terug tot het tijdstip van geboorte")
    thisalinea.textcontent.append("van het kind; indien de adoptie uiterlijk zes maanden na de geboorte van het kind is")
    thisalinea.textcontent.append("verzocht, werkt deze terug tot het tijdstip van indiening van het verzoek. Het bepaalde in")
    thisalinea.textcontent.append("de eerste volzin is niet van toepassing indien voor de adoptie familierechtelijke")
    thisalinea.textcontent.append("betrekkingen waren gevestigd tussen het kind en een andere ouder en deze door de")
    thisalinea.textcontent.append("adoptie zijn verbroken. De adoptie kan in het geval, bedoeld in de eerste volzin, ook")
    thisalinea.textcontent.append("worden uitgesproken indien de adoptant na indiening van het verzoek is overleden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De adoptie blijft haar gevolgen ..."
    thisalinea.nativeID = 994
    thisalinea.parentID = 991
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De adoptie blijft haar gevolgen behouden, ook al zou blijken, dat de rechter de door artikel 228 van dit boek gestelde voorwaarden ten onrechte als vervuld zou hebben aangenomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De adoptie blijft haar gevolgen behouden, ook al zou blijken, dat de rechter de door artikel")
    thisalinea.textcontent.append("228 van dit boek gestelde voorwaarden ten onrechte als vervuld zou hebben")
    thisalinea.textcontent.append("aangenomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 231"
    thisalinea.nativeID = 995
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 363
    thisalinea.summary = "1. De adoptie kan door een uitspraak van de rechtbank op verzoek van de geadopteerde worden herroepen. 2. Het verzoek kan alleen worden toegewezen, indien de herroeping in het kennelijk belang van de geadopteerde is, de rechter van de redelijkheid der herroeping in gemoede overtuigd is, en het verzoek is ingediend niet eerder dan twee jaren en niet later dan vijf jaren na de dag, waarop de geadopteerde meerderjarig is geworden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De adoptie kan door een ..."
    thisalinea.nativeID = 996
    thisalinea.parentID = 995
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De adoptie kan door een uitspraak van de rechtbank op verzoek van de geadopteerde worden herroepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De adoptie kan door een uitspraak van de rechtbank op verzoek van de geadopteerde")
    thisalinea.textcontent.append("worden herroepen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het verzoek kan alleen worden ..."
    thisalinea.nativeID = 997
    thisalinea.parentID = 995
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het verzoek kan alleen worden toegewezen, indien de herroeping in het kennelijk belang van de geadopteerde is, de rechter van de redelijkheid der herroeping in gemoede overtuigd is, en het verzoek is ingediend niet eerder dan twee jaren en niet later dan vijf jaren na de dag, waarop de geadopteerde meerderjarig is geworden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het verzoek kan alleen worden toegewezen, indien de herroeping in het kennelijk belang")
    thisalinea.textcontent.append("van de geadopteerde is, de rechter van de redelijkheid der herroeping in gemoede")
    thisalinea.textcontent.append("overtuigd is, en het verzoek is ingediend niet eerder dan twee jaren en niet later dan vijf")
    thisalinea.textcontent.append("jaren na de dag, waarop de geadopteerde meerderjarig is geworden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 232"
    thisalinea.nativeID = 998
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 364
    thisalinea.summary = "1. Door herroeping van de adoptie houdt de familierechtelijke betrekking tussen de geadopteerde en zijn kinderen enerzijds en de adoptiefouder of adoptiefouders en zijn bloedverwanten anderzijds op te bestaan. 2. De familierechtelijke betrekking die door de adoptie opgehouden had te bestaan, herleeft door de herroeping. 3. Artikel 230 vindt ten aanzien van de herroeping overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Door herroeping van de adoptie ..."
    thisalinea.nativeID = 999
    thisalinea.parentID = 998
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Door herroeping van de adoptie houdt de familierechtelijke betrekking tussen de geadopteerde en zijn kinderen enerzijds en de adoptiefouder of adoptiefouders en zijn bloedverwanten anderzijds op te bestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Door herroeping van de adoptie houdt de familierechtelijke betrekking tussen de")
    thisalinea.textcontent.append("geadopteerde en zijn kinderen enerzijds en de adoptiefouder of adoptiefouders en zijn")
    thisalinea.textcontent.append("bloedverwanten anderzijds op te bestaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De familierechtelijke betrekking die door ..."
    thisalinea.nativeID = 1000
    thisalinea.parentID = 998
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De familierechtelijke betrekking die door de adoptie opgehouden had te bestaan, herleeft door de herroeping. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De familierechtelijke betrekking die door de adoptie opgehouden had te bestaan, herleeft")
    thisalinea.textcontent.append("door de herroeping.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Artikel 230 vindt ten aanzien ..."
    thisalinea.nativeID = 1001
    thisalinea.parentID = 998
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Artikel 230 vindt ten aanzien van de herroeping overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Artikel 230 vindt ten aanzien van de herroeping overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 13. Minderjarigheid Afdeling 1. Algemene bepalingen"
    thisalinea.nativeID = 1002
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 365
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 233"
    thisalinea.nativeID = 1003
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 366
    thisalinea.summary = "Minderjarigen zijn zij die de leeftijd van achttien jaren niet hebben bereikt en evenmin met toepassing van artikel 253ha meerderjarig zijn verklaard. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Minderjarigen zijn zij die de leeftijd van achttien jaren niet hebben bereikt en evenmin met")
    thisalinea.textcontent.append("toepassing van artikel 253ha meerderjarig zijn verklaard.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 234"
    thisalinea.nativeID = 1004
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 367
    thisalinea.summary = "1. Een minderjarige is, mits hij met toestemming van zijn wettelijke vertegenwoordiger handelt, bekwaam rechtshandelingen te verrichten, voor zover de wet niet anders bepaalt. 2. De toestemming kan slechts worden verleend voor een bepaalde rechtshandeling of voor een bepaald doel. 3. De toestemming wordt aan de minderjarige verondersteld te zijn verleend, indien het een rechtshandeling betreft ten aanzien waarvan in het maatschappelijk verkeer gebruikelijk is dat minderjarigen van zijn leeftijd deze zelfstandig verrichten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een minderjarige is, mits hij ..."
    thisalinea.nativeID = 1005
    thisalinea.parentID = 1004
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een minderjarige is, mits hij met toestemming van zijn wettelijke vertegenwoordiger handelt, bekwaam rechtshandelingen te verrichten, voor zover de wet niet anders bepaalt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een minderjarige is, mits hij met toestemming van zijn wettelijke vertegenwoordiger")
    thisalinea.textcontent.append("handelt, bekwaam rechtshandelingen te verrichten, voor zover de wet niet anders bepaalt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De toestemming kan slechts worden ..."
    thisalinea.nativeID = 1006
    thisalinea.parentID = 1004
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De toestemming kan slechts worden verleend voor een bepaalde rechtshandeling of voor een bepaald doel. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De toestemming kan slechts worden verleend voor een bepaalde rechtshandeling of voor")
    thisalinea.textcontent.append("een bepaald doel.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De toestemming wordt aan de ..."
    thisalinea.nativeID = 1007
    thisalinea.parentID = 1004
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De toestemming wordt aan de minderjarige verondersteld te zijn verleend, indien het een rechtshandeling betreft ten aanzien waarvan in het maatschappelijk verkeer gebruikelijk is dat minderjarigen van zijn leeftijd deze zelfstandig verrichten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De toestemming wordt aan de minderjarige verondersteld te zijn verleend, indien het een")
    thisalinea.textcontent.append("rechtshandeling betreft ten aanzien waarvan in het maatschappelijk verkeer gebruikelijk is")
    thisalinea.textcontent.append("dat minderjarigen van zijn leeftijd deze zelfstandig verrichten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Handlichting"
    thisalinea.nativeID = 1008
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 368
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 235"
    thisalinea.nativeID = 1009
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 369
    thisalinea.summary = "1. Handlichting waarbij aan een minderjarige bepaalde bevoegdheden van een meerderjarige worden toegekend, kan wanneer de minderjarige de leeftijd van zestien jaren heeft bereikt, op zijn verzoek door de kantonrechter worden verleend. 2. Zij wordt niet verleend tegen de wil van de ouders voor zover deze het gezag over de minderjarige uitoefenen, met inachtneming nochtans van artikel 253a, eerste lid. 3. Bij het verlenen van handlichting bepaalt de kantonrechter uitdrukkelijk, welke bevoegdheden van een meerderjarige aan de minderjarige worden toegekend. Deze bevoegdheden mogen zich niet verder uitstrekken dan tot de gedeeltelijke of de gehele ontvangst van zijn inkomsten en de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Handlichting waarbij aan een minderjarige ..."
    thisalinea.nativeID = 1010
    thisalinea.parentID = 1009
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Handlichting waarbij aan een minderjarige bepaalde bevoegdheden van een meerderjarige worden toegekend, kan wanneer de minderjarige de leeftijd van zestien jaren heeft bereikt, op zijn verzoek door de kantonrechter worden verleend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Handlichting waarbij aan een minderjarige bepaalde bevoegdheden van een")
    thisalinea.textcontent.append("meerderjarige worden toegekend, kan wanneer de minderjarige de leeftijd van zestien")
    thisalinea.textcontent.append("jaren heeft bereikt, op zijn verzoek door de kantonrechter worden verleend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zij wordt niet verleend tegen ..."
    thisalinea.nativeID = 1011
    thisalinea.parentID = 1009
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zij wordt niet verleend tegen de wil van de ouders voor zover deze het gezag over de minderjarige uitoefenen, met inachtneming nochtans van artikel 253a, eerste lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zij wordt niet verleend tegen de wil van de ouders voor zover deze het gezag over de")
    thisalinea.textcontent.append("minderjarige uitoefenen, met inachtneming nochtans van artikel 253a, eerste lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Bij het verlenen van handlichting ..."
    thisalinea.nativeID = 1012
    thisalinea.parentID = 1009
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Bij het verlenen van handlichting bepaalt de kantonrechter uitdrukkelijk, welke bevoegdheden van een meerderjarige aan de minderjarige worden toegekend. Deze bevoegdheden mogen zich niet verder uitstrekken dan tot de gedeeltelijke of de gehele ontvangst van zijn inkomsten en de beschikking daarover, het sluiten van verhuringen en verpachtingen, het in een vennootschap deelnemen en het uitoefenen van een beroep of bedrijf. De minderjarige wordt echter door handlichting niet bekwaam tot het beschikken over registergoederen, effecten, of door hypotheek gedekte vorderingen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Bij het verlenen van handlichting bepaalt de kantonrechter uitdrukkelijk, welke")
    thisalinea.textcontent.append("bevoegdheden van een meerderjarige aan de minderjarige worden toegekend. Deze")
    thisalinea.textcontent.append("bevoegdheden mogen zich niet verder uitstrekken dan tot de gedeeltelijke of de gehele")
    thisalinea.textcontent.append("ontvangst van zijn inkomsten en de beschikking daarover, het sluiten van verhuringen en")
    thisalinea.textcontent.append("verpachtingen, het in een vennootschap deelnemen en het uitoefenen van een beroep of")
    thisalinea.textcontent.append("bedrijf. De minderjarige wordt echter door handlichting niet bekwaam tot het beschikken")
    thisalinea.textcontent.append("over registergoederen, effecten, of door hypotheek gedekte vorderingen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Hij kan ter zake van ..."
    thisalinea.nativeID = 1013
    thisalinea.parentID = 1009
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Hij kan ter zake van de handlichting zelf en van handelingen, waartoe hij krachtens de verkregen handlichting bekwaam is, eisende of verwerende in rechte optreden. Artikel 12 lid 1 van dit boek geldt voor die handelingen niet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Hij kan ter zake van de handlichting zelf en van handelingen, waartoe hij krachtens de")
    thisalinea.textcontent.append("verkregen handlichting bekwaam is, eisende of verwerende in rechte optreden. Artikel 12")
    thisalinea.textcontent.append("lid 1 van dit boek geldt voor die handelingen niet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 236"
    thisalinea.nativeID = 1014
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 370
    thisalinea.summary = "zover deze het gezag over hem uitoefenen en met inachtneming van artikel 253a, eerste lid, of op verzoek van de voogd. 1. Een verleende handlichting kan door de kantonrechter worden ingetrokken, indien de minderjarige daarvan misbruik maakt of er gegronde vrees bestaat dat hij dit zal doen. 2. De intrekking geschiedt op verzoek van een van de ouders van de minderjarige, voor "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("zover deze het gezag over hem uitoefenen en met inachtneming van artikel 253a, eerste")
    thisalinea.textcontent.append("lid, of op verzoek van de voogd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een verleende handlichting kan door ..."
    thisalinea.nativeID = 1015
    thisalinea.parentID = 1014
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een verleende handlichting kan door de kantonrechter worden ingetrokken, indien de minderjarige daarvan misbruik maakt of er gegronde vrees bestaat dat hij dit zal doen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een verleende handlichting kan door de kantonrechter worden ingetrokken, indien de")
    thisalinea.textcontent.append("minderjarige daarvan misbruik maakt of er gegronde vrees bestaat dat hij dit zal doen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De intrekking geschiedt op verzoek ..."
    thisalinea.nativeID = 1016
    thisalinea.parentID = 1014
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De intrekking geschiedt op verzoek van een van de ouders van de minderjarige, voor "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De intrekking geschiedt op verzoek van een van de ouders van de minderjarige, voor")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 237"
    thisalinea.nativeID = 1017
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 371
    thisalinea.summary = "1. Een beschikking waarbij handlichting is verleend of ingetrokken, moet worden bekend gemaakt in de Staatscourant en in twee in de beschikking aan te wijzen dagbladen. 2. In de bekendmaking moet nauwkeurig worden vermeld hoedanig, en tot welk einde zij is verleend. Vóór de bekendmaking werkt zomin de handlichting als haar intrekking tegen derden die hiervan onkundig waren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een beschikking waarbij handlichting is ..."
    thisalinea.nativeID = 1018
    thisalinea.parentID = 1017
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een beschikking waarbij handlichting is verleend of ingetrokken, moet worden bekend gemaakt in de Staatscourant en in twee in de beschikking aan te wijzen dagbladen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een beschikking waarbij handlichting is verleend of ingetrokken, moet worden bekend")
    thisalinea.textcontent.append("gemaakt in de Staatscourant en in twee in de beschikking aan te wijzen dagbladen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In de bekendmaking moet nauwkeurig ..."
    thisalinea.nativeID = 1019
    thisalinea.parentID = 1017
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In de bekendmaking moet nauwkeurig worden vermeld hoedanig, en tot welk einde zij is verleend. Vóór de bekendmaking werkt zomin de handlichting als haar intrekking tegen derden die hiervan onkundig waren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In de bekendmaking moet nauwkeurig worden vermeld hoedanig, en tot welk einde zij is")
    thisalinea.textcontent.append("verleend. Vóór de bekendmaking werkt zomin de handlichting als haar intrekking tegen")
    thisalinea.textcontent.append("derden die hiervan onkundig waren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3. De raad voor de kinderbescherming"
    thisalinea.nativeID = 1020
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 372
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 238"
    thisalinea.nativeID = 1021
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 373
    thisalinea.summary = "1. Er is één raad voor de kinderbescherming. 2. De wet bepaalt de taken en bevoegdheden van de raad voor de kinderbescherming. Deze worden door de raad voor de kinderbescherming namens onze Minister van Justitie uitgevoerd. 3. Ten behoeve van de vervulling van zijn taak houdt de raad zich in ieder geval op de hoogte van de ontwikkeling van de kinderbescherming, bevordert hij de samenwerking met de instellingen van kinderbescherming en jeugdhulpverlening en dient hij op verzoek of uit eigen beweging autoriteiten en instellingen van advies. 4. Zijn bemoeiingen laten de godsdienstige of levensbeschouwelijke grondslag van de instellingen van kinderbescherming "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Er is één raad voor ..."
    thisalinea.nativeID = 1022
    thisalinea.parentID = 1021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Er is één raad voor de kinderbescherming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Er is één raad voor de kinderbescherming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De wet bepaalt de taken ..."
    thisalinea.nativeID = 1023
    thisalinea.parentID = 1021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De wet bepaalt de taken en bevoegdheden van de raad voor de kinderbescherming. Deze worden door de raad voor de kinderbescherming namens onze Minister van Justitie uitgevoerd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De wet bepaalt de taken en bevoegdheden van de raad voor de kinderbescherming. Deze")
    thisalinea.textcontent.append("worden door de raad voor de kinderbescherming namens onze Minister van Justitie")
    thisalinea.textcontent.append("uitgevoerd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Ten behoeve van de vervulling ..."
    thisalinea.nativeID = 1024
    thisalinea.parentID = 1021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Ten behoeve van de vervulling van zijn taak houdt de raad zich in ieder geval op de hoogte van de ontwikkeling van de kinderbescherming, bevordert hij de samenwerking met de instellingen van kinderbescherming en jeugdhulpverlening en dient hij op verzoek of uit eigen beweging autoriteiten en instellingen van advies. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Ten behoeve van de vervulling van zijn taak houdt de raad zich in ieder geval op de")
    thisalinea.textcontent.append("hoogte van de ontwikkeling van de kinderbescherming, bevordert hij de samenwerking")
    thisalinea.textcontent.append("met de instellingen van kinderbescherming en jeugdhulpverlening en dient hij op verzoek")
    thisalinea.textcontent.append("of uit eigen beweging autoriteiten en instellingen van advies.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Zijn bemoeiingen laten de godsdienstige ..."
    thisalinea.nativeID = 1025
    thisalinea.parentID = 1021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Zijn bemoeiingen laten de godsdienstige of levensbeschouwelijke grondslag van de instellingen van kinderbescherming onverlet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Zijn bemoeiingen laten de godsdienstige of levensbeschouwelijke grondslag van de")
    thisalinea.textcontent.append("instellingen van kinderbescherming onverlet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 1026
    thisalinea.parentID = 1021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Bij algemene maatregel van bestuur worden de zetel, de werkwijze, voor zover het de samenwerking met de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet, betreft en de organisatie van de raad geregeld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Bij algemene maatregel van bestuur worden de zetel, de werkwijze, voor zover het de")
    thisalinea.textcontent.append("samenwerking met de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet,")
    thisalinea.textcontent.append("betreft en de organisatie van de raad geregeld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 239"
    thisalinea.nativeID = 1027
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 374
    thisalinea.summary = "1. De raad voor de kinderbescherming kan optreden ten behoeve van minderjarigen die in Nederland hetzij hun woonplaats of laatste woonplaats, hetzij hun werkelijk verblijf hebben. Eveneens kan de raad optreden ten behoeve van Nederlandse minderjarigen die in Nederland noch woonplaats, noch laatste woonplaats, noch werkelijk verblijf hebben. 2. Ten behoeve van de minderjarigen die binnen een arrondissement hetzij hun woonplaats of laatste woonplaats, hetzij hun werkelijk verblijf hebben, treden voor de raad voor de kinderbescherming de in dat arrondissement aanwezige werkeenheden van de raad op. 3. Indien op grond van het vorige lid meer werkeenheden in verschillende arrondissementen bevoegd "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De raad voor de kinderbescherming ..."
    thisalinea.nativeID = 1028
    thisalinea.parentID = 1027
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De raad voor de kinderbescherming kan optreden ten behoeve van minderjarigen die in Nederland hetzij hun woonplaats of laatste woonplaats, hetzij hun werkelijk verblijf hebben. Eveneens kan de raad optreden ten behoeve van Nederlandse minderjarigen die in Nederland noch woonplaats, noch laatste woonplaats, noch werkelijk verblijf hebben. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De raad voor de kinderbescherming kan optreden ten behoeve van minderjarigen die in")
    thisalinea.textcontent.append("Nederland hetzij hun woonplaats of laatste woonplaats, hetzij hun werkelijk verblijf")
    thisalinea.textcontent.append("hebben. Eveneens kan de raad optreden ten behoeve van Nederlandse minderjarigen die")
    thisalinea.textcontent.append("in Nederland noch woonplaats, noch laatste woonplaats, noch werkelijk verblijf hebben.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Ten behoeve van de minderjarigen ..."
    thisalinea.nativeID = 1029
    thisalinea.parentID = 1027
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Ten behoeve van de minderjarigen die binnen een arrondissement hetzij hun woonplaats of laatste woonplaats, hetzij hun werkelijk verblijf hebben, treden voor de raad voor de kinderbescherming de in dat arrondissement aanwezige werkeenheden van de raad op. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Ten behoeve van de minderjarigen die binnen een arrondissement hetzij hun woonplaats")
    thisalinea.textcontent.append("of laatste woonplaats, hetzij hun werkelijk verblijf hebben, treden voor de raad voor de")
    thisalinea.textcontent.append("kinderbescherming de in dat arrondissement aanwezige werkeenheden van de raad op.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien op grond van het ..."
    thisalinea.nativeID = 1030
    thisalinea.parentID = 1027
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien op grond van het vorige lid meer werkeenheden in verschillende arrondissementen bevoegd zouden zijn ten behoeve van een zelfde minderjarige op te treden, doet het optreden van een van deze werkeenheden de bevoegdheid van de ander eindigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien op grond van het vorige lid meer werkeenheden in verschillende arrondissementen")
    thisalinea.textcontent.append("bevoegd zouden zijn ten behoeve van een zelfde minderjarige op te treden, doet het")
    thisalinea.textcontent.append("optreden van een van deze werkeenheden de bevoegdheid van de ander eindigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Ten behoeve van Nederlandse minderjarigen, ..."
    thisalinea.nativeID = 1031
    thisalinea.parentID = 1027
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Ten behoeve van Nederlandse minderjarigen, die in Nederland noch woonplaats, noch laatste woonplaats, noch werkelijk verblijf hebben, treden de werkeenheden van de raad in het arrondissement Amsterdam op voor de raad voor de kinderbescherming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Ten behoeve van Nederlandse minderjarigen, die in Nederland noch woonplaats, noch")
    thisalinea.textcontent.append("laatste woonplaats, noch werkelijk verblijf hebben, treden de werkeenheden van de raad")
    thisalinea.textcontent.append("in het arrondissement Amsterdam op voor de raad voor de kinderbescherming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 1032
    thisalinea.parentID = 1027
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Bij algemene maatregel van bestuur wordt de behandeling van klachten ter zake van een bij de raad in behandeling zijnde of geweest zijnde aangelegenheid van kinderbescherming geregeld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Bij algemene maatregel van bestuur wordt de behandeling van klachten ter zake van een")
    thisalinea.textcontent.append("bij de raad in behandeling zijnde of geweest zijnde aangelegenheid van")
    thisalinea.textcontent.append("kinderbescherming geregeld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 240"
    thisalinea.nativeID = 1033
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 375
    thisalinea.summary = "Degene die op grond van een wettelijk voorschrift of op grond van zijn ambt of beroep tot geheimhouding is verplicht kan, zonder toestemming van degene die het betreft, aan de raad voor de kinderbescherming inlichtingen verstrekken, indien dit noodzakelijk kan worden geacht voor de uitoefening van de taken van de raad. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Degene die op grond van een wettelijk voorschrift of op grond van zijn ambt of beroep tot")
    thisalinea.textcontent.append("geheimhouding is verplicht kan, zonder toestemming van degene die het betreft, aan de raad")
    thisalinea.textcontent.append("voor de kinderbescherming inlichtingen verstrekken, indien dit noodzakelijk kan worden")
    thisalinea.textcontent.append("geacht voor de uitoefening van de taken van de raad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 241"
    thisalinea.nativeID = 1034
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 376
    thisalinea.summary = "1. Indien de raad voor de kinderbescherming blijkt, dat een minderjarige niet onder het wettelijk vereiste gezag staat, of dat dit gezag niet over hem wordt uitgeoefend, verzoekt hij de rechter in de gezagsuitoefening over deze minderjarige te voorzien. 2. De kinderrechter kan op verzoek van de raad voor de kinderbescherming of het openbaar ministerie een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet, belasten met de voorlopige voogdij over de minderjarige indien het dringend en onverwijld noodzakelijk is om in de gezagsuitoefening over de minderjarige te voorzien teneinde de belangen van de minderjarige te kunnen behartigen. 3. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de raad voor de ..."
    thisalinea.nativeID = 1035
    thisalinea.parentID = 1034
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de raad voor de kinderbescherming blijkt, dat een minderjarige niet onder het wettelijk vereiste gezag staat, of dat dit gezag niet over hem wordt uitgeoefend, verzoekt hij de rechter in de gezagsuitoefening over deze minderjarige te voorzien. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de raad voor de kinderbescherming blijkt, dat een minderjarige niet onder het")
    thisalinea.textcontent.append("wettelijk vereiste gezag staat, of dat dit gezag niet over hem wordt uitgeoefend, verzoekt")
    thisalinea.textcontent.append("hij de rechter in de gezagsuitoefening over deze minderjarige te voorzien.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kinderrechter kan op verzoek ..."
    thisalinea.nativeID = 1036
    thisalinea.parentID = 1034
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kinderrechter kan op verzoek van de raad voor de kinderbescherming of het openbaar ministerie een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet, belasten met de voorlopige voogdij over de minderjarige indien het dringend en onverwijld noodzakelijk is om in de gezagsuitoefening over de minderjarige te voorzien teneinde de belangen van de minderjarige te kunnen behartigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kinderrechter kan op verzoek van de raad voor de kinderbescherming of het openbaar")
    thisalinea.textcontent.append("ministerie een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet,")
    thisalinea.textcontent.append("belasten met de voorlopige voogdij over de minderjarige indien het dringend en onverwijld")
    thisalinea.textcontent.append("noodzakelijk is om in de gezagsuitoefening over de minderjarige te voorzien teneinde de")
    thisalinea.textcontent.append("belangen van de minderjarige te kunnen behartigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De in het tweede lid ..."
    thisalinea.nativeID = 1037
    thisalinea.parentID = 1034
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De in het tweede lid bedoelde maatregel kan eveneens worden getroffen indien een minderjarige, die de leeftijd van zes maanden nog niet bereikt heeft en niet staat onder voogdij van een rechtspersoon, zonder voorafgaande schriftelijke toestemming van de raad voor de kinderbescherming als pleegkind is opgenomen. Onder pleegkind wordt in dit verband verstaan: een minderjarige die bij anderen dan zijn ouders, voogd of bloed- en aanverwanten tot en met de derde graad wordt verzorgd en opgevoed, met dien verstande, dat daaronder niet is begrepen: a. een minderjarige, op wiens verzorging en opvoeding krachtens de bepalingen van een andere wet "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De in het tweede lid bedoelde maatregel kan eveneens worden getroffen indien een")
    thisalinea.textcontent.append("minderjarige, die de leeftijd van zes maanden nog niet bereikt heeft en niet staat onder")
    thisalinea.textcontent.append("voogdij van een rechtspersoon, zonder voorafgaande schriftelijke toestemming van de")
    thisalinea.textcontent.append("raad voor de kinderbescherming als pleegkind is opgenomen. Onder pleegkind wordt in")
    thisalinea.textcontent.append("dit verband verstaan: een minderjarige die bij anderen dan zijn ouders, voogd of bloed- en")
    thisalinea.textcontent.append("aanverwanten tot en met de derde graad wordt verzorgd en opgevoed, met dien")
    thisalinea.textcontent.append("verstande, dat daaronder niet is begrepen:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. een minderjarige, op wiens verzorging ..."
    thisalinea.nativeID = 1038
    thisalinea.parentID = 1037
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. een minderjarige, op wiens verzorging en opvoeding krachtens de bepalingen van een andere wet toezicht wordt uitgeoefend door anderen dan zijn ouders of voogd; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. een minderjarige, op wiens verzorging en opvoeding krachtens de bepalingen van een")
    thisalinea.textcontent.append("andere wet toezicht wordt uitgeoefend door anderen dan zijn ouders of voogd;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. een minderjarige, die verzorgd en ..."
    thisalinea.nativeID = 1039
    thisalinea.parentID = 1037
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een minderjarige, die verzorgd en opgevoed wordt in een inrichting, welke, wat betreft de verzorging en opvoeding van de daarin verblijvende minderjarigen, aan toezicht krachtens de bepalingen van een andere wet is onderworpen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een minderjarige, die verzorgd en opgevoed wordt in een inrichting, welke, wat betreft")
    thisalinea.textcontent.append("de verzorging en opvoeding van de daarin verblijvende minderjarigen, aan toezicht")
    thisalinea.textcontent.append("krachtens de bepalingen van een andere wet is onderworpen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De maatregel vervalt na verloop ..."
    thisalinea.nativeID = 1040
    thisalinea.parentID = 1034
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De maatregel vervalt na verloop van drie maanden na de dag van de beschikking, tenzij voor het einde van deze termijn om een voorziening in het gezag over de minderjarige is verzocht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De maatregel vervalt na verloop van drie maanden na de dag van de beschikking, tenzij")
    thisalinea.textcontent.append("voor het einde van deze termijn om een voorziening in het gezag over de minderjarige is")
    thisalinea.textcontent.append("verzocht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De maatregel kan worden ingetrokken ..."
    thisalinea.nativeID = 1041
    thisalinea.parentID = 1034
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De maatregel kan worden ingetrokken of gewijzigd door de kinderrechter die haar heeft bevolen tenzij een verzoek als bedoeld in het vierde lid is ingediend. In dat geval beslist de rechter bij wie dit verzoek aanhangig is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De maatregel kan worden ingetrokken of gewijzigd door de kinderrechter die haar heeft")
    thisalinea.textcontent.append("bevolen tenzij een verzoek als bedoeld in het vierde lid is ingediend. In dat geval beslist")
    thisalinea.textcontent.append("de rechter bij wie dit verzoek aanhangig is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. In afwijking van het tweede ..."
    thisalinea.nativeID = 1042
    thisalinea.parentID = 1034
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. In afwijking van het tweede lid kan de kinderrechter de voorlopige voogdij over een minderjarige door of voor wie een aanvraag tot het verlenen van een verblijfsvergunning voor bepaalde tijd als bedoeld in artikel 28 van de Vreemdelingenwet 2000 is ingediend, en in verband daarmee in Nederland verblijft, alsmede over door Onze Minister van Veiligheid en Justitie aan te wijzen categorieën andere minderjarigen, opdragen aan een rechtspersoon als bedoeld in artikel 302, tweede lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. In afwijking van het tweede lid kan de kinderrechter de voorlopige voogdij over een")
    thisalinea.textcontent.append("minderjarige door of voor wie een aanvraag tot het verlenen van een verblijfsvergunning")
    thisalinea.textcontent.append("voor bepaalde tijd als bedoeld in artikel 28 van de Vreemdelingenwet 2000 is ingediend,")
    thisalinea.textcontent.append("en in verband daarmee in Nederland verblijft, alsmede over door Onze Minister van")
    thisalinea.textcontent.append("Veiligheid en Justitie aan te wijzen categorieën andere minderjarigen, opdragen aan een")
    thisalinea.textcontent.append("rechtspersoon als bedoeld in artikel 302, tweede lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. De raad voor de kinderbescherming ..."
    thisalinea.nativeID = 1043
    thisalinea.parentID = 1034
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. De raad voor de kinderbescherming kan een onderzoek instellen naar de leefsituatie van een minderjarige die duurzaam wordt verzorgd en opgevoed bij anderen dan degenen die het ouderlijke gezag of de voogdij over hem uitoefenen, het gezin waarin hij wordt verzorgd en opgevoed of de wijze waarop het gezag of de voogdij over hem wordt uitgeoefend, indien er een redelijk vermoeden bestaat dat de minderjarige in strijd met een wettelijk voorschrift in dat gezin is opgenomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. De raad voor de kinderbescherming kan een onderzoek instellen naar de leefsituatie van")
    thisalinea.textcontent.append("een minderjarige die duurzaam wordt verzorgd en opgevoed bij anderen dan degenen die")
    thisalinea.textcontent.append("het ouderlijke gezag of de voogdij over hem uitoefenen, het gezin waarin hij wordt")
    thisalinea.textcontent.append("verzorgd en opgevoed of de wijze waarop het gezag of de voogdij over hem wordt")
    thisalinea.textcontent.append("uitgeoefend, indien er een redelijk vermoeden bestaat dat de minderjarige in strijd met")
    thisalinea.textcontent.append("een wettelijk voorschrift in dat gezin is opgenomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 241a"
    thisalinea.nativeID = 1044
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 377
    thisalinea.summary = "Op de uitoefening van de voorlopige voogdij door een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet is artikel 243 van dit Boek van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Op de uitoefening van de voorlopige voogdij door een gecertificeerde instelling als bedoeld in")
    thisalinea.textcontent.append("artikel 1.1 van de Jeugdwet is artikel 243 van dit Boek van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 242"
    thisalinea.nativeID = 1045
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 378
    thisalinea.summary = "De raad voor de kinderbescherming stelt zich op de hoogte van alle gevallen, waarin maatregelen met betrekking tot het gezag over minderjarigen overwogen dienen te worden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De raad voor de kinderbescherming stelt zich op de hoogte van alle gevallen, waarin")
    thisalinea.textcontent.append("maatregelen met betrekking tot het gezag over minderjarigen overwogen dienen te worden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 242a"
    thisalinea.nativeID = 1046
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 379
    thisalinea.summary = "Indien de ene ouder wordt verdacht van het doden van de andere ouder, of indien de ene ouder is veroordeeld wegens het doden van de andere ouder, stelt de raad voor de kinderbescherming een onderzoek in naar de wenselijkheid van een contact- of omgangsregeling van het kind met de ouder die wordt verdacht van of is veroordeeld wegens het doden van de andere ouder, zodra hij van de verdenking of veroordeling in kennis is gesteld. Op basis van dit onderzoek verzoekt de raad voor de kinderbescherming de kinderrechter om een contact- of omgangsregeling vast te stellen of om het contact "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien de ene ouder wordt verdacht van het doden van de andere ouder, of indien de ene")
    thisalinea.textcontent.append("ouder is veroordeeld wegens het doden van de andere ouder, stelt de raad voor de")
    thisalinea.textcontent.append("kinderbescherming een onderzoek in naar de wenselijkheid van een contact- of")
    thisalinea.textcontent.append("omgangsregeling van het kind met de ouder die wordt verdacht van of is veroordeeld wegens")
    thisalinea.textcontent.append("het doden van de andere ouder, zodra hij van de verdenking of veroordeling in kennis is")
    thisalinea.textcontent.append("gesteld. Op basis van dit onderzoek verzoekt de raad voor de kinderbescherming de")
    thisalinea.textcontent.append("kinderrechter om een contact- of omgangsregeling vast te stellen of om het contact of de")
    thisalinea.textcontent.append("omgang te ontzeggen. Een verzoek om het contact of de omgang te ontzeggen vermeldt")
    thisalinea.textcontent.append("tevens de duur van de verzochte ontzegging.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 243"
    thisalinea.nativeID = 1047
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 380
    thisalinea.summary = "1. De colleges van burgemeester en wethouders en ambtenaren van de burgerlijke stand verschaffen de raad voor de kinderbescherming kosteloos alle inlichtingen, en verstrekken de raad kosteloos alle afschriften en uittreksels uit hun registers, die de raad ter uitvoering van zijn taak van hen vraagt. Wanneer de raad voor de kinderbescherming een taak vervult of een bevoegdheid uitoefent op grond van een van de bepalingen van deze titel of van de titels 9, 10, 14, 15 en 17 van dit boek, alsmede op grond van de daarmee verband houdende bepalingen van het Wetboek van Burgerlijke Rechtsvordering, verschaffen de bij algemene "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De colleges van burgemeester en ..."
    thisalinea.nativeID = 1048
    thisalinea.parentID = 1047
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De colleges van burgemeester en wethouders en ambtenaren van de burgerlijke stand verschaffen de raad voor de kinderbescherming kosteloos alle inlichtingen, en verstrekken de raad kosteloos alle afschriften en uittreksels uit hun registers, die de raad ter uitvoering van zijn taak van hen vraagt. Wanneer de raad voor de kinderbescherming een taak vervult of een bevoegdheid uitoefent op grond van een van de bepalingen van deze titel of van de titels 9, 10, 14, 15 en 17 van dit boek, alsmede op grond van de daarmee verband houdende bepalingen van het Wetboek van Burgerlijke Rechtsvordering, verschaffen de bij algemene "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De colleges van burgemeester en wethouders en ambtenaren van de burgerlijke stand")
    thisalinea.textcontent.append("verschaffen de raad voor de kinderbescherming kosteloos alle inlichtingen, en verstrekken")
    thisalinea.textcontent.append("de raad kosteloos alle afschriften en uittreksels uit hun registers, die de raad ter uitvoering")
    thisalinea.textcontent.append("van zijn taak van hen vraagt. Wanneer de raad voor de kinderbescherming een taak")
    thisalinea.textcontent.append("vervult of een bevoegdheid uitoefent op grond van een van de bepalingen van deze titel of")
    thisalinea.textcontent.append("van de titels 9, 10, 14, 15 en 17 van dit boek, alsmede op grond van de daarmee verband")
    thisalinea.textcontent.append("houdende bepalingen van het Wetboek van Burgerlijke Rechtsvordering, verschaffen de")
    thisalinea.textcontent.append("bij algemene maatregel van bestuur aan te wijzen instanties of personen de raad")
    thisalinea.textcontent.append("kosteloos die inlichtingen die voor een goede uitoefening van hun taak noodzakelijk zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Alle verzoeken die de raad ..."
    thisalinea.nativeID = 1049
    thisalinea.parentID = 1047
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Alle verzoeken die de raad voor de kinderbescherming ter uitvoering van zijn taak tot de rechter richt, worden kosteloos behandeld; de grossen, afschriften en uittreksels, die hij tot dat doel aanvraagt, worden hem door de griffiers vrij van alle kosten uitgereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Alle verzoeken die de raad voor de kinderbescherming ter uitvoering van zijn taak tot de")
    thisalinea.textcontent.append("rechter richt, worden kosteloos behandeld; de grossen, afschriften en uittreksels, die hij")
    thisalinea.textcontent.append("tot dat doel aanvraagt, worden hem door de griffiers vrij van alle kosten uitgereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Exploten door de deurwaarders ten ..."
    thisalinea.nativeID = 1050
    thisalinea.parentID = 1047
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Exploten door de deurwaarders ten verzoeke van de raad voor de kinderbescherming uitgebracht, worden volgens het gewone tarief vergoed. Advocaten kunnen voor hun aan de raad voor de kinderbescherming bewezen diensten salaris in rekening brengen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Exploten door de deurwaarders ten verzoeke van de raad voor de kinderbescherming")
    thisalinea.textcontent.append("uitgebracht, worden volgens het gewone tarief vergoed. Advocaten kunnen voor hun aan")
    thisalinea.textcontent.append("de raad voor de kinderbescherming bewezen diensten salaris in rekening brengen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Wanneer de raad voor de ..."
    thisalinea.nativeID = 1051
    thisalinea.parentID = 1047
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Wanneer de raad voor de kinderbescherming op grond van een van de bepalingen van deze titel, of van de titels 9, 10, 12, 14, 15 en 17 van dit boek in rechte optreedt, kan hij dit zonder advocaat doen, behalve in zaken waarbij een vordering wordt ingesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Wanneer de raad voor de kinderbescherming op grond van een van de bepalingen van")
    thisalinea.textcontent.append("deze titel, of van de titels 9, 10, 12, 14, 15 en 17 van dit boek in rechte optreedt, kan hij dit")
    thisalinea.textcontent.append("zonder advocaat doen, behalve in zaken waarbij een vordering wordt ingesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 4. Registers betreffende het over minderjarigen uitgeoefende gezag"
    thisalinea.nativeID = 1052
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 381
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 244"
    thisalinea.nativeID = 1053
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 382
    thisalinea.summary = "Bij de rechtbanken, dan wel op een andere bij algemene maatregel van bestuur aan te wijzen plaats of plaatsen, berusten openbare registers, waarin aantekening gehouden wordt van rechtsfeiten die op het over minderjarigen uitgeoefende gezag betrekking hebben. Bij algemene maatregel van bestuur wordt bepaald welke rechtsfeiten aangetekend worden, op welke wijze deze aantekening geschiedt en op welke wijze verstrekking van aangetekende gegevens plaatsvindt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij de rechtbanken, dan wel op een andere bij algemene maatregel van bestuur aan te wijzen")
    thisalinea.textcontent.append("plaats of plaatsen, berusten openbare registers, waarin aantekening gehouden wordt van")
    thisalinea.textcontent.append("rechtsfeiten die op het over minderjarigen uitgeoefende gezag betrekking hebben.")
    thisalinea.textcontent.append("Bij algemene maatregel van bestuur wordt bepaald welke rechtsfeiten aangetekend worden,")
    thisalinea.textcontent.append("op welke wijze deze aantekening geschiedt en op welke wijze verstrekking van aangetekende")
    thisalinea.textcontent.append("gegevens plaatsvindt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 14. Het gezag over minderjarige kinderen Afdeling 1. Algemeen"
    thisalinea.nativeID = 1054
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 383
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 245"
    thisalinea.nativeID = 1055
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 384
    thisalinea.summary = "1. Minderjarigen staan onder gezag. 2. Onder gezag wordt verstaan ouderlijk gezag dan wel voogdij. 3. Ouderlijk gezag wordt door de ouders gezamenlijk of door één ouder uitgeoefend. Voogdij wordt door een ander dan een ouder uitgeoefend. 4. Het gezag heeft betrekking op de persoon van de minderjarige, het bewind over zijn vermogen en zijn vertegenwoordiging in burgerlijke handelingen, zowel in als buiten rechte. 5. Het gezag van de ouder die dit krachtens artikel 253sa of krachtens een rechterlijke beslissing overeenkomstig artikel 253t samen met een ander dan een ouder uitoefent, wordt aangemerkt als ouderlijk gezag dat door ouders gezamenlijk "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Minderjarigen staan onder gezag. "
    thisalinea.nativeID = 1056
    thisalinea.parentID = 1055
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Minderjarigen staan onder gezag. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Minderjarigen staan onder gezag.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Onder gezag wordt verstaan ouderlijk ..."
    thisalinea.nativeID = 1057
    thisalinea.parentID = 1055
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Onder gezag wordt verstaan ouderlijk gezag dan wel voogdij. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Onder gezag wordt verstaan ouderlijk gezag dan wel voogdij.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Ouderlijk gezag wordt door de ..."
    thisalinea.nativeID = 1058
    thisalinea.parentID = 1055
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Ouderlijk gezag wordt door de ouders gezamenlijk of door één ouder uitgeoefend. Voogdij wordt door een ander dan een ouder uitgeoefend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Ouderlijk gezag wordt door de ouders gezamenlijk of door één ouder uitgeoefend. Voogdij")
    thisalinea.textcontent.append("wordt door een ander dan een ouder uitgeoefend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het gezag heeft betrekking op ..."
    thisalinea.nativeID = 1059
    thisalinea.parentID = 1055
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het gezag heeft betrekking op de persoon van de minderjarige, het bewind over zijn vermogen en zijn vertegenwoordiging in burgerlijke handelingen, zowel in als buiten rechte. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het gezag heeft betrekking op de persoon van de minderjarige, het bewind over zijn")
    thisalinea.textcontent.append("vermogen en zijn vertegenwoordiging in burgerlijke handelingen, zowel in als buiten")
    thisalinea.textcontent.append("rechte.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Het gezag van de ouder ..."
    thisalinea.nativeID = 1060
    thisalinea.parentID = 1055
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Het gezag van de ouder die dit krachtens artikel 253sa of krachtens een rechterlijke beslissing overeenkomstig artikel 253t samen met een ander dan een ouder uitoefent, wordt aangemerkt als ouderlijk gezag dat door ouders gezamenlijk wordt uitgeoefend, tenzij uit een wettelijke bepaling het tegendeel voortvloeit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Het gezag van de ouder die dit krachtens artikel 253sa of krachtens een rechterlijke")
    thisalinea.textcontent.append("beslissing overeenkomstig artikel 253t samen met een ander dan een ouder uitoefent,")
    thisalinea.textcontent.append("wordt aangemerkt als ouderlijk gezag dat door ouders gezamenlijk wordt uitgeoefend,")
    thisalinea.textcontent.append("tenzij uit een wettelijke bepaling het tegendeel voortvloeit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 246"
    thisalinea.nativeID = 1061
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 385
    thisalinea.summary = "Onbevoegd tot het gezag zijn minderjarigen, zij die onder curatele zijn gesteld en zij wier geestvermogens zodanig zijn gestoord, dat zij in de onmogelijkheid verkeren het gezag uit te oefenen, tenzij deze stoornis van tijdelijke aard is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Onbevoegd tot het gezag zijn minderjarigen, zij die onder curatele zijn gesteld en zij wier")
    thisalinea.textcontent.append("geestvermogens zodanig zijn gestoord, dat zij in de onmogelijkheid verkeren het gezag uit te")
    thisalinea.textcontent.append("oefenen, tenzij deze stoornis van tijdelijke aard is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 246a"
    thisalinea.nativeID = 1062
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 386
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 247"
    thisalinea.nativeID = 1063
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 387
    thisalinea.summary = "1. Het ouderlijk gezag omvat de plicht en het recht van de ouder zijn minderjarig kind te verzorgen en op te voeden. 2. Onder verzorging en opvoeding worden mede verstaan de zorg en de verantwoordelijkheid voor het geestelijk en lichamelijk welzijn en de veiligheid van het kind alsmede het bevorderen van de ontwikkeling van zijn persoonlijkheid. In de verzorging en opvoeding van het kind passen de ouders geen geestelijk of lichamelijk geweld of enige andere vernederende behandeling toe. 3. Het ouderlijk gezag omvat mede de verplichting van de ouder om de ontwikkeling van de banden van zijn kind met de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het ouderlijk gezag omvat de ..."
    thisalinea.nativeID = 1064
    thisalinea.parentID = 1063
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het ouderlijk gezag omvat de plicht en het recht van de ouder zijn minderjarig kind te verzorgen en op te voeden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het ouderlijk gezag omvat de plicht en het recht van de ouder zijn minderjarig kind te")
    thisalinea.textcontent.append("verzorgen en op te voeden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Onder verzorging en opvoeding worden ..."
    thisalinea.nativeID = 1065
    thisalinea.parentID = 1063
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Onder verzorging en opvoeding worden mede verstaan de zorg en de verantwoordelijkheid voor het geestelijk en lichamelijk welzijn en de veiligheid van het kind alsmede het bevorderen van de ontwikkeling van zijn persoonlijkheid. In de verzorging en opvoeding van het kind passen de ouders geen geestelijk of lichamelijk geweld of enige andere vernederende behandeling toe. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Onder verzorging en opvoeding worden mede verstaan de zorg en de")
    thisalinea.textcontent.append("verantwoordelijkheid voor het geestelijk en lichamelijk welzijn en de veiligheid van het kind")
    thisalinea.textcontent.append("alsmede het bevorderen van de ontwikkeling van zijn persoonlijkheid. In de verzorging en")
    thisalinea.textcontent.append("opvoeding van het kind passen de ouders geen geestelijk of lichamelijk geweld of enige")
    thisalinea.textcontent.append("andere vernederende behandeling toe.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het ouderlijk gezag omvat mede ..."
    thisalinea.nativeID = 1066
    thisalinea.parentID = 1063
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het ouderlijk gezag omvat mede de verplichting van de ouder om de ontwikkeling van de banden van zijn kind met de andere ouder te bevorderen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het ouderlijk gezag omvat mede de verplichting van de ouder om de ontwikkeling van de")
    thisalinea.textcontent.append("banden van zijn kind met de andere ouder te bevorderen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Een kind over wie de ..."
    thisalinea.nativeID = 1067
    thisalinea.parentID = 1063
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Een kind over wie de ouders gezamenlijk het gezag uitoefenen, behoudt na ontbinding van het huwelijk anders dan door de dood of na scheiding van tafel en bed, na de ontbinding van het geregistreerd partnerschap anders dan door de dood, of na het beëindigen van de samenleving indien de ouders het gezag gezamenlijk uitoefenen op grond van artikel 251b, eerste lid, of een aantekening als bedoeld in artikel 252, eerste lid, is geplaatst, recht op een gelijkwaardige verzorging en opvoeding door beide ouders. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Een kind over wie de ouders gezamenlijk het gezag uitoefenen, behoudt na ontbinding")
    thisalinea.textcontent.append("van het huwelijk anders dan door de dood of na scheiding van tafel en bed, na de")
    thisalinea.textcontent.append("ontbinding van het geregistreerd partnerschap anders dan door de dood, of na het")
    thisalinea.textcontent.append("beëindigen van de samenleving indien de ouders het gezag gezamenlijk uitoefenen op")
    thisalinea.textcontent.append("grond van artikel 251b, eerste lid, of een aantekening als bedoeld in artikel 252, eerste lid,")
    thisalinea.textcontent.append("is geplaatst, recht op een gelijkwaardige verzorging en opvoeding door beide ouders.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Ouders kunnen ter uitvoering van ..."
    thisalinea.nativeID = 1068
    thisalinea.parentID = 1063
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Ouders kunnen ter uitvoering van het vierde lid in een overeenkomst of ouderschapsplan rekening houden met praktische belemmeringen die ontstaan in verband met de ontbinding van het huwelijk anders dan door de dood of na scheiding van tafel en bed, de ontbinding van het geregistreerd partnerschap anders dan door de dood, of het beëindigen van de samenleving indien de ouders het gezag gezamenlijk uitoefenen op grond van artikel 251b, eerste lid, of een aantekening als bedoeld in artikel 252, eerste lid, is geplaatst, echter uitsluitend voor zover en zolang de desbetreffende belemmeringen bestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Ouders kunnen ter uitvoering van het vierde lid in een overeenkomst of ouderschapsplan")
    thisalinea.textcontent.append("rekening houden met praktische belemmeringen die ontstaan in verband met de")
    thisalinea.textcontent.append("ontbinding van het huwelijk anders dan door de dood of na scheiding van tafel en bed, de")
    thisalinea.textcontent.append("ontbinding van het geregistreerd partnerschap anders dan door de dood, of het")
    thisalinea.textcontent.append("beëindigen van de samenleving indien de ouders het gezag gezamenlijk uitoefenen op")
    thisalinea.textcontent.append("grond van artikel 251b, eerste lid, of een aantekening als bedoeld in artikel 252, eerste lid,")
    thisalinea.textcontent.append("is geplaatst, echter uitsluitend voor zover en zolang de desbetreffende belemmeringen")
    thisalinea.textcontent.append("bestaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 247a"
    thisalinea.nativeID = 1069
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 388
    thisalinea.summary = "Indien de ouders het gezag gezamenlijk uitoefenen op grond van artikel 251b, eerste lid, of een aantekening als bedoeld in artikel 252, eerste lid, is geplaatst en de ouders hun samenleving beëindigen, stellen zij een ouderschapsplan op als bedoeld in artikel 815, tweede en derde lid, van het Wetboek van Burgerlijke Rechtsvordering. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien de ouders het gezag gezamenlijk uitoefenen op grond van artikel 251b, eerste lid, of")
    thisalinea.textcontent.append("een aantekening als bedoeld in artikel 252, eerste lid, is geplaatst en de ouders hun")
    thisalinea.textcontent.append("samenleving beëindigen, stellen zij een ouderschapsplan op als bedoeld in artikel 815,")
    thisalinea.textcontent.append("tweede en derde lid, van het Wetboek van Burgerlijke Rechtsvordering.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 248"
    thisalinea.nativeID = 1070
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 389
    thisalinea.summary = "Het tweede lid van artikel 247 van dit boek is van overeenkomstige toepassing op de voogd en op degene die een minderjarige verzorgt en opvoedt zonder dat hem het gezag over die minderjarige toekomt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Het tweede lid van artikel 247 van dit boek is van overeenkomstige toepassing op de voogd")
    thisalinea.textcontent.append("en op degene die een minderjarige verzorgt en opvoedt zonder dat hem het gezag over die")
    thisalinea.textcontent.append("minderjarige toekomt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 249"
    thisalinea.nativeID = 1071
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 390
    thisalinea.summary = "De minderjarige dient rekening te houden met de aan de ouder of voogd in het kader van de uitoefening van het gezag toekomende bevoegdheden, alsmede met de belangen van de overige leden van het gezin waarvan hij deel uitmaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De minderjarige dient rekening te houden met de aan de ouder of voogd in het kader van de")
    thisalinea.textcontent.append("uitoefening van het gezag toekomende bevoegdheden, alsmede met de belangen van de")
    thisalinea.textcontent.append("overige leden van het gezin waarvan hij deel uitmaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 250"
    thisalinea.nativeID = 1072
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 391
    thisalinea.summary = "1. Wanneer in aangelegenheden betreffende diens verzorging en opvoeding, dan wel het vermogen van de minderjarige, de belangen van de met het gezag belaste ouders of een van hen dan wel van de voogd of de beide voogden in strijd zijn met die van de minderjarige, benoemt de rechtbank, danwel, indien het een aangelegenheid inzake het vermogen van de minderjarige betreft, de kantonrechter, of, indien de zaak reeds aanhangig is, de desbetreffende rechter, indien hij dit in het belang van de minderjarige noodzakelijk acht, daarbij in het bijzonder de aard van deze belangenstrijd in aanmerking genomen, op verzoek van een "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer in aangelegenheden betreffende diens ..."
    thisalinea.nativeID = 1073
    thisalinea.parentID = 1072
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer in aangelegenheden betreffende diens verzorging en opvoeding, dan wel het vermogen van de minderjarige, de belangen van de met het gezag belaste ouders of een van hen dan wel van de voogd of de beide voogden in strijd zijn met die van de minderjarige, benoemt de rechtbank, danwel, indien het een aangelegenheid inzake het vermogen van de minderjarige betreft, de kantonrechter, of, indien de zaak reeds aanhangig is, de desbetreffende rechter, indien hij dit in het belang van de minderjarige noodzakelijk acht, daarbij in het bijzonder de aard van deze belangenstrijd in aanmerking genomen, op verzoek van een "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer in aangelegenheden betreffende diens verzorging en opvoeding, dan wel het")
    thisalinea.textcontent.append("vermogen van de minderjarige, de belangen van de met het gezag belaste ouders of een")
    thisalinea.textcontent.append("van hen dan wel van de voogd of de beide voogden in strijd zijn met die van de")
    thisalinea.textcontent.append("minderjarige, benoemt de rechtbank, danwel, indien het een aangelegenheid inzake het")
    thisalinea.textcontent.append("vermogen van de minderjarige betreft, de kantonrechter, of, indien de zaak reeds")
    thisalinea.textcontent.append("aanhangig is, de desbetreffende rechter, indien hij dit in het belang van de minderjarige")
    thisalinea.textcontent.append("noodzakelijk acht, daarbij in het bijzonder de aard van deze belangenstrijd in aanmerking")
    thisalinea.textcontent.append("genomen, op verzoek van een belanghebbende of ambtshalve een bijzondere curator om")
    thisalinea.textcontent.append("de minderjarige ter zake, zowel in als buiten rechte, te vertegenwoordigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In geval van een verzoek ..."
    thisalinea.nativeID = 1074
    thisalinea.parentID = 1072
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In geval van een verzoek van de raad voor de kinderbescherming als bedoeld in artikel 242a benoemt de kinderrechter bij de aanvang van het geding een bijzondere curator om de minderjarige, zowel in als buiten rechte, te vertegenwoordigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In geval van een verzoek van de raad voor de kinderbescherming als bedoeld in artikel")
    thisalinea.textcontent.append("242a benoemt de kinderrechter bij de aanvang van het geding een bijzondere curator om")
    thisalinea.textcontent.append("de minderjarige, zowel in als buiten rechte, te vertegenwoordigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Ouderlijk gezag § 1. Het gezamenlijk gezag van ouders binnen en buiten huwelijk en het gezag van één ouder na scheiding"
    thisalinea.nativeID = 1075
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 392
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 251"
    thisalinea.nativeID = 1076
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 393
    thisalinea.summary = "1. Gedurende hun huwelijk oefenen de ouders het gezag gezamenlijk uit. 2. Na ontbinding van het huwelijk anders dan door de dood of na scheiding van tafel en bed blijven de ouders die gezamenlijk het gezag hebben, dit gezag gezamenlijk uitoefenen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Gedurende hun huwelijk oefenen de ..."
    thisalinea.nativeID = 1077
    thisalinea.parentID = 1076
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Gedurende hun huwelijk oefenen de ouders het gezag gezamenlijk uit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Gedurende hun huwelijk oefenen de ouders het gezag gezamenlijk uit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Na ontbinding van het huwelijk ..."
    thisalinea.nativeID = 1078
    thisalinea.parentID = 1076
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Na ontbinding van het huwelijk anders dan door de dood of na scheiding van tafel en bed blijven de ouders die gezamenlijk het gezag hebben, dit gezag gezamenlijk uitoefenen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Na ontbinding van het huwelijk anders dan door de dood of na scheiding van tafel en bed")
    thisalinea.textcontent.append("blijven de ouders die gezamenlijk het gezag hebben, dit gezag gezamenlijk uitoefenen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 251a"
    thisalinea.nativeID = 1079
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 394
    thisalinea.summary = "worden geacht tot een redelijke waardering van zijn belangen ter zake. 1. De rechter kan na ontbinding van het huwelijk anders dan door de dood of na scheiding van tafel en bed op verzoek van de ouders of van één van hen bepalen dat het gezag over een kind aan één ouder toekomt indien: a. er een onaanvaardbaar risico is dat het kind klem of verloren zou raken tussen de ouders en niet te verwachten is dat hierin binnen afzienbare tijd voldoende verbetering zou komen, of b. wijziging van het gezag anderszins in het belang van het kind noodzakelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("worden geacht tot een redelijke waardering van zijn belangen ter zake.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechter kan na ontbinding ..."
    thisalinea.nativeID = 1080
    thisalinea.parentID = 1079
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechter kan na ontbinding van het huwelijk anders dan door de dood of na scheiding van tafel en bed op verzoek van de ouders of van één van hen bepalen dat het gezag over een kind aan één ouder toekomt indien: a. er een onaanvaardbaar risico is dat het kind klem of verloren zou raken tussen de ouders en niet te verwachten is dat hierin binnen afzienbare tijd voldoende verbetering zou komen, of b. wijziging van het gezag anderszins in het belang van het kind noodzakelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechter kan na ontbinding van het huwelijk anders dan door de dood of na scheiding")
    thisalinea.textcontent.append("van tafel en bed op verzoek van de ouders of van één van hen bepalen dat het gezag")
    thisalinea.textcontent.append("over een kind aan één ouder toekomt indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. er een onaanvaardbaar risico is ..."
    thisalinea.nativeID = 1081
    thisalinea.parentID = 1080
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. er een onaanvaardbaar risico is dat het kind klem of verloren zou raken tussen de ouders en niet te verwachten is dat hierin binnen afzienbare tijd voldoende verbetering zou komen, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. er een onaanvaardbaar risico is dat het kind klem of verloren zou raken tussen de")
    thisalinea.textcontent.append("ouders en niet te verwachten is dat hierin binnen afzienbare tijd voldoende verbetering")
    thisalinea.textcontent.append("zou komen, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. wijziging van het gezag anderszins ..."
    thisalinea.nativeID = 1082
    thisalinea.parentID = 1080
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. wijziging van het gezag anderszins in het belang van het kind noodzakelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. wijziging van het gezag anderszins in het belang van het kind noodzakelijk is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De beslissing op grond van ..."
    thisalinea.nativeID = 1083
    thisalinea.parentID = 1079
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De beslissing op grond van het eerste lid wordt gegeven bij de beschikking houdende scheiding van tafel en bed, echtscheiding dan wel ontbinding van het huwelijk na scheiding van tafel en bed of bij latere beschikking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De beslissing op grond van het eerste lid wordt gegeven bij de beschikking houdende")
    thisalinea.textcontent.append("scheiding van tafel en bed, echtscheiding dan wel ontbinding van het huwelijk na")
    thisalinea.textcontent.append("scheiding van tafel en bed of bij latere beschikking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien een beslissing op grond ..."
    thisalinea.nativeID = 1084
    thisalinea.parentID = 1079
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien een beslissing op grond van het eerste lid niet alle kinderen der echtgenoten betrof, vult de rechtbank haar aan op verzoek van een van de ouders, van de raad voor de kinderbescherming of ambtshalve. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien een beslissing op grond van het eerste lid niet alle kinderen der echtgenoten betrof,")
    thisalinea.textcontent.append("vult de rechtbank haar aan op verzoek van een van de ouders, van de raad voor de")
    thisalinea.textcontent.append("kinderbescherming of ambtshalve.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De rechter kan, indien hem ..."
    thisalinea.nativeID = 1085
    thisalinea.parentID = 1079
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De rechter kan, indien hem blijkt dat de minderjarige van twaalf jaar of ouder hierop prijs stelt, ambtshalve een beslissing geven op de voet van het eerste lid. Hetzelfde geldt indien de minderjarige de leeftijd van twaalf jaren nog niet heeft bereikt, maar in staat kan "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De rechter kan, indien hem blijkt dat de minderjarige van twaalf jaar of ouder hierop prijs")
    thisalinea.textcontent.append("stelt, ambtshalve een beslissing geven op de voet van het eerste lid. Hetzelfde geldt")
    thisalinea.textcontent.append("indien de minderjarige de leeftijd van twaalf jaren nog niet heeft bereikt, maar in staat kan")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 251b"
    thisalinea.nativeID = 1086
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 395
    thisalinea.summary = "De ambtenaar van de burgerlijke stand doet onverwijld na de erkenning of, in geval van een erkenning voor de geboorte van het kind, na de aangifte van de geboorte, mededeling aan de griffier van de verklaring, bedoeld onder a, of de erkenning met vervangende toestemming, bedoeld onder b, ter aantekening in het register, bedoeld in artikel 244. 1. De moeder en de persoon die een kind heeft erkend oefenen het gezag over hun kind gezamenlijk uit, tenzij: a. een voogd met de voogdij over het kind is belast; b. de voorziening in het gezag over het kind is komen te "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De ambtenaar van de burgerlijke stand doet onverwijld na de erkenning of, in geval van een")
    thisalinea.textcontent.append("erkenning voor de geboorte van het kind, na de aangifte van de geboorte, mededeling aan de")
    thisalinea.textcontent.append("griffier van de verklaring, bedoeld onder a, of de erkenning met vervangende toestemming,")
    thisalinea.textcontent.append("bedoeld onder b, ter aantekening in het register, bedoeld in artikel 244.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De moeder en de persoon ..."
    thisalinea.nativeID = 1087
    thisalinea.parentID = 1086
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De moeder en de persoon die een kind heeft erkend oefenen het gezag over hun kind gezamenlijk uit, tenzij: a. een voogd met de voogdij over het kind is belast; b. de voorziening in het gezag over het kind is komen te ontbreken; c. de ouder die het gezag heeft, dit gezamenlijk met een ander dan een ouder uitoefent; of d. de erkenner eerder het gezag over het kind heeft uitgeoefend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De moeder en de persoon die een kind heeft erkend oefenen het gezag over hun kind")
    thisalinea.textcontent.append("gezamenlijk uit, tenzij:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. een voogd met de voogdij ..."
    thisalinea.nativeID = 1088
    thisalinea.parentID = 1087
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. een voogd met de voogdij over het kind is belast; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. een voogd met de voogdij over het kind is belast;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de voorziening in het gezag ..."
    thisalinea.nativeID = 1089
    thisalinea.parentID = 1087
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de voorziening in het gezag over het kind is komen te ontbreken; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de voorziening in het gezag over het kind is komen te ontbreken;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. de ouder die het gezag ..."
    thisalinea.nativeID = 1090
    thisalinea.parentID = 1087
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. de ouder die het gezag heeft, dit gezamenlijk met een ander dan een ouder uitoefent; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. de ouder die het gezag heeft, dit gezamenlijk met een ander dan een ouder uitoefent;")
    thisalinea.textcontent.append("of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. de erkenner eerder het gezag ..."
    thisalinea.nativeID = 1091
    thisalinea.parentID = 1087
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. de erkenner eerder het gezag over het kind heeft uitgeoefend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. de erkenner eerder het gezag over het kind heeft uitgeoefend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De moeder oefent het gezag ..."
    thisalinea.nativeID = 1092
    thisalinea.parentID = 1086
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De moeder oefent het gezag over haar kind alleen uit, indien uit de akte, bedoeld in artikel 203, eerste lid, onderdeel a of b, blijkt dat: a. de moeder en de erkenner hebben verklaard dat het gezag alleen door de moeder wordt uitgeoefend; of b. de rechtbank vervangende toestemming voor de erkenning heeft verleend als bedoeld in artikel 204, derde en vierde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De moeder oefent het gezag over haar kind alleen uit, indien uit de akte, bedoeld in artikel")
    thisalinea.textcontent.append("203, eerste lid, onderdeel a of b, blijkt dat:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de moeder en de erkenner ..."
    thisalinea.nativeID = 1093
    thisalinea.parentID = 1092
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de moeder en de erkenner hebben verklaard dat het gezag alleen door de moeder wordt uitgeoefend; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de moeder en de erkenner hebben verklaard dat het gezag alleen door de moeder")
    thisalinea.textcontent.append("wordt uitgeoefend; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de rechtbank vervangende toestemming voor ..."
    thisalinea.nativeID = 1094
    thisalinea.parentID = 1092
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de rechtbank vervangende toestemming voor de erkenning heeft verleend als bedoeld in artikel 204, derde en vierde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de rechtbank vervangende toestemming voor de erkenning heeft verleend als bedoeld")
    thisalinea.textcontent.append("in artikel 204, derde en vierde lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 252"
    thisalinea.nativeID = 1095
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 396
    thisalinea.summary = "1. De ouders die niet met elkaar zijn gehuwd of een geregistreerd partnerschap zijn aangegaan en niet het gezamenlijk gezag uitoefenen op grond van artikel 251b, eerste lid, oefenen het gezag over hun minderjarige kinderen gezamenlijk uit, indien dit op hun beider verzoek in het register, bedoeld in artikel 244, is aangetekend. Een verzoek als bedoeld in de eerste volzin kan niet worden gedaan ten aanzien van de kinderen over wie zij het gezag gezamenlijk hebben uitgeoefend. 2. De aantekening wordt door de griffier geweigerd, indien op het tijdstip van het verzoek: a. één of beide ouders onbevoegd is tot "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ouders die niet met ..."
    thisalinea.nativeID = 1096
    thisalinea.parentID = 1095
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ouders die niet met elkaar zijn gehuwd of een geregistreerd partnerschap zijn aangegaan en niet het gezamenlijk gezag uitoefenen op grond van artikel 251b, eerste lid, oefenen het gezag over hun minderjarige kinderen gezamenlijk uit, indien dit op hun beider verzoek in het register, bedoeld in artikel 244, is aangetekend. Een verzoek als bedoeld in de eerste volzin kan niet worden gedaan ten aanzien van de kinderen over wie zij het gezag gezamenlijk hebben uitgeoefend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ouders die niet met elkaar zijn gehuwd of een geregistreerd partnerschap zijn")
    thisalinea.textcontent.append("aangegaan en niet het gezamenlijk gezag uitoefenen op grond van artikel 251b, eerste lid,")
    thisalinea.textcontent.append("oefenen het gezag over hun minderjarige kinderen gezamenlijk uit, indien dit op hun")
    thisalinea.textcontent.append("beider verzoek in het register, bedoeld in artikel 244, is aangetekend. Een verzoek als")
    thisalinea.textcontent.append("bedoeld in de eerste volzin kan niet worden gedaan ten aanzien van de kinderen over wie")
    thisalinea.textcontent.append("zij het gezag gezamenlijk hebben uitgeoefend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De aantekening wordt door de ..."
    thisalinea.nativeID = 1097
    thisalinea.parentID = 1095
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De aantekening wordt door de griffier geweigerd, indien op het tijdstip van het verzoek: a. één of beide ouders onbevoegd is tot het gezag; of b. het gezag van één van beide ouders is beëindigd en de andere ouder het gezag uitoefent; of c. een voogd met het gezag over het kind is belast; of d. de voorziening in het gezag over het kind is komen te ontbreken; of e. de ouder die het gezag heeft, dit gezamenlijk met een ander dan een ouder uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De aantekening wordt door de griffier geweigerd, indien op het tijdstip van het verzoek:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. één of beide ouders onbevoegd ..."
    thisalinea.nativeID = 1098
    thisalinea.parentID = 1097
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. één of beide ouders onbevoegd is tot het gezag; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. één of beide ouders onbevoegd is tot het gezag; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. het gezag van één van ..."
    thisalinea.nativeID = 1099
    thisalinea.parentID = 1097
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. het gezag van één van beide ouders is beëindigd en de andere ouder het gezag uitoefent; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. het gezag van één van beide ouders is beëindigd en de andere ouder het gezag")
    thisalinea.textcontent.append("uitoefent; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. een voogd met het gezag ..."
    thisalinea.nativeID = 1100
    thisalinea.parentID = 1097
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. een voogd met het gezag over het kind is belast; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. een voogd met het gezag over het kind is belast; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. de voorziening in het gezag ..."
    thisalinea.nativeID = 1101
    thisalinea.parentID = 1097
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. de voorziening in het gezag over het kind is komen te ontbreken; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. de voorziening in het gezag over het kind is komen te ontbreken; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. de ouder die het gezag ..."
    thisalinea.nativeID = 1102
    thisalinea.parentID = 1097
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. de ouder die het gezag heeft, dit gezamenlijk met een ander dan een ouder uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. de ouder die het gezag heeft, dit gezamenlijk met een ander dan een ouder uitoefent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Tegen de weigering van de ..."
    thisalinea.nativeID = 1103
    thisalinea.parentID = 1095
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Tegen de weigering van de aantekening is alleen beroep mogelijk, indien zij heeft plaatsgevonden op grond van onbevoegdheid van één of beide ouders tot het gezag anders dan vanwege minderjarigheid of ondercuratelestelling. Alsdan kan de rechtbank worden verzocht de aantekening te gelasten. Zij wijst het verzoek af, indien gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Tegen de weigering van de aantekening is alleen beroep mogelijk, indien zij heeft")
    thisalinea.textcontent.append("plaatsgevonden op grond van onbevoegdheid van één of beide ouders tot het gezag")
    thisalinea.textcontent.append("anders dan vanwege minderjarigheid of ondercuratelestelling. Alsdan kan de rechtbank")
    thisalinea.textcontent.append("worden verzocht de aantekening te gelasten. Zij wijst het verzoek af, indien gegronde")
    thisalinea.textcontent.append("vrees bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253"
    thisalinea.nativeID = 1104
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 397
    thisalinea.summary = "bestaat dat bij inwilliging de belangen van de kinderen zouden worden verwaarloosd. 1. Indien gewezen echtgenoten met elkaar hertrouwen dan wel een geregistreerd partnerschap aangegaan en onmiddellijk daaraan voorafgaande één der echtgenoten het gezag over de minderjarige kinderen uitoefende, herleeft van rechtswege het gezamenlijk gezag, tenzij een der echtgenoten onbevoegd is tot dit gezag of dat gezag is beëindigd dan wel het gezag gezamenlijk met een ander dan de ouder uitoefent. 2. De echtgenoot voor wie het gezag niet is herleefd, kan de rechtbank verzoeken hem daarmede te belasten. Dit verzoek wordt slechts afgewezen, indien gegronde vrees 3. Het eerste "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("bestaat dat bij inwilliging de belangen van de kinderen zouden worden verwaarloosd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien gewezen echtgenoten met elkaar ..."
    thisalinea.nativeID = 1105
    thisalinea.parentID = 1104
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien gewezen echtgenoten met elkaar hertrouwen dan wel een geregistreerd partnerschap aangegaan en onmiddellijk daaraan voorafgaande één der echtgenoten het gezag over de minderjarige kinderen uitoefende, herleeft van rechtswege het gezamenlijk gezag, tenzij een der echtgenoten onbevoegd is tot dit gezag of dat gezag is beëindigd dan wel het gezag gezamenlijk met een ander dan de ouder uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien gewezen echtgenoten met elkaar hertrouwen dan wel een geregistreerd")
    thisalinea.textcontent.append("partnerschap aangegaan en onmiddellijk daaraan voorafgaande één der echtgenoten het")
    thisalinea.textcontent.append("gezag over de minderjarige kinderen uitoefende, herleeft van rechtswege het gezamenlijk")
    thisalinea.textcontent.append("gezag, tenzij een der echtgenoten onbevoegd is tot dit gezag of dat gezag is beëindigd")
    thisalinea.textcontent.append("dan wel het gezag gezamenlijk met een ander dan de ouder uitoefent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De echtgenoot voor wie het ..."
    thisalinea.nativeID = 1106
    thisalinea.parentID = 1104
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De echtgenoot voor wie het gezag niet is herleefd, kan de rechtbank verzoeken hem daarmede te belasten. Dit verzoek wordt slechts afgewezen, indien gegronde vrees "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De echtgenoot voor wie het gezag niet is herleefd, kan de rechtbank verzoeken hem")
    thisalinea.textcontent.append("daarmede te belasten. Dit verzoek wordt slechts afgewezen, indien gegronde vrees")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het eerste en tweede lid ..."
    thisalinea.nativeID = 1107
    thisalinea.parentID = 1104
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het eerste en tweede lid zijn van overeenkomstige toepassing, indien door verzoening van de echtgenoten een scheiding van tafel en bed eindigt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het eerste en tweede lid zijn van overeenkomstige toepassing, indien door verzoening")
    thisalinea.textcontent.append("van de echtgenoten een scheiding van tafel en bed eindigt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het eerste en tweede lid ..."
    thisalinea.nativeID = 1108
    thisalinea.parentID = 1104
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het eerste en tweede lid zijn van overeenkomstige toepassing indien gewezen geregistreerde partners die gezamenlijk gezag uitoefenden over het kind, opnieuw met elkaar een geregistreerd partnerschap aangaan dan wel met elkaar huwen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het eerste en tweede lid zijn van overeenkomstige toepassing indien gewezen")
    thisalinea.textcontent.append("geregistreerde partners die gezamenlijk gezag uitoefenden over het kind, opnieuw met")
    thisalinea.textcontent.append("elkaar een geregistreerd partnerschap aangaan dan wel met elkaar huwen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253a"
    thisalinea.nativeID = 1109
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 398
    thisalinea.summary = "1. In geval van gezamenlijke uitoefening van het gezag kunnen geschillen hieromtrent op verzoek van de ouders of van een van hen aan de rechtbank worden voorgelegd. De rechtbank neemt een zodanige beslissing als haar in het belang van het kind wenselijk voorkomt. 2. De rechtbank kan eveneens op verzoek van de ouders of een van hen een regeling vaststellen inzake de uitoefening van het ouderlijk gezag. Deze regeling kan omvatten: a. een toedeling aan ieder der ouders van de zorg- en opvoedingstaken, alsmede met overeenkomstige toepassing van artikel 377a, derde lid, een tijdelijk verbod aan een ouder om met "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. In geval van gezamenlijke uitoefening ..."
    thisalinea.nativeID = 1110
    thisalinea.parentID = 1109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. In geval van gezamenlijke uitoefening van het gezag kunnen geschillen hieromtrent op verzoek van de ouders of van een van hen aan de rechtbank worden voorgelegd. De rechtbank neemt een zodanige beslissing als haar in het belang van het kind wenselijk voorkomt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. In geval van gezamenlijke uitoefening van het gezag kunnen geschillen hieromtrent op")
    thisalinea.textcontent.append("verzoek van de ouders of van een van hen aan de rechtbank worden voorgelegd. De")
    thisalinea.textcontent.append("rechtbank neemt een zodanige beslissing als haar in het belang van het kind wenselijk")
    thisalinea.textcontent.append("voorkomt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechtbank kan eveneens op ..."
    thisalinea.nativeID = 1111
    thisalinea.parentID = 1109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechtbank kan eveneens op verzoek van de ouders of een van hen een regeling vaststellen inzake de uitoefening van het ouderlijk gezag. Deze regeling kan omvatten: a. een toedeling aan ieder der ouders van de zorg- en opvoedingstaken, alsmede met overeenkomstige toepassing van artikel 377a, derde lid, een tijdelijk verbod aan een ouder om met het kind contact te hebben; b. de beslissing bij welke ouder het kind zijn hoofdverblijfplaats heeft; c. de wijze waarop informatie omtrent gewichtige aangelegenheden met betrekking tot de persoon en het vermogen van het kind wordt verschaft aan de ouder bij wie het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechtbank kan eveneens op verzoek van de ouders of een van hen een regeling")
    thisalinea.textcontent.append("vaststellen inzake de uitoefening van het ouderlijk gezag. Deze regeling kan omvatten:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. een toedeling aan ieder der ..."
    thisalinea.nativeID = 1112
    thisalinea.parentID = 1111
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. een toedeling aan ieder der ouders van de zorg- en opvoedingstaken, alsmede met overeenkomstige toepassing van artikel 377a, derde lid, een tijdelijk verbod aan een ouder om met het kind contact te hebben; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. een toedeling aan ieder der ouders van de zorg- en opvoedingstaken, alsmede met")
    thisalinea.textcontent.append("overeenkomstige toepassing van artikel 377a, derde lid, een tijdelijk verbod aan een")
    thisalinea.textcontent.append("ouder om met het kind contact te hebben;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de beslissing bij welke ouder ..."
    thisalinea.nativeID = 1113
    thisalinea.parentID = 1111
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de beslissing bij welke ouder het kind zijn hoofdverblijfplaats heeft; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de beslissing bij welke ouder het kind zijn hoofdverblijfplaats heeft;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. de wijze waarop informatie omtrent ..."
    thisalinea.nativeID = 1114
    thisalinea.parentID = 1111
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. de wijze waarop informatie omtrent gewichtige aangelegenheden met betrekking tot de persoon en het vermogen van het kind wordt verschaft aan de ouder bij wie het kind niet zijn hoofdverblijfplaats heeft dan wel de wijze waarop deze ouder wordt geraadpleegd; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. de wijze waarop informatie omtrent gewichtige aangelegenheden met betrekking tot")
    thisalinea.textcontent.append("de persoon en het vermogen van het kind wordt verschaft aan de ouder bij wie het")
    thisalinea.textcontent.append("kind niet zijn hoofdverblijfplaats heeft dan wel de wijze waarop deze ouder wordt")
    thisalinea.textcontent.append("geraadpleegd;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. de wijze waarop informatie door ..."
    thisalinea.nativeID = 1115
    thisalinea.parentID = 1111
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. de wijze waarop informatie door derden overeenkomstig artikel 377c, eerste en tweede lid, wordt verschaft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. de wijze waarop informatie door derden overeenkomstig artikel 377c, eerste en")
    thisalinea.textcontent.append("tweede lid, wordt verschaft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien op de ouders de ..."
    thisalinea.nativeID = 1116
    thisalinea.parentID = 1109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien op de ouders de verplichting van artikel 247a rust en zij daaraan niet hebben voldaan, houdt de rechter de beslissing op een in het tweede lid bedoeld verzoek ambtshalve aan, totdat aan die verplichting is voldaan. Aanhouding blijft achterwege indien het belang van het kind dit vergt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien op de ouders de verplichting van artikel 247a rust en zij daaraan niet hebben")
    thisalinea.textcontent.append("voldaan, houdt de rechter de beslissing op een in het tweede lid bedoeld verzoek")
    thisalinea.textcontent.append("ambtshalve aan, totdat aan die verplichting is voldaan. Aanhouding blijft achterwege")
    thisalinea.textcontent.append("indien het belang van het kind dit vergt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De artikelen 377e en 377g ..."
    thisalinea.nativeID = 1117
    thisalinea.parentID = 1109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De artikelen 377e en 377g zijn van overeenkomstige toepassing. Daar waar in deze bepalingen gesproken wordt over omgang of een omgangsregeling wordt in plaats daarvan gelezen: een verdeling van de zorg- en opvoedingstaken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De artikelen 377e en 377g zijn van overeenkomstige toepassing. Daar waar in deze")
    thisalinea.textcontent.append("bepalingen gesproken wordt over omgang of een omgangsregeling wordt in plaats")
    thisalinea.textcontent.append("daarvan gelezen: een verdeling van de zorg- en opvoedingstaken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De rechtbank beproeft alvorens te ..."
    thisalinea.nativeID = 1118
    thisalinea.parentID = 1109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De rechtbank beproeft alvorens te beslissen op een verzoek als in het eerste of tweede lid bedoeld, een vergelijk tussen de ouders en kan desverzocht en ook ambtshalve, zulks indien geen vergelijk tot stand komt en het belang van het kind zich daartegen niet verzet, een door de wet toegelaten dwangmiddel opleggen, dan wel bepalen dat de beschikking of onderdelen daarvan met toepassing van artikel 812, tweede lid, van het Wetboek van Burgerlijke Rechtsvordering ten uitvoer kunnen worden gelegd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De rechtbank beproeft alvorens te beslissen op een verzoek als in het eerste of tweede lid")
    thisalinea.textcontent.append("bedoeld, een vergelijk tussen de ouders en kan desverzocht en ook ambtshalve, zulks")
    thisalinea.textcontent.append("indien geen vergelijk tot stand komt en het belang van het kind zich daartegen niet verzet,")
    thisalinea.textcontent.append("een door de wet toegelaten dwangmiddel opleggen, dan wel bepalen dat de beschikking")
    thisalinea.textcontent.append("of onderdelen daarvan met toepassing van artikel 812, tweede lid, van het Wetboek van")
    thisalinea.textcontent.append("Burgerlijke Rechtsvordering ten uitvoer kunnen worden gelegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De rechtbank behandelt het verzoek ..."
    thisalinea.nativeID = 1119
    thisalinea.parentID = 1109
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De rechtbank behandelt het verzoek binnen zes weken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De rechtbank behandelt het verzoek binnen zes weken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Paragraaf 1a. Het gezamenlijk gezag van ouders binnen een geregistreerd partnerschap"
    thisalinea.nativeID = 1120
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 399
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253aa"
    thisalinea.nativeID = 1121
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 400
    thisalinea.summary = "1. Gedurende hun geregistreerd partnerschap oefenen de ouders het gezag gezamenlijk uit. 2. De bepalingen met betrekking tot het gezamenlijk gezag zijn hierop van toepassing, met uitzondering van de artikelen 251, tweede lid, en 251a, tweede en derde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Gedurende hun geregistreerd partnerschap oefenen ..."
    thisalinea.nativeID = 1122
    thisalinea.parentID = 1121
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Gedurende hun geregistreerd partnerschap oefenen de ouders het gezag gezamenlijk uit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Gedurende hun geregistreerd partnerschap oefenen de ouders het gezag gezamenlijk uit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De bepalingen met betrekking tot ..."
    thisalinea.nativeID = 1123
    thisalinea.parentID = 1121
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De bepalingen met betrekking tot het gezamenlijk gezag zijn hierop van toepassing, met uitzondering van de artikelen 251, tweede lid, en 251a, tweede en derde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De bepalingen met betrekking tot het gezamenlijk gezag zijn hierop van toepassing, met")
    thisalinea.textcontent.append("uitzondering van de artikelen 251, tweede lid, en 251a, tweede en derde lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 2. Het gezag van ouders anders dan na scheiding"
    thisalinea.nativeID = 1124
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 401
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253b"
    thisalinea.nativeID = 1125
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 402
    thisalinea.summary = "1. Indien ten aanzien van een kind alleen het moederschap vaststaat van de vrouw uit wie het kind is geboren of indien de ouders van een kind niet met elkaar gehuwd zijn dan wel gehuwd zijn geweest en zij het gezag niet gezamenlijk uitoefenen, oefent de moeder uit wie het kind is geboren van rechtswege het gezag over het kind alleen uit, tenzij zij bij haar bevalling onbevoegd tot het gezag was. 2. De in het eerste lid bedoelde moeder die ten tijde van haar bevalling onbevoegd was tot het gezag, verkrijgt dit van rechtswege op het tijdstip waarop zij "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien ten aanzien van een ..."
    thisalinea.nativeID = 1126
    thisalinea.parentID = 1125
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien ten aanzien van een kind alleen het moederschap vaststaat van de vrouw uit wie het kind is geboren of indien de ouders van een kind niet met elkaar gehuwd zijn dan wel gehuwd zijn geweest en zij het gezag niet gezamenlijk uitoefenen, oefent de moeder uit wie het kind is geboren van rechtswege het gezag over het kind alleen uit, tenzij zij bij haar bevalling onbevoegd tot het gezag was. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien ten aanzien van een kind alleen het moederschap vaststaat van de vrouw uit wie")
    thisalinea.textcontent.append("het kind is geboren of indien de ouders van een kind niet met elkaar gehuwd zijn dan wel")
    thisalinea.textcontent.append("gehuwd zijn geweest en zij het gezag niet gezamenlijk uitoefenen, oefent de moeder uit")
    thisalinea.textcontent.append("wie het kind is geboren van rechtswege het gezag over het kind alleen uit, tenzij zij bij")
    thisalinea.textcontent.append("haar bevalling onbevoegd tot het gezag was.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De in het eerste lid ..."
    thisalinea.nativeID = 1127
    thisalinea.parentID = 1125
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De in het eerste lid bedoelde moeder die ten tijde van haar bevalling onbevoegd was tot het gezag, verkrijgt dit van rechtswege op het tijdstip waarop zij daartoe bevoegd wordt, tenzij op dat tijdstip een ander met het gezag is belast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De in het eerste lid bedoelde moeder die ten tijde van haar bevalling onbevoegd was tot")
    thisalinea.textcontent.append("het gezag, verkrijgt dit van rechtswege op het tijdstip waarop zij daartoe bevoegd wordt,")
    thisalinea.textcontent.append("tenzij op dat tijdstip een ander met het gezag is belast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien op bedoeld tijdstip een ..."
    thisalinea.nativeID = 1128
    thisalinea.parentID = 1125
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien op bedoeld tijdstip een ander het gezag heeft, kan de tot het gezag bevoegde ouder de rechtbank verzoeken hem met het gezag over het kind te belasten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien op bedoeld tijdstip een ander het gezag heeft, kan de tot het gezag bevoegde")
    thisalinea.textcontent.append("ouder de rechtbank verzoeken hem met het gezag over het kind te belasten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Wanneer de andere ouder het ..."
    thisalinea.nativeID = 1129
    thisalinea.parentID = 1125
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Wanneer de andere ouder het gezag over het kind uitoefent, wordt dit verzoek slechts ingewilligd, indien de rechter dit in het belang van het kind wenselijk oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Wanneer de andere ouder het gezag over het kind uitoefent, wordt dit verzoek slechts")
    thisalinea.textcontent.append("ingewilligd, indien de rechter dit in het belang van het kind wenselijk oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Wanneer een voogd het gezag ..."
    thisalinea.nativeID = 1130
    thisalinea.parentID = 1125
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Wanneer een voogd het gezag over het kind uitoefent, wordt het verzoek slechts afgewezen, indien gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Wanneer een voogd het gezag over het kind uitoefent, wordt het verzoek slechts")
    thisalinea.textcontent.append("afgewezen, indien gegronde vrees bestaat dat bij inwilliging de belangen van het kind")
    thisalinea.textcontent.append("zouden worden verwaarloosd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253c"
    thisalinea.nativeID = 1131
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 403
    thisalinea.summary = "1. De tot het gezag bevoegde ouder van het kind, die nimmer het gezag gezamenlijk met de moeder uit wie het kind is geboren heeft uitgeoefend, kan de rechtbank verzoeken de ouders met het gezamenlijk gezag dan wel hem alleen met het gezag over het kind te belasten. 2. Indien het verzoek ertoe strekt de ouders met het gezamenlijk gezag te belasten en de andere ouder met gezamenlijk gezag niet instemt, wordt het verzoek slechts afgewezen indien: a. er een onaanvaardbaar risico is dat het kind klem of verloren zou raken tussen de ouders en niet te verwachten is dat "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De tot het gezag bevoegde ..."
    thisalinea.nativeID = 1132
    thisalinea.parentID = 1131
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De tot het gezag bevoegde ouder van het kind, die nimmer het gezag gezamenlijk met de moeder uit wie het kind is geboren heeft uitgeoefend, kan de rechtbank verzoeken de ouders met het gezamenlijk gezag dan wel hem alleen met het gezag over het kind te belasten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De tot het gezag bevoegde ouder van het kind, die nimmer het gezag gezamenlijk met de")
    thisalinea.textcontent.append("moeder uit wie het kind is geboren heeft uitgeoefend, kan de rechtbank verzoeken de")
    thisalinea.textcontent.append("ouders met het gezamenlijk gezag dan wel hem alleen met het gezag over het kind te")
    thisalinea.textcontent.append("belasten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het verzoek ertoe strekt ..."
    thisalinea.nativeID = 1133
    thisalinea.parentID = 1131
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het verzoek ertoe strekt de ouders met het gezamenlijk gezag te belasten en de andere ouder met gezamenlijk gezag niet instemt, wordt het verzoek slechts afgewezen indien: a. er een onaanvaardbaar risico is dat het kind klem of verloren zou raken tussen de ouders en niet te verwachten is dat hierin binnen afzienbare tijd voldoende verbetering zou komen, of b. afwijzing anderszins in het belang van het kind noodzakelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het verzoek ertoe strekt de ouders met het gezamenlijk gezag te belasten en de")
    thisalinea.textcontent.append("andere ouder met gezamenlijk gezag niet instemt, wordt het verzoek slechts afgewezen")
    thisalinea.textcontent.append("indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. er een onaanvaardbaar risico is ..."
    thisalinea.nativeID = 1134
    thisalinea.parentID = 1133
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. er een onaanvaardbaar risico is dat het kind klem of verloren zou raken tussen de ouders en niet te verwachten is dat hierin binnen afzienbare tijd voldoende verbetering zou komen, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. er een onaanvaardbaar risico is dat het kind klem of verloren zou raken tussen de")
    thisalinea.textcontent.append("ouders en niet te verwachten is dat hierin binnen afzienbare tijd voldoende verbetering")
    thisalinea.textcontent.append("zou komen, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. afwijzing anderszins in het belang ..."
    thisalinea.nativeID = 1135
    thisalinea.parentID = 1133
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. afwijzing anderszins in het belang van het kind noodzakelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. afwijzing anderszins in het belang van het kind noodzakelijk is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Wanneer de andere ouder het ..."
    thisalinea.nativeID = 1136
    thisalinea.parentID = 1131
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Wanneer de andere ouder het gezag over het kind uitoefent, wordt het verzoek om de tot het gezag bevoegde ouder, bedoeld in het eerste lid, alleen met het gezag te belasten slechts ingewilligd, indien de rechtbank dit in het belang van het kind wenselijk oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Wanneer de andere ouder het gezag over het kind uitoefent, wordt het verzoek om de tot")
    thisalinea.textcontent.append("het gezag bevoegde ouder, bedoeld in het eerste lid, alleen met het gezag te belasten")
    thisalinea.textcontent.append("slechts ingewilligd, indien de rechtbank dit in het belang van het kind wenselijk oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Wanneer niet in het gezag ..."
    thisalinea.nativeID = 1137
    thisalinea.parentID = 1131
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Wanneer niet in het gezag is voorzien of wanneer een voogd het gezag uitoefent, wordt het verzoek om de tot het gezag bevoegde ouder, bedoeld in het eerste lid, alleen met het gezag te belasten slechts afgewezen, indien gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Wanneer niet in het gezag is voorzien of wanneer een voogd het gezag uitoefent, wordt")
    thisalinea.textcontent.append("het verzoek om de tot het gezag bevoegde ouder, bedoeld in het eerste lid, alleen met het")
    thisalinea.textcontent.append("gezag te belasten slechts afgewezen, indien gegronde vrees bestaat dat bij inwilliging de")
    thisalinea.textcontent.append("belangen van het kind zouden worden verwaarloosd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Een verzoek om de ouders ..."
    thisalinea.nativeID = 1138
    thisalinea.parentID = 1131
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Een verzoek om de ouders met het gezamenlijk gezag te belasten als bedoeld in het eerste lid, kan ook door de moeder uit wie het kind is geboren worden gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Een verzoek om de ouders met het gezamenlijk gezag te belasten als bedoeld in het")
    thisalinea.textcontent.append("eerste lid, kan ook door de moeder uit wie het kind is geboren worden gedaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253d"
    thisalinea.nativeID = 1139
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 404
    thisalinea.summary = "1. Indien de voorziening in het gezag over een kind, bedoeld in artikel 253b, eerste lid, komt te ontbreken, kunnen beide ouders voor zover zij tot het gezag bevoegd zijn – de rechtbank verzoeken met het gezag onderscheidenlijk gezamenlijk gezag te worden belast. 2. Het in het eerste lid bedoelde verzoek wordt slechts afgewezen, indien gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd. 3. Hebben beiden een verzoek ingediend anders dan tot gezamenlijke gezagsuitoefening, dan willigt de rechter het verzoek in van degene wiens gezag over het kind hij het meeste in het belang "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de voorziening in het ..."
    thisalinea.nativeID = 1140
    thisalinea.parentID = 1139
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de voorziening in het gezag over een kind, bedoeld in artikel 253b, eerste lid, komt te ontbreken, kunnen beide ouders voor zover zij tot het gezag bevoegd zijn – de rechtbank verzoeken met het gezag onderscheidenlijk gezamenlijk gezag te worden belast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de voorziening in het gezag over een kind, bedoeld in artikel 253b, eerste lid, komt")
    thisalinea.textcontent.append("te ontbreken, kunnen beide ouders voor zover zij tot het gezag bevoegd zijn – de")
    thisalinea.textcontent.append("rechtbank verzoeken met het gezag onderscheidenlijk gezamenlijk gezag te worden")
    thisalinea.textcontent.append("belast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het in het eerste lid ..."
    thisalinea.nativeID = 1141
    thisalinea.parentID = 1139
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het in het eerste lid bedoelde verzoek wordt slechts afgewezen, indien gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het in het eerste lid bedoelde verzoek wordt slechts afgewezen, indien gegronde vrees")
    thisalinea.textcontent.append("bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Hebben beiden een verzoek ingediend ..."
    thisalinea.nativeID = 1142
    thisalinea.parentID = 1139
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Hebben beiden een verzoek ingediend anders dan tot gezamenlijke gezagsuitoefening, dan willigt de rechter het verzoek in van degene wiens gezag over het kind hij het meeste in het belang van het kind oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Hebben beiden een verzoek ingediend anders dan tot gezamenlijke gezagsuitoefening,")
    thisalinea.textcontent.append("dan willigt de rechter het verzoek in van degene wiens gezag over het kind hij het meeste")
    thisalinea.textcontent.append("in het belang van het kind oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Indien, voordat over het verzoek ..."
    thisalinea.nativeID = 1143
    thisalinea.parentID = 1139
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Indien, voordat over het verzoek van één ouder is beslist, de andere ouder van rechtswege het gezag over het kind verkrijgt, willigt de rechter het verzoek slechts in, indien hij dit in het belang van het kind wenselijk oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Indien, voordat over het verzoek van één ouder is beslist, de andere ouder van")
    thisalinea.textcontent.append("rechtswege het gezag over het kind verkrijgt, willigt de rechter het verzoek slechts in,")
    thisalinea.textcontent.append("indien hij dit in het belang van het kind wenselijk oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253e"
    thisalinea.nativeID = 1144
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 405
    thisalinea.summary = "Inwilliging van het verzoek van een der ouders als bedoeld in de artikelen 253b, 253c en 253d van dit boek heeft, indien de ander het gezag tot dusverre uitoefende, tot gevolg dat de laatste het gezag verliest. Dit gevolg treedt niet in indien de ouders als gevolg van de rechterlijke beslissing met het gezamenlijk gezag zijn belast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Inwilliging van het verzoek van een der ouders als bedoeld in de artikelen 253b, 253c en")
    thisalinea.textcontent.append("253d van dit boek heeft, indien de ander het gezag tot dusverre uitoefende, tot gevolg dat de")
    thisalinea.textcontent.append("laatste het gezag verliest. Dit gevolg treedt niet in indien de ouders als gevolg van de")
    thisalinea.textcontent.append("rechterlijke beslissing met het gezamenlijk gezag zijn belast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253f"
    thisalinea.nativeID = 1145
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 406
    thisalinea.summary = "Na de dood van een der ouders oefent de overlevende ouder van rechtswege het gezag over de kinderen uit, indien en voor zover hij op het tijdstip van overlijden het gezag uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Na de dood van een der ouders oefent de overlevende ouder van rechtswege het gezag over")
    thisalinea.textcontent.append("de kinderen uit, indien en voor zover hij op het tijdstip van overlijden het gezag uitoefent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253g"
    thisalinea.nativeID = 1146
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 407
    thisalinea.summary = "1. Indien van de ouders diegene overlijdt die het gezag over hun minderjarige kinderen alleen uitoefent, bepaalt de rechter dat de overlevende ouder of een derde met het gezag over deze kinderen wordt belast. 2. De rechter doet dit op verzoek van de raad voor de kinderbescherming, de overlevende ouder of ambtshalve. 3. Het verzoek om de overlevende ouder met het gezag te belasten wordt slechts afgewezen, indien de rechter oordeelt dat het belang van de minderjarige zich tegen inwilliging verzet. 4. De bepaling van het voorgaande lid is mede van toepassing indien de overleden ouder een voogd had aangewezen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien van de ouders diegene ..."
    thisalinea.nativeID = 1147
    thisalinea.parentID = 1146
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien van de ouders diegene overlijdt die het gezag over hun minderjarige kinderen alleen uitoefent, bepaalt de rechter dat de overlevende ouder of een derde met het gezag over deze kinderen wordt belast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien van de ouders diegene overlijdt die het gezag over hun minderjarige kinderen")
    thisalinea.textcontent.append("alleen uitoefent, bepaalt de rechter dat de overlevende ouder of een derde met het gezag")
    thisalinea.textcontent.append("over deze kinderen wordt belast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechter doet dit op ..."
    thisalinea.nativeID = 1148
    thisalinea.parentID = 1146
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechter doet dit op verzoek van de raad voor de kinderbescherming, de overlevende ouder of ambtshalve. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechter doet dit op verzoek van de raad voor de kinderbescherming, de overlevende")
    thisalinea.textcontent.append("ouder of ambtshalve.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het verzoek om de overlevende ..."
    thisalinea.nativeID = 1149
    thisalinea.parentID = 1146
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het verzoek om de overlevende ouder met het gezag te belasten wordt slechts afgewezen, indien de rechter oordeelt dat het belang van de minderjarige zich tegen inwilliging verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het verzoek om de overlevende ouder met het gezag te belasten wordt slechts")
    thisalinea.textcontent.append("afgewezen, indien de rechter oordeelt dat het belang van de minderjarige zich tegen")
    thisalinea.textcontent.append("inwilliging verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De bepaling van het voorgaande ..."
    thisalinea.nativeID = 1150
    thisalinea.parentID = 1146
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De bepaling van het voorgaande lid is mede van toepassing indien de overleden ouder een voogd had aangewezen overeenkomstig artikel 292 van dit boek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De bepaling van het voorgaande lid is mede van toepassing indien de overleden ouder")
    thisalinea.textcontent.append("een voogd had aangewezen overeenkomstig artikel 292 van dit boek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253h"
    thisalinea.nativeID = 1151
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 408
    thisalinea.summary = "1. Indien na het overlijden van één der ouders een voogd is benoemd, kan de rechter deze beslissing te allen tijde in dier voege wijzigen, dat de overlevende ouder mits deze daartoe bevoegd is, alsnog met het gezag wordt belast. 2. Hij gaat hiertoe slechts over op verzoek van de overlevende ouder, en niet dan op grond dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van onjuiste of onvolledige gegevens is uitgegaan. 3. Wanneer de andere ouder een voogd had aangewezen overeenkomstig artikel 292 van dit boek en deze inmiddels is opgetreden, is dit "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien na het overlijden van ..."
    thisalinea.nativeID = 1152
    thisalinea.parentID = 1151
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien na het overlijden van één der ouders een voogd is benoemd, kan de rechter deze beslissing te allen tijde in dier voege wijzigen, dat de overlevende ouder mits deze daartoe bevoegd is, alsnog met het gezag wordt belast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien na het overlijden van één der ouders een voogd is benoemd, kan de rechter deze")
    thisalinea.textcontent.append("beslissing te allen tijde in dier voege wijzigen, dat de overlevende ouder mits deze")
    thisalinea.textcontent.append("daartoe bevoegd is, alsnog met het gezag wordt belast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij gaat hiertoe slechts over ..."
    thisalinea.nativeID = 1153
    thisalinea.parentID = 1151
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij gaat hiertoe slechts over op verzoek van de overlevende ouder, en niet dan op grond dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van onjuiste of onvolledige gegevens is uitgegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij gaat hiertoe slechts over op verzoek van de overlevende ouder, en niet dan op grond")
    thisalinea.textcontent.append("dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van")
    thisalinea.textcontent.append("onjuiste of onvolledige gegevens is uitgegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Wanneer de andere ouder een ..."
    thisalinea.nativeID = 1154
    thisalinea.parentID = 1151
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Wanneer de andere ouder een voogd had aangewezen overeenkomstig artikel 292 van dit boek en deze inmiddels is opgetreden, is dit artikel van overeenkomstige toepassing met dien verstande dat, mits het verzoek van de overlevende ouder binnen één jaar na het begin van de voogdij wordt gedaan, dit verzoek slechts wordt afgewezen indien de rechter oordeelt dat het belang van de minderjarige zich tegen inwilliging verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Wanneer de andere ouder een voogd had aangewezen overeenkomstig artikel 292 van dit")
    thisalinea.textcontent.append("boek en deze inmiddels is opgetreden, is dit artikel van overeenkomstige toepassing met")
    thisalinea.textcontent.append("dien verstande dat, mits het verzoek van de overlevende ouder binnen één jaar na het")
    thisalinea.textcontent.append("begin van de voogdij wordt gedaan, dit verzoek slechts wordt afgewezen indien de rechter")
    thisalinea.textcontent.append("oordeelt dat het belang van de minderjarige zich tegen inwilliging verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 2a. Gezag na meerderjarigverklaring"
    thisalinea.nativeID = 1155
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 409
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253ha"
    thisalinea.nativeID = 1156
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 410
    thisalinea.summary = "1. De minderjarige vrouw die als degene die het gezag heeft, haar kind wenst te verzorgen en op te voeden kan, indien zij de leeftijd van zestien jaren heeft bereikt, de kinderrechter verzoeken haar meerderjarig te verklaren. 2. Het verzoek kan ten behoeve van de vrouw ook worden gedaan door de raad voor de kinderbescherming. Deze behoeft hiertoe haar schriftelijke toestemming. Het verzoek vervalt, indien de vrouw haar toestemming intrekt. 3. Het verzoek kan ook voor de bevalling door of ten behoeve van de vrouw worden gedaan, alsmede indien de vrouw eerst omstreeks het tijdstip van haar bevalling de leeftijd "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De minderjarige vrouw die als ..."
    thisalinea.nativeID = 1157
    thisalinea.parentID = 1156
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De minderjarige vrouw die als degene die het gezag heeft, haar kind wenst te verzorgen en op te voeden kan, indien zij de leeftijd van zestien jaren heeft bereikt, de kinderrechter verzoeken haar meerderjarig te verklaren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De minderjarige vrouw die als degene die het gezag heeft, haar kind wenst te verzorgen")
    thisalinea.textcontent.append("en op te voeden kan, indien zij de leeftijd van zestien jaren heeft bereikt, de kinderrechter")
    thisalinea.textcontent.append("verzoeken haar meerderjarig te verklaren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het verzoek kan ten behoeve ..."
    thisalinea.nativeID = 1158
    thisalinea.parentID = 1156
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het verzoek kan ten behoeve van de vrouw ook worden gedaan door de raad voor de kinderbescherming. Deze behoeft hiertoe haar schriftelijke toestemming. Het verzoek vervalt, indien de vrouw haar toestemming intrekt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het verzoek kan ten behoeve van de vrouw ook worden gedaan door de raad voor de")
    thisalinea.textcontent.append("kinderbescherming. Deze behoeft hiertoe haar schriftelijke toestemming. Het verzoek")
    thisalinea.textcontent.append("vervalt, indien de vrouw haar toestemming intrekt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het verzoek kan ook voor ..."
    thisalinea.nativeID = 1159
    thisalinea.parentID = 1156
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het verzoek kan ook voor de bevalling door of ten behoeve van de vrouw worden gedaan, alsmede indien de vrouw eerst omstreeks het tijdstip van haar bevalling de leeftijd van zestien jaren zal hebben bereikt. In dat geval wordt op het verzoek niet eerder dan na de bevalling of, indien de vrouw op dat tijdstip nog geen zestien jaar is, nadat zij die leeftijd heeft bereikt, beslist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het verzoek kan ook voor de bevalling door of ten behoeve van de vrouw worden gedaan,")
    thisalinea.textcontent.append("alsmede indien de vrouw eerst omstreeks het tijdstip van haar bevalling de leeftijd van")
    thisalinea.textcontent.append("zestien jaren zal hebben bereikt. In dat geval wordt op het verzoek niet eerder dan na de")
    thisalinea.textcontent.append("bevalling of, indien de vrouw op dat tijdstip nog geen zestien jaar is, nadat zij die leeftijd")
    thisalinea.textcontent.append("heeft bereikt, beslist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De kinderrechter willigt het verzoek ..."
    thisalinea.nativeID = 1160
    thisalinea.parentID = 1156
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De kinderrechter willigt het verzoek slechts in, indien hij dit in het belang van de moeder en haar kind wenselijk oordeelt. Indien een ander met het gezag is belast, wordt de moeder daarmee belast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De kinderrechter willigt het verzoek slechts in, indien hij dit in het belang van de moeder")
    thisalinea.textcontent.append("en haar kind wenselijk oordeelt. Indien een ander met het gezag is belast, wordt de")
    thisalinea.textcontent.append("moeder daarmee belast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De minderjarige vrouw is bekwaam ..."
    thisalinea.nativeID = 1161
    thisalinea.parentID = 1156
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De minderjarige vrouw is bekwaam in rechte op te treden en tegen een uitspraak beroep in te stellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De minderjarige vrouw is bekwaam in rechte op te treden en tegen een uitspraak beroep")
    thisalinea.textcontent.append("in te stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 3. Het bewind van de ouders"
    thisalinea.nativeID = 1162
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 411
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253i"
    thisalinea.nativeID = 1163
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 412
    thisalinea.summary = '1. Ingeval van gezamenlijke gezagsuitoefening voeren de ouders gezamenlijk het bewind over het vermogen van het kind en vertegenwoordigen zij gezamenlijk het kind in burgerlijke handelingen, met dien verstande dat een ouder alleen, mits niet van bezwaren van de andere ouder is gebleken, hiertoe ook bevoegd is. 2. Artikel 253a van dit boek is van overeenkomstige toepassing met dien verstande dat in plaats van "de rechtbank" wordt gelezen "de kantonrechter". 3. Oefent een ouder het gezag alleen uit, dan wordt door die ouder het bewind over het vermogen van het kind gevoerd en het kind in burgerlijke handelingen vertegenwoordigd. 4. '
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Ingeval van gezamenlijke gezagsuitoefening voeren ..."
    thisalinea.nativeID = 1164
    thisalinea.parentID = 1163
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Ingeval van gezamenlijke gezagsuitoefening voeren de ouders gezamenlijk het bewind over het vermogen van het kind en vertegenwoordigen zij gezamenlijk het kind in burgerlijke handelingen, met dien verstande dat een ouder alleen, mits niet van bezwaren van de andere ouder is gebleken, hiertoe ook bevoegd is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Ingeval van gezamenlijke gezagsuitoefening voeren de ouders gezamenlijk het bewind")
    thisalinea.textcontent.append("over het vermogen van het kind en vertegenwoordigen zij gezamenlijk het kind in")
    thisalinea.textcontent.append("burgerlijke handelingen, met dien verstande dat een ouder alleen, mits niet van bezwaren")
    thisalinea.textcontent.append("van de andere ouder is gebleken, hiertoe ook bevoegd is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Artikel 253a van dit boek ..."
    thisalinea.nativeID = 1165
    thisalinea.parentID = 1163
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = '2. Artikel 253a van dit boek is van overeenkomstige toepassing met dien verstande dat in plaats van "de rechtbank" wordt gelezen "de kantonrechter". '
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Artikel 253a van dit boek is van overeenkomstige toepassing met dien verstande dat in")
    thisalinea.textcontent.append('plaats van "de rechtbank" wordt gelezen "de kantonrechter".')
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Oefent een ouder het gezag ..."
    thisalinea.nativeID = 1166
    thisalinea.parentID = 1163
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Oefent een ouder het gezag alleen uit, dan wordt door die ouder het bewind over het vermogen van het kind gevoerd en het kind in burgerlijke handelingen vertegenwoordigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Oefent een ouder het gezag alleen uit, dan wordt door die ouder het bewind over het")
    thisalinea.textcontent.append("vermogen van het kind gevoerd en het kind in burgerlijke handelingen vertegenwoordigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Van het bepaalde in het ..."
    thisalinea.nativeID = 1167
    thisalinea.parentID = 1163
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Van het bepaalde in het eerste en derde lid kan worden afgeweken: a. indien de rechter bij de beschikking waarbij de uitoefening van het gezag over het kind aan een van de ouders wordt opgedragen op eensluidend verzoek van de ouders of op verzoek van één van hen, mits de ander zich daartegen niet verzet, heeft bepaald dat de ouder die niet het gezag over het kind zal uitoefenen, het bewind over het vermogen van het kind zal voeren; b. ingevolge artikel 276, tweede lid, van dit boek, bij beëindiging van het gezag; c. indien hij die een minderjarige "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Van het bepaalde in het eerste en derde lid kan worden afgeweken:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. indien de rechter bij de ..."
    thisalinea.nativeID = 1168
    thisalinea.parentID = 1167
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. indien de rechter bij de beschikking waarbij de uitoefening van het gezag over het kind aan een van de ouders wordt opgedragen op eensluidend verzoek van de ouders of op verzoek van één van hen, mits de ander zich daartegen niet verzet, heeft bepaald dat de ouder die niet het gezag over het kind zal uitoefenen, het bewind over het vermogen van het kind zal voeren; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. indien de rechter bij de beschikking waarbij de uitoefening van het gezag over het kind")
    thisalinea.textcontent.append("aan een van de ouders wordt opgedragen op eensluidend verzoek van de ouders of")
    thisalinea.textcontent.append("op verzoek van één van hen, mits de ander zich daartegen niet verzet, heeft bepaald")
    thisalinea.textcontent.append("dat de ouder die niet het gezag over het kind zal uitoefenen, het bewind over het")
    thisalinea.textcontent.append("vermogen van het kind zal voeren;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. ingevolge artikel 276, tweede lid, ..."
    thisalinea.nativeID = 1169
    thisalinea.parentID = 1167
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. ingevolge artikel 276, tweede lid, van dit boek, bij beëindiging van het gezag; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. ingevolge artikel 276, tweede lid, van dit boek, bij beëindiging van het gezag;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. indien hij die een minderjarige ..."
    thisalinea.nativeID = 1170
    thisalinea.parentID = 1167
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. indien hij die een minderjarige goederen schenkt of vermaakt, bij de gift, onderscheidenlijk bij de uiterste wilsbeschikking, heeft bepaald dat een ander het bewind over die goederen zal voeren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. indien hij die een minderjarige goederen schenkt of vermaakt, bij de gift,")
    thisalinea.textcontent.append("onderscheidenlijk bij de uiterste wilsbeschikking, heeft bepaald dat een ander het")
    thisalinea.textcontent.append("bewind over die goederen zal voeren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. In het laatstbedoelde geval zijn ..."
    thisalinea.nativeID = 1171
    thisalinea.parentID = 1163
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. In het laatstbedoelde geval zijn de ouders, of - indien een ouder het gezag alleen uitoefent - die ouder, bevoegd van de bewindvoerder rekening en verantwoording te vragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. In het laatstbedoelde geval zijn de ouders, of - indien een ouder het gezag alleen uitoefent")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 4
    thisalinea.texttitle = "- die ouder, bevoegd van de ..."
    thisalinea.nativeID = 1172
    thisalinea.parentID = 1171
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SIGNMARK
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "- die ouder, bevoegd van de bewindvoerder rekening en verantwoording te vragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("- die ouder, bevoegd van de bewindvoerder rekening en verantwoording te vragen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Bij het vervallen van het ..."
    thisalinea.nativeID = 1173
    thisalinea.parentID = 1163
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Bij het vervallen van het door de schenker of erflater ingesteld bewind zijn het eerste en tweede lid, onderscheidenlijk het derde lid, van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Bij het vervallen van het door de schenker of erflater ingesteld bewind zijn het eerste en")
    thisalinea.textcontent.append("tweede lid, onderscheidenlijk het derde lid, van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253j"
    thisalinea.nativeID = 1174
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 413
    thisalinea.summary = "De ouders of een ouder moeten het bewind over het vermogen van hun kind als goede bewindvoerders voeren. Bij slecht bewind zijn zij voor de daaraan te wijten schade aansprakelijk, behoudens voor de vruchten van dat vermogen voor zover de wet hun het genot daarvan toekent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De ouders of een ouder moeten het bewind over het vermogen van hun kind als goede")
    thisalinea.textcontent.append("bewindvoerders voeren. Bij slecht bewind zijn zij voor de daaraan te wijten schade")
    thisalinea.textcontent.append("aansprakelijk, behoudens voor de vruchten van dat vermogen voor zover de wet hun het")
    thisalinea.textcontent.append("genot daarvan toekent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253k"
    thisalinea.nativeID = 1175
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 414
    thisalinea.summary = "Op het bewind van de ouders of een ouder zijn de artikelen 342, tweede lid, 344 tot en met "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Op het bewind van de ouders of een ouder zijn de artikelen 342, tweede lid, 344 tot en met")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "357 en 370 van dit boek van overeenkomstige toepassing."
    thisalinea.nativeID = 1176
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 415
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253l"
    thisalinea.nativeID = 1177
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 416
    thisalinea.summary = "1. Elke ouder die het gezag over zijn kind uitoefent, heeft het vruchtgenot van diens vermogen. Indien het kind bij de ouder inwoont en anders dan incidenteel inkomen uit arbeid geniet, is het verplicht naar draagkracht bij te dragen in de kosten van de huishouding van het gezin. 2. Het eerste lid is van overeenkomstige toepassing in geval het gezag van de ouder is beëindigd, tenzij de andere ouder het gezag uitoefent. 3. Aan bedoeld vruchtgenot zijn de lasten verbonden, die op vruchtgebruikers rusten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Elke ouder die het gezag ..."
    thisalinea.nativeID = 1178
    thisalinea.parentID = 1177
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Elke ouder die het gezag over zijn kind uitoefent, heeft het vruchtgenot van diens vermogen. Indien het kind bij de ouder inwoont en anders dan incidenteel inkomen uit arbeid geniet, is het verplicht naar draagkracht bij te dragen in de kosten van de huishouding van het gezin. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Elke ouder die het gezag over zijn kind uitoefent, heeft het vruchtgenot van diens")
    thisalinea.textcontent.append("vermogen. Indien het kind bij de ouder inwoont en anders dan incidenteel inkomen uit")
    thisalinea.textcontent.append("arbeid geniet, is het verplicht naar draagkracht bij te dragen in de kosten van de")
    thisalinea.textcontent.append("huishouding van het gezin.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het eerste lid is van ..."
    thisalinea.nativeID = 1179
    thisalinea.parentID = 1177
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het eerste lid is van overeenkomstige toepassing in geval het gezag van de ouder is beëindigd, tenzij de andere ouder het gezag uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het eerste lid is van overeenkomstige toepassing in geval het gezag van de ouder is")
    thisalinea.textcontent.append("beëindigd, tenzij de andere ouder het gezag uitoefent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Aan bedoeld vruchtgenot zijn de ..."
    thisalinea.nativeID = 1180
    thisalinea.parentID = 1177
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Aan bedoeld vruchtgenot zijn de lasten verbonden, die op vruchtgebruikers rusten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Aan bedoeld vruchtgenot zijn de lasten verbonden, die op vruchtgebruikers rusten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253m"
    thisalinea.nativeID = 1181
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 417
    thisalinea.summary = "De ouder heeft geen vruchtgenot van het vermogen, ten aanzien waarvan bij uiterste wilsbeschikking van de erflater of bij de gift is bepaald dat de ouders daarvan het vruchtgenot niet zullen hebben. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De ouder heeft geen vruchtgenot van het vermogen, ten aanzien waarvan bij uiterste")
    thisalinea.textcontent.append("wilsbeschikking van de erflater of bij de gift is bepaald dat de ouders daarvan het vruchtgenot")
    thisalinea.textcontent.append("niet zullen hebben.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3. Gemeenschappelijke bepalingen betreffende de gezagsuitoefening door de ouders en de gezagsuitoefening door één van hen"
    thisalinea.nativeID = 1182
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 418
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253n"
    thisalinea.nativeID = 1183
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 419
    thisalinea.summary = "1. Op verzoek van de niet met elkaar gehuwde ouders of een van hen kan de rechtbank het gezamenlijk gezag, bedoeld in de artikelen 251, tweede lid, 251b, eerste lid, 252, eerste lid, 253q, vijfde lid, of 277, eerste lid, beëindigen, indien nadien de omstandigheden zijn gewijzigd of bij het nemen van de beslissing van onjuiste of onvolledige gegevens is uitgegaan. Alsdan bepaalt de rechtbank aan wie van de ouders voortaan het gezag over ieder der minderjarige kinderen toekomt. 2. Het eerste en derde lid van artikel 251a zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op verzoek van de niet ..."
    thisalinea.nativeID = 1184
    thisalinea.parentID = 1183
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op verzoek van de niet met elkaar gehuwde ouders of een van hen kan de rechtbank het gezamenlijk gezag, bedoeld in de artikelen 251, tweede lid, 251b, eerste lid, 252, eerste lid, 253q, vijfde lid, of 277, eerste lid, beëindigen, indien nadien de omstandigheden zijn gewijzigd of bij het nemen van de beslissing van onjuiste of onvolledige gegevens is uitgegaan. Alsdan bepaalt de rechtbank aan wie van de ouders voortaan het gezag over ieder der minderjarige kinderen toekomt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op verzoek van de niet met elkaar gehuwde ouders of een van hen kan de rechtbank het")
    thisalinea.textcontent.append("gezamenlijk gezag, bedoeld in de artikelen 251, tweede lid, 251b, eerste lid, 252, eerste")
    thisalinea.textcontent.append("lid, 253q, vijfde lid, of 277, eerste lid, beëindigen, indien nadien de omstandigheden zijn")
    thisalinea.textcontent.append("gewijzigd of bij het nemen van de beslissing van onjuiste of onvolledige gegevens is")
    thisalinea.textcontent.append("uitgegaan. Alsdan bepaalt de rechtbank aan wie van de ouders voortaan het gezag over")
    thisalinea.textcontent.append("ieder der minderjarige kinderen toekomt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het eerste en derde lid ..."
    thisalinea.nativeID = 1185
    thisalinea.parentID = 1183
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het eerste en derde lid van artikel 251a zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het eerste en derde lid van artikel 251a zijn van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253o"
    thisalinea.nativeID = 1186
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 420
    thisalinea.summary = "1. Beslissingen waarbij een ouder alleen met het gezag is belast, gegeven ingevolge het bepaalde in de paragrafen 1, 2 en 2a van deze titel en het bepaalde in artikel 253n van dit boek kunnen op verzoek van de ouders of van een van hen door de rechtbank worden gewijzigd op grond dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van onjuiste of onvolledige gegevens is uitgegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Beslissingen waarbij een ouder alleen ..."
    thisalinea.nativeID = 1187
    thisalinea.parentID = 1186
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Beslissingen waarbij een ouder alleen met het gezag is belast, gegeven ingevolge het bepaalde in de paragrafen 1, 2 en 2a van deze titel en het bepaalde in artikel 253n van dit boek kunnen op verzoek van de ouders of van een van hen door de rechtbank worden gewijzigd op grond dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van onjuiste of onvolledige gegevens is uitgegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Beslissingen waarbij een ouder alleen met het gezag is belast, gegeven ingevolge het")
    thisalinea.textcontent.append("bepaalde in de paragrafen 1, 2 en 2a van deze titel en het bepaalde in artikel 253n van dit")
    thisalinea.textcontent.append("boek kunnen op verzoek van de ouders of van een van hen door de rechtbank worden")
    thisalinea.textcontent.append("gewijzigd op grond dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van")
    thisalinea.textcontent.append("de beslissing van onjuiste of onvolledige gegevens is uitgegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253p"
    thisalinea.nativeID = 1188
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 421
    thisalinea.summary = "1. In de gevallen waarin door de rechter het gezag wordt opgedragen aan beide ouders of aan een ouder alleen, neemt dit een aanvang zodra de desbetreffende beschikking in kracht van gewijsde is gegaan, of, indien zij uitvoerbaar bij voorraad is verklaard, daags nadat de beschikking is verstrekt of verzonden. 2. Na de gerechtelijke ontbinding van het huwelijk of na scheiding van tafel en bed begint het gezag nochtans niet voordat de beschikking houdende ontbinding van het huwelijk is ingeschreven in de registers van de burgerlijke stand of voordat de beschikking houdende scheiding van tafel en bed is ingeschreven in "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. In de gevallen waarin door ..."
    thisalinea.nativeID = 1189
    thisalinea.parentID = 1188
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. In de gevallen waarin door de rechter het gezag wordt opgedragen aan beide ouders of aan een ouder alleen, neemt dit een aanvang zodra de desbetreffende beschikking in kracht van gewijsde is gegaan, of, indien zij uitvoerbaar bij voorraad is verklaard, daags nadat de beschikking is verstrekt of verzonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. In de gevallen waarin door de rechter het gezag wordt opgedragen aan beide ouders of")
    thisalinea.textcontent.append("aan een ouder alleen, neemt dit een aanvang zodra de desbetreffende beschikking in")
    thisalinea.textcontent.append("kracht van gewijsde is gegaan, of, indien zij uitvoerbaar bij voorraad is verklaard, daags")
    thisalinea.textcontent.append("nadat de beschikking is verstrekt of verzonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Na de gerechtelijke ontbinding van ..."
    thisalinea.nativeID = 1190
    thisalinea.parentID = 1188
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Na de gerechtelijke ontbinding van het huwelijk of na scheiding van tafel en bed begint het gezag nochtans niet voordat de beschikking houdende ontbinding van het huwelijk is ingeschreven in de registers van de burgerlijke stand of voordat de beschikking houdende scheiding van tafel en bed is ingeschreven in het huwelijksgoederenregister, aangewezen in artikel 116. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Na de gerechtelijke ontbinding van het huwelijk of na scheiding van tafel en bed begint het")
    thisalinea.textcontent.append("gezag nochtans niet voordat de beschikking houdende ontbinding van het huwelijk is")
    thisalinea.textcontent.append("ingeschreven in de registers van de burgerlijke stand of voordat de beschikking houdende")
    thisalinea.textcontent.append("scheiding van tafel en bed is ingeschreven in het huwelijksgoederenregister, aangewezen")
    thisalinea.textcontent.append("in artikel 116.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien een aantekening was gedaan ..."
    thisalinea.nativeID = 1191
    thisalinea.parentID = 1188
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien een aantekening was gedaan als bedoeld in artikel 252, eerste lid, van dit boek, begint het aan één der ouders opgedragen gezag nochtans niet, dan nadat deze aantekening door de griffier is doorgehaald. Van de doorhaling doet de griffier schriftelijk mededeling aan beide ouders. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien een aantekening was gedaan als bedoeld in artikel 252, eerste lid, van dit boek,")
    thisalinea.textcontent.append("begint het aan één der ouders opgedragen gezag nochtans niet, dan nadat deze")
    thisalinea.textcontent.append("aantekening door de griffier is doorgehaald. Van de doorhaling doet de griffier schriftelijk")
    thisalinea.textcontent.append("mededeling aan beide ouders.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253q"
    thisalinea.nativeID = 1192
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 422
    thisalinea.summary = "1. Wanneer een van de ouders die gezamenlijk het gezag over hun minderjarige kinderen uitoefenen, op een der in artikel 246 genoemde gronden daartoe onbevoegd is, oefent de andere ouder alleen het gezag over de kinderen uit. Wanneer de grond van de onbevoegdheid is weggevallen, herleeft van rechtswege het gezamenlijke gezag. 2. Wanneer beide ouders die gezamenlijk het gezag over hun minderjarige kinderen uitoefenen, daartoe op een der in artikel 246 genoemde gronden onbevoegd zijn, benoemt de rechtbank een voogd. 3. Wanneer een ouder die alleen het gezag uitoefent, op een der in artikel 246 genoemde gronden daartoe onbevoegd is, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer een van de ouders ..."
    thisalinea.nativeID = 1193
    thisalinea.parentID = 1192
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer een van de ouders die gezamenlijk het gezag over hun minderjarige kinderen uitoefenen, op een der in artikel 246 genoemde gronden daartoe onbevoegd is, oefent de andere ouder alleen het gezag over de kinderen uit. Wanneer de grond van de onbevoegdheid is weggevallen, herleeft van rechtswege het gezamenlijke gezag. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer een van de ouders die gezamenlijk het gezag over hun minderjarige kinderen")
    thisalinea.textcontent.append("uitoefenen, op een der in artikel 246 genoemde gronden daartoe onbevoegd is, oefent de")
    thisalinea.textcontent.append("andere ouder alleen het gezag over de kinderen uit. Wanneer de grond van de")
    thisalinea.textcontent.append("onbevoegdheid is weggevallen, herleeft van rechtswege het gezamenlijke gezag.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Wanneer beide ouders die gezamenlijk ..."
    thisalinea.nativeID = 1194
    thisalinea.parentID = 1192
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Wanneer beide ouders die gezamenlijk het gezag over hun minderjarige kinderen uitoefenen, daartoe op een der in artikel 246 genoemde gronden onbevoegd zijn, benoemt de rechtbank een voogd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Wanneer beide ouders die gezamenlijk het gezag over hun minderjarige kinderen")
    thisalinea.textcontent.append("uitoefenen, daartoe op een der in artikel 246 genoemde gronden onbevoegd zijn,")
    thisalinea.textcontent.append("benoemt de rechtbank een voogd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Wanneer een ouder die alleen ..."
    thisalinea.nativeID = 1195
    thisalinea.parentID = 1192
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Wanneer een ouder die alleen het gezag uitoefent, op een der in artikel 246 genoemde gronden daartoe onbevoegd is, belast de rechtbank de andere ouder met het gezag, tenzij de rechter oordeelt dat het belang van de minderjarige zich hiertegen verzet. Alsdan benoemt zij een voogd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Wanneer een ouder die alleen het gezag uitoefent, op een der in artikel 246 genoemde")
    thisalinea.textcontent.append("gronden daartoe onbevoegd is, belast de rechtbank de andere ouder met het gezag,")
    thisalinea.textcontent.append("tenzij de rechter oordeelt dat het belang van de minderjarige zich hiertegen verzet. Alsdan")
    thisalinea.textcontent.append("benoemt zij een voogd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De in het tweede en ..."
    thisalinea.nativeID = 1196
    thisalinea.parentID = 1192
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De in het tweede en derde lid bedoelde beslissingen worden gegeven op verzoek van een ouder, bloed- of aanverwanten van de minderjarige, de raad voor de kinderbescherming, de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet, een rechtspersoon een daartoe door Onze Minister van Veiligheid en Justitie aanvaarde rechtspersoon als bedoeld in artikel 256, eerste lid, en artikel 302, tweede lid, of ambtshalve. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De in het tweede en derde lid bedoelde beslissingen worden gegeven op verzoek van een")
    thisalinea.textcontent.append("ouder, bloed- of aanverwanten van de minderjarige, de raad voor de kinderbescherming,")
    thisalinea.textcontent.append("de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet, een rechtspersoon")
    thisalinea.textcontent.append("een daartoe door Onze Minister van Veiligheid en Justitie aanvaarde rechtspersoon als")
    thisalinea.textcontent.append("bedoeld in artikel 256, eerste lid, en artikel 302, tweede lid, of ambtshalve.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Wanneer de grond van de ..."
    thisalinea.nativeID = 1197
    thisalinea.parentID = 1192
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Wanneer de grond van de onbevoegdheid ten aanzien van de ouder die het gezag alleen uitoefende, is vervallen, belast de rechtbank deze ouder op zijn verzoek wederom met het gezag tenzij de rechtbank oordeelt dat het belang van de minderjarige zich hiertegen verzet. Op verzoek van de ouders of een van hen kan hij de ouders gezamenlijk met het gezag belasten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Wanneer de grond van de onbevoegdheid ten aanzien van de ouder die het gezag alleen")
    thisalinea.textcontent.append("uitoefende, is vervallen, belast de rechtbank deze ouder op zijn verzoek wederom met het")
    thisalinea.textcontent.append("gezag tenzij de rechtbank oordeelt dat het belang van de minderjarige zich hiertegen")
    thisalinea.textcontent.append("verzet. Op verzoek van de ouders of een van hen kan hij de ouders gezamenlijk met het")
    thisalinea.textcontent.append("gezag belasten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253r"
    thisalinea.nativeID = 1198
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 423
    thisalinea.summary = "1. Artikel 253q is van overeenkomstige toepassing, indien: a. de ouders of de ouder die het gezag uitoefenen al dan niet tijdelijk in de onmogelijkheid verkeren het gezag uit te oefenen; of b. het bestaan of de verblijfplaats van de ouders of van één van hen die het gezag uitoefenen, onbekend is. 2. In het geval een der ouders het gezag alleen uitoefent overeenkomstig artikel 253q, eerste lid, is gedurende de tijd waarin een van de in het eerste lid bedoelde omstandigheden zich voordoet het gezag van de andere ouder geschorst. In de overige gevallen is het gezag geschorst totdat "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Artikel 253q is van overeenkomstige ..."
    thisalinea.nativeID = 1199
    thisalinea.parentID = 1198
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Artikel 253q is van overeenkomstige toepassing, indien: a. de ouders of de ouder die het gezag uitoefenen al dan niet tijdelijk in de onmogelijkheid verkeren het gezag uit te oefenen; of b. het bestaan of de verblijfplaats van de ouders of van één van hen die het gezag uitoefenen, onbekend is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Artikel 253q is van overeenkomstige toepassing, indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de ouders of de ouder ..."
    thisalinea.nativeID = 1200
    thisalinea.parentID = 1199
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de ouders of de ouder die het gezag uitoefenen al dan niet tijdelijk in de onmogelijkheid verkeren het gezag uit te oefenen; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de ouders of de ouder die het gezag uitoefenen al dan niet tijdelijk in de")
    thisalinea.textcontent.append("onmogelijkheid verkeren het gezag uit te oefenen; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. het bestaan of de verblijfplaats ..."
    thisalinea.nativeID = 1201
    thisalinea.parentID = 1199
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. het bestaan of de verblijfplaats van de ouders of van één van hen die het gezag uitoefenen, onbekend is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. het bestaan of de verblijfplaats van de ouders of van één van hen die het gezag")
    thisalinea.textcontent.append("uitoefenen, onbekend is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In het geval een der ..."
    thisalinea.nativeID = 1202
    thisalinea.parentID = 1198
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In het geval een der ouders het gezag alleen uitoefent overeenkomstig artikel 253q, eerste lid, is gedurende de tijd waarin een van de in het eerste lid bedoelde omstandigheden zich voordoet het gezag van de andere ouder geschorst. In de overige gevallen is het gezag geschorst totdat de rechter de ouders of een van hen wederom met het gezag belast. In afwijking van artikel 253q kan de rechter dit slechts doen indien aan de vereisten gesteld in artikel 277, eerste lid, is voldaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In het geval een der ouders het gezag alleen uitoefent overeenkomstig artikel 253q,")
    thisalinea.textcontent.append("eerste lid, is gedurende de tijd waarin een van de in het eerste lid bedoelde")
    thisalinea.textcontent.append("omstandigheden zich voordoet het gezag van de andere ouder geschorst. In de overige")
    thisalinea.textcontent.append("gevallen is het gezag geschorst totdat de rechter de ouders of een van hen wederom met")
    thisalinea.textcontent.append("het gezag belast. In afwijking van artikel 253q kan de rechter dit slechts doen indien aan")
    thisalinea.textcontent.append("de vereisten gesteld in artikel 277, eerste lid, is voldaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253s"
    thisalinea.nativeID = 1203
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 424
    thisalinea.summary = "het kind, dan wel tot beëindiging van het gezag van een of beide ouders aanhangig gemaakt, dan blijft de beschikking gelden, totdat op het verzoek bij gewijsde is beslist. 1. Indien het kind met instemming van zijn ouders die het gezag over hem uitoefenen, gedurende ten minste een jaar door een of meer anderen als behorende tot het gezin is verzorgd en opgevoed, kunnen de ouders slechts met toestemming van degenen die de verzorging en opvoeding op zich hebben genomen, wijziging in het verblijf van het kind brengen. 2. Voor zover de volgens het vorige lid vereiste toestemmingen niet worden "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("het kind, dan wel tot beëindiging van het gezag van een of beide ouders aanhangig")
    thisalinea.textcontent.append("gemaakt, dan blijft de beschikking gelden, totdat op het verzoek bij gewijsde is beslist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien het kind met instemming ..."
    thisalinea.nativeID = 1204
    thisalinea.parentID = 1203
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien het kind met instemming van zijn ouders die het gezag over hem uitoefenen, gedurende ten minste een jaar door een of meer anderen als behorende tot het gezin is verzorgd en opgevoed, kunnen de ouders slechts met toestemming van degenen die de verzorging en opvoeding op zich hebben genomen, wijziging in het verblijf van het kind brengen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien het kind met instemming van zijn ouders die het gezag over hem uitoefenen,")
    thisalinea.textcontent.append("gedurende ten minste een jaar door een of meer anderen als behorende tot het gezin is")
    thisalinea.textcontent.append("verzorgd en opgevoed, kunnen de ouders slechts met toestemming van degenen die de")
    thisalinea.textcontent.append("verzorging en opvoeding op zich hebben genomen, wijziging in het verblijf van het kind")
    thisalinea.textcontent.append("brengen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voor zover de volgens het ..."
    thisalinea.nativeID = 1205
    thisalinea.parentID = 1203
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voor zover de volgens het vorige lid vereiste toestemmingen niet worden verkregen, kunnen zij op verzoek van de ouders door die van de rechtbank worden vervangen. Dit verzoek wordt slechts afgewezen indien de rechtbank dit in het belang van de minderjarige noodzakelijk oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voor zover de volgens het vorige lid vereiste toestemmingen niet worden verkregen,")
    thisalinea.textcontent.append("kunnen zij op verzoek van de ouders door die van de rechtbank worden vervangen. Dit")
    thisalinea.textcontent.append("verzoek wordt slechts afgewezen indien de rechtbank dit in het belang van de")
    thisalinea.textcontent.append("minderjarige noodzakelijk oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In geval van afwijzing van ..."
    thisalinea.nativeID = 1206
    thisalinea.parentID = 1203
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In geval van afwijzing van het verzoek is de beschikking van kracht gedurende een door de rechtbank te bepalen termijn, welke de duur van zes maanden niet te boven mag gaan. Is echter voor het einde van deze termijn een verzoek tot ondertoezichtstelling van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In geval van afwijzing van het verzoek is de beschikking van kracht gedurende een door")
    thisalinea.textcontent.append("de rechtbank te bepalen termijn, welke de duur van zes maanden niet te boven mag")
    thisalinea.textcontent.append("gaan. Is echter voor het einde van deze termijn een verzoek tot ondertoezichtstelling van")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3A. Gezamenlijk gezag van een ouder tezamen met een ander dan een ouder Paragraaf 1. Het gezamenlijk gezag van rechtswege van een ouder tezamen met een ander dan een ouder"
    thisalinea.nativeID = 1207
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 425
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253sa"
    thisalinea.nativeID = 1208
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 426
    thisalinea.summary = "1. Over het staande hun huwelijk of geregistreerd partnerschap geboren kind oefenen een ouder en zijn echtgenoot of geregistreerde partner die niet de ouder is, gezamenlijk het gezag uit, tenzij het kind tevens in familierechtelijke betrekking staat tot een andere ouder. 2. De bepalingen met betrekking tot het gezamenlijk gezag zijn hierop van toepassing, met uitzondering van de artikelen 251, tweede lid, en 251a, tweede en derde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Over het staande hun huwelijk ..."
    thisalinea.nativeID = 1209
    thisalinea.parentID = 1208
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Over het staande hun huwelijk of geregistreerd partnerschap geboren kind oefenen een ouder en zijn echtgenoot of geregistreerde partner die niet de ouder is, gezamenlijk het gezag uit, tenzij het kind tevens in familierechtelijke betrekking staat tot een andere ouder. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Over het staande hun huwelijk of geregistreerd partnerschap geboren kind oefenen een")
    thisalinea.textcontent.append("ouder en zijn echtgenoot of geregistreerde partner die niet de ouder is, gezamenlijk het")
    thisalinea.textcontent.append("gezag uit, tenzij het kind tevens in familierechtelijke betrekking staat tot een andere ouder.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De bepalingen met betrekking tot ..."
    thisalinea.nativeID = 1210
    thisalinea.parentID = 1208
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De bepalingen met betrekking tot het gezamenlijk gezag zijn hierop van toepassing, met uitzondering van de artikelen 251, tweede lid, en 251a, tweede en derde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De bepalingen met betrekking tot het gezamenlijk gezag zijn hierop van toepassing, met")
    thisalinea.textcontent.append("uitzondering van de artikelen 251, tweede lid, en 251a, tweede en derde lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Paragraaf 2. Het gezamenlijk gezag van een ouder tezamen met een ander dan een ouder krachtens rechterlijke beslissing"
    thisalinea.nativeID = 1211
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 427
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253t"
    thisalinea.nativeID = 1212
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 428
    thisalinea.summary = "1. Indien het gezag over een kind bij één ouder berust, kan de rechtbank op gezamenlijk verzoek van de met het gezag belaste ouder en een ander dan de ouder die in een nauwe persoonlijke betrekking tot het kind staat, hen gezamenlijk met het gezag over het kind belasten. 2. In het geval dat het kind tevens in familierechtelijke betrekking staat tot een andere ouder wordt het verzoek slechts toegewezen, indien: a. de ouder en de ander op de dag van het verzoek gedurende ten minste een aaneengesloten periode van een jaar onmiddellijk voorafgaande aan het verzoek gezamenlijk de zorg "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien het gezag over een ..."
    thisalinea.nativeID = 1213
    thisalinea.parentID = 1212
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien het gezag over een kind bij één ouder berust, kan de rechtbank op gezamenlijk verzoek van de met het gezag belaste ouder en een ander dan de ouder die in een nauwe persoonlijke betrekking tot het kind staat, hen gezamenlijk met het gezag over het kind belasten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien het gezag over een kind bij één ouder berust, kan de rechtbank op gezamenlijk")
    thisalinea.textcontent.append("verzoek van de met het gezag belaste ouder en een ander dan de ouder die in een nauwe")
    thisalinea.textcontent.append("persoonlijke betrekking tot het kind staat, hen gezamenlijk met het gezag over het kind")
    thisalinea.textcontent.append("belasten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In het geval dat het ..."
    thisalinea.nativeID = 1214
    thisalinea.parentID = 1212
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In het geval dat het kind tevens in familierechtelijke betrekking staat tot een andere ouder wordt het verzoek slechts toegewezen, indien: a. de ouder en de ander op de dag van het verzoek gedurende ten minste een aaneengesloten periode van een jaar onmiddellijk voorafgaande aan het verzoek gezamenlijk de zorg voor het kind hebben gehad; en b. de ouder die het verzoek doet op de dag van het verzoek gedurende ten minste een aaneengesloten periode van drie jaren alleen met het gezag belast is geweest. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In het geval dat het kind tevens in familierechtelijke betrekking staat tot een andere ouder")
    thisalinea.textcontent.append("wordt het verzoek slechts toegewezen, indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de ouder en de ander ..."
    thisalinea.nativeID = 1215
    thisalinea.parentID = 1214
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de ouder en de ander op de dag van het verzoek gedurende ten minste een aaneengesloten periode van een jaar onmiddellijk voorafgaande aan het verzoek gezamenlijk de zorg voor het kind hebben gehad; en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de ouder en de ander op de dag van het verzoek gedurende ten minste een")
    thisalinea.textcontent.append("aaneengesloten periode van een jaar onmiddellijk voorafgaande aan het verzoek")
    thisalinea.textcontent.append("gezamenlijk de zorg voor het kind hebben gehad; en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de ouder die het verzoek ..."
    thisalinea.nativeID = 1216
    thisalinea.parentID = 1214
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de ouder die het verzoek doet op de dag van het verzoek gedurende ten minste een aaneengesloten periode van drie jaren alleen met het gezag belast is geweest. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de ouder die het verzoek doet op de dag van het verzoek gedurende ten minste een")
    thisalinea.textcontent.append("aaneengesloten periode van drie jaren alleen met het gezag belast is geweest.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het verzoek wordt afgewezen indien, ..."
    thisalinea.nativeID = 1217
    thisalinea.parentID = 1212
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het verzoek wordt afgewezen indien, mede in het licht van de belangen van een andere ouder, gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het verzoek wordt afgewezen indien, mede in het licht van de belangen van een andere")
    thisalinea.textcontent.append("ouder, gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden")
    thisalinea.textcontent.append("verwaarloosd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het gezamenlijk gezag, bedoeld in ..."
    thisalinea.nativeID = 1218
    thisalinea.parentID = 1212
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het gezamenlijk gezag, bedoeld in het eerste lid, kan niet worden toegekend in de gevallen, bedoeld in artikel 253q, eerste lid, en artikel 253r. Het staat niet open voor rechtspersonen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het gezamenlijk gezag, bedoeld in het eerste lid, kan niet worden toegekend in de")
    thisalinea.textcontent.append("gevallen, bedoeld in artikel 253q, eerste lid, en artikel 253r. Het staat niet open voor")
    thisalinea.textcontent.append("rechtspersonen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Een verzoek als bedoeld in ..."
    thisalinea.nativeID = 1219
    thisalinea.parentID = 1212
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Een verzoek als bedoeld in het eerste lid kan vergezeld gaan van een verzoek tot wijziging van de geslachtsnaam van het kind in de geslachtsnaam van de met het gezag belaste ouder of de ander. Een zodanig verzoek wordt afgewezen, indien a. het kind van twaalf jaar of ouder ter gelegenheid van zijn verhoor niet heeft ingestemd met het verzoek; b. het verzoek, bedoeld in het eerste lid, wordt afgewezen; of c. het belang van het kind zich tegen toewijzing verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Een verzoek als bedoeld in het eerste lid kan vergezeld gaan van een verzoek tot")
    thisalinea.textcontent.append("wijziging van de geslachtsnaam van het kind in de geslachtsnaam van de met het gezag")
    thisalinea.textcontent.append("belaste ouder of de ander. Een zodanig verzoek wordt afgewezen, indien")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. het kind van twaalf jaar ..."
    thisalinea.nativeID = 1220
    thisalinea.parentID = 1219
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. het kind van twaalf jaar of ouder ter gelegenheid van zijn verhoor niet heeft ingestemd met het verzoek; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. het kind van twaalf jaar of ouder ter gelegenheid van zijn verhoor niet heeft ingestemd")
    thisalinea.textcontent.append("met het verzoek;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. het verzoek, bedoeld in het ..."
    thisalinea.nativeID = 1221
    thisalinea.parentID = 1219
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. het verzoek, bedoeld in het eerste lid, wordt afgewezen; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. het verzoek, bedoeld in het eerste lid, wordt afgewezen; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. het belang van het kind ..."
    thisalinea.nativeID = 1222
    thisalinea.parentID = 1219
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. het belang van het kind zich tegen toewijzing verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. het belang van het kind zich tegen toewijzing verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253u"
    thisalinea.nativeID = 1223
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 429
    thisalinea.summary = "Het gezamenlijk gezag begint op de dag waarop de beslissing die de benoeming inhoudt, in kracht van gewijsde is gegaan, of, indien zij uitvoerbaar bij voorraad is verklaard, daags nadat de beschikking is verstrekt of verzonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Het gezamenlijk gezag begint op de dag waarop de beslissing die de benoeming inhoudt, in")
    thisalinea.textcontent.append("kracht van gewijsde is gegaan, of, indien zij uitvoerbaar bij voorraad is verklaard, daags nadat")
    thisalinea.textcontent.append("de beschikking is verstrekt of verzonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253v"
    thisalinea.nativeID = 1224
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 430
    thisalinea.summary = "1. Op de gezamenlijke gezagsuitoefening door de ouder en de ander zijn de artikelen 246, 247, 249, 250, 253a, 253j tot en met 253m, 253q, eerste lid, 253r alsmede 253s van overeenkomstige toepassing. 2. Artikel 253i is van overeenkomstige toepassing, tenzij de met het gezag belaste ouder het bewind niet voert ingevolge artikel 253i, vierde lid, onder a of c. 3. Artikel 253n is van overeenkomstige toepassing. De rechtbank geeft geen beslissing tot beëindiging van het gezamenlijk gezag, bedoeld in artikel 253t, dan nadat zij de ouders of de niet met het gezag belaste ouder in de gelegenheid heeft gesteld "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op de gezamenlijke gezagsuitoefening door ..."
    thisalinea.nativeID = 1225
    thisalinea.parentID = 1224
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op de gezamenlijke gezagsuitoefening door de ouder en de ander zijn de artikelen 246, 247, 249, 250, 253a, 253j tot en met 253m, 253q, eerste lid, 253r alsmede 253s van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op de gezamenlijke gezagsuitoefening door de ouder en de ander zijn de artikelen 246,")
    thisalinea.textcontent.append("247, 249, 250, 253a, 253j tot en met 253m, 253q, eerste lid, 253r alsmede 253s van")
    thisalinea.textcontent.append("overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Artikel 253i is van overeenkomstige ..."
    thisalinea.nativeID = 1226
    thisalinea.parentID = 1224
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Artikel 253i is van overeenkomstige toepassing, tenzij de met het gezag belaste ouder het bewind niet voert ingevolge artikel 253i, vierde lid, onder a of c. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Artikel 253i is van overeenkomstige toepassing, tenzij de met het gezag belaste ouder het")
    thisalinea.textcontent.append("bewind niet voert ingevolge artikel 253i, vierde lid, onder a of c.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Artikel 253n is van overeenkomstige ..."
    thisalinea.nativeID = 1227
    thisalinea.parentID = 1224
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Artikel 253n is van overeenkomstige toepassing. De rechtbank geeft geen beslissing tot beëindiging van het gezamenlijk gezag, bedoeld in artikel 253t, dan nadat zij de ouders of de niet met het gezag belaste ouder in de gelegenheid heeft gesteld te verzoeken in het belang van het kind de ouders gezamenlijk met het gezag over het kind te belasten of de niet met het gezag belaste ouder daarmee te belasten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Artikel 253n is van overeenkomstige toepassing. De rechtbank geeft geen beslissing tot")
    thisalinea.textcontent.append("beëindiging van het gezamenlijk gezag, bedoeld in artikel 253t, dan nadat zij de ouders of")
    thisalinea.textcontent.append("de niet met het gezag belaste ouder in de gelegenheid heeft gesteld te verzoeken in het")
    thisalinea.textcontent.append("belang van het kind de ouders gezamenlijk met het gezag over het kind te belasten of de")
    thisalinea.textcontent.append("niet met het gezag belaste ouder daarmee te belasten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Indien de rechtbank na beëindiging ..."
    thisalinea.nativeID = 1228
    thisalinea.parentID = 1224
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Indien de rechtbank na beëindiging van het gezamenlijk gezag van de ouder en de ander, deze ander met de voogdij heeft belast, kan zij te allen tijde wegens wijziging van omstandigheden op verzoek van de ouders of van één van hen in het belang van het kind één ouder met het gezag of de ouders met het gezamenlijk gezag belasten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Indien de rechtbank na beëindiging van het gezamenlijk gezag van de ouder en de ander,")
    thisalinea.textcontent.append("deze ander met de voogdij heeft belast, kan zij te allen tijde wegens wijziging van")
    thisalinea.textcontent.append("omstandigheden op verzoek van de ouders of van één van hen in het belang van het kind")
    thisalinea.textcontent.append("één ouder met het gezag of de ouders met het gezamenlijk gezag belasten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Artikel 253q, tweede lid, is ..."
    thisalinea.nativeID = 1229
    thisalinea.parentID = 1224
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Artikel 253q, tweede lid, is van overeenkomstige toepassing met dien verstande dat de rechtbank geen voogd benoemt dan nadat zij de niet met het gezag belaste ouder in de gelegenheid heeft gesteld te verzoeken in het belang van het kind hem met het gezag over het kind te belasten. Het verzoek, bedoeld in artikel 253q, tweede lid, kan tevens door de ander dan de ouder worden gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Artikel 253q, tweede lid, is van overeenkomstige toepassing met dien verstande dat de")
    thisalinea.textcontent.append("rechtbank geen voogd benoemt dan nadat zij de niet met het gezag belaste ouder in de")
    thisalinea.textcontent.append("gelegenheid heeft gesteld te verzoeken in het belang van het kind hem met het gezag")
    thisalinea.textcontent.append("over het kind te belasten. Het verzoek, bedoeld in artikel 253q, tweede lid, kan tevens")
    thisalinea.textcontent.append("door de ander dan de ouder worden gedaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De afdelingen 4 en 5 ..."
    thisalinea.nativeID = 1230
    thisalinea.parentID = 1224
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De afdelingen 4 en 5 van deze titel zijn van overeenkomstige toepassing op het gezamenlijk gezag van de ouder en de ander, met dien verstande dat in geval van beëindiging van het gezag van de ouder die gezamenlijk met de ander het gezag uitoefent, de ander niet alleen met het gezag wordt belast dan nadat de rechtbank de niet met het gezag belaste ouder in de gelegenheid heeft gesteld te verzoeken hem met het gezag over het kind te belasten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De afdelingen 4 en 5 van deze titel zijn van overeenkomstige toepassing op het")
    thisalinea.textcontent.append("gezamenlijk gezag van de ouder en de ander, met dien verstande dat in geval van")
    thisalinea.textcontent.append("beëindiging van het gezag van de ouder die gezamenlijk met de ander het gezag")
    thisalinea.textcontent.append("uitoefent, de ander niet alleen met het gezag wordt belast dan nadat de rechtbank de niet")
    thisalinea.textcontent.append("met het gezag belaste ouder in de gelegenheid heeft gesteld te verzoeken hem met het")
    thisalinea.textcontent.append("gezag over het kind te belasten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Paragraaf 3. Gemeenschappelijke bepalingen inzake het gezamenlijk gezag van een ouder tezamen met een ander dan een ouder"
    thisalinea.nativeID = 1231
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 431
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253w"
    thisalinea.nativeID = 1232
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 432
    thisalinea.summary = "De ander die met de ouder gezamenlijk het gezag uitoefent, is verplicht tot het verstrekken van levensonderhoud jegens het kind dat onder zijn gezag staat. Indien het gezamenlijk gezag door de meerderjarigheid van het kind is geëindigd, duurt de onderhoudsplicht voort totdat het kind de leeftijd van eenentwintig jaren heeft bereikt. Nadat een rechterlijke beslissing tot beëindiging van het gezamenlijk gezag in kracht van gewijsde is gegaan of na het overlijden van de ouder met wie tot het tijdstip van overlijden het gezag gezamenlijk werd uitgeoefend, blijft deze onderhoudsplicht gedurende de termijn dat het gezamenlijk gezag heeft geduurd, bestaan, tenzij "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De ander die met de ouder gezamenlijk het gezag uitoefent, is verplicht tot het verstrekken")
    thisalinea.textcontent.append("van levensonderhoud jegens het kind dat onder zijn gezag staat. Indien het gezamenlijk")
    thisalinea.textcontent.append("gezag door de meerderjarigheid van het kind is geëindigd, duurt de onderhoudsplicht voort")
    thisalinea.textcontent.append("totdat het kind de leeftijd van eenentwintig jaren heeft bereikt. Nadat een rechterlijke")
    thisalinea.textcontent.append("beslissing tot beëindiging van het gezamenlijk gezag in kracht van gewijsde is gegaan of na")
    thisalinea.textcontent.append("het overlijden van de ouder met wie tot het tijdstip van overlijden het gezag gezamenlijk werd")
    thisalinea.textcontent.append("uitgeoefend, blijft deze onderhoudsplicht gedurende de termijn dat het gezamenlijk gezag")
    thisalinea.textcontent.append("heeft geduurd, bestaan, tenzij de rechter in bijzondere omstandigheden op verzoek van de")
    thisalinea.textcontent.append("ouder of de ander een langere termijn bepaalt. Zij eindigt uiterlijk op het tijdstip dat het kind de")
    thisalinea.textcontent.append("leeftijd van eenentwintig jaren heeft bereikt. De artikelen 392, derde lid, 395a, eerste lid,")
    thisalinea.textcontent.append("395b, 397, 398, 399, 400, 401, eerste, vierde en vijfde lid, 402, 402a, 403, 404, eerste lid, 406")
    thisalinea.textcontent.append("en 408 zijn van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253x"
    thisalinea.nativeID = 1233
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 433
    thisalinea.summary = "1. Na de dood van de ouder die tezamen met de ander het gezag uitoefende, oefent die ander van rechtswege de voogdij over de kinderen uit. 2. De rechtbank kan op verzoek van de overlevende ouder te allen tijde bepalen dat deze, mits daartoe bevoegd, alsnog met het gezag wordt belast. 3. De artikelen 253g en h zijn niet van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Na de dood van de ..."
    thisalinea.nativeID = 1234
    thisalinea.parentID = 1233
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Na de dood van de ouder die tezamen met de ander het gezag uitoefende, oefent die ander van rechtswege de voogdij over de kinderen uit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Na de dood van de ouder die tezamen met de ander het gezag uitoefende, oefent die")
    thisalinea.textcontent.append("ander van rechtswege de voogdij over de kinderen uit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechtbank kan op verzoek ..."
    thisalinea.nativeID = 1235
    thisalinea.parentID = 1233
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechtbank kan op verzoek van de overlevende ouder te allen tijde bepalen dat deze, mits daartoe bevoegd, alsnog met het gezag wordt belast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechtbank kan op verzoek van de overlevende ouder te allen tijde bepalen dat deze,")
    thisalinea.textcontent.append("mits daartoe bevoegd, alsnog met het gezag wordt belast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De artikelen 253g en h ..."
    thisalinea.nativeID = 1236
    thisalinea.parentID = 1233
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De artikelen 253g en h zijn niet van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De artikelen 253g en h zijn niet van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 253y"
    thisalinea.nativeID = 1237
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 434
    thisalinea.summary = "1. Het gezamenlijk gezag, bedoeld in de artikelen 253sa en 253t, eindigt op de dag waarop in kracht van gewijsde is gegaan de beschikking waarbij aan de ouders gezamenlijk gezag is toegekend of het gezamenlijk gezag van de ouder en de ander is beëindigd. 2. Is de beschikking, bedoeld in het eerste lid, uitvoerbaar bij voorraad verklaard, dan eindigt het gezamenlijk gezag van de ouder en de ander daags nadat de beschikking is verstrekt of verzonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het gezamenlijk gezag, bedoeld in ..."
    thisalinea.nativeID = 1238
    thisalinea.parentID = 1237
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het gezamenlijk gezag, bedoeld in de artikelen 253sa en 253t, eindigt op de dag waarop in kracht van gewijsde is gegaan de beschikking waarbij aan de ouders gezamenlijk gezag is toegekend of het gezamenlijk gezag van de ouder en de ander is beëindigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het gezamenlijk gezag, bedoeld in de artikelen 253sa en 253t, eindigt op de dag waarop")
    thisalinea.textcontent.append("in kracht van gewijsde is gegaan de beschikking waarbij aan de ouders gezamenlijk")
    thisalinea.textcontent.append("gezag is toegekend of het gezamenlijk gezag van de ouder en de ander is beëindigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Is de beschikking, bedoeld in ..."
    thisalinea.nativeID = 1239
    thisalinea.parentID = 1237
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Is de beschikking, bedoeld in het eerste lid, uitvoerbaar bij voorraad verklaard, dan eindigt het gezamenlijk gezag van de ouder en de ander daags nadat de beschikking is verstrekt of verzonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Is de beschikking, bedoeld in het eerste lid, uitvoerbaar bij voorraad verklaard, dan eindigt")
    thisalinea.textcontent.append("het gezamenlijk gezag van de ouder en de ander daags nadat de beschikking is verstrekt")
    thisalinea.textcontent.append("of verzonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3B. Maatregel van opgroeiondersteuning"
    thisalinea.nativeID = 1240
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 435
    thisalinea.summary = "[Dit onderdeel is nog niet inwerking getreden] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Dit onderdeel is nog niet inwerking getreden]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 4. Ondertoezichtstelling van minderjarigen"
    thisalinea.nativeID = 1241
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 436
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 254"
    thisalinea.nativeID = 1242
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 437
    thisalinea.summary = "In deze afdeling wordt verstaan onder gecertificeerde instelling: gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In deze afdeling wordt verstaan onder gecertificeerde instelling: gecertificeerde instelling als")
    thisalinea.textcontent.append("bedoeld in artikel 1.1 van de Jeugdwet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 255"
    thisalinea.nativeID = 1243
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 438
    thisalinea.summary = "1. De kinderrechter kan een minderjarige onder toezicht stellen van een gecertificeerde instelling indien een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd, en: a. de zorg die in verband met het wegnemen van de bedreiging noodzakelijk is voor de minderjarige of voor zijn ouders of de ouder die het gezag uitoefenen, door dezen niet of onvoldoende wordt geaccepteerd, en b. de verwachting gerechtvaardigd is dat de ouders of de ouder die het gezag uitoefenen binnen een gelet op de persoon en de ontwikkeling van de minderjarige aanvaardbaar te achten termijn, de verantwoordelijkheid voor de verzorging en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kinderrechter kan een minderjarige ..."
    thisalinea.nativeID = 1244
    thisalinea.parentID = 1243
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kinderrechter kan een minderjarige onder toezicht stellen van een gecertificeerde instelling indien een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd, en: a. de zorg die in verband met het wegnemen van de bedreiging noodzakelijk is voor de minderjarige of voor zijn ouders of de ouder die het gezag uitoefenen, door dezen niet of onvoldoende wordt geaccepteerd, en b. de verwachting gerechtvaardigd is dat de ouders of de ouder die het gezag uitoefenen binnen een gelet op de persoon en de ontwikkeling van de minderjarige aanvaardbaar te achten termijn, de verantwoordelijkheid voor de verzorging en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kinderrechter kan een minderjarige onder toezicht stellen van een gecertificeerde")
    thisalinea.textcontent.append("instelling indien een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt")
    thisalinea.textcontent.append("bedreigd, en:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de zorg die in verband ..."
    thisalinea.nativeID = 1245
    thisalinea.parentID = 1244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de zorg die in verband met het wegnemen van de bedreiging noodzakelijk is voor de minderjarige of voor zijn ouders of de ouder die het gezag uitoefenen, door dezen niet of onvoldoende wordt geaccepteerd, en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de zorg die in verband met het wegnemen van de bedreiging noodzakelijk is voor de")
    thisalinea.textcontent.append("minderjarige of voor zijn ouders of de ouder die het gezag uitoefenen, door dezen niet")
    thisalinea.textcontent.append("of onvoldoende wordt geaccepteerd, en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de verwachting gerechtvaardigd is dat ..."
    thisalinea.nativeID = 1246
    thisalinea.parentID = 1244
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de verwachting gerechtvaardigd is dat de ouders of de ouder die het gezag uitoefenen binnen een gelet op de persoon en de ontwikkeling van de minderjarige aanvaardbaar te achten termijn, de verantwoordelijkheid voor de verzorging en opvoeding, bedoeld in artikel 247, tweede lid, in staat zijn te dragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de verwachting gerechtvaardigd is dat de ouders of de ouder die het gezag uitoefenen")
    thisalinea.textcontent.append("binnen een gelet op de persoon en de ontwikkeling van de minderjarige aanvaardbaar")
    thisalinea.textcontent.append("te achten termijn, de verantwoordelijkheid voor de verzorging en opvoeding, bedoeld")
    thisalinea.textcontent.append("in artikel 247, tweede lid, in staat zijn te dragen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kinderrechter kan een minderjarige ..."
    thisalinea.nativeID = 1247
    thisalinea.parentID = 1243
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kinderrechter kan een minderjarige onder toezicht stellen op verzoek van de raad voor de kinderbescherming of het openbaar ministerie. Tevens zijn een ouder en degene die niet de ouder is en de minderjarige als behorende tot zijn gezin verzorgt en opvoedt bevoegd tot het doen van het verzoek indien de raad voor de kinderbescherming niet tot indiening van het verzoek overgaat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kinderrechter kan een minderjarige onder toezicht stellen op verzoek van de raad voor")
    thisalinea.textcontent.append("de kinderbescherming of het openbaar ministerie. Tevens zijn een ouder en degene die")
    thisalinea.textcontent.append("niet de ouder is en de minderjarige als behorende tot zijn gezin verzorgt en opvoedt")
    thisalinea.textcontent.append("bevoegd tot het doen van het verzoek indien de raad voor de kinderbescherming niet tot")
    thisalinea.textcontent.append("indiening van het verzoek overgaat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien de raad niet tot ..."
    thisalinea.nativeID = 1248
    thisalinea.parentID = 1243
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien de raad niet tot indiening van een verzoek tot ondertoezichtstelling overgaat nadat hij een verzoek tot onderzoek als bedoeld in artikel 2.4, eerste lid, van de Jeugdwet heeft ontvangen, deelt hij dit schriftelijk mee aan het college van burgemeester en wethouders dat het verzoek heeft gedaan. De burgemeester kan na ontvangst van die mededeling de raad voor de kinderbescherming verzoeken het oordeel van de kinderrechter te vragen of het noodzakelijk is de minderjarige onder toezicht te stellen van een gecertificeerde instelling. De raad voor de kinderbescherming die van de burgemeester zodanig verzoek ontvangt, vraagt binnen twee weken na "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien de raad niet tot indiening van een verzoek tot ondertoezichtstelling overgaat nadat")
    thisalinea.textcontent.append("hij een verzoek tot onderzoek als bedoeld in artikel 2.4, eerste lid, van de Jeugdwet heeft")
    thisalinea.textcontent.append("ontvangen, deelt hij dit schriftelijk mee aan het college van burgemeester en wethouders")
    thisalinea.textcontent.append("dat het verzoek heeft gedaan. De burgemeester kan na ontvangst van die mededeling de")
    thisalinea.textcontent.append("raad voor de kinderbescherming verzoeken het oordeel van de kinderrechter te vragen of")
    thisalinea.textcontent.append("het noodzakelijk is de minderjarige onder toezicht te stellen van een gecertificeerde")
    thisalinea.textcontent.append("instelling. De raad voor de kinderbescherming die van de burgemeester zodanig verzoek")
    thisalinea.textcontent.append("ontvangt, vraagt binnen twee weken na de dagtekening van dat verzoek het oordeel van")
    thisalinea.textcontent.append("de kinderrechter of een ondertoezichtstelling van de minderjarige moet volgen. In dat")
    thisalinea.textcontent.append("geval kan de kinderrechter de ondertoezichtstelling ambtshalve uitspreken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De kinderrechter vermeldt in de ..."
    thisalinea.nativeID = 1249
    thisalinea.parentID = 1243
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De kinderrechter vermeldt in de beschikking de concrete bedreigingen in de ontwikkeling van de minderjarige alsmede de daarop afgestemde duur waarvoor de ondertoezichtstelling zal gelden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De kinderrechter vermeldt in de beschikking de concrete bedreigingen in de ontwikkeling")
    thisalinea.textcontent.append("van de minderjarige alsmede de daarop afgestemde duur waarvoor de")
    thisalinea.textcontent.append("ondertoezichtstelling zal gelden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Indien het verzoek, bedoeld in ..."
    thisalinea.nativeID = 1250
    thisalinea.parentID = 1243
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Indien het verzoek, bedoeld in het tweede lid, niet alle minderjarigen betreft over wie de ouders of de ouder het gezag uitoefenen, kan de kinderrechter dit op verzoek van de raad voor de kinderbescherming of ambtshalve aanvullen, en deze minderjarigen, mits aan de grond van het eerste lid is voldaan, eveneens onder toezicht stellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Indien het verzoek, bedoeld in het tweede lid, niet alle minderjarigen betreft over wie de")
    thisalinea.textcontent.append("ouders of de ouder het gezag uitoefenen, kan de kinderrechter dit op verzoek van de raad")
    thisalinea.textcontent.append("voor de kinderbescherming of ambtshalve aanvullen, en deze minderjarigen, mits aan de")
    thisalinea.textcontent.append("grond van het eerste lid is voldaan, eveneens onder toezicht stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 256"
    thisalinea.nativeID = 1251
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 439
    thisalinea.summary = "1. De kinderrechter kan een minderjarige door of voor wie een aanvraag tot het verlenen van een verblijfsvergunning voor bepaalde tijd als bedoeld in artikel 28 van de Vreemdelingenwet 2000 is ingediend en die in verband daarmee in een centrum als bedoeld in artikel 1, onder d, van de Wet Centraal Orgaan opvang asielzoekers verblijft, onder toezicht stellen van een daartoe door Onze Minister van Justitie aanvaarde rechtspersoon. 2. Onze Minister van Justitie kan voorwaarden stellen bij of voorschriften verbinden aan de aanvaarding, bedoeld in het eerste lid, en de rechtspersoon voor een bepaalde tijd aanvaarden. 3. Op de ondertoezichtstelling "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kinderrechter kan een minderjarige ..."
    thisalinea.nativeID = 1252
    thisalinea.parentID = 1251
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kinderrechter kan een minderjarige door of voor wie een aanvraag tot het verlenen van een verblijfsvergunning voor bepaalde tijd als bedoeld in artikel 28 van de Vreemdelingenwet 2000 is ingediend en die in verband daarmee in een centrum als bedoeld in artikel 1, onder d, van de Wet Centraal Orgaan opvang asielzoekers verblijft, onder toezicht stellen van een daartoe door Onze Minister van Justitie aanvaarde rechtspersoon. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kinderrechter kan een minderjarige door of voor wie een aanvraag tot het verlenen van")
    thisalinea.textcontent.append("een verblijfsvergunning voor bepaalde tijd als bedoeld in artikel 28 van de")
    thisalinea.textcontent.append("Vreemdelingenwet 2000 is ingediend en die in verband daarmee in een centrum als")
    thisalinea.textcontent.append("bedoeld in artikel 1, onder d, van de Wet Centraal Orgaan opvang asielzoekers verblijft,")
    thisalinea.textcontent.append("onder toezicht stellen van een daartoe door Onze Minister van Justitie aanvaarde")
    thisalinea.textcontent.append("rechtspersoon.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Onze Minister van Justitie kan ..."
    thisalinea.nativeID = 1253
    thisalinea.parentID = 1251
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Onze Minister van Justitie kan voorwaarden stellen bij of voorschriften verbinden aan de aanvaarding, bedoeld in het eerste lid, en de rechtspersoon voor een bepaalde tijd aanvaarden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Onze Minister van Justitie kan voorwaarden stellen bij of voorschriften verbinden aan de")
    thisalinea.textcontent.append("aanvaarding, bedoeld in het eerste lid, en de rechtspersoon voor een bepaalde tijd")
    thisalinea.textcontent.append("aanvaarden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Op de ondertoezichtstelling en een ..."
    thisalinea.nativeID = 1254
    thisalinea.parentID = 1251
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Op de ondertoezichtstelling en een rechtspersoon als bedoeld in het eerste lid zijn de bepalingen van de afdelingen 4 en 5 alsmede artikel 326 van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Op de ondertoezichtstelling en een rechtspersoon als bedoeld in het eerste lid zijn de")
    thisalinea.textcontent.append("bepalingen van de afdelingen 4 en 5 alsmede artikel 326 van overeenkomstige")
    thisalinea.textcontent.append("toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. In geval van vervanging van ..."
    thisalinea.nativeID = 1255
    thisalinea.parentID = 1251
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. In geval van vervanging van de rechtspersoon op grond van artikel 259, wordt een gecertificeerde instelling benoemd die een contract of een subsidierelatie heeft met de gemeente waar de minderjarige zijn woonplaats als bedoeld in de Jeugdwet heeft. Hetzelfde geldt indien de rechtspersoon niet meer voldoet aan de eisen voor benoeming, bedoeld in het eerste lid, in welk geval de kinderrechter ambtshalve tot vervanging overgaat, tenzij voortzetting van de taken door bedoelde rechtspersoon om reden van continuïteit noodzakelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. In geval van vervanging van de rechtspersoon op grond van artikel 259, wordt een")
    thisalinea.textcontent.append("gecertificeerde instelling benoemd die een contract of een subsidierelatie heeft met de")
    thisalinea.textcontent.append("gemeente waar de minderjarige zijn woonplaats als bedoeld in de Jeugdwet heeft.")
    thisalinea.textcontent.append("Hetzelfde geldt indien de rechtspersoon niet meer voldoet aan de eisen voor benoeming,")
    thisalinea.textcontent.append("bedoeld in het eerste lid, in welk geval de kinderrechter ambtshalve tot vervanging")
    thisalinea.textcontent.append("overgaat, tenzij voortzetting van de taken door bedoelde rechtspersoon om reden van")
    thisalinea.textcontent.append("continuïteit noodzakelijk is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 257"
    thisalinea.nativeID = 1256
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 440
    thisalinea.summary = "1. De kinderrechter kan de minderjarige voorlopig onder toezicht stellen van een gecertificeerde instelling indien een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 255, eerste lid, is vervuld en de maatregel noodzakelijk is om een acute en ernstige bedreiging voor de minderjarige weg te nemen. 2. Het tweede lid van artikel 255 is van overeenkomstige toepassing. De kinderrechter bepaalt de duur van dit toezicht op ten hoogste drie maanden en kan de beslissing te allen tijde herroepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kinderrechter kan de minderjarige ..."
    thisalinea.nativeID = 1257
    thisalinea.parentID = 1256
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kinderrechter kan de minderjarige voorlopig onder toezicht stellen van een gecertificeerde instelling indien een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 255, eerste lid, is vervuld en de maatregel noodzakelijk is om een acute en ernstige bedreiging voor de minderjarige weg te nemen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kinderrechter kan de minderjarige voorlopig onder toezicht stellen van een")
    thisalinea.textcontent.append("gecertificeerde instelling indien een ernstig vermoeden bestaat dat de grond, bedoeld in")
    thisalinea.textcontent.append("artikel 255, eerste lid, is vervuld en de maatregel noodzakelijk is om een acute en ernstige")
    thisalinea.textcontent.append("bedreiging voor de minderjarige weg te nemen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het tweede lid van artikel ..."
    thisalinea.nativeID = 1258
    thisalinea.parentID = 1256
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het tweede lid van artikel 255 is van overeenkomstige toepassing. De kinderrechter bepaalt de duur van dit toezicht op ten hoogste drie maanden en kan de beslissing te allen tijde herroepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het tweede lid van artikel 255 is van overeenkomstige toepassing. De kinderrechter")
    thisalinea.textcontent.append("bepaalt de duur van dit toezicht op ten hoogste drie maanden en kan de beslissing te")
    thisalinea.textcontent.append("allen tijde herroepen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 258"
    thisalinea.nativeID = 1259
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 441
    thisalinea.summary = "De duur van de ondertoezichtstelling is, behoudens verlenging als bedoeld in artikel 260, ten hoogste een jaar. De duur van de voorlopige ondertoezichtstelling komt hierop niet in mindering. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De duur van de ondertoezichtstelling is, behoudens verlenging als bedoeld in artikel 260, ten")
    thisalinea.textcontent.append("hoogste een jaar. De duur van de voorlopige ondertoezichtstelling komt hierop niet in")
    thisalinea.textcontent.append("mindering.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 259"
    thisalinea.nativeID = 1260
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 442
    thisalinea.summary = "De kinderrechter kan de gecertificeerde instelling die het toezicht heeft, vervangen door een andere gecertificeerde instelling, op verzoek van de gecertificeerde instelling die het toezicht heeft, de raad voor de kinderbescherming, een met het gezag belaste ouder of de minderjarige van twaalf jaar of ouder. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De kinderrechter kan de gecertificeerde instelling die het toezicht heeft, vervangen door een")
    thisalinea.textcontent.append("andere gecertificeerde instelling, op verzoek van de gecertificeerde instelling die het toezicht")
    thisalinea.textcontent.append("heeft, de raad voor de kinderbescherming, een met het gezag belaste ouder of de")
    thisalinea.textcontent.append("minderjarige van twaalf jaar of ouder.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 260"
    thisalinea.nativeID = 1261
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 443
    thisalinea.summary = "1. De kinderrechter kan, mits aan de grond, bedoeld in artikel 255, eerste lid, is voldaan, de duur van de ondertoezichtstelling telkens verlengen met ten hoogste een jaar. 2. De kinderrechter kan de ondertoezichtstelling verlengen op verzoek van de gecertificeerde instelling die het toezicht heeft. Indien deze gecertificeerde instelling niet tot een verzoek overgaat, zijn de raad voor de kinderbescherming, een ouder, degene die niet de ouder is en de minderjarige als behorende tot zijn gezin verzorgt en opvoedt en het openbaar ministerie bevoegd tot het doen van het verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kinderrechter kan, mits aan ..."
    thisalinea.nativeID = 1262
    thisalinea.parentID = 1261
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kinderrechter kan, mits aan de grond, bedoeld in artikel 255, eerste lid, is voldaan, de duur van de ondertoezichtstelling telkens verlengen met ten hoogste een jaar. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kinderrechter kan, mits aan de grond, bedoeld in artikel 255, eerste lid, is voldaan, de")
    thisalinea.textcontent.append("duur van de ondertoezichtstelling telkens verlengen met ten hoogste een jaar.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kinderrechter kan de ondertoezichtstelling ..."
    thisalinea.nativeID = 1263
    thisalinea.parentID = 1261
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kinderrechter kan de ondertoezichtstelling verlengen op verzoek van de gecertificeerde instelling die het toezicht heeft. Indien deze gecertificeerde instelling niet tot een verzoek overgaat, zijn de raad voor de kinderbescherming, een ouder, degene die niet de ouder is en de minderjarige als behorende tot zijn gezin verzorgt en opvoedt en het openbaar ministerie bevoegd tot het doen van het verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kinderrechter kan de ondertoezichtstelling verlengen op verzoek van de")
    thisalinea.textcontent.append("gecertificeerde instelling die het toezicht heeft. Indien deze gecertificeerde instelling niet")
    thisalinea.textcontent.append("tot een verzoek overgaat, zijn de raad voor de kinderbescherming, een ouder, degene die")
    thisalinea.textcontent.append("niet de ouder is en de minderjarige als behorende tot zijn gezin verzorgt en opvoedt en")
    thisalinea.textcontent.append("het openbaar ministerie bevoegd tot het doen van het verzoek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 261"
    thisalinea.nativeID = 1264
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 444
    thisalinea.summary = "1. De kinderrechter kan de ondertoezichtstelling opheffen indien de grond, bedoeld in artikel 255, eerste lid, niet langer is vervuld. 2. Hij kan dit doen op verzoek van de gecertificeerde instelling die het toezicht heeft. Indien deze gecertificeerde instelling niet tot een verzoek overgaat, zijn de raad voor de kinderbescherming, een met het gezag belaste ouder of de minderjarige van twaalf jaar of ouder bevoegd tot het doen van het verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kinderrechter kan de ondertoezichtstelling ..."
    thisalinea.nativeID = 1265
    thisalinea.parentID = 1264
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kinderrechter kan de ondertoezichtstelling opheffen indien de grond, bedoeld in artikel 255, eerste lid, niet langer is vervuld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kinderrechter kan de ondertoezichtstelling opheffen indien de grond, bedoeld in artikel")
    thisalinea.textcontent.append("255, eerste lid, niet langer is vervuld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij kan dit doen op ..."
    thisalinea.nativeID = 1266
    thisalinea.parentID = 1264
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij kan dit doen op verzoek van de gecertificeerde instelling die het toezicht heeft. Indien deze gecertificeerde instelling niet tot een verzoek overgaat, zijn de raad voor de kinderbescherming, een met het gezag belaste ouder of de minderjarige van twaalf jaar of ouder bevoegd tot het doen van het verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij kan dit doen op verzoek van de gecertificeerde instelling die het toezicht heeft. Indien")
    thisalinea.textcontent.append("deze gecertificeerde instelling niet tot een verzoek overgaat, zijn de raad voor de")
    thisalinea.textcontent.append("kinderbescherming, een met het gezag belaste ouder of de minderjarige van twaalf jaar of")
    thisalinea.textcontent.append("ouder bevoegd tot het doen van het verzoek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 262"
    thisalinea.nativeID = 1267
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 445
    thisalinea.summary = "1. De gecertificeerde instelling houdt toezicht op de minderjarige en zorgt dat aan de minderjarige en de met het gezag belaste ouders of ouder hulp en steun worden geboden opdat de concrete bedreigingen in de ontwikkeling van de minderjarige, bedoeld in artikel 255, vijfde lid, binnen de duur van de ondertoezichtstelling worden weggenomen. De inspanningen van de gecertificeerde instelling zijn erop gericht de ouders of de ouder zoveel mogelijk de verantwoordelijkheid voor de verzorging en opvoeding van hun kinderen te laten dragen. 2. Indien het ontwikkelingsniveau van de minderjarige en diens bekwaamheid en behoefte zelfstandig te handelen en zijn leven "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De gecertificeerde instelling houdt toezicht ..."
    thisalinea.nativeID = 1268
    thisalinea.parentID = 1267
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De gecertificeerde instelling houdt toezicht op de minderjarige en zorgt dat aan de minderjarige en de met het gezag belaste ouders of ouder hulp en steun worden geboden opdat de concrete bedreigingen in de ontwikkeling van de minderjarige, bedoeld in artikel 255, vijfde lid, binnen de duur van de ondertoezichtstelling worden weggenomen. De inspanningen van de gecertificeerde instelling zijn erop gericht de ouders of de ouder zoveel mogelijk de verantwoordelijkheid voor de verzorging en opvoeding van hun kinderen te laten dragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De gecertificeerde instelling houdt toezicht op de minderjarige en zorgt dat aan de")
    thisalinea.textcontent.append("minderjarige en de met het gezag belaste ouders of ouder hulp en steun worden geboden")
    thisalinea.textcontent.append("opdat de concrete bedreigingen in de ontwikkeling van de minderjarige, bedoeld in artikel")
    thisalinea.textcontent.append("255, vijfde lid, binnen de duur van de ondertoezichtstelling worden weggenomen. De")
    thisalinea.textcontent.append("inspanningen van de gecertificeerde instelling zijn erop gericht de ouders of de ouder")
    thisalinea.textcontent.append("zoveel mogelijk de verantwoordelijkheid voor de verzorging en opvoeding van hun")
    thisalinea.textcontent.append("kinderen te laten dragen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het ontwikkelingsniveau van de ..."
    thisalinea.nativeID = 1269
    thisalinea.parentID = 1267
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het ontwikkelingsniveau van de minderjarige en diens bekwaamheid en behoefte zelfstandig te handelen en zijn leven naar eigen inzicht in te richten daartoe aanleiding geven, zijn de inspanningen van de gecertificeerde instelling dienovereenkomstig mede gericht op het vergroten van de zelfstandigheid van de minderjarige. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het ontwikkelingsniveau van de minderjarige en diens bekwaamheid en behoefte")
    thisalinea.textcontent.append("zelfstandig te handelen en zijn leven naar eigen inzicht in te richten daartoe aanleiding")
    thisalinea.textcontent.append("geven, zijn de inspanningen van de gecertificeerde instelling dienovereenkomstig mede")
    thisalinea.textcontent.append("gericht op het vergroten van de zelfstandigheid van de minderjarige.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De gecertificeerde instelling bevordert de ..."
    thisalinea.nativeID = 1270
    thisalinea.parentID = 1267
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De gecertificeerde instelling bevordert de gezinsband tussen de met het gezag belaste ouders of ouder en de minderjarige. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De gecertificeerde instelling bevordert de gezinsband tussen de met het gezag belaste")
    thisalinea.textcontent.append("ouders of ouder en de minderjarige.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 262a"
    thisalinea.nativeID = 1271
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 446
    thisalinea.summary = "[Red: Dit artikel treedt niet meer in werking. Het artikel is ingetrokken door Stb. 2014/442.] 1. De stichting stelt ter uitvoering van haar taak als eerste de ouder of ouders met gezag in de gelegenheid om samen met bloedverwanten, aanverwanten of anderen die tot de sociale omgeving behoren binnen zes weken een plan van aanpak op te stellen of een bestaand plan aan te passen. Slechts indien de concrete bedreigingen in de ontwikkeling van het kind hiertoe aanleiding geven of de belangen van het kind anderszins geschaad worden, kan de stichting hiervan afzien. 2. Indien het plan van aanpak geschikt "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Red: Dit artikel treedt niet meer in werking. Het artikel is ingetrokken door Stb. 2014/442.]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De stichting stelt ter uitvoering ..."
    thisalinea.nativeID = 1272
    thisalinea.parentID = 1271
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De stichting stelt ter uitvoering van haar taak als eerste de ouder of ouders met gezag in de gelegenheid om samen met bloedverwanten, aanverwanten of anderen die tot de sociale omgeving behoren binnen zes weken een plan van aanpak op te stellen of een bestaand plan aan te passen. Slechts indien de concrete bedreigingen in de ontwikkeling van het kind hiertoe aanleiding geven of de belangen van het kind anderszins geschaad worden, kan de stichting hiervan afzien. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De stichting stelt ter uitvoering van haar taak als eerste de ouder of ouders met gezag in")
    thisalinea.textcontent.append("de gelegenheid om samen met bloedverwanten, aanverwanten of anderen die tot de")
    thisalinea.textcontent.append("sociale omgeving behoren binnen zes weken een plan van aanpak op te stellen of een")
    thisalinea.textcontent.append("bestaand plan aan te passen. Slechts indien de concrete bedreigingen in de ontwikkeling")
    thisalinea.textcontent.append("van het kind hiertoe aanleiding geven of de belangen van het kind anderszins geschaad")
    thisalinea.textcontent.append("worden, kan de stichting hiervan afzien.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het plan van aanpak ..."
    thisalinea.nativeID = 1273
    thisalinea.parentID = 1271
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het plan van aanpak geschikt is om binnen de duur van de ondertoezichtstelling de concrete bedreigingen, bedoeld in artikel 255, vijfde lid, weg te nemen, geldt het als het plan, bedoeld in artikel 13, derde lid, van de Wet op de jeugdzorg. Indien het plan van aanpak naar het oordeel van de stichting niet geschikt is om de concrete bedreigingen weg te nemen, deelt de stichting dit binnen vijf werkdagen na de aanbieding van het plan van aanpak gemotiveerd aan de ouder of ouders met gezag mede, en stelt zij hen in de gelegenheid om het plan van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het plan van aanpak geschikt is om binnen de duur van de ondertoezichtstelling de")
    thisalinea.textcontent.append("concrete bedreigingen, bedoeld in artikel 255, vijfde lid, weg te nemen, geldt het als het")
    thisalinea.textcontent.append("plan, bedoeld in artikel 13, derde lid, van de Wet op de jeugdzorg. Indien het plan van")
    thisalinea.textcontent.append("aanpak naar het oordeel van de stichting niet geschikt is om de concrete bedreigingen")
    thisalinea.textcontent.append("weg te nemen, deelt de stichting dit binnen vijf werkdagen na de aanbieding van het plan")
    thisalinea.textcontent.append("van aanpak gemotiveerd aan de ouder of ouders met gezag mede, en stelt zij hen in de")
    thisalinea.textcontent.append("gelegenheid om het plan van aanpak binnen twee weken aan te passen. Indien de")
    thisalinea.textcontent.append("stichting binnen deze termijn geen aangepast plan van aanpak ontvangt of een plan van")
    thisalinea.textcontent.append("aanpak ontvangt dat naar haar oordeel evenmin geschikt is om de concrete bedreigingen")
    thisalinea.textcontent.append("weg te nemen, stelt zij alsnog zelf een plan als bedoeld in artikel 13, derde lid, van de Wet")
    thisalinea.textcontent.append("op de jeugdzorg op.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Op verzoek van een met ..."
    thisalinea.nativeID = 1274
    thisalinea.parentID = 1271
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Op verzoek van een met het gezag belaste ouder of de minderjarige van twaalf jaar of ouder kan de kinderrechter het plan van aanpak laten gelden als het plan, bedoeld in artikel 13, derde lid, van de Wet op de jeugdzorg. Artikel 264, tweede en derde lid, zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Op verzoek van een met het gezag belaste ouder of de minderjarige van twaalf jaar of")
    thisalinea.textcontent.append("ouder kan de kinderrechter het plan van aanpak laten gelden als het plan, bedoeld in")
    thisalinea.textcontent.append("artikel 13, derde lid, van de Wet op de jeugdzorg. Artikel 264, tweede en derde lid, zijn")
    thisalinea.textcontent.append("van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 262b"
    thisalinea.nativeID = 1275
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 447
    thisalinea.summary = "Geschillen die de uitvoering van de ondertoezichtstelling betreffen, die omtrent gedragingen als bedoeld in artikel 4.2.1 van de Jeugdwet, uitgezonderd, kunnen aan de kinderrechter worden voorgelegd. De kinderrechter neemt op verzoek van een met het gezag belaste ouder, de minderjarige van twaalf jaar of ouder, de gecertificeerde instelling, degene die de minderjarige als behorende tot zijn gezin verzorgt en opvoedt, of de zorgaanbieder of de aanbieder van de jeugdhulp als bedoeld in artikel 1.1 van de Jeugdwet, waar de minderjarige is geplaatst, een zodanige beslissing als hem in het belang van de minderjarige wenselijk voorkomt. Hij beproeft alvorens te beslissen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Geschillen die de uitvoering van de ondertoezichtstelling betreffen, die omtrent gedragingen")
    thisalinea.textcontent.append("als bedoeld in artikel 4.2.1 van de Jeugdwet, uitgezonderd, kunnen aan de kinderrechter")
    thisalinea.textcontent.append("worden voorgelegd. De kinderrechter neemt op verzoek van een met het gezag belaste")
    thisalinea.textcontent.append("ouder, de minderjarige van twaalf jaar of ouder, de gecertificeerde instelling, degene die de")
    thisalinea.textcontent.append("minderjarige als behorende tot zijn gezin verzorgt en opvoedt, of de zorgaanbieder of de")
    thisalinea.textcontent.append("aanbieder van de jeugdhulp als bedoeld in artikel 1.1 van de Jeugdwet, waar de minderjarige")
    thisalinea.textcontent.append("is geplaatst, een zodanige beslissing als hem in het belang van de minderjarige wenselijk")
    thisalinea.textcontent.append("voorkomt. Hij beproeft alvorens te beslissen een vergelijk tussen de betrokkenen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 263"
    thisalinea.nativeID = 1276
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 448
    thisalinea.summary = "1. De gecertificeerde instelling kan ter uitvoering van haar taak schriftelijke aanwijzingen geven betreffende de verzorging en opvoeding van de minderjarige. Zij kan dit doen indien de met het gezag belaste ouder of de minderjarige niet instemmen met, dan wel niet of onvoldoende medewerking verlenen aan de uitvoering van het plan, bedoeld in artikel 4.1.3, eerste lid, van de Jeugdwet of indien dit noodzakelijk is teneinde de concrete bedreigingen in de ontwikkeling van de minderjarige weg te nemen. 2. De met het gezag belaste ouders of ouder en de minderjarige volgen een schriftelijke aanwijzing op. 3. De gecertificeerde instelling kan "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De gecertificeerde instelling kan ter ..."
    thisalinea.nativeID = 1277
    thisalinea.parentID = 1276
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De gecertificeerde instelling kan ter uitvoering van haar taak schriftelijke aanwijzingen geven betreffende de verzorging en opvoeding van de minderjarige. Zij kan dit doen indien de met het gezag belaste ouder of de minderjarige niet instemmen met, dan wel niet of onvoldoende medewerking verlenen aan de uitvoering van het plan, bedoeld in artikel 4.1.3, eerste lid, van de Jeugdwet of indien dit noodzakelijk is teneinde de concrete bedreigingen in de ontwikkeling van de minderjarige weg te nemen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De gecertificeerde instelling kan ter uitvoering van haar taak schriftelijke aanwijzingen")
    thisalinea.textcontent.append("geven betreffende de verzorging en opvoeding van de minderjarige. Zij kan dit doen")
    thisalinea.textcontent.append("indien de met het gezag belaste ouder of de minderjarige niet instemmen met, dan wel")
    thisalinea.textcontent.append("niet of onvoldoende medewerking verlenen aan de uitvoering van het plan, bedoeld in")
    thisalinea.textcontent.append("artikel 4.1.3, eerste lid, van de Jeugdwet of indien dit noodzakelijk is teneinde de concrete")
    thisalinea.textcontent.append("bedreigingen in de ontwikkeling van de minderjarige weg te nemen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De met het gezag belaste ..."
    thisalinea.nativeID = 1278
    thisalinea.parentID = 1276
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De met het gezag belaste ouders of ouder en de minderjarige volgen een schriftelijke aanwijzing op. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De met het gezag belaste ouders of ouder en de minderjarige volgen een schriftelijke")
    thisalinea.textcontent.append("aanwijzing op.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De gecertificeerde instelling kan de ..."
    thisalinea.nativeID = 1279
    thisalinea.parentID = 1276
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De gecertificeerde instelling kan de kinderrechter verzoeken een schriftelijke aanwijzing te bekrachtigen. Tegelijkertijd kan een door de wet toegelaten dwangmiddel worden verzocht bij niet nakoming van deze aanwijzing tenzij het belang van het kind zich tegen oplegging daarvan verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De gecertificeerde instelling kan de kinderrechter verzoeken een schriftelijke aanwijzing te")
    thisalinea.textcontent.append("bekrachtigen. Tegelijkertijd kan een door de wet toegelaten dwangmiddel worden verzocht")
    thisalinea.textcontent.append("bij niet nakoming van deze aanwijzing tenzij het belang van het kind zich tegen oplegging")
    thisalinea.textcontent.append("daarvan verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 264"
    thisalinea.nativeID = 1280
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 449
    thisalinea.summary = "1. Op verzoek van een met het gezag belaste ouder of de minderjarige van twaalf jaar of ouder kan de kinderrechter een schriftelijke aanwijzing geheel of gedeeltelijk vervallen verklaren. Het verzoek heeft geen schorsende kracht, tenzij de kinderrechter het tegendeel bepaalt. 2. Bij de indiening van het verzoek wordt de beslissing van de gecertificeerde instelling overgelegd. 3. De termijn voor het indienen van het verzoek bedraagt twee weken en vangt aan met ingang van de dag na die waarop de beslissing is verzonden of uitgereikt. 4. Ten aanzien van een na afloop van deze termijn ingediend verzoek blijft niet- ontvankelijkverklaring "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op verzoek van een met ..."
    thisalinea.nativeID = 1281
    thisalinea.parentID = 1280
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op verzoek van een met het gezag belaste ouder of de minderjarige van twaalf jaar of ouder kan de kinderrechter een schriftelijke aanwijzing geheel of gedeeltelijk vervallen verklaren. Het verzoek heeft geen schorsende kracht, tenzij de kinderrechter het tegendeel bepaalt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op verzoek van een met het gezag belaste ouder of de minderjarige van twaalf jaar of")
    thisalinea.textcontent.append("ouder kan de kinderrechter een schriftelijke aanwijzing geheel of gedeeltelijk vervallen")
    thisalinea.textcontent.append("verklaren. Het verzoek heeft geen schorsende kracht, tenzij de kinderrechter het")
    thisalinea.textcontent.append("tegendeel bepaalt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bij de indiening van het ..."
    thisalinea.nativeID = 1282
    thisalinea.parentID = 1280
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bij de indiening van het verzoek wordt de beslissing van de gecertificeerde instelling overgelegd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bij de indiening van het verzoek wordt de beslissing van de gecertificeerde instelling")
    thisalinea.textcontent.append("overgelegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De termijn voor het indienen ..."
    thisalinea.nativeID = 1283
    thisalinea.parentID = 1280
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De termijn voor het indienen van het verzoek bedraagt twee weken en vangt aan met ingang van de dag na die waarop de beslissing is verzonden of uitgereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De termijn voor het indienen van het verzoek bedraagt twee weken en vangt aan met")
    thisalinea.textcontent.append("ingang van de dag na die waarop de beslissing is verzonden of uitgereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Ten aanzien van een na ..."
    thisalinea.nativeID = 1284
    thisalinea.parentID = 1280
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Ten aanzien van een na afloop van deze termijn ingediend verzoek blijft niet- ontvankelijkverklaring achterwege indien de verzoeker redelijkerwijs niet geoordeeld kan worden in verzuim te zijn geweest. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Ten aanzien van een na afloop van deze termijn ingediend verzoek blijft niet-")
    thisalinea.textcontent.append("ontvankelijkverklaring achterwege indien de verzoeker redelijkerwijs niet geoordeeld kan")
    thisalinea.textcontent.append("worden in verzuim te zijn geweest.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265"
    thisalinea.nativeID = 1285
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 450
    thisalinea.summary = "1. Op verzoek van degene aan wie de aanwijzing is gericht, kan de gecertificeerde instelling een schriftelijke aanwijzing wegens gewijzigde omstandigheden geheel of gedeeltelijk intrekken. 2. De gecertificeerde instelling geeft haar beslissing schriftelijk en binnen twee weken na ontvangst van het verzoek. 3. Artikel 264 is van overeenkomstige toepassing. 4. Het niet of niet tijdig nemen van een beslissing door de gecertificeerde instelling staat gelijk met afwijzing van het verzoek. De termijn voor het indienen van het verzoek aan de kinderrechter loopt in dat geval door zolang de gecertificeerde instelling niet heeft beslist en eindigt, indien de gecertificeerde instelling alsnog "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op verzoek van degene aan ..."
    thisalinea.nativeID = 1286
    thisalinea.parentID = 1285
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op verzoek van degene aan wie de aanwijzing is gericht, kan de gecertificeerde instelling een schriftelijke aanwijzing wegens gewijzigde omstandigheden geheel of gedeeltelijk intrekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op verzoek van degene aan wie de aanwijzing is gericht, kan de gecertificeerde instelling")
    thisalinea.textcontent.append("een schriftelijke aanwijzing wegens gewijzigde omstandigheden geheel of gedeeltelijk")
    thisalinea.textcontent.append("intrekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De gecertificeerde instelling geeft haar ..."
    thisalinea.nativeID = 1287
    thisalinea.parentID = 1285
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De gecertificeerde instelling geeft haar beslissing schriftelijk en binnen twee weken na ontvangst van het verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De gecertificeerde instelling geeft haar beslissing schriftelijk en binnen twee weken na")
    thisalinea.textcontent.append("ontvangst van het verzoek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Artikel 264 is van overeenkomstige ..."
    thisalinea.nativeID = 1288
    thisalinea.parentID = 1285
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Artikel 264 is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Artikel 264 is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het niet of niet tijdig ..."
    thisalinea.nativeID = 1289
    thisalinea.parentID = 1285
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het niet of niet tijdig nemen van een beslissing door de gecertificeerde instelling staat gelijk met afwijzing van het verzoek. De termijn voor het indienen van het verzoek aan de kinderrechter loopt in dat geval door zolang de gecertificeerde instelling niet heeft beslist en eindigt, indien de gecertificeerde instelling alsnog beslist, na verloop van twee weken te rekenen met ingang van de dag waarop de beslissing is verzonden of uitgereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het niet of niet tijdig nemen van een beslissing door de gecertificeerde instelling staat")
    thisalinea.textcontent.append("gelijk met afwijzing van het verzoek. De termijn voor het indienen van het verzoek aan de")
    thisalinea.textcontent.append("kinderrechter loopt in dat geval door zolang de gecertificeerde instelling niet heeft beslist")
    thisalinea.textcontent.append("en eindigt, indien de gecertificeerde instelling alsnog beslist, na verloop van twee weken")
    thisalinea.textcontent.append("te rekenen met ingang van de dag waarop de beslissing is verzonden of uitgereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265a"
    thisalinea.nativeID = 1290
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 451
    thisalinea.summary = "Plaatsing van de minderjarige gedurende dag en nacht buiten het gezin geschiedt uitsluitend met een machtiging tot uithuisplaatsing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Plaatsing van de minderjarige gedurende dag en nacht buiten het gezin geschiedt uitsluitend")
    thisalinea.textcontent.append("met een machtiging tot uithuisplaatsing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265b"
    thisalinea.nativeID = 1291
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 452
    thisalinea.summary = "1. Indien dit noodzakelijk is in het belang van de verzorging en opvoeding van de minderjarige of tot onderzoek van diens geestelijke of lichamelijke gesteldheid, kan de kinderrechter de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet, die belast is met de uitvoering van de ondertoezichtstelling op haar verzoek machtigen de minderjarige gedurende dag en nacht uit huis te plaatsen. 2. De machtiging kan eveneens worden verleend op verzoek van de raad voor de kinderbescherming of op verzoek van het openbaar ministerie. 3. Voor opneming en verblijf als bedoeld in artikel 6.1.2, eerste lid, of 6.1.3, eerste lid, van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien dit noodzakelijk is in ..."
    thisalinea.nativeID = 1292
    thisalinea.parentID = 1291
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien dit noodzakelijk is in het belang van de verzorging en opvoeding van de minderjarige of tot onderzoek van diens geestelijke of lichamelijke gesteldheid, kan de kinderrechter de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet, die belast is met de uitvoering van de ondertoezichtstelling op haar verzoek machtigen de minderjarige gedurende dag en nacht uit huis te plaatsen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien dit noodzakelijk is in het belang van de verzorging en opvoeding van de")
    thisalinea.textcontent.append("minderjarige of tot onderzoek van diens geestelijke of lichamelijke gesteldheid, kan de")
    thisalinea.textcontent.append("kinderrechter de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet, die")
    thisalinea.textcontent.append("belast is met de uitvoering van de ondertoezichtstelling op haar verzoek machtigen de")
    thisalinea.textcontent.append("minderjarige gedurende dag en nacht uit huis te plaatsen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De machtiging kan eveneens worden ..."
    thisalinea.nativeID = 1293
    thisalinea.parentID = 1291
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De machtiging kan eveneens worden verleend op verzoek van de raad voor de kinderbescherming of op verzoek van het openbaar ministerie. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De machtiging kan eveneens worden verleend op verzoek van de raad voor de")
    thisalinea.textcontent.append("kinderbescherming of op verzoek van het openbaar ministerie.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Voor opneming en verblijf als ..."
    thisalinea.nativeID = 1294
    thisalinea.parentID = 1291
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Voor opneming en verblijf als bedoeld in artikel 6.1.2, eerste lid, of 6.1.3, eerste lid, van de Jeugdwet is geen machtiging als bedoeld in het eerste lid vereist, doch een machtiging als bedoeld in genoemde artikelleden. Deze machtiging geldt voor de toepassing van artikel 265a als een machtiging als bedoeld in het eerste lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Voor opneming en verblijf als bedoeld in artikel 6.1.2, eerste lid, of 6.1.3, eerste lid, van de")
    thisalinea.textcontent.append("Jeugdwet is geen machtiging als bedoeld in het eerste lid vereist, doch een machtiging als")
    thisalinea.textcontent.append("bedoeld in genoemde artikelleden. Deze machtiging geldt voor de toepassing van artikel")
    thisalinea.textcontent.append("265a als een machtiging als bedoeld in het eerste lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265c"
    thisalinea.nativeID = 1295
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 453
    thisalinea.summary = "1. De duur van de machtiging tot uithuisplaatsing is, behoudens verlenging als bedoeld in het tweede lid, ten hoogste een jaar. Indien een minderjarige voorlopig onder toezicht is gesteld en gelijktijdig een machtiging tot uithuisplaatsing is verleend, komt de duur hiervan niet in mindering op de termijn van ten hoogste een jaar. 2. Op verzoek van de gecertificeerde instelling kan de kinderrechter de duur telkens met ten hoogste een jaar verlengen. Indien de gecertificeerde instelling niet overgaat tot een verzoek, kan verlenging plaatsvinden op verzoek van de raad voor de kinderbescherming of het openbaar ministerie. 3. Een machtiging vervalt indien "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De duur van de machtiging ..."
    thisalinea.nativeID = 1296
    thisalinea.parentID = 1295
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De duur van de machtiging tot uithuisplaatsing is, behoudens verlenging als bedoeld in het tweede lid, ten hoogste een jaar. Indien een minderjarige voorlopig onder toezicht is gesteld en gelijktijdig een machtiging tot uithuisplaatsing is verleend, komt de duur hiervan niet in mindering op de termijn van ten hoogste een jaar. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De duur van de machtiging tot uithuisplaatsing is, behoudens verlenging als bedoeld in")
    thisalinea.textcontent.append("het tweede lid, ten hoogste een jaar. Indien een minderjarige voorlopig onder toezicht is")
    thisalinea.textcontent.append("gesteld en gelijktijdig een machtiging tot uithuisplaatsing is verleend, komt de duur hiervan")
    thisalinea.textcontent.append("niet in mindering op de termijn van ten hoogste een jaar.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Op verzoek van de gecertificeerde ..."
    thisalinea.nativeID = 1297
    thisalinea.parentID = 1295
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Op verzoek van de gecertificeerde instelling kan de kinderrechter de duur telkens met ten hoogste een jaar verlengen. Indien de gecertificeerde instelling niet overgaat tot een verzoek, kan verlenging plaatsvinden op verzoek van de raad voor de kinderbescherming of het openbaar ministerie. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Op verzoek van de gecertificeerde instelling kan de kinderrechter de duur telkens met ten")
    thisalinea.textcontent.append("hoogste een jaar verlengen. Indien de gecertificeerde instelling niet overgaat tot een")
    thisalinea.textcontent.append("verzoek, kan verlenging plaatsvinden op verzoek van de raad voor de kinderbescherming")
    thisalinea.textcontent.append("of het openbaar ministerie.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een machtiging vervalt indien deze ..."
    thisalinea.nativeID = 1298
    thisalinea.parentID = 1295
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een machtiging vervalt indien deze na verloop van drie maanden niet ten uitvoer is gelegd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een machtiging vervalt indien deze na verloop van drie maanden niet ten uitvoer is")
    thisalinea.textcontent.append("gelegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265d"
    thisalinea.nativeID = 1299
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 454
    thisalinea.summary = "1. Een uithuisplaatsing kan door de gecertificeerde instelling worden beëindigd indien deze niet langer noodzakelijk is in het belang van de verzorging en opvoeding van de minderjarige of tot het verrichten van het onderzoek, bedoeld in artikel 265b, eerste lid, en het belang van de minderjarige zich tegen beëindiging niet verzet. 2. De met het gezag belaste ouder, de minderjarige van twaalf jaar of ouder of een ander die de minderjarige als behorende tot zijn gezin verzorgt en opvoedt kunnen wegens gewijzigde omstandigheden de gecertificeerde instelling verzoeken: a. de uithuisplaatsing te beëindigen; b. de duur ervan te bekorten; c. af "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een uithuisplaatsing kan door de ..."
    thisalinea.nativeID = 1300
    thisalinea.parentID = 1299
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een uithuisplaatsing kan door de gecertificeerde instelling worden beëindigd indien deze niet langer noodzakelijk is in het belang van de verzorging en opvoeding van de minderjarige of tot het verrichten van het onderzoek, bedoeld in artikel 265b, eerste lid, en het belang van de minderjarige zich tegen beëindiging niet verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een uithuisplaatsing kan door de gecertificeerde instelling worden beëindigd indien deze")
    thisalinea.textcontent.append("niet langer noodzakelijk is in het belang van de verzorging en opvoeding van de")
    thisalinea.textcontent.append("minderjarige of tot het verrichten van het onderzoek, bedoeld in artikel 265b, eerste lid, en")
    thisalinea.textcontent.append("het belang van de minderjarige zich tegen beëindiging niet verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De met het gezag belaste ..."
    thisalinea.nativeID = 1301
    thisalinea.parentID = 1299
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De met het gezag belaste ouder, de minderjarige van twaalf jaar of ouder of een ander die de minderjarige als behorende tot zijn gezin verzorgt en opvoedt kunnen wegens gewijzigde omstandigheden de gecertificeerde instelling verzoeken: a. de uithuisplaatsing te beëindigen; b. de duur ervan te bekorten; c. af te zien van een krachtens de machtiging toegestane wijziging van de verblijfplaats van de minderjarige, tenzij de toestemming reeds met toepassing van artikel 265i is verleend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De met het gezag belaste ouder, de minderjarige van twaalf jaar of ouder of een ander die")
    thisalinea.textcontent.append("de minderjarige als behorende tot zijn gezin verzorgt en opvoedt kunnen wegens")
    thisalinea.textcontent.append("gewijzigde omstandigheden de gecertificeerde instelling verzoeken:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de uithuisplaatsing te beëindigen; "
    thisalinea.nativeID = 1302
    thisalinea.parentID = 1301
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de uithuisplaatsing te beëindigen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de uithuisplaatsing te beëindigen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de duur ervan te bekorten; "
    thisalinea.nativeID = 1303
    thisalinea.parentID = 1301
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de duur ervan te bekorten; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de duur ervan te bekorten;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. af te zien van een ..."
    thisalinea.nativeID = 1304
    thisalinea.parentID = 1301
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. af te zien van een krachtens de machtiging toegestane wijziging van de verblijfplaats van de minderjarige, tenzij de toestemming reeds met toepassing van artikel 265i is verleend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. af te zien van een krachtens de machtiging toegestane wijziging van de verblijfplaats")
    thisalinea.textcontent.append("van de minderjarige, tenzij de toestemming reeds met toepassing van artikel 265i is")
    thisalinea.textcontent.append("verleend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De gecertificeerde instelling geeft een ..."
    thisalinea.nativeID = 1305
    thisalinea.parentID = 1299
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De gecertificeerde instelling geeft een schriftelijke beslissing binnen twee weken na ontvangst van het verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De gecertificeerde instelling geeft een schriftelijke beslissing binnen twee weken na")
    thisalinea.textcontent.append("ontvangst van het verzoek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Op verzoek van een in ..."
    thisalinea.nativeID = 1306
    thisalinea.parentID = 1299
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Op verzoek van een in het tweede lid genoemde persoon kan de kinderrechter de machtiging geheel of gedeeltelijk intrekken of de duur ervan bekorten. Artikel 264, eerste lid, tweede volzin, tweede tot en met vierde lid, alsmede artikel 265, vierde lid, zijn van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Op verzoek van een in het tweede lid genoemde persoon kan de kinderrechter de")
    thisalinea.textcontent.append("machtiging geheel of gedeeltelijk intrekken of de duur ervan bekorten. Artikel 264, eerste")
    thisalinea.textcontent.append("lid, tweede volzin, tweede tot en met vierde lid, alsmede artikel 265, vierde lid, zijn van")
    thisalinea.textcontent.append("toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265e"
    thisalinea.nativeID = 1307
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 455
    thisalinea.summary = "1. De kinderrechter kan bij de verlening van de machtiging tot uithuisplaatsing en ook nadat deze machtiging is verleend, op verzoek bepalen dat het gezag gedeeltelijk wordt uitgeoefend door de gecertificeerde instelling die het toezicht uitoefent, voor zover dit noodzakelijk is in verband met de uitvoering van de ondertoezichtstelling. Hij kan dit doen met betrekking tot: a. de aanmelding van de minderjarige bij een onderwijsinstelling, b. het geven van toestemming voor een medische behandeling van de minderjarige jonger dan twaalf jaar of van de minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een redelijke "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kinderrechter kan bij de ..."
    thisalinea.nativeID = 1308
    thisalinea.parentID = 1307
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kinderrechter kan bij de verlening van de machtiging tot uithuisplaatsing en ook nadat deze machtiging is verleend, op verzoek bepalen dat het gezag gedeeltelijk wordt uitgeoefend door de gecertificeerde instelling die het toezicht uitoefent, voor zover dit noodzakelijk is in verband met de uitvoering van de ondertoezichtstelling. Hij kan dit doen met betrekking tot: a. de aanmelding van de minderjarige bij een onderwijsinstelling, b. het geven van toestemming voor een medische behandeling van de minderjarige jonger dan twaalf jaar of van de minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een redelijke "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kinderrechter kan bij de verlening van de machtiging tot uithuisplaatsing en ook nadat")
    thisalinea.textcontent.append("deze machtiging is verleend, op verzoek bepalen dat het gezag gedeeltelijk wordt")
    thisalinea.textcontent.append("uitgeoefend door de gecertificeerde instelling die het toezicht uitoefent, voor zover dit")
    thisalinea.textcontent.append("noodzakelijk is in verband met de uitvoering van de ondertoezichtstelling. Hij kan dit doen")
    thisalinea.textcontent.append("met betrekking tot:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de aanmelding van de minderjarige ..."
    thisalinea.nativeID = 1309
    thisalinea.parentID = 1308
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de aanmelding van de minderjarige bij een onderwijsinstelling, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de aanmelding van de minderjarige bij een onderwijsinstelling,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. het geven van toestemming voor ..."
    thisalinea.nativeID = 1310
    thisalinea.parentID = 1308
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. het geven van toestemming voor een medische behandeling van de minderjarige jonger dan twaalf jaar of van de minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een redelijke waardering van zijn belangen terzake, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. het geven van toestemming voor een medische behandeling van de minderjarige")
    thisalinea.textcontent.append("jonger dan twaalf jaar of van de minderjarige van twaalf jaar of ouder die niet in staat")
    thisalinea.textcontent.append("kan worden geacht tot een redelijke waardering van zijn belangen terzake, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. het doen van een aanvraag ..."
    thisalinea.nativeID = 1311
    thisalinea.parentID = 1308
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. het doen van een aanvraag tot het verlenen van een verblijfsvergunning ten behoeve van de minderjarige als bedoeld in de artikelen 14 of 28 van de Vreemdelingenwet 2000. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. het doen van een aanvraag tot het verlenen van een verblijfsvergunning ten behoeve")
    thisalinea.textcontent.append("van de minderjarige als bedoeld in de artikelen 14 of 28 van de Vreemdelingenwet")
    thisalinea.textcontent.append("2000.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De duur van de gedeeltelijke ..."
    thisalinea.nativeID = 1312
    thisalinea.parentID = 1307
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De duur van de gedeeltelijke uitoefening van het gezag is niet langer dan die van de verleende machtiging tot uithuisplaatsing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De duur van de gedeeltelijke uitoefening van het gezag is niet langer dan die van de")
    thisalinea.textcontent.append("verleende machtiging tot uithuisplaatsing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De kinderrechter kan de duur ..."
    thisalinea.nativeID = 1313
    thisalinea.parentID = 1307
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De kinderrechter kan de duur van de gedeeltelijke uitoefening van het gezag telkens met ten hoogste een jaar verlengen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De kinderrechter kan de duur van de gedeeltelijke uitoefening van het gezag telkens met")
    thisalinea.textcontent.append("ten hoogste een jaar verlengen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Op verzoek kan een beslissing ..."
    thisalinea.nativeID = 1314
    thisalinea.parentID = 1307
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Op verzoek kan een beslissing als bedoeld in het eerste of derde lid wegens gewijzigde omstandigheden worden gewijzigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Op verzoek kan een beslissing als bedoeld in het eerste of derde lid wegens gewijzigde")
    thisalinea.textcontent.append("omstandigheden worden gewijzigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De verzoeken, bedoeld in het ..."
    thisalinea.nativeID = 1315
    thisalinea.parentID = 1307
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De verzoeken, bedoeld in het eerste, derde en vierde lid, kunnen worden gedaan door de gecertificeerde instelling die het toezicht uitoefent. Indien deze gecertificeerde instelling niet tot een verzoek overgaat, zijn de raad voor de kinderbescherming of degene die niet de ouder is en de minderjarige als behorende tot zijn gezin verzorgt en opvoedt bevoegd tot het doen van het verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De verzoeken, bedoeld in het eerste, derde en vierde lid, kunnen worden gedaan door de")
    thisalinea.textcontent.append("gecertificeerde instelling die het toezicht uitoefent. Indien deze gecertificeerde instelling")
    thisalinea.textcontent.append("niet tot een verzoek overgaat, zijn de raad voor de kinderbescherming of degene die niet")
    thisalinea.textcontent.append("de ouder is en de minderjarige als behorende tot zijn gezin verzorgt en opvoedt bevoegd")
    thisalinea.textcontent.append("tot het doen van het verzoek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265f"
    thisalinea.nativeID = 1316
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 456
    thisalinea.summary = "1. Voor zover noodzakelijk in verband met de uithuisplaatsing van de minderjarige, kan de gecertificeerde instelling voor de duur daarvan de contacten tussen een met het gezag belaste ouder en de minderjarige beperken. 2. De beslissing van de gecertificeerde instelling geldt als een schriftelijke aanwijzing. Artikel 264 en artikel 265 zijn van overeenkomstige toepassing, met dien verstande dat de kinderrechter een zodanige regeling kan vaststellen als hem in het belang van de minderjarige wenselijk voorkomt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Voor zover noodzakelijk in verband ..."
    thisalinea.nativeID = 1317
    thisalinea.parentID = 1316
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Voor zover noodzakelijk in verband met de uithuisplaatsing van de minderjarige, kan de gecertificeerde instelling voor de duur daarvan de contacten tussen een met het gezag belaste ouder en de minderjarige beperken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Voor zover noodzakelijk in verband met de uithuisplaatsing van de minderjarige, kan de")
    thisalinea.textcontent.append("gecertificeerde instelling voor de duur daarvan de contacten tussen een met het gezag")
    thisalinea.textcontent.append("belaste ouder en de minderjarige beperken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De beslissing van de gecertificeerde ..."
    thisalinea.nativeID = 1318
    thisalinea.parentID = 1316
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De beslissing van de gecertificeerde instelling geldt als een schriftelijke aanwijzing. Artikel 264 en artikel 265 zijn van overeenkomstige toepassing, met dien verstande dat de kinderrechter een zodanige regeling kan vaststellen als hem in het belang van de minderjarige wenselijk voorkomt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De beslissing van de gecertificeerde instelling geldt als een schriftelijke aanwijzing. Artikel")
    thisalinea.textcontent.append("264 en artikel 265 zijn van overeenkomstige toepassing, met dien verstande dat de")
    thisalinea.textcontent.append("kinderrechter een zodanige regeling kan vaststellen als hem in het belang van de")
    thisalinea.textcontent.append("minderjarige wenselijk voorkomt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265g"
    thisalinea.nativeID = 1319
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 457
    thisalinea.summary = "1. Voor de duur van de ondertoezichtstelling kan de kinderrechter op verzoek van de gecertificeerde instelling een verdeling van de zorg- en opvoedingstaken of een regeling inzake de uitoefening van het recht op omgang vaststellen of wijzigen voor zover dit in het belang van de minderjarige noodzakelijk is. 2. Op het verzoek van een met het gezag belaste ouder, een omgangsgerechtigde, de minderjarige van twaalf jaar of ouder en de gecertificeerde instelling kan de kinderrechter de in het eerste lid genoemde beslissing wijzigen op grond dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Voor de duur van de ..."
    thisalinea.nativeID = 1320
    thisalinea.parentID = 1319
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Voor de duur van de ondertoezichtstelling kan de kinderrechter op verzoek van de gecertificeerde instelling een verdeling van de zorg- en opvoedingstaken of een regeling inzake de uitoefening van het recht op omgang vaststellen of wijzigen voor zover dit in het belang van de minderjarige noodzakelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Voor de duur van de ondertoezichtstelling kan de kinderrechter op verzoek van de")
    thisalinea.textcontent.append("gecertificeerde instelling een verdeling van de zorg- en opvoedingstaken of een regeling")
    thisalinea.textcontent.append("inzake de uitoefening van het recht op omgang vaststellen of wijzigen voor zover dit in het")
    thisalinea.textcontent.append("belang van de minderjarige noodzakelijk is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Op het verzoek van een ..."
    thisalinea.nativeID = 1321
    thisalinea.parentID = 1319
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Op het verzoek van een met het gezag belaste ouder, een omgangsgerechtigde, de minderjarige van twaalf jaar of ouder en de gecertificeerde instelling kan de kinderrechter de in het eerste lid genoemde beslissing wijzigen op grond dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van onjuiste of onvolledige gegevens is uitgegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Op het verzoek van een met het gezag belaste ouder, een omgangsgerechtigde, de")
    thisalinea.textcontent.append("minderjarige van twaalf jaar of ouder en de gecertificeerde instelling kan de kinderrechter")
    thisalinea.textcontent.append("de in het eerste lid genoemde beslissing wijzigen op grond dat nadien de omstandigheden")
    thisalinea.textcontent.append("zijn gewijzigd, of dat bij het nemen van de beslissing van onjuiste of onvolledige gegevens")
    thisalinea.textcontent.append("is uitgegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Zodra de ondertoezichtstelling is geëindigd, ..."
    thisalinea.nativeID = 1322
    thisalinea.parentID = 1319
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Zodra de ondertoezichtstelling is geëindigd, geldt de op grond van het eerste lid vastgestelde regeling als een regeling als bedoeld in artikel 253a, tweede lid, onder a, dan wel artikel 377a, tweede lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Zodra de ondertoezichtstelling is geëindigd, geldt de op grond van het eerste lid")
    thisalinea.textcontent.append("vastgestelde regeling als een regeling als bedoeld in artikel 253a, tweede lid, onder a, dan")
    thisalinea.textcontent.append("wel artikel 377a, tweede lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265h"
    thisalinea.nativeID = 1323
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 458
    thisalinea.summary = "noodzakelijk is om ernstig gevaar voor diens gezondheid af te wenden en de ouder die het gezag uitoefent zijn toestemming daarvoor weigert, kan deze toestemming op verzoek van de gecertificeerde instelling worden vervangen door die van de kinderrechter. 1. Indien een medische behandeling van een minderjarige jonger dan twaalf jaar 2. Het eerste lid is van overeenkomstige toepassing ten aanzien van een medische behandeling van een minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een redelijke waardering van zijn belangen terzake. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("noodzakelijk is om ernstig gevaar voor diens gezondheid af te wenden en de ouder die")
    thisalinea.textcontent.append("het gezag uitoefent zijn toestemming daarvoor weigert, kan deze toestemming op verzoek")
    thisalinea.textcontent.append("van de gecertificeerde instelling worden vervangen door die van de kinderrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een medische behandeling van ..."
    thisalinea.nativeID = 1324
    thisalinea.parentID = 1323
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een medische behandeling van een minderjarige jonger dan twaalf jaar "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een medische behandeling van een minderjarige jonger dan twaalf jaar")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het eerste lid is van ..."
    thisalinea.nativeID = 1325
    thisalinea.parentID = 1323
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het eerste lid is van overeenkomstige toepassing ten aanzien van een medische behandeling van een minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een redelijke waardering van zijn belangen terzake. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het eerste lid is van overeenkomstige toepassing ten aanzien van een medische")
    thisalinea.textcontent.append("behandeling van een minderjarige van twaalf jaar of ouder die niet in staat kan worden")
    thisalinea.textcontent.append("geacht tot een redelijke waardering van zijn belangen terzake.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265i"
    thisalinea.nativeID = 1326
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 459
    thisalinea.summary = "1. De gecertificeerde instelling behoeft de toestemming van de kinderrechter voor wijziging in het verblijf van een minderjarige die ten minste een jaar door een ander dan de ouder is opgevoed en verzorgd als behorende tot zijn gezin. 2. De toestemming wordt door de kinderrechter op verzoek van de gecertificeerde instelling verleend en slechts afgewezen indien de kinderrechter dit in het belang van de minderjarige noodzakelijk oordeelt. 3. Indien de kinderrechter het verzoek, bedoeld in het tweede lid, afwijst, kan hij tevens bepalen dat de ondertoezichtstelling en de machtiging tot uithuisplaatsing van kracht blijven voor ten hoogste een jaar. De "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De gecertificeerde instelling behoeft de ..."
    thisalinea.nativeID = 1327
    thisalinea.parentID = 1326
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De gecertificeerde instelling behoeft de toestemming van de kinderrechter voor wijziging in het verblijf van een minderjarige die ten minste een jaar door een ander dan de ouder is opgevoed en verzorgd als behorende tot zijn gezin. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De gecertificeerde instelling behoeft de toestemming van de kinderrechter voor wijziging")
    thisalinea.textcontent.append("in het verblijf van een minderjarige die ten minste een jaar door een ander dan de ouder is")
    thisalinea.textcontent.append("opgevoed en verzorgd als behorende tot zijn gezin.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De toestemming wordt door de ..."
    thisalinea.nativeID = 1328
    thisalinea.parentID = 1326
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De toestemming wordt door de kinderrechter op verzoek van de gecertificeerde instelling verleend en slechts afgewezen indien de kinderrechter dit in het belang van de minderjarige noodzakelijk oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De toestemming wordt door de kinderrechter op verzoek van de gecertificeerde instelling")
    thisalinea.textcontent.append("verleend en slechts afgewezen indien de kinderrechter dit in het belang van de")
    thisalinea.textcontent.append("minderjarige noodzakelijk oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien de kinderrechter het verzoek, ..."
    thisalinea.nativeID = 1329
    thisalinea.parentID = 1326
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien de kinderrechter het verzoek, bedoeld in het tweede lid, afwijst, kan hij tevens bepalen dat de ondertoezichtstelling en de machtiging tot uithuisplaatsing van kracht blijven voor ten hoogste een jaar. De gecertificeerde instelling is gehouden de machtiging tot uithuisplaatsing ten uitvoer te leggen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien de kinderrechter het verzoek, bedoeld in het tweede lid, afwijst, kan hij tevens")
    thisalinea.textcontent.append("bepalen dat de ondertoezichtstelling en de machtiging tot uithuisplaatsing van kracht")
    thisalinea.textcontent.append("blijven voor ten hoogste een jaar. De gecertificeerde instelling is gehouden de machtiging")
    thisalinea.textcontent.append("tot uithuisplaatsing ten uitvoer te leggen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265j"
    thisalinea.nativeID = 1330
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 460
    thisalinea.summary = "1. Indien de gecertificeerde instelling oordeelt dat niet-verlenging van de ondertoezichtstelling, bedoeld in artikel 260, tweede lid, of niet-verlenging van de machtiging tot uithuisplaatsing, bedoeld in artikel 265c, tweede lid, aangewezen is, doet zij hiervan tijdig doch uiterlijk twee maanden voor het verstrijken van de duur van de ondertoezichtstelling of machtiging tot uithuisplaatsing en onder overlegging van een verslag van het verloop van de ondertoezichtstelling of de uithuisplaatsing mededeling aan de raad voor de kinderbescherming. 2. De gecertificeerde instelling kan een uithuisplaatsing gedurende de termijn waarvoor zij is toegestaan beëindigen. De gecertificeerde instelling doet van het voornemen daartoe tijdig doch "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de gecertificeerde instelling oordeelt ..."
    thisalinea.nativeID = 1331
    thisalinea.parentID = 1330
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de gecertificeerde instelling oordeelt dat niet-verlenging van de ondertoezichtstelling, bedoeld in artikel 260, tweede lid, of niet-verlenging van de machtiging tot uithuisplaatsing, bedoeld in artikel 265c, tweede lid, aangewezen is, doet zij hiervan tijdig doch uiterlijk twee maanden voor het verstrijken van de duur van de ondertoezichtstelling of machtiging tot uithuisplaatsing en onder overlegging van een verslag van het verloop van de ondertoezichtstelling of de uithuisplaatsing mededeling aan de raad voor de kinderbescherming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de gecertificeerde instelling oordeelt dat niet-verlenging van de")
    thisalinea.textcontent.append("ondertoezichtstelling, bedoeld in artikel 260, tweede lid, of niet-verlenging van de")
    thisalinea.textcontent.append("machtiging tot uithuisplaatsing, bedoeld in artikel 265c, tweede lid, aangewezen is, doet")
    thisalinea.textcontent.append("zij hiervan tijdig doch uiterlijk twee maanden voor het verstrijken van de duur van de")
    thisalinea.textcontent.append("ondertoezichtstelling of machtiging tot uithuisplaatsing en onder overlegging van een")
    thisalinea.textcontent.append("verslag van het verloop van de ondertoezichtstelling of de uithuisplaatsing mededeling")
    thisalinea.textcontent.append("aan de raad voor de kinderbescherming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De gecertificeerde instelling kan een ..."
    thisalinea.nativeID = 1332
    thisalinea.parentID = 1330
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De gecertificeerde instelling kan een uithuisplaatsing gedurende de termijn waarvoor zij is toegestaan beëindigen. De gecertificeerde instelling doet van het voornemen daartoe tijdig doch uiterlijk een maand voor het voorgenomen tijdstip van beëindiging en onder overlegging van een verslag van het verloop van de uithuisplaatsing, mededeling aan de raad voor de kinderbescherming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De gecertificeerde instelling kan een uithuisplaatsing gedurende de termijn waarvoor zij is")
    thisalinea.textcontent.append("toegestaan beëindigen. De gecertificeerde instelling doet van het voornemen daartoe")
    thisalinea.textcontent.append("tijdig doch uiterlijk een maand voor het voorgenomen tijdstip van beëindiging en onder")
    thisalinea.textcontent.append("overlegging van een verslag van het verloop van de uithuisplaatsing, mededeling aan de")
    thisalinea.textcontent.append("raad voor de kinderbescherming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien een ondertoezichtstelling met uithuisplaatsing ..."
    thisalinea.nativeID = 1333
    thisalinea.parentID = 1330
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien een ondertoezichtstelling met uithuisplaatsing twee jaar of langer heeft geduurd, gaat het verzoek tot verlenging van de ondertoezichtstelling en uithuisplaatsing van de gecertificeerde instelling vergezeld van een advies van de raad voor de kinderbescherming met betrekking tot de verlenging van die ondertoezichtstelling. De gecertificeerde instelling doet van het voornemen tot een voornoemd verzoek tijdig doch uiterlijk twee maanden voor het verstrijken van de ondertoezichtstelling mededeling aan de raad voor de kinderbescherming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien een ondertoezichtstelling met uithuisplaatsing twee jaar of langer heeft geduurd,")
    thisalinea.textcontent.append("gaat het verzoek tot verlenging van de ondertoezichtstelling en uithuisplaatsing van de")
    thisalinea.textcontent.append("gecertificeerde instelling vergezeld van een advies van de raad voor de")
    thisalinea.textcontent.append("kinderbescherming met betrekking tot de verlenging van die ondertoezichtstelling. De")
    thisalinea.textcontent.append("gecertificeerde instelling doet van het voornemen tot een voornoemd verzoek tijdig doch")
    thisalinea.textcontent.append("uiterlijk twee maanden voor het verstrijken van de ondertoezichtstelling mededeling aan")
    thisalinea.textcontent.append("de raad voor de kinderbescherming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 265k"
    thisalinea.nativeID = 1334
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 461
    thisalinea.summary = "1. Verzoeken op grond van deze afdeling worden schriftelijk gedaan. Voor zover zij aan de kinderrechter zijn gericht, kunnen zij worden ingediend zonder advocaat met uitzondering van het verzoek bedoeld in artikel 262b. 2. De gecertificeerde instelling die een verzoek indient of ter terechtzitting wordt opgeroepen, zendt bij het verzoekschrift of onverwijld na de oproep, het plan, bedoeld in artikel 4.1.3, eerste lid, van de Jeugdwet, en een verslag van het verloop van de ondertoezichtstelling aan de kinderrechter. 3. Het plan en het verslag, bedoeld in het tweede lid, worden eveneens gezonden aan de raad voor de kinderbescherming. 4. De "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Verzoeken op grond van deze ..."
    thisalinea.nativeID = 1335
    thisalinea.parentID = 1334
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Verzoeken op grond van deze afdeling worden schriftelijk gedaan. Voor zover zij aan de kinderrechter zijn gericht, kunnen zij worden ingediend zonder advocaat met uitzondering van het verzoek bedoeld in artikel 262b. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Verzoeken op grond van deze afdeling worden schriftelijk gedaan. Voor zover zij aan de")
    thisalinea.textcontent.append("kinderrechter zijn gericht, kunnen zij worden ingediend zonder advocaat met uitzondering")
    thisalinea.textcontent.append("van het verzoek bedoeld in artikel 262b.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De gecertificeerde instelling die een ..."
    thisalinea.nativeID = 1336
    thisalinea.parentID = 1334
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De gecertificeerde instelling die een verzoek indient of ter terechtzitting wordt opgeroepen, zendt bij het verzoekschrift of onverwijld na de oproep, het plan, bedoeld in artikel 4.1.3, eerste lid, van de Jeugdwet, en een verslag van het verloop van de ondertoezichtstelling aan de kinderrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De gecertificeerde instelling die een verzoek indient of ter terechtzitting wordt")
    thisalinea.textcontent.append("opgeroepen, zendt bij het verzoekschrift of onverwijld na de oproep, het plan, bedoeld in")
    thisalinea.textcontent.append("artikel 4.1.3, eerste lid, van de Jeugdwet, en een verslag van het verloop van de")
    thisalinea.textcontent.append("ondertoezichtstelling aan de kinderrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het plan en het verslag, ..."
    thisalinea.nativeID = 1337
    thisalinea.parentID = 1334
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het plan en het verslag, bedoeld in het tweede lid, worden eveneens gezonden aan de raad voor de kinderbescherming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het plan en het verslag, bedoeld in het tweede lid, worden eveneens gezonden aan de")
    thisalinea.textcontent.append("raad voor de kinderbescherming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De verzoeken die de gecertificeerde ..."
    thisalinea.nativeID = 1338
    thisalinea.parentID = 1334
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De verzoeken die de gecertificeerde instelling ter uitvoering van haar taak tot de rechter richt, kunnen worden ingediend zonder advocaat en worden kosteloos behandeld; de grossen, afschriften en uittreksels, die zij tot dat doel aanvraagt, worden haar door de griffiers vrij van alle kosten uitgereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De verzoeken die de gecertificeerde instelling ter uitvoering van haar taak tot de rechter")
    thisalinea.textcontent.append("richt, kunnen worden ingediend zonder advocaat en worden kosteloos behandeld; de")
    thisalinea.textcontent.append("grossen, afschriften en uittreksels, die zij tot dat doel aanvraagt, worden haar door de")
    thisalinea.textcontent.append("griffiers vrij van alle kosten uitgereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 5. Beëindiging van het ouderlijk gezag"
    thisalinea.nativeID = 1339
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 462
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 266"
    thisalinea.nativeID = 1340
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 463
    thisalinea.summary = "1. De rechtbank kan het gezag van een ouder beëindigen indien: a. een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd, en de ouder niet de verantwoordelijkheid voor de verzorging en opvoeding, bedoeld in artikel 247, tweede lid, in staat is te dragen binnen een voor de persoon en de ontwikkeling van de minderjarige aanvaardbaar te achten termijn, of b. de ouder het gezag misbruikt. 2. Het gezag van de ouder kan ook worden beëindigd indien het gezag is geschorst, mits aan het eerste lid is voldaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechtbank kan het gezag ..."
    thisalinea.nativeID = 1341
    thisalinea.parentID = 1340
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechtbank kan het gezag van een ouder beëindigen indien: a. een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd, en de ouder niet de verantwoordelijkheid voor de verzorging en opvoeding, bedoeld in artikel 247, tweede lid, in staat is te dragen binnen een voor de persoon en de ontwikkeling van de minderjarige aanvaardbaar te achten termijn, of b. de ouder het gezag misbruikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechtbank kan het gezag van een ouder beëindigen indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. een minderjarige zodanig opgroeit dat ..."
    thisalinea.nativeID = 1342
    thisalinea.parentID = 1341
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd, en de ouder niet de verantwoordelijkheid voor de verzorging en opvoeding, bedoeld in artikel 247, tweede lid, in staat is te dragen binnen een voor de persoon en de ontwikkeling van de minderjarige aanvaardbaar te achten termijn, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd,")
    thisalinea.textcontent.append("en de ouder niet de verantwoordelijkheid voor de verzorging en opvoeding, bedoeld in")
    thisalinea.textcontent.append("artikel 247, tweede lid, in staat is te dragen binnen een voor de persoon en de")
    thisalinea.textcontent.append("ontwikkeling van de minderjarige aanvaardbaar te achten termijn, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de ouder het gezag misbruikt. "
    thisalinea.nativeID = 1343
    thisalinea.parentID = 1341
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de ouder het gezag misbruikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de ouder het gezag misbruikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het gezag van de ouder ..."
    thisalinea.nativeID = 1344
    thisalinea.parentID = 1340
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het gezag van de ouder kan ook worden beëindigd indien het gezag is geschorst, mits aan het eerste lid is voldaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het gezag van de ouder kan ook worden beëindigd indien het gezag is geschorst, mits")
    thisalinea.textcontent.append("aan het eerste lid is voldaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 267"
    thisalinea.nativeID = 1345
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 464
    thisalinea.summary = "1. Beëindiging van het gezag kan worden uitgesproken op verzoek van de raad voor de kinderbescherming of het openbaar ministerie. Tevens is degene die niet de ouder is en de minderjarige gedurende ten minste een jaar als behorende tot zijn gezin verzorgt en opvoedt bevoegd tot het doen van het verzoek indien de raad voor de kinderbescherming niet tot een verzoek overgaat. 2. Indien de raad niet tot een verzoek als bedoeld in het eerste lid overgaat nadat hij een verzoek tot onderzoek hiertoe van de gecertificeerde instelling die de ondertoezichtstelling over de minderjarige uitvoert, heeft ontvangen, deelt hij dit "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Beëindiging van het gezag kan ..."
    thisalinea.nativeID = 1346
    thisalinea.parentID = 1345
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Beëindiging van het gezag kan worden uitgesproken op verzoek van de raad voor de kinderbescherming of het openbaar ministerie. Tevens is degene die niet de ouder is en de minderjarige gedurende ten minste een jaar als behorende tot zijn gezin verzorgt en opvoedt bevoegd tot het doen van het verzoek indien de raad voor de kinderbescherming niet tot een verzoek overgaat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Beëindiging van het gezag kan worden uitgesproken op verzoek van de raad voor de")
    thisalinea.textcontent.append("kinderbescherming of het openbaar ministerie. Tevens is degene die niet de ouder is en")
    thisalinea.textcontent.append("de minderjarige gedurende ten minste een jaar als behorende tot zijn gezin verzorgt en")
    thisalinea.textcontent.append("opvoedt bevoegd tot het doen van het verzoek indien de raad voor de kinderbescherming")
    thisalinea.textcontent.append("niet tot een verzoek overgaat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de raad niet tot ..."
    thisalinea.nativeID = 1347
    thisalinea.parentID = 1345
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de raad niet tot een verzoek als bedoeld in het eerste lid overgaat nadat hij een verzoek tot onderzoek hiertoe van de gecertificeerde instelling die de ondertoezichtstelling over de minderjarige uitvoert, heeft ontvangen, deelt hij dit schriftelijk mee aan die gecertificeerde instelling. De gecertificeerde instelling kan na ontvangst van die mededeling de raad voor de kinderbescherming verzoeken het oordeel van de rechtbank te vragen of beëindiging van het gezag het noodzakelijk is. De raad voor de kinderbescherming die van de gecertificeerde instelling zodanig verzoek ontvangt, vraagt binnen twee weken na de dagtekening van dat verzoek het oordeel van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de raad niet tot een verzoek als bedoeld in het eerste lid overgaat nadat hij een")
    thisalinea.textcontent.append("verzoek tot onderzoek hiertoe van de gecertificeerde instelling die de ondertoezichtstelling")
    thisalinea.textcontent.append("over de minderjarige uitvoert, heeft ontvangen, deelt hij dit schriftelijk mee aan die")
    thisalinea.textcontent.append("gecertificeerde instelling. De gecertificeerde instelling kan na ontvangst van die")
    thisalinea.textcontent.append("mededeling de raad voor de kinderbescherming verzoeken het oordeel van de rechtbank")
    thisalinea.textcontent.append("te vragen of beëindiging van het gezag het noodzakelijk is. De raad voor de")
    thisalinea.textcontent.append("kinderbescherming die van de gecertificeerde instelling zodanig verzoek ontvangt, vraagt")
    thisalinea.textcontent.append("binnen twee weken na de dagtekening van dat verzoek het oordeel van de rechtbank of")
    thisalinea.textcontent.append("een beëindiging van het gezag moet volgen. In dat geval kan de rechtbank de beëindiging")
    thisalinea.textcontent.append("van het gezag ambtshalve uitspreken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 267a"
    thisalinea.nativeID = 1348
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 465
    thisalinea.summary = "De rechtbank die een verzoek tot beëindiging van het gezag afwijst, kan een minderjarige onder toezicht te stellen als bedoeld in artikel 255 mits aan de grond hiervoor is voldaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank die een verzoek tot beëindiging van het gezag afwijst, kan een minderjarige")
    thisalinea.textcontent.append("onder toezicht te stellen als bedoeld in artikel 255 mits aan de grond hiervoor is voldaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 268"
    thisalinea.nativeID = 1349
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 466
    thisalinea.summary = "kinderrechter een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet, met de voorlopige voogdij over de minderjarige belast. In dat geval is ook het gezag van deze ouder geschorst. 1. De rechtbank kan een ouder geheel of gedeeltelijk in de uitoefening van het gezag schorsen indien: a. een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 266, eerste lid, aanhef en onder a of b is vervuld en de maatregel noodzakelijk is om een acute en ernstige bedreiging voor de minderjarige weg te nemen, of b. een medische behandeling van een minderjarige jonger dan twaalf jaar of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("kinderrechter een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet, met")
    thisalinea.textcontent.append("de voorlopige voogdij over de minderjarige belast. In dat geval is ook het gezag van deze")
    thisalinea.textcontent.append("ouder geschorst.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechtbank kan een ouder ..."
    thisalinea.nativeID = 1350
    thisalinea.parentID = 1349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechtbank kan een ouder geheel of gedeeltelijk in de uitoefening van het gezag schorsen indien: a. een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 266, eerste lid, aanhef en onder a of b is vervuld en de maatregel noodzakelijk is om een acute en ernstige bedreiging voor de minderjarige weg te nemen, of b. een medische behandeling van een minderjarige jonger dan twaalf jaar of van de minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een redelijke waardering van zijn belangen terzake, noodzakelijk is om ernstig gevaar voor diens gezondheid "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechtbank kan een ouder geheel of gedeeltelijk in de uitoefening van het gezag")
    thisalinea.textcontent.append("schorsen indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. een ernstig vermoeden bestaat dat ..."
    thisalinea.nativeID = 1351
    thisalinea.parentID = 1350
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 266, eerste lid, aanhef en onder a of b is vervuld en de maatregel noodzakelijk is om een acute en ernstige bedreiging voor de minderjarige weg te nemen, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 266, eerste lid, aanhef")
    thisalinea.textcontent.append("en onder a of b is vervuld en de maatregel noodzakelijk is om een acute en ernstige")
    thisalinea.textcontent.append("bedreiging voor de minderjarige weg te nemen, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. een medische behandeling van een ..."
    thisalinea.nativeID = 1352
    thisalinea.parentID = 1350
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een medische behandeling van een minderjarige jonger dan twaalf jaar of van de minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een redelijke waardering van zijn belangen terzake, noodzakelijk is om ernstig gevaar voor diens gezondheid af te wenden en een ouder die het gezag uitoefent toestemming daarvoor weigert. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een medische behandeling van een minderjarige jonger dan twaalf jaar of van de")
    thisalinea.textcontent.append("minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een")
    thisalinea.textcontent.append("redelijke waardering van zijn belangen terzake, noodzakelijk is om ernstig gevaar voor")
    thisalinea.textcontent.append("diens gezondheid af te wenden en een ouder die het gezag uitoefent toestemming")
    thisalinea.textcontent.append("daarvoor weigert.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de ouders gezamenlijk het ..."
    thisalinea.nativeID = 1353
    thisalinea.parentID = 1349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de ouders gezamenlijk het gezag uitoefenen, wordt gedurende de schorsing van het gezag van één van hen het gezag door de andere ouder alleen uitgeoefend, tenzij de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de ouders gezamenlijk het gezag uitoefenen, wordt gedurende de schorsing van")
    thisalinea.textcontent.append("het gezag van één van hen het gezag door de andere ouder alleen uitgeoefend, tenzij de")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Betreft de schorsing beide ouders ..."
    thisalinea.nativeID = 1354
    thisalinea.parentID = 1349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Betreft de schorsing beide ouders of een ouder die alleen het gezag uitoefent, dan belast de rechtbank een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet, met de voorlopige voogdij over de minderjarige. De gecertificeerde instelling heeft de bevoegdheden van een voogd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Betreft de schorsing beide ouders of een ouder die alleen het gezag uitoefent, dan belast")
    thisalinea.textcontent.append("de rechtbank een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet, met")
    thisalinea.textcontent.append("de voorlopige voogdij over de minderjarige. De gecertificeerde instelling heeft de")
    thisalinea.textcontent.append("bevoegdheden van een voogd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Artikel 267 is van overeenkomstige ..."
    thisalinea.nativeID = 1355
    thisalinea.parentID = 1349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Artikel 267 is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Artikel 267 is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De schorsing in de uitoefening ..."
    thisalinea.nativeID = 1356
    thisalinea.parentID = 1349
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De schorsing in de uitoefening van het gezag vervalt na verloop van drie maanden na de dag van de beschikking, tenzij voor het einde van deze termijn beëindiging van het gezag is verzocht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De schorsing in de uitoefening van het gezag vervalt na verloop van drie maanden na de")
    thisalinea.textcontent.append("dag van de beschikking, tenzij voor het einde van deze termijn beëindiging van het gezag")
    thisalinea.textcontent.append("is verzocht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 269"
    thisalinea.nativeID = 1357
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 467
    thisalinea.summary = "In plaats van schorsing van beide ouders of van een ouder in de uitoefening van het gezag als bedoeld in artikel 268, kan de rechtbank een kind onder toezicht stellen als bedoeld in artikel 255 mits aan de grond hiervoor is voldaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In plaats van schorsing van beide ouders of van een ouder in de uitoefening van het gezag")
    thisalinea.textcontent.append("als bedoeld in artikel 268, kan de rechtbank een kind onder toezicht stellen als bedoeld in")
    thisalinea.textcontent.append("artikel 255 mits aan de grond hiervoor is voldaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 270"
    thisalinea.nativeID = 1358
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 468
    thisalinea.summary = "[Vervallen per 01-01-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 271"
    thisalinea.nativeID = 1359
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 469
    thisalinea.summary = "[Vervallen per 01-01-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 271a"
    thisalinea.nativeID = 1360
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 470
    thisalinea.summary = "[Vervallen per 01-01-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 272"
    thisalinea.nativeID = 1361
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 471
    thisalinea.summary = "[Vervallen per 01-01-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 272a"
    thisalinea.nativeID = 1362
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 472
    thisalinea.summary = "[Vervallen per 01-01-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 273"
    thisalinea.nativeID = 1363
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 473
    thisalinea.summary = "[Vervallen per 01-05-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-05-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 274"
    thisalinea.nativeID = 1364
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 474
    thisalinea.summary = "1. Indien de ouders gezamenlijk het gezag uitoefenen, wordt na de beëindiging van het gezag van een van hen voortaan het gezag door de andere ouder alleen uitgeoefend. 2. In geval van beëindiging van het gezag van een ouder, die het gezag alleen uitoefent, kan de andere ouder de rechtbank te allen tijde verzoeken met de uitoefening van het gezag te worden belast. Dit verzoek wordt ingewilligd indien de rechtbank dit in het belang van de minderjarige noodzakelijk oordeelt. 3. De rechtbank die het verzoek bedoeld bij het vorige lid heeft afgewezen, kan deze beschikking steeds wijzigen. Zij doet dit "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de ouders gezamenlijk het ..."
    thisalinea.nativeID = 1365
    thisalinea.parentID = 1364
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de ouders gezamenlijk het gezag uitoefenen, wordt na de beëindiging van het gezag van een van hen voortaan het gezag door de andere ouder alleen uitgeoefend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de ouders gezamenlijk het gezag uitoefenen, wordt na de beëindiging van het")
    thisalinea.textcontent.append("gezag van een van hen voortaan het gezag door de andere ouder alleen uitgeoefend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In geval van beëindiging van ..."
    thisalinea.nativeID = 1366
    thisalinea.parentID = 1364
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In geval van beëindiging van het gezag van een ouder, die het gezag alleen uitoefent, kan de andere ouder de rechtbank te allen tijde verzoeken met de uitoefening van het gezag te worden belast. Dit verzoek wordt ingewilligd indien de rechtbank dit in het belang van de minderjarige noodzakelijk oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In geval van beëindiging van het gezag van een ouder, die het gezag alleen uitoefent, kan")
    thisalinea.textcontent.append("de andere ouder de rechtbank te allen tijde verzoeken met de uitoefening van het gezag")
    thisalinea.textcontent.append("te worden belast. Dit verzoek wordt ingewilligd indien de rechtbank dit in het belang van")
    thisalinea.textcontent.append("de minderjarige noodzakelijk oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechtbank die het verzoek ..."
    thisalinea.nativeID = 1367
    thisalinea.parentID = 1364
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechtbank die het verzoek bedoeld bij het vorige lid heeft afgewezen, kan deze beschikking steeds wijzigen. Zij doet dit echter slechts op verzoek van de betrokken ouder, en niet dan op grond van omstandigheden, waarmede de rechter bij het geven van de beschikking geen rekening heeft kunnen houden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechtbank die het verzoek bedoeld bij het vorige lid heeft afgewezen, kan deze")
    thisalinea.textcontent.append("beschikking steeds wijzigen. Zij doet dit echter slechts op verzoek van de betrokken")
    thisalinea.textcontent.append("ouder, en niet dan op grond van omstandigheden, waarmede de rechter bij het geven van")
    thisalinea.textcontent.append("de beschikking geen rekening heeft kunnen houden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 275"
    thisalinea.nativeID = 1368
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 475
    thisalinea.summary = "1. Indien de andere ouder het gezag niet voortaan alleen uitoefent, benoemt de rechtbank een voogd over de minderjarigen. 2. Ieder die tot uitoefening van de voogdij bevoegd is, kan tijdens het onderzoek schriftelijk aan de rechtbank verzoeken met de voogdij te worden belast. 3. In geval van beëindiging van het gezag op verzoek van de pleegouders benoemt de rechtbank bij voorkeur tot voogd degenen, dan wel degene, die op het tijdstip van het verzoek de minderjarige ten minste een jaar als behorende tot hun gezin hebben verzorgd en opgevoed, mits dezen bevoegd zijn tot de voogdij. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de andere ouder het ..."
    thisalinea.nativeID = 1369
    thisalinea.parentID = 1368
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de andere ouder het gezag niet voortaan alleen uitoefent, benoemt de rechtbank een voogd over de minderjarigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de andere ouder het gezag niet voortaan alleen uitoefent, benoemt de rechtbank")
    thisalinea.textcontent.append("een voogd over de minderjarigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Ieder die tot uitoefening van ..."
    thisalinea.nativeID = 1370
    thisalinea.parentID = 1368
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Ieder die tot uitoefening van de voogdij bevoegd is, kan tijdens het onderzoek schriftelijk aan de rechtbank verzoeken met de voogdij te worden belast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Ieder die tot uitoefening van de voogdij bevoegd is, kan tijdens het onderzoek schriftelijk")
    thisalinea.textcontent.append("aan de rechtbank verzoeken met de voogdij te worden belast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In geval van beëindiging van ..."
    thisalinea.nativeID = 1371
    thisalinea.parentID = 1368
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In geval van beëindiging van het gezag op verzoek van de pleegouders benoemt de rechtbank bij voorkeur tot voogd degenen, dan wel degene, die op het tijdstip van het verzoek de minderjarige ten minste een jaar als behorende tot hun gezin hebben verzorgd en opgevoed, mits dezen bevoegd zijn tot de voogdij. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In geval van beëindiging van het gezag op verzoek van de pleegouders benoemt de")
    thisalinea.textcontent.append("rechtbank bij voorkeur tot voogd degenen, dan wel degene, die op het tijdstip van het")
    thisalinea.textcontent.append("verzoek de minderjarige ten minste een jaar als behorende tot hun gezin hebben verzorgd")
    thisalinea.textcontent.append("en opgevoed, mits dezen bevoegd zijn tot de voogdij.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 276"
    thisalinea.nativeID = 1372
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 476
    thisalinea.summary = "1. Indien de ouder wiens gezag is beëindigd het bewind over het vermogen van zijn kinderen voerde, wordt hij tevens veroordeeld tot het afleggen van rekening en verantwoording aan zijn opvolger in dit bewind. 2. Hebben de kinderen goederen gemeen, maar komen zij onder het gezag van verschillende personen, dan kan de rechtbank een van dezen of een derde aanwijzen om over deze goederen tot de verdeling het bewind te voeren. De aangewezen bewindvoerder stelt de waarborgen die de rechtbank van hem verlangt. 3. Op het bewind krachtens het vorige lid is artikel 253k van toepassing, indien een der ouders "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de ouder wiens gezag ..."
    thisalinea.nativeID = 1373
    thisalinea.parentID = 1372
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de ouder wiens gezag is beëindigd het bewind over het vermogen van zijn kinderen voerde, wordt hij tevens veroordeeld tot het afleggen van rekening en verantwoording aan zijn opvolger in dit bewind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de ouder wiens gezag is beëindigd het bewind over het vermogen van zijn kinderen")
    thisalinea.textcontent.append("voerde, wordt hij tevens veroordeeld tot het afleggen van rekening en verantwoording aan")
    thisalinea.textcontent.append("zijn opvolger in dit bewind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hebben de kinderen goederen gemeen, ..."
    thisalinea.nativeID = 1374
    thisalinea.parentID = 1372
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hebben de kinderen goederen gemeen, maar komen zij onder het gezag van verschillende personen, dan kan de rechtbank een van dezen of een derde aanwijzen om over deze goederen tot de verdeling het bewind te voeren. De aangewezen bewindvoerder stelt de waarborgen die de rechtbank van hem verlangt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hebben de kinderen goederen gemeen, maar komen zij onder het gezag van")
    thisalinea.textcontent.append("verschillende personen, dan kan de rechtbank een van dezen of een derde aanwijzen om")
    thisalinea.textcontent.append("over deze goederen tot de verdeling het bewind te voeren. De aangewezen")
    thisalinea.textcontent.append("bewindvoerder stelt de waarborgen die de rechtbank van hem verlangt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Op het bewind krachtens het ..."
    thisalinea.nativeID = 1375
    thisalinea.parentID = 1372
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Op het bewind krachtens het vorige lid is artikel 253k van toepassing, indien een der ouders als bewindvoerder is aangewezen, en anders paragraaf 10 van afdeling 6 van deze titel. De bewindvoerder is bij uitsluiting bevoegd tot vernietiging van rechtshandelingen van minderjarige deelgenoten, strekkend tot beheer of beschikking met betrekking tot de onder bewind staande goederen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Op het bewind krachtens het vorige lid is artikel 253k van toepassing, indien een der")
    thisalinea.textcontent.append("ouders als bewindvoerder is aangewezen, en anders paragraaf 10 van afdeling 6 van")
    thisalinea.textcontent.append("deze titel. De bewindvoerder is bij uitsluiting bevoegd tot vernietiging van")
    thisalinea.textcontent.append("rechtshandelingen van minderjarige deelgenoten, strekkend tot beheer of beschikking met")
    thisalinea.textcontent.append("betrekking tot de onder bewind staande goederen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 277"
    thisalinea.nativeID = 1376
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 477
    thisalinea.summary = "1. De rechtbank kan de ouder wiens gezag is beëindigd, op zijn verzoek in het gezag herstellen indien: a. herstel in het gezag in het belang van de minderjarige is, en b. de ouder duurzaam de verantwoordelijkheid voor de verzorging en opvoeding van de minderjarige, bedoeld in artikel 247, tweede lid, in staat is te dragen. 2. Indien ter gelegenheid van de beëindiging van het gezag het gezag aan de andere ouder is opgedragen, belast de rechtbank de ouder wiens gezag was beëindigd en deze alleen het in het eerste lid bedoelde verzoek doet, niet met het gezag, tenzij de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechtbank kan de ouder ..."
    thisalinea.nativeID = 1377
    thisalinea.parentID = 1376
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechtbank kan de ouder wiens gezag is beëindigd, op zijn verzoek in het gezag herstellen indien: a. herstel in het gezag in het belang van de minderjarige is, en b. de ouder duurzaam de verantwoordelijkheid voor de verzorging en opvoeding van de minderjarige, bedoeld in artikel 247, tweede lid, in staat is te dragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechtbank kan de ouder wiens gezag is beëindigd, op zijn verzoek in het gezag")
    thisalinea.textcontent.append("herstellen indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. herstel in het gezag in ..."
    thisalinea.nativeID = 1378
    thisalinea.parentID = 1377
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. herstel in het gezag in het belang van de minderjarige is, en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. herstel in het gezag in het belang van de minderjarige is, en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de ouder duurzaam de verantwoordelijkheid ..."
    thisalinea.nativeID = 1379
    thisalinea.parentID = 1377
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de ouder duurzaam de verantwoordelijkheid voor de verzorging en opvoeding van de minderjarige, bedoeld in artikel 247, tweede lid, in staat is te dragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de ouder duurzaam de verantwoordelijkheid voor de verzorging en opvoeding van de")
    thisalinea.textcontent.append("minderjarige, bedoeld in artikel 247, tweede lid, in staat is te dragen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien ter gelegenheid van de ..."
    thisalinea.nativeID = 1380
    thisalinea.parentID = 1376
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien ter gelegenheid van de beëindiging van het gezag het gezag aan de andere ouder is opgedragen, belast de rechtbank de ouder wiens gezag was beëindigd en deze alleen het in het eerste lid bedoelde verzoek doet, niet met het gezag, tenzij de omstandigheden na het nemen van de beschikking waarbij het gezag aan de andere ouder werd opgedragen, zijn gewijzigd of bij het nemen van de beschikking van onjuiste of onvolledige gegevens is uitgegaan. Artikel 253e is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien ter gelegenheid van de beëindiging van het gezag het gezag aan de andere ouder")
    thisalinea.textcontent.append("is opgedragen, belast de rechtbank de ouder wiens gezag was beëindigd en deze alleen")
    thisalinea.textcontent.append("het in het eerste lid bedoelde verzoek doet, niet met het gezag, tenzij de omstandigheden")
    thisalinea.textcontent.append("na het nemen van de beschikking waarbij het gezag aan de andere ouder werd")
    thisalinea.textcontent.append("opgedragen, zijn gewijzigd of bij het nemen van de beschikking van onjuiste of")
    thisalinea.textcontent.append("onvolledige gegevens is uitgegaan. Artikel 253e is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 278"
    thisalinea.nativeID = 1381
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 478
    thisalinea.summary = "1. Een verzoek als bedoeld in artikel 277 van dit boek kan ook worden gedaan door de raad voor de kinderbescherming. 2. Hangende het onderzoek kan zowel de raad voor de kinderbescherming als de te herstellen ouder de rechtbank verzoeken de beslissing aan te houden tot het einde van een door haar te bepalen proeftijd van ten hoogste zes maanden; gedurende die tijd zal het kind bij de in het gezag te herstellen ouder verblijven. De rechtbank is te allen tijde bevoegd de proeftijd te beëindigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een verzoek als bedoeld in ..."
    thisalinea.nativeID = 1382
    thisalinea.parentID = 1381
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een verzoek als bedoeld in artikel 277 van dit boek kan ook worden gedaan door de raad voor de kinderbescherming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een verzoek als bedoeld in artikel 277 van dit boek kan ook worden gedaan door de raad")
    thisalinea.textcontent.append("voor de kinderbescherming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hangende het onderzoek kan zowel ..."
    thisalinea.nativeID = 1383
    thisalinea.parentID = 1381
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hangende het onderzoek kan zowel de raad voor de kinderbescherming als de te herstellen ouder de rechtbank verzoeken de beslissing aan te houden tot het einde van een door haar te bepalen proeftijd van ten hoogste zes maanden; gedurende die tijd zal het kind bij de in het gezag te herstellen ouder verblijven. De rechtbank is te allen tijde bevoegd de proeftijd te beëindigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hangende het onderzoek kan zowel de raad voor de kinderbescherming als de te")
    thisalinea.textcontent.append("herstellen ouder de rechtbank verzoeken de beslissing aan te houden tot het einde van")
    thisalinea.textcontent.append("een door haar te bepalen proeftijd van ten hoogste zes maanden; gedurende die tijd zal")
    thisalinea.textcontent.append("het kind bij de in het gezag te herstellen ouder verblijven. De rechtbank is te allen tijde")
    thisalinea.textcontent.append("bevoegd de proeftijd te beëindigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 6. Voogdij § 1. Voogdij in het algemeen"
    thisalinea.nativeID = 1384
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 479
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 279"
    thisalinea.nativeID = 1385
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 480
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 280"
    thisalinea.nativeID = 1386
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 481
    thisalinea.summary = "De voogdij begint: a. voor de voogd die door een ouder is benoemd: op het tijdstip waarop hij zich na het overlijden van deze ouder bereid verklaart de voogdij te aanvaarden. De verklaring moet door de betrokkene in persoon of bij bijzondere gevolmachtigde worden afgelegd ter griffie van de rechtbank die overeenkomstig de tweede afdeling van de derde titel van het eerste boek van het Wetboek van Burgerlijke Rechtsvordering in zaken betreffende minderjarigen bevoegd is. De verklaring moet worden afgelegd binnen veertien dagen, of - indien de persoon, die de verklaring moet afleggen, zich buiten Nederland bevindt - binnen twee "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De voogdij begint:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. voor de voogd die door ..."
    thisalinea.nativeID = 1387
    thisalinea.parentID = 1386
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. voor de voogd die door een ouder is benoemd: op het tijdstip waarop hij zich na het overlijden van deze ouder bereid verklaart de voogdij te aanvaarden. De verklaring moet door de betrokkene in persoon of bij bijzondere gevolmachtigde worden afgelegd ter griffie van de rechtbank die overeenkomstig de tweede afdeling van de derde titel van het eerste boek van het Wetboek van Burgerlijke Rechtsvordering in zaken betreffende minderjarigen bevoegd is. De verklaring moet worden afgelegd binnen veertien dagen, of - indien de persoon, die de verklaring moet afleggen, zich buiten Nederland bevindt - binnen twee maanden, nadat de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. voor de voogd die door een ouder is benoemd: op het tijdstip waarop hij zich na het")
    thisalinea.textcontent.append("overlijden van deze ouder bereid verklaart de voogdij te aanvaarden. De verklaring")
    thisalinea.textcontent.append("moet door de betrokkene in persoon of bij bijzondere gevolmachtigde worden afgelegd")
    thisalinea.textcontent.append("ter griffie van de rechtbank die overeenkomstig de tweede afdeling van de derde titel")
    thisalinea.textcontent.append("van het eerste boek van het Wetboek van Burgerlijke Rechtsvordering in zaken")
    thisalinea.textcontent.append("betreffende minderjarigen bevoegd is. De verklaring moet worden afgelegd binnen")
    thisalinea.textcontent.append("veertien dagen, of - indien de persoon, die de verklaring moet afleggen, zich buiten")
    thisalinea.textcontent.append("Nederland bevindt - binnen twee maanden, nadat de benoeming is betekend. Tot")
    thisalinea.textcontent.append("betekening kan iedere belanghebbende, alsmede de raad voor de kinderbescherming")
    thisalinea.textcontent.append("opdracht geven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. voor de voogd die - ..."
    thisalinea.nativeID = 1388
    thisalinea.parentID = 1386
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. voor de voogd die - nadat hij zich bereid heeft verklaard de voogdij te aanvaarden - door de rechter is benoemd: op de dag, waarop de beslissing die de benoeming inhoudt, in kracht van gewijsde is gegaan, of - zo deze uitvoerbaar bij voorraad is verklaard - daags nadat de beslissing die de benoeming inhoudt, is verstrekt of verzonden. Een mondelinge bereidverklaring geschiedt ten overstaan van de rechter die benoemt; een schriftelijke bereidverklaring wordt ingediend ter griffie waar de benoeming zal geschieden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. voor de voogd die - nadat hij zich bereid heeft verklaard de voogdij te aanvaarden -")
    thisalinea.textcontent.append("door de rechter is benoemd: op de dag, waarop de beslissing die de benoeming")
    thisalinea.textcontent.append("inhoudt, in kracht van gewijsde is gegaan, of - zo deze uitvoerbaar bij voorraad is")
    thisalinea.textcontent.append("verklaard - daags nadat de beslissing die de benoeming inhoudt, is verstrekt of")
    thisalinea.textcontent.append("verzonden. Een mondelinge bereidverklaring geschiedt ten overstaan van de rechter")
    thisalinea.textcontent.append("die benoemt; een schriftelijke bereidverklaring wordt ingediend ter griffie waar de")
    thisalinea.textcontent.append("benoeming zal geschieden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 281"
    thisalinea.nativeID = 1389
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 482
    thisalinea.summary = "1. De voogdij eindigt op de dag, waarop in kracht van gewijsde is gegaan de beschikking waarbij: a. de voogd is ontslagen of de voogdij is beëindigd; b. het gezag over de onder zijn voogdij staande minderjarige aan een of beide ouders is opgedragen; of c. de voogdij overeenkomstig artikel 299a van dit boek aan een andere voogd is opgedragen. 2. Is een beschikking als in het eerste lid bedoeld, uitvoerbaar verklaard bij voorraad, dan eindigt de voogdij daags nadat de beschikking is verstrekt of verzonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De voogdij eindigt op de ..."
    thisalinea.nativeID = 1390
    thisalinea.parentID = 1389
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De voogdij eindigt op de dag, waarop in kracht van gewijsde is gegaan de beschikking waarbij: a. de voogd is ontslagen of de voogdij is beëindigd; b. het gezag over de onder zijn voogdij staande minderjarige aan een of beide ouders is opgedragen; of c. de voogdij overeenkomstig artikel 299a van dit boek aan een andere voogd is opgedragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De voogdij eindigt op de dag, waarop in kracht van gewijsde is gegaan de beschikking")
    thisalinea.textcontent.append("waarbij:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de voogd is ontslagen of ..."
    thisalinea.nativeID = 1391
    thisalinea.parentID = 1390
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de voogd is ontslagen of de voogdij is beëindigd; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de voogd is ontslagen of de voogdij is beëindigd;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. het gezag over de onder ..."
    thisalinea.nativeID = 1392
    thisalinea.parentID = 1390
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. het gezag over de onder zijn voogdij staande minderjarige aan een of beide ouders is opgedragen; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. het gezag over de onder zijn voogdij staande minderjarige aan een of beide ouders is")
    thisalinea.textcontent.append("opgedragen; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. de voogdij overeenkomstig artikel 299a ..."
    thisalinea.nativeID = 1393
    thisalinea.parentID = 1390
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. de voogdij overeenkomstig artikel 299a van dit boek aan een andere voogd is opgedragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. de voogdij overeenkomstig artikel 299a van dit boek aan een andere voogd is")
    thisalinea.textcontent.append("opgedragen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Is een beschikking als in ..."
    thisalinea.nativeID = 1394
    thisalinea.parentID = 1389
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Is een beschikking als in het eerste lid bedoeld, uitvoerbaar verklaard bij voorraad, dan eindigt de voogdij daags nadat de beschikking is verstrekt of verzonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Is een beschikking als in het eerste lid bedoeld, uitvoerbaar verklaard bij voorraad, dan")
    thisalinea.textcontent.append("eindigt de voogdij daags nadat de beschikking is verstrekt of verzonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 282"
    thisalinea.nativeID = 1395
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 483
    thisalinea.summary = "overeenkomstige toepassing, tenzij het betreft pleegouders die zijn belast met de gezamenlijke voogdij en die met een zorgaanbieder een pleegcontract hebben gesloten als bedoeld in artikel 5.2 van de Jeugdwet. 1. Op eensluidend verzoek van de voogd en een ander die in een nauwe persoonlijke betrekking tot het kind staat, kan de rechter bepalen dat de voogdij door hen gezamenlijk wordt uitgeoefend. 2. Voor de duur van de gezamenlijke uitoefening van de voogdij worden beide in het eerste lid bedoelde personen als voogd aangemerkt. 3. Het verzoek wordt afgewezen indien gegronde vrees bestaat dat bij inwilliging de belangen van het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("overeenkomstige toepassing, tenzij het betreft pleegouders die zijn belast met de")
    thisalinea.textcontent.append("gezamenlijke voogdij en die met een zorgaanbieder een pleegcontract hebben gesloten")
    thisalinea.textcontent.append("als bedoeld in artikel 5.2 van de Jeugdwet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op eensluidend verzoek van de ..."
    thisalinea.nativeID = 1396
    thisalinea.parentID = 1395
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op eensluidend verzoek van de voogd en een ander die in een nauwe persoonlijke betrekking tot het kind staat, kan de rechter bepalen dat de voogdij door hen gezamenlijk wordt uitgeoefend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op eensluidend verzoek van de voogd en een ander die in een nauwe persoonlijke")
    thisalinea.textcontent.append("betrekking tot het kind staat, kan de rechter bepalen dat de voogdij door hen gezamenlijk")
    thisalinea.textcontent.append("wordt uitgeoefend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voor de duur van de ..."
    thisalinea.nativeID = 1397
    thisalinea.parentID = 1395
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voor de duur van de gezamenlijke uitoefening van de voogdij worden beide in het eerste lid bedoelde personen als voogd aangemerkt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voor de duur van de gezamenlijke uitoefening van de voogdij worden beide in het eerste")
    thisalinea.textcontent.append("lid bedoelde personen als voogd aangemerkt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het verzoek wordt afgewezen indien ..."
    thisalinea.nativeID = 1398
    thisalinea.parentID = 1395
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het verzoek wordt afgewezen indien gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het verzoek wordt afgewezen indien gegronde vrees bestaat dat bij inwilliging de")
    thisalinea.textcontent.append("belangen van het kind zouden worden verwaarloosd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Gezamenlijke uitoefening van de voogdij ..."
    thisalinea.nativeID = 1399
    thisalinea.parentID = 1395
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Gezamenlijke uitoefening van de voogdij is niet mogelijk ten aanzien van tijdelijke voogdij als bedoeld in de artikelen 296 en 297. Zij staat niet open voor rechtspersonen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Gezamenlijke uitoefening van de voogdij is niet mogelijk ten aanzien van tijdelijke voogdij")
    thisalinea.textcontent.append("als bedoeld in de artikelen 296 en 297. Zij staat niet open voor rechtspersonen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Artikel 253a is van overeenkomstige ..."
    thisalinea.nativeID = 1400
    thisalinea.parentID = 1395
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Artikel 253a is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Artikel 253a is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. In afwijking van artikel 336 ..."
    thisalinea.nativeID = 1401
    thisalinea.parentID = 1395
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. In afwijking van artikel 336 hebben twee voogden die gezamenlijk de voogdij uitoefenen, de plicht en het recht het minderjarige kind te verzorgen en op te voeden. Artikel 253w is, zolang de gezamenlijke voogdij voortduurt, ten aanzien van hen beiden van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. In afwijking van artikel 336 hebben twee voogden die gezamenlijk de voogdij uitoefenen,")
    thisalinea.textcontent.append("de plicht en het recht het minderjarige kind te verzorgen en op te voeden. Artikel 253w is,")
    thisalinea.textcontent.append("zolang de gezamenlijke voogdij voortduurt, ten aanzien van hen beiden van")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Een verzoek als bedoeld in ..."
    thisalinea.nativeID = 1402
    thisalinea.parentID = 1395
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Een verzoek als bedoeld in het eerste lid kan vergezeld gaan van een verzoek tot wijziging van de geslachtsnaam van het kind in de geslachtsnaam van een van de voogden. Een zodanig verzoek wordt afgewezen, indien: a. het kind van twaalf jaar of ouder ter gelegenheid van zijn verhoor niet heeft ingestemd met het verzoek; b. het verzoek tot gezamenlijke voogdij wordt afgewezen; of c. het belang van het kind zich tegen toewijzing verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Een verzoek als bedoeld in het eerste lid kan vergezeld gaan van een verzoek tot")
    thisalinea.textcontent.append("wijziging van de geslachtsnaam van het kind in de geslachtsnaam van een van de")
    thisalinea.textcontent.append("voogden. Een zodanig verzoek wordt afgewezen, indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. het kind van twaalf jaar ..."
    thisalinea.nativeID = 1403
    thisalinea.parentID = 1402
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. het kind van twaalf jaar of ouder ter gelegenheid van zijn verhoor niet heeft ingestemd met het verzoek; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. het kind van twaalf jaar of ouder ter gelegenheid van zijn verhoor niet heeft ingestemd")
    thisalinea.textcontent.append("met het verzoek;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. het verzoek tot gezamenlijke voogdij ..."
    thisalinea.nativeID = 1404
    thisalinea.parentID = 1402
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. het verzoek tot gezamenlijke voogdij wordt afgewezen; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. het verzoek tot gezamenlijke voogdij wordt afgewezen; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. het belang van het kind ..."
    thisalinea.nativeID = 1405
    thisalinea.parentID = 1402
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. het belang van het kind zich tegen toewijzing verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. het belang van het kind zich tegen toewijzing verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 282a"
    thisalinea.nativeID = 1406
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 484
    thisalinea.summary = "De gezamenlijke uitoefening van de voogdij eindigt op de dag waarop in kracht van gewijsde is gegaan de beschikking waarbij de gezamenlijke uitoefening van de voogdij is beëindigd of waarbij de voogdij is geëindigd ingevolge artikel 281, alsmede na het overlijden van een van de voogden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De gezamenlijke uitoefening van de voogdij eindigt op de dag waarop in kracht van gewijsde")
    thisalinea.textcontent.append("is gegaan de beschikking waarbij de gezamenlijke uitoefening van de voogdij is beëindigd of")
    thisalinea.textcontent.append("waarbij de voogdij is geëindigd ingevolge artikel 281, alsmede na het overlijden van een van")
    thisalinea.textcontent.append("de voogden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 282b"
    thisalinea.nativeID = 1407
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 485
    thisalinea.summary = "Na de dood van een voogd die de voogdij samen met een ander uitoefende, oefent de andere voogd voortaan alleen de voogdij over de kinderen uit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Na de dood van een voogd die de voogdij samen met een ander uitoefende, oefent de andere")
    thisalinea.textcontent.append("voogd voortaan alleen de voogdij over de kinderen uit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 283"
    thisalinea.nativeID = 1408
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 486
    thisalinea.summary = "De verzoeken die de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet, dan wel de rechtspersoon, bedoeld in artikel 302, tweede lid, in verband met de uitoefening van de voogdij tot de rechter richt, kunnen worden ingediend zonder advocaat en worden kosteloos behandeld. De grossen, afschriften, en uittreksels, die zij tot dit doel aanvragen, worden hun door de griffiers vrij van alle kosten uitgereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De verzoeken die de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet, dan")
    thisalinea.textcontent.append("wel de rechtspersoon, bedoeld in artikel 302, tweede lid, in verband met de uitoefening van")
    thisalinea.textcontent.append("de voogdij tot de rechter richt, kunnen worden ingediend zonder advocaat en worden")
    thisalinea.textcontent.append("kosteloos behandeld. De grossen, afschriften, en uittreksels, die zij tot dit doel aanvragen,")
    thisalinea.textcontent.append("worden hun door de griffiers vrij van alle kosten uitgereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 284"
    thisalinea.nativeID = 1409
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 487
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 285"
    thisalinea.nativeID = 1410
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 488
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 286"
    thisalinea.nativeID = 1411
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 489
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 287"
    thisalinea.nativeID = 1412
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 490
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 288"
    thisalinea.nativeID = 1413
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 491
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 289"
    thisalinea.nativeID = 1414
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 492
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 290"
    thisalinea.nativeID = 1415
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 493
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 291"
    thisalinea.nativeID = 1416
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 494
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 291a"
    thisalinea.nativeID = 1417
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 495
    thisalinea.summary = "[Vervallen per 15-12-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 15-12-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 2. Voogdij door een der ouders opgedragen"
    thisalinea.nativeID = 1418
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 496
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 292"
    thisalinea.nativeID = 1419
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 497
    thisalinea.summary = "1. Een ouder kan bij uiterste wilsbeschikking of door hiervan aantekening te laten opnemen in het register, bedoeld in artikel 244, bepalen welke persoon dan wel welke twee personen na zijn dood voortaan als voogd onderscheidenlijk als gezamenlijke voogden het gezag over zijn kinderen zullen uitoefenen. 2. Hij kan geen rechtspersoon als voogd aanwijzen. 3. Hebben beide ouders van deze bevoegdheid gebruik gemaakt, en sterven zij, zonder dat men kan weten wie het eerst overleden is, dan bepaalt de rechtbank ambtshalve wiens beschikking of aantekening gevolg heeft. 4. Heeft een ouder bij beschikking en bij aantekening verschillende voogden aangewezen, dan "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een ouder kan bij uiterste ..."
    thisalinea.nativeID = 1420
    thisalinea.parentID = 1419
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een ouder kan bij uiterste wilsbeschikking of door hiervan aantekening te laten opnemen in het register, bedoeld in artikel 244, bepalen welke persoon dan wel welke twee personen na zijn dood voortaan als voogd onderscheidenlijk als gezamenlijke voogden het gezag over zijn kinderen zullen uitoefenen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een ouder kan bij uiterste wilsbeschikking of door hiervan aantekening te laten opnemen")
    thisalinea.textcontent.append("in het register, bedoeld in artikel 244, bepalen welke persoon dan wel welke twee")
    thisalinea.textcontent.append("personen na zijn dood voortaan als voogd onderscheidenlijk als gezamenlijke voogden")
    thisalinea.textcontent.append("het gezag over zijn kinderen zullen uitoefenen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij kan geen rechtspersoon als ..."
    thisalinea.nativeID = 1421
    thisalinea.parentID = 1419
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij kan geen rechtspersoon als voogd aanwijzen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij kan geen rechtspersoon als voogd aanwijzen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Hebben beide ouders van deze ..."
    thisalinea.nativeID = 1422
    thisalinea.parentID = 1419
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Hebben beide ouders van deze bevoegdheid gebruik gemaakt, en sterven zij, zonder dat men kan weten wie het eerst overleden is, dan bepaalt de rechtbank ambtshalve wiens beschikking of aantekening gevolg heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Hebben beide ouders van deze bevoegdheid gebruik gemaakt, en sterven zij, zonder dat")
    thisalinea.textcontent.append("men kan weten wie het eerst overleden is, dan bepaalt de rechtbank ambtshalve wiens")
    thisalinea.textcontent.append("beschikking of aantekening gevolg heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Heeft een ouder bij beschikking ..."
    thisalinea.nativeID = 1423
    thisalinea.parentID = 1419
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Heeft een ouder bij beschikking en bij aantekening verschillende voogden aangewezen, dan heeft de laatst gedane aanwijzing gevolg. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Heeft een ouder bij beschikking en bij aantekening verschillende voogden aangewezen,")
    thisalinea.textcontent.append("dan heeft de laatst gedane aanwijzing gevolg.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 293"
    thisalinea.nativeID = 1424
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 498
    thisalinea.summary = "De door de ouder getroffen regeling heeft geen gevolg of vervalt: a. indien na zijn overlijden de andere ouder van rechtswege of krachtens rechterlijke beschikking het gezag over zijn kinderen uitoefent; b. indien en voor zover hij op het tijdstip van zijn overlijden het gezag over zijn kinderen niet heeft; c. indien de ander die met de ouder gezamenlijk het gezag uitoefent van rechtswege de voogd over de kinderen wordt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De door de ouder getroffen regeling heeft geen gevolg of vervalt:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. indien na zijn overlijden de ..."
    thisalinea.nativeID = 1425
    thisalinea.parentID = 1424
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. indien na zijn overlijden de andere ouder van rechtswege of krachtens rechterlijke beschikking het gezag over zijn kinderen uitoefent; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. indien na zijn overlijden de andere ouder van rechtswege of krachtens rechterlijke")
    thisalinea.textcontent.append("beschikking het gezag over zijn kinderen uitoefent;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. indien en voor zover hij ..."
    thisalinea.nativeID = 1426
    thisalinea.parentID = 1424
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. indien en voor zover hij op het tijdstip van zijn overlijden het gezag over zijn kinderen niet heeft; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. indien en voor zover hij op het tijdstip van zijn overlijden het gezag over zijn kinderen")
    thisalinea.textcontent.append("niet heeft;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "c. indien de ander die met ..."
    thisalinea.nativeID = 1427
    thisalinea.parentID = 1424
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. indien de ander die met de ouder gezamenlijk het gezag uitoefent van rechtswege de voogd over de kinderen wordt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. indien de ander die met de ouder gezamenlijk het gezag uitoefent van rechtswege de")
    thisalinea.textcontent.append("voogd over de kinderen wordt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 294"
    thisalinea.nativeID = 1428
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 499
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 3. Voogdij door de rechter opgedragen"
    thisalinea.nativeID = 1429
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 500
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 295"
    thisalinea.nativeID = 1430
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 501
    thisalinea.summary = "De rechtbank benoemt een voogd over alle minderjarigen, die niet onder ouderlijk gezag staan en in wier voogdij niet op wettige wijze is voorzien. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank benoemt een voogd over alle minderjarigen, die niet onder ouderlijk gezag")
    thisalinea.textcontent.append("staan en in wier voogdij niet op wettige wijze is voorzien.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 296"
    thisalinea.nativeID = 1431
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 502
    thisalinea.summary = "1. Is voorziening nodig in afwachting van het begin der voogdij overeenkomstig artikel 280 van dit boek, dan benoemt de rechtbank een voogd voor de duur van deze omstandigheden. 2. Zodra bedoelde omstandigheden zijn vervallen, wordt deze voogd op verzoek van hem die hij vervangt, door de rechtbank ontslagen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Is voorziening nodig in afwachting ..."
    thisalinea.nativeID = 1432
    thisalinea.parentID = 1431
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Is voorziening nodig in afwachting van het begin der voogdij overeenkomstig artikel 280 van dit boek, dan benoemt de rechtbank een voogd voor de duur van deze omstandigheden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Is voorziening nodig in afwachting van het begin der voogdij overeenkomstig artikel 280")
    thisalinea.textcontent.append("van dit boek, dan benoemt de rechtbank een voogd voor de duur van deze")
    thisalinea.textcontent.append("omstandigheden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zodra bedoelde omstandigheden zijn vervallen, ..."
    thisalinea.nativeID = 1433
    thisalinea.parentID = 1431
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zodra bedoelde omstandigheden zijn vervallen, wordt deze voogd op verzoek van hem die hij vervangt, door de rechtbank ontslagen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zodra bedoelde omstandigheden zijn vervallen, wordt deze voogd op verzoek van hem")
    thisalinea.textcontent.append("die hij vervangt, door de rechtbank ontslagen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 297"
    thisalinea.nativeID = 1434
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 503
    thisalinea.summary = "1. De rechtbank benoemt insgelijks een voogd, wanneer voorziening nodig is wegens: a. tijdelijke onmogelijkheid, waarin een voogd zich bevindt, het gezag uit te oefenen; of b. onbekendheid van bestaan of verblijfplaats van de voogd; of c. in gebreke blijven van de voogd, het gezag uit te oefenen. 2. Is de benoeming op het eerste lid onder c gegrond, dan kan de rechtbank de benoemde voogd een beloning toekennen en is de in gebreke gebleven voogd jegens de minderjarige aansprakelijk voor de kosten die de vervanging veroorzaakt, alsmede, behoudens zijn verhaal op de benoemde voogd, voor diens verrichtingen. 3. Indien "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechtbank benoemt insgelijks een ..."
    thisalinea.nativeID = 1435
    thisalinea.parentID = 1434
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechtbank benoemt insgelijks een voogd, wanneer voorziening nodig is wegens: a. tijdelijke onmogelijkheid, waarin een voogd zich bevindt, het gezag uit te oefenen; of b. onbekendheid van bestaan of verblijfplaats van de voogd; of c. in gebreke blijven van de voogd, het gezag uit te oefenen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechtbank benoemt insgelijks een voogd, wanneer voorziening nodig is wegens:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. tijdelijke onmogelijkheid, waarin een voogd ..."
    thisalinea.nativeID = 1436
    thisalinea.parentID = 1435
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. tijdelijke onmogelijkheid, waarin een voogd zich bevindt, het gezag uit te oefenen; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. tijdelijke onmogelijkheid, waarin een voogd zich bevindt, het gezag uit te oefenen; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. onbekendheid van bestaan of verblijfplaats ..."
    thisalinea.nativeID = 1437
    thisalinea.parentID = 1435
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. onbekendheid van bestaan of verblijfplaats van de voogd; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. onbekendheid van bestaan of verblijfplaats van de voogd; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. in gebreke blijven van de ..."
    thisalinea.nativeID = 1438
    thisalinea.parentID = 1435
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. in gebreke blijven van de voogd, het gezag uit te oefenen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. in gebreke blijven van de voogd, het gezag uit te oefenen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Is de benoeming op het ..."
    thisalinea.nativeID = 1439
    thisalinea.parentID = 1434
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Is de benoeming op het eerste lid onder c gegrond, dan kan de rechtbank de benoemde voogd een beloning toekennen en is de in gebreke gebleven voogd jegens de minderjarige aansprakelijk voor de kosten die de vervanging veroorzaakt, alsmede, behoudens zijn verhaal op de benoemde voogd, voor diens verrichtingen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Is de benoeming op het eerste lid onder c gegrond, dan kan de rechtbank de benoemde")
    thisalinea.textcontent.append("voogd een beloning toekennen en is de in gebreke gebleven voogd jegens de")
    thisalinea.textcontent.append("minderjarige aansprakelijk voor de kosten die de vervanging veroorzaakt, alsmede,")
    thisalinea.textcontent.append("behoudens zijn verhaal op de benoemde voogd, voor diens verrichtingen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien de in het eerste ..."
    thisalinea.nativeID = 1440
    thisalinea.parentID = 1434
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien de in het eerste lid genoemde omstandigheden zijn vervallen, kan de voogd op eigen verzoek of op verzoek van degene die hij vervangt, door de rechtbank worden ontslagen tenzij de rechtbank dit niet in het belang van het kind noodzakelijk oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien de in het eerste lid genoemde omstandigheden zijn vervallen, kan de voogd op")
    thisalinea.textcontent.append("eigen verzoek of op verzoek van degene die hij vervangt, door de rechtbank worden")
    thisalinea.textcontent.append("ontslagen tenzij de rechtbank dit niet in het belang van het kind noodzakelijk oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Indien in geval van gezamenlijke ..."
    thisalinea.nativeID = 1441
    thisalinea.parentID = 1434
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Indien in geval van gezamenlijke uitoefening van de voogdij een van de in het eerste lid bedoelde omstandigheden zich voordoet ten aanzien van een van beide voogden, oefent de andere voogd het gezag over de kinderen alleen uit. Zodra deze omstandigheid is vervallen, herleeft de gezamenlijke voogdij. Het tweede lid is niet van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Indien in geval van gezamenlijke uitoefening van de voogdij een van de in het eerste lid")
    thisalinea.textcontent.append("bedoelde omstandigheden zich voordoet ten aanzien van een van beide voogden, oefent")
    thisalinea.textcontent.append("de andere voogd het gezag over de kinderen alleen uit. Zodra deze omstandigheid is")
    thisalinea.textcontent.append("vervallen, herleeft de gezamenlijke voogdij. Het tweede lid is niet van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 298"
    thisalinea.nativeID = 1442
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 504
    thisalinea.summary = "Gedurende de in de beide voorgaande artikelen bedoelde voogdij is de uitoefening van de voogdij geschorst ten aanzien van de voogd die het betreft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Gedurende de in de beide voorgaande artikelen bedoelde voogdij is de uitoefening van de")
    thisalinea.textcontent.append("voogdij geschorst ten aanzien van de voogd die het betreft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 299"
    thisalinea.nativeID = 1443
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 505
    thisalinea.summary = "De rechtbank benoemt de voogd op verzoek van bloed- of aanverwanten van de minderjarige, de raad voor de kinderbescherming, schuldeisers of andere belanghebbenden, of ambtshalve, behoudens artikel 282a. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank benoemt de voogd op verzoek van bloed- of aanverwanten van de")
    thisalinea.textcontent.append("minderjarige, de raad voor de kinderbescherming, schuldeisers of andere belanghebbenden,")
    thisalinea.textcontent.append("of ambtshalve, behoudens artikel 282a.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 299a"
    thisalinea.nativeID = 1444
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 506
    thisalinea.summary = "1. Degene die met instemming van de voogd een minderjarige in zijn gezin - anders dan uit hoofde van een ondertoezichtstelling of een plaatsing onder voorlopige voogdij - ten minste een jaar heeft verzorgd en opgevoed, kan de kinderrechter verzoeken hem, dan wel een rechtspersoon als bedoeld in artikel 302 van dit boek, tot voogd te benoemen. 2. Indien de minderjarige door meer dan een persoon als behorende tot het gezin wordt verzorgd en opgevoed, kan het verzoek slechts door dezen gemeenschappelijk worden gedaan. 3. Het verzoek kan ook worden gedaan door de raad voor de kinderbescherming. 4. De kinderrechter "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Degene die met instemming van ..."
    thisalinea.nativeID = 1445
    thisalinea.parentID = 1444
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Degene die met instemming van de voogd een minderjarige in zijn gezin - anders dan uit hoofde van een ondertoezichtstelling of een plaatsing onder voorlopige voogdij - ten minste een jaar heeft verzorgd en opgevoed, kan de kinderrechter verzoeken hem, dan wel een rechtspersoon als bedoeld in artikel 302 van dit boek, tot voogd te benoemen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Degene die met instemming van de voogd een minderjarige in zijn gezin - anders dan uit")
    thisalinea.textcontent.append("hoofde van een ondertoezichtstelling of een plaatsing onder voorlopige voogdij - ten")
    thisalinea.textcontent.append("minste een jaar heeft verzorgd en opgevoed, kan de kinderrechter verzoeken hem, dan")
    thisalinea.textcontent.append("wel een rechtspersoon als bedoeld in artikel 302 van dit boek, tot voogd te benoemen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de minderjarige door meer ..."
    thisalinea.nativeID = 1446
    thisalinea.parentID = 1444
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de minderjarige door meer dan een persoon als behorende tot het gezin wordt verzorgd en opgevoed, kan het verzoek slechts door dezen gemeenschappelijk worden gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de minderjarige door meer dan een persoon als behorende tot het gezin wordt")
    thisalinea.textcontent.append("verzorgd en opgevoed, kan het verzoek slechts door dezen gemeenschappelijk worden")
    thisalinea.textcontent.append("gedaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het verzoek kan ook worden ..."
    thisalinea.nativeID = 1447
    thisalinea.parentID = 1444
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het verzoek kan ook worden gedaan door de raad voor de kinderbescherming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het verzoek kan ook worden gedaan door de raad voor de kinderbescherming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De kinderrechter willigt het verzoek ..."
    thisalinea.nativeID = 1448
    thisalinea.parentID = 1444
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De kinderrechter willigt het verzoek slechts in, indien hij dit in het belang van de minderjarige acht en hem genoegzaam is gebleken, dat de voogd niet bereid is zich van zijn bediening te doen ontslaan. Alsdan benoemt hij bij voorkeur degene wiens benoeming wordt verzocht tot voogd, mits deze bevoegd is tot uitoefening van de voogdij. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De kinderrechter willigt het verzoek slechts in, indien hij dit in het belang van de")
    thisalinea.textcontent.append("minderjarige acht en hem genoegzaam is gebleken, dat de voogd niet bereid is zich van")
    thisalinea.textcontent.append("zijn bediening te doen ontslaan. Alsdan benoemt hij bij voorkeur degene wiens benoeming")
    thisalinea.textcontent.append("wordt verzocht tot voogd, mits deze bevoegd is tot uitoefening van de voogdij.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Is het bij het eerste ..."
    thisalinea.nativeID = 1449
    thisalinea.parentID = 1444
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Is het bij het eerste lid bedoelde verzoek gedaan, dan blijft het tweede lid van artikel 336a, van dit boek buiten toepassing, totdat op het verzoek bij gewijsde is beslist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Is het bij het eerste lid bedoelde verzoek gedaan, dan blijft het tweede lid van artikel 336a,")
    thisalinea.textcontent.append("van dit boek buiten toepassing, totdat op het verzoek bij gewijsde is beslist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. In geval van gezamenlijke uitoefening ..."
    thisalinea.nativeID = 1450
    thisalinea.parentID = 1444
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. In geval van gezamenlijke uitoefening van de voogdij wordt de in het eerste lid bedoelde instemming door beide voogden gegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. In geval van gezamenlijke uitoefening van de voogdij wordt de in het eerste lid bedoelde")
    thisalinea.textcontent.append("instemming door beide voogden gegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 300"
    thisalinea.nativeID = 1451
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 507
    thisalinea.summary = "[Vervallen per 01-05-1984] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-05-1984]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 301"
    thisalinea.nativeID = 1452
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 508
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand geeft de rechtbank onverwijld kennis: a. van het overlijden van ieder die minderjarige kinderen achterlaat; b. van de aangifte van geboorte van ieder kind, over wie de moeder uit wie het kind is geboren niet van rechtswege het gezag uitoefent. 2. Indien het huwelijk van de overledene die minderjarige kinderen nalaat, gerechtelijk was ontbonden, of de overledene van tafel en bed gescheiden was, bericht de ambtenaar van de burgerlijke stand - zo de andere ouder nog leeft - deze omstandigheden tevens aan de rechtbank. De rechtbank zendt, indien deze een andere is, de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ambtenaar van de burgerlijke ..."
    thisalinea.nativeID = 1453
    thisalinea.parentID = 1452
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ambtenaar van de burgerlijke stand geeft de rechtbank onverwijld kennis: a. van het overlijden van ieder die minderjarige kinderen achterlaat; b. van de aangifte van geboorte van ieder kind, over wie de moeder uit wie het kind is geboren niet van rechtswege het gezag uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ambtenaar van de burgerlijke stand geeft de rechtbank onverwijld kennis:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. van het overlijden van ieder ..."
    thisalinea.nativeID = 1454
    thisalinea.parentID = 1453
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. van het overlijden van ieder die minderjarige kinderen achterlaat; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. van het overlijden van ieder die minderjarige kinderen achterlaat;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. van de aangifte van geboorte ..."
    thisalinea.nativeID = 1455
    thisalinea.parentID = 1453
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. van de aangifte van geboorte van ieder kind, over wie de moeder uit wie het kind is geboren niet van rechtswege het gezag uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. van de aangifte van geboorte van ieder kind, over wie de moeder uit wie het kind is")
    thisalinea.textcontent.append("geboren niet van rechtswege het gezag uitoefent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het huwelijk van de ..."
    thisalinea.nativeID = 1456
    thisalinea.parentID = 1452
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het huwelijk van de overledene die minderjarige kinderen nalaat, gerechtelijk was ontbonden, of de overledene van tafel en bed gescheiden was, bericht de ambtenaar van de burgerlijke stand - zo de andere ouder nog leeft - deze omstandigheden tevens aan de rechtbank. De rechtbank zendt, indien deze een andere is, de door haar ontvangen kennisgeving door aan de rechtbank die over het verzoek tot ontbinding van het huwelijk of tot scheiding van tafel en bed heeft beslist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het huwelijk van de overledene die minderjarige kinderen nalaat, gerechtelijk was")
    thisalinea.textcontent.append("ontbonden, of de overledene van tafel en bed gescheiden was, bericht de ambtenaar van")
    thisalinea.textcontent.append("de burgerlijke stand - zo de andere ouder nog leeft - deze omstandigheden tevens aan de")
    thisalinea.textcontent.append("rechtbank. De rechtbank zendt, indien deze een andere is, de door haar ontvangen")
    thisalinea.textcontent.append("kennisgeving door aan de rechtbank die over het verzoek tot ontbinding van het huwelijk")
    thisalinea.textcontent.append("of tot scheiding van tafel en bed heeft beslist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 4. Voogdij van rechtspersonen"
    thisalinea.nativeID = 1457
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 509
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 302"
    thisalinea.nativeID = 1458
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 510
    thisalinea.summary = "1. De rechter kan de voogdij opdragen aan een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet. 2. Onverminderd diens bevoegdheid een natuurlijke persoon tot voogd te benoemen, kan de rechter de voogdij over een minderjarige door of voor wie een aanvraag tot het verlenen van een verblijfsvergunning voor bepaalde tijd als bedoeld in artikel 28 van de Vreemdelingenwet 2000 is ingediend, en in verband daarmee in Nederland verblijft, alsmede over door Onze Minister van Justitie aan te wijzen categorieën andere minderjarigen, uitsluitend opdragen aan een daartoe door Onze Minister van Justitie aanvaarde rechtspersoon. 3. Onze Minister van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechter kan de voogdij ..."
    thisalinea.nativeID = 1459
    thisalinea.parentID = 1458
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechter kan de voogdij opdragen aan een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechter kan de voogdij opdragen aan een gecertificeerde instelling als bedoeld in")
    thisalinea.textcontent.append("artikel 1.1 van de Jeugdwet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Onverminderd diens bevoegdheid een natuurlijke ..."
    thisalinea.nativeID = 1460
    thisalinea.parentID = 1458
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Onverminderd diens bevoegdheid een natuurlijke persoon tot voogd te benoemen, kan de rechter de voogdij over een minderjarige door of voor wie een aanvraag tot het verlenen van een verblijfsvergunning voor bepaalde tijd als bedoeld in artikel 28 van de Vreemdelingenwet 2000 is ingediend, en in verband daarmee in Nederland verblijft, alsmede over door Onze Minister van Justitie aan te wijzen categorieën andere minderjarigen, uitsluitend opdragen aan een daartoe door Onze Minister van Justitie aanvaarde rechtspersoon. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Onverminderd diens bevoegdheid een natuurlijke persoon tot voogd te benoemen, kan de")
    thisalinea.textcontent.append("rechter de voogdij over een minderjarige door of voor wie een aanvraag tot het verlenen")
    thisalinea.textcontent.append("van een verblijfsvergunning voor bepaalde tijd als bedoeld in artikel 28 van de")
    thisalinea.textcontent.append("Vreemdelingenwet 2000 is ingediend, en in verband daarmee in Nederland verblijft,")
    thisalinea.textcontent.append("alsmede over door Onze Minister van Justitie aan te wijzen categorieën andere")
    thisalinea.textcontent.append("minderjarigen, uitsluitend opdragen aan een daartoe door Onze Minister van Justitie")
    thisalinea.textcontent.append("aanvaarde rechtspersoon.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Onze Minister van Justitie kan ..."
    thisalinea.nativeID = 1461
    thisalinea.parentID = 1458
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Onze Minister van Justitie kan voorwaarden stellen bij of voorschriften verbinden aan de aanvaarding, bedoeld in het tweede lid, en de rechtspersoon voor een bepaalde tijd aanvaarden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Onze Minister van Justitie kan voorwaarden stellen bij of voorschriften verbinden aan de")
    thisalinea.textcontent.append("aanvaarding, bedoeld in het tweede lid, en de rechtspersoon voor een bepaalde tijd")
    thisalinea.textcontent.append("aanvaarden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Op een rechtspersoon als bedoeld ..."
    thisalinea.nativeID = 1462
    thisalinea.parentID = 1458
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Op een rechtspersoon als bedoeld in het tweede lid, zijn de artikelen 303, 304, 305 en 328 van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Op een rechtspersoon als bedoeld in het tweede lid, zijn de artikelen 303, 304, 305 en")
    thisalinea.textcontent.append("328 van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 303"
    thisalinea.nativeID = 1463
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 511
    thisalinea.summary = "Voor zover de wet niet anders bepaalt, heeft de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet, die met de voogdij is belast, dezelfde bevoegdheden en verplichtingen als andere voogden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Voor zover de wet niet anders bepaalt, heeft de gecertificeerde instelling, bedoeld in artikel")
    thisalinea.textcontent.append("1.1 van de Jeugdwet, die met de voogdij is belast, dezelfde bevoegdheden en verplichtingen")
    thisalinea.textcontent.append("als andere voogden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 304"
    thisalinea.nativeID = 1464
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 512
    thisalinea.summary = "1. Met de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet zijn de bestuurders hoofdelijk en persoonlijk aansprakelijk voor iedere schade, die te wijten is aan een niet-behoorlijke uitoefening van de voogdij. 2. Iedere bestuurder zal zich echter van zijn aansprakelijkheid kunnen bevrijden door te bewijzen, dat hij geen schuld heeft aan de schade. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Met de gecertificeerde instelling, bedoeld ..."
    thisalinea.nativeID = 1465
    thisalinea.parentID = 1464
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Met de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet zijn de bestuurders hoofdelijk en persoonlijk aansprakelijk voor iedere schade, die te wijten is aan een niet-behoorlijke uitoefening van de voogdij. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Met de gecertificeerde instelling, bedoeld in artikel 1.1 van de Jeugdwet zijn de")
    thisalinea.textcontent.append("bestuurders hoofdelijk en persoonlijk aansprakelijk voor iedere schade, die te wijten is aan")
    thisalinea.textcontent.append("een niet-behoorlijke uitoefening van de voogdij.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Iedere bestuurder zal zich echter ..."
    thisalinea.nativeID = 1466
    thisalinea.parentID = 1464
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Iedere bestuurder zal zich echter van zijn aansprakelijkheid kunnen bevrijden door te bewijzen, dat hij geen schuld heeft aan de schade. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Iedere bestuurder zal zich echter van zijn aansprakelijkheid kunnen bevrijden door te")
    thisalinea.textcontent.append("bewijzen, dat hij geen schuld heeft aan de schade.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 305"
    thisalinea.nativeID = 1467
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 513
    thisalinea.summary = "[Vervallen per 01-08-2016] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-08-2016]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 306"
    thisalinea.nativeID = 1468
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 514
    thisalinea.summary = "1. Zonder toestemming van de rechtbank mag een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet een hem toevertrouwde minderjarige niet buiten Nederland plaatsen. 2. De rechter verleent deze toestemming slechts, indien hij de plaatsing voor de minderjarige wenselijk acht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Zonder toestemming van de rechtbank ..."
    thisalinea.nativeID = 1469
    thisalinea.parentID = 1468
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Zonder toestemming van de rechtbank mag een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet een hem toevertrouwde minderjarige niet buiten Nederland plaatsen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Zonder toestemming van de rechtbank mag een gecertificeerde instelling als bedoeld in")
    thisalinea.textcontent.append("artikel 1.1 van de Jeugdwet een hem toevertrouwde minderjarige niet buiten Nederland")
    thisalinea.textcontent.append("plaatsen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechter verleent deze toestemming ..."
    thisalinea.nativeID = 1470
    thisalinea.parentID = 1468
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechter verleent deze toestemming slechts, indien hij de plaatsing voor de minderjarige wenselijk acht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechter verleent deze toestemming slechts, indien hij de plaatsing voor de minderjarige")
    thisalinea.textcontent.append("wenselijk acht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 306a"
    thisalinea.nativeID = 1471
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 515
    thisalinea.summary = "De zesde afdeling van deze titel is niet van toepassing op de uitoefening van de voorlopige voogdij als bedoeld in de artikelen 241, 268 en 331. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De zesde afdeling van deze titel is niet van toepassing op de uitoefening van de voorlopige")
    thisalinea.textcontent.append("voogdij als bedoeld in de artikelen 241, 268 en 331.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 307"
    thisalinea.nativeID = 1472
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 516
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 308"
    thisalinea.nativeID = 1473
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 517
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 309"
    thisalinea.nativeID = 1474
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 518
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 310"
    thisalinea.nativeID = 1475
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 519
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 311"
    thisalinea.nativeID = 1476
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 520
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 312"
    thisalinea.nativeID = 1477
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 521
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 313"
    thisalinea.nativeID = 1478
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 522
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 314"
    thisalinea.nativeID = 1479
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 523
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 315"
    thisalinea.nativeID = 1480
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 524
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 316"
    thisalinea.nativeID = 1481
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 525
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 317"
    thisalinea.nativeID = 1482
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 526
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 318"
    thisalinea.nativeID = 1483
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 527
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 319"
    thisalinea.nativeID = 1484
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 528
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 5. Ontslag van de voogdij"
    thisalinea.nativeID = 1485
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 529
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 320"
    thisalinea.nativeID = 1486
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 530
    thisalinea.summary = "[Vervallen per 01-01-1985] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-1985]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 321"
    thisalinea.nativeID = 1487
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 531
    thisalinea.summary = "[Vervallen per 01-01-1985] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-1985]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 322"
    thisalinea.nativeID = 1488
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 532
    thisalinea.summary = "1. Iedere voogd kan zich van zijn bediening doen ontslaan, indien: a. hij aantoont, dat hij tengevolge van een sedert de aanvang van zijn bediening opgekomen geestelijk of lichamelijk gebrek niet meer in staat is deze waar te nemen; b. hij de pensioengerechtigde leeftijd, bedoeld in artikel 7a, eerste lid, van de Algemene Ouderdomswet, heeft bereikt; c. een daartoe bevoegd persoon zich schriftelijk heeft bereid verklaard de voogdij over te nemen, en de rechtbank deze overneming in het belang van de minderjarigen acht. 2. Bij gezamenlijke uitoefening van de voogdij is het eerste lid slechts van toepassing indien beide voogden "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Iedere voogd kan zich van ..."
    thisalinea.nativeID = 1489
    thisalinea.parentID = 1488
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Iedere voogd kan zich van zijn bediening doen ontslaan, indien: a. hij aantoont, dat hij tengevolge van een sedert de aanvang van zijn bediening opgekomen geestelijk of lichamelijk gebrek niet meer in staat is deze waar te nemen; b. hij de pensioengerechtigde leeftijd, bedoeld in artikel 7a, eerste lid, van de Algemene Ouderdomswet, heeft bereikt; c. een daartoe bevoegd persoon zich schriftelijk heeft bereid verklaard de voogdij over te nemen, en de rechtbank deze overneming in het belang van de minderjarigen acht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Iedere voogd kan zich van zijn bediening doen ontslaan, indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. hij aantoont, dat hij tengevolge ..."
    thisalinea.nativeID = 1490
    thisalinea.parentID = 1489
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. hij aantoont, dat hij tengevolge van een sedert de aanvang van zijn bediening opgekomen geestelijk of lichamelijk gebrek niet meer in staat is deze waar te nemen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. hij aantoont, dat hij tengevolge van een sedert de aanvang van zijn bediening")
    thisalinea.textcontent.append("opgekomen geestelijk of lichamelijk gebrek niet meer in staat is deze waar te nemen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. hij de pensioengerechtigde leeftijd, bedoeld ..."
    thisalinea.nativeID = 1491
    thisalinea.parentID = 1489
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. hij de pensioengerechtigde leeftijd, bedoeld in artikel 7a, eerste lid, van de Algemene Ouderdomswet, heeft bereikt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. hij de pensioengerechtigde leeftijd, bedoeld in artikel 7a, eerste lid, van de Algemene")
    thisalinea.textcontent.append("Ouderdomswet, heeft bereikt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. een daartoe bevoegd persoon zich ..."
    thisalinea.nativeID = 1492
    thisalinea.parentID = 1489
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. een daartoe bevoegd persoon zich schriftelijk heeft bereid verklaard de voogdij over te nemen, en de rechtbank deze overneming in het belang van de minderjarigen acht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. een daartoe bevoegd persoon zich schriftelijk heeft bereid verklaard de voogdij over te")
    thisalinea.textcontent.append("nemen, en de rechtbank deze overneming in het belang van de minderjarigen acht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bij gezamenlijke uitoefening van de ..."
    thisalinea.nativeID = 1493
    thisalinea.parentID = 1488
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bij gezamenlijke uitoefening van de voogdij is het eerste lid slechts van toepassing indien beide voogden zich van hun bediening willen doen ontslaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bij gezamenlijke uitoefening van de voogdij is het eerste lid slechts van toepassing indien")
    thisalinea.textcontent.append("beide voogden zich van hun bediening willen doen ontslaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 323"
    thisalinea.nativeID = 1494
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 533
    thisalinea.summary = "Op verzoek van de voogden gezamenlijk of van een van hen beëindigt de rechter de gezamenlijke uitoefening van de voogdij. Alsdan bepaalt de rechter aan wie van beide voortaan het gezag over ieder der minderjarige kinderen alleen zal toekomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Op verzoek van de voogden gezamenlijk of van een van hen beëindigt de rechter de")
    thisalinea.textcontent.append("gezamenlijke uitoefening van de voogdij. Alsdan bepaalt de rechter aan wie van beide")
    thisalinea.textcontent.append("voortaan het gezag over ieder der minderjarige kinderen alleen zal toekomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 6. Onbevoegdheid tot de voogdij"
    thisalinea.nativeID = 1495
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 534
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 324"
    thisalinea.nativeID = 1496
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 535
    thisalinea.summary = "1. Wanneer een voogd op een der in artikel 246 van dit boek genoemde gronden onbevoegd is tot de voogdij, ontslaat de rechtbank hem en vervangt hem door een andere voogd. 2. Zij doet dit op verzoek van de voogd, bloed- of aanverwanten van de minderjarige, de raad voor de kinderbescherming, schuldeisers of andere belanghebbenden, of ambtshalve. 3. Indien in geval van gezamenlijke uitoefening van de voogdij een van de in het eerste lid genoemde gronden zich voordoet ten aanzien van een van beide voogden, oefent de andere voogd het gezag over de kinderen alleen uit. 4. Zodra de grond "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer een voogd op een ..."
    thisalinea.nativeID = 1497
    thisalinea.parentID = 1496
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer een voogd op een der in artikel 246 van dit boek genoemde gronden onbevoegd is tot de voogdij, ontslaat de rechtbank hem en vervangt hem door een andere voogd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer een voogd op een der in artikel 246 van dit boek genoemde gronden onbevoegd")
    thisalinea.textcontent.append("is tot de voogdij, ontslaat de rechtbank hem en vervangt hem door een andere voogd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zij doet dit op verzoek ..."
    thisalinea.nativeID = 1498
    thisalinea.parentID = 1496
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zij doet dit op verzoek van de voogd, bloed- of aanverwanten van de minderjarige, de raad voor de kinderbescherming, schuldeisers of andere belanghebbenden, of ambtshalve. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zij doet dit op verzoek van de voogd, bloed- of aanverwanten van de minderjarige, de")
    thisalinea.textcontent.append("raad voor de kinderbescherming, schuldeisers of andere belanghebbenden, of")
    thisalinea.textcontent.append("ambtshalve.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien in geval van gezamenlijke ..."
    thisalinea.nativeID = 1499
    thisalinea.parentID = 1496
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien in geval van gezamenlijke uitoefening van de voogdij een van de in het eerste lid genoemde gronden zich voordoet ten aanzien van een van beide voogden, oefent de andere voogd het gezag over de kinderen alleen uit. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien in geval van gezamenlijke uitoefening van de voogdij een van de in het eerste lid")
    thisalinea.textcontent.append("genoemde gronden zich voordoet ten aanzien van een van beide voogden, oefent de")
    thisalinea.textcontent.append("andere voogd het gezag over de kinderen alleen uit.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Zodra de grond van de ..."
    thisalinea.nativeID = 1500
    thisalinea.parentID = 1496
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Zodra de grond van de onbevoegdheid is vervallen, herleeft de gezamenlijke voogdij. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Zodra de grond van de onbevoegdheid is vervallen, herleeft de gezamenlijke voogdij.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 325"
    thisalinea.nativeID = 1501
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 536
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 7. Ondertoezichtstelling van onder voogdij staande minderjarigen"
    thisalinea.nativeID = 1502
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 537
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 326"
    thisalinea.nativeID = 1503
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 538
    thisalinea.summary = "1. Kinderen die onder voogdij staan van natuurlijke personen, kunnen onder toezicht worden gesteld. 2. Op deze ondertoezichtstelling is afdeling 4 van titel 14 van overeenkomstige toepassing, met dien verstande nochtans, dat de ondertoezichtstelling en de verlenging daarvan ook door de voogd kunnen worden verzocht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Kinderen die onder voogdij staan ..."
    thisalinea.nativeID = 1504
    thisalinea.parentID = 1503
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Kinderen die onder voogdij staan van natuurlijke personen, kunnen onder toezicht worden gesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Kinderen die onder voogdij staan van natuurlijke personen, kunnen onder toezicht worden")
    thisalinea.textcontent.append("gesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Op deze ondertoezichtstelling is afdeling ..."
    thisalinea.nativeID = 1505
    thisalinea.parentID = 1503
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Op deze ondertoezichtstelling is afdeling 4 van titel 14 van overeenkomstige toepassing, met dien verstande nochtans, dat de ondertoezichtstelling en de verlenging daarvan ook door de voogd kunnen worden verzocht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Op deze ondertoezichtstelling is afdeling 4 van titel 14 van overeenkomstige toepassing,")
    thisalinea.textcontent.append("met dien verstande nochtans, dat de ondertoezichtstelling en de verlenging daarvan ook")
    thisalinea.textcontent.append("door de voogd kunnen worden verzocht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 8. Beëindiging van voogdij"
    thisalinea.nativeID = 1506
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 539
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 327"
    thisalinea.nativeID = 1507
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 540
    thisalinea.summary = "De rechtbank kan de voogdij van een natuurlijk persoon beëindigen indien: a. een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd, en de voogd niet de verantwoordelijkheid voor de verzorging en opvoeding, bedoeld in artikel 247, tweede lid, in staat is te dragen binnen een voor de persoon en de ontwikkeling van de minderjarige aanvaardbaar te achten termijn, of b. de voogd het gezag misbruikt , of c. niet beschikt over de ingevolge artikel 2 van de Wet opneming buitenlandse kinderen ter adoptie vereiste beginseltoestemming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank kan de voogdij van een natuurlijk persoon beëindigen indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. een minderjarige zodanig opgroeit dat ..."
    thisalinea.nativeID = 1508
    thisalinea.parentID = 1507
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd, en de voogd niet de verantwoordelijkheid voor de verzorging en opvoeding, bedoeld in artikel 247, tweede lid, in staat is te dragen binnen een voor de persoon en de ontwikkeling van de minderjarige aanvaardbaar te achten termijn, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd,")
    thisalinea.textcontent.append("en de voogd niet de verantwoordelijkheid voor de verzorging en opvoeding, bedoeld in")
    thisalinea.textcontent.append("artikel 247, tweede lid, in staat is te dragen binnen een voor de persoon en de")
    thisalinea.textcontent.append("ontwikkeling van de minderjarige aanvaardbaar te achten termijn, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. de voogd het gezag misbruikt ..."
    thisalinea.nativeID = 1509
    thisalinea.parentID = 1507
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de voogd het gezag misbruikt , of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de voogd het gezag misbruikt , of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "c. niet beschikt over de ingevolge ..."
    thisalinea.nativeID = 1510
    thisalinea.parentID = 1507
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. niet beschikt over de ingevolge artikel 2 van de Wet opneming buitenlandse kinderen ter adoptie vereiste beginseltoestemming. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. niet beschikt over de ingevolge artikel 2 van de Wet opneming buitenlandse kinderen")
    thisalinea.textcontent.append("ter adoptie vereiste beginseltoestemming.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 328"
    thisalinea.nativeID = 1511
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 541
    thisalinea.summary = "De rechtbank kan de voogdij van een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet of van een rechtspersoon als bedoeld in artikel 302, tweede lid, beëindigen indien een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd, en: a. zij haar taken op een niet verantwoorde wijze uitoefent als bedoeld in artikel 4.1.1, tweede lid, van de Jeugdwet, of b. zij nalaat overeenkomstig artikel 305 de raad voor de kinderbescherming op de hoogte te houden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank kan de voogdij van een gecertificeerde instelling als bedoeld in artikel 1.1 van")
    thisalinea.textcontent.append("de Jeugdwet of van een rechtspersoon als bedoeld in artikel 302, tweede lid, beëindigen")
    thisalinea.textcontent.append("indien een minderjarige zodanig opgroeit dat hij in zijn ontwikkeling ernstig wordt bedreigd,")
    thisalinea.textcontent.append("en:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. zij haar taken op een ..."
    thisalinea.nativeID = 1512
    thisalinea.parentID = 1511
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. zij haar taken op een niet verantwoorde wijze uitoefent als bedoeld in artikel 4.1.1, tweede lid, van de Jeugdwet, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. zij haar taken op een niet verantwoorde wijze uitoefent als bedoeld in artikel 4.1.1,")
    thisalinea.textcontent.append("tweede lid, van de Jeugdwet, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. zij nalaat overeenkomstig artikel 305 ..."
    thisalinea.nativeID = 1513
    thisalinea.parentID = 1511
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. zij nalaat overeenkomstig artikel 305 de raad voor de kinderbescherming op de hoogte te houden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. zij nalaat overeenkomstig artikel 305 de raad voor de kinderbescherming op de hoogte")
    thisalinea.textcontent.append("te houden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 329"
    thisalinea.nativeID = 1514
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 542
    thisalinea.summary = "1. Beëindiging van de voogdij kan worden uitgesproken op verzoek van de raad voor de kinderbescherming, het openbaar ministerie of een der bloed- of aanverwanten van de minderjarige tot en met de vierde graad. 2. Ingeval artikel 336a toepassing heeft gevonden, kan de beëindiging bovendien worden verzocht door degene of degenen die de minderjarige als behorende tot hun gezin verzorgen en opvoeden. 3. In het geval, bedoeld in artikel 367, kan de rechtbank de voogdij ambtshalve beëindigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Beëindiging van de voogdij kan ..."
    thisalinea.nativeID = 1515
    thisalinea.parentID = 1514
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Beëindiging van de voogdij kan worden uitgesproken op verzoek van de raad voor de kinderbescherming, het openbaar ministerie of een der bloed- of aanverwanten van de minderjarige tot en met de vierde graad. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Beëindiging van de voogdij kan worden uitgesproken op verzoek van de raad voor de")
    thisalinea.textcontent.append("kinderbescherming, het openbaar ministerie of een der bloed- of aanverwanten van de")
    thisalinea.textcontent.append("minderjarige tot en met de vierde graad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Ingeval artikel 336a toepassing heeft ..."
    thisalinea.nativeID = 1516
    thisalinea.parentID = 1514
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Ingeval artikel 336a toepassing heeft gevonden, kan de beëindiging bovendien worden verzocht door degene of degenen die de minderjarige als behorende tot hun gezin verzorgen en opvoeden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Ingeval artikel 336a toepassing heeft gevonden, kan de beëindiging bovendien worden")
    thisalinea.textcontent.append("verzocht door degene of degenen die de minderjarige als behorende tot hun gezin")
    thisalinea.textcontent.append("verzorgen en opvoeden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In het geval, bedoeld in ..."
    thisalinea.nativeID = 1517
    thisalinea.parentID = 1514
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In het geval, bedoeld in artikel 367, kan de rechtbank de voogdij ambtshalve beëindigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In het geval, bedoeld in artikel 367, kan de rechtbank de voogdij ambtshalve beëindigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 330"
    thisalinea.nativeID = 1518
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 543
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 331"
    thisalinea.nativeID = 1519
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 544
    thisalinea.summary = "diens gezondheid af te wenden en de voogd toestemming daarvoor weigert. 1. De rechtbank kan een met de voogdij belaste natuurlijke persoon geheel of gedeeltelijk in de uitoefening van het gezag schorsen indien: a. een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 266, eerste lid, aanhef en onder a of b is vervuld en de maatregel noodzakelijk is om een acute en ernstige bedreiging voor de minderjarige weg te nemen, of b. een medische behandeling van een minderjarige jonger dan twaalf jaar of van de minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("diens gezondheid af te wenden en de voogd toestemming daarvoor weigert.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechtbank kan een met ..."
    thisalinea.nativeID = 1520
    thisalinea.parentID = 1519
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechtbank kan een met de voogdij belaste natuurlijke persoon geheel of gedeeltelijk in de uitoefening van het gezag schorsen indien: a. een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 266, eerste lid, aanhef en onder a of b is vervuld en de maatregel noodzakelijk is om een acute en ernstige bedreiging voor de minderjarige weg te nemen, of b. een medische behandeling van een minderjarige jonger dan twaalf jaar of van de minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een redelijke waardering van zijn belangen terzake, noodzakelijk is om "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechtbank kan een met de voogdij belaste natuurlijke persoon geheel of gedeeltelijk in")
    thisalinea.textcontent.append("de uitoefening van het gezag schorsen indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. een ernstig vermoeden bestaat dat ..."
    thisalinea.nativeID = 1521
    thisalinea.parentID = 1520
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 266, eerste lid, aanhef en onder a of b is vervuld en de maatregel noodzakelijk is om een acute en ernstige bedreiging voor de minderjarige weg te nemen, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. een ernstig vermoeden bestaat dat de grond, bedoeld in artikel 266, eerste lid, aanhef")
    thisalinea.textcontent.append("en onder a of b is vervuld en de maatregel noodzakelijk is om een acute en ernstige")
    thisalinea.textcontent.append("bedreiging voor de minderjarige weg te nemen, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. een medische behandeling van een ..."
    thisalinea.nativeID = 1522
    thisalinea.parentID = 1520
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een medische behandeling van een minderjarige jonger dan twaalf jaar of van de minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een redelijke waardering van zijn belangen terzake, noodzakelijk is om ernstig gevaar voor "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een medische behandeling van een minderjarige jonger dan twaalf jaar of van de")
    thisalinea.textcontent.append("minderjarige van twaalf jaar of ouder die niet in staat kan worden geacht tot een")
    thisalinea.textcontent.append("redelijke waardering van zijn belangen terzake, noodzakelijk is om ernstig gevaar voor")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de voogdij gezamenlijk wordt ..."
    thisalinea.nativeID = 1523
    thisalinea.parentID = 1519
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de voogdij gezamenlijk wordt uitgeoefend, wordt na schorsing van de voogdij van één van hen de voogdij door de andere voogd alleen uitgeoefend, tenzij de kinderrechter een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet, met de voorlopige voogdij over het kind belast. In dat geval is ook het gezag van deze andere voogd geschorst. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de voogdij gezamenlijk wordt uitgeoefend, wordt na schorsing van de voogdij van")
    thisalinea.textcontent.append("één van hen de voogdij door de andere voogd alleen uitgeoefend, tenzij de kinderrechter")
    thisalinea.textcontent.append("een gecertificeerde instelling als bedoeld in artikel 1.1 van de Jeugdwet, met de")
    thisalinea.textcontent.append("voorlopige voogdij over het kind belast. In dat geval is ook het gezag van deze andere")
    thisalinea.textcontent.append("voogd geschorst.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Artikel 329, eerste en tweede ..."
    thisalinea.nativeID = 1524
    thisalinea.parentID = 1519
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Artikel 329, eerste en tweede lid, is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Artikel 329, eerste en tweede lid, is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De schorsing in de uitoefening ..."
    thisalinea.nativeID = 1525
    thisalinea.parentID = 1519
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De schorsing in de uitoefening van het gezag vervalt na verloop van drie maanden na de dag van de beschikking, tenzij voor het einde van deze termijn om een beëindiging van de voogdij is verzocht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De schorsing in de uitoefening van het gezag vervalt na verloop van drie maanden na de")
    thisalinea.textcontent.append("dag van de beschikking, tenzij voor het einde van deze termijn om een beëindiging van de")
    thisalinea.textcontent.append("voogdij is verzocht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 331a"
    thisalinea.nativeID = 1526
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 545
    thisalinea.summary = "In plaats van schorsing van de voogd in de uitoefening van de voogdij en voorziening in de voorlopige voogdij als bedoeld in artikel 331, kan de rechtbank de minderjarige onder toezicht stellen als bedoeld in artikel 255. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("In plaats van schorsing van de voogd in de uitoefening van de voogdij en voorziening in de")
    thisalinea.textcontent.append("voorlopige voogdij als bedoeld in artikel 331, kan de rechtbank de minderjarige onder toezicht")
    thisalinea.textcontent.append("stellen als bedoeld in artikel 255.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 332"
    thisalinea.nativeID = 1527
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 546
    thisalinea.summary = "[Vervallen per 01-01-2015] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2015]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 332a"
    thisalinea.nativeID = 1528
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 547
    thisalinea.summary = "De rechtbank die een verzoek tot beëindiging van de voogdij afwijst, is bevoegd een minderjarige onder toezicht te stellen als bedoeld in artikel 255. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechtbank die een verzoek tot beëindiging van de voogdij afwijst, is bevoegd een")
    thisalinea.textcontent.append("minderjarige onder toezicht te stellen als bedoeld in artikel 255.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 333"
    thisalinea.nativeID = 1529
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 548
    thisalinea.summary = "[Vervallen per 01-05-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-05-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 334"
    thisalinea.nativeID = 1530
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 549
    thisalinea.summary = "1. Indien de rechtbank de beëindiging van de voogdij uitspreekt, voorziet zij tevens in het gezag, behoudens het bepaalde in het derde lid. 2. Ieder die tot de uitoefening van het gezag bevoegd is, kan tijdens het onderzoek schriftelijk aan de rechtbank verzoeken daarmede te worden belast. 3. Indien sprake is van gezamenlijke uitoefening van de voogdij en de beëindiging van de voogdij slechts een van de voogden betreft, wordt de voogdij voortaan door de andere voogd alleen uitgeoefend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de rechtbank de beëindiging ..."
    thisalinea.nativeID = 1531
    thisalinea.parentID = 1530
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de rechtbank de beëindiging van de voogdij uitspreekt, voorziet zij tevens in het gezag, behoudens het bepaalde in het derde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de rechtbank de beëindiging van de voogdij uitspreekt, voorziet zij tevens in het")
    thisalinea.textcontent.append("gezag, behoudens het bepaalde in het derde lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Ieder die tot de uitoefening ..."
    thisalinea.nativeID = 1532
    thisalinea.parentID = 1530
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Ieder die tot de uitoefening van het gezag bevoegd is, kan tijdens het onderzoek schriftelijk aan de rechtbank verzoeken daarmede te worden belast. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Ieder die tot de uitoefening van het gezag bevoegd is, kan tijdens het onderzoek")
    thisalinea.textcontent.append("schriftelijk aan de rechtbank verzoeken daarmede te worden belast.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien sprake is van gezamenlijke ..."
    thisalinea.nativeID = 1533
    thisalinea.parentID = 1530
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien sprake is van gezamenlijke uitoefening van de voogdij en de beëindiging van de voogdij slechts een van de voogden betreft, wordt de voogdij voortaan door de andere voogd alleen uitgeoefend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien sprake is van gezamenlijke uitoefening van de voogdij en de beëindiging van de")
    thisalinea.textcontent.append("voogdij slechts een van de voogden betreft, wordt de voogdij voortaan door de andere")
    thisalinea.textcontent.append("voogd alleen uitgeoefend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 335"
    thisalinea.nativeID = 1534
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 550
    thisalinea.summary = "Degene van wie de voogdij is beëindigd op grond van artikel 327, eerste lid, aanhef en onder a, b of c kan niet wederom tot voogd over die minderjarige worden benoemd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Degene van wie de voogdij is beëindigd op grond van artikel 327, eerste lid, aanhef en onder")
    thisalinea.textcontent.append("a, b of c kan niet wederom tot voogd over die minderjarige worden benoemd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 9. Het toezicht van de voogd over de persoon van de minderjarige"
    thisalinea.nativeID = 1535
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 551
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 336"
    thisalinea.nativeID = 1536
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 552
    thisalinea.summary = "De voogd draagt zorg, dat de minderjarige overeenkomstig diens vermogen wordt verzorgd en opgevoed. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De voogd draagt zorg, dat de minderjarige overeenkomstig diens vermogen wordt verzorgd")
    thisalinea.textcontent.append("en opgevoed.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 336a"
    thisalinea.nativeID = 1537
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 553
    thisalinea.summary = "1. Indien de minderjarige door een ander of anderen dan zijn voogd, als behorende tot het gezin met instemming van de voogd ten minste een jaar is verzorgd en opgevoed geworden, kan de voogd niet dan met toestemming van degenen die de verzorging en opvoeding op zich hebben genomen, wijziging in het verblijf van de minderjarige brengen. 2. Voor zover de volgens het vorige lid vereiste toestemmingen niet worden verkregen, kunnen zij op verzoek van de voogd door die van de rechtbank worden vervangen. Dit verzoek wordt slechts ingewilligd indien de rechtbank dit in het belang van de minderjarige noodzakelijk "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de minderjarige door een ..."
    thisalinea.nativeID = 1538
    thisalinea.parentID = 1537
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de minderjarige door een ander of anderen dan zijn voogd, als behorende tot het gezin met instemming van de voogd ten minste een jaar is verzorgd en opgevoed geworden, kan de voogd niet dan met toestemming van degenen die de verzorging en opvoeding op zich hebben genomen, wijziging in het verblijf van de minderjarige brengen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de minderjarige door een ander of anderen dan zijn voogd, als behorende tot het")
    thisalinea.textcontent.append("gezin met instemming van de voogd ten minste een jaar is verzorgd en opgevoed")
    thisalinea.textcontent.append("geworden, kan de voogd niet dan met toestemming van degenen die de verzorging en")
    thisalinea.textcontent.append("opvoeding op zich hebben genomen, wijziging in het verblijf van de minderjarige brengen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voor zover de volgens het ..."
    thisalinea.nativeID = 1539
    thisalinea.parentID = 1537
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voor zover de volgens het vorige lid vereiste toestemmingen niet worden verkregen, kunnen zij op verzoek van de voogd door die van de rechtbank worden vervangen. Dit verzoek wordt slechts ingewilligd indien de rechtbank dit in het belang van de minderjarige noodzakelijk oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voor zover de volgens het vorige lid vereiste toestemmingen niet worden verkregen,")
    thisalinea.textcontent.append("kunnen zij op verzoek van de voogd door die van de rechtbank worden vervangen. Dit")
    thisalinea.textcontent.append("verzoek wordt slechts ingewilligd indien de rechtbank dit in het belang van de minderjarige")
    thisalinea.textcontent.append("noodzakelijk oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In geval van afwijzing van ..."
    thisalinea.nativeID = 1540
    thisalinea.parentID = 1537
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In geval van afwijzing van het verzoek is de beschikking van kracht gedurende een door de rechtbank te bepalen termijn, welke de duur van zes maanden niet te boven mag gaan. Is echter voor het einde van deze termijn een verzoek tot ondertoezichtstelling van het kind, tot beëindiging van de voogdij, dan wel een verzoek als bedoeld in artikel 299a, van dit boek aanhangig gemaakt, dan blijft de beschikking gelden, totdat op het verzoek bij gewijsde is beslist. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In geval van afwijzing van het verzoek is de beschikking van kracht gedurende een door")
    thisalinea.textcontent.append("de rechtbank te bepalen termijn, welke de duur van zes maanden niet te boven mag")
    thisalinea.textcontent.append("gaan. Is echter voor het einde van deze termijn een verzoek tot ondertoezichtstelling van")
    thisalinea.textcontent.append("het kind, tot beëindiging van de voogdij, dan wel een verzoek als bedoeld in artikel 299a,")
    thisalinea.textcontent.append("van dit boek aanhangig gemaakt, dan blijft de beschikking gelden, totdat op het verzoek")
    thisalinea.textcontent.append("bij gewijsde is beslist.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. In geval van gezamenlijke uitoefening ..."
    thisalinea.nativeID = 1541
    thisalinea.parentID = 1537
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. In geval van gezamenlijke uitoefening van de voogdij, wordt de in het eerste lid bedoelde instemming door beide voogden gegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. In geval van gezamenlijke uitoefening van de voogdij, wordt de in het eerste lid bedoelde")
    thisalinea.textcontent.append("instemming door beide voogden gegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 10. Het bewind van de voogd"
    thisalinea.nativeID = 1542
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 554
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 337"
    thisalinea.nativeID = 1543
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 555
    thisalinea.summary = "1. De voogd vertegenwoordigt de minderjarige in burgerlijke handelingen. 2. De voogd moet het bewind over het vermogen van de minderjarige als een goed voogd voeren. Bij slecht bewind is hij voor de daardoor veroorzaakte schade aansprakelijk. 3. Indien goederen die de minderjarige geschonken of vermaakt zijn, onder bewind zijn gesteld, is de voogd bevoegd van de bewindvoerder rekening en verantwoording te vorderen. Vervalt dit bewind, dan komen de goederen onder het bewind van de voogd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De voogd vertegenwoordigt de minderjarige ..."
    thisalinea.nativeID = 1544
    thisalinea.parentID = 1543
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De voogd vertegenwoordigt de minderjarige in burgerlijke handelingen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De voogd vertegenwoordigt de minderjarige in burgerlijke handelingen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De voogd moet het bewind ..."
    thisalinea.nativeID = 1545
    thisalinea.parentID = 1543
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De voogd moet het bewind over het vermogen van de minderjarige als een goed voogd voeren. Bij slecht bewind is hij voor de daardoor veroorzaakte schade aansprakelijk. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De voogd moet het bewind over het vermogen van de minderjarige als een goed voogd")
    thisalinea.textcontent.append("voeren. Bij slecht bewind is hij voor de daardoor veroorzaakte schade aansprakelijk.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien goederen die de minderjarige ..."
    thisalinea.nativeID = 1546
    thisalinea.parentID = 1543
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien goederen die de minderjarige geschonken of vermaakt zijn, onder bewind zijn gesteld, is de voogd bevoegd van de bewindvoerder rekening en verantwoording te vorderen. Vervalt dit bewind, dan komen de goederen onder het bewind van de voogd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien goederen die de minderjarige geschonken of vermaakt zijn, onder bewind zijn")
    thisalinea.textcontent.append("gesteld, is de voogd bevoegd van de bewindvoerder rekening en verantwoording te")
    thisalinea.textcontent.append("vorderen. Vervalt dit bewind, dan komen de goederen onder het bewind van de voogd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 337a"
    thisalinea.nativeID = 1547
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 556
    thisalinea.summary = "1. In geval van gezamenlijke uitoefening van de voogdij worden de bevoegdheden die de voogd ingevolge de paragrafen 10 en 11 heeft, gezamenlijk door de voogden uitgeoefend, met dien verstande dat de bevoegdheden ook aan een voogd alleen toekomen tenzij van bezwaren van de andere voogd is gebleken. 2. De in bedoelde paragrafen genoemde verplichtingen rusten op ieder van de voogden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. In geval van gezamenlijke uitoefening ..."
    thisalinea.nativeID = 1548
    thisalinea.parentID = 1547
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. In geval van gezamenlijke uitoefening van de voogdij worden de bevoegdheden die de voogd ingevolge de paragrafen 10 en 11 heeft, gezamenlijk door de voogden uitgeoefend, met dien verstande dat de bevoegdheden ook aan een voogd alleen toekomen tenzij van bezwaren van de andere voogd is gebleken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. In geval van gezamenlijke uitoefening van de voogdij worden de bevoegdheden die de")
    thisalinea.textcontent.append("voogd ingevolge de paragrafen 10 en 11 heeft, gezamenlijk door de voogden uitgeoefend,")
    thisalinea.textcontent.append("met dien verstande dat de bevoegdheden ook aan een voogd alleen toekomen tenzij van")
    thisalinea.textcontent.append("bezwaren van de andere voogd is gebleken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De in bedoelde paragrafen genoemde ..."
    thisalinea.nativeID = 1549
    thisalinea.parentID = 1547
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De in bedoelde paragrafen genoemde verplichtingen rusten op ieder van de voogden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De in bedoelde paragrafen genoemde verplichtingen rusten op ieder van de voogden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 338"
    thisalinea.nativeID = 1550
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 557
    thisalinea.summary = "1. De voogd zorgt dat het vermogen van de minderjarige, zoals dit bij het begin van zijn voogdij is samengesteld, zo spoedig mogelijk wordt geïnventariseerd. 2. Binnen acht weken na het begin van zijn voogdij doet de voogd ter griffie van de rechtbank van het arrondissement waarin de woonplaats van de minderjarige is gelegen schriftelijk opgave van de bij dat begin aanwezige gerede gelden, effecten aan toonder en spaarbankboekjes. 3. Binnen acht maanden na het begin van zijn voogdij levert de voogd een ter bevestiging van haar deugdelijkheid door hem ondertekende boedelbeschrijving in ter griffie van de rechtbank van het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De voogd zorgt dat het ..."
    thisalinea.nativeID = 1551
    thisalinea.parentID = 1550
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De voogd zorgt dat het vermogen van de minderjarige, zoals dit bij het begin van zijn voogdij is samengesteld, zo spoedig mogelijk wordt geïnventariseerd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De voogd zorgt dat het vermogen van de minderjarige, zoals dit bij het begin van zijn")
    thisalinea.textcontent.append("voogdij is samengesteld, zo spoedig mogelijk wordt geïnventariseerd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Binnen acht weken na het ..."
    thisalinea.nativeID = 1552
    thisalinea.parentID = 1550
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Binnen acht weken na het begin van zijn voogdij doet de voogd ter griffie van de rechtbank van het arrondissement waarin de woonplaats van de minderjarige is gelegen schriftelijk opgave van de bij dat begin aanwezige gerede gelden, effecten aan toonder en spaarbankboekjes. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Binnen acht weken na het begin van zijn voogdij doet de voogd ter griffie van de")
    thisalinea.textcontent.append("rechtbank van het arrondissement waarin de woonplaats van de minderjarige is gelegen")
    thisalinea.textcontent.append("schriftelijk opgave van de bij dat begin aanwezige gerede gelden, effecten aan toonder en")
    thisalinea.textcontent.append("spaarbankboekjes.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Binnen acht maanden na het ..."
    thisalinea.nativeID = 1553
    thisalinea.parentID = 1550
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Binnen acht maanden na het begin van zijn voogdij levert de voogd een ter bevestiging van haar deugdelijkheid door hem ondertekende boedelbeschrijving in ter griffie van de rechtbank van het arrondissement waarin de woonplaats van de minderjarige is gelegen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Binnen acht maanden na het begin van zijn voogdij levert de voogd een ter bevestiging")
    thisalinea.textcontent.append("van haar deugdelijkheid door hem ondertekende boedelbeschrijving in ter griffie van de")
    thisalinea.textcontent.append("rechtbank van het arrondissement waarin de woonplaats van de minderjarige is gelegen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. In de boedelbeschrijving is begrepen ..."
    thisalinea.nativeID = 1554
    thisalinea.parentID = 1550
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. In de boedelbeschrijving is begrepen een opgave van de wijzigingen in de samenstelling van het vermogen tot het ogenblik dat zij wordt opgemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. In de boedelbeschrijving is begrepen een opgave van de wijzigingen in de samenstelling")
    thisalinea.textcontent.append("van het vermogen tot het ogenblik dat zij wordt opgemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 339"
    thisalinea.nativeID = 1555
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 558
    thisalinea.summary = "1. Wanneer de goederen van de minderjarigen een waarde van € 11 250 niet te boven gaan, kan de voogd een door hem ondertekende, volgens een door Onze Minister van Justitie vastgesteld model opgemaakte, verklaring daaromtrent in plaats van de boedelbeschrijving inleveren. De voogd van twee of meer kinderen van dezelfde ouders kan met een zodanige verklaring slechts volstaan, wanneer bovendien de goederen der minderjarigen tezamen een waarde van € 22 500 niet te boven gaan. 2. De kantonrechter kan te allen tijde bepalen dat alsnog een beschrijving van het vermogen van de minderjarige, zoals dit op de datum van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer de goederen van de ..."
    thisalinea.nativeID = 1556
    thisalinea.parentID = 1555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer de goederen van de minderjarigen een waarde van € 11 250 niet te boven gaan, kan de voogd een door hem ondertekende, volgens een door Onze Minister van Justitie vastgesteld model opgemaakte, verklaring daaromtrent in plaats van de boedelbeschrijving inleveren. De voogd van twee of meer kinderen van dezelfde ouders kan met een zodanige verklaring slechts volstaan, wanneer bovendien de goederen der minderjarigen tezamen een waarde van € 22 500 niet te boven gaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer de goederen van de minderjarigen een waarde van € 11 250 niet te boven gaan,")
    thisalinea.textcontent.append("kan de voogd een door hem ondertekende, volgens een door Onze Minister van Justitie")
    thisalinea.textcontent.append("vastgesteld model opgemaakte, verklaring daaromtrent in plaats van de")
    thisalinea.textcontent.append("boedelbeschrijving inleveren. De voogd van twee of meer kinderen van dezelfde ouders")
    thisalinea.textcontent.append("kan met een zodanige verklaring slechts volstaan, wanneer bovendien de goederen der")
    thisalinea.textcontent.append("minderjarigen tezamen een waarde van € 22 500 niet te boven gaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kantonrechter kan te allen ..."
    thisalinea.nativeID = 1557
    thisalinea.parentID = 1555
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kantonrechter kan te allen tijde bepalen dat alsnog een beschrijving van het vermogen van de minderjarige, zoals dit op de datum van zijn beschikking is samengesteld, met overeenkomstige toepassing van het vorige artikel moet worden opgemaakt en ingeleverd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kantonrechter kan te allen tijde bepalen dat alsnog een beschrijving van het vermogen")
    thisalinea.textcontent.append("van de minderjarige, zoals dit op de datum van zijn beschikking is samengesteld, met")
    thisalinea.textcontent.append("overeenkomstige toepassing van het vorige artikel moet worden opgemaakt en")
    thisalinea.textcontent.append("ingeleverd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 340"
    thisalinea.nativeID = 1558
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 559
    thisalinea.summary = "1. De kantonrechter kan bij gebleken noodzakelijkheid een langere termijn voor de inlevering van een boedelbeschrijving of een verklaring, als bedoeld in het vorige artikel, stellen. 2. Indien binnen de daarvoor gestelde termijn geen boedelbeschrijving, noch een verklaring als bedoeld in het vorige artikel is ingeleverd, doet de kantonrechter binnen tien dagen na het einde van die termijn de voogd ten verhore oproepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kantonrechter kan bij gebleken ..."
    thisalinea.nativeID = 1559
    thisalinea.parentID = 1558
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kantonrechter kan bij gebleken noodzakelijkheid een langere termijn voor de inlevering van een boedelbeschrijving of een verklaring, als bedoeld in het vorige artikel, stellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kantonrechter kan bij gebleken noodzakelijkheid een langere termijn voor de inlevering")
    thisalinea.textcontent.append("van een boedelbeschrijving of een verklaring, als bedoeld in het vorige artikel, stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien binnen de daarvoor gestelde ..."
    thisalinea.nativeID = 1560
    thisalinea.parentID = 1558
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien binnen de daarvoor gestelde termijn geen boedelbeschrijving, noch een verklaring als bedoeld in het vorige artikel is ingeleverd, doet de kantonrechter binnen tien dagen na het einde van die termijn de voogd ten verhore oproepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien binnen de daarvoor gestelde termijn geen boedelbeschrijving, noch een verklaring")
    thisalinea.textcontent.append("als bedoeld in het vorige artikel is ingeleverd, doet de kantonrechter binnen tien dagen na")
    thisalinea.textcontent.append("het einde van die termijn de voogd ten verhore oproepen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 341"
    thisalinea.nativeID = 1561
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 560
    thisalinea.summary = "1. In de boedelbeschrijving of in de verklaring, bedoeld in artikel 339 van dit boek, moet de voogd opgeven wat hij van de minderjarige heeft te vorderen. Bij gebreke hiervan zal hij zijn vorderingsrecht niet voor diens meerderjarigheid kunnen uitoefenen. 2. Zolang de voogd zijn vorderingsrecht niet kan uitoefenen, draagt de hoofdsom van zijn vordering geen rente. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. In de boedelbeschrijving of in ..."
    thisalinea.nativeID = 1562
    thisalinea.parentID = 1561
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. In de boedelbeschrijving of in de verklaring, bedoeld in artikel 339 van dit boek, moet de voogd opgeven wat hij van de minderjarige heeft te vorderen. Bij gebreke hiervan zal hij zijn vorderingsrecht niet voor diens meerderjarigheid kunnen uitoefenen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. In de boedelbeschrijving of in de verklaring, bedoeld in artikel 339 van dit boek, moet de")
    thisalinea.textcontent.append("voogd opgeven wat hij van de minderjarige heeft te vorderen. Bij gebreke hiervan zal hij")
    thisalinea.textcontent.append("zijn vorderingsrecht niet voor diens meerderjarigheid kunnen uitoefenen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zolang de voogd zijn vorderingsrecht ..."
    thisalinea.nativeID = 1563
    thisalinea.parentID = 1561
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zolang de voogd zijn vorderingsrecht niet kan uitoefenen, draagt de hoofdsom van zijn vordering geen rente. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zolang de voogd zijn vorderingsrecht niet kan uitoefenen, draagt de hoofdsom van zijn")
    thisalinea.textcontent.append("vordering geen rente.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 342"
    thisalinea.nativeID = 1564
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 561
    thisalinea.summary = "1. De vier vorige artikelen zijn van overeenkomstige toepassing, wanneer de minderjarige gedurende de voogdij door schenking, erfopvolging of making vermogen krijgt. 2. De inspecteur bij wie de aangifte voor het recht van successie, van overgang of van schenking moet worden ingediend, en aan wie ambtshalve bekend is dat de minderjarige vermogen heeft verkregen, is verplicht de kantonrechter van diens woonplaats hiervan te verwittigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De vier vorige artikelen zijn ..."
    thisalinea.nativeID = 1565
    thisalinea.parentID = 1564
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De vier vorige artikelen zijn van overeenkomstige toepassing, wanneer de minderjarige gedurende de voogdij door schenking, erfopvolging of making vermogen krijgt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De vier vorige artikelen zijn van overeenkomstige toepassing, wanneer de minderjarige")
    thisalinea.textcontent.append("gedurende de voogdij door schenking, erfopvolging of making vermogen krijgt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De inspecteur bij wie de ..."
    thisalinea.nativeID = 1566
    thisalinea.parentID = 1564
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De inspecteur bij wie de aangifte voor het recht van successie, van overgang of van schenking moet worden ingediend, en aan wie ambtshalve bekend is dat de minderjarige vermogen heeft verkregen, is verplicht de kantonrechter van diens woonplaats hiervan te verwittigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De inspecteur bij wie de aangifte voor het recht van successie, van overgang of van")
    thisalinea.textcontent.append("schenking moet worden ingediend, en aan wie ambtshalve bekend is dat de minderjarige")
    thisalinea.textcontent.append("vermogen heeft verkregen, is verplicht de kantonrechter van diens woonplaats hiervan te")
    thisalinea.textcontent.append("verwittigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 343"
    thisalinea.nativeID = 1567
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 562
    thisalinea.summary = "De voogd kan, onverminderd zijn aansprakelijkheid voor de door zijn slecht bewind veroorzaakte schade, voor de minderjarige alle handelingen verrichten, die hij in diens belang noodzakelijk, nuttig of wenselijk acht, behoudens het bepaalde bij de volgende artikelen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De voogd kan, onverminderd zijn aansprakelijkheid voor de door zijn slecht bewind")
    thisalinea.textcontent.append("veroorzaakte schade, voor de minderjarige alle handelingen verrichten, die hij in diens belang")
    thisalinea.textcontent.append("noodzakelijk, nuttig of wenselijk acht, behoudens het bepaalde bij de volgende artikelen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 344"
    thisalinea.nativeID = 1568
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 563
    thisalinea.summary = "goedkeuring een verdeling tot stand komt, kan ter gelegenheid daarvan aanwijzingen als hier bedoeld geven. Overigens is de kantonrechter, aangewezen in de tweede afdeling van de derde titel van het eerste boek van het Wetboek van Burgerlijke Rechtsvordering bevoegd. 1. Voorzover de kantonrechter niet anders bepaalt, geeft de voogd de effecten aan toonder van de minderjarige in bewaring bij: a. de Nederlandsche Bank N.V.; b. een financiële onderneming die ingevolge de Wet op het financieel toezicht in Nederland het bedrijf van bank mag uitoefenen; 2. De kantonrechter kan aanwijzingen geven omtrent de wijze, waarop spaarbankboekjes en gelden van de minderjarige "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("goedkeuring een verdeling tot stand komt, kan ter gelegenheid daarvan aanwijzingen als")
    thisalinea.textcontent.append("hier bedoeld geven. Overigens is de kantonrechter, aangewezen in de tweede afdeling")
    thisalinea.textcontent.append("van de derde titel van het eerste boek van het Wetboek van Burgerlijke Rechtsvordering")
    thisalinea.textcontent.append("bevoegd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Voorzover de kantonrechter niet anders ..."
    thisalinea.nativeID = 1569
    thisalinea.parentID = 1568
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Voorzover de kantonrechter niet anders bepaalt, geeft de voogd de effecten aan toonder van de minderjarige in bewaring bij: a. de Nederlandsche Bank N.V.; b. een financiële onderneming die ingevolge de Wet op het financieel toezicht in Nederland het bedrijf van bank mag uitoefenen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Voorzover de kantonrechter niet anders bepaalt, geeft de voogd de effecten aan toonder")
    thisalinea.textcontent.append("van de minderjarige in bewaring bij:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de Nederlandsche Bank N.V.; "
    thisalinea.nativeID = 1570
    thisalinea.parentID = 1569
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de Nederlandsche Bank N.V.; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de Nederlandsche Bank N.V.;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. een financiële onderneming die ingevolge ..."
    thisalinea.nativeID = 1571
    thisalinea.parentID = 1569
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een financiële onderneming die ingevolge de Wet op het financieel toezicht in Nederland het bedrijf van bank mag uitoefenen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een financiële onderneming die ingevolge de Wet op het financieel toezicht in")
    thisalinea.textcontent.append("Nederland het bedrijf van bank mag uitoefenen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kantonrechter kan aanwijzingen geven ..."
    thisalinea.nativeID = 1572
    thisalinea.parentID = 1568
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kantonrechter kan aanwijzingen geven omtrent de wijze, waarop spaarbankboekjes en gelden van de minderjarige moeten worden bewaard. De kantonrechter onder wiens "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kantonrechter kan aanwijzingen geven omtrent de wijze, waarop spaarbankboekjes en")
    thisalinea.textcontent.append("gelden van de minderjarige moeten worden bewaard. De kantonrechter onder wiens")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Voor effecten aan toonder, spaarbankboekjes ..."
    thisalinea.nativeID = 1573
    thisalinea.parentID = 1568
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Voor effecten aan toonder, spaarbankboekjes en gelden, die de minderjarige tezamen met een of meer andere personen toekomen, geldt het bepaalde in de vorige leden, wanneer de voogd die onder zijn berusting heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Voor effecten aan toonder, spaarbankboekjes en gelden, die de minderjarige tezamen met")
    thisalinea.textcontent.append("een of meer andere personen toekomen, geldt het bepaalde in de vorige leden, wanneer")
    thisalinea.textcontent.append("de voogd die onder zijn berusting heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 345"
    thisalinea.nativeID = 1574
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 564
    thisalinea.summary = "1. De voogd behoeft machtiging van de kantonrechter om de navolgende handelingen voor rekening van de minderjarige te verrichten: a. aangaan van overeenkomsten strekkende tot beschikking over goederen van de minderjarige, tenzij de handeling geld betreft, als een gewone beheersdaad kan worden beschouwd, of krachtens rechterlijk bevel geschiedt; b. giften doen, andere dan gebruikelijke, niet bovenmatige; c. een making of gift, waaraan lasten of voorwaarden zijn verbonden, aannemen; d. geld lenen of de minderjarige als borg of hoofdelijke medeschuldenaar verbinden; e. overeenkomen dat een boedel, waartoe de minderjarige gerechtigd is, voor een bepaalde tijd onverdeeld wordt gelaten. 2. De kantonrechter "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De voogd behoeft machtiging van ..."
    thisalinea.nativeID = 1575
    thisalinea.parentID = 1574
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De voogd behoeft machtiging van de kantonrechter om de navolgende handelingen voor rekening van de minderjarige te verrichten: a. aangaan van overeenkomsten strekkende tot beschikking over goederen van de minderjarige, tenzij de handeling geld betreft, als een gewone beheersdaad kan worden beschouwd, of krachtens rechterlijk bevel geschiedt; b. giften doen, andere dan gebruikelijke, niet bovenmatige; c. een making of gift, waaraan lasten of voorwaarden zijn verbonden, aannemen; d. geld lenen of de minderjarige als borg of hoofdelijke medeschuldenaar verbinden; e. overeenkomen dat een boedel, waartoe de minderjarige gerechtigd is, voor een bepaalde tijd onverdeeld wordt gelaten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De voogd behoeft machtiging van de kantonrechter om de navolgende handelingen voor")
    thisalinea.textcontent.append("rekening van de minderjarige te verrichten:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. aangaan van overeenkomsten strekkende tot ..."
    thisalinea.nativeID = 1576
    thisalinea.parentID = 1575
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. aangaan van overeenkomsten strekkende tot beschikking over goederen van de minderjarige, tenzij de handeling geld betreft, als een gewone beheersdaad kan worden beschouwd, of krachtens rechterlijk bevel geschiedt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. aangaan van overeenkomsten strekkende tot beschikking over goederen van de")
    thisalinea.textcontent.append("minderjarige, tenzij de handeling geld betreft, als een gewone beheersdaad kan")
    thisalinea.textcontent.append("worden beschouwd, of krachtens rechterlijk bevel geschiedt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. giften doen, andere dan gebruikelijke, ..."
    thisalinea.nativeID = 1577
    thisalinea.parentID = 1575
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. giften doen, andere dan gebruikelijke, niet bovenmatige; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. giften doen, andere dan gebruikelijke, niet bovenmatige;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. een making of gift, waaraan ..."
    thisalinea.nativeID = 1578
    thisalinea.parentID = 1575
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. een making of gift, waaraan lasten of voorwaarden zijn verbonden, aannemen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. een making of gift, waaraan lasten of voorwaarden zijn verbonden, aannemen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. geld lenen of de minderjarige ..."
    thisalinea.nativeID = 1579
    thisalinea.parentID = 1575
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. geld lenen of de minderjarige als borg of hoofdelijke medeschuldenaar verbinden; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. geld lenen of de minderjarige als borg of hoofdelijke medeschuldenaar verbinden;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. overeenkomen dat een boedel, waartoe ..."
    thisalinea.nativeID = 1580
    thisalinea.parentID = 1575
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. overeenkomen dat een boedel, waartoe de minderjarige gerechtigd is, voor een bepaalde tijd onverdeeld wordt gelaten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. overeenkomen dat een boedel, waartoe de minderjarige gerechtigd is, voor een")
    thisalinea.textcontent.append("bepaalde tijd onverdeeld wordt gelaten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kantonrechter kan bepalen dat ..."
    thisalinea.nativeID = 1581
    thisalinea.parentID = 1574
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kantonrechter kan bepalen dat de voogd zijn machtiging behoeft voor het innen van vorderingen van de minderjarige, het disponeren over saldi bij een bank als bedoeld in artikel 1:1 van de Wet op het financieel toezicht daaronder begrepen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kantonrechter kan bepalen dat de voogd zijn machtiging behoeft voor het innen van")
    thisalinea.textcontent.append("vorderingen van de minderjarige, het disponeren over saldi bij een bank als bedoeld in")
    thisalinea.textcontent.append("artikel 1:1 van de Wet op het financieel toezicht daaronder begrepen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Voor het aangaan van een ..."
    thisalinea.nativeID = 1582
    thisalinea.parentID = 1574
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Voor het aangaan van een overeenkomst tot beëindiging van een geschil waarbij de minderjarige is betrokken, behoeft de voogd geen machtiging in het geval van artikel 87 van het Wetboek van Burgerlijke Rechtsvordering of indien het voorwerp van de onzekerheid of het geschil een waarde van € 700 niet te boven gaat, noch indien de overeenkomst als een beheersdaad is te beschouwen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Voor het aangaan van een overeenkomst tot beëindiging van een geschil waarbij de")
    thisalinea.textcontent.append("minderjarige is betrokken, behoeft de voogd geen machtiging in het geval van artikel 87")
    thisalinea.textcontent.append("van het Wetboek van Burgerlijke Rechtsvordering of indien het voorwerp van de")
    thisalinea.textcontent.append("onzekerheid of het geschil een waarde van € 700 niet te boven gaat, noch indien de")
    thisalinea.textcontent.append("overeenkomst als een beheersdaad is te beschouwen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 346"
    thisalinea.nativeID = 1583
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 565
    thisalinea.summary = "1. De voogd kan geen goederen van de minderjarige kopen, huren of pachten, zonder dat de kantonrechter de te sluiten overeenkomst goedkeurt. 2. In geval van openbare verkoop, verhuur of verpachting moet de goedkeuring binnen een maand daarna zijn aangevraagd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De voogd kan geen goederen ..."
    thisalinea.nativeID = 1584
    thisalinea.parentID = 1583
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De voogd kan geen goederen van de minderjarige kopen, huren of pachten, zonder dat de kantonrechter de te sluiten overeenkomst goedkeurt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De voogd kan geen goederen van de minderjarige kopen, huren of pachten, zonder dat")
    thisalinea.textcontent.append("de kantonrechter de te sluiten overeenkomst goedkeurt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. In geval van openbare verkoop, ..."
    thisalinea.nativeID = 1585
    thisalinea.parentID = 1583
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. In geval van openbare verkoop, verhuur of verpachting moet de goedkeuring binnen een maand daarna zijn aangevraagd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. In geval van openbare verkoop, verhuur of verpachting moet de goedkeuring binnen een")
    thisalinea.textcontent.append("maand daarna zijn aangevraagd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 347"
    thisalinea.nativeID = 1586
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 566
    thisalinea.summary = "1. Een in strijd met artikel 345 of 346 verrichte rechtshandeling ten name van de minderjarige is vernietigbaar; op de vernietigingsgrond kan slechts een beroep worden gedaan van de zijde van de minderjarige. 2. Het vorige lid geldt niet voor een rechtshandeling anders dan om niet indien de wederpartij te goeder trouw was en voor een rechtshandeling die de minderjarige geen nadeel heeft berokkend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een in strijd met artikel ..."
    thisalinea.nativeID = 1587
    thisalinea.parentID = 1586
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een in strijd met artikel 345 of 346 verrichte rechtshandeling ten name van de minderjarige is vernietigbaar; op de vernietigingsgrond kan slechts een beroep worden gedaan van de zijde van de minderjarige. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een in strijd met artikel 345 of 346 verrichte rechtshandeling ten name van de")
    thisalinea.textcontent.append("minderjarige is vernietigbaar; op de vernietigingsgrond kan slechts een beroep worden")
    thisalinea.textcontent.append("gedaan van de zijde van de minderjarige.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het vorige lid geldt niet ..."
    thisalinea.nativeID = 1588
    thisalinea.parentID = 1586
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het vorige lid geldt niet voor een rechtshandeling anders dan om niet indien de wederpartij te goeder trouw was en voor een rechtshandeling die de minderjarige geen nadeel heeft berokkend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het vorige lid geldt niet voor een rechtshandeling anders dan om niet indien de")
    thisalinea.textcontent.append("wederpartij te goeder trouw was en voor een rechtshandeling die de minderjarige geen")
    thisalinea.textcontent.append("nadeel heeft berokkend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 348"
    thisalinea.nativeID = 1589
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 567
    thisalinea.summary = "1. De voogd kan, zonder dat de kantonrechter de te sluiten overeenkomst goedkeurt, geen inschuld ten laste van de minderjarige, noch enig beperkt recht op diens goederen van een derde verkrijgen. 2. Ontbreekt deze goedkeuring, dan is de overeenkomst nietig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De voogd kan, zonder dat ..."
    thisalinea.nativeID = 1590
    thisalinea.parentID = 1589
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De voogd kan, zonder dat de kantonrechter de te sluiten overeenkomst goedkeurt, geen inschuld ten laste van de minderjarige, noch enig beperkt recht op diens goederen van een derde verkrijgen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De voogd kan, zonder dat de kantonrechter de te sluiten overeenkomst goedkeurt, geen")
    thisalinea.textcontent.append("inschuld ten laste van de minderjarige, noch enig beperkt recht op diens goederen van")
    thisalinea.textcontent.append("een derde verkrijgen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Ontbreekt deze goedkeuring, dan is ..."
    thisalinea.nativeID = 1591
    thisalinea.parentID = 1589
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Ontbreekt deze goedkeuring, dan is de overeenkomst nietig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Ontbreekt deze goedkeuring, dan is de overeenkomst nietig.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 349"
    thisalinea.nativeID = 1592
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 568
    thisalinea.summary = "1. Een voogd die zonder machtiging van de kantonrechter voor de minderjarige als eiser in rechte optreedt of tegen een uitspraak beroep instelt, wordt niet-ontvankelijk verklaard. 2. De voogd mag niet zonder machtiging van de kantonrechter in een tegen de minderjarige ingestelde eis of in een gedane uitspraak berusten. 3. Hij kan, alvorens voor de minderjarige in rechte verweer te voeren of tegen een bij verstek gedane uitspraak verzet te doen, zich te zijner verantwoording doen machtigen door de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een voogd die zonder machtiging ..."
    thisalinea.nativeID = 1593
    thisalinea.parentID = 1592
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een voogd die zonder machtiging van de kantonrechter voor de minderjarige als eiser in rechte optreedt of tegen een uitspraak beroep instelt, wordt niet-ontvankelijk verklaard. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een voogd die zonder machtiging van de kantonrechter voor de minderjarige als eiser in")
    thisalinea.textcontent.append("rechte optreedt of tegen een uitspraak beroep instelt, wordt niet-ontvankelijk verklaard.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De voogd mag niet zonder ..."
    thisalinea.nativeID = 1594
    thisalinea.parentID = 1592
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De voogd mag niet zonder machtiging van de kantonrechter in een tegen de minderjarige ingestelde eis of in een gedane uitspraak berusten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De voogd mag niet zonder machtiging van de kantonrechter in een tegen de minderjarige")
    thisalinea.textcontent.append("ingestelde eis of in een gedane uitspraak berusten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Hij kan, alvorens voor de ..."
    thisalinea.nativeID = 1595
    thisalinea.parentID = 1592
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Hij kan, alvorens voor de minderjarige in rechte verweer te voeren of tegen een bij verstek gedane uitspraak verzet te doen, zich te zijner verantwoording doen machtigen door de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Hij kan, alvorens voor de minderjarige in rechte verweer te voeren of tegen een bij verstek")
    thisalinea.textcontent.append("gedane uitspraak verzet te doen, zich te zijner verantwoording doen machtigen door de")
    thisalinea.textcontent.append("kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 350"
    thisalinea.nativeID = 1596
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 569
    thisalinea.summary = "1. De voogd draagt zorg voor een doelmatige belegging van het vermogen van de minderjarige. 2. Hij behoeft voor elke belegging van gelden van de minderjarige machtiging van de kantonrechter. Nochtans mag hij, voor zover de kantonrechter niet anders bepaalt, zonder diens machtiging gelden ten name van de minderjarige beleggen bij een financiële onderneming als bedoeld in artikel 344, eerste lid, onderdeel b op rekeningen bestemd voor de belegging van gelden van minderjarigen, met het beding dat de gelden alleen worden terugbetaald met machtiging van de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De voogd draagt zorg voor ..."
    thisalinea.nativeID = 1597
    thisalinea.parentID = 1596
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De voogd draagt zorg voor een doelmatige belegging van het vermogen van de minderjarige. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De voogd draagt zorg voor een doelmatige belegging van het vermogen van de")
    thisalinea.textcontent.append("minderjarige.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij behoeft voor elke belegging ..."
    thisalinea.nativeID = 1598
    thisalinea.parentID = 1596
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij behoeft voor elke belegging van gelden van de minderjarige machtiging van de kantonrechter. Nochtans mag hij, voor zover de kantonrechter niet anders bepaalt, zonder diens machtiging gelden ten name van de minderjarige beleggen bij een financiële onderneming als bedoeld in artikel 344, eerste lid, onderdeel b op rekeningen bestemd voor de belegging van gelden van minderjarigen, met het beding dat de gelden alleen worden terugbetaald met machtiging van de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij behoeft voor elke belegging van gelden van de minderjarige machtiging van de")
    thisalinea.textcontent.append("kantonrechter. Nochtans mag hij, voor zover de kantonrechter niet anders bepaalt, zonder")
    thisalinea.textcontent.append("diens machtiging gelden ten name van de minderjarige beleggen bij een financiële")
    thisalinea.textcontent.append("onderneming als bedoeld in artikel 344, eerste lid, onderdeel b op rekeningen bestemd")
    thisalinea.textcontent.append("voor de belegging van gelden van minderjarigen, met het beding dat de gelden alleen")
    thisalinea.textcontent.append("worden terugbetaald met machtiging van de kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 351"
    thisalinea.nativeID = 1599
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 570
    thisalinea.summary = "1. Wanneer het vermogen van de minderjarige of een gedeelte daarvan in een onderneming van handel, landbouw of nijverheid is geplaatst, mag de voogd de zaken voor rekening, hetzij van de minderjarige alleen, hetzij van deze met anderen, niet voortzetten dan met machtiging van de kantonrechter. 2. Zonder machtiging van de kantonrechter mag de voogd een boedel, waartoe de minderjarige gerechtigd is, niet onverdeeld laten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer het vermogen van de ..."
    thisalinea.nativeID = 1600
    thisalinea.parentID = 1599
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer het vermogen van de minderjarige of een gedeelte daarvan in een onderneming van handel, landbouw of nijverheid is geplaatst, mag de voogd de zaken voor rekening, hetzij van de minderjarige alleen, hetzij van deze met anderen, niet voortzetten dan met machtiging van de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer het vermogen van de minderjarige of een gedeelte daarvan in een onderneming")
    thisalinea.textcontent.append("van handel, landbouw of nijverheid is geplaatst, mag de voogd de zaken voor rekening,")
    thisalinea.textcontent.append("hetzij van de minderjarige alleen, hetzij van deze met anderen, niet voortzetten dan met")
    thisalinea.textcontent.append("machtiging van de kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zonder machtiging van de kantonrechter ..."
    thisalinea.nativeID = 1601
    thisalinea.parentID = 1599
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zonder machtiging van de kantonrechter mag de voogd een boedel, waartoe de minderjarige gerechtigd is, niet onverdeeld laten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zonder machtiging van de kantonrechter mag de voogd een boedel, waartoe de")
    thisalinea.textcontent.append("minderjarige gerechtigd is, niet onverdeeld laten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 352"
    thisalinea.nativeID = 1602
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 571
    thisalinea.summary = "Ondanks het ontbreken der vereiste machtiging zijn handelingen, door de voogd verricht in strijd met artikel 350 of artikel 351, geldig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Ondanks het ontbreken der vereiste machtiging zijn handelingen, door de voogd verricht in")
    thisalinea.textcontent.append("strijd met artikel 350 of artikel 351, geldig.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 353"
    thisalinea.nativeID = 1603
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 572
    thisalinea.summary = "De voogd kan niet zonder machtiging van de kantonrechter van een de minderjarige toekomend aandeel in een ontbonden huwelijksgemeenschap afstand doen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De voogd kan niet zonder machtiging van de kantonrechter van een de minderjarige")
    thisalinea.textcontent.append("toekomend aandeel in een ontbonden huwelijksgemeenschap afstand doen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 354"
    thisalinea.nativeID = 1604
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 573
    thisalinea.summary = "De kantonrechter kan te allen tijde de voogd ten verhore doen oproepen. Deze is verplicht alle door de kantonrechter gewenste inlichtingen te verstrekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De kantonrechter kan te allen tijde de voogd ten verhore doen oproepen. Deze is verplicht")
    thisalinea.textcontent.append("alle door de kantonrechter gewenste inlichtingen te verstrekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 355"
    thisalinea.nativeID = 1605
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 574
    thisalinea.summary = "1. Aan een met het gezag belaste ouder of aan een ouder die alleen het bewind over het vermogen heeft en die aangifte heeft gedaan van zijn voornemen een huwelijk of een geregistreerd partnerschap aan te gaan, kan de kantonrechter opdragen binnen een bepaalde termijn een beschrijving van het vermogen van de kinderen op te maken en deze beschrijving of een afschrift daarvan ter griffie van de rechtbank in te leveren. 2. De artikelen 339, 340 en 341 van dit boek zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Aan een met het gezag ..."
    thisalinea.nativeID = 1606
    thisalinea.parentID = 1605
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Aan een met het gezag belaste ouder of aan een ouder die alleen het bewind over het vermogen heeft en die aangifte heeft gedaan van zijn voornemen een huwelijk of een geregistreerd partnerschap aan te gaan, kan de kantonrechter opdragen binnen een bepaalde termijn een beschrijving van het vermogen van de kinderen op te maken en deze beschrijving of een afschrift daarvan ter griffie van de rechtbank in te leveren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Aan een met het gezag belaste ouder of aan een ouder die alleen het bewind over het")
    thisalinea.textcontent.append("vermogen heeft en die aangifte heeft gedaan van zijn voornemen een huwelijk of een")
    thisalinea.textcontent.append("geregistreerd partnerschap aan te gaan, kan de kantonrechter opdragen binnen een")
    thisalinea.textcontent.append("bepaalde termijn een beschrijving van het vermogen van de kinderen op te maken en")
    thisalinea.textcontent.append("deze beschrijving of een afschrift daarvan ter griffie van de rechtbank in te leveren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De artikelen 339, 340 en ..."
    thisalinea.nativeID = 1607
    thisalinea.parentID = 1605
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De artikelen 339, 340 en 341 van dit boek zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De artikelen 339, 340 en 341 van dit boek zijn van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 356"
    thisalinea.nativeID = 1608
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 575
    thisalinea.summary = "1. Aanwijzingen en machtigingen, als in deze paragraaf bedoeld, geeft de kantonrechter slechts, indien dit hem in het belang van de minderjarige noodzakelijk, nuttig of wenselijk blijkt te zijn. Hij kan een bijzondere of een algemene machtiging geven en daaraan zodanige voorwaarden verbinden, als hij dienstig oordeelt. 2. Hij kan een gegeven aanwijzing of machtiging te allen tijde intrekken of de daaraan verbonden voorwaarden wijzigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Aanwijzingen en machtigingen, als in ..."
    thisalinea.nativeID = 1609
    thisalinea.parentID = 1608
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Aanwijzingen en machtigingen, als in deze paragraaf bedoeld, geeft de kantonrechter slechts, indien dit hem in het belang van de minderjarige noodzakelijk, nuttig of wenselijk blijkt te zijn. Hij kan een bijzondere of een algemene machtiging geven en daaraan zodanige voorwaarden verbinden, als hij dienstig oordeelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Aanwijzingen en machtigingen, als in deze paragraaf bedoeld, geeft de kantonrechter")
    thisalinea.textcontent.append("slechts, indien dit hem in het belang van de minderjarige noodzakelijk, nuttig of wenselijk")
    thisalinea.textcontent.append("blijkt te zijn. Hij kan een bijzondere of een algemene machtiging geven en daaraan")
    thisalinea.textcontent.append("zodanige voorwaarden verbinden, als hij dienstig oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij kan een gegeven aanwijzing ..."
    thisalinea.nativeID = 1610
    thisalinea.parentID = 1608
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij kan een gegeven aanwijzing of machtiging te allen tijde intrekken of de daaraan verbonden voorwaarden wijzigen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij kan een gegeven aanwijzing of machtiging te allen tijde intrekken of de daaraan")
    thisalinea.textcontent.append("verbonden voorwaarden wijzigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 357"
    thisalinea.nativeID = 1611
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 576
    thisalinea.summary = "Indien de kosten van een ten behoeve van een minderjarige bevolen maatregel bij rechterlijke beschikking te diens laste zijn gebracht, treedt - ingeval dientengevolge het vermogen van de minderjarige moet worden aangesproken - in de plaats van de bij artikel 345 van dit boek bedoelde machtiging van de kantonrechter, diens aanwijzing van de goederen die verkocht of bezwaard zullen worden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien de kosten van een ten behoeve van een minderjarige bevolen maatregel bij rechterlijke")
    thisalinea.textcontent.append("beschikking te diens laste zijn gebracht, treedt - ingeval dientengevolge het vermogen van de")
    thisalinea.textcontent.append("minderjarige moet worden aangesproken - in de plaats van de bij artikel 345 van dit boek")
    thisalinea.textcontent.append("bedoelde machtiging van de kantonrechter, diens aanwijzing van de goederen die verkocht of")
    thisalinea.textcontent.append("bezwaard zullen worden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 358"
    thisalinea.nativeID = 1612
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 577
    thisalinea.summary = "1. De voogd mag alle noodzakelijke, betamelijke en behoorlijk gerechtvaardigde uitgaven aan de minderjarige in rekening brengen. 2. Indien de kantonrechter een bedrag bepaalt, hetwelk jaarlijks mag worden besteed voor de verzorging en opvoeding van de minderjarige of voor de kosten van het beheer van diens vermogen, behoeft de voogd de besteding van dat bedrag niet gespecificeerd te verantwoorden. 3. De kantonrechter kan de voogd een beloning ten laste van de minderjarige toekennen, indien hij dit gezien de zwaarte van de last van het bewind redelijk acht. Buiten dit geval mag de voogd voor zichzelf geen loon berekenen, tenzij hem "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De voogd mag alle noodzakelijke, ..."
    thisalinea.nativeID = 1613
    thisalinea.parentID = 1612
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De voogd mag alle noodzakelijke, betamelijke en behoorlijk gerechtvaardigde uitgaven aan de minderjarige in rekening brengen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De voogd mag alle noodzakelijke, betamelijke en behoorlijk gerechtvaardigde uitgaven")
    thisalinea.textcontent.append("aan de minderjarige in rekening brengen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de kantonrechter een bedrag ..."
    thisalinea.nativeID = 1614
    thisalinea.parentID = 1612
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de kantonrechter een bedrag bepaalt, hetwelk jaarlijks mag worden besteed voor de verzorging en opvoeding van de minderjarige of voor de kosten van het beheer van diens vermogen, behoeft de voogd de besteding van dat bedrag niet gespecificeerd te verantwoorden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de kantonrechter een bedrag bepaalt, hetwelk jaarlijks mag worden besteed voor")
    thisalinea.textcontent.append("de verzorging en opvoeding van de minderjarige of voor de kosten van het beheer van")
    thisalinea.textcontent.append("diens vermogen, behoeft de voogd de besteding van dat bedrag niet gespecificeerd te")
    thisalinea.textcontent.append("verantwoorden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De kantonrechter kan de voogd ..."
    thisalinea.nativeID = 1615
    thisalinea.parentID = 1612
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De kantonrechter kan de voogd een beloning ten laste van de minderjarige toekennen, indien hij dit gezien de zwaarte van de last van het bewind redelijk acht. Buiten dit geval mag de voogd voor zichzelf geen loon berekenen, tenzij hem dat is toegekend bij de akte, waarbij hij door een ouder benoemd is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De kantonrechter kan de voogd een beloning ten laste van de minderjarige toekennen,")
    thisalinea.textcontent.append("indien hij dit gezien de zwaarte van de last van het bewind redelijk acht. Buiten dit geval")
    thisalinea.textcontent.append("mag de voogd voor zichzelf geen loon berekenen, tenzij hem dat is toegekend bij de akte,")
    thisalinea.textcontent.append("waarbij hij door een ouder benoemd is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 359"
    thisalinea.nativeID = 1616
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 578
    thisalinea.summary = "1. De kantonrechter kan te allen tijde op verzoek van de andere voogd of ambtshalve aan de voogd de verplichting opleggen jaarlijks of eens in de twee of drie jaren ter griffie van de rechtbank een rekening in te dienen van zijn bewind over de goederen van de minderjarige. 2. De datum voor de indiening van de rekening wordt door de kantonrechter bepaald. 3. Indien in het geval van gezamenlijke uitoefening van de voogdij een van de voogden de rekening alleen heeft ingediend, moet hij gelijktijdig een afschrift van de rekening aan de andere voogd doen toekomen. Deze kan binnen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kantonrechter kan te allen ..."
    thisalinea.nativeID = 1617
    thisalinea.parentID = 1616
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kantonrechter kan te allen tijde op verzoek van de andere voogd of ambtshalve aan de voogd de verplichting opleggen jaarlijks of eens in de twee of drie jaren ter griffie van de rechtbank een rekening in te dienen van zijn bewind over de goederen van de minderjarige. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kantonrechter kan te allen tijde op verzoek van de andere voogd of ambtshalve aan de")
    thisalinea.textcontent.append("voogd de verplichting opleggen jaarlijks of eens in de twee of drie jaren ter griffie van de")
    thisalinea.textcontent.append("rechtbank een rekening in te dienen van zijn bewind over de goederen van de")
    thisalinea.textcontent.append("minderjarige.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De datum voor de indiening ..."
    thisalinea.nativeID = 1618
    thisalinea.parentID = 1616
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De datum voor de indiening van de rekening wordt door de kantonrechter bepaald. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De datum voor de indiening van de rekening wordt door de kantonrechter bepaald.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien in het geval van ..."
    thisalinea.nativeID = 1619
    thisalinea.parentID = 1616
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien in het geval van gezamenlijke uitoefening van de voogdij een van de voogden de rekening alleen heeft ingediend, moet hij gelijktijdig een afschrift van de rekening aan de andere voogd doen toekomen. Deze kan binnen twee maanden bezwaren tegen de rekening bij de rechter indienen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien in het geval van gezamenlijke uitoefening van de voogdij een van de voogden de")
    thisalinea.textcontent.append("rekening alleen heeft ingediend, moet hij gelijktijdig een afschrift van de rekening aan de")
    thisalinea.textcontent.append("andere voogd doen toekomen. Deze kan binnen twee maanden bezwaren tegen de")
    thisalinea.textcontent.append("rekening bij de rechter indienen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 360"
    thisalinea.nativeID = 1620
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 579
    thisalinea.summary = "1. Bij verschil van mening omtrent de rekening kan de kantonrechter verbetering daarvan gelasten. 2. Hij kan een of meer deskundigen benoemen, ten einde de ingediende rekening te onderzoeken. 3. De kantonrechter kan de kosten van dit onderzoek, indien slecht bewind aan het licht is gekomen, geheel of ten dele ten laste van de voogd brengen. 4. De voogd ontvangt een afschrift van het door de deskundigen in te dienen schriftelijk bericht. 5. In geval van gezamenlijke uitoefening van de voogdij ontvangen beide voogden het in het vierde lid bedoelde afschrift en kan de rechter de in het derde lid "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Bij verschil van mening omtrent ..."
    thisalinea.nativeID = 1621
    thisalinea.parentID = 1620
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Bij verschil van mening omtrent de rekening kan de kantonrechter verbetering daarvan gelasten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Bij verschil van mening omtrent de rekening kan de kantonrechter verbetering daarvan")
    thisalinea.textcontent.append("gelasten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij kan een of meer ..."
    thisalinea.nativeID = 1622
    thisalinea.parentID = 1620
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij kan een of meer deskundigen benoemen, ten einde de ingediende rekening te onderzoeken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij kan een of meer deskundigen benoemen, ten einde de ingediende rekening te")
    thisalinea.textcontent.append("onderzoeken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De kantonrechter kan de kosten ..."
    thisalinea.nativeID = 1623
    thisalinea.parentID = 1620
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De kantonrechter kan de kosten van dit onderzoek, indien slecht bewind aan het licht is gekomen, geheel of ten dele ten laste van de voogd brengen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De kantonrechter kan de kosten van dit onderzoek, indien slecht bewind aan het licht is")
    thisalinea.textcontent.append("gekomen, geheel of ten dele ten laste van de voogd brengen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De voogd ontvangt een afschrift ..."
    thisalinea.nativeID = 1624
    thisalinea.parentID = 1620
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De voogd ontvangt een afschrift van het door de deskundigen in te dienen schriftelijk bericht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De voogd ontvangt een afschrift van het door de deskundigen in te dienen schriftelijk")
    thisalinea.textcontent.append("bericht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. In geval van gezamenlijke uitoefening ..."
    thisalinea.nativeID = 1625
    thisalinea.parentID = 1620
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. In geval van gezamenlijke uitoefening van de voogdij ontvangen beide voogden het in het vierde lid bedoelde afschrift en kan de rechter de in het derde lid bedoelde kosten ook ten laste van de voogden gezamenlijk brengen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. In geval van gezamenlijke uitoefening van de voogdij ontvangen beide voogden het in het")
    thisalinea.textcontent.append("vierde lid bedoelde afschrift en kan de rechter de in het derde lid bedoelde kosten ook ten")
    thisalinea.textcontent.append("laste van de voogden gezamenlijk brengen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 361"
    thisalinea.nativeID = 1626
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 580
    thisalinea.summary = "De periodiek door de voogd gedane rekening of een eensluidend afschrift daarvan blijft berusten ter griffie van de rechtbank. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De periodiek door de voogd gedane rekening of een eensluidend afschrift daarvan blijft")
    thisalinea.textcontent.append("berusten ter griffie van de rechtbank.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 362"
    thisalinea.nativeID = 1627
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 581
    thisalinea.summary = "De kantonrechter kan op verzoek van de andere voogd of ambtshalve de schade vaststellen, die blijkens de rekening de minderjarige door slecht bewind van de voogd geleden heeft, en deze laatste tot vergoeding daarvan veroordelen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De kantonrechter kan op verzoek van de andere voogd of ambtshalve de schade vaststellen,")
    thisalinea.textcontent.append("die blijkens de rekening de minderjarige door slecht bewind van de voogd geleden heeft, en")
    thisalinea.textcontent.append("deze laatste tot vergoeding daarvan veroordelen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 363"
    thisalinea.nativeID = 1628
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 582
    thisalinea.summary = "1. De kantonrechter kan te allen tijde bevelen dat de voogd voor zijn bewind zekerheid stelt. Hij stelt het bedrag en de aard van de zekerheid vast. Inpandgeving van effecten aan toonder van de voogd geschiedt door hun inbewaargeving bij de Nederlandsche Bank. 2. De kantonrechter bepaalt een redelijke termijn, binnen welke de voogd hem te zijnen genoegen moet aantonen dat hij de van hem verlangde zekerheid gesteld heeft. 3. De kantonrechter kan de voogd toestaan een gestelde zekerheid door een andere te vervangen. Indien het belang van de voogd het vervallen van een gestelde zekerheid volstrekt eist of handhaving "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kantonrechter kan te allen ..."
    thisalinea.nativeID = 1629
    thisalinea.parentID = 1628
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kantonrechter kan te allen tijde bevelen dat de voogd voor zijn bewind zekerheid stelt. Hij stelt het bedrag en de aard van de zekerheid vast. Inpandgeving van effecten aan toonder van de voogd geschiedt door hun inbewaargeving bij de Nederlandsche Bank. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kantonrechter kan te allen tijde bevelen dat de voogd voor zijn bewind zekerheid stelt.")
    thisalinea.textcontent.append("Hij stelt het bedrag en de aard van de zekerheid vast. Inpandgeving van effecten aan")
    thisalinea.textcontent.append("toonder van de voogd geschiedt door hun inbewaargeving bij de Nederlandsche Bank.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kantonrechter bepaalt een redelijke ..."
    thisalinea.nativeID = 1630
    thisalinea.parentID = 1628
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kantonrechter bepaalt een redelijke termijn, binnen welke de voogd hem te zijnen genoegen moet aantonen dat hij de van hem verlangde zekerheid gesteld heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kantonrechter bepaalt een redelijke termijn, binnen welke de voogd hem te zijnen")
    thisalinea.textcontent.append("genoegen moet aantonen dat hij de van hem verlangde zekerheid gesteld heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De kantonrechter kan de voogd ..."
    thisalinea.nativeID = 1631
    thisalinea.parentID = 1628
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De kantonrechter kan de voogd toestaan een gestelde zekerheid door een andere te vervangen. Indien het belang van de voogd het vervallen van een gestelde zekerheid volstrekt eist of handhaving daarvan niet nodig is, kan de kantonrechter hem machtigen daarvan namens de minderjarige afstand te doen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De kantonrechter kan de voogd toestaan een gestelde zekerheid door een andere te")
    thisalinea.textcontent.append("vervangen. Indien het belang van de voogd het vervallen van een gestelde zekerheid")
    thisalinea.textcontent.append("volstrekt eist of handhaving daarvan niet nodig is, kan de kantonrechter hem machtigen")
    thisalinea.textcontent.append("daarvan namens de minderjarige afstand te doen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 364"
    thisalinea.nativeID = 1632
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 583
    thisalinea.summary = "1. De door de voogd gestelde zekerheid houdt op, zodra zijn rekening en verantwoording is goedgekeurd, of zodra de rechtsvorderingen die zijn bewind betreffen overeenkomstig artikel 377 van dit boek verjaard zijn. 2. Alsdan worden op kosten van de minderjarige hypothecaire inschrijvingen doorgehaald en pandrechten op inschrijvingen in de schuldregisters voor geldleningen ten laste van het Rijk opgeheven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De door de voogd gestelde ..."
    thisalinea.nativeID = 1633
    thisalinea.parentID = 1632
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De door de voogd gestelde zekerheid houdt op, zodra zijn rekening en verantwoording is goedgekeurd, of zodra de rechtsvorderingen die zijn bewind betreffen overeenkomstig artikel 377 van dit boek verjaard zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De door de voogd gestelde zekerheid houdt op, zodra zijn rekening en verantwoording is")
    thisalinea.textcontent.append("goedgekeurd, of zodra de rechtsvorderingen die zijn bewind betreffen overeenkomstig")
    thisalinea.textcontent.append("artikel 377 van dit boek verjaard zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Alsdan worden op kosten van ..."
    thisalinea.nativeID = 1634
    thisalinea.parentID = 1632
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Alsdan worden op kosten van de minderjarige hypothecaire inschrijvingen doorgehaald en pandrechten op inschrijvingen in de schuldregisters voor geldleningen ten laste van het Rijk opgeheven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Alsdan worden op kosten van de minderjarige hypothecaire inschrijvingen doorgehaald en")
    thisalinea.textcontent.append("pandrechten op inschrijvingen in de schuldregisters voor geldleningen ten laste van het")
    thisalinea.textcontent.append("Rijk opgeheven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 365"
    thisalinea.nativeID = 1635
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 584
    thisalinea.summary = "Indien de voogd in gebreke blijft: kan de kantonrechter de raad voor de kinderbescherming hiermede in kennis stellen. a. gehoor te geven aan een oproeping van de kantonrechter om voor hem te verschijnen; b. een boedelbeschrijving of een verklaring als bedoeld in artikel 339 van dit boek in te leveren; c. op de door de kantonrechter bepaalde datum zijn periodieke rekening in te dienen; d. aan de minderjarige toebehorende spaarbankboekjes, gelden, of toondereffecten die hij niet te diens name heeft doen stellen, op de voorgeschreven wijze te bewaren; e. de kantonrechter het bewijs te leveren, dat hij een van hem "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien de voogd in gebreke blijft:")
    thisalinea.textcontent.append("kan de kantonrechter de raad voor de kinderbescherming hiermede in kennis stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. gehoor te geven aan een ..."
    thisalinea.nativeID = 1636
    thisalinea.parentID = 1635
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. gehoor te geven aan een oproeping van de kantonrechter om voor hem te verschijnen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. gehoor te geven aan een oproeping van de kantonrechter om voor hem te")
    thisalinea.textcontent.append("verschijnen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. een boedelbeschrijving of een verklaring ..."
    thisalinea.nativeID = 1637
    thisalinea.parentID = 1635
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een boedelbeschrijving of een verklaring als bedoeld in artikel 339 van dit boek in te leveren; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een boedelbeschrijving of een verklaring als bedoeld in artikel 339 van dit boek in te")
    thisalinea.textcontent.append("leveren;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "c. op de door de kantonrechter ..."
    thisalinea.nativeID = 1638
    thisalinea.parentID = 1635
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. op de door de kantonrechter bepaalde datum zijn periodieke rekening in te dienen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. op de door de kantonrechter bepaalde datum zijn periodieke rekening in te dienen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "d. aan de minderjarige toebehorende spaarbankboekjes, ..."
    thisalinea.nativeID = 1639
    thisalinea.parentID = 1635
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. aan de minderjarige toebehorende spaarbankboekjes, gelden, of toondereffecten die hij niet te diens name heeft doen stellen, op de voorgeschreven wijze te bewaren; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. aan de minderjarige toebehorende spaarbankboekjes, gelden, of toondereffecten die")
    thisalinea.textcontent.append("hij niet te diens name heeft doen stellen, op de voorgeschreven wijze te bewaren;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "e. de kantonrechter het bewijs te ..."
    thisalinea.nativeID = 1640
    thisalinea.parentID = 1635
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. de kantonrechter het bewijs te leveren, dat hij een van hem verlangde zekerheid gesteld heeft; of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. de kantonrechter het bewijs te leveren, dat hij een van hem verlangde zekerheid")
    thisalinea.textcontent.append("gesteld heeft; of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "f. de schadevergoeding te betalen, waartoe ..."
    thisalinea.nativeID = 1641
    thisalinea.parentID = 1635
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "f. de schadevergoeding te betalen, waartoe de kantonrechter hem ingevolge artikel 362 van dit boek veroordeeld heeft, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("f. de schadevergoeding te betalen, waartoe de kantonrechter hem ingevolge artikel 362")
    thisalinea.textcontent.append("van dit boek veroordeeld heeft,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 366"
    thisalinea.nativeID = 1642
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 585
    thisalinea.summary = "Insgelijks kan de kantonrechter de raad voor de kinderbescherming ermede in kennis stellen, dat: a. de voogd in gevallen, waarin hij machtiging van de kantonrechter behoeft, zijn bewind eigenmachtig voert; b. hij zich in zijn bewind aan ontrouw, plichtsverzuim of misbruik van bevoegdheid blijkt te hebben schuldig gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Insgelijks kan de kantonrechter de raad voor de kinderbescherming ermede in kennis stellen,")
    thisalinea.textcontent.append("dat:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. de voogd in gevallen, waarin ..."
    thisalinea.nativeID = 1643
    thisalinea.parentID = 1642
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de voogd in gevallen, waarin hij machtiging van de kantonrechter behoeft, zijn bewind eigenmachtig voert; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de voogd in gevallen, waarin hij machtiging van de kantonrechter behoeft, zijn bewind")
    thisalinea.textcontent.append("eigenmachtig voert;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. hij zich in zijn bewind ..."
    thisalinea.nativeID = 1644
    thisalinea.parentID = 1642
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. hij zich in zijn bewind aan ontrouw, plichtsverzuim of misbruik van bevoegdheid blijkt te hebben schuldig gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. hij zich in zijn bewind aan ontrouw, plichtsverzuim of misbruik van bevoegdheid blijkt")
    thisalinea.textcontent.append("te hebben schuldig gemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 367"
    thisalinea.nativeID = 1645
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 586
    thisalinea.summary = "De raad voor de kinderbescherming die van de kantonrechter zodanige mededeling ontvangt, onderwerpt, na onderzoek van de overige gedragingen van de voogd jegens de minderjarige, binnen zes weken na de dagtekening van die mededeling aan het oordeel van de rechtbank de vraag, of beëindiging van de voogdij op grond van artikel 327 van dit boek moet volgen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De raad voor de kinderbescherming die van de kantonrechter zodanige mededeling ontvangt,")
    thisalinea.textcontent.append("onderwerpt, na onderzoek van de overige gedragingen van de voogd jegens de minderjarige,")
    thisalinea.textcontent.append("binnen zes weken na de dagtekening van die mededeling aan het oordeel van de rechtbank")
    thisalinea.textcontent.append("de vraag, of beëindiging van de voogdij op grond van artikel 327 van dit boek moet volgen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 368"
    thisalinea.nativeID = 1646
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 587
    thisalinea.summary = "[Vervallen per 02-11-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 02-11-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 369"
    thisalinea.nativeID = 1647
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 588
    thisalinea.summary = "1. Indien minderjarigen die onder voogdij van verschillende voogden staan, goederen gemeen hebben, kan de kantonrechter van de woonplaats van een der minderjarigen een van de voogden of een derde aanwijzen om over deze goederen tot de verdeling het bewind te voeren. De aangewezen bewindvoerder stelt de door de rechter van hem verlangde waarborgen. 2. Komt de in het eerste lid omschreven bevoegdheid aan verschillende rechters toe, dan vervalt deze, nadat een van hen daarvan heeft gebruik gemaakt. 3. Op het bewind zijn de bepalingen omtrent het bewind van een voogd van overeenkomstige toepassing. De bewindvoerder is bij uitsluiting bevoegd "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien minderjarigen die onder voogdij ..."
    thisalinea.nativeID = 1648
    thisalinea.parentID = 1647
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien minderjarigen die onder voogdij van verschillende voogden staan, goederen gemeen hebben, kan de kantonrechter van de woonplaats van een der minderjarigen een van de voogden of een derde aanwijzen om over deze goederen tot de verdeling het bewind te voeren. De aangewezen bewindvoerder stelt de door de rechter van hem verlangde waarborgen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien minderjarigen die onder voogdij van verschillende voogden staan, goederen")
    thisalinea.textcontent.append("gemeen hebben, kan de kantonrechter van de woonplaats van een der minderjarigen een")
    thisalinea.textcontent.append("van de voogden of een derde aanwijzen om over deze goederen tot de verdeling het")
    thisalinea.textcontent.append("bewind te voeren. De aangewezen bewindvoerder stelt de door de rechter van hem")
    thisalinea.textcontent.append("verlangde waarborgen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Komt de in het eerste ..."
    thisalinea.nativeID = 1649
    thisalinea.parentID = 1647
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Komt de in het eerste lid omschreven bevoegdheid aan verschillende rechters toe, dan vervalt deze, nadat een van hen daarvan heeft gebruik gemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Komt de in het eerste lid omschreven bevoegdheid aan verschillende rechters toe, dan")
    thisalinea.textcontent.append("vervalt deze, nadat een van hen daarvan heeft gebruik gemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Op het bewind zijn de ..."
    thisalinea.nativeID = 1650
    thisalinea.parentID = 1647
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Op het bewind zijn de bepalingen omtrent het bewind van een voogd van overeenkomstige toepassing. De bewindvoerder is bij uitsluiting bevoegd tot vernietiging van rechtshandelingen van de minderjarige, strekkend tot beheer of beschikking met betrekking tot de onder bewind staande goederen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Op het bewind zijn de bepalingen omtrent het bewind van een voogd van")
    thisalinea.textcontent.append("overeenkomstige toepassing. De bewindvoerder is bij uitsluiting bevoegd tot vernietiging")
    thisalinea.textcontent.append("van rechtshandelingen van de minderjarige, strekkend tot beheer of beschikking met")
    thisalinea.textcontent.append("betrekking tot de onder bewind staande goederen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 370"
    thisalinea.nativeID = 1651
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 589
    thisalinea.summary = "van de minderjarige of ten behoeve van het beheer van diens niet onder het bewind gestelde goederen. Hij kan deze beschikkingen te allen tijde op verzoek van een voogd of de bewindvoerder, of ambtshalve wijzigen. 1. De kantonrechter kan op verzoek van de voogd of ambtshalve, het vermogen van de minderjarige of een deel daarvan, met inbegrip van de vruchten, voor de duur van diens minderjarigheid onder bewind stellen, indien hij dit in het belang van de minderjarige nodig oordeelt. In geval van gezamenlijke uitoefening van de voogdij wordt tot onderbewindstelling slechts beslist indien het verzoek door beide voogden gezamenlijk "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("van de minderjarige of ten behoeve van het beheer van diens niet onder het bewind")
    thisalinea.textcontent.append("gestelde goederen. Hij kan deze beschikkingen te allen tijde op verzoek van een voogd of")
    thisalinea.textcontent.append("de bewindvoerder, of ambtshalve wijzigen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kantonrechter kan op verzoek ..."
    thisalinea.nativeID = 1652
    thisalinea.parentID = 1651
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kantonrechter kan op verzoek van de voogd of ambtshalve, het vermogen van de minderjarige of een deel daarvan, met inbegrip van de vruchten, voor de duur van diens minderjarigheid onder bewind stellen, indien hij dit in het belang van de minderjarige nodig oordeelt. In geval van gezamenlijke uitoefening van de voogdij wordt tot onderbewindstelling slechts beslist indien het verzoek door beide voogden gezamenlijk wordt gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kantonrechter kan op verzoek van de voogd of ambtshalve, het vermogen van de")
    thisalinea.textcontent.append("minderjarige of een deel daarvan, met inbegrip van de vruchten, voor de duur van diens")
    thisalinea.textcontent.append("minderjarigheid onder bewind stellen, indien hij dit in het belang van de minderjarige nodig")
    thisalinea.textcontent.append("oordeelt. In geval van gezamenlijke uitoefening van de voogdij wordt tot")
    thisalinea.textcontent.append("onderbewindstelling slechts beslist indien het verzoek door beide voogden gezamenlijk")
    thisalinea.textcontent.append("wordt gedaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kantonrechter benoemt de bewindvoerder ..."
    thisalinea.nativeID = 1653
    thisalinea.parentID = 1651
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kantonrechter benoemt de bewindvoerder en bepaalt het aan deze toekomende loon. Hij kan bij de instelling van het bewind bepalen dat de voogd de door de onderbewindstelling veroorzaakte kosten, met inbegrip van het loon, geheel of gedeeltelijk aan de minderjarige moet vergoeden, alsmede dat de voogd, behoudens zijn verhaal op de bewindvoerder, voor diens verrichtingen aansprakelijk is jegens de minderjarige. In geval van gezamenlijke uitoefening van de voogdij worden deze verplichtingen opgelegd aan beide voogden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kantonrechter benoemt de bewindvoerder en bepaalt het aan deze toekomende loon.")
    thisalinea.textcontent.append("Hij kan bij de instelling van het bewind bepalen dat de voogd de door de")
    thisalinea.textcontent.append("onderbewindstelling veroorzaakte kosten, met inbegrip van het loon, geheel of gedeeltelijk")
    thisalinea.textcontent.append("aan de minderjarige moet vergoeden, alsmede dat de voogd, behoudens zijn verhaal op")
    thisalinea.textcontent.append("de bewindvoerder, voor diens verrichtingen aansprakelijk is jegens de minderjarige. In")
    thisalinea.textcontent.append("geval van gezamenlijke uitoefening van de voogdij worden deze verplichtingen opgelegd")
    thisalinea.textcontent.append("aan beide voogden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Op het bewind zijn de ..."
    thisalinea.nativeID = 1654
    thisalinea.parentID = 1651
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Op het bewind zijn de bepalingen omtrent het bewind van een voogd van overeenkomstige toepassing. De bewindvoerder is bij uitsluiting bevoegd tot vernietiging van rechtshandelingen van de minderjarige, strekkend tot beheer of beschikking met betrekking tot de onder bewind staande goederen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Op het bewind zijn de bepalingen omtrent het bewind van een voogd van")
    thisalinea.textcontent.append("overeenkomstige toepassing. De bewindvoerder is bij uitsluiting bevoegd tot vernietiging")
    thisalinea.textcontent.append("van rechtshandelingen van de minderjarige, strekkend tot beheer of beschikking met")
    thisalinea.textcontent.append("betrekking tot de onder bewind staande goederen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De kantonrechter bepaalt welke uitkeringen ..."
    thisalinea.nativeID = 1655
    thisalinea.parentID = 1651
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De kantonrechter bepaalt welke uitkeringen de bewindvoerder uit de onder het bewind gestelde goederen en de vruchten daarvan aan de voogd en bij gezamenlijke uitoefening van de voogdij aan de voogden, moet doen ten behoeve van de verzorging en opvoeding "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De kantonrechter bepaalt welke uitkeringen de bewindvoerder uit de onder het bewind")
    thisalinea.textcontent.append("gestelde goederen en de vruchten daarvan aan de voogd en bij gezamenlijke uitoefening")
    thisalinea.textcontent.append("van de voogdij aan de voogden, moet doen ten behoeve van de verzorging en opvoeding")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De bewindvoerder is verplicht aan ..."
    thisalinea.nativeID = 1656
    thisalinea.parentID = 1651
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De bewindvoerder is verplicht aan de kantonrechter te allen tijde alle door deze gewenste inlichtingen te verstrekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De bewindvoerder is verplicht aan de kantonrechter te allen tijde alle door deze gewenste")
    thisalinea.textcontent.append("inlichtingen te verstrekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Hij is voorts verplicht jaarlijks ..."
    thisalinea.nativeID = 1657
    thisalinea.parentID = 1651
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Hij is voorts verplicht jaarlijks en aan het einde van zijn bewind aan de voogd, en bij gezamenlijke uitoefening van de voogdij aan de voogden, de meerderjarig gewordene of de erfgenamen van de minderjarige, wanneer deze overleden is, ten overstaan van de kantonrechter rekening en verantwoording af te leggen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Hij is voorts verplicht jaarlijks en aan het einde van zijn bewind aan de voogd, en bij")
    thisalinea.textcontent.append("gezamenlijke uitoefening van de voogdij aan de voogden, de meerderjarig gewordene of")
    thisalinea.textcontent.append("de erfgenamen van de minderjarige, wanneer deze overleden is, ten overstaan van de")
    thisalinea.textcontent.append("kantonrechter rekening en verantwoording af te leggen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Geschillen die bij de rekening ..."
    thisalinea.nativeID = 1658
    thisalinea.parentID = 1651
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Geschillen die bij de rekening en verantwoording rijzen, beslist de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Geschillen die bij de rekening en verantwoording rijzen, beslist de kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. Blijft een der partijen in ..."
    thisalinea.nativeID = 1659
    thisalinea.parentID = 1651
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. Blijft een der partijen in gebreke tot deze aflegging van rekening en verantwoording mede te werken, dan zijn de artikelen 771 en volgende van het Wetboek van Burgerlijke Rechtsvordering van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. Blijft een der partijen in gebreke tot deze aflegging van rekening en verantwoording mede")
    thisalinea.textcontent.append("te werken, dan zijn de artikelen 771 en volgende van het Wetboek van Burgerlijke")
    thisalinea.textcontent.append("Rechtsvordering van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "9. De kantonrechter kan te allen ..."
    thisalinea.nativeID = 1660
    thisalinea.parentID = 1651
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "9. De kantonrechter kan te allen tijde op verzoek van de bewindvoerder, een voogd of ambtshalve het bewind opheffen of de bewindvoerder ontslaan en door een ander vervangen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("9. De kantonrechter kan te allen tijde op verzoek van de bewindvoerder, een voogd of")
    thisalinea.textcontent.append("ambtshalve het bewind opheffen of de bewindvoerder ontslaan en door een ander")
    thisalinea.textcontent.append("vervangen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 371"
    thisalinea.nativeID = 1661
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 590
    thisalinea.summary = "De voogd is verplicht ter griffie van de rechtbank kennis te geven van elke verandering in zijn woonplaats. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De voogd is verplicht ter griffie van de rechtbank kennis te geven van elke verandering in zijn")
    thisalinea.textcontent.append("woonplaats.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 371a"
    thisalinea.nativeID = 1662
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 591
    thisalinea.summary = "1. De griffier van het gerecht dat een voogd benoemt, doet daarvan onverwijld mededeling aan de kantonrechter van de rechtbank van het arrondissement waarin de woonplaats van de voogd is gelegen. 2. Woont de voogd niet meer in het arrondissement of is hij opgevolgd door een voogd in een ander arrondissement, dan zendt de griffier onverwijld de voogdijbescheiden naar de griffier van het arrondissement waar de voogd of opvolgende voogd woonplaats heeft, onder opgave van diens adres. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De griffier van het gerecht ..."
    thisalinea.nativeID = 1663
    thisalinea.parentID = 1662
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De griffier van het gerecht dat een voogd benoemt, doet daarvan onverwijld mededeling aan de kantonrechter van de rechtbank van het arrondissement waarin de woonplaats van de voogd is gelegen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De griffier van het gerecht dat een voogd benoemt, doet daarvan onverwijld mededeling")
    thisalinea.textcontent.append("aan de kantonrechter van de rechtbank van het arrondissement waarin de woonplaats")
    thisalinea.textcontent.append("van de voogd is gelegen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Woont de voogd niet meer ..."
    thisalinea.nativeID = 1664
    thisalinea.parentID = 1662
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Woont de voogd niet meer in het arrondissement of is hij opgevolgd door een voogd in een ander arrondissement, dan zendt de griffier onverwijld de voogdijbescheiden naar de griffier van het arrondissement waar de voogd of opvolgende voogd woonplaats heeft, onder opgave van diens adres. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Woont de voogd niet meer in het arrondissement of is hij opgevolgd door een voogd in")
    thisalinea.textcontent.append("een ander arrondissement, dan zendt de griffier onverwijld de voogdijbescheiden naar de")
    thisalinea.textcontent.append("griffier van het arrondissement waar de voogd of opvolgende voogd woonplaats heeft,")
    thisalinea.textcontent.append("onder opgave van diens adres.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "§ 11. De rekening en verantwoording bij het einde van de voogdij"
    thisalinea.nativeID = 1665
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 592
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 372"
    thisalinea.nativeID = 1666
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 593
    thisalinea.summary = "Na het einde van zijn bewind doet de voogd daarvan onverwijld rekening en verantwoording. De kosten worden door de voogd betaald. Zij komen echter ten laste van de minderjarige. Voor zover de kosten niet op de minderjarige kunnen worden verhaald, komen zij ten laste van de ouders, en, zo zij ook op hen niet kunnen worden verhaald, ten laste van de Staat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Na het einde van zijn bewind doet de voogd daarvan onverwijld rekening en verantwoording.")
    thisalinea.textcontent.append("De kosten worden door de voogd betaald. Zij komen echter ten laste van de minderjarige.")
    thisalinea.textcontent.append("Voor zover de kosten niet op de minderjarige kunnen worden verhaald, komen zij ten laste")
    thisalinea.textcontent.append("van de ouders, en, zo zij ook op hen niet kunnen worden verhaald, ten laste van de Staat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 373"
    thisalinea.nativeID = 1667
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 594
    thisalinea.summary = "1. Deze rekening en verantwoording doet de voogd hetzij aan de meerderjarig gewordene, hetzij aan de erfgenamen van de minderjarige, wanneer deze overleden is, hetzij aan zijn opvolger in het bewind. 2. Indien de gezamenlijke uitoefening van de voogdij is geëindigd en als gevolg daarvan het gezag wordt uitgeoefend door een van de voogden alleen, doet degene wiens voogdij geëindigd is rekening en verantwoording aan degene die de voogdij alleen uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Deze rekening en verantwoording doet ..."
    thisalinea.nativeID = 1668
    thisalinea.parentID = 1667
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Deze rekening en verantwoording doet de voogd hetzij aan de meerderjarig gewordene, hetzij aan de erfgenamen van de minderjarige, wanneer deze overleden is, hetzij aan zijn opvolger in het bewind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Deze rekening en verantwoording doet de voogd hetzij aan de meerderjarig gewordene,")
    thisalinea.textcontent.append("hetzij aan de erfgenamen van de minderjarige, wanneer deze overleden is, hetzij aan zijn")
    thisalinea.textcontent.append("opvolger in het bewind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de gezamenlijke uitoefening van ..."
    thisalinea.nativeID = 1669
    thisalinea.parentID = 1667
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de gezamenlijke uitoefening van de voogdij is geëindigd en als gevolg daarvan het gezag wordt uitgeoefend door een van de voogden alleen, doet degene wiens voogdij geëindigd is rekening en verantwoording aan degene die de voogdij alleen uitoefent. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de gezamenlijke uitoefening van de voogdij is geëindigd en als gevolg daarvan het")
    thisalinea.textcontent.append("gezag wordt uitgeoefend door een van de voogden alleen, doet degene wiens voogdij")
    thisalinea.textcontent.append("geëindigd is rekening en verantwoording aan degene die de voogdij alleen uitoefent.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 374"
    thisalinea.nativeID = 1670
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 595
    thisalinea.summary = "1. Bedoelde rekening en verantwoording wordt afgelegd ten overstaan van de kantonrechter, binnen wiens rechtsgebied de voogd wiens bewind eindigt woonplaats heeft. 2. Geschillen, die bij de aflegging van de rekening en verantwoording mochten rijzen, beslist de kantonrechter. 3. Blijft een der partijen in gebreke tot deze aflegging van rekening en verantwoording mede te werken, dan zijn de artikelen 771 en volgende van het Wetboek van Burgerlijke Rechtsvordering van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Bedoelde rekening en verantwoording wordt ..."
    thisalinea.nativeID = 1671
    thisalinea.parentID = 1670
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Bedoelde rekening en verantwoording wordt afgelegd ten overstaan van de kantonrechter, binnen wiens rechtsgebied de voogd wiens bewind eindigt woonplaats heeft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Bedoelde rekening en verantwoording wordt afgelegd ten overstaan van de kantonrechter,")
    thisalinea.textcontent.append("binnen wiens rechtsgebied de voogd wiens bewind eindigt woonplaats heeft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Geschillen, die bij de aflegging ..."
    thisalinea.nativeID = 1672
    thisalinea.parentID = 1670
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Geschillen, die bij de aflegging van de rekening en verantwoording mochten rijzen, beslist de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Geschillen, die bij de aflegging van de rekening en verantwoording mochten rijzen, beslist")
    thisalinea.textcontent.append("de kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Blijft een der partijen in ..."
    thisalinea.nativeID = 1673
    thisalinea.parentID = 1670
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Blijft een der partijen in gebreke tot deze aflegging van rekening en verantwoording mede te werken, dan zijn de artikelen 771 en volgende van het Wetboek van Burgerlijke Rechtsvordering van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Blijft een der partijen in gebreke tot deze aflegging van rekening en verantwoording mede")
    thisalinea.textcontent.append("te werken, dan zijn de artikelen 771 en volgende van het Wetboek van Burgerlijke")
    thisalinea.textcontent.append("Rechtsvordering van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 375"
    thisalinea.nativeID = 1674
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 596
    thisalinea.summary = "Een rechtshandeling die de meerderjarig gewordene betreffende de voogdij of de voogdijrekening richt tot of verricht met de voogd, is vernietigbaar, indien zij geschiedt vóór het afleggen van de rekening en verantwoording; alleen van de zijde van de meerderjarig gewordene kan een beroep op de vernietigingsgrond worden gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een rechtshandeling die de meerderjarig gewordene betreffende de voogdij of de")
    thisalinea.textcontent.append("voogdijrekening richt tot of verricht met de voogd, is vernietigbaar, indien zij geschiedt vóór")
    thisalinea.textcontent.append("het afleggen van de rekening en verantwoording; alleen van de zijde van de meerderjarig")
    thisalinea.textcontent.append("gewordene kan een beroep op de vernietigingsgrond worden gedaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 376"
    thisalinea.nativeID = 1675
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 597
    thisalinea.summary = "Wat de minderjarige aan de voogd schuldig blijft, draagt geen rente, zolang hij niet - na het sluiten der rekening - met de voldoening van het verschuldigde in verzuim is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Wat de minderjarige aan de voogd schuldig blijft, draagt geen rente, zolang hij niet - na het")
    thisalinea.textcontent.append("sluiten der rekening - met de voldoening van het verschuldigde in verzuim is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 377"
    thisalinea.nativeID = 1676
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 598
    thisalinea.summary = "Elke rechtsvordering op grond van het gevoerde voogdijbewind - zowel van de zijde van de minderjarige als van die van de voogd - verjaart door verloop van vijf jaren na de dag, waarop de voogdij van laatstgenoemde is geëindigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Elke rechtsvordering op grond van het gevoerde voogdijbewind - zowel van de zijde van de")
    thisalinea.textcontent.append("minderjarige als van die van de voogd - verjaart door verloop van vijf jaren na de dag, waarop")
    thisalinea.textcontent.append("de voogdij van laatstgenoemde is geëindigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 15. Omgang en informatie"
    thisalinea.nativeID = 1677
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 599
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 377a"
    thisalinea.nativeID = 1678
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 600
    thisalinea.summary = "1. Het kind heeft het recht op omgang met zijn ouders en met degene die in een nauwe persoonlijke betrekking tot hem staat. De niet met het gezag belaste ouder heeft het recht op en de verplichting tot omgang met zijn kind. 2. De rechter stelt op verzoek van de ouders of van een van hen of degene die in een nauwe persoonlijke betrekking staat tot het kind, al dan niet voor bepaalde tijd, een regeling inzake de uitoefening van het omgangsrecht vast dan wel ontzegt, al dan niet voor bepaalde tijd, het recht op omgang. 3. De rechter ontzegt "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het kind heeft het recht ..."
    thisalinea.nativeID = 1679
    thisalinea.parentID = 1678
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het kind heeft het recht op omgang met zijn ouders en met degene die in een nauwe persoonlijke betrekking tot hem staat. De niet met het gezag belaste ouder heeft het recht op en de verplichting tot omgang met zijn kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het kind heeft het recht op omgang met zijn ouders en met degene die in een nauwe")
    thisalinea.textcontent.append("persoonlijke betrekking tot hem staat. De niet met het gezag belaste ouder heeft het recht")
    thisalinea.textcontent.append("op en de verplichting tot omgang met zijn kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechter stelt op verzoek ..."
    thisalinea.nativeID = 1680
    thisalinea.parentID = 1678
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechter stelt op verzoek van de ouders of van een van hen of degene die in een nauwe persoonlijke betrekking staat tot het kind, al dan niet voor bepaalde tijd, een regeling inzake de uitoefening van het omgangsrecht vast dan wel ontzegt, al dan niet voor bepaalde tijd, het recht op omgang. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechter stelt op verzoek van de ouders of van een van hen of degene die in een nauwe")
    thisalinea.textcontent.append("persoonlijke betrekking staat tot het kind, al dan niet voor bepaalde tijd, een regeling")
    thisalinea.textcontent.append("inzake de uitoefening van het omgangsrecht vast dan wel ontzegt, al dan niet voor")
    thisalinea.textcontent.append("bepaalde tijd, het recht op omgang.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechter ontzegt het recht ..."
    thisalinea.nativeID = 1681
    thisalinea.parentID = 1678
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechter ontzegt het recht op omgang slechts, indien: a. omgang ernstig nadeel zou opleveren voor de geestelijke of lichamelijke ontwikkeling van het kind, of b. de ouder of degene die in een nauwe persoonlijke betrekking staat tot het kind kennelijk ongeschikt of kennelijk niet in staat moet worden geacht tot omgang, of c. het kind dat twaalf jaren of ouder is, bij zijn verhoor van ernstige bezwaren tegen omgang met zijn ouder of met degene met wie hij in een nauwe persoonlijke betrekking staat heeft doen blijken, of d. omgang anderszins in strijd is met zwaarwegende belangen van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechter ontzegt het recht op omgang slechts, indien:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. omgang ernstig nadeel zou opleveren ..."
    thisalinea.nativeID = 1682
    thisalinea.parentID = 1681
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. omgang ernstig nadeel zou opleveren voor de geestelijke of lichamelijke ontwikkeling van het kind, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. omgang ernstig nadeel zou opleveren voor de geestelijke of lichamelijke ontwikkeling")
    thisalinea.textcontent.append("van het kind, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de ouder of degene die ..."
    thisalinea.nativeID = 1683
    thisalinea.parentID = 1681
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de ouder of degene die in een nauwe persoonlijke betrekking staat tot het kind kennelijk ongeschikt of kennelijk niet in staat moet worden geacht tot omgang, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de ouder of degene die in een nauwe persoonlijke betrekking staat tot het kind")
    thisalinea.textcontent.append("kennelijk ongeschikt of kennelijk niet in staat moet worden geacht tot omgang, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. het kind dat twaalf jaren ..."
    thisalinea.nativeID = 1684
    thisalinea.parentID = 1681
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. het kind dat twaalf jaren of ouder is, bij zijn verhoor van ernstige bezwaren tegen omgang met zijn ouder of met degene met wie hij in een nauwe persoonlijke betrekking staat heeft doen blijken, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. het kind dat twaalf jaren of ouder is, bij zijn verhoor van ernstige bezwaren tegen")
    thisalinea.textcontent.append("omgang met zijn ouder of met degene met wie hij in een nauwe persoonlijke")
    thisalinea.textcontent.append("betrekking staat heeft doen blijken, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. omgang anderszins in strijd is ..."
    thisalinea.nativeID = 1685
    thisalinea.parentID = 1681
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. omgang anderszins in strijd is met zwaarwegende belangen van het kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. omgang anderszins in strijd is met zwaarwegende belangen van het kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 377b"
    thisalinea.nativeID = 1686
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 601
    thisalinea.summary = "1. De ouder die met het gezag is belast, is gehouden de niet met het gezag belaste ouder op de hoogte te stellen omtrent gewichtige aangelegenheden met betrekking tot de persoon en het vermogen van het kind en deze te raadplegen - zo nodig door tussenkomst van derden - over daaromtrent te nemen beslissingen. Op verzoek van een ouder kan de rechter ter zake een regeling vaststellen. 2. Indien het belang van het kind zulks vereist kan de rechter zowel op verzoek van de met het gezag belaste ouder als ambtshalve bepalen dat het eerste lid van dit artikel buiten "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De ouder die met het ..."
    thisalinea.nativeID = 1687
    thisalinea.parentID = 1686
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De ouder die met het gezag is belast, is gehouden de niet met het gezag belaste ouder op de hoogte te stellen omtrent gewichtige aangelegenheden met betrekking tot de persoon en het vermogen van het kind en deze te raadplegen - zo nodig door tussenkomst van derden - over daaromtrent te nemen beslissingen. Op verzoek van een ouder kan de rechter ter zake een regeling vaststellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De ouder die met het gezag is belast, is gehouden de niet met het gezag belaste ouder op")
    thisalinea.textcontent.append("de hoogte te stellen omtrent gewichtige aangelegenheden met betrekking tot de persoon")
    thisalinea.textcontent.append("en het vermogen van het kind en deze te raadplegen - zo nodig door tussenkomst van")
    thisalinea.textcontent.append("derden - over daaromtrent te nemen beslissingen. Op verzoek van een ouder kan de")
    thisalinea.textcontent.append("rechter ter zake een regeling vaststellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het belang van het ..."
    thisalinea.nativeID = 1688
    thisalinea.parentID = 1686
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het belang van het kind zulks vereist kan de rechter zowel op verzoek van de met het gezag belaste ouder als ambtshalve bepalen dat het eerste lid van dit artikel buiten toepassing blijft. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het belang van het kind zulks vereist kan de rechter zowel op verzoek van de met")
    thisalinea.textcontent.append("het gezag belaste ouder als ambtshalve bepalen dat het eerste lid van dit artikel buiten")
    thisalinea.textcontent.append("toepassing blijft.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Artikel 377e is van overeenkomstige ..."
    thisalinea.nativeID = 1689
    thisalinea.parentID = 1686
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Artikel 377e is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Artikel 377e is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 377c"
    thisalinea.nativeID = 1690
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 602
    thisalinea.summary = "1. Onverminderd het bepaalde in artikel 377b van dit boek wordt de niet met het gezag belaste ouder desgevraagd door derden die beroepshalve beschikken over informatie inzake belangrijke feiten en omstandigheden die de persoon van het kind of diens verzorging en opvoeding betreffen, daarvan op de hoogte gesteld, tenzij die derde de informatie niet op gelijke wijze zou verschaffen aan degene die met het gezag over het kind is belast dan wel bij wie het kind zijn gewone verblijfplaats heeft, of het belang van het kind zich tegen het verschaffen van informatie verzet. 2. Indien de informatie is geweigerd, kan "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Onverminderd het bepaalde in artikel ..."
    thisalinea.nativeID = 1691
    thisalinea.parentID = 1690
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Onverminderd het bepaalde in artikel 377b van dit boek wordt de niet met het gezag belaste ouder desgevraagd door derden die beroepshalve beschikken over informatie inzake belangrijke feiten en omstandigheden die de persoon van het kind of diens verzorging en opvoeding betreffen, daarvan op de hoogte gesteld, tenzij die derde de informatie niet op gelijke wijze zou verschaffen aan degene die met het gezag over het kind is belast dan wel bij wie het kind zijn gewone verblijfplaats heeft, of het belang van het kind zich tegen het verschaffen van informatie verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Onverminderd het bepaalde in artikel 377b van dit boek wordt de niet met het gezag")
    thisalinea.textcontent.append("belaste ouder desgevraagd door derden die beroepshalve beschikken over informatie")
    thisalinea.textcontent.append("inzake belangrijke feiten en omstandigheden die de persoon van het kind of diens")
    thisalinea.textcontent.append("verzorging en opvoeding betreffen, daarvan op de hoogte gesteld, tenzij die derde de")
    thisalinea.textcontent.append("informatie niet op gelijke wijze zou verschaffen aan degene die met het gezag over het")
    thisalinea.textcontent.append("kind is belast dan wel bij wie het kind zijn gewone verblijfplaats heeft, of het belang van")
    thisalinea.textcontent.append("het kind zich tegen het verschaffen van informatie verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de informatie is geweigerd, ..."
    thisalinea.nativeID = 1692
    thisalinea.parentID = 1690
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de informatie is geweigerd, kan de rechter op verzoek van de in het eerste lid van dit artikel bedoelde ouder bepalen dat de informatie op de door hem aan te geven wijze moet worden verstrekt. De rechter wijst het verzoek in ieder geval af, indien het belang van het kind zich tegen het verschaffen van de informatie verzet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de informatie is geweigerd, kan de rechter op verzoek van de in het eerste lid van")
    thisalinea.textcontent.append("dit artikel bedoelde ouder bepalen dat de informatie op de door hem aan te geven wijze")
    thisalinea.textcontent.append("moet worden verstrekt. De rechter wijst het verzoek in ieder geval af, indien het belang")
    thisalinea.textcontent.append("van het kind zich tegen het verschaffen van de informatie verzet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 377d"
    thisalinea.nativeID = 1693
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 603
    thisalinea.summary = "1. Onverminderd het bepaalde in het tweede lid van dit artikel, begint de uitoefening van het recht op omgang zodra de desbetreffende beschikking in kracht van gewijsde is gegaan of, indien zij uitvoerbaar bij voorraad is verklaard, daags nadat de beschikking is verstrekt of verzonden. 2. De uitoefening van het recht op omgang begint, indien tevens een beschikking inzake het gezag is of wordt gegeven, niet eerder dan op het tijdstip waarop voor de andere ouder of voor de voogd het gezag is begonnen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Onverminderd het bepaalde in het ..."
    thisalinea.nativeID = 1694
    thisalinea.parentID = 1693
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Onverminderd het bepaalde in het tweede lid van dit artikel, begint de uitoefening van het recht op omgang zodra de desbetreffende beschikking in kracht van gewijsde is gegaan of, indien zij uitvoerbaar bij voorraad is verklaard, daags nadat de beschikking is verstrekt of verzonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Onverminderd het bepaalde in het tweede lid van dit artikel, begint de uitoefening van het")
    thisalinea.textcontent.append("recht op omgang zodra de desbetreffende beschikking in kracht van gewijsde is gegaan")
    thisalinea.textcontent.append("of, indien zij uitvoerbaar bij voorraad is verklaard, daags nadat de beschikking is verstrekt")
    thisalinea.textcontent.append("of verzonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De uitoefening van het recht ..."
    thisalinea.nativeID = 1695
    thisalinea.parentID = 1693
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De uitoefening van het recht op omgang begint, indien tevens een beschikking inzake het gezag is of wordt gegeven, niet eerder dan op het tijdstip waarop voor de andere ouder of voor de voogd het gezag is begonnen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De uitoefening van het recht op omgang begint, indien tevens een beschikking inzake het")
    thisalinea.textcontent.append("gezag is of wordt gegeven, niet eerder dan op het tijdstip waarop voor de andere ouder of")
    thisalinea.textcontent.append("voor de voogd het gezag is begonnen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 377e"
    thisalinea.nativeID = 1696
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 604
    thisalinea.summary = "1. De rechtbank kan op verzoek van de ouders of van een van hen of van degene die in een nauwe persoonlijke betrekking staat tot het kind een beslissing inzake de omgang alsmede een door de ouders onderling getroffen omgangsregeling wijzigen op grond dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van onjuiste of onvolledige gegevens is uitgegaan. 2. De rechtbank kan op verzoek van een ouder, of van een biologische ouder die in een nauwe persoonlijke betrekking staat tot het kind, een beslissing waarbij de omgang is ontzegd tevens wijzigen na verloop van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechtbank kan op verzoek ..."
    thisalinea.nativeID = 1697
    thisalinea.parentID = 1696
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechtbank kan op verzoek van de ouders of van een van hen of van degene die in een nauwe persoonlijke betrekking staat tot het kind een beslissing inzake de omgang alsmede een door de ouders onderling getroffen omgangsregeling wijzigen op grond dat nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van onjuiste of onvolledige gegevens is uitgegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechtbank kan op verzoek van de ouders of van een van hen of van degene die in een")
    thisalinea.textcontent.append("nauwe persoonlijke betrekking staat tot het kind een beslissing inzake de omgang")
    thisalinea.textcontent.append("alsmede een door de ouders onderling getroffen omgangsregeling wijzigen op grond dat")
    thisalinea.textcontent.append("nadien de omstandigheden zijn gewijzigd, of dat bij het nemen van de beslissing van")
    thisalinea.textcontent.append("onjuiste of onvolledige gegevens is uitgegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechtbank kan op verzoek ..."
    thisalinea.nativeID = 1698
    thisalinea.parentID = 1696
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechtbank kan op verzoek van een ouder, of van een biologische ouder die in een nauwe persoonlijke betrekking staat tot het kind, een beslissing waarbij de omgang is ontzegd tevens wijzigen na verloop van een periode van een jaar nadat de eerdere beschikking in kracht van gewijsde is gegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechtbank kan op verzoek van een ouder, of van een biologische ouder die in een")
    thisalinea.textcontent.append("nauwe persoonlijke betrekking staat tot het kind, een beslissing waarbij de omgang is")
    thisalinea.textcontent.append("ontzegd tevens wijzigen na verloop van een periode van een jaar nadat de eerdere")
    thisalinea.textcontent.append("beschikking in kracht van gewijsde is gegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien de ene ouder wordt ..."
    thisalinea.nativeID = 1699
    thisalinea.parentID = 1696
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien de ene ouder wordt verdacht van het doden van de andere ouder, of indien de ene ouder is veroordeeld wegens het doden van de andere ouder, en de rechter heeft de omgang ontzegd voor een duur van twee jaar of meer, dan kan de rechter, in afwijking van het tweede lid, de beslissing waarbij de omgang is ontzegd, onverminderd het eerste lid, niet eerder wijzigen op verzoek van de ouder dan na verloop van een periode van twee jaar nadat de eerdere beschikking in kracht van gewijsde is gegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien de ene ouder wordt verdacht van het doden van de andere ouder, of indien de ene")
    thisalinea.textcontent.append("ouder is veroordeeld wegens het doden van de andere ouder, en de rechter heeft de")
    thisalinea.textcontent.append("omgang ontzegd voor een duur van twee jaar of meer, dan kan de rechter, in afwijking van")
    thisalinea.textcontent.append("het tweede lid, de beslissing waarbij de omgang is ontzegd, onverminderd het eerste lid,")
    thisalinea.textcontent.append("niet eerder wijzigen op verzoek van de ouder dan na verloop van een periode van twee")
    thisalinea.textcontent.append("jaar nadat de eerdere beschikking in kracht van gewijsde is gegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 377f"
    thisalinea.nativeID = 1700
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 605
    thisalinea.summary = "[Vervallen per 01-03-2009] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-03-2009]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 377g"
    thisalinea.nativeID = 1701
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 606
    thisalinea.summary = "De rechter kan, indien haar blijkt dat de minderjarige van twaalf jaar of ouder hierop prijs stelt, ambtshalve een beslissing geven op de voet van de artikelen 377a of 377b, dan wel zodanige beslissing op de voet van artikel 377e van dit boek wijzigen. Hetzelfde geldt indien de minderjarige de leeftijd van twaalf jaren nog niet heeft bereikt, maar in staat kan worden geacht tot een redelijke waardering van zijn belangen ter zake. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechter kan, indien haar blijkt dat de minderjarige van twaalf jaar of ouder hierop prijs stelt,")
    thisalinea.textcontent.append("ambtshalve een beslissing geven op de voet van de artikelen 377a of 377b, dan wel zodanige")
    thisalinea.textcontent.append("beslissing op de voet van artikel 377e van dit boek wijzigen. Hetzelfde geldt indien de")
    thisalinea.textcontent.append("minderjarige de leeftijd van twaalf jaren nog niet heeft bereikt, maar in staat kan worden")
    thisalinea.textcontent.append("geacht tot een redelijke waardering van zijn belangen ter zake.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 377h"
    thisalinea.nativeID = 1702
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 607
    thisalinea.summary = "[Vervallen per 01-03-2009] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-03-2009]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 16. Curatele"
    thisalinea.nativeID = 1703
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 608
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 378"
    thisalinea.nativeID = 1704
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 609
    thisalinea.summary = "en een voldoende behartiging van die belangen niet met een meer passende en minder verstrekkende voorziening kan worden bewerkstelligd. 1. Een meerderjarige kan door de kantonrechter onder curatele worden gesteld, wanneer hij tijdelijk of duurzaam zijn belangen niet behoorlijk waarneemt of zijn veiligheid of die van anderen in gevaar brengt, als gevolg van a. zijn lichamelijke of geestelijke toestand, dan wel b. gewoonte van drank- of drugsmisbruik, 2. Indien te verwachten is dat ten aanzien van een minderjarige op het tijdstip waarop hij meerderjarig zal worden, van een der in het vorige lid genoemde gronden voor curatele sprake zal zijn, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("en een voldoende behartiging van die belangen niet met een meer passende en minder")
    thisalinea.textcontent.append("verstrekkende voorziening kan worden bewerkstelligd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een meerderjarige kan door de ..."
    thisalinea.nativeID = 1705
    thisalinea.parentID = 1704
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een meerderjarige kan door de kantonrechter onder curatele worden gesteld, wanneer hij tijdelijk of duurzaam zijn belangen niet behoorlijk waarneemt of zijn veiligheid of die van anderen in gevaar brengt, als gevolg van a. zijn lichamelijke of geestelijke toestand, dan wel b. gewoonte van drank- of drugsmisbruik, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een meerderjarige kan door de kantonrechter onder curatele worden gesteld, wanneer hij")
    thisalinea.textcontent.append("tijdelijk of duurzaam zijn belangen niet behoorlijk waarneemt of zijn veiligheid of die van")
    thisalinea.textcontent.append("anderen in gevaar brengt, als gevolg van")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. zijn lichamelijke of geestelijke toestand, ..."
    thisalinea.nativeID = 1706
    thisalinea.parentID = 1705
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. zijn lichamelijke of geestelijke toestand, dan wel "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. zijn lichamelijke of geestelijke toestand, dan wel")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. gewoonte van drank- of drugsmisbruik, "
    thisalinea.nativeID = 1707
    thisalinea.parentID = 1705
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. gewoonte van drank- of drugsmisbruik, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. gewoonte van drank- of drugsmisbruik,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien te verwachten is dat ..."
    thisalinea.nativeID = 1708
    thisalinea.parentID = 1704
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien te verwachten is dat ten aanzien van een minderjarige op het tijdstip waarop hij meerderjarig zal worden, van een der in het vorige lid genoemde gronden voor curatele sprake zal zijn, kan de curatele reeds voor de meerderjarigheid worden uitgesproken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien te verwachten is dat ten aanzien van een minderjarige op het tijdstip waarop hij")
    thisalinea.textcontent.append("meerderjarig zal worden, van een der in het vorige lid genoemde gronden voor curatele")
    thisalinea.textcontent.append("sprake zal zijn, kan de curatele reeds voor de meerderjarigheid worden uitgesproken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechter bij wie een ..."
    thisalinea.nativeID = 1709
    thisalinea.parentID = 1704
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechter bij wie een verzoek tot het verlenen van een rechterlijke machtiging als bedoeld in de Wet zorg en dwang psychogeriatrische en verstandelijk gehandicapte cliënten dan wel een zorgmachtiging of een machtiging tot voorzetting van de crisismaatregel als bedoeld in de Wet verplichte geestelijke gezondheidszorg aanhangig is, is tevens bevoegd tot de kennisneming van een verzoek tot ondercuratelestelling. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechter bij wie een verzoek tot het verlenen van een rechterlijke machtiging als")
    thisalinea.textcontent.append("bedoeld in de Wet zorg en dwang psychogeriatrische en verstandelijk gehandicapte")
    thisalinea.textcontent.append("cliënten dan wel een zorgmachtiging of een machtiging tot voorzetting van de")
    thisalinea.textcontent.append("crisismaatregel als bedoeld in de Wet verplichte geestelijke gezondheidszorg aanhangig")
    thisalinea.textcontent.append("is, is tevens bevoegd tot de kennisneming van een verzoek tot ondercuratelestelling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 379"
    thisalinea.nativeID = 1710
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 610
    thisalinea.summary = "1. De curatele kan worden verzocht door de betrokken persoon, zijn echtgenoot, zijn geregistreerde partner dan wel andere levensgezel, zijn bloedverwanten in de rechte lijn en in de zijlijn tot en met de vierde graad, degene die ingevolge artikel 253sa of 253t het gezag over de betrokken persoon uitoefent, zijn voogd, zijn bewindvoerder als bedoeld in titel 19 en zijn mentor als bedoeld in titel 20. 2. De curatele kan voorts worden verzocht door het openbaar ministerie en door de instelling waar de betrokkene wordt verzorgd of die aan de betrokkene begeleiding biedt. In het laatste geval wordt in het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De curatele kan worden verzocht ..."
    thisalinea.nativeID = 1711
    thisalinea.parentID = 1710
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De curatele kan worden verzocht door de betrokken persoon, zijn echtgenoot, zijn geregistreerde partner dan wel andere levensgezel, zijn bloedverwanten in de rechte lijn en in de zijlijn tot en met de vierde graad, degene die ingevolge artikel 253sa of 253t het gezag over de betrokken persoon uitoefent, zijn voogd, zijn bewindvoerder als bedoeld in titel 19 en zijn mentor als bedoeld in titel 20. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De curatele kan worden verzocht door de betrokken persoon, zijn echtgenoot, zijn")
    thisalinea.textcontent.append("geregistreerde partner dan wel andere levensgezel, zijn bloedverwanten in de rechte lijn")
    thisalinea.textcontent.append("en in de zijlijn tot en met de vierde graad, degene die ingevolge artikel 253sa of 253t het")
    thisalinea.textcontent.append("gezag over de betrokken persoon uitoefent, zijn voogd, zijn bewindvoerder als bedoeld in")
    thisalinea.textcontent.append("titel 19 en zijn mentor als bedoeld in titel 20.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De curatele kan voorts worden ..."
    thisalinea.nativeID = 1712
    thisalinea.parentID = 1710
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De curatele kan voorts worden verzocht door het openbaar ministerie en door de instelling waar de betrokkene wordt verzorgd of die aan de betrokkene begeleiding biedt. In het laatste geval wordt in het verzoekschrift tevens vermeld waarom de in het eerste lid genoemde personen – bloedverwanten in de zijlijn in de derde en vierde graad daaronder niet begrepen – niet tot indiening van een verzoek zijn overgegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De curatele kan voorts worden verzocht door het openbaar ministerie en door de instelling")
    thisalinea.textcontent.append("waar de betrokkene wordt verzorgd of die aan de betrokkene begeleiding biedt. In het")
    thisalinea.textcontent.append("laatste geval wordt in het verzoekschrift tevens vermeld waarom de in het eerste lid")
    thisalinea.textcontent.append("genoemde personen – bloedverwanten in de zijlijn in de derde en vierde graad daaronder")
    thisalinea.textcontent.append("niet begrepen – niet tot indiening van een verzoek zijn overgegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 380"
    thisalinea.nativeID = 1713
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 611
    thisalinea.summary = "1. De rechter voor wie het verzoek tot ondercuratelestelling aanhangig is of laatstelijk aanhangig was, kan, desverzocht of ambtshalve, een provisionele bewindvoerder benoemen; de beschikking vermeldt het tijdstip waarop zij in werking treedt. 2. Hij regelt in deze beschikking de bevoegdheden van de bewindvoerder. Hij kan de bewindvoerder het bewind over bepaalde of alle goederen opdragen. Aan de bewindvoerder kan de rechter ook andere bevoegdheden toekennen, doch niet die welke een curator niet heeft. Voor zover de rechter niet anders bepaalt, kan degene wiens curatele is verzocht, met betrekking tot die goederen niet zonder medewerking van de bewindvoerder daden van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechter voor wie het ..."
    thisalinea.nativeID = 1714
    thisalinea.parentID = 1713
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechter voor wie het verzoek tot ondercuratelestelling aanhangig is of laatstelijk aanhangig was, kan, desverzocht of ambtshalve, een provisionele bewindvoerder benoemen; de beschikking vermeldt het tijdstip waarop zij in werking treedt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechter voor wie het verzoek tot ondercuratelestelling aanhangig is of laatstelijk")
    thisalinea.textcontent.append("aanhangig was, kan, desverzocht of ambtshalve, een provisionele bewindvoerder")
    thisalinea.textcontent.append("benoemen; de beschikking vermeldt het tijdstip waarop zij in werking treedt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij regelt in deze beschikking ..."
    thisalinea.nativeID = 1715
    thisalinea.parentID = 1713
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij regelt in deze beschikking de bevoegdheden van de bewindvoerder. Hij kan de bewindvoerder het bewind over bepaalde of alle goederen opdragen. Aan de bewindvoerder kan de rechter ook andere bevoegdheden toekennen, doch niet die welke een curator niet heeft. Voor zover de rechter niet anders bepaalt, kan degene wiens curatele is verzocht, met betrekking tot die goederen niet zonder medewerking van de bewindvoerder daden van beheer en van beschikking verrichten, noch overeenkomsten aangaan strekkende tot beschikking over die goederen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij regelt in deze beschikking de bevoegdheden van de bewindvoerder. Hij kan de")
    thisalinea.textcontent.append("bewindvoerder het bewind over bepaalde of alle goederen opdragen. Aan de")
    thisalinea.textcontent.append("bewindvoerder kan de rechter ook andere bevoegdheden toekennen, doch niet die welke")
    thisalinea.textcontent.append("een curator niet heeft. Voor zover de rechter niet anders bepaalt, kan degene wiens")
    thisalinea.textcontent.append("curatele is verzocht, met betrekking tot die goederen niet zonder medewerking van de")
    thisalinea.textcontent.append("bewindvoerder daden van beheer en van beschikking verrichten, noch overeenkomsten")
    thisalinea.textcontent.append("aangaan strekkende tot beschikking over die goederen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. In de beschikking kan tevens ..."
    thisalinea.nativeID = 1716
    thisalinea.parentID = 1713
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. In de beschikking kan tevens worden bepaald dat schulden die degene wiens curatele is verzocht, na de bekendmaking van de benoeming maakt, op de onder bewind gestelde goederen gedurende dit bewind en de curatele, indien deze volgt, niet kunnen worden verhaald. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. In de beschikking kan tevens worden bepaald dat schulden die degene wiens curatele is")
    thisalinea.textcontent.append("verzocht, na de bekendmaking van de benoeming maakt, op de onder bewind gestelde")
    thisalinea.textcontent.append("goederen gedurende dit bewind en de curatele, indien deze volgt, niet kunnen worden")
    thisalinea.textcontent.append("verhaald.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De beschikking kan te allen ..."
    thisalinea.nativeID = 1717
    thisalinea.parentID = 1713
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De beschikking kan te allen tijde worden gewijzigd of ingetrokken door de rechter voor wie het verzoek tot ondercuratelestelling aanhangig is of laatstelijk aanhangig was. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De beschikking kan te allen tijde worden gewijzigd of ingetrokken door de rechter voor wie")
    thisalinea.textcontent.append("het verzoek tot ondercuratelestelling aanhangig is of laatstelijk aanhangig was.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De bewindvoerder heeft aanspraak op ..."
    thisalinea.nativeID = 1718
    thisalinea.parentID = 1713
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die")
    thisalinea.textcontent.append("daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 381"
    thisalinea.nativeID = 1719
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 612
    thisalinea.summary = "1. De curatele werkt met ingang van de dag waarop zij is uitgesproken. In het geval, bedoeld in artikel 378, tweede lid, werkt de curatele met ingang van het tijdstip waarop de onder curatele gestelde meerderjarig wordt. 2. Van deze tijdstippen is de onder curatele gestelde onbekwaam rechtshandelingen te verrichten voor zover de wet niet anders bepaalt. 3. Een onder curatele gestelde is bekwaam rechtshandelingen te verrichten met toestemming van zijn curator, voor zover deze bevoegd is die rechtshandelingen voor de onder curatele gestelde te verrichten. De toestemming kan slechts worden verleend voor een bepaalde rechtshandeling of voor een bepaald "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De curatele werkt met ingang ..."
    thisalinea.nativeID = 1720
    thisalinea.parentID = 1719
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De curatele werkt met ingang van de dag waarop zij is uitgesproken. In het geval, bedoeld in artikel 378, tweede lid, werkt de curatele met ingang van het tijdstip waarop de onder curatele gestelde meerderjarig wordt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De curatele werkt met ingang van de dag waarop zij is uitgesproken. In het geval, bedoeld")
    thisalinea.textcontent.append("in artikel 378, tweede lid, werkt de curatele met ingang van het tijdstip waarop de onder")
    thisalinea.textcontent.append("curatele gestelde meerderjarig wordt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Van deze tijdstippen is de ..."
    thisalinea.nativeID = 1721
    thisalinea.parentID = 1719
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Van deze tijdstippen is de onder curatele gestelde onbekwaam rechtshandelingen te verrichten voor zover de wet niet anders bepaalt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Van deze tijdstippen is de onder curatele gestelde onbekwaam rechtshandelingen te")
    thisalinea.textcontent.append("verrichten voor zover de wet niet anders bepaalt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een onder curatele gestelde is ..."
    thisalinea.nativeID = 1722
    thisalinea.parentID = 1719
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een onder curatele gestelde is bekwaam rechtshandelingen te verrichten met toestemming van zijn curator, voor zover deze bevoegd is die rechtshandelingen voor de onder curatele gestelde te verrichten. De toestemming kan slechts worden verleend voor een bepaalde rechtshandeling of voor een bepaald doel. De toestemming voor een bepaald doel moet schriftelijk worden verleend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een onder curatele gestelde is bekwaam rechtshandelingen te verrichten met")
    thisalinea.textcontent.append("toestemming van zijn curator, voor zover deze bevoegd is die rechtshandelingen voor de")
    thisalinea.textcontent.append("onder curatele gestelde te verrichten. De toestemming kan slechts worden verleend voor")
    thisalinea.textcontent.append("een bepaalde rechtshandeling of voor een bepaald doel. De toestemming voor een")
    thisalinea.textcontent.append("bepaald doel moet schriftelijk worden verleend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Met betrekking tot aangelegenheden betreffende ..."
    thisalinea.nativeID = 1723
    thisalinea.parentID = 1719
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Met betrekking tot aangelegenheden betreffende verzorging, verpleging, behandeling en begeleiding van een onder curatele gestelde zijn de artikelen 453 en 454 van dit boek van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Met betrekking tot aangelegenheden betreffende verzorging, verpleging, behandeling en")
    thisalinea.textcontent.append("begeleiding van een onder curatele gestelde zijn de artikelen 453 en 454 van dit boek van")
    thisalinea.textcontent.append("overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Hij is bekwaam over gelden ..."
    thisalinea.nativeID = 1724
    thisalinea.parentID = 1719
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Hij is bekwaam over gelden die zijn curator voor levensonderhoud te zijner beschikking heeft gesteld, overeenkomstig deze bestemming te beschikken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Hij is bekwaam over gelden die zijn curator voor levensonderhoud te zijner beschikking")
    thisalinea.textcontent.append("heeft gesteld, overeenkomstig deze bestemming te beschikken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. In zaken van curatele is ..."
    thisalinea.nativeID = 1725
    thisalinea.parentID = 1719
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. In zaken van curatele is degene wiens curatele het betreft bekwaam in rechte op te treden en tegen een uitspraak beroep in te stellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. In zaken van curatele is degene wiens curatele het betreft bekwaam in rechte op te treden")
    thisalinea.textcontent.append("en tegen een uitspraak beroep in te stellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 382"
    thisalinea.nativeID = 1726
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 613
    thisalinea.summary = "Hij die uit hoofde van gewoonte van drank- of drugsmisbruik onder curatele is gesteld, blijft bekwaam tot het verrichten van familierechtelijke handelingen voor zover de wet niet anders bepaalt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Hij die uit hoofde van gewoonte van drank- of drugsmisbruik onder curatele is gesteld, blijft")
    thisalinea.textcontent.append("bekwaam tot het verrichten van familierechtelijke handelingen voor zover de wet niet anders")
    thisalinea.textcontent.append("bepaalt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 383"
    thisalinea.nativeID = 1727
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 614
    thisalinea.summary = "Bij algemene maatregel van bestuur kunnen nadere regels worden gesteld omtrent de vorm en de inhoud van de verklaringen en het verslag, alsmede de wijze van overlegging. Toont de persoon aan dat hij in de twaalf maanden voorafgaande aan zijn benoeming de verklaringen en het verslag reeds aan de rechter heeft overgelegd, dan is hij van de overlegging vrijgesteld. Bij algemene maatregel van bestuur kunnen de in de vorige zin bedoelde ondernemingen en beroepsbeoefenaren geheel of gedeeltelijk worden vrijgesteld van de in het zevende lid bedoelde eisen inzake de werving, scholing en bedrijfsvoering. 1. De rechter die de curatele instelt, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij algemene maatregel van bestuur kunnen nadere regels worden gesteld omtrent de vorm")
    thisalinea.textcontent.append("en de inhoud van de verklaringen en het verslag, alsmede de wijze van overlegging. Toont de")
    thisalinea.textcontent.append("persoon aan dat hij in de twaalf maanden voorafgaande aan zijn benoeming de verklaringen")
    thisalinea.textcontent.append("en het verslag reeds aan de rechter heeft overgelegd, dan is hij van de overlegging")
    thisalinea.textcontent.append("vrijgesteld.")
    thisalinea.textcontent.append("Bij algemene maatregel van bestuur kunnen de in de vorige zin bedoelde ondernemingen en")
    thisalinea.textcontent.append("beroepsbeoefenaren geheel of gedeeltelijk worden vrijgesteld van de in het zevende lid")
    thisalinea.textcontent.append("bedoelde eisen inzake de werving, scholing en bedrijfsvoering.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechter die de curatele ..."
    thisalinea.nativeID = 1728
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechter die de curatele instelt, benoemt daarbij of zo spoedig mogelijk daarna een curator. Hij vergewist zich van de bereidheid en vormt zich een oordeel omtrent de geschiktheid van de te benoemen persoon. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechter die de curatele instelt, benoemt daarbij of zo spoedig mogelijk daarna een")
    thisalinea.textcontent.append("curator. Hij vergewist zich van de bereidheid en vormt zich een oordeel omtrent de")
    thisalinea.textcontent.append("geschiktheid van de te benoemen persoon.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechter volgt bij de ..."
    thisalinea.nativeID = 1729
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechter volgt bij de benoeming van de curator de uitdrukkelijke voorkeur van de betrokkene, tenzij gegronde redenen zich tegen zodanige benoeming verzetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechter volgt bij de benoeming van de curator de uitdrukkelijke voorkeur van de")
    thisalinea.textcontent.append("betrokkene, tenzij gegronde redenen zich tegen zodanige benoeming verzetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Tenzij het vorige lid is ..."
    thisalinea.nativeID = 1730
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Tenzij het vorige lid is toegepast, wordt, indien de onder curatele gestelde persoon gehuwd is, een geregistreerd partnerschap is aangegaan of anderszins een levensgezel heeft, bij voorkeur de echtgenoot, de geregistreerde partner dan wel andere levensgezel tot curator benoemd. Is de vorige zin niet van toepassing dan wordt bij voorkeur een van zijn ouders, kinderen, broers of zusters tot curator benoemd. Huwt de onder curatele gestelde, gaat hij een geregistreerd partnerschap aan of verkrijgt hij een andere levensgezel, dan kan ieder van hen verzoeken, dat de niet onder curatele staande echtgenoot, de geregistreerde partner dan wel de andere levensgezel "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Tenzij het vorige lid is toegepast, wordt, indien de onder curatele gestelde persoon")
    thisalinea.textcontent.append("gehuwd is, een geregistreerd partnerschap is aangegaan of anderszins een levensgezel")
    thisalinea.textcontent.append("heeft, bij voorkeur de echtgenoot, de geregistreerde partner dan wel andere levensgezel")
    thisalinea.textcontent.append("tot curator benoemd. Is de vorige zin niet van toepassing dan wordt bij voorkeur een van")
    thisalinea.textcontent.append("zijn ouders, kinderen, broers of zusters tot curator benoemd. Huwt de onder curatele")
    thisalinea.textcontent.append("gestelde, gaat hij een geregistreerd partnerschap aan of verkrijgt hij een andere")
    thisalinea.textcontent.append("levensgezel, dan kan ieder van hen verzoeken, dat de niet onder curatele staande")
    thisalinea.textcontent.append("echtgenoot, de geregistreerde partner dan wel de andere levensgezel in de plaats van de")
    thisalinea.textcontent.append("tegenwoordige curator wordt benoemd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Rechtspersonen met volledige rechtsbevoegdheid kunnen ..."
    thisalinea.nativeID = 1731
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Rechtspersonen met volledige rechtsbevoegdheid kunnen tot curator worden benoemd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Rechtspersonen met volledige rechtsbevoegdheid kunnen tot curator worden benoemd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De volgende personen kunnen niet ..."
    thisalinea.nativeID = 1732
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De volgende personen kunnen niet tot curator worden benoemd: a. handelingsonbekwamen; b. zij ten behoeve van wie een mentorschap is ingesteld; c. de bewindvoerder van de onder curatele gestelde in de zin artikel 287, derde lid, van de Faillissementswet; d. een direct betrokken of behandelend hulpverlener; e. personen behorende tot de leiding of tot het personeel van de instelling waar de onder curatele gestelde wordt verzorgd of die aan de onder curatele gestelde begeleiding biedt; f. personen verbonden met de instelling waar de onder curatele gestelde wordt verzorgd of die aan de onder curatele gestelde begeleiding biedt, doordat: 1° "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De volgende personen kunnen niet tot curator worden benoemd:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. handelingsonbekwamen; "
    thisalinea.nativeID = 1733
    thisalinea.parentID = 1732
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. handelingsonbekwamen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. handelingsonbekwamen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. zij ten behoeve van wie ..."
    thisalinea.nativeID = 1734
    thisalinea.parentID = 1732
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. zij ten behoeve van wie een mentorschap is ingesteld; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. zij ten behoeve van wie een mentorschap is ingesteld;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. de bewindvoerder van de onder ..."
    thisalinea.nativeID = 1735
    thisalinea.parentID = 1732
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. de bewindvoerder van de onder curatele gestelde in de zin artikel 287, derde lid, van de Faillissementswet; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. de bewindvoerder van de onder curatele gestelde in de zin artikel 287, derde lid, van")
    thisalinea.textcontent.append("de Faillissementswet;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. een direct betrokken of behandelend ..."
    thisalinea.nativeID = 1736
    thisalinea.parentID = 1732
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. een direct betrokken of behandelend hulpverlener; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. een direct betrokken of behandelend hulpverlener;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. personen behorende tot de leiding ..."
    thisalinea.nativeID = 1737
    thisalinea.parentID = 1732
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. personen behorende tot de leiding of tot het personeel van de instelling waar de onder curatele gestelde wordt verzorgd of die aan de onder curatele gestelde begeleiding biedt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. personen behorende tot de leiding of tot het personeel van de instelling waar de onder")
    thisalinea.textcontent.append("curatele gestelde wordt verzorgd of die aan de onder curatele gestelde begeleiding")
    thisalinea.textcontent.append("biedt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "f. personen verbonden met de instelling ..."
    thisalinea.nativeID = 1738
    thisalinea.parentID = 1732
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "f. personen verbonden met de instelling waar de onder curatele gestelde wordt verzorgd of die aan de onder curatele gestelde begeleiding biedt, doordat: 1° de instelling of personen behorende tot de leiding van de instelling, alleen of samen meer dan de helft van de stemrechten in de algemene vergadering van de rechtspersoon kunnen uitoefenen, dan wel meer dan de helft van de bestuurders of van de commissarissen van de rechtspersoon kunnen benoemen of ontslaan, 2° de persoon en de instelling deel uitmaken van een groep in de zin van artikel 24b van boek 2, of 3° de bestuurder van de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("f. personen verbonden met de instelling waar de onder curatele gestelde wordt verzorgd")
    thisalinea.textcontent.append("of die aan de onder curatele gestelde begeleiding biedt, doordat:")
    thisalinea.textcontent.append("1° de instelling of personen behorende tot de leiding van de instelling, alleen of")
    thisalinea.textcontent.append("samen meer dan de helft van de stemrechten in de algemene vergadering van de")
    thisalinea.textcontent.append("rechtspersoon kunnen uitoefenen, dan wel meer dan de helft van de bestuurders")
    thisalinea.textcontent.append("of van de commissarissen van de rechtspersoon kunnen benoemen of ontslaan,")
    thisalinea.textcontent.append("2° de persoon en de instelling deel uitmaken van een groep in de zin van artikel 24b")
    thisalinea.textcontent.append("van boek 2, of")
    thisalinea.textcontent.append("3° de bestuurder van de rechtspersoon tevens behoort tot de leiding of het personeel")
    thisalinea.textcontent.append("van de instelling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Zij van wie één of ..."
    thisalinea.nativeID = 1739
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Zij van wie één of meer goederen onder een bewind als bedoeld in titel 19 staan, zij die in staat van faillissement verkeren en zij ten aanzien van wie de schuldsaneringsregeling natuurlijke personen van toepassing is, kunnen niet tot curator worden benoemd, tenzij het gaat om een persoon als bedoeld in het derde lid en het bewind over het vermogen van de onder curatele gestelde door de medecurator wordt gevoerd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Zij van wie één of meer goederen onder een bewind als bedoeld in titel 19 staan, zij die in")
    thisalinea.textcontent.append("staat van faillissement verkeren en zij ten aanzien van wie de schuldsaneringsregeling")
    thisalinea.textcontent.append("natuurlijke personen van toepassing is, kunnen niet tot curator worden benoemd, tenzij")
    thisalinea.textcontent.append("het gaat om een persoon als bedoeld in het derde lid en het bewind over het vermogen")
    thisalinea.textcontent.append("van de onder curatele gestelde door de medecurator wordt gevoerd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Een andere persoon dan in ..."
    thisalinea.nativeID = 1740
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Een andere persoon dan in het derde lid bedoeld, die ten behoeve van drie of meer personen curator, bewindvoerder of mentor is, komt alleen dan voor benoeming in aanmerking indien deze wat zijn bedrijfsvoering en scholing betreft, alsmede, voor zover van toepassing, de werving, de scholing en begeleiding van en het toezicht op de personen door wie hij de taken van een curator uitoefent, voldoet aan bij algemene maatregel van bestuur te stellen kwaliteitseisen, alsmede aan de verplichtingen bedoeld in artikel 386, derde lid, en in artikel 15i van boek 3. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Een andere persoon dan in het derde lid bedoeld, die ten behoeve van drie of meer")
    thisalinea.textcontent.append("personen curator, bewindvoerder of mentor is, komt alleen dan voor benoeming in")
    thisalinea.textcontent.append("aanmerking indien deze wat zijn bedrijfsvoering en scholing betreft, alsmede, voor zover")
    thisalinea.textcontent.append("van toepassing, de werving, de scholing en begeleiding van en het toezicht op de")
    thisalinea.textcontent.append("personen door wie hij de taken van een curator uitoefent, voldoet aan bij algemene")
    thisalinea.textcontent.append("maatregel van bestuur te stellen kwaliteitseisen, alsmede aan de verplichtingen bedoeld")
    thisalinea.textcontent.append("in artikel 386, derde lid, en in artikel 15i van boek 3.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. De persoon, bedoeld in het ..."
    thisalinea.nativeID = 1741
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. De persoon, bedoeld in het zevende lid, legt aan de rechter die hem benoemt, over: a. zijn verklaring dat hij aan de in het zevende lid bedoelde kwaliteitseisen en verplichtingen voldoet, b. een verslag van een accountant als bedoeld in artikel 393, eerste lid, van boek 2, van diens bevindingen over de wijze waarop aan de eisen en verplichtingen wordt voldaan, en c. een verklaring van de accountant omtrent de balans en staat van baten en lasten, bedoeld in artikel 10 van boek 2, dan wel, voor zover van toepassing, omtrent de jaarrekening overeenkomstig titel 9 van boek 2. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. De persoon, bedoeld in het zevende lid, legt aan de rechter die hem benoemt, over:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. zijn verklaring dat hij aan ..."
    thisalinea.nativeID = 1742
    thisalinea.parentID = 1741
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. zijn verklaring dat hij aan de in het zevende lid bedoelde kwaliteitseisen en verplichtingen voldoet, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. zijn verklaring dat hij aan de in het zevende lid bedoelde kwaliteitseisen en")
    thisalinea.textcontent.append("verplichtingen voldoet,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. een verslag van een accountant ..."
    thisalinea.nativeID = 1743
    thisalinea.parentID = 1741
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een verslag van een accountant als bedoeld in artikel 393, eerste lid, van boek 2, van diens bevindingen over de wijze waarop aan de eisen en verplichtingen wordt voldaan, en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een verslag van een accountant als bedoeld in artikel 393, eerste lid, van boek 2, van")
    thisalinea.textcontent.append("diens bevindingen over de wijze waarop aan de eisen en verplichtingen wordt")
    thisalinea.textcontent.append("voldaan, en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. een verklaring van de accountant ..."
    thisalinea.nativeID = 1744
    thisalinea.parentID = 1741
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. een verklaring van de accountant omtrent de balans en staat van baten en lasten, bedoeld in artikel 10 van boek 2, dan wel, voor zover van toepassing, omtrent de jaarrekening overeenkomstig titel 9 van boek 2. Artikel 396, zevende lid, van boek 2 is ten aanzien van artikel 393 lid 1 niet van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. een verklaring van de accountant omtrent de balans en staat van baten en lasten,")
    thisalinea.textcontent.append("bedoeld in artikel 10 van boek 2, dan wel, voor zover van toepassing, omtrent de")
    thisalinea.textcontent.append("jaarrekening overeenkomstig titel 9 van boek 2. Artikel 396, zevende lid, van boek 2 is")
    thisalinea.textcontent.append("ten aanzien van artikel 393 lid 1 niet van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "9. Van de overlegging van de ..."
    thisalinea.nativeID = 1745
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "9. Van de overlegging van de in het achtste lid bedoelde verklaring van de accountant zijn vrijgesteld: a. zij die een financiële onderneming zijn die ingevolge de Wet op het financieel toezicht het bedrijf van bank mogen uitoefenen, b. notarissen, c. gerechtsdeurwaarders, d. accountants. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("9. Van de overlegging van de in het achtste lid bedoelde verklaring van de accountant zijn")
    thisalinea.textcontent.append("vrijgesteld:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. zij die een financiële onderneming ..."
    thisalinea.nativeID = 1746
    thisalinea.parentID = 1745
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. zij die een financiële onderneming zijn die ingevolge de Wet op het financieel toezicht het bedrijf van bank mogen uitoefenen, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. zij die een financiële onderneming zijn die ingevolge de Wet op het financieel toezicht")
    thisalinea.textcontent.append("het bedrijf van bank mogen uitoefenen,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. notarissen, "
    thisalinea.nativeID = 1747
    thisalinea.parentID = 1745
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. notarissen, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. notarissen,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. gerechtsdeurwaarders, "
    thisalinea.nativeID = 1748
    thisalinea.parentID = 1745
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. gerechtsdeurwaarders, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. gerechtsdeurwaarders,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. accountants. "
    thisalinea.nativeID = 1749
    thisalinea.parentID = 1745
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. accountants. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. accountants.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "10. De rechter kan twee curatoren ..."
    thisalinea.nativeID = 1750
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "10. De rechter kan twee curatoren benoemen, tenzij gegronde redenen zich tegen zodanige benoeming verzetten. Zijn er twee curatoren, dan kan ieder van hen de taken die aan een curator toekomen, alleen verrichten. De rechter kan zo nodig een taakverdeling tussen de curatoren vaststellen. Bij verschil van mening tussen de curatoren beslist op verzoek van een van hen of op verzoek van een instelling als bedoeld in artikel 379, tweede lid, de kantonrechter. Deze kan ook een verdeling van de beloning vaststellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("10. De rechter kan twee curatoren benoemen, tenzij gegronde redenen zich tegen zodanige")
    thisalinea.textcontent.append("benoeming verzetten. Zijn er twee curatoren, dan kan ieder van hen de taken die aan een")
    thisalinea.textcontent.append("curator toekomen, alleen verrichten. De rechter kan zo nodig een taakverdeling tussen de")
    thisalinea.textcontent.append("curatoren vaststellen. Bij verschil van mening tussen de curatoren beslist op verzoek van")
    thisalinea.textcontent.append("een van hen of op verzoek van een instelling als bedoeld in artikel 379, tweede lid, de")
    thisalinea.textcontent.append("kantonrechter. Deze kan ook een verdeling van de beloning vaststellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "11. De taak van de curator ..."
    thisalinea.nativeID = 1751
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 10
    thisalinea.summary = "11. De taak van de curator vangt aan daags nadat de beslissing, houdende de benoeming, is verstrekt of verzonden. Met die dag eindigt het provisioneel bewind. De provisionele bewindvoerder is verplicht ten overstaan van de kantonrechter aan de curator rekening en verantwoording van zijn bemoeienissen af te leggen; wordt hij zelf tot curator benoemd, dan wordt de rekening en verantwoording aan de kantonrechter afgelegd. Indien de curator vóór de meerderjarigheid van de onder curatele gestelde is benoemd, vangt zijn taak aan op het tijdstip waarop de curatele in werking treedt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("11. De taak van de curator vangt aan daags nadat de beslissing, houdende de benoeming, is")
    thisalinea.textcontent.append("verstrekt of verzonden. Met die dag eindigt het provisioneel bewind. De provisionele")
    thisalinea.textcontent.append("bewindvoerder is verplicht ten overstaan van de kantonrechter aan de curator rekening en")
    thisalinea.textcontent.append("verantwoording van zijn bemoeienissen af te leggen; wordt hij zelf tot curator benoemd,")
    thisalinea.textcontent.append("dan wordt de rekening en verantwoording aan de kantonrechter afgelegd. Indien de")
    thisalinea.textcontent.append("curator vóór de meerderjarigheid van de onder curatele gestelde is benoemd, vangt zijn")
    thisalinea.textcontent.append("taak aan op het tijdstip waarop de curatele in werking treedt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "12. Indien het verzoek tot ondercuratelestelling ..."
    thisalinea.nativeID = 1752
    thisalinea.parentID = 1727
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 11
    thisalinea.summary = "12. Indien het verzoek tot ondercuratelestelling wordt afgewezen, eindigt het bewind van de provisionele bewindvoerder daags na die uitspraak, tenzij de rechter anders bepaalt, en in ieder geval uiterlijk daags nadat de afwijzing in kracht van gewijsde is gegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("12. Indien het verzoek tot ondercuratelestelling wordt afgewezen, eindigt het bewind van de")
    thisalinea.textcontent.append("provisionele bewindvoerder daags na die uitspraak, tenzij de rechter anders bepaalt, en in")
    thisalinea.textcontent.append("ieder geval uiterlijk daags nadat de afwijzing in kracht van gewijsde is gegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 384"
    thisalinea.nativeID = 1753
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 615
    thisalinea.summary = "Indien een beschikking, waarbij curatele is uitgesproken, in hoger beroep of cassatie wordt vernietigd en het verzoek tot ondercuratelestelling alsnog wordt afgewezen, neemt de taak van de curator daags na deze uitspraak een einde. De inmiddels door de curator of met zijn toestemming verrichte handelingen blijven voor de onder curatele gestelde verbindend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Indien een beschikking, waarbij curatele is uitgesproken, in hoger beroep of cassatie wordt")
    thisalinea.textcontent.append("vernietigd en het verzoek tot ondercuratelestelling alsnog wordt afgewezen, neemt de taak")
    thisalinea.textcontent.append("van de curator daags na deze uitspraak een einde. De inmiddels door de curator of met zijn")
    thisalinea.textcontent.append("toestemming verrichte handelingen blijven voor de onder curatele gestelde verbindend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 385"
    thisalinea.nativeID = 1754
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 616
    thisalinea.summary = "1. Behoudens het in de artikelen 383 en 384 bepaalde vinden de artikelen 250 en 280, onder b, 281 lid 1 onder a en lid 2, 322, eerste lid, onder a en c, 324, 336 en 372-377 bij curatele overeenkomstige toepassing, met dien verstande dat a. in geval van benoeming van een ouder tot curator een bereidverklaring als bedoeld in artikel 280 onder b niet is vereist; b. voor rechtbank of rechter wordt gelezen kantonrechter; c. aan de raad voor de kinderbescherming terzake geen bevoegdheden toekomen; d. de curator te allen tijde hetzij op eigen verzoek, hetzij wegens gewichtige redenen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Behoudens het in de artikelen ..."
    thisalinea.nativeID = 1755
    thisalinea.parentID = 1754
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Behoudens het in de artikelen 383 en 384 bepaalde vinden de artikelen 250 en 280, onder b, 281 lid 1 onder a en lid 2, 322, eerste lid, onder a en c, 324, 336 en 372-377 bij curatele overeenkomstige toepassing, met dien verstande dat a. in geval van benoeming van een ouder tot curator een bereidverklaring als bedoeld in artikel 280 onder b niet is vereist; b. voor rechtbank of rechter wordt gelezen kantonrechter; c. aan de raad voor de kinderbescherming terzake geen bevoegdheden toekomen; d. de curator te allen tijde hetzij op eigen verzoek, hetzij wegens gewichtige redenen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Behoudens het in de artikelen 383 en 384 bepaalde vinden de artikelen 250 en 280,")
    thisalinea.textcontent.append("onder b, 281 lid 1 onder a en lid 2, 322, eerste lid, onder a en c, 324, 336 en 372-377 bij")
    thisalinea.textcontent.append("curatele overeenkomstige toepassing, met dien verstande dat")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. in geval van benoeming van ..."
    thisalinea.nativeID = 1756
    thisalinea.parentID = 1755
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. in geval van benoeming van een ouder tot curator een bereidverklaring als bedoeld in artikel 280 onder b niet is vereist; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. in geval van benoeming van een ouder tot curator een bereidverklaring als bedoeld in")
    thisalinea.textcontent.append("artikel 280 onder b niet is vereist;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. voor rechtbank of rechter wordt ..."
    thisalinea.nativeID = 1757
    thisalinea.parentID = 1755
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. voor rechtbank of rechter wordt gelezen kantonrechter; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. voor rechtbank of rechter wordt gelezen kantonrechter;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. aan de raad voor de ..."
    thisalinea.nativeID = 1758
    thisalinea.parentID = 1755
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. aan de raad voor de kinderbescherming terzake geen bevoegdheden toekomen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. aan de raad voor de kinderbescherming terzake geen bevoegdheden toekomen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. de curator te allen tijde ..."
    thisalinea.nativeID = 1759
    thisalinea.parentID = 1755
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. de curator te allen tijde hetzij op eigen verzoek, hetzij wegens gewichtige redenen of omdat hij niet meer voldoet aan de eisen om curator te kunnen worden, door de kantonrechter kan worden ontslagen, zulks op verzoek van de medecurator of degene die gerechtigd is de curatele te verzoeken als bedoeld in artikel 379, dan wel ambtshalve. Artikel 448, tweede lid, derde lid en vijfde lid, is van overeenkomstige toepassing; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. de curator te allen tijde hetzij op eigen verzoek, hetzij wegens gewichtige redenen of")
    thisalinea.textcontent.append("omdat hij niet meer voldoet aan de eisen om curator te kunnen worden, door de")
    thisalinea.textcontent.append("kantonrechter kan worden ontslagen, zulks op verzoek van de medecurator of degene")
    thisalinea.textcontent.append("die gerechtigd is de curatele te verzoeken als bedoeld in artikel 379, dan wel")
    thisalinea.textcontent.append("ambtshalve. Artikel 448, tweede lid, derde lid en vijfde lid, is van overeenkomstige")
    thisalinea.textcontent.append("toepassing;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. de curator de rekening en ..."
    thisalinea.nativeID = 1760
    thisalinea.parentID = 1755
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. de curator de rekening en verantwoording, bedoeld in artikel 374, aflegt ten overstaan van de bij het einde van zijn bewind ter zake bevoegde kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. de curator de rekening en verantwoording, bedoeld in artikel 374, aflegt ten overstaan")
    thisalinea.textcontent.append("van de bij het einde van zijn bewind ter zake bevoegde kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De curator doet telkens na ..."
    thisalinea.nativeID = 1761
    thisalinea.parentID = 1754
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De curator doet telkens na verloop van vijf jaren, of zoveel eerder als de kantonrechter bepaalt, aan deze verslag van het verloop van de curatele. Hij laat zich daarbij met name uit over de vraag of de curatele dient voort te duren of door een minder ver strekkende voorziening kan worden vervangen. Feiten die voor de curatele en het voortduren daarvan van betekenis zijn deelt hij terstond aan de kantonrechter mede. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De curator doet telkens na verloop van vijf jaren, of zoveel eerder als de kantonrechter")
    thisalinea.textcontent.append("bepaalt, aan deze verslag van het verloop van de curatele. Hij laat zich daarbij met name")
    thisalinea.textcontent.append("uit over de vraag of de curatele dient voort te duren of door een minder ver strekkende")
    thisalinea.textcontent.append("voorziening kan worden vervangen. Feiten die voor de curatele en het voortduren daarvan")
    thisalinea.textcontent.append("van betekenis zijn deelt hij terstond aan de kantonrechter mede.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 386"
    thisalinea.nativeID = 1762
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 617
    thisalinea.summary = "1. Op het bewind van de curator zijn de omtrent het bewind van de voogd gegeven voorschriften van overeenkomstige toepassing. De rekening en verantwoording van zijn bewind gedurende de curatele wordt evenwel door de curator jaarlijks ingediend, behoudens indien de kantonrechter heeft bepaald dat dit op een ander tijdstip kan geschieden. Onze Minister van Veiligheid en Justitie kan een model vaststellen volgens hetwelk de rekening en verantwoording moet worden opgemaakt. De curator, bedoeld in artikel 383, zevende lid, legt jaarlijks de verklaringen en het verslag over, bedoeld in artikel 383, achtste lid. De curator doet desgevraagd van zijn werkzaamheden verslag "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Op het bewind van de ..."
    thisalinea.nativeID = 1763
    thisalinea.parentID = 1762
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Op het bewind van de curator zijn de omtrent het bewind van de voogd gegeven voorschriften van overeenkomstige toepassing. De rekening en verantwoording van zijn bewind gedurende de curatele wordt evenwel door de curator jaarlijks ingediend, behoudens indien de kantonrechter heeft bepaald dat dit op een ander tijdstip kan geschieden. Onze Minister van Veiligheid en Justitie kan een model vaststellen volgens hetwelk de rekening en verantwoording moet worden opgemaakt. De curator, bedoeld in artikel 383, zevende lid, legt jaarlijks de verklaringen en het verslag over, bedoeld in artikel 383, achtste lid. De curator doet desgevraagd van zijn werkzaamheden verslag "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Op het bewind van de curator zijn de omtrent het bewind van de voogd gegeven")
    thisalinea.textcontent.append("voorschriften van overeenkomstige toepassing. De rekening en verantwoording van zijn")
    thisalinea.textcontent.append("bewind gedurende de curatele wordt evenwel door de curator jaarlijks ingediend,")
    thisalinea.textcontent.append("behoudens indien de kantonrechter heeft bepaald dat dit op een ander tijdstip kan")
    thisalinea.textcontent.append("geschieden. Onze Minister van Veiligheid en Justitie kan een model vaststellen volgens")
    thisalinea.textcontent.append("hetwelk de rekening en verantwoording moet worden opgemaakt. De curator, bedoeld in")
    thisalinea.textcontent.append("artikel 383, zevende lid, legt jaarlijks de verklaringen en het verslag over, bedoeld in")
    thisalinea.textcontent.append("artikel 383, achtste lid. De curator doet desgevraagd van zijn werkzaamheden verslag aan")
    thisalinea.textcontent.append("de kantonrechter. De curator heeft aanspraak op beloning overeenkomstig de regels die")
    thisalinea.textcontent.append("daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De curator draagt zorg voor ..."
    thisalinea.nativeID = 1764
    thisalinea.parentID = 1762
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De curator draagt zorg voor een doelmatige belegging van het vermogen van de onder curatele gestelde, voor zover dit niet besteed behoort te worden voor een voldoende verzorging van de onder curatele gestelde. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De curator draagt zorg voor een doelmatige belegging van het vermogen van de onder")
    thisalinea.textcontent.append("curatele gestelde, voor zover dit niet besteed behoort te worden voor een voldoende")
    thisalinea.textcontent.append("verzorging van de onder curatele gestelde.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Tenzij de kantonrechter anders bepaalt, ..."
    thisalinea.nativeID = 1765
    thisalinea.parentID = 1762
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Tenzij de kantonrechter anders bepaalt, is de curator verplicht zo spoedig mogelijk een rekening te openen bij een financiële onderneming die ingevolge de Wet op het financieel toezicht in Nederland het bedrijf van bank mag uitoefenen; de curator is voorts verplicht om uitsluitend voor de betalingen die hij bij de vervulling van zijn taak verricht of ontvangt, zoveel mogelijk van deze rekening gebruik te maken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Tenzij de kantonrechter anders bepaalt, is de curator verplicht zo spoedig mogelijk een")
    thisalinea.textcontent.append("rekening te openen bij een financiële onderneming die ingevolge de Wet op het financieel")
    thisalinea.textcontent.append("toezicht in Nederland het bedrijf van bank mag uitoefenen; de curator is voorts verplicht")
    thisalinea.textcontent.append("om uitsluitend voor de betalingen die hij bij de vervulling van zijn taak verricht of ontvangt,")
    thisalinea.textcontent.append("zoveel mogelijk van deze rekening gebruik te maken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Voor de toepassing van de ..."
    thisalinea.nativeID = 1766
    thisalinea.parentID = 1762
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Voor de toepassing van de artikelen 365 tot en met 367 treedt de officier van justitie in de plaats van de raad voor de kinderbescherming en het ontslag bedoeld in artikel 385, lid 1 onder d in de plaats van de ontzetting van de voogd op grond van artikel 327 lid 1 onder b. Mededelingen en zendingen als bedoeld in artikel 371a, geschieden alleen dan indien artikel 12, vierde lid, op de desbetreffende curatele niet van toepassing is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Voor de toepassing van de artikelen 365 tot en met 367 treedt de officier van justitie in de")
    thisalinea.textcontent.append("plaats van de raad voor de kinderbescherming en het ontslag bedoeld in artikel 385, lid 1")
    thisalinea.textcontent.append("onder d in de plaats van de ontzetting van de voogd op grond van artikel 327 lid 1 onder")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. Mededelingen en zendingen als bedoeld ..."
    thisalinea.nativeID = 1767
    thisalinea.parentID = 1766
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "b. Mededelingen en zendingen als bedoeld in artikel 371a, geschieden alleen dan indien artikel 12, vierde lid, op de desbetreffende curatele niet van toepassing is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. Mededelingen en zendingen als bedoeld in artikel 371a, geschieden alleen dan indien")
    thisalinea.textcontent.append("artikel 12, vierde lid, op de desbetreffende curatele niet van toepassing is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Indien een gehuwde of een ..."
    thisalinea.nativeID = 1768
    thisalinea.parentID = 1762
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Indien een gehuwde of een geregistreerde partner onder curatele wordt gesteld, en tussen de echtgenoten of de geregistreerde partners het bestuur over hun goederen en de goederen der gemeenschap anders is verdeeld dan volgens de regels van de wet en van huwelijkse voorwaarden, bepaalt de rechter bij het uitspreken van de curatele, of en in hoeverre die verdeling ook voor de curator zal gelden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Indien een gehuwde of een geregistreerde partner onder curatele wordt gesteld, en")
    thisalinea.textcontent.append("tussen de echtgenoten of de geregistreerde partners het bestuur over hun goederen en")
    thisalinea.textcontent.append("de goederen der gemeenschap anders is verdeeld dan volgens de regels van de wet en")
    thisalinea.textcontent.append("van huwelijkse voorwaarden, bepaalt de rechter bij het uitspreken van de curatele, of en")
    thisalinea.textcontent.append("in hoeverre die verdeling ook voor de curator zal gelden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De kantonrechter kan van de ..."
    thisalinea.nativeID = 1769
    thisalinea.parentID = 1762
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De kantonrechter kan van de curator verlangen dat hij inzage geeft van zijn boeken, bescheiden en andere gegevensdragers. Hij kan voorts een afschrift daarvan verlangen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De kantonrechter kan van de curator verlangen dat hij inzage geeft van zijn boeken,")
    thisalinea.textcontent.append("bescheiden en andere gegevensdragers. Hij kan voorts een afschrift daarvan verlangen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 387"
    thisalinea.nativeID = 1770
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 618
    thisalinea.summary = "[Vervallen per 17-01-1994] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 17-01-1994]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 388"
    thisalinea.nativeID = 1771
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 619
    thisalinea.summary = "[Vervallen per 17-01-1994] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 17-01-1994]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 389"
    thisalinea.nativeID = 1772
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 620
    thisalinea.summary = "1. De curatele eindigt: a. door het verstrijken van de tijdsduur waarvoor zij is ingesteld, b. door de dood van de betrokken persoon, of c. indien ten behoeve van hem bij in kracht van gewijsde gegane rechterlijke uitspraak ter vervanging van curatele een bewind als bedoeld in titel 19 dan wel een mentorschap als bedoeld in titel 20 is ingesteld. 2. De kantonrechter kan, indien de noodzaak daartoe niet meer bestaat of voortzetting van de curatele niet zinvol is gebleken, de curatele opheffen, zulks op verzoek van de curator of degene die gerechtigd is de curatele te verzoeken als bedoeld "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De curatele eindigt: "
    thisalinea.nativeID = 1773
    thisalinea.parentID = 1772
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De curatele eindigt: a. door het verstrijken van de tijdsduur waarvoor zij is ingesteld, b. door de dood van de betrokken persoon, of c. indien ten behoeve van hem bij in kracht van gewijsde gegane rechterlijke uitspraak ter vervanging van curatele een bewind als bedoeld in titel 19 dan wel een mentorschap als bedoeld in titel 20 is ingesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De curatele eindigt:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. door het verstrijken van de ..."
    thisalinea.nativeID = 1774
    thisalinea.parentID = 1773
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door het verstrijken van de tijdsduur waarvoor zij is ingesteld, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door het verstrijken van de tijdsduur waarvoor zij is ingesteld,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. door de dood van de ..."
    thisalinea.nativeID = 1775
    thisalinea.parentID = 1773
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door de dood van de betrokken persoon, of "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door de dood van de betrokken persoon, of")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. indien ten behoeve van hem ..."
    thisalinea.nativeID = 1776
    thisalinea.parentID = 1773
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. indien ten behoeve van hem bij in kracht van gewijsde gegane rechterlijke uitspraak ter vervanging van curatele een bewind als bedoeld in titel 19 dan wel een mentorschap als bedoeld in titel 20 is ingesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. indien ten behoeve van hem bij in kracht van gewijsde gegane rechterlijke uitspraak")
    thisalinea.textcontent.append("ter vervanging van curatele een bewind als bedoeld in titel 19 dan wel een")
    thisalinea.textcontent.append("mentorschap als bedoeld in titel 20 is ingesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kantonrechter kan, indien de ..."
    thisalinea.nativeID = 1777
    thisalinea.parentID = 1772
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kantonrechter kan, indien de noodzaak daartoe niet meer bestaat of voortzetting van de curatele niet zinvol is gebleken, de curatele opheffen, zulks op verzoek van de curator of degene die gerechtigd is de curatele te verzoeken als bedoeld in artikel 379, alsmede ambtshalve. De beschikking treedt in werking zodra zij in kracht van gewijsde is gegaan, tenzij zij een eerder tijdstip van ingang aanwijst. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kantonrechter kan, indien de noodzaak daartoe niet meer bestaat of voortzetting van")
    thisalinea.textcontent.append("de curatele niet zinvol is gebleken, de curatele opheffen, zulks op verzoek van de curator")
    thisalinea.textcontent.append("of degene die gerechtigd is de curatele te verzoeken als bedoeld in artikel 379, alsmede")
    thisalinea.textcontent.append("ambtshalve. De beschikking treedt in werking zodra zij in kracht van gewijsde is gegaan,")
    thisalinea.textcontent.append("tenzij zij een eerder tijdstip van ingang aanwijst.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Degene die gerechtigd is de ..."
    thisalinea.nativeID = 1778
    thisalinea.parentID = 1772
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Degene die gerechtigd is de curatele te verzoeken als bedoeld in artikel 379, alsmede de curator, kan verzoeken om verlenging van een curatele die voor een bepaalde tijdsduur is ingesteld. De kantonrechter beslist binnen twee maanden na het indienen van het verzoekschrift. Artikel 384 is van overeenkomstige toepassing. Tegen de afwijzing van een verzoek tot verlenging staat geen hogere voorziening open. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Degene die gerechtigd is de curatele te verzoeken als bedoeld in artikel 379, alsmede de")
    thisalinea.textcontent.append("curator, kan verzoeken om verlenging van een curatele die voor een bepaalde tijdsduur is")
    thisalinea.textcontent.append("ingesteld. De kantonrechter beslist binnen twee maanden na het indienen van het")
    thisalinea.textcontent.append("verzoekschrift. Artikel 384 is van overeenkomstige toepassing. Tegen de afwijzing van een")
    thisalinea.textcontent.append("verzoek tot verlenging staat geen hogere voorziening open.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 390"
    thisalinea.nativeID = 1779
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 621
    thisalinea.summary = "Alle uitspraken waarbij een curatele wordt verleend of opgeheven of waarbij een uitspraak tot ondercuratelestelling wordt vernietigd, alsmede beschikkingen als in artikel 380 bedoeld, worden binnen tien dagen nadat zij kunnen worden ten uitvoer gelegd, vanwege de griffier in de Staatscourant bekendgemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Alle uitspraken waarbij een curatele wordt verleend of opgeheven of waarbij een uitspraak tot")
    thisalinea.textcontent.append("ondercuratelestelling wordt vernietigd, alsmede beschikkingen als in artikel 380 bedoeld,")
    thisalinea.textcontent.append("worden binnen tien dagen nadat zij kunnen worden ten uitvoer gelegd, vanwege de griffier in")
    thisalinea.textcontent.append("de Staatscourant bekendgemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 391"
    thisalinea.nativeID = 1780
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 622
    thisalinea.summary = "1° de naam en geboortedatum van de onder curatele gestelde en de rechthebbende; 2° een uittreksel van de rechterlijke beslissingen, waarbij de curatele of het bewind wegens verkwisting dan wel het hebben van problematische schulden wordt ingesteld, verlengd of opgeheven; 3° een uittreksel van de rechterlijke beslissingen, waarbij, voor zover de rechter zulks overeenkomstig artikel 436, derde lid, derde volzin, heeft bepaald, het bewind wegens een lichamelijke of geestelijke toestand wordt ingesteld, verlengd of opgeheven; 4° de grond waarop de curatele is ingesteld; 5° voor zover van toepassing, de datum waarop de curatele of het bewind eindigt; 6° een uittreksel "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1° de naam en geboortedatum van de onder curatele gestelde en de rechthebbende;")
    thisalinea.textcontent.append("2° een uittreksel van de rechterlijke beslissingen, waarbij de curatele of het bewind")
    thisalinea.textcontent.append("wegens verkwisting dan wel het hebben van problematische schulden wordt ingesteld,")
    thisalinea.textcontent.append("verlengd of opgeheven;")
    thisalinea.textcontent.append("3° een uittreksel van de rechterlijke beslissingen, waarbij, voor zover de rechter zulks")
    thisalinea.textcontent.append("overeenkomstig artikel 436, derde lid, derde volzin, heeft bepaald, het bewind wegens")
    thisalinea.textcontent.append("een lichamelijke of geestelijke toestand wordt ingesteld, verlengd of opgeheven;")
    thisalinea.textcontent.append("4° de grond waarop de curatele is ingesteld;")
    thisalinea.textcontent.append("5° voor zover van toepassing, de datum waarop de curatele of het bewind eindigt;")
    thisalinea.textcontent.append("6° een uittreksel van de rechterlijke beslissingen, waarbij een curator of bewindvoerder")
    thisalinea.textcontent.append("wordt benoemd, geschorst of ontslagen;")
    thisalinea.textcontent.append("7° de naam en woonplaats van de curator of curatoren en de bewindvoerder of")
    thisalinea.textcontent.append("bewindvoerders en de taakverdeling, voor zover de rechter deze heeft vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Door een bij algemene maatregel ..."
    thisalinea.nativeID = 1781
    thisalinea.parentID = 1780
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Door een bij algemene maatregel van bestuur aan te wijzen orgaan wordt een openbaar register gehouden, waarin rechtsfeiten worden aangetekend die betrekking hebben op curatele en op bewind als bedoeld in titel 19. In het register worden, voor iedere curatele en ieder in te schrijven bewind afzonderlijk, met vermelding van de dagtekening, ingeschreven: "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Door een bij algemene maatregel van bestuur aan te wijzen orgaan wordt een openbaar")
    thisalinea.textcontent.append("register gehouden, waarin rechtsfeiten worden aangetekend die betrekking hebben op")
    thisalinea.textcontent.append("curatele en op bewind als bedoeld in titel 19. In het register worden, voor iedere curatele")
    thisalinea.textcontent.append("en ieder in te schrijven bewind afzonderlijk, met vermelding van de dagtekening,")
    thisalinea.textcontent.append("ingeschreven:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Een ieder heeft kosteloze inzage ..."
    thisalinea.nativeID = 1782
    thisalinea.parentID = 1780
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Een ieder heeft kosteloze inzage in het register en kan tegen betaling een uittreksel daaruit verkrijgen, met inachtneming van het bij of krachtens de Wet griffierechten burgerlijke zaken bepaalde. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Een ieder heeft kosteloze inzage in het register en kan tegen betaling een uittreksel")
    thisalinea.textcontent.append("daaruit verkrijgen, met inachtneming van het bij of krachtens de Wet griffierechten")
    thisalinea.textcontent.append("burgerlijke zaken bepaalde.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De griffier van de rechtbank ..."
    thisalinea.nativeID = 1783
    thisalinea.parentID = 1780
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De griffier van de rechtbank geeft de in het eerste lid, onder 1° tot en met 7° genoemde gegevens, alsmede het bericht van het overlijden van de onder curatele gestelde dan wel rechthebbende, door aan het in het eerste lid bedoelde orgaan ten behoeve van het in het eerste lid genoemde register. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De griffier van de rechtbank geeft de in het eerste lid, onder 1° tot en met 7° genoemde")
    thisalinea.textcontent.append("gegevens, alsmede het bericht van het overlijden van de onder curatele gestelde dan wel")
    thisalinea.textcontent.append("rechthebbende, door aan het in het eerste lid bedoelde orgaan ten behoeve van het in het")
    thisalinea.textcontent.append("eerste lid genoemde register.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het einde van de curatele ..."
    thisalinea.nativeID = 1784
    thisalinea.parentID = 1780
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het einde van de curatele en het bewind door het verstrijken van de tijdsduur waarvoor de maatregel is ingesteld, leidt tot doorhaling van de inschrijving in het openbaar register op de dag na het verstrijken van de tijdsduur. Een beschikking tot opheffing van de curatele of het bewind leidt tot doorhaling van de inschrijving in het openbaar register op het tijdstip waarop de beschikking in kracht van gewijsde is gegaan. Het overlijden van de onder curatele gestelde of de rechthebbende leidt tot doorhaling van de inschrijving in het openbaar register, nadat de griffie van de rechtbank het bericht van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het einde van de curatele en het bewind door het verstrijken van de tijdsduur waarvoor de")
    thisalinea.textcontent.append("maatregel is ingesteld, leidt tot doorhaling van de inschrijving in het openbaar register op")
    thisalinea.textcontent.append("de dag na het verstrijken van de tijdsduur. Een beschikking tot opheffing van de curatele")
    thisalinea.textcontent.append("of het bewind leidt tot doorhaling van de inschrijving in het openbaar register op het tijdstip")
    thisalinea.textcontent.append("waarop de beschikking in kracht van gewijsde is gegaan. Het overlijden van de onder")
    thisalinea.textcontent.append("curatele gestelde of de rechthebbende leidt tot doorhaling van de inschrijving in het")
    thisalinea.textcontent.append("openbaar register, nadat de griffie van de rechtbank het bericht van het overlijden heeft")
    thisalinea.textcontent.append("ontvangen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 17. Levensonderhoud Afdeling 1. Algemene bepalingen"
    thisalinea.nativeID = 1785
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 623
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 392"
    thisalinea.nativeID = 1786
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 624
    thisalinea.summary = "gehouden: 1. Tot het verstrekken van levensonderhoud zijn op grond van bloed- of aanverwantschap a. de ouders; b. de kinderen; c. behuwdkinderen, schoonouders en stiefouders. 2. Deze verplichting bestaat, behalve wat betreft ouders en stiefouders jegens hun minderjarige kinderen en stiefkinderen en jegens hun kinderen bedoeld in artikel 395a van dit boek, slechts in geval van behoeftigheid van de tot levensonderhoud gerechtigde. 3. De in het eerste lid genoemde personen zijn niet verplicht levensonderhoud te verstrekken, voor zover dit van de echtgenoot of een vroegere echtgenoot dan wel de geregistreerde partner of vroegere geregistreerde partner overeenkomstig het in de vijfde "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("gehouden:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Tot het verstrekken van levensonderhoud ..."
    thisalinea.nativeID = 1787
    thisalinea.parentID = 1786
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Tot het verstrekken van levensonderhoud zijn op grond van bloed- of aanverwantschap a. de ouders; b. de kinderen; c. behuwdkinderen, schoonouders en stiefouders. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Tot het verstrekken van levensonderhoud zijn op grond van bloed- of aanverwantschap")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. de ouders; "
    thisalinea.nativeID = 1788
    thisalinea.parentID = 1787
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. de ouders; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. de ouders;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. de kinderen; "
    thisalinea.nativeID = 1789
    thisalinea.parentID = 1787
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. de kinderen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. de kinderen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. behuwdkinderen, schoonouders en stiefouders. "
    thisalinea.nativeID = 1790
    thisalinea.parentID = 1787
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. behuwdkinderen, schoonouders en stiefouders. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. behuwdkinderen, schoonouders en stiefouders.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Deze verplichting bestaat, behalve wat ..."
    thisalinea.nativeID = 1791
    thisalinea.parentID = 1786
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Deze verplichting bestaat, behalve wat betreft ouders en stiefouders jegens hun minderjarige kinderen en stiefkinderen en jegens hun kinderen bedoeld in artikel 395a van dit boek, slechts in geval van behoeftigheid van de tot levensonderhoud gerechtigde. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Deze verplichting bestaat, behalve wat betreft ouders en stiefouders jegens hun")
    thisalinea.textcontent.append("minderjarige kinderen en stiefkinderen en jegens hun kinderen bedoeld in artikel 395a van")
    thisalinea.textcontent.append("dit boek, slechts in geval van behoeftigheid van de tot levensonderhoud gerechtigde.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De in het eerste lid ..."
    thisalinea.nativeID = 1792
    thisalinea.parentID = 1786
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De in het eerste lid genoemde personen zijn niet verplicht levensonderhoud te verstrekken, voor zover dit van de echtgenoot of een vroegere echtgenoot dan wel de geregistreerde partner of vroegere geregistreerde partner overeenkomstig het in de vijfde titel a, zesde, negende of tiende titel van dit boek bepaalde kan worden verkregen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De in het eerste lid genoemde personen zijn niet verplicht levensonderhoud te")
    thisalinea.textcontent.append("verstrekken, voor zover dit van de echtgenoot of een vroegere echtgenoot dan wel de")
    thisalinea.textcontent.append("geregistreerde partner of vroegere geregistreerde partner overeenkomstig het in de vijfde")
    thisalinea.textcontent.append("titel a, zesde, negende of tiende titel van dit boek bepaalde kan worden verkregen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 393"
    thisalinea.nativeID = 1793
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 625
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 394"
    thisalinea.nativeID = 1794
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 626
    thisalinea.summary = "De verwekker van een kind dat alleen een moeder heeft, alsmede de persoon die als levensgezel van de moeder ingestemd heeft met een daad die de verwekking van het kind tot gevolg kan hebben gehad, is als ware hij ouder verplicht tot het voorzien in de kosten van verzorging en opvoeding van het kind dan wel, na het bereiken van de meerderjarigheid van het kind, tot het voorzien in de kosten van levensonderhoud en studie overeenkomstig de artikelen 395a en 395b. Nadien bestaat deze verplichting slechts in geval van behoeftigheid van het kind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De verwekker van een kind dat alleen een moeder heeft, alsmede de persoon die als")
    thisalinea.textcontent.append("levensgezel van de moeder ingestemd heeft met een daad die de verwekking van het kind tot")
    thisalinea.textcontent.append("gevolg kan hebben gehad, is als ware hij ouder verplicht tot het voorzien in de kosten van")
    thisalinea.textcontent.append("verzorging en opvoeding van het kind dan wel, na het bereiken van de meerderjarigheid van")
    thisalinea.textcontent.append("het kind, tot het voorzien in de kosten van levensonderhoud en studie overeenkomstig de")
    thisalinea.textcontent.append("artikelen 395a en 395b. Nadien bestaat deze verplichting slechts in geval van behoeftigheid")
    thisalinea.textcontent.append("van het kind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 395"
    thisalinea.nativeID = 1795
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 627
    thisalinea.summary = "Een stiefouder is, onverminderd het bepaalde in artikel 395a van dit boek, alleen verplicht gedurende zijn huwelijk of zijn geregistreerd partnerschap levensonderhoud te verstrekken aan de tot zijn gezin behorende minderjarige kinderen van zijn echtgenoot of geregistreerde partner. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een stiefouder is, onverminderd het bepaalde in artikel 395a van dit boek, alleen verplicht")
    thisalinea.textcontent.append("gedurende zijn huwelijk of zijn geregistreerd partnerschap levensonderhoud te verstrekken")
    thisalinea.textcontent.append("aan de tot zijn gezin behorende minderjarige kinderen van zijn echtgenoot of geregistreerde")
    thisalinea.textcontent.append("partner.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 395a"
    thisalinea.nativeID = 1796
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 628
    thisalinea.summary = "1. Ouders zijn verplicht te voorzien in de kosten van levensonderhoud en studie van hun meerderjarige kinderen die de leeftijd van een en twintig jaren niet hebben bereikt. 2. Een stiefouder is gedurende zijn huwelijk of zijn geregistreerd partnerschap jegens de tot zijn gezin behorende meerderjarige kinderen van zijn echtgenoot of geregistreerde partner die de leeftijd van een en twintig jaren niet hebben bereikt, verplicht te voorzien in de bij het vorige lid bedoelde kosten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Ouders zijn verplicht te voorzien ..."
    thisalinea.nativeID = 1797
    thisalinea.parentID = 1796
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Ouders zijn verplicht te voorzien in de kosten van levensonderhoud en studie van hun meerderjarige kinderen die de leeftijd van een en twintig jaren niet hebben bereikt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Ouders zijn verplicht te voorzien in de kosten van levensonderhoud en studie van hun")
    thisalinea.textcontent.append("meerderjarige kinderen die de leeftijd van een en twintig jaren niet hebben bereikt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Een stiefouder is gedurende zijn ..."
    thisalinea.nativeID = 1798
    thisalinea.parentID = 1796
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Een stiefouder is gedurende zijn huwelijk of zijn geregistreerd partnerschap jegens de tot zijn gezin behorende meerderjarige kinderen van zijn echtgenoot of geregistreerde partner die de leeftijd van een en twintig jaren niet hebben bereikt, verplicht te voorzien in de bij het vorige lid bedoelde kosten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Een stiefouder is gedurende zijn huwelijk of zijn geregistreerd partnerschap jegens de tot")
    thisalinea.textcontent.append("zijn gezin behorende meerderjarige kinderen van zijn echtgenoot of geregistreerde")
    thisalinea.textcontent.append("partner die de leeftijd van een en twintig jaren niet hebben bereikt, verplicht te voorzien in")
    thisalinea.textcontent.append("de bij het vorige lid bedoelde kosten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 395b"
    thisalinea.nativeID = 1799
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 629
    thisalinea.summary = "Heeft de rechter het bedrag bepaald, dat een ouder of stiefouder dan wel, overeenkomstig artikel 394, de verwekker of de persoon die in artikel 394 daarmee gelijk is gesteld ter zake van de verzorging en opvoeding van zijn minderjarig kind of stiefkind moet betalen en is deze verplichting tot aan het meerderjarig worden van het kind van kracht geweest, dan geldt met ingang van dit tijdstip de rechterlijke beslissing als een tot bepaling van het bedrag ter zake van levensonderhoud en studie als in artikel 395a van dit boek bedoeld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Heeft de rechter het bedrag bepaald, dat een ouder of stiefouder dan wel, overeenkomstig")
    thisalinea.textcontent.append("artikel 394, de verwekker of de persoon die in artikel 394 daarmee gelijk is gesteld ter zake")
    thisalinea.textcontent.append("van de verzorging en opvoeding van zijn minderjarig kind of stiefkind moet betalen en is deze")
    thisalinea.textcontent.append("verplichting tot aan het meerderjarig worden van het kind van kracht geweest, dan geldt met")
    thisalinea.textcontent.append("ingang van dit tijdstip de rechterlijke beslissing als een tot bepaling van het bedrag ter zake")
    thisalinea.textcontent.append("van levensonderhoud en studie als in artikel 395a van dit boek bedoeld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 396"
    thisalinea.nativeID = 1800
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 630
    thisalinea.summary = "1. De verplichting van behuwdkinderen en van schoonouders tot het verstrekken van onderhoud vervalt, wanneer het huwelijk van het behuwdkind is ontbonden. 2. De verplichting bestaat niet jegens een behuwdkind, dat is gescheiden van tafel en bed en jegens een schoonouder, nadat deze is hertrouwd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De verplichting van behuwdkinderen en ..."
    thisalinea.nativeID = 1801
    thisalinea.parentID = 1800
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De verplichting van behuwdkinderen en van schoonouders tot het verstrekken van onderhoud vervalt, wanneer het huwelijk van het behuwdkind is ontbonden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De verplichting van behuwdkinderen en van schoonouders tot het verstrekken van")
    thisalinea.textcontent.append("onderhoud vervalt, wanneer het huwelijk van het behuwdkind is ontbonden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De verplichting bestaat niet jegens ..."
    thisalinea.nativeID = 1802
    thisalinea.parentID = 1800
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De verplichting bestaat niet jegens een behuwdkind, dat is gescheiden van tafel en bed en jegens een schoonouder, nadat deze is hertrouwd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De verplichting bestaat niet jegens een behuwdkind, dat is gescheiden van tafel en bed")
    thisalinea.textcontent.append("en jegens een schoonouder, nadat deze is hertrouwd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 397"
    thisalinea.nativeID = 1803
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 631
    thisalinea.summary = "1. Bij de bepaling van het volgens de wet door bloed- en aanverwanten verschuldigde bedrag voor levensonderhoud wordt enerzijds rekening gehouden met de behoeften van de tot onderhoud gerechtigde en anderzijds met de draagkracht van de tot uitkering verplichte persoon. 2. Zijn meerdere bloed- of aanverwanten tot het verstrekken van levensonderhoud aan dezelfde persoon verplicht, dan is ieder van hen gehouden een deel van het bedrag te voldoen, dat de tot onderhoud gerechtigde behoeft. Bij de bepaling van dit deel wordt rekening gehouden met ieders draagkracht en de verhouding, waarin een ieder tot de gerechtigde staat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Bij de bepaling van het ..."
    thisalinea.nativeID = 1804
    thisalinea.parentID = 1803
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Bij de bepaling van het volgens de wet door bloed- en aanverwanten verschuldigde bedrag voor levensonderhoud wordt enerzijds rekening gehouden met de behoeften van de tot onderhoud gerechtigde en anderzijds met de draagkracht van de tot uitkering verplichte persoon. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Bij de bepaling van het volgens de wet door bloed- en aanverwanten verschuldigde")
    thisalinea.textcontent.append("bedrag voor levensonderhoud wordt enerzijds rekening gehouden met de behoeften van")
    thisalinea.textcontent.append("de tot onderhoud gerechtigde en anderzijds met de draagkracht van de tot uitkering")
    thisalinea.textcontent.append("verplichte persoon.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zijn meerdere bloed- of aanverwanten ..."
    thisalinea.nativeID = 1805
    thisalinea.parentID = 1803
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zijn meerdere bloed- of aanverwanten tot het verstrekken van levensonderhoud aan dezelfde persoon verplicht, dan is ieder van hen gehouden een deel van het bedrag te voldoen, dat de tot onderhoud gerechtigde behoeft. Bij de bepaling van dit deel wordt rekening gehouden met ieders draagkracht en de verhouding, waarin een ieder tot de gerechtigde staat. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zijn meerdere bloed- of aanverwanten tot het verstrekken van levensonderhoud aan")
    thisalinea.textcontent.append("dezelfde persoon verplicht, dan is ieder van hen gehouden een deel van het bedrag te")
    thisalinea.textcontent.append("voldoen, dat de tot onderhoud gerechtigde behoeft. Bij de bepaling van dit deel wordt")
    thisalinea.textcontent.append("rekening gehouden met ieders draagkracht en de verhouding, waarin een ieder tot de")
    thisalinea.textcontent.append("gerechtigde staat.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 398"
    thisalinea.nativeID = 1806
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 632
    thisalinea.summary = "1. Wanneer hij die tot levensonderhoud verplicht is, buiten staat is het daartoe vereiste geld op te brengen, kan de rechtbank bevelen, dat hij de bloed- of aanverwant, aan wie hij levensonderhoud verschuldigd is, bij zich in huis zal nemen en aldaar van het nodige voorzien. 2. Ouders zijn steeds bevoegd de rechter te verzoeken hun toe te staan zich van hun onderhoudsplicht jegens hun behoeftig meerderjarig kind op de in het eerste lid omschreven wijze te kwijten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer hij die tot levensonderhoud ..."
    thisalinea.nativeID = 1807
    thisalinea.parentID = 1806
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer hij die tot levensonderhoud verplicht is, buiten staat is het daartoe vereiste geld op te brengen, kan de rechtbank bevelen, dat hij de bloed- of aanverwant, aan wie hij levensonderhoud verschuldigd is, bij zich in huis zal nemen en aldaar van het nodige voorzien. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer hij die tot levensonderhoud verplicht is, buiten staat is het daartoe vereiste geld")
    thisalinea.textcontent.append("op te brengen, kan de rechtbank bevelen, dat hij de bloed- of aanverwant, aan wie hij")
    thisalinea.textcontent.append("levensonderhoud verschuldigd is, bij zich in huis zal nemen en aldaar van het nodige")
    thisalinea.textcontent.append("voorzien.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Ouders zijn steeds bevoegd de ..."
    thisalinea.nativeID = 1808
    thisalinea.parentID = 1806
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Ouders zijn steeds bevoegd de rechter te verzoeken hun toe te staan zich van hun onderhoudsplicht jegens hun behoeftig meerderjarig kind op de in het eerste lid omschreven wijze te kwijten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Ouders zijn steeds bevoegd de rechter te verzoeken hun toe te staan zich van hun")
    thisalinea.textcontent.append("onderhoudsplicht jegens hun behoeftig meerderjarig kind op de in het eerste lid")
    thisalinea.textcontent.append("omschreven wijze te kwijten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 399"
    thisalinea.nativeID = 1809
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 633
    thisalinea.summary = "De rechter kan de verplichting van bloed- en aanverwanten tot levensonderhoud matigen op grond van zodanige gedragingen van de tot onderhoud gerechtigde, dat verstrekking van levensonderhoud naar redelijkheid niet of niet ten volle kan worden gevergd; onverminderd hetgeen in de volgende afdeling is bepaald omtrent de voorziening in de kosten van de verzorging en opvoeding van minderjarige kinderen en stiefkinderen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De rechter kan de verplichting van bloed- en aanverwanten tot levensonderhoud matigen op")
    thisalinea.textcontent.append("grond van zodanige gedragingen van de tot onderhoud gerechtigde, dat verstrekking van")
    thisalinea.textcontent.append("levensonderhoud naar redelijkheid niet of niet ten volle kan worden gevergd; onverminderd")
    thisalinea.textcontent.append("hetgeen in de volgende afdeling is bepaald omtrent de voorziening in de kosten van de")
    thisalinea.textcontent.append("verzorging en opvoeding van minderjarige kinderen en stiefkinderen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 400"
    thisalinea.nativeID = 1810
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 634
    thisalinea.summary = "1. Indien een persoon verplicht is levensonderhoud te verstrekken aan twee of meer personen en zijn draagkracht onvoldoende is om dit volledig aan allen te verschaffen, hebben zijn kinderen en stiefkinderen die de leeftijd van een en twintig jaren nog niet hebben bereikt voorrang boven alle andere onderhoudsgerechtigden en hebben zijn echtgenoot, zijn vroegere echtgenoot, zijn geregistreerde partner, zijn vroegere geregistreerde partner, zijn ouders en zijn kinderen en stiefkinderen die de leeftijd van een en twintig jaren hebben bereikt voorrang boven zijn behuwdkinderen en zijn schoonouders. 2. Overeenkomsten waarbij van het volgens de wet verschuldigde levensonderhoud wordt afgezien, zijn nietig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een persoon verplicht is ..."
    thisalinea.nativeID = 1811
    thisalinea.parentID = 1810
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een persoon verplicht is levensonderhoud te verstrekken aan twee of meer personen en zijn draagkracht onvoldoende is om dit volledig aan allen te verschaffen, hebben zijn kinderen en stiefkinderen die de leeftijd van een en twintig jaren nog niet hebben bereikt voorrang boven alle andere onderhoudsgerechtigden en hebben zijn echtgenoot, zijn vroegere echtgenoot, zijn geregistreerde partner, zijn vroegere geregistreerde partner, zijn ouders en zijn kinderen en stiefkinderen die de leeftijd van een en twintig jaren hebben bereikt voorrang boven zijn behuwdkinderen en zijn schoonouders. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een persoon verplicht is levensonderhoud te verstrekken aan twee of meer")
    thisalinea.textcontent.append("personen en zijn draagkracht onvoldoende is om dit volledig aan allen te verschaffen,")
    thisalinea.textcontent.append("hebben zijn kinderen en stiefkinderen die de leeftijd van een en twintig jaren nog niet")
    thisalinea.textcontent.append("hebben bereikt voorrang boven alle andere onderhoudsgerechtigden en hebben zijn")
    thisalinea.textcontent.append("echtgenoot, zijn vroegere echtgenoot, zijn geregistreerde partner, zijn vroegere")
    thisalinea.textcontent.append("geregistreerde partner, zijn ouders en zijn kinderen en stiefkinderen die de leeftijd van een")
    thisalinea.textcontent.append("en twintig jaren hebben bereikt voorrang boven zijn behuwdkinderen en zijn")
    thisalinea.textcontent.append("schoonouders.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Overeenkomsten waarbij van het volgens ..."
    thisalinea.nativeID = 1812
    thisalinea.parentID = 1810
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Overeenkomsten waarbij van het volgens de wet verschuldigde levensonderhoud wordt afgezien, zijn nietig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Overeenkomsten waarbij van het volgens de wet verschuldigde levensonderhoud wordt")
    thisalinea.textcontent.append("afgezien, zijn nietig.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 401"
    thisalinea.nativeID = 1813
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 635
    thisalinea.summary = "op verzoek van een van de gewezen echtgenoten worden gewijzigd in geval van zo ingrijpende wijziging van omstandigheden dat ongewijzigde handhaving van de termijn naar maatstaven van redelijkheid en billijkheid niet van de verzoeker kan worden gevergd. Verlenging is niet mogelijk indien de rechter zulks ingevolge artikel 157, zevende lid, heeft bepaald. Op een verzoek tot verlenging is artikel 157, zevende lid, tweede en derde zin, van overeenkomstige toepassing. 1. Een rechterlijke uitspraak of een overeenkomst betreffende levensonderhoud kan bij latere rechterlijke uitspraak worden gewijzigd of ingetrokken, wanneer zij nadien door wijziging van omstandigheden ophoudt aan de wettelijke maatstaven te "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("op verzoek van een van de gewezen echtgenoten worden gewijzigd in geval van zo")
    thisalinea.textcontent.append("ingrijpende wijziging van omstandigheden dat ongewijzigde handhaving van de termijn")
    thisalinea.textcontent.append("naar maatstaven van redelijkheid en billijkheid niet van de verzoeker kan worden gevergd.")
    thisalinea.textcontent.append("Verlenging is niet mogelijk indien de rechter zulks ingevolge artikel 157, zevende lid, heeft")
    thisalinea.textcontent.append("bepaald. Op een verzoek tot verlenging is artikel 157, zevende lid, tweede en derde zin, van")
    thisalinea.textcontent.append("overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een rechterlijke uitspraak of een ..."
    thisalinea.nativeID = 1814
    thisalinea.parentID = 1813
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een rechterlijke uitspraak of een overeenkomst betreffende levensonderhoud kan bij latere rechterlijke uitspraak worden gewijzigd of ingetrokken, wanneer zij nadien door wijziging van omstandigheden ophoudt aan de wettelijke maatstaven te voldoen. De voorgaande zin is niet van toepassing op een verzoek tot wijziging van een termijn die de rechter heeft vastgesteld op grond van artikel 156, derde lid, of artikel 157, zevende lid, of die is opgenomen in een overeenkomst als bedoeld in artikel 158. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een rechterlijke uitspraak of een overeenkomst betreffende levensonderhoud kan bij")
    thisalinea.textcontent.append("latere rechterlijke uitspraak worden gewijzigd of ingetrokken, wanneer zij nadien door")
    thisalinea.textcontent.append("wijziging van omstandigheden ophoudt aan de wettelijke maatstaven te voldoen. De")
    thisalinea.textcontent.append("voorgaande zin is niet van toepassing op een verzoek tot wijziging van een termijn die de")
    thisalinea.textcontent.append("rechter heeft vastgesteld op grond van artikel 156, derde lid, of artikel 157, zevende lid, of")
    thisalinea.textcontent.append("die is opgenomen in een overeenkomst als bedoeld in artikel 158.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De termijn die de rechter ..."
    thisalinea.nativeID = 1815
    thisalinea.parentID = 1813
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De termijn die de rechter heeft vastgesteld op grond van artikel 156, derde lid, of artikel 157, zevende lid, of die is opgenomen in een overeenkomst als bedoeld in artikel 158, kan "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De termijn die de rechter heeft vastgesteld op grond van artikel 156, derde lid, of artikel")
    thisalinea.textcontent.append("157, zevende lid, of die is opgenomen in een overeenkomst als bedoeld in artikel 158, kan")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Partijen kunnen schriftelijk overeenkomen dat ..."
    thisalinea.nativeID = 1816
    thisalinea.parentID = 1813
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Partijen kunnen schriftelijk overeenkomen dat het eerste lid, eerste zin, van toepassing is op een verzoek tot wijziging van een termijn die is opgenomen in een overeenkomst als bedoeld in artikel 158. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Partijen kunnen schriftelijk overeenkomen dat het eerste lid, eerste zin, van toepassing is")
    thisalinea.textcontent.append("op een verzoek tot wijziging van een termijn die is opgenomen in een overeenkomst als")
    thisalinea.textcontent.append("bedoeld in artikel 158.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Een rechterlijke uitspraak betreffende levensonderhoud ..."
    thisalinea.nativeID = 1817
    thisalinea.parentID = 1813
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Een rechterlijke uitspraak betreffende levensonderhoud kan ook worden gewijzigd of ingetrokken, indien zij van de aanvang af niet aan de wettelijke maatstaven heeft beantwoord doordat bij die uitspraak van onjuiste of onvolledige gegevens is uitgegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Een rechterlijke uitspraak betreffende levensonderhoud kan ook worden gewijzigd of")
    thisalinea.textcontent.append("ingetrokken, indien zij van de aanvang af niet aan de wettelijke maatstaven heeft")
    thisalinea.textcontent.append("beantwoord doordat bij die uitspraak van onjuiste of onvolledige gegevens is uitgegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Een overeenkomst betreffende levensonderhoud kan ..."
    thisalinea.nativeID = 1818
    thisalinea.parentID = 1813
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Een overeenkomst betreffende levensonderhoud kan ook worden gewijzigd of ingetrokken, indien zij is aangegaan met grove miskenning van de wettelijke maatstaven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Een overeenkomst betreffende levensonderhoud kan ook worden gewijzigd of")
    thisalinea.textcontent.append("ingetrokken, indien zij is aangegaan met grove miskenning van de wettelijke maatstaven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 402"
    thisalinea.nativeID = 1819
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 636
    thisalinea.summary = "1. De rechter, die het bedrag van een uitkering tot levensonderhoud bepaalt, wijzigt of intrekt, stelt tevens de dag vast, van welke dit bedrag verschuldigd is of ophoudt verschuldigd te zijn. 2. Bij de vaststelling van een bedrag bepaalt de rechter tevens of dit wekelijks, maandelijks of driemaandelijks moet worden voldaan. 3. Zouden op de dag, dat de uitspraak ten uitvoer kan worden gelegd, reeds meer dan één termijn verschenen zijn of meer dan één termijn terugbetaald moeten worden, dan kan de rechter ook daarvoor een betaling in termijnen toestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechter, die het bedrag ..."
    thisalinea.nativeID = 1820
    thisalinea.parentID = 1819
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechter, die het bedrag van een uitkering tot levensonderhoud bepaalt, wijzigt of intrekt, stelt tevens de dag vast, van welke dit bedrag verschuldigd is of ophoudt verschuldigd te zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechter, die het bedrag van een uitkering tot levensonderhoud bepaalt, wijzigt of")
    thisalinea.textcontent.append("intrekt, stelt tevens de dag vast, van welke dit bedrag verschuldigd is of ophoudt")
    thisalinea.textcontent.append("verschuldigd te zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bij de vaststelling van een ..."
    thisalinea.nativeID = 1821
    thisalinea.parentID = 1819
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bij de vaststelling van een bedrag bepaalt de rechter tevens of dit wekelijks, maandelijks of driemaandelijks moet worden voldaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bij de vaststelling van een bedrag bepaalt de rechter tevens of dit wekelijks, maandelijks")
    thisalinea.textcontent.append("of driemaandelijks moet worden voldaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Zouden op de dag, dat ..."
    thisalinea.nativeID = 1822
    thisalinea.parentID = 1819
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Zouden op de dag, dat de uitspraak ten uitvoer kan worden gelegd, reeds meer dan één termijn verschenen zijn of meer dan één termijn terugbetaald moeten worden, dan kan de rechter ook daarvoor een betaling in termijnen toestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Zouden op de dag, dat de uitspraak ten uitvoer kan worden gelegd, reeds meer dan één")
    thisalinea.textcontent.append("termijn verschenen zijn of meer dan één termijn terugbetaald moeten worden, dan kan de")
    thisalinea.textcontent.append("rechter ook daarvoor een betaling in termijnen toestaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 402a"
    thisalinea.nativeID = 1823
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 637
    thisalinea.summary = "dient te verschaffen ten behoeve van de vaststelling van de wijziging van het bedrag voor levensonderhoud. Deze beslissingen kunnen worden gegeven en nadien worden gewijzigd op verzoek van de tot uitkering verplichte of gerechtigde persoon. 1. De bij rechterlijke uitspraak of bij overeenkomst vastgestelde bedragen voor levensonderhoud worden jaarlijks van rechtswege gewijzigd met een door Onze Minister van Justitie vast te stellen percentage, dat, behoudens het bepaalde in het derde en vierde lid, overeenkomt met het procentuele verschil tussen het indexcijfer der lonen per 30 september van enig jaar en het overeenkomstige indexcijfer in het voorafgaande jaar. 2. De wijziging "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("dient te verschaffen ten behoeve van de vaststelling van de wijziging van het bedrag voor")
    thisalinea.textcontent.append("levensonderhoud. Deze beslissingen kunnen worden gegeven en nadien worden")
    thisalinea.textcontent.append("gewijzigd op verzoek van de tot uitkering verplichte of gerechtigde persoon.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De bij rechterlijke uitspraak of ..."
    thisalinea.nativeID = 1824
    thisalinea.parentID = 1823
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De bij rechterlijke uitspraak of bij overeenkomst vastgestelde bedragen voor levensonderhoud worden jaarlijks van rechtswege gewijzigd met een door Onze Minister van Justitie vast te stellen percentage, dat, behoudens het bepaalde in het derde en vierde lid, overeenkomt met het procentuele verschil tussen het indexcijfer der lonen per 30 september van enig jaar en het overeenkomstige indexcijfer in het voorafgaande jaar. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De bij rechterlijke uitspraak of bij overeenkomst vastgestelde bedragen voor")
    thisalinea.textcontent.append("levensonderhoud worden jaarlijks van rechtswege gewijzigd met een door Onze Minister")
    thisalinea.textcontent.append("van Justitie vast te stellen percentage, dat, behoudens het bepaalde in het derde en")
    thisalinea.textcontent.append("vierde lid, overeenkomt met het procentuele verschil tussen het indexcijfer der lonen per")
    thisalinea.textcontent.append("30 september van enig jaar en het overeenkomstige indexcijfer in het voorafgaande jaar.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De wijziging gaat in op ..."
    thisalinea.nativeID = 1825
    thisalinea.parentID = 1823
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De wijziging gaat in op 1 januari volgende op de in het eerste lid genoemde datum. De beschikking waarin het percentage is vastgesteld, wordt bekend gemaakt in de Staatscourant. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De wijziging gaat in op 1 januari volgende op de in het eerste lid genoemde datum. De")
    thisalinea.textcontent.append("beschikking waarin het percentage is vastgesteld, wordt bekend gemaakt in de")
    thisalinea.textcontent.append("Staatscourant.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Bij algemene maatregel van bestuur ..."
    thisalinea.nativeID = 1826
    thisalinea.parentID = 1823
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Bij algemene maatregel van bestuur wordt bepaald wat onder indexcijfer der lonen wordt verstaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Bij algemene maatregel van bestuur wordt bepaald wat onder indexcijfer der lonen wordt")
    thisalinea.textcontent.append("verstaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het percentage van de wijziging ..."
    thisalinea.nativeID = 1827
    thisalinea.parentID = 1823
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het percentage van de wijziging van de bedragen voor levensonderhoud kan worden afgerond op tienden van een procent. Daarbij vindt, indien van het in het eerste lid bedoelde procentuele verschil het tweede of een volgend cijfer achter de komma vijf bedraagt, voor wat betreft die cijfers afronding naar beneden plaats. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het percentage van de wijziging van de bedragen voor levensonderhoud kan worden")
    thisalinea.textcontent.append("afgerond op tienden van een procent. Daarbij vindt, indien van het in het eerste lid")
    thisalinea.textcontent.append("bedoelde procentuele verschil het tweede of een volgend cijfer achter de komma vijf")
    thisalinea.textcontent.append("bedraagt, voor wat betreft die cijfers afronding naar beneden plaats.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De wijziging van rechtswege kan ..."
    thisalinea.nativeID = 1828
    thisalinea.parentID = 1823
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De wijziging van rechtswege kan bij rechterlijke uitspraak of bij overeenkomst geheel of voor een bepaalde tijdsduur worden uitgesloten. Daarbij kan tevens worden bepaald dat en op welke wijze het bedrag voor levensonderhoud anders dan van rechtswege periodiek zal worden gewijzigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De wijziging van rechtswege kan bij rechterlijke uitspraak of bij overeenkomst geheel of")
    thisalinea.textcontent.append("voor een bepaalde tijdsduur worden uitgesloten. Daarbij kan tevens worden bepaald dat")
    thisalinea.textcontent.append("en op welke wijze het bedrag voor levensonderhoud anders dan van rechtswege")
    thisalinea.textcontent.append("periodiek zal worden gewijzigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Bij de uitspraak, waarbij de ..."
    thisalinea.nativeID = 1829
    thisalinea.parentID = 1823
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Bij de uitspraak, waarbij de tweede zin van het vorige lid toepassing heeft gevonden, en ook nadien, kan de rechter een regeling geven omtrent de wijze en de tijdstippen waarop de tot uitkering verplichte persoon aan de tot uitkering gerechtigde persoon gegevens "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Bij de uitspraak, waarbij de tweede zin van het vorige lid toepassing heeft gevonden, en")
    thisalinea.textcontent.append("ook nadien, kan de rechter een regeling geven omtrent de wijze en de tijdstippen waarop")
    thisalinea.textcontent.append("de tot uitkering verplichte persoon aan de tot uitkering gerechtigde persoon gegevens")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. De uitsluiting van de wijziging ..."
    thisalinea.nativeID = 1830
    thisalinea.parentID = 1823
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. De uitsluiting van de wijziging van rechtswege kan bij rechterlijke uitspraak worden ingetrokken. Voor zover het een uitsluiting betreft waarbij de tweede zin van het vijfde lid niet is toegepast, kan de intrekking alleen geschieden in de gevallen bedoeld in artikel 401 van dit boek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. De uitsluiting van de wijziging van rechtswege kan bij rechterlijke uitspraak worden")
    thisalinea.textcontent.append("ingetrokken. Voor zover het een uitsluiting betreft waarbij de tweede zin van het vijfde lid")
    thisalinea.textcontent.append("niet is toegepast, kan de intrekking alleen geschieden in de gevallen bedoeld in artikel")
    thisalinea.textcontent.append("401 van dit boek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. De tenuitvoerlegging van een executoriale ..."
    thisalinea.nativeID = 1831
    thisalinea.parentID = 1823
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. De tenuitvoerlegging van een executoriale titel betreffende de betaling van levensonderhoud geschiedt met inachtneming van de op het tijdstip van de tenuitvoerlegging ingegane wijzigingen van rechtswege dan wel met inachtneming van de wijzigingen overeenkomstig de tweede zin van het vijfde lid van dit artikel. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. De tenuitvoerlegging van een executoriale titel betreffende de betaling van")
    thisalinea.textcontent.append("levensonderhoud geschiedt met inachtneming van de op het tijdstip van de")
    thisalinea.textcontent.append("tenuitvoerlegging ingegane wijzigingen van rechtswege dan wel met inachtneming van de")
    thisalinea.textcontent.append("wijzigingen overeenkomstig de tweede zin van het vijfde lid van dit artikel.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 403"
    thisalinea.nativeID = 1832
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 638
    thisalinea.summary = "Geen uitkering is verschuldigd over de tijd, die op het tijdstip van het indienen van het verzoek reeds meer dan vijf jaren is verstreken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Geen uitkering is verschuldigd over de tijd, die op het tijdstip van het indienen van het")
    thisalinea.textcontent.append("verzoek reeds meer dan vijf jaren is verstreken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Voorziening in de kosten van verzorging en opvoeding van minderjarige kinderen en stiefkinderen"
    thisalinea.nativeID = 1833
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 639
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 404"
    thisalinea.nativeID = 1834
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 640
    thisalinea.summary = "1. Ouders zijn verplicht naar draagkracht te voorzien in de kosten van verzorging en opvoeding van hun minderjarige kinderen. 2. Gelijke verplichting bestaat voor een stiefouder in het geval van artikel 395 van dit boek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Ouders zijn verplicht naar draagkracht ..."
    thisalinea.nativeID = 1835
    thisalinea.parentID = 1834
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Ouders zijn verplicht naar draagkracht te voorzien in de kosten van verzorging en opvoeding van hun minderjarige kinderen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Ouders zijn verplicht naar draagkracht te voorzien in de kosten van verzorging en")
    thisalinea.textcontent.append("opvoeding van hun minderjarige kinderen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Gelijke verplichting bestaat voor een ..."
    thisalinea.nativeID = 1836
    thisalinea.parentID = 1834
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Gelijke verplichting bestaat voor een stiefouder in het geval van artikel 395 van dit boek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Gelijke verplichting bestaat voor een stiefouder in het geval van artikel 395 van dit boek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 405"
    thisalinea.nativeID = 1837
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 641
    thisalinea.summary = "[Vervallen per 01-04-1998] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1998]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 406"
    thisalinea.nativeID = 1838
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 642
    thisalinea.summary = "1. Komt een ouder of stiefouder zijn verplichting tot voorziening in de kosten van verzorging en opvoeding niet of niet behoorlijk na, dan kan de andere ouder of voogd de rechtbank verzoeken het bedrag te bepalen dat deze ouder of stiefouder ten behoeve van het kind zal moeten uitkeren. 2. De rechtbank kan het in het vorige lid bedoelde bedrag reeds bepalen gelijktijdig met een door haar te geven beslissing omtrent het gezag. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Komt een ouder of stiefouder ..."
    thisalinea.nativeID = 1839
    thisalinea.parentID = 1838
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Komt een ouder of stiefouder zijn verplichting tot voorziening in de kosten van verzorging en opvoeding niet of niet behoorlijk na, dan kan de andere ouder of voogd de rechtbank verzoeken het bedrag te bepalen dat deze ouder of stiefouder ten behoeve van het kind zal moeten uitkeren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Komt een ouder of stiefouder zijn verplichting tot voorziening in de kosten van verzorging")
    thisalinea.textcontent.append("en opvoeding niet of niet behoorlijk na, dan kan de andere ouder of voogd de rechtbank")
    thisalinea.textcontent.append("verzoeken het bedrag te bepalen dat deze ouder of stiefouder ten behoeve van het kind")
    thisalinea.textcontent.append("zal moeten uitkeren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechtbank kan het in ..."
    thisalinea.nativeID = 1840
    thisalinea.parentID = 1838
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechtbank kan het in het vorige lid bedoelde bedrag reeds bepalen gelijktijdig met een door haar te geven beslissing omtrent het gezag. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechtbank kan het in het vorige lid bedoelde bedrag reeds bepalen gelijktijdig met een")
    thisalinea.textcontent.append("door haar te geven beslissing omtrent het gezag.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 406a"
    thisalinea.nativeID = 1841
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 643
    thisalinea.summary = "Een op artikel 394 gegrond verzoek kan ten behoeve van een minderjarig kind door hem die het gezag over het kind heeft, worden gedaan. De ouder of voogd van het kind behoeft de in artikel 349, eerste en tweede lid, bedoelde machtiging niet. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een op artikel 394 gegrond verzoek kan ten behoeve van een minderjarig kind door hem die")
    thisalinea.textcontent.append("het gezag over het kind heeft, worden gedaan. De ouder of voogd van het kind behoeft de in")
    thisalinea.textcontent.append("artikel 349, eerste en tweede lid, bedoelde machtiging niet.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 406b"
    thisalinea.nativeID = 1842
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 644
    thisalinea.summary = "[Vervallen per 01-01-2003] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-2003]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 406d"
    thisalinea.nativeID = 1843
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 645
    thisalinea.summary = "[Vervallen per 01-01-1997] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-01-1997]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 407"
    thisalinea.nativeID = 1844
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 646
    thisalinea.summary = "Gelijktijdig met een door de rechtbank te geven uitspraak betreffende het over de kinderen uit te oefenen gezag na ontbinding van het huwelijk na scheiding van tafel en bed kan de rechtbank op verzoek van een ouder het bedrag wijzigen van een, in verband met de voorafgegane gezagsvoorziening, bepaalde periodieke uitkering tot voorziening in de kosten van verzorging en opvoeding. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Gelijktijdig met een door de rechtbank te geven uitspraak betreffende het over de kinderen uit")
    thisalinea.textcontent.append("te oefenen gezag na ontbinding van het huwelijk na scheiding van tafel en bed kan de")
    thisalinea.textcontent.append("rechtbank op verzoek van een ouder het bedrag wijzigen van een, in verband met de")
    thisalinea.textcontent.append("voorafgegane gezagsvoorziening, bepaalde periodieke uitkering tot voorziening in de kosten")
    thisalinea.textcontent.append("van verzorging en opvoeding.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 408"
    thisalinea.nativeID = 1845
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 647
    thisalinea.summary = "1. Een uitkering tot voorziening in de kosten van verzorging en opvoeding of tot voorziening in de kosten van levensonderhoud en studie, waarvan het bedrag in een rechterlijke beslissing, daaronder begrepen de beslissing op grond van artikel 822, eerste lid, onder c, van het Wetboek van Burgerlijke Rechtsvordering, is vastgelegd, wordt ten behoeve van de minderjarige aan de ouder die het kind verzorgt en opvoedt of aan de voogd onderscheidenlijk aan de meerderjarige betaald. 2. Op verzoek van een gerechtigde als bedoeld in het eerste lid, van een onderhoudsplichtige dan wel op gezamenlijk verzoek van een gerechtigde en onderhoudsplichtige neemt "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een uitkering tot voorziening in ..."
    thisalinea.nativeID = 1846
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een uitkering tot voorziening in de kosten van verzorging en opvoeding of tot voorziening in de kosten van levensonderhoud en studie, waarvan het bedrag in een rechterlijke beslissing, daaronder begrepen de beslissing op grond van artikel 822, eerste lid, onder c, van het Wetboek van Burgerlijke Rechtsvordering, is vastgelegd, wordt ten behoeve van de minderjarige aan de ouder die het kind verzorgt en opvoedt of aan de voogd onderscheidenlijk aan de meerderjarige betaald. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een uitkering tot voorziening in de kosten van verzorging en opvoeding of tot voorziening")
    thisalinea.textcontent.append("in de kosten van levensonderhoud en studie, waarvan het bedrag in een rechterlijke")
    thisalinea.textcontent.append("beslissing, daaronder begrepen de beslissing op grond van artikel 822, eerste lid, onder c,")
    thisalinea.textcontent.append("van het Wetboek van Burgerlijke Rechtsvordering, is vastgelegd, wordt ten behoeve van")
    thisalinea.textcontent.append("de minderjarige aan de ouder die het kind verzorgt en opvoedt of aan de voogd")
    thisalinea.textcontent.append("onderscheidenlijk aan de meerderjarige betaald.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Op verzoek van een gerechtigde ..."
    thisalinea.nativeID = 1847
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Op verzoek van een gerechtigde als bedoeld in het eerste lid, van een onderhoudsplichtige dan wel op gezamenlijk verzoek van een gerechtigde en onderhoudsplichtige neemt het Landelijk Bureau Inning Onderhoudsbijdragen de invordering van de onderhoudsgelden op zich. De executoriale titel wordt daartoe door de onderhoudsgerechtigde in handen gesteld van dit Bureau. De overhandiging daarvan machtigt het Bureau tot het doen van de invordering, zo nodig door middel van executie. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Op verzoek van een gerechtigde als bedoeld in het eerste lid, van een")
    thisalinea.textcontent.append("onderhoudsplichtige dan wel op gezamenlijk verzoek van een gerechtigde en")
    thisalinea.textcontent.append("onderhoudsplichtige neemt het Landelijk Bureau Inning Onderhoudsbijdragen de")
    thisalinea.textcontent.append("invordering van de onderhoudsgelden op zich. De executoriale titel wordt daartoe door de")
    thisalinea.textcontent.append("onderhoudsgerechtigde in handen gesteld van dit Bureau. De overhandiging daarvan")
    thisalinea.textcontent.append("machtigt het Bureau tot het doen van de invordering, zo nodig door middel van executie.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Kosten van invordering door het ..."
    thisalinea.nativeID = 1848
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Kosten van invordering door het Landelijk Bureau Inning Onderhoudsbijdragen worden verhaald op de onderhoudsplichtige, onverminderd de kosten van gerechtelijke vervolging en executie. Het verhaal van kosten vindt plaats door wijziging van het bedrag, bedoeld in het eerste lid, volgens bij algemene maatregel van bestuur te stellen regels. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Kosten van invordering door het Landelijk Bureau Inning Onderhoudsbijdragen worden")
    thisalinea.textcontent.append("verhaald op de onderhoudsplichtige, onverminderd de kosten van gerechtelijke vervolging")
    thisalinea.textcontent.append("en executie. Het verhaal van kosten vindt plaats door wijziging van het bedrag, bedoeld in")
    thisalinea.textcontent.append("het eerste lid, volgens bij algemene maatregel van bestuur te stellen regels.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Tot invordering op verzoek van ..."
    thisalinea.nativeID = 1849
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Tot invordering op verzoek van een onderhoudsgerechtigde wordt slechts overgegaan, indien de gerechtigde ter gelegenheid van de indiening van het verzoek aannemelijk heeft gemaakt dat binnen ten hoogste zes maanden voorafgaande aan de indiening van het verzoek de onderhoudsplichtige ten aanzien van ten minste één periodieke betaling tekort is geschoten in zijn verplichtingen. In deze gevallen geschiedt de invordering van bedragen die verschuldigd zijn vanaf een tijdstip van ten hoogste zes maanden voorafgaande aan de indiening van het verzoek. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Tot invordering op verzoek van een onderhoudsgerechtigde wordt slechts overgegaan,")
    thisalinea.textcontent.append("indien de gerechtigde ter gelegenheid van de indiening van het verzoek aannemelijk heeft")
    thisalinea.textcontent.append("gemaakt dat binnen ten hoogste zes maanden voorafgaande aan de indiening van het")
    thisalinea.textcontent.append("verzoek de onderhoudsplichtige ten aanzien van ten minste één periodieke betaling tekort")
    thisalinea.textcontent.append("is geschoten in zijn verplichtingen. In deze gevallen geschiedt de invordering van")
    thisalinea.textcontent.append("bedragen die verschuldigd zijn vanaf een tijdstip van ten hoogste zes maanden")
    thisalinea.textcontent.append("voorafgaande aan de indiening van het verzoek.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Alvorens tot invordering met verhaal ..."
    thisalinea.nativeID = 1850
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Alvorens tot invordering met verhaal van kosten over te gaan wordt de onderhoudsplichtige bij brief met bericht van ontvangst in kennis gesteld van het voornemen daartoe en de reden daarvoor, alsmede van het bedrag inclusief de kosten van invordering. Het Landelijk Bureau Inning Onderhoudsbijdragen wordt bevoegd tot invordering over te gaan op de veertiende dag na de verzending van de brief. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Alvorens tot invordering met verhaal van kosten over te gaan wordt de")
    thisalinea.textcontent.append("onderhoudsplichtige bij brief met bericht van ontvangst in kennis gesteld van het")
    thisalinea.textcontent.append("voornemen daartoe en de reden daarvoor, alsmede van het bedrag inclusief de kosten")
    thisalinea.textcontent.append("van invordering. Het Landelijk Bureau Inning Onderhoudsbijdragen wordt bevoegd tot")
    thisalinea.textcontent.append("invordering over te gaan op de veertiende dag na de verzending van de brief.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De invordering die op verzoek ..."
    thisalinea.nativeID = 1851
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De invordering die op verzoek van de onderhoudsgerechtigde geschiedt, eindigt slechts, indien gedurende ten minste een half jaar regelmatig is betaald aan het Landelijk Bureau Inning Onderhoudsbijdragen en er geen bedragen meer verschuldigd zijn als bedoeld in het vierde lid, tweede volzin. De termijn van een half jaar wordt telkens verdubbeld, indien een voorgaande termijn van invordering ook op verzoek van de onderhoudsgerechtigde was aangevangen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De invordering die op verzoek van de onderhoudsgerechtigde geschiedt, eindigt slechts,")
    thisalinea.textcontent.append("indien gedurende ten minste een half jaar regelmatig is betaald aan het Landelijk Bureau")
    thisalinea.textcontent.append("Inning Onderhoudsbijdragen en er geen bedragen meer verschuldigd zijn als bedoeld in")
    thisalinea.textcontent.append("het vierde lid, tweede volzin. De termijn van een half jaar wordt telkens verdubbeld, indien")
    thisalinea.textcontent.append("een voorgaande termijn van invordering ook op verzoek van de onderhoudsgerechtigde")
    thisalinea.textcontent.append("was aangevangen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Een invordering die geldt op ..."
    thisalinea.nativeID = 1852
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Een invordering die geldt op het tijdstip van het meerderjarig worden van het kind, wordt ten behoeve van de meerderjarige voortgezet, tenzij deze op zijn verzoek wordt beëindigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Een invordering die geldt op het tijdstip van het meerderjarig worden van het kind, wordt")
    thisalinea.textcontent.append("ten behoeve van de meerderjarige voortgezet, tenzij deze op zijn verzoek wordt")
    thisalinea.textcontent.append("beëindigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. De tenuitvoerlegging van een executoriale ..."
    thisalinea.nativeID = 1853
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. De tenuitvoerlegging van een executoriale titel betreffende de betaling van de kosten van verzorging en opvoeding of levensonderhoud en studie geschiedt met inachtneming van de wijziging, bedoeld in het derde lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. De tenuitvoerlegging van een executoriale titel betreffende de betaling van de kosten van")
    thisalinea.textcontent.append("verzorging en opvoeding of levensonderhoud en studie geschiedt met inachtneming van")
    thisalinea.textcontent.append("de wijziging, bedoeld in het derde lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "9. Invorderingen die tien jaren nadat ..."
    thisalinea.nativeID = 1854
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "9. Invorderingen die tien jaren nadat de minderjarige de leeftijd van een en twintig jaren heeft bereikt, nog niet door het Landelijk Bureau Inning Onderhoudsbijdragen zijn verwezenlijkt, mogen worden beëindigd. De onderhoudsgerechtigde wordt hiervan schriftelijk op de hoogte gesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("9. Invorderingen die tien jaren nadat de minderjarige de leeftijd van een en twintig jaren")
    thisalinea.textcontent.append("heeft bereikt, nog niet door het Landelijk Bureau Inning Onderhoudsbijdragen zijn")
    thisalinea.textcontent.append("verwezenlijkt, mogen worden beëindigd. De onderhoudsgerechtigde wordt hiervan")
    thisalinea.textcontent.append("schriftelijk op de hoogte gesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "10. Een betaling door de onderhoudsplichtige ..."
    thisalinea.nativeID = 1855
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "10. Een betaling door de onderhoudsplichtige strekt in de eerste plaats in mindering van de kosten, bedoeld in het derde lid, vervolgens in mindering van eventueel verschenen rente en ten slotte in mindering van de verschuldigde onderhoudsgelden en de eventueel lopende rente. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("10. Een betaling door de onderhoudsplichtige strekt in de eerste plaats in mindering van de")
    thisalinea.textcontent.append("kosten, bedoeld in het derde lid, vervolgens in mindering van eventueel verschenen rente")
    thisalinea.textcontent.append("en ten slotte in mindering van de verschuldigde onderhoudsgelden en de eventueel")
    thisalinea.textcontent.append("lopende rente.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "11. Het Landelijk Bureau Inning Onderhoudsbijdragen ..."
    thisalinea.nativeID = 1856
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 10
    thisalinea.summary = "11. Het Landelijk Bureau Inning Onderhoudsbijdragen draagt zorg, dat de gelden die ten behoeve van het onderhoud van minderjarigen worden uitgekeerd, aan de daarop rechthebbenden worden uitbetaald. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("11. Het Landelijk Bureau Inning Onderhoudsbijdragen draagt zorg, dat de gelden die ten")
    thisalinea.textcontent.append("behoeve van het onderhoud van minderjarigen worden uitgekeerd, aan de daarop")
    thisalinea.textcontent.append("rechthebbenden worden uitbetaald.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "12. Artikel 243, tweede tot en ..."
    thisalinea.nativeID = 1857
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 11
    thisalinea.summary = "12. Artikel 243, tweede tot en met vierde lid, is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("12. Artikel 243, tweede tot en met vierde lid, is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "13. Met uitzondering van de leden ..."
    thisalinea.nativeID = 1858
    thisalinea.parentID = 1845
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 12
    thisalinea.summary = "13. Met uitzondering van de leden 1, 7 en 11, is dit artikel van overeenkomstige toepassing op de ten behoeve van een echtgenoot of geregistreerd partner bij rechterlijke uitspraak vastgestelde uitkering tot levensonderhoud, daaronder begrepen de beschikking inzake een voorlopige voorziening betreffende een uitkering tot levensonderhoud, met dien verstande dat invorderingen die tien jaar na de indiening van het verzoek om invordering nog niet zijn verwezenlijkt door het Landelijk Bureau Inning Onderhoudsbijdragen, mogen worden beëindigd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("13. Met uitzondering van de leden 1, 7 en 11, is dit artikel van overeenkomstige toepassing op")
    thisalinea.textcontent.append("de ten behoeve van een echtgenoot of geregistreerd partner bij rechterlijke uitspraak")
    thisalinea.textcontent.append("vastgestelde uitkering tot levensonderhoud, daaronder begrepen de beschikking inzake")
    thisalinea.textcontent.append("een voorlopige voorziening betreffende een uitkering tot levensonderhoud, met dien")
    thisalinea.textcontent.append("verstande dat invorderingen die tien jaar na de indiening van het verzoek om invordering")
    thisalinea.textcontent.append("nog niet zijn verwezenlijkt door het Landelijk Bureau Inning Onderhoudsbijdragen, mogen")
    thisalinea.textcontent.append("worden beëindigd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 18. Afwezigheid, vermissing en vaststelling van overlijden in bepaalde gevallen Afdeling 1. Onderbewindstelling in geval van afwezigheid"
    thisalinea.nativeID = 1859
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 648
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 409"
    thisalinea.nativeID = 1860
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 649
    thisalinea.summary = "1. Indien iemand die zijn woonplaats heeft verlaten niet voldoende orde op het bestuur van zijn goederen heeft gesteld, en er noodzakelijkheid bestaat om daarin geheel of gedeeltelijk te voorzien of de afwezige te doen vertegenwoordigen, benoemt de kantonrechter, op verzoek van belanghebbenden of het openbaar ministerie, een bewindvoerder, ten einde het bewind over het geheel of een gedeelte van de goederen van de afwezige te voeren en diens overige belangen waar te nemen. 2. Voor de toepassing van deze afdeling wordt met iemand die zijn woonplaats heeft verlaten, gelijk gesteld hij wiens bestaan onzeker is geworden of die onbereikbaar "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien iemand die zijn woonplaats ..."
    thisalinea.nativeID = 1861
    thisalinea.parentID = 1860
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien iemand die zijn woonplaats heeft verlaten niet voldoende orde op het bestuur van zijn goederen heeft gesteld, en er noodzakelijkheid bestaat om daarin geheel of gedeeltelijk te voorzien of de afwezige te doen vertegenwoordigen, benoemt de kantonrechter, op verzoek van belanghebbenden of het openbaar ministerie, een bewindvoerder, ten einde het bewind over het geheel of een gedeelte van de goederen van de afwezige te voeren en diens overige belangen waar te nemen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien iemand die zijn woonplaats heeft verlaten niet voldoende orde op het bestuur van")
    thisalinea.textcontent.append("zijn goederen heeft gesteld, en er noodzakelijkheid bestaat om daarin geheel of")
    thisalinea.textcontent.append("gedeeltelijk te voorzien of de afwezige te doen vertegenwoordigen, benoemt de")
    thisalinea.textcontent.append("kantonrechter, op verzoek van belanghebbenden of het openbaar ministerie, een")
    thisalinea.textcontent.append("bewindvoerder, ten einde het bewind over het geheel of een gedeelte van de goederen")
    thisalinea.textcontent.append("van de afwezige te voeren en diens overige belangen waar te nemen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voor de toepassing van deze ..."
    thisalinea.nativeID = 1862
    thisalinea.parentID = 1860
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voor de toepassing van deze afdeling wordt met iemand die zijn woonplaats heeft verlaten, gelijk gesteld hij wiens bestaan onzeker is geworden of die onbereikbaar is, ook al staat niet vast dat hij zijn woonplaats heeft verlaten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voor de toepassing van deze afdeling wordt met iemand die zijn woonplaats heeft")
    thisalinea.textcontent.append("verlaten, gelijk gesteld hij wiens bestaan onzeker is geworden of die onbereikbaar is, ook")
    thisalinea.textcontent.append("al staat niet vast dat hij zijn woonplaats heeft verlaten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 410"
    thisalinea.nativeID = 1863
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 650
    thisalinea.summary = "1. Voor zover de kantonrechter niet anders bepaalt, vinden op het bewind van de bewindvoerder de artikelen 338, 339,340, 342-357, 358 lid 1 en 359-363 van dit boek overeenkomstige toepassing, met dien verstande dat de bewindvoerder verplicht is jaarlijks bij de griffie van de rechtbank, een rekening in te dienen van zijn bewind. 2. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld. 3. Goedkeuring van een ingediende rekening door de kantonrechter brengt geen nadeel toe aan de bevoegdheid van de rechthebbenden om na het einde van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Voor zover de kantonrechter niet ..."
    thisalinea.nativeID = 1864
    thisalinea.parentID = 1863
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Voor zover de kantonrechter niet anders bepaalt, vinden op het bewind van de bewindvoerder de artikelen 338, 339,340, 342-357, 358 lid 1 en 359-363 van dit boek overeenkomstige toepassing, met dien verstande dat de bewindvoerder verplicht is jaarlijks bij de griffie van de rechtbank, een rekening in te dienen van zijn bewind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Voor zover de kantonrechter niet anders bepaalt, vinden op het bewind van de")
    thisalinea.textcontent.append("bewindvoerder de artikelen 338, 339,340, 342-357, 358 lid 1 en 359-363 van dit boek")
    thisalinea.textcontent.append("overeenkomstige toepassing, met dien verstande dat de bewindvoerder verplicht is")
    thisalinea.textcontent.append("jaarlijks bij de griffie van de rechtbank, een rekening in te dienen van zijn bewind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De bewindvoerder heeft aanspraak op ..."
    thisalinea.nativeID = 1865
    thisalinea.parentID = 1863
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die")
    thisalinea.textcontent.append("daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Goedkeuring van een ingediende rekening ..."
    thisalinea.nativeID = 1866
    thisalinea.parentID = 1863
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Goedkeuring van een ingediende rekening door de kantonrechter brengt geen nadeel toe aan de bevoegdheid van de rechthebbenden om na het einde van het bewind over dezelfde tijdruimte rekening en verantwoording te vragen, voor zover dit niet onredelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Goedkeuring van een ingediende rekening door de kantonrechter brengt geen nadeel toe")
    thisalinea.textcontent.append("aan de bevoegdheid van de rechthebbenden om na het einde van het bewind over")
    thisalinea.textcontent.append("dezelfde tijdruimte rekening en verantwoording te vragen, voor zover dit niet onredelijk is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De bewindvoerder kan ook voor ..."
    thisalinea.nativeID = 1867
    thisalinea.parentID = 1863
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De bewindvoerder kan ook voor andere dan vermogensbelangen van de afwezige opkomen, behoudens voor zover de kantonrechter zulks heeft uitgesloten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De bewindvoerder kan ook voor andere dan vermogensbelangen van de afwezige")
    thisalinea.textcontent.append("opkomen, behoudens voor zover de kantonrechter zulks heeft uitgesloten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De kantonrechter kan te allen ..."
    thisalinea.nativeID = 1868
    thisalinea.parentID = 1863
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De kantonrechter kan te allen tijde de bewindvoerder ontslaan en door een ander vervangen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De kantonrechter kan te allen tijde de bewindvoerder ontslaan en door een ander")
    thisalinea.textcontent.append("vervangen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 411"
    thisalinea.nativeID = 1869
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 651
    thisalinea.summary = "Het bewind eindigt: a. door een gezamenlijk besluit van de rechthebbende en de bewindvoerder; b. door opzegging door de rechthebbende aan de bewindvoerder met inachtneming van een termijn van een maand; c. wanneer de dood van de rechthebbende komt vast te staan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Het bewind eindigt:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "a. door een gezamenlijk besluit van ..."
    thisalinea.nativeID = 1870
    thisalinea.parentID = 1869
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. door een gezamenlijk besluit van de rechthebbende en de bewindvoerder; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. door een gezamenlijk besluit van de rechthebbende en de bewindvoerder;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "b. door opzegging door de rechthebbende ..."
    thisalinea.nativeID = 1871
    thisalinea.parentID = 1869
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door opzegging door de rechthebbende aan de bewindvoerder met inachtneming van een termijn van een maand; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door opzegging door de rechthebbende aan de bewindvoerder met inachtneming van")
    thisalinea.textcontent.append("een termijn van een maand;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "c. wanneer de dood van de ..."
    thisalinea.nativeID = 1872
    thisalinea.parentID = 1869
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. wanneer de dood van de rechthebbende komt vast te staan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. wanneer de dood van de rechthebbende komt vast te staan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 2. Personen wier bestaan onzeker is"
    thisalinea.nativeID = 1873
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 652
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 412"
    thisalinea.nativeID = 1874
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 653
    thisalinea.summary = "1. Wanneer aan een persoon wiens bestaan onzeker is een erfdeel of een legaat opkomt, waartoe, indien hij niet in leven mocht zijn, anderen zouden gerechtigd zijn, verleent de rechtbank aan die anderen op hun verzoek machtiging tot de uitoefening van het recht van erfgenaam of legataris. 2. De rechtbank kan zo nodig, openbare oproepingen bevelen en behoedmiddelen ten behoeve van de belanghebbenden voorschrijven. 3. Indien na het verlenen van de machtiging mocht blijken, dat de vermiste op de dag van het openvallen der nalatenschap heeft bestaan, kan de teruggave van de in bezit gekomen goederen en van de vruchten "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer aan een persoon wiens ..."
    thisalinea.nativeID = 1875
    thisalinea.parentID = 1874
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer aan een persoon wiens bestaan onzeker is een erfdeel of een legaat opkomt, waartoe, indien hij niet in leven mocht zijn, anderen zouden gerechtigd zijn, verleent de rechtbank aan die anderen op hun verzoek machtiging tot de uitoefening van het recht van erfgenaam of legataris. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer aan een persoon wiens bestaan onzeker is een erfdeel of een legaat opkomt,")
    thisalinea.textcontent.append("waartoe, indien hij niet in leven mocht zijn, anderen zouden gerechtigd zijn, verleent de")
    thisalinea.textcontent.append("rechtbank aan die anderen op hun verzoek machtiging tot de uitoefening van het recht")
    thisalinea.textcontent.append("van erfgenaam of legataris.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechtbank kan zo nodig, ..."
    thisalinea.nativeID = 1876
    thisalinea.parentID = 1874
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechtbank kan zo nodig, openbare oproepingen bevelen en behoedmiddelen ten behoeve van de belanghebbenden voorschrijven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechtbank kan zo nodig, openbare oproepingen bevelen en behoedmiddelen ten")
    thisalinea.textcontent.append("behoeve van de belanghebbenden voorschrijven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien na het verlenen van ..."
    thisalinea.nativeID = 1877
    thisalinea.parentID = 1874
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien na het verlenen van de machtiging mocht blijken, dat de vermiste op de dag van het openvallen der nalatenschap heeft bestaan, kan de teruggave van de in bezit gekomen goederen en van de vruchten worden gevorderd, op de voet en onder de beperkingen als hierna bij de vaststelling van vermissing is aangegeven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien na het verlenen van de machtiging mocht blijken, dat de vermiste op de dag van")
    thisalinea.textcontent.append("het openvallen der nalatenschap heeft bestaan, kan de teruggave van de in bezit")
    thisalinea.textcontent.append("gekomen goederen en van de vruchten worden gevorderd, op de voet en onder de")
    thisalinea.textcontent.append("beperkingen als hierna bij de vaststelling van vermissing is aangegeven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Het eerste tot en met ..."
    thisalinea.nativeID = 1878
    thisalinea.parentID = 1874
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Het eerste tot en met derde lid is van overeenkomstige toepassing op een uitkering uit levensverzekering, waartoe de persoon wiens bestaan onzeker is de eerstgeroepen begunstigde is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Het eerste tot en met derde lid is van overeenkomstige toepassing op een uitkering uit")
    thisalinea.textcontent.append("levensverzekering, waartoe de persoon wiens bestaan onzeker is de eerstgeroepen")
    thisalinea.textcontent.append("begunstigde is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 413"
    thisalinea.nativeID = 1879
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 654
    thisalinea.summary = "1. Is het bestaan van een persoon onzeker en is de in het volgende lid aangegeven tijdruimte verlopen, dan kunnen belanghebbenden de rechtbank verzoeken dat zij hun zal gelasten de vermiste op te roepen ten einde van zijn in leven zijn te doen blijken, en dat zij, zo hiervan niet blijkt, de vermissing van de betrokkene zal vaststellen. 2. a. De in het vorige lid bedoelde tijdruimte beloopt vijf jaren, te rekenen van het vertrek van de vermiste of de laatste tijding van zijn leven. b. De termijn wordt verkort tot een jaar, indien de betrokkene gedurende die periode wordt "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Is het bestaan van een ..."
    thisalinea.nativeID = 1880
    thisalinea.parentID = 1879
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Is het bestaan van een persoon onzeker en is de in het volgende lid aangegeven tijdruimte verlopen, dan kunnen belanghebbenden de rechtbank verzoeken dat zij hun zal gelasten de vermiste op te roepen ten einde van zijn in leven zijn te doen blijken, en dat zij, zo hiervan niet blijkt, de vermissing van de betrokkene zal vaststellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Is het bestaan van een persoon onzeker en is de in het volgende lid aangegeven")
    thisalinea.textcontent.append("tijdruimte verlopen, dan kunnen belanghebbenden de rechtbank verzoeken dat zij hun zal")
    thisalinea.textcontent.append("gelasten de vermiste op te roepen ten einde van zijn in leven zijn te doen blijken, en dat")
    thisalinea.textcontent.append("zij, zo hiervan niet blijkt, de vermissing van de betrokkene zal vaststellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. "
    thisalinea.nativeID = 1881
    thisalinea.parentID = 1879
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. a. De in het vorige lid bedoelde tijdruimte beloopt vijf jaren, te rekenen van het vertrek van de vermiste of de laatste tijding van zijn leven. b. De termijn wordt verkort tot een jaar, indien de betrokkene gedurende die periode wordt vermist en de omstandigheden zijn dood waarschijnlijk maken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. De in het vorige lid ..."
    thisalinea.nativeID = 1882
    thisalinea.parentID = 1881
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. De in het vorige lid bedoelde tijdruimte beloopt vijf jaren, te rekenen van het vertrek van de vermiste of de laatste tijding van zijn leven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. De in het vorige lid bedoelde tijdruimte beloopt vijf jaren, te rekenen van het vertrek")
    thisalinea.textcontent.append("van de vermiste of de laatste tijding van zijn leven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. De termijn wordt verkort tot ..."
    thisalinea.nativeID = 1883
    thisalinea.parentID = 1881
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. De termijn wordt verkort tot een jaar, indien de betrokkene gedurende die periode wordt vermist en de omstandigheden zijn dood waarschijnlijk maken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. De termijn wordt verkort tot een jaar, indien de betrokkene gedurende die periode")
    thisalinea.textcontent.append("wordt vermist en de omstandigheden zijn dood waarschijnlijk maken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het gelasten van de oproeping ..."
    thisalinea.nativeID = 1884
    thisalinea.parentID = 1879
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het gelasten van de oproeping van de vermiste en de vaststelling van vermissing, bedoeld in het eerste lid, kunnen ook worden verzocht door het openbaar ministerie. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het gelasten van de oproeping van de vermiste en de vaststelling van vermissing,")
    thisalinea.textcontent.append("bedoeld in het eerste lid, kunnen ook worden verzocht door het openbaar ministerie.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 414"
    thisalinea.nativeID = 1885
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 655
    thisalinea.summary = "1. De rechtbank stelt dag en uur vast, waartegen de vermiste moet worden opgeroepen. De oproep loopt op een termijn van een maand of zoveel langer als de rechtbank mocht bevelen. De oproeping geschiedt overeenkomstig de derde afdeling van de derde titel van het eerste boek van het Wetboek van Burgerlijke Rechtsvordering. 2. Indien de vermiste niet verschijnt, noch iemand voor hem opkomt die behoorlijk van het in leven zijn van de vermiste doet blijken, stelt de rechtbank de vermissing van de betrokkene vast, onverminderd haar bevoegdheid de beschikking, bedoeld in het eerste lid, eerst nog eenmaal te herhalen alsmede "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechtbank stelt dag en ..."
    thisalinea.nativeID = 1886
    thisalinea.parentID = 1885
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechtbank stelt dag en uur vast, waartegen de vermiste moet worden opgeroepen. De oproep loopt op een termijn van een maand of zoveel langer als de rechtbank mocht bevelen. De oproeping geschiedt overeenkomstig de derde afdeling van de derde titel van het eerste boek van het Wetboek van Burgerlijke Rechtsvordering. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechtbank stelt dag en uur vast, waartegen de vermiste moet worden opgeroepen. De")
    thisalinea.textcontent.append("oproep loopt op een termijn van een maand of zoveel langer als de rechtbank mocht")
    thisalinea.textcontent.append("bevelen. De oproeping geschiedt overeenkomstig de derde afdeling van de derde titel van")
    thisalinea.textcontent.append("het eerste boek van het Wetboek van Burgerlijke Rechtsvordering.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de vermiste niet verschijnt, ..."
    thisalinea.nativeID = 1887
    thisalinea.parentID = 1885
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de vermiste niet verschijnt, noch iemand voor hem opkomt die behoorlijk van het in leven zijn van de vermiste doet blijken, stelt de rechtbank de vermissing van de betrokkene vast, onverminderd haar bevoegdheid de beschikking, bedoeld in het eerste lid, eerst nog eenmaal te herhalen alsmede het horen van getuigen en de overlegging van bewijsstukken te gelasten, ten bewijze dat is voldaan aan de vereisten die artikel 413 stelt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de vermiste niet verschijnt, noch iemand voor hem opkomt die behoorlijk van het in")
    thisalinea.textcontent.append("leven zijn van de vermiste doet blijken, stelt de rechtbank de vermissing van de")
    thisalinea.textcontent.append("betrokkene vast, onverminderd haar bevoegdheid de beschikking, bedoeld in het eerste")
    thisalinea.textcontent.append("lid, eerst nog eenmaal te herhalen alsmede het horen van getuigen en de overlegging van")
    thisalinea.textcontent.append("bewijsstukken te gelasten, ten bewijze dat is voldaan aan de vereisten die artikel 413")
    thisalinea.textcontent.append("stelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De beschikking, houdende de vaststelling ..."
    thisalinea.nativeID = 1888
    thisalinea.parentID = 1885
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De beschikking, houdende de vaststelling van vermissing van de betrokkene, vermeldt de dag vanaf welke de vermissing is vastgesteld. Als zodanig geldt de dag volgende op die van het laatste bericht waaruit blijkt dat de vermiste in leven was, tenzij er voldoende aanwijzingen zijn dat hij daarna nog enige tijd in leven was. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De beschikking, houdende de vaststelling van vermissing van de betrokkene, vermeldt de")
    thisalinea.textcontent.append("dag vanaf welke de vermissing is vastgesteld. Als zodanig geldt de dag volgende op die")
    thisalinea.textcontent.append("van het laatste bericht waaruit blijkt dat de vermiste in leven was, tenzij er voldoende")
    thisalinea.textcontent.append("aanwijzingen zijn dat hij daarna nog enige tijd in leven was.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De rechtbank kan tevens bepalen, ..."
    thisalinea.nativeID = 1889
    thisalinea.parentID = 1885
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De rechtbank kan tevens bepalen, dat de kosten die een verzoeker als bedoeld in artikel 413 lid 1 heeft gemaakt, ten laste van het vermogen van de vermiste worden gebracht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De rechtbank kan tevens bepalen, dat de kosten die een verzoeker als bedoeld in artikel")
    thisalinea.textcontent.append("413 lid 1 heeft gemaakt, ten laste van het vermogen van de vermiste worden gebracht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De vaststelling van vermissing heeft ..."
    thisalinea.nativeID = 1890
    thisalinea.parentID = 1885
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De vaststelling van vermissing heeft de rechtsgevolgen van een overlijden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De vaststelling van vermissing heeft de rechtsgevolgen van een overlijden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 415"
    thisalinea.nativeID = 1891
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 656
    thisalinea.summary = "[Vervallen per 10-07-1978] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 10-07-1978]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 416"
    thisalinea.nativeID = 1892
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 657
    thisalinea.summary = "Geen hogere voorziening is toegelaten tegen beschikkingen, houdende bevel tot oproeping van de vermiste. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Geen hogere voorziening is toegelaten tegen beschikkingen, houdende bevel tot oproeping")
    thisalinea.textcontent.append("van de vermiste.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 417"
    thisalinea.nativeID = 1893
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 658
    thisalinea.summary = "1. Zodra de beschikking, houdende vaststelling van vermissing, in kracht van gewijsde is gegaan, zendt de griffier van het college waarvoor de zaak laatstelijk aanhangig was, een afschrift van de beschikking aan de ambtenaar van de burgerlijke stand van de verlaten woonplaats of, bij gebreke van verlaten woonplaats in Nederland, van de gemeente 's- Gravenhage. Deze ambtenaar maakt van de beschikking een akte van inschrijving op, welke in overeenstemming is met de beschikking en dit uitdrukkelijk vermeldt. 2. Deze akte van overlijden bewijst ten aanzien van een ieder dwingend, dat de vermiste op de in de akte vermelde dag is "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Zodra de beschikking, houdende vaststelling ..."
    thisalinea.nativeID = 1894
    thisalinea.parentID = 1893
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Zodra de beschikking, houdende vaststelling van vermissing, in kracht van gewijsde is gegaan, zendt de griffier van het college waarvoor de zaak laatstelijk aanhangig was, een afschrift van de beschikking aan de ambtenaar van de burgerlijke stand van de verlaten woonplaats of, bij gebreke van verlaten woonplaats in Nederland, van de gemeente 's- Gravenhage. Deze ambtenaar maakt van de beschikking een akte van inschrijving op, welke in overeenstemming is met de beschikking en dit uitdrukkelijk vermeldt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Zodra de beschikking, houdende vaststelling van vermissing, in kracht van gewijsde is")
    thisalinea.textcontent.append("gegaan, zendt de griffier van het college waarvoor de zaak laatstelijk aanhangig was, een")
    thisalinea.textcontent.append("afschrift van de beschikking aan de ambtenaar van de burgerlijke stand van de verlaten")
    thisalinea.textcontent.append("woonplaats of, bij gebreke van verlaten woonplaats in Nederland, van de gemeente 's-")
    thisalinea.textcontent.append("Gravenhage. Deze ambtenaar maakt van de beschikking een akte van inschrijving op,")
    thisalinea.textcontent.append("welke in overeenstemming is met de beschikking en dit uitdrukkelijk vermeldt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Deze akte van overlijden bewijst ..."
    thisalinea.nativeID = 1895
    thisalinea.parentID = 1893
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Deze akte van overlijden bewijst ten aanzien van een ieder dwingend, dat de vermiste op de in de akte vermelde dag is overleden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Deze akte van overlijden bewijst ten aanzien van een ieder dwingend, dat de vermiste op")
    thisalinea.textcontent.append("de in de akte vermelde dag is overleden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 418"
    thisalinea.nativeID = 1896
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 659
    thisalinea.summary = "1. Erfgenamen en legatarissen van degene ten aanzien van wie de vermissing is vastgesteld, zijn verplicht alvorens zij de goederen van de nalatenschap in bezit nemen, ten genoegen van de kantonrechter zekerheid te stellen voor hetgeen zij aan degene wiens vermissing is vastgesteld, mocht deze terugkeren, of aan erfgenamen of legatarissen die een beter recht mochten hebben, moeten afdragen. 2. De erfgenamen zijn verplicht na de inbezitneming een behoorlijke boedelbeschrijving op te maken. 3. Registergoederen mogen niet vervreemd of bezwaard worden, tenzij om gewichtige redenen en met verlof van de kantonrechter. Kunnen zij bij een boedelscheiding niet zonder verkoop worden "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Erfgenamen en legatarissen van degene ..."
    thisalinea.nativeID = 1897
    thisalinea.parentID = 1896
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Erfgenamen en legatarissen van degene ten aanzien van wie de vermissing is vastgesteld, zijn verplicht alvorens zij de goederen van de nalatenschap in bezit nemen, ten genoegen van de kantonrechter zekerheid te stellen voor hetgeen zij aan degene wiens vermissing is vastgesteld, mocht deze terugkeren, of aan erfgenamen of legatarissen die een beter recht mochten hebben, moeten afdragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Erfgenamen en legatarissen van degene ten aanzien van wie de vermissing is")
    thisalinea.textcontent.append("vastgesteld, zijn verplicht alvorens zij de goederen van de nalatenschap in bezit nemen,")
    thisalinea.textcontent.append("ten genoegen van de kantonrechter zekerheid te stellen voor hetgeen zij aan degene")
    thisalinea.textcontent.append("wiens vermissing is vastgesteld, mocht deze terugkeren, of aan erfgenamen of")
    thisalinea.textcontent.append("legatarissen die een beter recht mochten hebben, moeten afdragen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De erfgenamen zijn verplicht na ..."
    thisalinea.nativeID = 1898
    thisalinea.parentID = 1896
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De erfgenamen zijn verplicht na de inbezitneming een behoorlijke boedelbeschrijving op te maken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De erfgenamen zijn verplicht na de inbezitneming een behoorlijke boedelbeschrijving op")
    thisalinea.textcontent.append("te maken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Registergoederen mogen niet vervreemd of ..."
    thisalinea.nativeID = 1899
    thisalinea.parentID = 1896
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Registergoederen mogen niet vervreemd of bezwaard worden, tenzij om gewichtige redenen en met verlof van de kantonrechter. Kunnen zij bij een boedelscheiding niet zonder verkoop worden verdeeld, dan worden zij onder bewind van een derde gesteld, die de inkomsten van die goederen overeenkomstig hetgeen dienaangaande bij de verdeling is vastgesteld zal uitkeren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Registergoederen mogen niet vervreemd of bezwaard worden, tenzij om gewichtige")
    thisalinea.textcontent.append("redenen en met verlof van de kantonrechter. Kunnen zij bij een boedelscheiding niet")
    thisalinea.textcontent.append("zonder verkoop worden verdeeld, dan worden zij onder bewind van een derde gesteld, die")
    thisalinea.textcontent.append("de inkomsten van die goederen overeenkomstig hetgeen dienaangaande bij de verdeling")
    thisalinea.textcontent.append("is vastgesteld zal uitkeren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De verdeling geschiedt bij authentieke ..."
    thisalinea.nativeID = 1900
    thisalinea.parentID = 1896
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De verdeling geschiedt bij authentieke akte, waaruit tevens moet blijken wat aan legatarissen of andere gerechtigden is uitgekeerd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De verdeling geschiedt bij authentieke akte, waaruit tevens moet blijken wat aan")
    thisalinea.textcontent.append("legatarissen of andere gerechtigden is uitgekeerd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De goederen der nalatenschap mogen ..."
    thisalinea.nativeID = 1901
    thisalinea.parentID = 1896
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De goederen der nalatenschap mogen niet worden verkwist en daaruit mogen niet bovenmatige giften worden gedaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De goederen der nalatenschap mogen niet worden verkwist en daaruit mogen niet")
    thisalinea.textcontent.append("bovenmatige giften worden gedaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Erfgenamen en legatarissen zijn verplicht ..."
    thisalinea.nativeID = 1902
    thisalinea.parentID = 1896
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Erfgenamen en legatarissen zijn verplicht desgevraagd aan de kantonrechter de nodige inlichtingen te geven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Erfgenamen en legatarissen zijn verplicht desgevraagd aan de kantonrechter de nodige")
    thisalinea.textcontent.append("inlichtingen te geven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. De in dit artikel genoemde ..."
    thisalinea.nativeID = 1903
    thisalinea.parentID = 1896
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. De in dit artikel genoemde verplichtingen vervallen op het door de kantonrechter bepaalde tijdstip, en uiterlijk na verloop van vijf jaren na de dag waarop de akte van overlijden overeenkomstig artikel 417 is opgemaakt. De rechtbank die de beschikking, houdende vaststelling van vermissing geeft kan, gelet op de omstandigheden van het geval, daarbij tevens bepalen dat een of meer der in dit artikel genoemde verplichtingen niet zullen bestaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. De in dit artikel genoemde verplichtingen vervallen op het door de kantonrechter bepaalde")
    thisalinea.textcontent.append("tijdstip, en uiterlijk na verloop van vijf jaren na de dag waarop de akte van overlijden")
    thisalinea.textcontent.append("overeenkomstig artikel 417 is opgemaakt. De rechtbank die de beschikking, houdende")
    thisalinea.textcontent.append("vaststelling van vermissing geeft kan, gelet op de omstandigheden van het geval, daarbij")
    thisalinea.textcontent.append("tevens bepalen dat een of meer der in dit artikel genoemde verplichtingen niet zullen")
    thisalinea.textcontent.append("bestaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 419"
    thisalinea.nativeID = 1904
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 660
    thisalinea.summary = "De akte waarbij zekerheid is gesteld, de boedelbeschrijving en de akte van verdeling moeten in origineel of in authentiek afschrift worden neergelegd ter griffie van de rechtbank. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De akte waarbij zekerheid is gesteld, de boedelbeschrijving en de akte van verdeling moeten")
    thisalinea.textcontent.append("in origineel of in authentiek afschrift worden neergelegd ter griffie van de rechtbank.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 420"
    thisalinea.nativeID = 1905
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 661
    thisalinea.summary = "1. Wanneer het aan de kantonrechter blijkt, dat een erfgenaam of legataris de hem in de twee voorgaande artikelen opgelegde verplichtingen niet is nagekomen, kan hij voor de goederen die aan die erfgenaam of legataris uit de nalatenschap toekomen, een bewindvoerder benoemen, wiens bewind eindigt, wanneer de kantonrechter beslist dat de betrokkene alsnog zijn wettelijke verplichtingen heeft nageleefd. 2. Voor zover de kantonrechter niet anders bepaalt, vinden op het bewind van de bewindvoerder de artikelen 338, 339, 340, 342-357, 358 lid 1 en 359-363 van dit boek overeenkomstige toepassing, met dien verstande dat de bewindvoerder verplicht is jaarlijks ter griffie "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer het aan de kantonrechter ..."
    thisalinea.nativeID = 1906
    thisalinea.parentID = 1905
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer het aan de kantonrechter blijkt, dat een erfgenaam of legataris de hem in de twee voorgaande artikelen opgelegde verplichtingen niet is nagekomen, kan hij voor de goederen die aan die erfgenaam of legataris uit de nalatenschap toekomen, een bewindvoerder benoemen, wiens bewind eindigt, wanneer de kantonrechter beslist dat de betrokkene alsnog zijn wettelijke verplichtingen heeft nageleefd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer het aan de kantonrechter blijkt, dat een erfgenaam of legataris de hem in de")
    thisalinea.textcontent.append("twee voorgaande artikelen opgelegde verplichtingen niet is nagekomen, kan hij voor de")
    thisalinea.textcontent.append("goederen die aan die erfgenaam of legataris uit de nalatenschap toekomen, een")
    thisalinea.textcontent.append("bewindvoerder benoemen, wiens bewind eindigt, wanneer de kantonrechter beslist dat de")
    thisalinea.textcontent.append("betrokkene alsnog zijn wettelijke verplichtingen heeft nageleefd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voor zover de kantonrechter niet ..."
    thisalinea.nativeID = 1907
    thisalinea.parentID = 1905
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voor zover de kantonrechter niet anders bepaalt, vinden op het bewind van de bewindvoerder de artikelen 338, 339, 340, 342-357, 358 lid 1 en 359-363 van dit boek overeenkomstige toepassing, met dien verstande dat de bewindvoerder verplicht is jaarlijks ter griffie van de rechtbank een rekening in te dienen van zijn bewind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voor zover de kantonrechter niet anders bepaalt, vinden op het bewind van de")
    thisalinea.textcontent.append("bewindvoerder de artikelen 338, 339, 340, 342-357, 358 lid 1 en 359-363 van dit boek")
    thisalinea.textcontent.append("overeenkomstige toepassing, met dien verstande dat de bewindvoerder verplicht is")
    thisalinea.textcontent.append("jaarlijks ter griffie van de rechtbank een rekening in te dienen van zijn bewind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De bewindvoerder heeft aanspraak op ..."
    thisalinea.nativeID = 1908
    thisalinea.parentID = 1905
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die")
    thisalinea.textcontent.append("daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De kantonrechter kan te allen ..."
    thisalinea.nativeID = 1909
    thisalinea.parentID = 1905
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De kantonrechter kan te allen tijde de bewindvoerder ontslaan en door een ander vervangen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De kantonrechter kan te allen tijde de bewindvoerder ontslaan en door een ander")
    thisalinea.textcontent.append("vervangen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 421"
    thisalinea.nativeID = 1910
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 662
    thisalinea.summary = "Hetgeen in de vorige drie artikelen is bepaald omtrent erfgenamen, die goederen uit de nalatenschap ontvangen, is van overeenkomstige toepassing op de echtgenoot of geregistreerde partner, die goederen ontvangt ten gevolge van de ontbinding van enige gemeenschap van goederen of de afrekening uit hoofde van een verrekenbeding. Voor het uit dezen hoofde ontvangene behoeft echter geen zekerheid te worden gesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Hetgeen in de vorige drie artikelen is bepaald omtrent erfgenamen, die goederen uit de")
    thisalinea.textcontent.append("nalatenschap ontvangen, is van overeenkomstige toepassing op de echtgenoot of")
    thisalinea.textcontent.append("geregistreerde partner, die goederen ontvangt ten gevolge van de ontbinding van enige")
    thisalinea.textcontent.append("gemeenschap van goederen of de afrekening uit hoofde van een verrekenbeding. Voor het uit")
    thisalinea.textcontent.append("dezen hoofde ontvangene behoeft echter geen zekerheid te worden gesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 422"
    thisalinea.nativeID = 1911
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 663
    thisalinea.summary = "1. Wanneer de vermiste terugkeert, of wanneer blijkt dat de dag van overlijden in de akte van overlijden onjuist is vermeld, is ieder die enige goederen van de vermiste ingevolge de vorige artikelen in zijn bezit of onder zijn bewind heeft, aan de teruggekeerde of aan hen die alsdan blijken tot de goederen gerechtigd te zijn, rekening, verantwoording en afgifte schuldig. 2. Rechten door derden te goeder trouw verkregen worden geëerbiedigd. In geval echter goederen om niet zijn vervreemd, kan de rechter aan de rechthebbenden, en ten laste van hem die daardoor voordeel heeft genoten, een naar billijkheid te bepalen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Wanneer de vermiste terugkeert, of ..."
    thisalinea.nativeID = 1912
    thisalinea.parentID = 1911
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Wanneer de vermiste terugkeert, of wanneer blijkt dat de dag van overlijden in de akte van overlijden onjuist is vermeld, is ieder die enige goederen van de vermiste ingevolge de vorige artikelen in zijn bezit of onder zijn bewind heeft, aan de teruggekeerde of aan hen die alsdan blijken tot de goederen gerechtigd te zijn, rekening, verantwoording en afgifte schuldig. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Wanneer de vermiste terugkeert, of wanneer blijkt dat de dag van overlijden in de akte")
    thisalinea.textcontent.append("van overlijden onjuist is vermeld, is ieder die enige goederen van de vermiste ingevolge")
    thisalinea.textcontent.append("de vorige artikelen in zijn bezit of onder zijn bewind heeft, aan de teruggekeerde of aan")
    thisalinea.textcontent.append("hen die alsdan blijken tot de goederen gerechtigd te zijn, rekening, verantwoording en")
    thisalinea.textcontent.append("afgifte schuldig.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Rechten door derden te goeder ..."
    thisalinea.nativeID = 1913
    thisalinea.parentID = 1911
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Rechten door derden te goeder trouw verkregen worden geëerbiedigd. In geval echter goederen om niet zijn vervreemd, kan de rechter aan de rechthebbenden, en ten laste van hem die daardoor voordeel heeft genoten, een naar billijkheid te bepalen vergoeding toekennen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Rechten door derden te goeder trouw verkregen worden geëerbiedigd. In geval echter")
    thisalinea.textcontent.append("goederen om niet zijn vervreemd, kan de rechter aan de rechthebbenden, en ten laste")
    thisalinea.textcontent.append("van hem die daardoor voordeel heeft genoten, een naar billijkheid te bepalen vergoeding")
    thisalinea.textcontent.append("toekennen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Is het leven van de ..."
    thisalinea.nativeID = 1914
    thisalinea.parentID = 1911
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Is het leven van de vermiste ten behoeve van derden verzekerd geweest, dan behouden dezen hun recht op hetgeen aan hen op het tijdstip van de terugkeer van de verzekerde is uitbetaald of als reeds opeisbaar was verschuldigd; in dat geval kunnen aan de verzekering geen andere rechten op de uitkering worden ontleend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Is het leven van de vermiste ten behoeve van derden verzekerd geweest, dan behouden")
    thisalinea.textcontent.append("dezen hun recht op hetgeen aan hen op het tijdstip van de terugkeer van de verzekerde is")
    thisalinea.textcontent.append("uitbetaald of als reeds opeisbaar was verschuldigd; in dat geval kunnen aan de")
    thisalinea.textcontent.append("verzekering geen andere rechten op de uitkering worden ontleend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 423"
    thisalinea.nativeID = 1915
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 664
    thisalinea.summary = "slechts verplicht de alsdan nog aanwezige goederen in de staat waarin zij zich bevinden, af te geven, benevens de prijs van de vervreemde goederen of de goederen die daarvoor in de plaats zijn getreden; alles zonder enige vruchten of vergoeding voor niet meer aanwezige goederen en zonder verplichting van rekening en verantwoording. 1. Indien binnen vijf jaar na de dag waarop de akte van overlijden overeenkomstig artikel 417 van dit boek is opgemaakt, wordt bewezen dat deze akte onjuist is, zijn zij die te goeder trouw de vruchten van de nalatenschap hebben genoten, slechts verplicht daarvan de helft terug te "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("slechts verplicht de alsdan nog aanwezige goederen in de staat waarin zij zich bevinden,")
    thisalinea.textcontent.append("af te geven, benevens de prijs van de vervreemde goederen of de goederen die daarvoor")
    thisalinea.textcontent.append("in de plaats zijn getreden; alles zonder enige vruchten of vergoeding voor niet meer")
    thisalinea.textcontent.append("aanwezige goederen en zonder verplichting van rekening en verantwoording.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien binnen vijf jaar na ..."
    thisalinea.nativeID = 1916
    thisalinea.parentID = 1915
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien binnen vijf jaar na de dag waarop de akte van overlijden overeenkomstig artikel 417 van dit boek is opgemaakt, wordt bewezen dat deze akte onjuist is, zijn zij die te goeder trouw de vruchten van de nalatenschap hebben genoten, slechts verplicht daarvan de helft terug te geven; wordt de onjuistheid later bewezen, dan behoeven zij geen vruchten terug te geven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien binnen vijf jaar na de dag waarop de akte van overlijden overeenkomstig artikel")
    thisalinea.textcontent.append("417 van dit boek is opgemaakt, wordt bewezen dat deze akte onjuist is, zijn zij die te")
    thisalinea.textcontent.append("goeder trouw de vruchten van de nalatenschap hebben genoten, slechts verplicht daarvan")
    thisalinea.textcontent.append("de helft terug te geven; wordt de onjuistheid later bewezen, dan behoeven zij geen")
    thisalinea.textcontent.append("vruchten terug te geven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien eerst meer dan tien ..."
    thisalinea.nativeID = 1917
    thisalinea.parentID = 1915
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien eerst meer dan tien jaar na de dag waarop de akte is opgemaakt, wordt bewezen dat de akte onjuist is, zijn zij die de goederen te goeder trouw in bezit hebben genomen, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien eerst meer dan tien jaar na de dag waarop de akte is opgemaakt, wordt bewezen")
    thisalinea.textcontent.append("dat de akte onjuist is, zijn zij die de goederen te goeder trouw in bezit hebben genomen,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Iedere verbintenis tot teruggave vervalt, ..."
    thisalinea.nativeID = 1918
    thisalinea.parentID = 1915
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Iedere verbintenis tot teruggave vervalt, wanneer twintig jaar na de dag waarop de akte is opgemaakt, zijn verlopen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Iedere verbintenis tot teruggave vervalt, wanneer twintig jaar na de dag waarop de akte is")
    thisalinea.textcontent.append("opgemaakt, zijn verlopen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 424"
    thisalinea.nativeID = 1919
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 665
    thisalinea.summary = "[Vervallen.] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen.]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 425"
    thisalinea.nativeID = 1920
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 666
    thisalinea.summary = "1. Indien de achtergebleven echtgenote van een vermiste een nieuw huwelijk is aangegaan, doch de vermiste nog in leven was na de dag die als datum van overlijden was vermeld in de overeenkomstig artikel 417 van dit boek opgemaakte akte, zoals deze bij de voltrekking van het nieuwe huwelijk luidde, wordt niettemin voor de bepaling van de staat van haar kinderen die voor het nieuwe huwelijk zijn geboren, het huwelijk met de vermiste geacht te zijn ontbonden op de in die akte vermelde dag. 2. Degene ten aanzien van wie de vermissing is vastgesteld voor wie bij diens terugkeer het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de achtergebleven echtgenote van ..."
    thisalinea.nativeID = 1921
    thisalinea.parentID = 1920
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de achtergebleven echtgenote van een vermiste een nieuw huwelijk is aangegaan, doch de vermiste nog in leven was na de dag die als datum van overlijden was vermeld in de overeenkomstig artikel 417 van dit boek opgemaakte akte, zoals deze bij de voltrekking van het nieuwe huwelijk luidde, wordt niettemin voor de bepaling van de staat van haar kinderen die voor het nieuwe huwelijk zijn geboren, het huwelijk met de vermiste geacht te zijn ontbonden op de in die akte vermelde dag. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de achtergebleven echtgenote van een vermiste een nieuw huwelijk is aangegaan,")
    thisalinea.textcontent.append("doch de vermiste nog in leven was na de dag die als datum van overlijden was vermeld in")
    thisalinea.textcontent.append("de overeenkomstig artikel 417 van dit boek opgemaakte akte, zoals deze bij de")
    thisalinea.textcontent.append("voltrekking van het nieuwe huwelijk luidde, wordt niettemin voor de bepaling van de staat")
    thisalinea.textcontent.append("van haar kinderen die voor het nieuwe huwelijk zijn geboren, het huwelijk met de vermiste")
    thisalinea.textcontent.append("geacht te zijn ontbonden op de in die akte vermelde dag.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Degene ten aanzien van wie ..."
    thisalinea.nativeID = 1922
    thisalinea.parentID = 1920
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Degene ten aanzien van wie de vermissing is vastgesteld voor wie bij diens terugkeer het gezag over zijn minderjarige kind niet is herleefd, kan de rechtbank verzoeken hem daarmede te belasten. Wanneer deze tezamen met de andere ouder verzoekt in het belang van hun kind hen gezamenlijk met het gezag te belasten, dan wel niet in het gezag is voorzien of een voogd het gezag uitoefent, wordt het verzoek slechts afgewezen indien gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden verwaarloosd. In de overige gevallen wordt het verzoek slechts ingewilligd indien de rechtbank dit "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Degene ten aanzien van wie de vermissing is vastgesteld voor wie bij diens terugkeer het")
    thisalinea.textcontent.append("gezag over zijn minderjarige kind niet is herleefd, kan de rechtbank verzoeken hem")
    thisalinea.textcontent.append("daarmede te belasten. Wanneer deze tezamen met de andere ouder verzoekt in het")
    thisalinea.textcontent.append("belang van hun kind hen gezamenlijk met het gezag te belasten, dan wel niet in het gezag")
    thisalinea.textcontent.append("is voorzien of een voogd het gezag uitoefent, wordt het verzoek slechts afgewezen indien")
    thisalinea.textcontent.append("gegronde vrees bestaat dat bij inwilliging de belangen van het kind zouden worden")
    thisalinea.textcontent.append("verwaarloosd. In de overige gevallen wordt het verzoek slechts ingewilligd indien de")
    thisalinea.textcontent.append("rechtbank dit in het belang van het kind wenselijk oordeelt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Afdeling 3. Vaststelling van overlijden in bepaalde gevallen"
    thisalinea.nativeID = 1923
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 667
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 426"
    thisalinea.nativeID = 1924
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 668
    thisalinea.summary = "1. Indien het lichaam van een vermist persoon niet is kunnen worden teruggevonden doch, alle omstandigheden in aanmerking genomen, zijn overlijden als zeker kan worden beschouwd, kan op verzoek van het openbaar ministerie of van iedere belanghebbende de rechtbank verklaren dat de vermiste is overleden: A. indien de vermissing heeft plaatsgevonden in Nederland; B. indien de vermissing heeft plaatsgevonden tijdens een reis met een in Nederland thuisbehorend schip of luchtvaartuig; C. indien de vermiste Nederlander was; D. indien de vermiste zijn woon- of verblijfplaats had in Nederland. 2. Indien een persoon buiten Nederland is overleden en geen overlijdensakte is opgemaakt "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien het lichaam van een ..."
    thisalinea.nativeID = 1925
    thisalinea.parentID = 1924
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien het lichaam van een vermist persoon niet is kunnen worden teruggevonden doch, alle omstandigheden in aanmerking genomen, zijn overlijden als zeker kan worden beschouwd, kan op verzoek van het openbaar ministerie of van iedere belanghebbende de rechtbank verklaren dat de vermiste is overleden: A. indien de vermissing heeft plaatsgevonden in Nederland; B. indien de vermissing heeft plaatsgevonden tijdens een reis met een in Nederland thuisbehorend schip of luchtvaartuig; C. indien de vermiste Nederlander was; D. indien de vermiste zijn woon- of verblijfplaats had in Nederland. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien het lichaam van een vermist persoon niet is kunnen worden teruggevonden doch,")
    thisalinea.textcontent.append("alle omstandigheden in aanmerking genomen, zijn overlijden als zeker kan worden")
    thisalinea.textcontent.append("beschouwd, kan op verzoek van het openbaar ministerie of van iedere belanghebbende")
    thisalinea.textcontent.append("de rechtbank verklaren dat de vermiste is overleden:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "A. indien de vermissing heeft plaatsgevonden ..."
    thisalinea.nativeID = 1926
    thisalinea.parentID = 1925
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.BIGLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "A. indien de vermissing heeft plaatsgevonden in Nederland; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("A. indien de vermissing heeft plaatsgevonden in Nederland;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "B. indien de vermissing heeft plaatsgevonden ..."
    thisalinea.nativeID = 1927
    thisalinea.parentID = 1925
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.BIGLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "B. indien de vermissing heeft plaatsgevonden tijdens een reis met een in Nederland thuisbehorend schip of luchtvaartuig; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("B. indien de vermissing heeft plaatsgevonden tijdens een reis met een in Nederland")
    thisalinea.textcontent.append("thuisbehorend schip of luchtvaartuig;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "C. indien de vermiste Nederlander was; "
    thisalinea.nativeID = 1928
    thisalinea.parentID = 1925
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.BIGLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "C. indien de vermiste Nederlander was; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("C. indien de vermiste Nederlander was;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "D. indien de vermiste zijn woon- ..."
    thisalinea.nativeID = 1929
    thisalinea.parentID = 1925
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.BIGLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "D. indien de vermiste zijn woon- of verblijfplaats had in Nederland. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("D. indien de vermiste zijn woon- of verblijfplaats had in Nederland.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien een persoon buiten Nederland ..."
    thisalinea.nativeID = 1930
    thisalinea.parentID = 1924
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien een persoon buiten Nederland is overleden en geen overlijdensakte is opgemaakt of kan worden overgelegd, kan op verzoek van het openbaar ministerie of van iedere belanghebbende de rechtbank verklaren dat die persoon is overleden: A. indien het overlijden heeft plaatsgevonden tijdens een reis met een in Nederland thuisbehorend schip of luchtvaartuig; B. indien de overledene Nederlander was; C. indien de overledene zijn woon- of verblijfplaats had in Nederland. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien een persoon buiten Nederland is overleden en geen overlijdensakte is opgemaakt")
    thisalinea.textcontent.append("of kan worden overgelegd, kan op verzoek van het openbaar ministerie of van iedere")
    thisalinea.textcontent.append("belanghebbende de rechtbank verklaren dat die persoon is overleden:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "A. indien het overlijden heeft plaatsgevonden ..."
    thisalinea.nativeID = 1931
    thisalinea.parentID = 1930
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.BIGLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "A. indien het overlijden heeft plaatsgevonden tijdens een reis met een in Nederland thuisbehorend schip of luchtvaartuig; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("A. indien het overlijden heeft plaatsgevonden tijdens een reis met een in Nederland")
    thisalinea.textcontent.append("thuisbehorend schip of luchtvaartuig;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "B. indien de overledene Nederlander was; "
    thisalinea.nativeID = 1932
    thisalinea.parentID = 1930
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.BIGLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "B. indien de overledene Nederlander was; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("B. indien de overledene Nederlander was;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "C. indien de overledene zijn woon- ..."
    thisalinea.nativeID = 1933
    thisalinea.parentID = 1930
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.BIGLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "C. indien de overledene zijn woon- of verblijfplaats had in Nederland. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("C. indien de overledene zijn woon- of verblijfplaats had in Nederland.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Voor zover mogelijk bevat het ..."
    thisalinea.nativeID = 1934
    thisalinea.parentID = 1924
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Voor zover mogelijk bevat het verzoek bedoeld in het eerste en tweede lid, of daarmee vergezeld gaande bescheiden de in artikel 427 van dit boek genoemde gegevens. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Voor zover mogelijk bevat het verzoek bedoeld in het eerste en tweede lid, of daarmee")
    thisalinea.textcontent.append("vergezeld gaande bescheiden de in artikel 427 van dit boek genoemde gegevens.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 427"
    thisalinea.nativeID = 1935
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 669
    thisalinea.summary = "noemt de dag en zo mogelijk het uur van het overlijden. Indien de dag van overlijden niet bekend is, wordt deze door de rechtbank vastgesteld en in de beschikking vermeld. De rechtbank houdt hierbij rekening met alle bewijzen en aanwijzingen omtrent de omstandigheden waaronder, of het tijdstip waarop het overlijden moet hebben plaatsgehad. 1. De beschikking, houdende verklaring dat de in artikel 426 bedoelde persoon is overleden, 2. Voorts vermeldt de beschikking de geslachtsnaam, de voornamen, de kunne en, zo mogelijk, de plaats van het overlijden, de woonplaats van de overledene, de plaats en de dag van geboorte van de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("noemt de dag en zo mogelijk het uur van het overlijden. Indien de dag van overlijden niet")
    thisalinea.textcontent.append("bekend is, wordt deze door de rechtbank vastgesteld en in de beschikking vermeld. De")
    thisalinea.textcontent.append("rechtbank houdt hierbij rekening met alle bewijzen en aanwijzingen omtrent de")
    thisalinea.textcontent.append("omstandigheden waaronder, of het tijdstip waarop het overlijden moet hebben")
    thisalinea.textcontent.append("plaatsgehad.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De beschikking, houdende verklaring dat ..."
    thisalinea.nativeID = 1936
    thisalinea.parentID = 1935
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De beschikking, houdende verklaring dat de in artikel 426 bedoelde persoon is overleden, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De beschikking, houdende verklaring dat de in artikel 426 bedoelde persoon is overleden,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Voorts vermeldt de beschikking de ..."
    thisalinea.nativeID = 1937
    thisalinea.parentID = 1935
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Voorts vermeldt de beschikking de geslachtsnaam, de voornamen, de kunne en, zo mogelijk, de plaats van het overlijden, de woonplaats van de overledene, de plaats en de dag van geboorte van de overledene en de geslachtsnaam en de voornamen van de persoon of van de personen, met wie de overledene gehuwd is geweest of met wie de overledene een geregistreerd partnerschap was aangegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Voorts vermeldt de beschikking de geslachtsnaam, de voornamen, de kunne en, zo")
    thisalinea.textcontent.append("mogelijk, de plaats van het overlijden, de woonplaats van de overledene, de plaats en de")
    thisalinea.textcontent.append("dag van geboorte van de overledene en de geslachtsnaam en de voornamen van de")
    thisalinea.textcontent.append("persoon of van de personen, met wie de overledene gehuwd is geweest of met wie de")
    thisalinea.textcontent.append("overledene een geregistreerd partnerschap was aangegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 428"
    thisalinea.nativeID = 1938
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 670
    thisalinea.summary = "[Vervallen per 01-04-1995] "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("[Vervallen per 01-04-1995]")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 429"
    thisalinea.nativeID = 1939
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 671
    thisalinea.summary = "De griffier van het college waarvoor de zaak laatstelijk aanhangig was, zendt een afschrift van de beschikking, zodra deze in kracht van gewijsde is gegaan, aan de ambtenaar van de burgerlijke stand van de gemeente 's-Gravenhage. Deze maakt van de beschikking een akte van inschrijving op, die hij in het register van overlijden opneemt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De griffier van het college waarvoor de zaak laatstelijk aanhangig was, zendt een afschrift van")
    thisalinea.textcontent.append("de beschikking, zodra deze in kracht van gewijsde is gegaan, aan de ambtenaar van de")
    thisalinea.textcontent.append("burgerlijke stand van de gemeente 's-Gravenhage. Deze maakt van de beschikking een akte")
    thisalinea.textcontent.append("van inschrijving op, die hij in het register van overlijden opneemt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 430"
    thisalinea.nativeID = 1940
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 672
    thisalinea.summary = "1. De akten, opgemaakt volgens artikel 429, gelden als akten van overlijden in de zin van artikel 19f, eerste lid. 2. De artikelen 422, 423 en 425 zijn van overeenkomstige toepassing, indien een persoon die met toepassing van artikel 426 overleden is verklaard terugkeert alsmede indien bewezen wordt dat de dag van overlijden in de in artikel 429 bedoelde akte onjuist is vermeld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De akten, opgemaakt volgens artikel ..."
    thisalinea.nativeID = 1941
    thisalinea.parentID = 1940
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De akten, opgemaakt volgens artikel 429, gelden als akten van overlijden in de zin van artikel 19f, eerste lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De akten, opgemaakt volgens artikel 429, gelden als akten van overlijden in de zin van")
    thisalinea.textcontent.append("artikel 19f, eerste lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De artikelen 422, 423 en ..."
    thisalinea.nativeID = 1942
    thisalinea.parentID = 1940
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De artikelen 422, 423 en 425 zijn van overeenkomstige toepassing, indien een persoon die met toepassing van artikel 426 overleden is verklaard terugkeert alsmede indien bewezen wordt dat de dag van overlijden in de in artikel 429 bedoelde akte onjuist is vermeld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De artikelen 422, 423 en 425 zijn van overeenkomstige toepassing, indien een persoon")
    thisalinea.textcontent.append("die met toepassing van artikel 426 overleden is verklaard terugkeert alsmede indien")
    thisalinea.textcontent.append("bewezen wordt dat de dag van overlijden in de in artikel 429 bedoelde akte onjuist is")
    thisalinea.textcontent.append("vermeld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 19. Onderbewindstelling ter bescherming van meerderjarigen"
    thisalinea.nativeID = 1943
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 673
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 431"
    thisalinea.nativeID = 1944
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 674
    thisalinea.summary = "1. De kantonrechter kan een bewind instellen over één of meer van de goederen die een meerderjarige als rechthebbende toebehoren of zullen toebehoren a. voor een bepaalde of onbepaalde tijdsduur indien de meerderjarige tijdelijk of duurzaam niet in staat is ten volle zijn vermogensrechtelijke belangen behoorlijk waar te nemen als gevolg van zijn lichamelijke of geestelijke toestand, dan wel b. voor een bepaalde tijdsduur indien de meerderjarige tijdelijk niet in staat is ten volle zijn vermogensrechtelijke belangen behoorlijk waar te nemen als gevolg van verkwisting of het hebben van problematische schulden. 2. Indien te verwachten is dat een minderjarige op "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De kantonrechter kan een bewind ..."
    thisalinea.nativeID = 1945
    thisalinea.parentID = 1944
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De kantonrechter kan een bewind instellen over één of meer van de goederen die een meerderjarige als rechthebbende toebehoren of zullen toebehoren a. voor een bepaalde of onbepaalde tijdsduur indien de meerderjarige tijdelijk of duurzaam niet in staat is ten volle zijn vermogensrechtelijke belangen behoorlijk waar te nemen als gevolg van zijn lichamelijke of geestelijke toestand, dan wel b. voor een bepaalde tijdsduur indien de meerderjarige tijdelijk niet in staat is ten volle zijn vermogensrechtelijke belangen behoorlijk waar te nemen als gevolg van verkwisting of het hebben van problematische schulden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De kantonrechter kan een bewind instellen over één of meer van de goederen die een")
    thisalinea.textcontent.append("meerderjarige als rechthebbende toebehoren of zullen toebehoren")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. voor een bepaalde of onbepaalde ..."
    thisalinea.nativeID = 1946
    thisalinea.parentID = 1945
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. voor een bepaalde of onbepaalde tijdsduur indien de meerderjarige tijdelijk of duurzaam niet in staat is ten volle zijn vermogensrechtelijke belangen behoorlijk waar te nemen als gevolg van zijn lichamelijke of geestelijke toestand, dan wel "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. voor een bepaalde of onbepaalde tijdsduur indien de meerderjarige tijdelijk of")
    thisalinea.textcontent.append("duurzaam niet in staat is ten volle zijn vermogensrechtelijke belangen behoorlijk waar")
    thisalinea.textcontent.append("te nemen als gevolg van zijn lichamelijke of geestelijke toestand, dan wel")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. voor een bepaalde tijdsduur indien ..."
    thisalinea.nativeID = 1947
    thisalinea.parentID = 1945
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. voor een bepaalde tijdsduur indien de meerderjarige tijdelijk niet in staat is ten volle zijn vermogensrechtelijke belangen behoorlijk waar te nemen als gevolg van verkwisting of het hebben van problematische schulden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. voor een bepaalde tijdsduur indien de meerderjarige tijdelijk niet in staat is ten volle")
    thisalinea.textcontent.append("zijn vermogensrechtelijke belangen behoorlijk waar te nemen als gevolg van")
    thisalinea.textcontent.append("verkwisting of het hebben van problematische schulden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien te verwachten is dat ..."
    thisalinea.nativeID = 1948
    thisalinea.parentID = 1944
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien te verwachten is dat een minderjarige op het tijdstip waarop hij meerderjarig zal worden, in de in het vorige lid bedoelde toestand zal verkeren, kan het bewind reeds voor de meerderjarigheid worden ingesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien te verwachten is dat een minderjarige op het tijdstip waarop hij meerderjarig zal")
    thisalinea.textcontent.append("worden, in de in het vorige lid bedoelde toestand zal verkeren, kan het bewind reeds voor")
    thisalinea.textcontent.append("de meerderjarigheid worden ingesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het bewind kan eveneens worden ..."
    thisalinea.nativeID = 1949
    thisalinea.parentID = 1944
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het bewind kan eveneens worden ingesteld indien te verwachten is dat de rechthebbende binnen afzienbare tijd in de in het eerste lid bedoelde toestand zal verkeren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het bewind kan eveneens worden ingesteld indien te verwachten is dat de rechthebbende")
    thisalinea.textcontent.append("binnen afzienbare tijd in de in het eerste lid bedoelde toestand zal verkeren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De rechter bij wie een ..."
    thisalinea.nativeID = 1950
    thisalinea.parentID = 1944
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De rechter bij wie een verzoek tot het verlenen van een rechterlijke machtiging als bedoeld in de Wet zorg en dwang psychogeriatrische en verstandelijk gehandicapte cliënten dan wel een zorgmachtiging of een machtiging tot voorzetting van de crisismaatregel als bedoeld in de Wet verplichte geestelijke gezondheidszorg aanhangig is, is tevens bevoegd tot de kennisneming van een verzoek tot instelling van het bewind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De rechter bij wie een verzoek tot het verlenen van een rechterlijke machtiging als")
    thisalinea.textcontent.append("bedoeld in de Wet zorg en dwang psychogeriatrische en verstandelijk gehandicapte")
    thisalinea.textcontent.append("cliënten dan wel een zorgmachtiging of een machtiging tot voorzetting van de")
    thisalinea.textcontent.append("crisismaatregel als bedoeld in de Wet verplichte geestelijke gezondheidszorg aanhangig")
    thisalinea.textcontent.append("is, is tevens bevoegd tot de kennisneming van een verzoek tot instelling van het bewind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Onder aan de meerderjarige toebehorende ..."
    thisalinea.nativeID = 1951
    thisalinea.parentID = 1944
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Onder aan de meerderjarige toebehorende goederen zijn in deze titel begrepen goederen die behoren tot zijn huwelijksgemeenschap of gemeenschap van geregistreerd partnerschap en die niet uitsluitend onder het bestuur van zijn echtgenoot dan wel geregistreerd partner staan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Onder aan de meerderjarige toebehorende goederen zijn in deze titel begrepen goederen")
    thisalinea.textcontent.append("die behoren tot zijn huwelijksgemeenschap of gemeenschap van geregistreerd")
    thisalinea.textcontent.append("partnerschap en die niet uitsluitend onder het bestuur van zijn echtgenoot dan wel")
    thisalinea.textcontent.append("geregistreerd partner staan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 432"
    thisalinea.nativeID = 1952
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 675
    thisalinea.summary = "1. Instelling van het bewind kan worden verzocht door de rechthebbende, zijn echtgenoot, zijn geregistreerde partner dan wel andere levensgezel, zijn bloedverwanten in de rechte lijn en in de zijlijn tot en met de vierde graad, degene die ingevolge artikel 253sa of 253t het gezag over de rechthebbende uitoefent, zijn voogd, zijn curator als bedoeld in titel 16 en zijn mentor als bedoeld in titel 20. In het in artikel 431, derde lid, bedoelde geval kan het bewind uitsluitend worden verzocht door de rechthebbende. 2. Instelling van het bewind kan voorts worden verzocht door het openbaar ministerie en door de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Instelling van het bewind kan ..."
    thisalinea.nativeID = 1953
    thisalinea.parentID = 1952
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Instelling van het bewind kan worden verzocht door de rechthebbende, zijn echtgenoot, zijn geregistreerde partner dan wel andere levensgezel, zijn bloedverwanten in de rechte lijn en in de zijlijn tot en met de vierde graad, degene die ingevolge artikel 253sa of 253t het gezag over de rechthebbende uitoefent, zijn voogd, zijn curator als bedoeld in titel 16 en zijn mentor als bedoeld in titel 20. In het in artikel 431, derde lid, bedoelde geval kan het bewind uitsluitend worden verzocht door de rechthebbende. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Instelling van het bewind kan worden verzocht door de rechthebbende, zijn echtgenoot,")
    thisalinea.textcontent.append("zijn geregistreerde partner dan wel andere levensgezel, zijn bloedverwanten in de rechte")
    thisalinea.textcontent.append("lijn en in de zijlijn tot en met de vierde graad, degene die ingevolge artikel 253sa of 253t")
    thisalinea.textcontent.append("het gezag over de rechthebbende uitoefent, zijn voogd, zijn curator als bedoeld in titel 16")
    thisalinea.textcontent.append("en zijn mentor als bedoeld in titel 20. In het in artikel 431, derde lid, bedoelde geval kan")
    thisalinea.textcontent.append("het bewind uitsluitend worden verzocht door de rechthebbende.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Instelling van het bewind kan ..."
    thisalinea.nativeID = 1954
    thisalinea.parentID = 1952
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Instelling van het bewind kan voorts worden verzocht door het openbaar ministerie en door de instelling waar de rechthebbende wordt verzorgd of die aan de rechthebbende begeleiding biedt. Instelling van een bewind wegens verkwisting of het hebben van problematische schulden kan tevens worden verzocht door het college van burgemeester en wethouders van de gemeente waar de rechthebbende woonplaats heeft. In beide laatste gevallen vermeldt het verzoekschrift tevens waarom de in het eerste lid genoemde personen – bloedverwanten in de zijlijn in de derde en vierde graad daaronder niet begrepen – niet tot indiening van een verzoek zijn overgegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Instelling van het bewind kan voorts worden verzocht door het openbaar ministerie en")
    thisalinea.textcontent.append("door de instelling waar de rechthebbende wordt verzorgd of die aan de rechthebbende")
    thisalinea.textcontent.append("begeleiding biedt. Instelling van een bewind wegens verkwisting of het hebben van")
    thisalinea.textcontent.append("problematische schulden kan tevens worden verzocht door het college van burgemeester")
    thisalinea.textcontent.append("en wethouders van de gemeente waar de rechthebbende woonplaats heeft. In beide")
    thisalinea.textcontent.append("laatste gevallen vermeldt het verzoekschrift tevens waarom de in het eerste lid genoemde")
    thisalinea.textcontent.append("personen – bloedverwanten in de zijlijn in de derde en vierde graad daaronder niet")
    thisalinea.textcontent.append("begrepen – niet tot indiening van een verzoek zijn overgegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechter voor wie een ..."
    thisalinea.nativeID = 1955
    thisalinea.parentID = 1952
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechter voor wie een verzoek tot ondercuratelestelling of tot opheffing van de curatele aanhangig is, kan bij afwijzing onderscheidenlijk bij inwilliging daarvan ambtshalve overgaan tot instelling van het bewind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechter voor wie een verzoek tot ondercuratelestelling of tot opheffing van de curatele")
    thisalinea.textcontent.append("aanhangig is, kan bij afwijzing onderscheidenlijk bij inwilliging daarvan ambtshalve")
    thisalinea.textcontent.append("overgaan tot instelling van het bewind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Een verzoek tot instelling van ..."
    thisalinea.nativeID = 1956
    thisalinea.parentID = 1952
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Een verzoek tot instelling van een bewind ten behoeve van een rechthebbende die onder curatele is gesteld, wordt aanhangig gemaakt bij de rechter die bevoegd is over opheffing van de curatele te beslissen. Deze rechter kan, bij opheffing van een curatele, ook ambtshalve overgaan tot instelling van het bewind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Een verzoek tot instelling van een bewind ten behoeve van een rechthebbende die onder")
    thisalinea.textcontent.append("curatele is gesteld, wordt aanhangig gemaakt bij de rechter die bevoegd is over opheffing")
    thisalinea.textcontent.append("van de curatele te beslissen. Deze rechter kan, bij opheffing van een curatele, ook")
    thisalinea.textcontent.append("ambtshalve overgaan tot instelling van het bewind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. In geval van een bestuursopdracht, ..."
    thisalinea.nativeID = 1957
    thisalinea.parentID = 1952
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. In geval van een bestuursopdracht, of een verzoek daartoe, als bedoeld in artikel 91 van dit boek, zijn het derde en het vierde lid van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. In geval van een bestuursopdracht, of een verzoek daartoe, als bedoeld in artikel 91 van")
    thisalinea.textcontent.append("dit boek, zijn het derde en het vierde lid van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 432a"
    thisalinea.nativeID = 1958
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 676
    thisalinea.summary = "1. Dit artikel is van toepassing indien het college van burgemeester en wethouders van de gemeente waar de rechthebbende woonplaats heeft, schriftelijk aan de griffier van de ingevolge artikel 266 van het Wetboek van Burgerlijke Rechtsvordering bevoegde rechtbank kenbaar heeft gemaakt dat het advies wenst uit te brengen over de vraag of een voldoende behartiging van de belangen van rechthebbenden kan worden bewerkstelligd met een meer passende en minder verstrekkende voorziening dan met de voortzetting van bewind, totdat het college deze verklaring schriftelijk intrekt. 2. De rechter verplicht de bewindvoerder binnen drie maanden na de instelling van een bewind wegens "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Dit artikel is van toepassing ..."
    thisalinea.nativeID = 1959
    thisalinea.parentID = 1958
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Dit artikel is van toepassing indien het college van burgemeester en wethouders van de gemeente waar de rechthebbende woonplaats heeft, schriftelijk aan de griffier van de ingevolge artikel 266 van het Wetboek van Burgerlijke Rechtsvordering bevoegde rechtbank kenbaar heeft gemaakt dat het advies wenst uit te brengen over de vraag of een voldoende behartiging van de belangen van rechthebbenden kan worden bewerkstelligd met een meer passende en minder verstrekkende voorziening dan met de voortzetting van bewind, totdat het college deze verklaring schriftelijk intrekt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Dit artikel is van toepassing indien het college van burgemeester en wethouders van de")
    thisalinea.textcontent.append("gemeente waar de rechthebbende woonplaats heeft, schriftelijk aan de griffier van de")
    thisalinea.textcontent.append("ingevolge artikel 266 van het Wetboek van Burgerlijke Rechtsvordering bevoegde")
    thisalinea.textcontent.append("rechtbank kenbaar heeft gemaakt dat het advies wenst uit te brengen over de vraag of")
    thisalinea.textcontent.append("een voldoende behartiging van de belangen van rechthebbenden kan worden")
    thisalinea.textcontent.append("bewerkstelligd met een meer passende en minder verstrekkende voorziening dan met de")
    thisalinea.textcontent.append("voortzetting van bewind, totdat het college deze verklaring schriftelijk intrekt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechter verplicht de bewindvoerder ..."
    thisalinea.nativeID = 1960
    thisalinea.parentID = 1958
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechter verplicht de bewindvoerder binnen drie maanden na de instelling van een bewind wegens verkwisting of het hebben van problematische schulden afschrift van de boedelbeschrijving, bedoeld in artikel 436, eerste lid, en een plan van aanpak te zenden aan het college. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechter verplicht de bewindvoerder binnen drie maanden na de instelling van een")
    thisalinea.textcontent.append("bewind wegens verkwisting of het hebben van problematische schulden afschrift van de")
    thisalinea.textcontent.append("boedelbeschrijving, bedoeld in artikel 436, eerste lid, en een plan van aanpak te zenden")
    thisalinea.textcontent.append("aan het college.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechter kan de bewindvoerder ..."
    thisalinea.nativeID = 1961
    thisalinea.parentID = 1958
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechter kan de bewindvoerder verplichten binnen drie maanden na de instelling van een bewind wegens een lichamelijke of geestelijke toestand afschrift van de bescheiden, bedoeld in het tweede lid, te zenden aan het college indien tevens sprake is van problematische schulden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechter kan de bewindvoerder verplichten binnen drie maanden na de instelling van")
    thisalinea.textcontent.append("een bewind wegens een lichamelijke of geestelijke toestand afschrift van de bescheiden,")
    thisalinea.textcontent.append("bedoeld in het tweede lid, te zenden aan het college indien tevens sprake is van")
    thisalinea.textcontent.append("problematische schulden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Indien de rechter de bewindvoerder ..."
    thisalinea.nativeID = 1962
    thisalinea.parentID = 1958
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Indien de rechter de bewindvoerder verplicht de bescheiden, bedoeld in het tweede lid, te zenden aan het college, kan het college aan de rechter een advies als bedoeld in het eerste lid uitbrengen. De bewindvoerder bericht het college binnen twee weken na de instelling van het bewind over de instelling. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Indien de rechter de bewindvoerder verplicht de bescheiden, bedoeld in het tweede lid, te")
    thisalinea.textcontent.append("zenden aan het college, kan het college aan de rechter een advies als bedoeld in het")
    thisalinea.textcontent.append("eerste lid uitbrengen. De bewindvoerder bericht het college binnen twee weken na de")
    thisalinea.textcontent.append("instelling van het bewind over de instelling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Het college verstrekt het advies ..."
    thisalinea.nativeID = 1963
    thisalinea.parentID = 1958
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Het college verstrekt het advies aan de griffier, de rechthebbende en de bewindvoerder binnen vier weken na ontvangst van de bescheiden, bedoeld in het tweede lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Het college verstrekt het advies aan de griffier, de rechthebbende en de bewindvoerder")
    thisalinea.textcontent.append("binnen vier weken na ontvangst van de bescheiden, bedoeld in het tweede lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. Indien het college adviseert dat ..."
    thisalinea.nativeID = 1964
    thisalinea.parentID = 1958
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. Indien het college adviseert dat een voldoende behartiging van de belangen van de rechthebbende kan worden bewerkstelligd met een meer passende en minder verstrekkende voorziening, beslist de rechter of het bewind wordt voortgezet dan wel beëindigd. De griffier zendt afschrift van de beschikking aan het college. In afwijking van artikel 806, eerste lid, onderdeel a, van het Wetboek van Burgerlijke Rechtsvordering staat voor het college geen hoger beroep open tegen de beschikking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. Indien het college adviseert dat een voldoende behartiging van de belangen van de")
    thisalinea.textcontent.append("rechthebbende kan worden bewerkstelligd met een meer passende en minder")
    thisalinea.textcontent.append("verstrekkende voorziening, beslist de rechter of het bewind wordt voortgezet dan wel")
    thisalinea.textcontent.append("beëindigd. De griffier zendt afschrift van de beschikking aan het college. In afwijking van")
    thisalinea.textcontent.append("artikel 806, eerste lid, onderdeel a, van het Wetboek van Burgerlijke Rechtsvordering")
    thisalinea.textcontent.append("staat voor het college geen hoger beroep open tegen de beschikking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Gelet op artikel 9, tweede ..."
    thisalinea.nativeID = 1965
    thisalinea.parentID = 1958
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Gelet op artikel 9, tweede lid, onderdeel b, van de Algemene verordening gegevensverwerking is het verbod om gegevens over de gezondheid van de rechthebbende te verwerken niet van toepassing indien de verwerking noodzakelijk is in het kader van het verstrekken van een advies als bedoeld in het eerste lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Gelet op artikel 9, tweede lid, onderdeel b, van de Algemene verordening")
    thisalinea.textcontent.append("gegevensverwerking is het verbod om gegevens over de gezondheid van de")
    thisalinea.textcontent.append("rechthebbende te verwerken niet van toepassing indien de verwerking noodzakelijk is in")
    thisalinea.textcontent.append("het kader van het verstrekken van een advies als bedoeld in het eerste lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 433"
    thisalinea.nativeID = 1966
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 677
    thisalinea.summary = "1. Tenzij bij de onderbewindstelling anders is bepaald, omvat het bewind ook de goederen die geacht moeten worden in de plaats van een aan het bewind onderworpen goed te treden, benevens de vruchten en andere voordelen die een onder bewind staand goed oplevert. 2. De kantonrechter kan, hetzij op verzoek van degene die gerechtigd is onderbewindstelling te verzoeken als bedoeld in artikel 432, eerste en tweede lid, hetzij ambtshalve, het ingestelde bewind tot een of meer andere goederen van de rechthebbende uitbreiden of een of meer goederen uit het bewind ontslaan en ook alsnog bepalen dat de regel van het "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Tenzij bij de onderbewindstelling anders ..."
    thisalinea.nativeID = 1967
    thisalinea.parentID = 1966
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Tenzij bij de onderbewindstelling anders is bepaald, omvat het bewind ook de goederen die geacht moeten worden in de plaats van een aan het bewind onderworpen goed te treden, benevens de vruchten en andere voordelen die een onder bewind staand goed oplevert. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Tenzij bij de onderbewindstelling anders is bepaald, omvat het bewind ook de goederen")
    thisalinea.textcontent.append("die geacht moeten worden in de plaats van een aan het bewind onderworpen goed te")
    thisalinea.textcontent.append("treden, benevens de vruchten en andere voordelen die een onder bewind staand goed")
    thisalinea.textcontent.append("oplevert.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kantonrechter kan, hetzij op ..."
    thisalinea.nativeID = 1968
    thisalinea.parentID = 1966
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kantonrechter kan, hetzij op verzoek van degene die gerechtigd is onderbewindstelling te verzoeken als bedoeld in artikel 432, eerste en tweede lid, hetzij ambtshalve, het ingestelde bewind tot een of meer andere goederen van de rechthebbende uitbreiden of een of meer goederen uit het bewind ontslaan en ook alsnog bepalen dat de regel van het eerste lid voor een of meer goederen niet zal gelden, in welk geval artikel 434, eerste lid, van overeenkomstige toepassing is. De kantonrechter kan tevens handelingen als bedoeld in artikel 441, tweede lid, onder f aanwijzen en de aanwijzing van zulke handelingen intrekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kantonrechter kan, hetzij op verzoek van degene die gerechtigd is onderbewindstelling")
    thisalinea.textcontent.append("te verzoeken als bedoeld in artikel 432, eerste en tweede lid, hetzij ambtshalve, het")
    thisalinea.textcontent.append("ingestelde bewind tot een of meer andere goederen van de rechthebbende uitbreiden of")
    thisalinea.textcontent.append("een of meer goederen uit het bewind ontslaan en ook alsnog bepalen dat de regel van het")
    thisalinea.textcontent.append("eerste lid voor een of meer goederen niet zal gelden, in welk geval artikel 434, eerste lid,")
    thisalinea.textcontent.append("van overeenkomstige toepassing is. De kantonrechter kan tevens handelingen als")
    thisalinea.textcontent.append("bedoeld in artikel 441, tweede lid, onder f aanwijzen en de aanwijzing van zulke")
    thisalinea.textcontent.append("handelingen intrekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 434"
    thisalinea.nativeID = 1969
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 678
    thisalinea.summary = "1. In beschikkingen als bedoeld in de artikelen 432 en 433, tweede lid, van dit boek bepaalt de rechter ambtshalve welke goederen onder bewind worden gesteld, onderscheidenlijk uit het bewind worden ontslagen. 2. Onderbewindstelling van een goed en het ontslag van een goed uit het bewind treden in werking daags nadat de beschikking is verstrekt of verzonden, tenzij de beschikking een later tijdstip van ingang vermeldt. In het geval, bedoeld in artikel 431, tweede lid, treedt de onderbewindstelling in werking op het tijdstip waarop de rechthebbende meerderjarig wordt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. In beschikkingen als bedoeld in ..."
    thisalinea.nativeID = 1970
    thisalinea.parentID = 1969
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. In beschikkingen als bedoeld in de artikelen 432 en 433, tweede lid, van dit boek bepaalt de rechter ambtshalve welke goederen onder bewind worden gesteld, onderscheidenlijk uit het bewind worden ontslagen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. In beschikkingen als bedoeld in de artikelen 432 en 433, tweede lid, van dit boek bepaalt")
    thisalinea.textcontent.append("de rechter ambtshalve welke goederen onder bewind worden gesteld, onderscheidenlijk")
    thisalinea.textcontent.append("uit het bewind worden ontslagen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Onderbewindstelling van een goed en ..."
    thisalinea.nativeID = 1971
    thisalinea.parentID = 1969
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Onderbewindstelling van een goed en het ontslag van een goed uit het bewind treden in werking daags nadat de beschikking is verstrekt of verzonden, tenzij de beschikking een later tijdstip van ingang vermeldt. In het geval, bedoeld in artikel 431, tweede lid, treedt de onderbewindstelling in werking op het tijdstip waarop de rechthebbende meerderjarig wordt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Onderbewindstelling van een goed en het ontslag van een goed uit het bewind treden in")
    thisalinea.textcontent.append("werking daags nadat de beschikking is verstrekt of verzonden, tenzij de beschikking een")
    thisalinea.textcontent.append("later tijdstip van ingang vermeldt. In het geval, bedoeld in artikel 431, tweede lid, treedt de")
    thisalinea.textcontent.append("onderbewindstelling in werking op het tijdstip waarop de rechthebbende meerderjarig")
    thisalinea.textcontent.append("wordt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 435"
    thisalinea.nativeID = 1972
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 679
    thisalinea.summary = "levensgezel, dan kan ieder van hen verzoeken dat de echtgenoot, de geregistreerde partner dan wel de andere levensgezel van de rechthebbende in de plaats van de tegenwoordige bewindvoerder wordt benoemd. Bij algemene maatregel van bestuur kunnen nadere regels worden gesteld omtrent de vorm en de inhoud van de verklaringen en het verslag, alsmede de wijze van overlegging. Toont de persoon aan dat hij in de twaalf maanden voorafgaande aan zijn benoeming de verklaringen en het verslag reeds aan de rechter heeft overgelegd, dan is hij van de overlegging vrijgesteld. Bij algemene maatregel van bestuur kunnen de in de vorige zin "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("levensgezel, dan kan ieder van hen verzoeken dat de echtgenoot, de geregistreerde")
    thisalinea.textcontent.append("partner dan wel de andere levensgezel van de rechthebbende in de plaats van de")
    thisalinea.textcontent.append("tegenwoordige bewindvoerder wordt benoemd.")
    thisalinea.textcontent.append("Bij algemene maatregel van bestuur kunnen nadere regels worden gesteld omtrent de vorm")
    thisalinea.textcontent.append("en de inhoud van de verklaringen en het verslag, alsmede de wijze van overlegging. Toont de")
    thisalinea.textcontent.append("persoon aan dat hij in de twaalf maanden voorafgaande aan zijn benoeming de verklaringen")
    thisalinea.textcontent.append("en het verslag reeds aan de rechter heeft overgelegd, dan is hij van de overlegging")
    thisalinea.textcontent.append("vrijgesteld.")
    thisalinea.textcontent.append("Bij algemene maatregel van bestuur kunnen de in de vorige zin bedoelde ondernemingen en")
    thisalinea.textcontent.append("beroepsbeoefenaren geheel of gedeeltelijk worden vrijgesteld van de in het zevende lid")
    thisalinea.textcontent.append("bedoelde eisen inzake de werving, scholing en bedrijfsvoering")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechter die het bewind ..."
    thisalinea.nativeID = 1973
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechter die het bewind instelt, benoemt daarbij of zo spoedig mogelijk daarna een bewindvoerder. Hij vergewist zich van de bereidheid en vormt zich een oordeel over de geschiktheid van de te benoemen persoon. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechter die het bewind instelt, benoemt daarbij of zo spoedig mogelijk daarna een")
    thisalinea.textcontent.append("bewindvoerder. Hij vergewist zich van de bereidheid en vormt zich een oordeel over de")
    thisalinea.textcontent.append("geschiktheid van de te benoemen persoon.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zo nodig kan een tijdelijke ..."
    thisalinea.nativeID = 1974
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zo nodig kan een tijdelijke bewindvoerder worden benoemd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zo nodig kan een tijdelijke bewindvoerder worden benoemd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechter volgt bij de ..."
    thisalinea.nativeID = 1975
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechter volgt bij de benoeming van de bewindvoerder de uitdrukkelijke voorkeur van de rechthebbende, tenzij gegronde redenen zich tegen zodanige benoeming verzetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechter volgt bij de benoeming van de bewindvoerder de uitdrukkelijke voorkeur van")
    thisalinea.textcontent.append("de rechthebbende, tenzij gegronde redenen zich tegen zodanige benoeming verzetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Tenzij het vorige lid is ..."
    thisalinea.nativeID = 1976
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Tenzij het vorige lid is toegepast, wordt, indien de rechthebbende is gehuwd, een geregistreerd partnerschap is aangegaan of anderszins een levensgezel heeft, bij voorkeur de echtgenoot, de geregistreerde partner dan wel andere levensgezel tot bewindvoerder benoemd. Is de vorige zin niet van toepassing dan wordt bij voorkeur een van zijn ouders, kinderen, broers of zusters tot bewindvoerder benoemd. Huwt de rechthebbende, gaat hij een geregistreerd partnerschap aan of verkrijgt hij een andere "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Tenzij het vorige lid is toegepast, wordt, indien de rechthebbende is gehuwd, een")
    thisalinea.textcontent.append("geregistreerd partnerschap is aangegaan of anderszins een levensgezel heeft, bij")
    thisalinea.textcontent.append("voorkeur de echtgenoot, de geregistreerde partner dan wel andere levensgezel tot")
    thisalinea.textcontent.append("bewindvoerder benoemd. Is de vorige zin niet van toepassing dan wordt bij voorkeur een")
    thisalinea.textcontent.append("van zijn ouders, kinderen, broers of zusters tot bewindvoerder benoemd. Huwt de")
    thisalinea.textcontent.append("rechthebbende, gaat hij een geregistreerd partnerschap aan of verkrijgt hij een andere")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Rechtspersonen met volledige rechtsbevoegdheid kunnen ..."
    thisalinea.nativeID = 1977
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Rechtspersonen met volledige rechtsbevoegdheid kunnen tot bewindvoerder worden benoemd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Rechtspersonen met volledige rechtsbevoegdheid kunnen tot bewindvoerder worden")
    thisalinea.textcontent.append("benoemd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De volgende personen kunnen niet ..."
    thisalinea.nativeID = 1978
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De volgende personen kunnen niet tot bewindvoerder worden benoemd: a. handelingsonbekwamen; b. zij ten behoeve van wie een mentorschap is ingesteld; c. zij van wie één of meer goederen onder een bewind als bedoeld in titel 19 staan; d. zij die in staat van faillissement verkeren; e. zij ten aanzien van wie de schuldsaneringsregeling natuurlijke personen van toepassing is; f. de bewindvoerder van de rechthebbende in de zin artikel 287, derde lid, van de Faillissementswet; g. een direct betrokken of behandelend hulpverlener; h. personen behorende tot de leiding of tot het personeel van de instelling waar de rechthebbende wordt "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De volgende personen kunnen niet tot bewindvoerder worden benoemd:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. handelingsonbekwamen; "
    thisalinea.nativeID = 1979
    thisalinea.parentID = 1978
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. handelingsonbekwamen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. handelingsonbekwamen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. zij ten behoeve van wie ..."
    thisalinea.nativeID = 1980
    thisalinea.parentID = 1978
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. zij ten behoeve van wie een mentorschap is ingesteld; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. zij ten behoeve van wie een mentorschap is ingesteld;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. zij van wie één of ..."
    thisalinea.nativeID = 1981
    thisalinea.parentID = 1978
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. zij van wie één of meer goederen onder een bewind als bedoeld in titel 19 staan; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. zij van wie één of meer goederen onder een bewind als bedoeld in titel 19 staan;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. zij die in staat van ..."
    thisalinea.nativeID = 1982
    thisalinea.parentID = 1978
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. zij die in staat van faillissement verkeren; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. zij die in staat van faillissement verkeren;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. zij ten aanzien van wie ..."
    thisalinea.nativeID = 1983
    thisalinea.parentID = 1978
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. zij ten aanzien van wie de schuldsaneringsregeling natuurlijke personen van toepassing is; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. zij ten aanzien van wie de schuldsaneringsregeling natuurlijke personen van")
    thisalinea.textcontent.append("toepassing is;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "f. de bewindvoerder van de rechthebbende ..."
    thisalinea.nativeID = 1984
    thisalinea.parentID = 1978
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "f. de bewindvoerder van de rechthebbende in de zin artikel 287, derde lid, van de Faillissementswet; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("f. de bewindvoerder van de rechthebbende in de zin artikel 287, derde lid, van de")
    thisalinea.textcontent.append("Faillissementswet;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "g. een direct betrokken of behandelend ..."
    thisalinea.nativeID = 1985
    thisalinea.parentID = 1978
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "g. een direct betrokken of behandelend hulpverlener; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("g. een direct betrokken of behandelend hulpverlener;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "h. personen behorende tot de leiding ..."
    thisalinea.nativeID = 1986
    thisalinea.parentID = 1978
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "h. personen behorende tot de leiding of tot het personeel van de instelling waar de rechthebbende wordt verzorgd of die aan de rechthebbende begeleiding biedt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("h. personen behorende tot de leiding of tot het personeel van de instelling waar de")
    thisalinea.textcontent.append("rechthebbende wordt verzorgd of die aan de rechthebbende begeleiding biedt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "i. personen verbonden met de instelling ..."
    thisalinea.nativeID = 1987
    thisalinea.parentID = 1978
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "i. personen verbonden met de instelling waar de rechthebbende wordt verzorgd of die aan de rechthebbende begeleiding biedt, doordat: 1° de instelling of personen behorende tot de leiding van de instelling, alleen of samen meer dan de helft van de stemrechten in de algemene vergadering van de rechtspersoon kunnen uitoefenen, dan wel meer dan de helft van de bestuurders of van de commissarissen van de rechtspersoon kunnen benoemen of ontslaan, 2° de persoon en de instelling deel uitmaken van een groep in de zin van artikel 24b van boek 2, of 3° de bestuurder van de rechtspersoon tevens behoort tot "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("i. personen verbonden met de instelling waar de rechthebbende wordt verzorgd of die")
    thisalinea.textcontent.append("aan de rechthebbende begeleiding biedt, doordat:")
    thisalinea.textcontent.append("1° de instelling of personen behorende tot de leiding van de instelling, alleen of")
    thisalinea.textcontent.append("samen meer dan de helft van de stemrechten in de algemene vergadering van de")
    thisalinea.textcontent.append("rechtspersoon kunnen uitoefenen, dan wel meer dan de helft van de bestuurders")
    thisalinea.textcontent.append("of van de commissarissen van de rechtspersoon kunnen benoemen of ontslaan,")
    thisalinea.textcontent.append("2° de persoon en de instelling deel uitmaken van een groep in de zin van artikel 24b")
    thisalinea.textcontent.append("van boek 2, of")
    thisalinea.textcontent.append("3° de bestuurder van de rechtspersoon tevens behoort tot de leiding of het personeel")
    thisalinea.textcontent.append("van de instelling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Een andere persoon dan in ..."
    thisalinea.nativeID = 1988
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Een andere persoon dan in het vierde lid bedoeld, die ten behoeve van drie of meer personen bewindvoerder, curator of mentor is, komt alleen dan voor benoeming in aanmerking indien deze wat zijn bedrijfsvoering en scholing betreft, alsmede, voor zover van toepassing, de werving, de scholing en begeleiding van en het toezicht op de personen door wie hij de taken van een bewindvoerder uitoefent, voldoet aan bij algemene maatregel van bestuur te stellen kwaliteitseisen, alsmede aan de verplichtingen bedoeld in artikel 436, vierde lid, en artikel 15i van boek 3. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Een andere persoon dan in het vierde lid bedoeld, die ten behoeve van drie of meer")
    thisalinea.textcontent.append("personen bewindvoerder, curator of mentor is, komt alleen dan voor benoeming in")
    thisalinea.textcontent.append("aanmerking indien deze wat zijn bedrijfsvoering en scholing betreft, alsmede, voor zover")
    thisalinea.textcontent.append("van toepassing, de werving, de scholing en begeleiding van en het toezicht op de")
    thisalinea.textcontent.append("personen door wie hij de taken van een bewindvoerder uitoefent, voldoet aan bij")
    thisalinea.textcontent.append("algemene maatregel van bestuur te stellen kwaliteitseisen, alsmede aan de verplichtingen")
    thisalinea.textcontent.append("bedoeld in artikel 436, vierde lid, en artikel 15i van boek 3.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. De persoon, bedoeld in het ..."
    thisalinea.nativeID = 1989
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. De persoon, bedoeld in het zevende lid, legt aan de rechter die hem benoemt, over: a. zijn verklaring dat hij aan de in het zevende lid bedoelde kwaliteitseisen en verplichtingen voldoet, b. een verslag van een accountant als bedoeld in artikel 393, eerste lid, van boek 2, van diens bevindingen over de wijze waarop aan de eisen en verplichtingen wordt voldaan, en c. een verklaring van de accountant omtrent de balans en staat van baten en lasten, bedoeld in artikel 10 van boek 2, dan wel, voor zover van toepassing, omtrent de jaarrekening overeenkomstig titel 9 van boek 2. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. De persoon, bedoeld in het zevende lid, legt aan de rechter die hem benoemt, over:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. zijn verklaring dat hij aan ..."
    thisalinea.nativeID = 1990
    thisalinea.parentID = 1989
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. zijn verklaring dat hij aan de in het zevende lid bedoelde kwaliteitseisen en verplichtingen voldoet, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. zijn verklaring dat hij aan de in het zevende lid bedoelde kwaliteitseisen en")
    thisalinea.textcontent.append("verplichtingen voldoet,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. een verslag van een accountant ..."
    thisalinea.nativeID = 1991
    thisalinea.parentID = 1989
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een verslag van een accountant als bedoeld in artikel 393, eerste lid, van boek 2, van diens bevindingen over de wijze waarop aan de eisen en verplichtingen wordt voldaan, en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een verslag van een accountant als bedoeld in artikel 393, eerste lid, van boek 2, van")
    thisalinea.textcontent.append("diens bevindingen over de wijze waarop aan de eisen en verplichtingen wordt")
    thisalinea.textcontent.append("voldaan, en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. een verklaring van de accountant ..."
    thisalinea.nativeID = 1992
    thisalinea.parentID = 1989
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. een verklaring van de accountant omtrent de balans en staat van baten en lasten, bedoeld in artikel 10 van boek 2, dan wel, voor zover van toepassing, omtrent de jaarrekening overeenkomstig titel 9 van boek 2. Artikel 396, zevende lid, van boek 2 is ten aanzien van artikel 393 lid 1 niet van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. een verklaring van de accountant omtrent de balans en staat van baten en lasten,")
    thisalinea.textcontent.append("bedoeld in artikel 10 van boek 2, dan wel, voor zover van toepassing, omtrent de")
    thisalinea.textcontent.append("jaarrekening overeenkomstig titel 9 van boek 2. Artikel 396, zevende lid, van boek 2 is")
    thisalinea.textcontent.append("ten aanzien van artikel 393 lid 1 niet van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "9. Van de overlegging van de ..."
    thisalinea.nativeID = 1993
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "9. Van de overlegging van de in het achtste lid bedoelde verklaring van de accountant zijn vrijgesteld: a. zij die een financiële onderneming zijn die ingevolge de Wet op het financieel toezicht het bedrijf van bank mogen uitoefenen, b. notarissen, c. gerechtsdeurwaarders, d. accountants. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("9. Van de overlegging van de in het achtste lid bedoelde verklaring van de accountant zijn")
    thisalinea.textcontent.append("vrijgesteld:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. zij die een financiële onderneming ..."
    thisalinea.nativeID = 1994
    thisalinea.parentID = 1993
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. zij die een financiële onderneming zijn die ingevolge de Wet op het financieel toezicht het bedrijf van bank mogen uitoefenen, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. zij die een financiële onderneming zijn die ingevolge de Wet op het financieel toezicht")
    thisalinea.textcontent.append("het bedrijf van bank mogen uitoefenen,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. notarissen, "
    thisalinea.nativeID = 1995
    thisalinea.parentID = 1993
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. notarissen, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. notarissen,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. gerechtsdeurwaarders, "
    thisalinea.nativeID = 1996
    thisalinea.parentID = 1993
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. gerechtsdeurwaarders, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. gerechtsdeurwaarders,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. accountants. "
    thisalinea.nativeID = 1997
    thisalinea.parentID = 1993
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. accountants. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. accountants.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "10. De benoemde wordt bewindvoerder daags ..."
    thisalinea.nativeID = 1998
    thisalinea.parentID = 1972
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "10. De benoemde wordt bewindvoerder daags nadat de beschikking is verstrekt of verzonden, tenzij de beschikking een later tijdstip vermeldt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("10. De benoemde wordt bewindvoerder daags nadat de beschikking is verstrekt of")
    thisalinea.textcontent.append("verzonden, tenzij de beschikking een later tijdstip vermeldt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 436"
    thisalinea.nativeID = 1999
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 680
    thisalinea.summary = "1. De bewindvoerder is verplicht zo spoedig mogelijk een beschrijving van de aan het bewind onderworpen goederen op te maken en een afschrift daarvan in te leveren ter griffie van de ingevolge artikel 266 van het Wetboek van Burgerlijke Rechtsvordering bevoegde rechtbank. 2. De artikelen 339, 363 en 364 van dit boek zijn van overeenkomstige toepassing. 3. Indien tot het bewind registergoederen behoren, is de bewindvoerder verplicht zo spoedig mogelijk de desbetreffende rechterlijke beschikkingen en zijn benoeming in de openbare registers, bedoeld in afdeling 2 van titel 1 van Boek 3, te doen inschrijven. Is een onderneming of een aandeel "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De bewindvoerder is verplicht zo ..."
    thisalinea.nativeID = 2000
    thisalinea.parentID = 1999
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De bewindvoerder is verplicht zo spoedig mogelijk een beschrijving van de aan het bewind onderworpen goederen op te maken en een afschrift daarvan in te leveren ter griffie van de ingevolge artikel 266 van het Wetboek van Burgerlijke Rechtsvordering bevoegde rechtbank. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De bewindvoerder is verplicht zo spoedig mogelijk een beschrijving van de aan het")
    thisalinea.textcontent.append("bewind onderworpen goederen op te maken en een afschrift daarvan in te leveren ter")
    thisalinea.textcontent.append("griffie van de ingevolge artikel 266 van het Wetboek van Burgerlijke Rechtsvordering")
    thisalinea.textcontent.append("bevoegde rechtbank.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De artikelen 339, 363 en ..."
    thisalinea.nativeID = 2001
    thisalinea.parentID = 1999
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De artikelen 339, 363 en 364 van dit boek zijn van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De artikelen 339, 363 en 364 van dit boek zijn van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien tot het bewind registergoederen ..."
    thisalinea.nativeID = 2002
    thisalinea.parentID = 1999
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien tot het bewind registergoederen behoren, is de bewindvoerder verplicht zo spoedig mogelijk de desbetreffende rechterlijke beschikkingen en zijn benoeming in de openbare registers, bedoeld in afdeling 2 van titel 1 van Boek 3, te doen inschrijven. Is een onderneming of een aandeel in een vennootschap onder firma onder bewind gesteld, dan is de bewindvoerder verplicht de desbetreffende rechterlijke beschikkingen en zijn benoeming in het handelsregister te doen inschrijven. De kantonrechter kan, hetzij op verzoek van degene die gerechtigd is onderbewindstelling te verzoeken als bedoeld in artikel 432, eerste en tweede lid, of van de bewindvoerder, hetzij ambtshalve bepalen "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien tot het bewind registergoederen behoren, is de bewindvoerder verplicht zo spoedig")
    thisalinea.textcontent.append("mogelijk de desbetreffende rechterlijke beschikkingen en zijn benoeming in de openbare")
    thisalinea.textcontent.append("registers, bedoeld in afdeling 2 van titel 1 van Boek 3, te doen inschrijven. Is een")
    thisalinea.textcontent.append("onderneming of een aandeel in een vennootschap onder firma onder bewind gesteld, dan")
    thisalinea.textcontent.append("is de bewindvoerder verplicht de desbetreffende rechterlijke beschikkingen en zijn")
    thisalinea.textcontent.append("benoeming in het handelsregister te doen inschrijven. De kantonrechter kan, hetzij op")
    thisalinea.textcontent.append("verzoek van degene die gerechtigd is onderbewindstelling te verzoeken als bedoeld in")
    thisalinea.textcontent.append("artikel 432, eerste en tweede lid, of van de bewindvoerder, hetzij ambtshalve bepalen dat")
    thisalinea.textcontent.append("een beschikking tot onderbewindstelling wegens een lichamelijke of geestelijke toestand,")
    thisalinea.textcontent.append("voor zover het bewind alle goederen betreft, die de rechthebbende toebehoren of zullen")
    thisalinea.textcontent.append("toebehoren, en een beschikking houdende benoeming, schorsing of ontslag van de")
    thisalinea.textcontent.append("bewindvoerder vanwege de griffier in het register, bedoeld in artikel 391, worden")
    thisalinea.textcontent.append("ingeschreven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Tenzij de kantonrechter anders bepaalt, ..."
    thisalinea.nativeID = 2003
    thisalinea.parentID = 1999
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Tenzij de kantonrechter anders bepaalt, is de bewindvoerder verplicht zo spoedig mogelijk een rekening te openen bij een financiële onderneming die ingevolge de Wet op het financieel toezicht in Nederland het bedrijf van bank mag uitoefenen; de bewindvoerder is voorts verplicht om uitsluitend voor de betalingen die hij bij de vervulling van zijn taak verricht of ontvangt zoveel mogelijk van deze rekening gebruik te maken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Tenzij de kantonrechter anders bepaalt, is de bewindvoerder verplicht zo spoedig mogelijk")
    thisalinea.textcontent.append("een rekening te openen bij een financiële onderneming die ingevolge de Wet op het")
    thisalinea.textcontent.append("financieel toezicht in Nederland het bedrijf van bank mag uitoefenen; de bewindvoerder is")
    thisalinea.textcontent.append("voorts verplicht om uitsluitend voor de betalingen die hij bij de vervulling van zijn taak")
    thisalinea.textcontent.append("verricht of ontvangt zoveel mogelijk van deze rekening gebruik te maken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De kantonrechter kan te allen ..."
    thisalinea.nativeID = 2004
    thisalinea.parentID = 1999
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De kantonrechter kan te allen tijde de bewindvoerder ten verhore doen oproepen. Deze is verplicht alle door de kantonrechter gewenste inlichtingen te verstrekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De kantonrechter kan te allen tijde de bewindvoerder ten verhore doen oproepen. Deze is")
    thisalinea.textcontent.append("verplicht alle door de kantonrechter gewenste inlichtingen te verstrekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De kantonrechter kan van de ..."
    thisalinea.nativeID = 2005
    thisalinea.parentID = 1999
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De kantonrechter kan van de bewindvoerder verlangen dat hij inzage geeft van zijn boeken, bescheiden en andere gegevensdragers. Hij kan voorts een afschrift daarvan verlangen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De kantonrechter kan van de bewindvoerder verlangen dat hij inzage geeft van zijn")
    thisalinea.textcontent.append("boeken, bescheiden en andere gegevensdragers. Hij kan voorts een afschrift daarvan")
    thisalinea.textcontent.append("verlangen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 437"
    thisalinea.nativeID = 2006
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 681
    thisalinea.summary = "1. De rechter kan twee bewindvoerders benoemen, tenzij gegronde redenen zich tegen zodanige benoeming verzetten. 2. Zijn er twee bewindvoerders, dan kan, tenzij de rechter anders bepaalt, ieder van hen alle werkzaamheden die tot het bewind behoren, alleen verrichten. 3. Bij verschil van mening tussen de bewindvoerders beslist op verzoek van één van hen of van een instelling als bedoeld in artikel 432, tweede lid, de kantonrechter. Deze kan ook een verdeling van het loon vaststellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechter kan twee bewindvoerders ..."
    thisalinea.nativeID = 2007
    thisalinea.parentID = 2006
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechter kan twee bewindvoerders benoemen, tenzij gegronde redenen zich tegen zodanige benoeming verzetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechter kan twee bewindvoerders benoemen, tenzij gegronde redenen zich tegen")
    thisalinea.textcontent.append("zodanige benoeming verzetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zijn er twee bewindvoerders, dan ..."
    thisalinea.nativeID = 2008
    thisalinea.parentID = 2006
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zijn er twee bewindvoerders, dan kan, tenzij de rechter anders bepaalt, ieder van hen alle werkzaamheden die tot het bewind behoren, alleen verrichten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zijn er twee bewindvoerders, dan kan, tenzij de rechter anders bepaalt, ieder van hen alle")
    thisalinea.textcontent.append("werkzaamheden die tot het bewind behoren, alleen verrichten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Bij verschil van mening tussen ..."
    thisalinea.nativeID = 2009
    thisalinea.parentID = 2006
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Bij verschil van mening tussen de bewindvoerders beslist op verzoek van één van hen of van een instelling als bedoeld in artikel 432, tweede lid, de kantonrechter. Deze kan ook een verdeling van het loon vaststellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Bij verschil van mening tussen de bewindvoerders beslist op verzoek van één van hen of")
    thisalinea.textcontent.append("van een instelling als bedoeld in artikel 432, tweede lid, de kantonrechter. Deze kan ook")
    thisalinea.textcontent.append("een verdeling van het loon vaststellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 438"
    thisalinea.nativeID = 2010
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 682
    thisalinea.summary = "1. Tijdens het bewind komt het beheer over de onder bewind staande goederen niet toe aan de rechthebbende maar aan de bewindvoerder. 2. Tijdens het bewind kan de rechthebbende slechts met medewerking van de bewindvoerder of, indien deze weigerachtig is, met machtiging van de kantonrechter over de onder het bewind staande goederen beschikken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Tijdens het bewind komt het ..."
    thisalinea.nativeID = 2011
    thisalinea.parentID = 2010
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Tijdens het bewind komt het beheer over de onder bewind staande goederen niet toe aan de rechthebbende maar aan de bewindvoerder. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Tijdens het bewind komt het beheer over de onder bewind staande goederen niet toe aan")
    thisalinea.textcontent.append("de rechthebbende maar aan de bewindvoerder.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Tijdens het bewind kan de ..."
    thisalinea.nativeID = 2012
    thisalinea.parentID = 2010
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Tijdens het bewind kan de rechthebbende slechts met medewerking van de bewindvoerder of, indien deze weigerachtig is, met machtiging van de kantonrechter over de onder het bewind staande goederen beschikken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Tijdens het bewind kan de rechthebbende slechts met medewerking van de")
    thisalinea.textcontent.append("bewindvoerder of, indien deze weigerachtig is, met machtiging van de kantonrechter over")
    thisalinea.textcontent.append("de onder het bewind staande goederen beschikken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 439"
    thisalinea.nativeID = 2013
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 683
    thisalinea.summary = "1. Indien een rechtshandeling ongeldig is, omdat zij ondanks het bewind werd verricht door of gericht tot de rechthebbende, kan deze ongeldigheid aan de wederpartij slechts worden tegengeworpen, zo deze het bewind kende of had behoren te kennen. 2. Indien een goed is vervreemd of bezwaard door iemand die daartoe ingevolge het bewind niet bevoegd was, kan deze onbevoegdheid aan een verkrijger van het goed of een beperkt recht daarop slechts worden tegengeworpen, zo deze het bewind kende of had behoren te kennen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een rechtshandeling ongeldig is, ..."
    thisalinea.nativeID = 2014
    thisalinea.parentID = 2013
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een rechtshandeling ongeldig is, omdat zij ondanks het bewind werd verricht door of gericht tot de rechthebbende, kan deze ongeldigheid aan de wederpartij slechts worden tegengeworpen, zo deze het bewind kende of had behoren te kennen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een rechtshandeling ongeldig is, omdat zij ondanks het bewind werd verricht door")
    thisalinea.textcontent.append("of gericht tot de rechthebbende, kan deze ongeldigheid aan de wederpartij slechts worden")
    thisalinea.textcontent.append("tegengeworpen, zo deze het bewind kende of had behoren te kennen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien een goed is vervreemd ..."
    thisalinea.nativeID = 2015
    thisalinea.parentID = 2013
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien een goed is vervreemd of bezwaard door iemand die daartoe ingevolge het bewind niet bevoegd was, kan deze onbevoegdheid aan een verkrijger van het goed of een beperkt recht daarop slechts worden tegengeworpen, zo deze het bewind kende of had behoren te kennen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien een goed is vervreemd of bezwaard door iemand die daartoe ingevolge het bewind")
    thisalinea.textcontent.append("niet bevoegd was, kan deze onbevoegdheid aan een verkrijger van het goed of een")
    thisalinea.textcontent.append("beperkt recht daarop slechts worden tegengeworpen, zo deze het bewind kende of had")
    thisalinea.textcontent.append("behoren te kennen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 440"
    thisalinea.nativeID = 2016
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 684
    thisalinea.summary = "1. Schulden die voortspruiten uit een handeling, tijdens het bewind met of jegens de rechthebbende, anders dan in overeenstemming met artikel 438, tweede lid, verricht door een schuldeiser die het bewind kende of had behoren te kennen, kunnen niet op de onder het bewind staande goederen worden verhaald. Het einde van het bewind brengt hierin geen wijziging. 2. Indien het bewind alle goederen betreft die daarvoor krachtens artikel 431, eerste lid, in aanmerking komen, is het eerste lid van overeenkomstige toepassing ten aanzien van ten tijde van de handeling niet onder het bewind staande goederen waarop verhaal mogelijk zou zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Schulden die voortspruiten uit een ..."
    thisalinea.nativeID = 2017
    thisalinea.parentID = 2016
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Schulden die voortspruiten uit een handeling, tijdens het bewind met of jegens de rechthebbende, anders dan in overeenstemming met artikel 438, tweede lid, verricht door een schuldeiser die het bewind kende of had behoren te kennen, kunnen niet op de onder het bewind staande goederen worden verhaald. Het einde van het bewind brengt hierin geen wijziging. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Schulden die voortspruiten uit een handeling, tijdens het bewind met of jegens de")
    thisalinea.textcontent.append("rechthebbende, anders dan in overeenstemming met artikel 438, tweede lid, verricht door")
    thisalinea.textcontent.append("een schuldeiser die het bewind kende of had behoren te kennen, kunnen niet op de onder")
    thisalinea.textcontent.append("het bewind staande goederen worden verhaald. Het einde van het bewind brengt hierin")
    thisalinea.textcontent.append("geen wijziging.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien het bewind alle goederen ..."
    thisalinea.nativeID = 2018
    thisalinea.parentID = 2016
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien het bewind alle goederen betreft die daarvoor krachtens artikel 431, eerste lid, in aanmerking komen, is het eerste lid van overeenkomstige toepassing ten aanzien van ten tijde van de handeling niet onder het bewind staande goederen waarop verhaal mogelijk zou zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien het bewind alle goederen betreft die daarvoor krachtens artikel 431, eerste lid, in")
    thisalinea.textcontent.append("aanmerking komen, is het eerste lid van overeenkomstige toepassing ten aanzien van ten")
    thisalinea.textcontent.append("tijde van de handeling niet onder het bewind staande goederen waarop verhaal mogelijk")
    thisalinea.textcontent.append("zou zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 441"
    thisalinea.nativeID = 2019
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 685
    thisalinea.summary = "1. Tijdens het bewind vertegenwoordigt de bewindvoerder bij de vervulling van zijn taak de rechthebbende in en buiten rechte. De bewindvoerder draagt zorg voor een doelmatige belegging van het vermogen van de rechthebbende, voor zover dit onder het bewind staat en niet besteed behoort te worden voor een voldoende verzorging van de rechthebbende. De bewindvoerder kan voorts voor de rechthebbende alle handelingen verrichten die aan een goed bewind bijdragen. 2. Hij behoeft echter toestemming van de rechthebbende of, indien deze daartoe niet in staat of weigerachtig is, machtiging van de kantonrechter voor de volgende handelingen: a. beschikken en aangaan van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Tijdens het bewind vertegenwoordigt de ..."
    thisalinea.nativeID = 2020
    thisalinea.parentID = 2019
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Tijdens het bewind vertegenwoordigt de bewindvoerder bij de vervulling van zijn taak de rechthebbende in en buiten rechte. De bewindvoerder draagt zorg voor een doelmatige belegging van het vermogen van de rechthebbende, voor zover dit onder het bewind staat en niet besteed behoort te worden voor een voldoende verzorging van de rechthebbende. De bewindvoerder kan voorts voor de rechthebbende alle handelingen verrichten die aan een goed bewind bijdragen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Tijdens het bewind vertegenwoordigt de bewindvoerder bij de vervulling van zijn taak de")
    thisalinea.textcontent.append("rechthebbende in en buiten rechte. De bewindvoerder draagt zorg voor een doelmatige")
    thisalinea.textcontent.append("belegging van het vermogen van de rechthebbende, voor zover dit onder het bewind staat")
    thisalinea.textcontent.append("en niet besteed behoort te worden voor een voldoende verzorging van de rechthebbende.")
    thisalinea.textcontent.append("De bewindvoerder kan voorts voor de rechthebbende alle handelingen verrichten die aan")
    thisalinea.textcontent.append("een goed bewind bijdragen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Hij behoeft echter toestemming van ..."
    thisalinea.nativeID = 2021
    thisalinea.parentID = 2019
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Hij behoeft echter toestemming van de rechthebbende of, indien deze daartoe niet in staat of weigerachtig is, machtiging van de kantonrechter voor de volgende handelingen: a. beschikken en aangaan van overeenkomsten tot beschikking over een onder het bewind staand goed, tenzij de handeling als een gewone beheersdaad kan worden beschouwd of krachtens rechterlijk bevel geschiedt; b. een making of gift waaraan lasten of voorwaarden zijn verbonden, aannemen; c. geld lenen of de rechthebbende als borg of hoofdelijke medeschuldenaar verbinden; d. overeenkomen dat een boedel, waartoe de rechthebbende gerechtigd is, voor een bepaalde tijd onverdeeld wordt gelaten; e. het aangaan, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Hij behoeft echter toestemming van de rechthebbende of, indien deze daartoe niet in staat")
    thisalinea.textcontent.append("of weigerachtig is, machtiging van de kantonrechter voor de volgende handelingen:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. beschikken en aangaan van overeenkomsten ..."
    thisalinea.nativeID = 2022
    thisalinea.parentID = 2021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. beschikken en aangaan van overeenkomsten tot beschikking over een onder het bewind staand goed, tenzij de handeling als een gewone beheersdaad kan worden beschouwd of krachtens rechterlijk bevel geschiedt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. beschikken en aangaan van overeenkomsten tot beschikking over een onder het")
    thisalinea.textcontent.append("bewind staand goed, tenzij de handeling als een gewone beheersdaad kan worden")
    thisalinea.textcontent.append("beschouwd of krachtens rechterlijk bevel geschiedt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. een making of gift waaraan ..."
    thisalinea.nativeID = 2023
    thisalinea.parentID = 2021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een making of gift waaraan lasten of voorwaarden zijn verbonden, aannemen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een making of gift waaraan lasten of voorwaarden zijn verbonden, aannemen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. geld lenen of de rechthebbende ..."
    thisalinea.nativeID = 2024
    thisalinea.parentID = 2021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. geld lenen of de rechthebbende als borg of hoofdelijke medeschuldenaar verbinden; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. geld lenen of de rechthebbende als borg of hoofdelijke medeschuldenaar verbinden;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. overeenkomen dat een boedel, waartoe ..."
    thisalinea.nativeID = 2025
    thisalinea.parentID = 2021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. overeenkomen dat een boedel, waartoe de rechthebbende gerechtigd is, voor een bepaalde tijd onverdeeld wordt gelaten; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. overeenkomen dat een boedel, waartoe de rechthebbende gerechtigd is, voor een")
    thisalinea.textcontent.append("bepaalde tijd onverdeeld wordt gelaten;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. het aangaan, buiten het geval ..."
    thisalinea.nativeID = 2026
    thisalinea.parentID = 2021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. het aangaan, buiten het geval van artikel 87 van het Wetboek van Burgerlijke Rechtsvordering, van een overeenkomst tot het beëindigen van een geschil, tenzij het voorwerp van het geschil een waarde van € 700 niet te boven gaat; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. het aangaan, buiten het geval van artikel 87 van het Wetboek van Burgerlijke")
    thisalinea.textcontent.append("Rechtsvordering, van een overeenkomst tot het beëindigen van een geschil, tenzij het")
    thisalinea.textcontent.append("voorwerp van het geschil een waarde van € 700 niet te boven gaat;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "f. andere bij de instelling van ..."
    thisalinea.nativeID = 2027
    thisalinea.parentID = 2021
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "f. andere bij de instelling van het bewind of nadien aangewezen handelingen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("f. andere bij de instelling van het bewind of nadien aangewezen handelingen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De kantonrechter kan ook aan ..."
    thisalinea.nativeID = 2028
    thisalinea.parentID = 2019
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De kantonrechter kan ook aan de bewindvoerder een doorlopende machtiging met zodanige voorwaarden als hij geraden acht, verlenen om handelingen als in het vorige lid bedoeld te verrichten en een verleende machtiging te allen tijde wijzigen of intrekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De kantonrechter kan ook aan de bewindvoerder een doorlopende machtiging met")
    thisalinea.textcontent.append("zodanige voorwaarden als hij geraden acht, verlenen om handelingen als in het vorige lid")
    thisalinea.textcontent.append("bedoeld te verrichten en een verleende machtiging te allen tijde wijzigen of intrekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De bewindvoerder is, met uitsluiting ..."
    thisalinea.nativeID = 2029
    thisalinea.parentID = 2019
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De bewindvoerder is, met uitsluiting van de rechthebbende, bevoegd de verdeling te vorderen van goederen, waarvan een onverdeeld aandeel tot zijn bewind behoort. Tot een verdeling, ook al geschiedt zij krachtens rechterlijk bevel, behoeft de bewindvoerder toestemming of machtiging overeenkomstig het tweede lid. De kantonrechter kan, in plaats van machtiging te verlenen, met overeenkomstige toepassing van artikel 181 van Boek 3 een onzijdig persoon benoemen, die in plaats van de bewindvoerder de rechthebbende bij de verdeling vertegenwoordigt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De bewindvoerder is, met uitsluiting van de rechthebbende, bevoegd de verdeling te")
    thisalinea.textcontent.append("vorderen van goederen, waarvan een onverdeeld aandeel tot zijn bewind behoort. Tot een")
    thisalinea.textcontent.append("verdeling, ook al geschiedt zij krachtens rechterlijk bevel, behoeft de bewindvoerder")
    thisalinea.textcontent.append("toestemming of machtiging overeenkomstig het tweede lid. De kantonrechter kan, in")
    thisalinea.textcontent.append("plaats van machtiging te verlenen, met overeenkomstige toepassing van artikel 181 van")
    thisalinea.textcontent.append("Boek 3 een onzijdig persoon benoemen, die in plaats van de bewindvoerder de")
    thisalinea.textcontent.append("rechthebbende bij de verdeling vertegenwoordigt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. De bewindvoerder is, met uitsluiting ..."
    thisalinea.nativeID = 2030
    thisalinea.parentID = 2019
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. De bewindvoerder is, met uitsluiting van de rechthebbende, bevoegd een aan de rechthebbende opgekomen nalatenschap te aanvaarden. Tenzij de aanvaarding geschiedt met toestemming van de rechthebbende, kan de bewindvoerder niet anders aanvaarden dan onder het voorrecht van boedelbeschrijving. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. De bewindvoerder is, met uitsluiting van de rechthebbende, bevoegd een aan de")
    thisalinea.textcontent.append("rechthebbende opgekomen nalatenschap te aanvaarden. Tenzij de aanvaarding geschiedt")
    thisalinea.textcontent.append("met toestemming van de rechthebbende, kan de bewindvoerder niet anders aanvaarden")
    thisalinea.textcontent.append("dan onder het voorrecht van boedelbeschrijving.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 442"
    thisalinea.nativeID = 2031
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 686
    thisalinea.summary = "1. Heeft iemand als bewindvoerder een rechtshandeling verricht, dan richten de rechten en verplichtingen van de wederpartij zich naar hetgeen dienaangaande is bepaald in titel 3 van Boek 3. Regels die de bevoegdheid van een bewindvoerder betreffen en feiten die voor een oordeel omtrent zijn bevoegdheid van belang zijn, kunnen niet aan de wederpartij worden tegengeworpen, indien deze daarmee niet bekend was of had behoren te zijn. 2. De rechthebbende is, onverminderd het bepaalde in artikel 172 van Boek 6, aansprakelijk voor alle schulden die voortspruiten uit rechtshandelingen die de bewindvoerder in zijn hoedanigheid in naam van de rechthebbende verricht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Heeft iemand als bewindvoerder een ..."
    thisalinea.nativeID = 2032
    thisalinea.parentID = 2031
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Heeft iemand als bewindvoerder een rechtshandeling verricht, dan richten de rechten en verplichtingen van de wederpartij zich naar hetgeen dienaangaande is bepaald in titel 3 van Boek 3. Regels die de bevoegdheid van een bewindvoerder betreffen en feiten die voor een oordeel omtrent zijn bevoegdheid van belang zijn, kunnen niet aan de wederpartij worden tegengeworpen, indien deze daarmee niet bekend was of had behoren te zijn. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Heeft iemand als bewindvoerder een rechtshandeling verricht, dan richten de rechten en")
    thisalinea.textcontent.append("verplichtingen van de wederpartij zich naar hetgeen dienaangaande is bepaald in titel 3")
    thisalinea.textcontent.append("van Boek 3. Regels die de bevoegdheid van een bewindvoerder betreffen en feiten die")
    thisalinea.textcontent.append("voor een oordeel omtrent zijn bevoegdheid van belang zijn, kunnen niet aan de")
    thisalinea.textcontent.append("wederpartij worden tegengeworpen, indien deze daarmee niet bekend was of had")
    thisalinea.textcontent.append("behoren te zijn.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De rechthebbende is, onverminderd het ..."
    thisalinea.nativeID = 2033
    thisalinea.parentID = 2031
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De rechthebbende is, onverminderd het bepaalde in artikel 172 van Boek 6, aansprakelijk voor alle schulden die voortspruiten uit rechtshandelingen die de bewindvoerder in zijn hoedanigheid in naam van de rechthebbende verricht. Wanneer hij onder bewind staande goederen aanwijst die voor de schuld voldoende verhaal bieden, is hij niet verplicht de schuld ten laste van zijn overige vermogen te voldoen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De rechthebbende is, onverminderd het bepaalde in artikel 172 van Boek 6, aansprakelijk")
    thisalinea.textcontent.append("voor alle schulden die voortspruiten uit rechtshandelingen die de bewindvoerder in zijn")
    thisalinea.textcontent.append("hoedanigheid in naam van de rechthebbende verricht. Wanneer hij onder bewind staande")
    thisalinea.textcontent.append("goederen aanwijst die voor de schuld voldoende verhaal bieden, is hij niet verplicht de")
    thisalinea.textcontent.append("schuld ten laste van zijn overige vermogen te voldoen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 443"
    thisalinea.nativeID = 2034
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 687
    thisalinea.summary = "De bewindvoerder kan alvorens in rechte op te treden zich te zijner verantwoording doen machtigen door de rechthebbende of, indien deze daartoe niet in staat of weigerachtig is, door de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De bewindvoerder kan alvorens in rechte op te treden zich te zijner verantwoording doen")
    thisalinea.textcontent.append("machtigen door de rechthebbende of, indien deze daartoe niet in staat of weigerachtig is,")
    thisalinea.textcontent.append("door de kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 444"
    thisalinea.nativeID = 2035
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 688
    thisalinea.summary = "Een bewindvoerder is jegens de rechthebbende aansprakelijk, indien hij in de zorg van een goed bewindvoerder te kort schiet, tenzij de tekortkoming hem niet kan worden toegerekend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Een bewindvoerder is jegens de rechthebbende aansprakelijk, indien hij in de zorg van een")
    thisalinea.textcontent.append("goed bewindvoerder te kort schiet, tenzij de tekortkoming hem niet kan worden toegerekend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 445"
    thisalinea.nativeID = 2036
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 689
    thisalinea.summary = "1. De bewindvoerder legt, tenzij andere tijdstippen zijn bepaald, jaarlijks en aan het einde van het bewind rekening en verantwoording af aan de rechthebbende, alsmede aan het einde van zijn taak aan zijn opvolger. De rekening en verantwoording wordt afgelegd ten overstaan van de kantonrechter. Onze Minister van Veiligheid en Justitie kan een model vaststellen volgens hetwelk de rekening en verantwoording moet worden opgemaakt. 2. Indien de rechthebbende niet in staat is de rekening op te nemen, of het onzeker is wie de rechthebbende is, wordt de rekening en verantwoording afgelegd aan de kantonrechter. Goedkeuring van deze rekening en verantwoording "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De bewindvoerder legt, tenzij andere ..."
    thisalinea.nativeID = 2037
    thisalinea.parentID = 2036
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De bewindvoerder legt, tenzij andere tijdstippen zijn bepaald, jaarlijks en aan het einde van het bewind rekening en verantwoording af aan de rechthebbende, alsmede aan het einde van zijn taak aan zijn opvolger. De rekening en verantwoording wordt afgelegd ten overstaan van de kantonrechter. Onze Minister van Veiligheid en Justitie kan een model vaststellen volgens hetwelk de rekening en verantwoording moet worden opgemaakt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De bewindvoerder legt, tenzij andere tijdstippen zijn bepaald, jaarlijks en aan het einde")
    thisalinea.textcontent.append("van het bewind rekening en verantwoording af aan de rechthebbende, alsmede aan het")
    thisalinea.textcontent.append("einde van zijn taak aan zijn opvolger. De rekening en verantwoording wordt afgelegd ten")
    thisalinea.textcontent.append("overstaan van de kantonrechter. Onze Minister van Veiligheid en Justitie kan een model")
    thisalinea.textcontent.append("vaststellen volgens hetwelk de rekening en verantwoording moet worden opgemaakt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de rechthebbende niet in ..."
    thisalinea.nativeID = 2038
    thisalinea.parentID = 2036
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de rechthebbende niet in staat is de rekening op te nemen, of het onzeker is wie de rechthebbende is, wordt de rekening en verantwoording afgelegd aan de kantonrechter. Goedkeuring van deze rekening en verantwoording door de kantonrechter belet niet dat de rechthebbende na het einde van het bewind nogmaals over dezelfde tijdsruimte rekening en verantwoording vraagt, voor zover dit niet onredelijk is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de rechthebbende niet in staat is de rekening op te nemen, of het onzeker is wie de")
    thisalinea.textcontent.append("rechthebbende is, wordt de rekening en verantwoording afgelegd aan de kantonrechter.")
    thisalinea.textcontent.append("Goedkeuring van deze rekening en verantwoording door de kantonrechter belet niet dat")
    thisalinea.textcontent.append("de rechthebbende na het einde van het bewind nogmaals over dezelfde tijdsruimte")
    thisalinea.textcontent.append("rekening en verantwoording vraagt, voor zover dit niet onredelijk is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De kantonrechter kan de bewindvoerder ..."
    thisalinea.nativeID = 2039
    thisalinea.parentID = 2036
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De kantonrechter kan de bewindvoerder - hetzij op diens verzoek, hetzij ambtshalve - vrijstellen van de verplichting om de periodieke rekening en verantwoording te zijnen overstaan af te leggen; hij kan ook bepalen dat deze wijze van aflegging der rekening en verantwoording slechts om een door hem te bepalen aantal jaren zal geschieden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De kantonrechter kan de bewindvoerder - hetzij op diens verzoek, hetzij ambtshalve -")
    thisalinea.textcontent.append("vrijstellen van de verplichting om de periodieke rekening en verantwoording te zijnen")
    thisalinea.textcontent.append("overstaan af te leggen; hij kan ook bepalen dat deze wijze van aflegging der rekening en")
    thisalinea.textcontent.append("verantwoording slechts om een door hem te bepalen aantal jaren zal geschieden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De bewindvoerder, bedoeld in artikel ..."
    thisalinea.nativeID = 2040
    thisalinea.parentID = 2036
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De bewindvoerder, bedoeld in artikel 435, zevende lid, legt jaarlijks de verklaringen en het verslag over, bedoeld in artikel 435, achtste lid. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De bewindvoerder, bedoeld in artikel 435, zevende lid, legt jaarlijks de verklaringen en het")
    thisalinea.textcontent.append("verslag over, bedoeld in artikel 435, achtste lid.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Voor het overige vindt het ..."
    thisalinea.nativeID = 2041
    thisalinea.parentID = 2036
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Voor het overige vindt het aangaande de voogdijrekening in de paragrafen 10 en 11 van afdeling 6 van titel 14 bepaalde overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Voor het overige vindt het aangaande de voogdijrekening in de paragrafen 10 en 11 van")
    thisalinea.textcontent.append("afdeling 6 van titel 14 bepaalde overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 446"
    thisalinea.nativeID = 2042
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 690
    thisalinea.summary = "1. Voor zover de kantonrechter niet anders bepaalt, wordt bij het afleggen van de periodieke rekening en verantwoording hetgeen de goederen netto aan vruchten hebben opgebracht, onder aftrek van de verschuldigde beloning, aan de rechthebbende uitgekeerd. Op verzoek van de rechthebbende kan de kantonrechter andere tijdstippen voor de uitkering vaststellen. 2. Bij zijn eindrekening en verantwoording draagt de bewindvoerder alle goederen af aan hem die na hem tot het beheer der goederen bevoegd is. De bewindvoerder is bevoegd de afdracht op te schorten tot de voldoening van een hem toekomend saldo. 3. Wordt de rekening en verantwoording aan de kantonrechter "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Voor zover de kantonrechter niet ..."
    thisalinea.nativeID = 2043
    thisalinea.parentID = 2042
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Voor zover de kantonrechter niet anders bepaalt, wordt bij het afleggen van de periodieke rekening en verantwoording hetgeen de goederen netto aan vruchten hebben opgebracht, onder aftrek van de verschuldigde beloning, aan de rechthebbende uitgekeerd. Op verzoek van de rechthebbende kan de kantonrechter andere tijdstippen voor de uitkering vaststellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Voor zover de kantonrechter niet anders bepaalt, wordt bij het afleggen van de periodieke")
    thisalinea.textcontent.append("rekening en verantwoording hetgeen de goederen netto aan vruchten hebben opgebracht,")
    thisalinea.textcontent.append("onder aftrek van de verschuldigde beloning, aan de rechthebbende uitgekeerd. Op")
    thisalinea.textcontent.append("verzoek van de rechthebbende kan de kantonrechter andere tijdstippen voor de uitkering")
    thisalinea.textcontent.append("vaststellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Bij zijn eindrekening en verantwoording ..."
    thisalinea.nativeID = 2044
    thisalinea.parentID = 2042
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Bij zijn eindrekening en verantwoording draagt de bewindvoerder alle goederen af aan hem die na hem tot het beheer der goederen bevoegd is. De bewindvoerder is bevoegd de afdracht op te schorten tot de voldoening van een hem toekomend saldo. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Bij zijn eindrekening en verantwoording draagt de bewindvoerder alle goederen af aan")
    thisalinea.textcontent.append("hem die na hem tot het beheer der goederen bevoegd is. De bewindvoerder is bevoegd")
    thisalinea.textcontent.append("de afdracht op te schorten tot de voldoening van een hem toekomend saldo.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Wordt de rekening en verantwoording ..."
    thisalinea.nativeID = 2045
    thisalinea.parentID = 2042
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Wordt de rekening en verantwoording aan de kantonrechter afgelegd, dan blijven, tenzij de kantonrechter anders bepaalt, de netto-opbrengst of de af te dragen goederen onder het bewind van de bewindvoerder, totdat de rechthebbende tot de ontvangst in staat is of de onzekerheid, wie rechthebbende is, is opgeheven. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Wordt de rekening en verantwoording aan de kantonrechter afgelegd, dan blijven, tenzij")
    thisalinea.textcontent.append("de kantonrechter anders bepaalt, de netto-opbrengst of de af te dragen goederen onder")
    thisalinea.textcontent.append("het bewind van de bewindvoerder, totdat de rechthebbende tot de ontvangst in staat is of")
    thisalinea.textcontent.append("de onzekerheid, wie rechthebbende is, is opgeheven.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 446a"
    thisalinea.nativeID = 2046
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 691
    thisalinea.summary = "De bewindvoerder doet telkens na verloop van vijf jaren, of zo veel eerder als de kantonrechter bepaalt, aan deze verslag van het verloop van het bewind. Hij laat zich daarbij met name uit over de vraag of het bewind dient voort te duren dan wel of een minder ver, of een verder strekkende voorziening aangewezen is. Feiten die voor het bewind en het voortduren daarvan van betekenis zijn, deelt hij terstond aan de kantonrechter mede. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De bewindvoerder doet telkens na verloop van vijf jaren, of zo veel eerder als de")
    thisalinea.textcontent.append("kantonrechter bepaalt, aan deze verslag van het verloop van het bewind. Hij laat zich daarbij")
    thisalinea.textcontent.append("met name uit over de vraag of het bewind dient voort te duren dan wel of een minder ver, of")
    thisalinea.textcontent.append("een verder strekkende voorziening aangewezen is. Feiten die voor het bewind en het")
    thisalinea.textcontent.append("voortduren daarvan van betekenis zijn, deelt hij terstond aan de kantonrechter mede.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 447"
    thisalinea.nativeID = 2047
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 692
    thisalinea.summary = "1. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld. 2. Zijn er twee of meer bewindvoerders, dan wordt het loon dat hun gezamenlijk toekomt, tussen hen verdeeld in evenredigheid met de betekenis van de door ieder van hen verrichte werkzaamheden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De bewindvoerder heeft aanspraak op ..."
    thisalinea.nativeID = 2048
    thisalinea.parentID = 2047
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De bewindvoerder heeft aanspraak op beloning overeenkomstig de regels die")
    thisalinea.textcontent.append("daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zijn er twee of meer ..."
    thisalinea.nativeID = 2049
    thisalinea.parentID = 2047
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zijn er twee of meer bewindvoerders, dan wordt het loon dat hun gezamenlijk toekomt, tussen hen verdeeld in evenredigheid met de betekenis van de door ieder van hen verrichte werkzaamheden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zijn er twee of meer bewindvoerders, dan wordt het loon dat hun gezamenlijk toekomt,")
    thisalinea.textcontent.append("tussen hen verdeeld in evenredigheid met de betekenis van de door ieder van hen")
    thisalinea.textcontent.append("verrichte werkzaamheden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 448"
    thisalinea.nativeID = 2050
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 693
    thisalinea.summary = "1. De taak van de bewindvoerder eindigt: a. bij het einde van het bewind; b. door tijdsverloop, indien hij voor een bepaalde tijd was benoemd; c. door zijn dood, het ten aanzien van hem van toepassing verklaren van de schuldsaneringsregeling natuurlijke personen, zijn faillietverklaring of zijn ondercuratelestelling; d. door de instelling van een bewind als bedoeld in deze titel over één of meer van zijn goederen; e. door ontslag dat hem door de kantonrechter met ingang van een door deze bepaalde dag wordt verleend. 2. Het ontslag wordt hem verleend hetzij op eigen verzoek, hetzij wegens gewichtige redenen of omdat "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De taak van de bewindvoerder ..."
    thisalinea.nativeID = 2051
    thisalinea.parentID = 2050
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De taak van de bewindvoerder eindigt: a. bij het einde van het bewind; b. door tijdsverloop, indien hij voor een bepaalde tijd was benoemd; c. door zijn dood, het ten aanzien van hem van toepassing verklaren van de schuldsaneringsregeling natuurlijke personen, zijn faillietverklaring of zijn ondercuratelestelling; d. door de instelling van een bewind als bedoeld in deze titel over één of meer van zijn goederen; e. door ontslag dat hem door de kantonrechter met ingang van een door deze bepaalde dag wordt verleend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De taak van de bewindvoerder eindigt:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. bij het einde van het ..."
    thisalinea.nativeID = 2052
    thisalinea.parentID = 2051
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. bij het einde van het bewind; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. bij het einde van het bewind;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. door tijdsverloop, indien hij voor ..."
    thisalinea.nativeID = 2053
    thisalinea.parentID = 2051
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door tijdsverloop, indien hij voor een bepaalde tijd was benoemd; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door tijdsverloop, indien hij voor een bepaalde tijd was benoemd;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. door zijn dood, het ten ..."
    thisalinea.nativeID = 2054
    thisalinea.parentID = 2051
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. door zijn dood, het ten aanzien van hem van toepassing verklaren van de schuldsaneringsregeling natuurlijke personen, zijn faillietverklaring of zijn ondercuratelestelling; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. door zijn dood, het ten aanzien van hem van toepassing verklaren van de")
    thisalinea.textcontent.append("schuldsaneringsregeling natuurlijke personen, zijn faillietverklaring of zijn")
    thisalinea.textcontent.append("ondercuratelestelling;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. door de instelling van een ..."
    thisalinea.nativeID = 2055
    thisalinea.parentID = 2051
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. door de instelling van een bewind als bedoeld in deze titel over één of meer van zijn goederen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. door de instelling van een bewind als bedoeld in deze titel over één of meer van zijn")
    thisalinea.textcontent.append("goederen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. door ontslag dat hem door ..."
    thisalinea.nativeID = 2056
    thisalinea.parentID = 2051
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. door ontslag dat hem door de kantonrechter met ingang van een door deze bepaalde dag wordt verleend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. door ontslag dat hem door de kantonrechter met ingang van een door deze bepaalde")
    thisalinea.textcontent.append("dag wordt verleend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het ontslag wordt hem verleend ..."
    thisalinea.nativeID = 2057
    thisalinea.parentID = 2050
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het ontslag wordt hem verleend hetzij op eigen verzoek, hetzij wegens gewichtige redenen of omdat hij niet meer voldoet aan de eisen om bewindvoerder te kunnen worden, zulks op verzoek van de medebewindvoerder of degene die gerechtigd is onderbewindstelling te verzoeken als bedoeld in artikel 432, eerste en tweede lid, dan wel ambtshalve. Hangende het onderzoek kan de kantonrechter voorlopige voorzieningen in het bewind treffen en de bewindvoerder schorsen. De kantonrechter kan hiertoe zo nodig ook zonder de bewindvoerder tevoren te hebben gehoord overgaan. In dat geval verliest de beschikking haar kracht na verloop van twee weken, tenzij de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het ontslag wordt hem verleend hetzij op eigen verzoek, hetzij wegens gewichtige")
    thisalinea.textcontent.append("redenen of omdat hij niet meer voldoet aan de eisen om bewindvoerder te kunnen")
    thisalinea.textcontent.append("worden, zulks op verzoek van de medebewindvoerder of degene die gerechtigd is")
    thisalinea.textcontent.append("onderbewindstelling te verzoeken als bedoeld in artikel 432, eerste en tweede lid, dan wel")
    thisalinea.textcontent.append("ambtshalve. Hangende het onderzoek kan de kantonrechter voorlopige voorzieningen in")
    thisalinea.textcontent.append("het bewind treffen en de bewindvoerder schorsen. De kantonrechter kan hiertoe zo nodig")
    thisalinea.textcontent.append("ook zonder de bewindvoerder tevoren te hebben gehoord overgaan. In dat geval verliest")
    thisalinea.textcontent.append("de beschikking haar kracht na verloop van twee weken, tenzij de bewindvoerder binnen")
    thisalinea.textcontent.append("deze termijn in de gelegenheid is gesteld om te worden gehoord.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een gewezen bewindvoerder blijft verplicht ..."
    thisalinea.nativeID = 2058
    thisalinea.parentID = 2050
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een gewezen bewindvoerder blijft verplicht al datgene te doen, wat niet zonder nadeel voor de rechthebbende kan worden uitgesteld, totdat degene die na hem tot het beheer van de goederen bevoegd is, dit heeft aanvaard. In de gevallen genoemd in het eerste lid onder c, rust deze verplichting op zijn erfgenamen, onderscheidenlijk de bewindvoerder in de schuldsaneringsregeling natuurlijke personen of de curator, indien zij van het bewind kennisdragen; in het geval genoemd in het eerste lid onder d, geldt dit voor de bewindvoerder, belast met het daar bedoelde bewind. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een gewezen bewindvoerder blijft verplicht al datgene te doen, wat niet zonder nadeel")
    thisalinea.textcontent.append("voor de rechthebbende kan worden uitgesteld, totdat degene die na hem tot het beheer")
    thisalinea.textcontent.append("van de goederen bevoegd is, dit heeft aanvaard. In de gevallen genoemd in het eerste lid")
    thisalinea.textcontent.append("onder c, rust deze verplichting op zijn erfgenamen, onderscheidenlijk de bewindvoerder in")
    thisalinea.textcontent.append("de schuldsaneringsregeling natuurlijke personen of de curator, indien zij van het bewind")
    thisalinea.textcontent.append("kennisdragen; in het geval genoemd in het eerste lid onder d, geldt dit voor de")
    thisalinea.textcontent.append("bewindvoerder, belast met het daar bedoelde bewind.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Artikel 384 van dit boek ..."
    thisalinea.nativeID = 2059
    thisalinea.parentID = 2050
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Artikel 384 van dit boek is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Artikel 384 van dit boek is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. In geval van ontslag wegens ..."
    thisalinea.nativeID = 2060
    thisalinea.parentID = 2050
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. In geval van ontslag wegens gewichtige redenen of omdat de bewindvoerder niet meer voldoet aan de eisen om bewindvoerder te kunnen worden, kan de kantonrechter bepalen dat geen verdere rekening en verantwoording behoeft te worden afgelegd. Tevens kan de kantonrechter de boeken, bescheiden en andere gegevensdragers van de bewindvoerder, en alle aan de rechthebbende toekomende goederen in beslag nemen. Daartoe kan hij elke plaats betreden. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. In geval van ontslag wegens gewichtige redenen of omdat de bewindvoerder niet meer")
    thisalinea.textcontent.append("voldoet aan de eisen om bewindvoerder te kunnen worden, kan de kantonrechter bepalen")
    thisalinea.textcontent.append("dat geen verdere rekening en verantwoording behoeft te worden afgelegd. Tevens kan de")
    thisalinea.textcontent.append("kantonrechter de boeken, bescheiden en andere gegevensdragers van de bewindvoerder,")
    thisalinea.textcontent.append("en alle aan de rechthebbende toekomende goederen in beslag nemen. Daartoe kan hij")
    thisalinea.textcontent.append("elke plaats betreden.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 449"
    thisalinea.nativeID = 2061
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 694
    thisalinea.summary = "1. Het bewind eindigt door het verstrijken van de tijdsduur waarvoor het is ingesteld en door de dood of ondercuratelestelling van de rechthebbende. 2. De kantonrechter kan, indien de noodzaak daartoe niet meer bestaat of voortzetting van het bewind niet zinvol is gebleken, het bewind opheffen, zulks op verzoek van de bewindvoerder of van degene die gerechtigd is onderbewindstelling te verzoeken als bedoeld in artikel 432, eerste en tweede lid, dan wel ambtshalve. De beschikking treedt in werking zodra zij in kracht van gewijsde is gegaan, tenzij zij een eerder tijdstip van ingang aanwijst. 3. Degene die gerechtigd is de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het bewind eindigt door het ..."
    thisalinea.nativeID = 2062
    thisalinea.parentID = 2061
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het bewind eindigt door het verstrijken van de tijdsduur waarvoor het is ingesteld en door de dood of ondercuratelestelling van de rechthebbende. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het bewind eindigt door het verstrijken van de tijdsduur waarvoor het is ingesteld en door")
    thisalinea.textcontent.append("de dood of ondercuratelestelling van de rechthebbende.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kantonrechter kan, indien de ..."
    thisalinea.nativeID = 2063
    thisalinea.parentID = 2061
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kantonrechter kan, indien de noodzaak daartoe niet meer bestaat of voortzetting van het bewind niet zinvol is gebleken, het bewind opheffen, zulks op verzoek van de bewindvoerder of van degene die gerechtigd is onderbewindstelling te verzoeken als bedoeld in artikel 432, eerste en tweede lid, dan wel ambtshalve. De beschikking treedt in werking zodra zij in kracht van gewijsde is gegaan, tenzij zij een eerder tijdstip van ingang aanwijst. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kantonrechter kan, indien de noodzaak daartoe niet meer bestaat of voortzetting van")
    thisalinea.textcontent.append("het bewind niet zinvol is gebleken, het bewind opheffen, zulks op verzoek van de")
    thisalinea.textcontent.append("bewindvoerder of van degene die gerechtigd is onderbewindstelling te verzoeken als")
    thisalinea.textcontent.append("bedoeld in artikel 432, eerste en tweede lid, dan wel ambtshalve. De beschikking treedt in")
    thisalinea.textcontent.append("werking zodra zij in kracht van gewijsde is gegaan, tenzij zij een eerder tijdstip van ingang")
    thisalinea.textcontent.append("aanwijst.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Degene die gerechtigd is de ..."
    thisalinea.nativeID = 2064
    thisalinea.parentID = 2061
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Degene die gerechtigd is de instelling van het bewind te verzoeken als bedoeld in artikel 432, eerste en tweede lid, alsmede de bewindvoerder, kan verzoeken om verlenging van het bewind dat voor een bepaalde tijdsduur is ingesteld. De kantonrechter beslist binnen twee maanden na het indienen van het verzoekschrift. Artikel 384 is van overeenkomstige toepassing. Tegen de afwijzing van een verzoek tot verlenging staat geen hogere voorziening open. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Degene die gerechtigd is de instelling van het bewind te verzoeken als bedoeld in artikel")
    thisalinea.textcontent.append("432, eerste en tweede lid, alsmede de bewindvoerder, kan verzoeken om verlenging van")
    thisalinea.textcontent.append("het bewind dat voor een bepaalde tijdsduur is ingesteld. De kantonrechter beslist binnen")
    thisalinea.textcontent.append("twee maanden na het indienen van het verzoekschrift. Artikel 384 is van overeenkomstige")
    thisalinea.textcontent.append("toepassing. Tegen de afwijzing van een verzoek tot verlenging staat geen hogere")
    thisalinea.textcontent.append("voorziening open.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Titel 20. Mentorschap ten behoeve van meerderjarigen"
    thisalinea.nativeID = 2065
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 695
    thisalinea.summary = ""
    thisalinea.sum_CanbeEmpty = True
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 450"
    thisalinea.nativeID = 2066
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 696
    thisalinea.summary = "1. Indien een meerderjarige als gevolg van zijn geestelijke of lichamelijke toestand tijdelijk of duurzaam niet in staat is of bemoeilijkt wordt zijn belangen van niet-vermogensrechtelijke aard zelf behoorlijk waar te nemen, kan de kantonrechter te zijnen behoeve een mentorschap instellen. 2. Indien te verwachten is dat een minderjarige op het tijdstip waarop hij meerderjarig zal worden, in de in het eerste lid bedoelde toestand zal verkeren, kan het mentorschap reeds voor de meerderjarigheid worden ingesteld. 3. Het mentorschap kan eveneens worden ingesteld, indien te verwachten is dat een meerderjarige binnen afzienbare tijd in de in het eerste lid bedoelde "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien een meerderjarige als gevolg ..."
    thisalinea.nativeID = 2067
    thisalinea.parentID = 2066
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien een meerderjarige als gevolg van zijn geestelijke of lichamelijke toestand tijdelijk of duurzaam niet in staat is of bemoeilijkt wordt zijn belangen van niet-vermogensrechtelijke aard zelf behoorlijk waar te nemen, kan de kantonrechter te zijnen behoeve een mentorschap instellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien een meerderjarige als gevolg van zijn geestelijke of lichamelijke toestand tijdelijk of")
    thisalinea.textcontent.append("duurzaam niet in staat is of bemoeilijkt wordt zijn belangen van niet-vermogensrechtelijke")
    thisalinea.textcontent.append("aard zelf behoorlijk waar te nemen, kan de kantonrechter te zijnen behoeve een")
    thisalinea.textcontent.append("mentorschap instellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien te verwachten is dat ..."
    thisalinea.nativeID = 2068
    thisalinea.parentID = 2066
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien te verwachten is dat een minderjarige op het tijdstip waarop hij meerderjarig zal worden, in de in het eerste lid bedoelde toestand zal verkeren, kan het mentorschap reeds voor de meerderjarigheid worden ingesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien te verwachten is dat een minderjarige op het tijdstip waarop hij meerderjarig zal")
    thisalinea.textcontent.append("worden, in de in het eerste lid bedoelde toestand zal verkeren, kan het mentorschap")
    thisalinea.textcontent.append("reeds voor de meerderjarigheid worden ingesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Het mentorschap kan eveneens worden ..."
    thisalinea.nativeID = 2069
    thisalinea.parentID = 2066
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Het mentorschap kan eveneens worden ingesteld, indien te verwachten is dat een meerderjarige binnen afzienbare tijd in de in het eerste lid bedoelde toestand zal verkeren. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Het mentorschap kan eveneens worden ingesteld, indien te verwachten is dat een")
    thisalinea.textcontent.append("meerderjarige binnen afzienbare tijd in de in het eerste lid bedoelde toestand zal")
    thisalinea.textcontent.append("verkeren.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De rechter bij wie een ..."
    thisalinea.nativeID = 2070
    thisalinea.parentID = 2066
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De rechter bij wie een verzoek tot het verlenen van een rechterlijke machtiging als bedoeld in de Wet zorg en dwang psychogeriatrische en verstandelijk gehandicapte cliënten dan wel een zorgmachtiging of een machtiging tot voorzetting van de crisismaatregel als bedoeld in de Wet verplichte geestelijke gezondheidszorg aanhangig is, is tevens bevoegd tot kennisneming van een verzoek tot instelling van een mentorschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De rechter bij wie een verzoek tot het verlenen van een rechterlijke machtiging als")
    thisalinea.textcontent.append("bedoeld in de Wet zorg en dwang psychogeriatrische en verstandelijk gehandicapte")
    thisalinea.textcontent.append("cliënten dan wel een zorgmachtiging of een machtiging tot voorzetting van de")
    thisalinea.textcontent.append("crisismaatregel als bedoeld in de Wet verplichte geestelijke gezondheidszorg aanhangig")
    thisalinea.textcontent.append("is, is tevens bevoegd tot kennisneming van een verzoek tot instelling van een")
    thisalinea.textcontent.append("mentorschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 451"
    thisalinea.nativeID = 2071
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 697
    thisalinea.summary = "1. Het mentorschap kan worden verzocht door de betrokken persoon, zijn echtgenoot, zijn geregistreerde partner dan wel andere levensgezel, zijn bloedverwanten in de rechte lijn en die in de zijlijn tot en met de vierde graad, degene die ingevolge artikel 253sa of 253t het gezag over de betrokken persoon uitoefent, zijn voogd, zijn curator of zijn bewindvoerder als bedoeld in titel 19 van dit boek. In het in artikel 450, derde lid, van dit boek bedoelde geval kan het mentorschap uitsluitend worden verzocht door de betrokkene. 2. Het mentorschap kan, behoudens in het in artikel 450, derde lid, bedoelde geval, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het mentorschap kan worden verzocht ..."
    thisalinea.nativeID = 2072
    thisalinea.parentID = 2071
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het mentorschap kan worden verzocht door de betrokken persoon, zijn echtgenoot, zijn geregistreerde partner dan wel andere levensgezel, zijn bloedverwanten in de rechte lijn en die in de zijlijn tot en met de vierde graad, degene die ingevolge artikel 253sa of 253t het gezag over de betrokken persoon uitoefent, zijn voogd, zijn curator of zijn bewindvoerder als bedoeld in titel 19 van dit boek. In het in artikel 450, derde lid, van dit boek bedoelde geval kan het mentorschap uitsluitend worden verzocht door de betrokkene. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het mentorschap kan worden verzocht door de betrokken persoon, zijn echtgenoot, zijn")
    thisalinea.textcontent.append("geregistreerde partner dan wel andere levensgezel, zijn bloedverwanten in de rechte lijn")
    thisalinea.textcontent.append("en die in de zijlijn tot en met de vierde graad, degene die ingevolge artikel 253sa of 253t")
    thisalinea.textcontent.append("het gezag over de betrokken persoon uitoefent, zijn voogd, zijn curator of zijn")
    thisalinea.textcontent.append("bewindvoerder als bedoeld in titel 19 van dit boek. In het in artikel 450, derde lid, van dit")
    thisalinea.textcontent.append("boek bedoelde geval kan het mentorschap uitsluitend worden verzocht door de")
    thisalinea.textcontent.append("betrokkene.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het mentorschap kan, behoudens in ..."
    thisalinea.nativeID = 2073
    thisalinea.parentID = 2071
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het mentorschap kan, behoudens in het in artikel 450, derde lid, bedoelde geval, voorts worden verzocht door het openbaar ministerie en door de instelling waar de betrokkene wordt verzorgd of die aan de betrokkene begeleiding biedt. In het laatste geval wordt in het verzoekschrift tevens vermeld waarom de in het eerste lid genoemde personen - bloedverwanten in de zijlijn in de derde en vierde graad daaronder niet begrepen - niet tot indiening van een verzoek zijn overgegaan. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het mentorschap kan, behoudens in het in artikel 450, derde lid, bedoelde geval, voorts")
    thisalinea.textcontent.append("worden verzocht door het openbaar ministerie en door de instelling waar de betrokkene")
    thisalinea.textcontent.append("wordt verzorgd of die aan de betrokkene begeleiding biedt. In het laatste geval wordt in")
    thisalinea.textcontent.append("het verzoekschrift tevens vermeld waarom de in het eerste lid genoemde personen -")
    thisalinea.textcontent.append("bloedverwanten in de zijlijn in de derde en vierde graad daaronder niet begrepen - niet tot")
    thisalinea.textcontent.append("indiening van een verzoek zijn overgegaan.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechter bij wie een ..."
    thisalinea.nativeID = 2074
    thisalinea.parentID = 2071
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechter bij wie een verzoek tot ondercuratelestelling of tot opheffing van de curatele aanhangig is, kan bij afwijzing onderscheidenlijk bij inwilliging daarvan ambtshalve overgaan tot instelling van het mentorschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechter bij wie een verzoek tot ondercuratelestelling of tot opheffing van de curatele")
    thisalinea.textcontent.append("aanhangig is, kan bij afwijzing onderscheidenlijk bij inwilliging daarvan ambtshalve")
    thisalinea.textcontent.append("overgaan tot instelling van het mentorschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Een verzoek tot omzetting van ..."
    thisalinea.nativeID = 2075
    thisalinea.parentID = 2071
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Een verzoek tot omzetting van curatele in mentorschap ten behoeve van een persoon die onder curatele is gesteld, wordt aanhangig gemaakt bij de rechter die bevoegd is over opheffing van de curatele te beslissen. Deze rechter kan, bij opheffing van de curatele, ook ambtshalve overgaan tot instelling van het mentorschap. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Een verzoek tot omzetting van curatele in mentorschap ten behoeve van een persoon die")
    thisalinea.textcontent.append("onder curatele is gesteld, wordt aanhangig gemaakt bij de rechter die bevoegd is over")
    thisalinea.textcontent.append("opheffing van de curatele te beslissen. Deze rechter kan, bij opheffing van de curatele,")
    thisalinea.textcontent.append("ook ambtshalve overgaan tot instelling van het mentorschap.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Het mentorschap treedt in werking ..."
    thisalinea.nativeID = 2076
    thisalinea.parentID = 2071
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Het mentorschap treedt in werking daags nadat de beschikking is verstrekt of verzonden, tenzij de beschikking een later tijdstip van ingang vermeldt. In het geval, bedoeld in artikel 450, tweede lid, van dit boek treedt het mentorschap in werking op het tijdstip waarop de betrokken persoon meerderjarig wordt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Het mentorschap treedt in werking daags nadat de beschikking is verstrekt of verzonden,")
    thisalinea.textcontent.append("tenzij de beschikking een later tijdstip van ingang vermeldt. In het geval, bedoeld in artikel")
    thisalinea.textcontent.append("450, tweede lid, van dit boek treedt het mentorschap in werking op het tijdstip waarop de")
    thisalinea.textcontent.append("betrokken persoon meerderjarig wordt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 452"
    thisalinea.nativeID = 2077
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 698
    thisalinea.summary = "Bij algemene maatregel van bestuur kunnen nadere regels worden gesteld omtrent de vorm en de inhoud van de verklaringen en het verslag, de benoeming van de deskundige, alsmede de wijze van overlegging. Toont de persoon aan dat hij in de twaalf maanden voorafgaande aan zijn benoeming de verklaring en het verslag, bedoeld in het zevende lid, onderdelen a en b, reeds aan de rechter heeft overgelegd, dan is hij van de overlegging van de verklaring en het verslag vrijgesteld. Toont de persoon aan dat hij in de 24 maanden voorafgaande aan zijn benoeming de verklaring, bedoeld in het zevende lid, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Bij algemene maatregel van bestuur kunnen nadere regels worden gesteld omtrent de vorm")
    thisalinea.textcontent.append("en de inhoud van de verklaringen en het verslag, de benoeming van de deskundige, alsmede")
    thisalinea.textcontent.append("de wijze van overlegging. Toont de persoon aan dat hij in de twaalf maanden voorafgaande")
    thisalinea.textcontent.append("aan zijn benoeming de verklaring en het verslag, bedoeld in het zevende lid, onderdelen a en")
    thisalinea.textcontent.append("b, reeds aan de rechter heeft overgelegd, dan is hij van de overlegging van de verklaring en")
    thisalinea.textcontent.append("het verslag vrijgesteld. Toont de persoon aan dat hij in de 24 maanden voorafgaande aan zijn")
    thisalinea.textcontent.append("benoeming de verklaring, bedoeld in het zevende lid, onderdeel c, reeds aan de rechter heeft")
    thisalinea.textcontent.append("overgelegd, dan is hij van de overlegging van deze verklaring vrijgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De rechter die het mentorschap ..."
    thisalinea.nativeID = 2078
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De rechter die het mentorschap instelt, benoemt daarbij of zo spoedig mogelijk daarna een mentor. Hij vergewist zich van de bereidheid en vormt zich een oordeel over de geschiktheid van de te benoemen persoon. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De rechter die het mentorschap instelt, benoemt daarbij of zo spoedig mogelijk daarna")
    thisalinea.textcontent.append("een mentor. Hij vergewist zich van de bereidheid en vormt zich een oordeel over de")
    thisalinea.textcontent.append("geschiktheid van de te benoemen persoon.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Zo nodig kan een tijdelijke ..."
    thisalinea.nativeID = 2079
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Zo nodig kan een tijdelijke mentor worden benoemd. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Zo nodig kan een tijdelijke mentor worden benoemd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De rechter volgt bij de ..."
    thisalinea.nativeID = 2080
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De rechter volgt bij de benoeming van de mentor de uitdrukkelijke voorkeur van de betrokkene, tenzij gegronde redenen zich tegen zodanige benoeming verzetten. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De rechter volgt bij de benoeming van de mentor de uitdrukkelijke voorkeur van de")
    thisalinea.textcontent.append("betrokkene, tenzij gegronde redenen zich tegen zodanige benoeming verzetten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Tenzij het vorige lid is ..."
    thisalinea.nativeID = 2081
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Tenzij het vorige lid is toegepast, wordt, indien de betrokkene is gehuwd, een geregistreerd partnerschap is aangegaan of anderszins een levensgezel heeft, bij voorkeur de echtgenoot, de geregistreerde partner dan wel andere levensgezel tot mentor benoemd. Is de vorige zin niet van toepassing dan wordt bij voorkeur een van zijn ouders, kinderen, broers of zusters tot mentor benoemd. Huwt de betrokkene, gaat hij een geregistreerd partnerschap aan of verkrijgt hij een andere levensgezel, dan kan ieder van hen verzoeken, dat de echtgenoot, de geregistreerde partner dan wel de andere levensgezel van de betrokkene in de plaats van de tegenwoordige "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Tenzij het vorige lid is toegepast, wordt, indien de betrokkene is gehuwd, een")
    thisalinea.textcontent.append("geregistreerd partnerschap is aangegaan of anderszins een levensgezel heeft, bij")
    thisalinea.textcontent.append("voorkeur de echtgenoot, de geregistreerde partner dan wel andere levensgezel tot mentor")
    thisalinea.textcontent.append("benoemd. Is de vorige zin niet van toepassing dan wordt bij voorkeur een van zijn ouders,")
    thisalinea.textcontent.append("kinderen, broers of zusters tot mentor benoemd. Huwt de betrokkene, gaat hij een")
    thisalinea.textcontent.append("geregistreerd partnerschap aan of verkrijgt hij een andere levensgezel, dan kan ieder van")
    thisalinea.textcontent.append("hen verzoeken, dat de echtgenoot, de geregistreerde partner dan wel de andere")
    thisalinea.textcontent.append("levensgezel van de betrokkene in de plaats van de tegenwoordige mentor wordt")
    thisalinea.textcontent.append("benoemd.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Een rechtspersoon met volledige rechtsbevoegdheid ..."
    thisalinea.nativeID = 2082
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Een rechtspersoon met volledige rechtsbevoegdheid komt voor benoeming tot mentor in aanmerking. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Een rechtspersoon met volledige rechtsbevoegdheid komt voor benoeming tot mentor in")
    thisalinea.textcontent.append("aanmerking.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "6. De volgende personen kunnen niet ..."
    thisalinea.nativeID = 2083
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 5
    thisalinea.summary = "6. De volgende personen kunnen niet tot mentor worden benoemd: a. handelingsonbekwamen; b. zij ten behoeve van wie een mentorschap is ingesteld; c. de direct betrokken of behandelend hulpverlener; d. personen behorende tot de leiding of tot het personeel van de instelling waar de betrokkene wordt verzorgd of die aan de betrokkene begeleiding biedt; e. personen verbonden met de instelling waar de betrokkene wordt verzorgd of die aan de betrokkene begeleiding biedt, doordat: 1° de instelling of personen behorende tot de leiding van de instelling, alleen of samen meer dan de helft van de stemrechten in de algemene vergadering van "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("6. De volgende personen kunnen niet tot mentor worden benoemd:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. handelingsonbekwamen; "
    thisalinea.nativeID = 2084
    thisalinea.parentID = 2083
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. handelingsonbekwamen; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. handelingsonbekwamen;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. zij ten behoeve van wie ..."
    thisalinea.nativeID = 2085
    thisalinea.parentID = 2083
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. zij ten behoeve van wie een mentorschap is ingesteld; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. zij ten behoeve van wie een mentorschap is ingesteld;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. de direct betrokken of behandelend ..."
    thisalinea.nativeID = 2086
    thisalinea.parentID = 2083
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. de direct betrokken of behandelend hulpverlener; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. de direct betrokken of behandelend hulpverlener;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. personen behorende tot de leiding ..."
    thisalinea.nativeID = 2087
    thisalinea.parentID = 2083
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. personen behorende tot de leiding of tot het personeel van de instelling waar de betrokkene wordt verzorgd of die aan de betrokkene begeleiding biedt; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. personen behorende tot de leiding of tot het personeel van de instelling waar de")
    thisalinea.textcontent.append("betrokkene wordt verzorgd of die aan de betrokkene begeleiding biedt;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. personen verbonden met de instelling ..."
    thisalinea.nativeID = 2088
    thisalinea.parentID = 2083
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. personen verbonden met de instelling waar de betrokkene wordt verzorgd of die aan de betrokkene begeleiding biedt, doordat: 1° de instelling of personen behorende tot de leiding van de instelling, alleen of samen meer dan de helft van de stemrechten in de algemene vergadering van de rechtspersoon kunnen uitoefenen, dan wel meer dan de helft van de bestuurders of van de commissarissen van de rechtspersoon kunnen benoemen of ontslaan, 2° de persoon en de instelling deel uitmaken van een groep in de zin van artikel 24b van boek 2, of 3° de bestuurder van de rechtspersoon tevens behoort tot "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. personen verbonden met de instelling waar de betrokkene wordt verzorgd of die aan")
    thisalinea.textcontent.append("de betrokkene begeleiding biedt, doordat:")
    thisalinea.textcontent.append("1° de instelling of personen behorende tot de leiding van de instelling, alleen of")
    thisalinea.textcontent.append("samen meer dan de helft van de stemrechten in de algemene vergadering van de")
    thisalinea.textcontent.append("rechtspersoon kunnen uitoefenen, dan wel meer dan de helft van de bestuurders")
    thisalinea.textcontent.append("of van de commissarissen van de rechtspersoon kunnen benoemen of ontslaan,")
    thisalinea.textcontent.append("2° de persoon en de instelling deel uitmaken van een groep in de zin van artikel 24b")
    thisalinea.textcontent.append("van boek 2, of")
    thisalinea.textcontent.append("3° de bestuurder van de rechtspersoon tevens behoort tot de leiding of het personeel")
    thisalinea.textcontent.append("van de instelling.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "7. Een andere persoon dan in ..."
    thisalinea.nativeID = 2089
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 6
    thisalinea.summary = "7. Een andere persoon dan in het vierde lid bedoeld, die ten behoeve van drie of meer personen mentor, curator of bewindvoerder is, komt alleen dan voor benoeming in aanmerking indien deze wat zijn bedrijfsvoering en scholing betreft, alsmede, voor zover van toepassing, de werving, de scholing en begeleiding van en het toezicht op de personen door wie hij de taken van een mentor uitoefent, voldoet aan bij algemene maatregel van bestuur te stellen kwaliteitseisen, alsmede aan de verplichtingen bedoeld in artikel 15i van boek 3. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("7. Een andere persoon dan in het vierde lid bedoeld, die ten behoeve van drie of meer")
    thisalinea.textcontent.append("personen mentor, curator of bewindvoerder is, komt alleen dan voor benoeming in")
    thisalinea.textcontent.append("aanmerking indien deze wat zijn bedrijfsvoering en scholing betreft, alsmede, voor zover")
    thisalinea.textcontent.append("van toepassing, de werving, de scholing en begeleiding van en het toezicht op de")
    thisalinea.textcontent.append("personen door wie hij de taken van een mentor uitoefent, voldoet aan bij algemene")
    thisalinea.textcontent.append("maatregel van bestuur te stellen kwaliteitseisen, alsmede aan de verplichtingen bedoeld")
    thisalinea.textcontent.append("in artikel 15i van boek 3.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "8. De persoon, bedoeld in het ..."
    thisalinea.nativeID = 2090
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 7
    thisalinea.summary = "8. De persoon, bedoeld in het zevende lid, legt aan de rechter die hem benoemt, over: a. zijn verklaring dat hij aan de in het zevende lid bedoelde kwaliteitseisen en verplichtingen voldoet, b. een verslag van een accountant als bedoeld in artikel 393, eerste lid, van boek 2, dan wel van een door de kantonrechter benoemde deskundige, van diens bevindingen over de wijze waarop aan de eisen wordt voldaan, en c. een verklaring van de accountant omtrent de balans en staat van baten en lasten, bedoeld in artikel 10 van boek 2, dan wel, voor zover van toepassing, omtrent de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("8. De persoon, bedoeld in het zevende lid, legt aan de rechter die hem benoemt, over:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. zijn verklaring dat hij aan ..."
    thisalinea.nativeID = 2091
    thisalinea.parentID = 2090
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. zijn verklaring dat hij aan de in het zevende lid bedoelde kwaliteitseisen en verplichtingen voldoet, "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. zijn verklaring dat hij aan de in het zevende lid bedoelde kwaliteitseisen en")
    thisalinea.textcontent.append("verplichtingen voldoet,")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. een verslag van een accountant ..."
    thisalinea.nativeID = 2092
    thisalinea.parentID = 2090
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. een verslag van een accountant als bedoeld in artikel 393, eerste lid, van boek 2, dan wel van een door de kantonrechter benoemde deskundige, van diens bevindingen over de wijze waarop aan de eisen wordt voldaan, en "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. een verslag van een accountant als bedoeld in artikel 393, eerste lid, van boek 2, dan")
    thisalinea.textcontent.append("wel van een door de kantonrechter benoemde deskundige, van diens bevindingen")
    thisalinea.textcontent.append("over de wijze waarop aan de eisen wordt voldaan, en")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. een verklaring van de accountant ..."
    thisalinea.nativeID = 2093
    thisalinea.parentID = 2090
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. een verklaring van de accountant omtrent de balans en staat van baten en lasten, bedoeld in artikel 10 van boek 2, dan wel, voor zover van toepassing, omtrent de jaarrekening overeenkomstig titel 9 van boek 2. Artikel 396, zevende lid, van boek 2 is ten aanzien van artikel 393 lid 1 niet van toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. een verklaring van de accountant omtrent de balans en staat van baten en lasten,")
    thisalinea.textcontent.append("bedoeld in artikel 10 van boek 2, dan wel, voor zover van toepassing, omtrent de")
    thisalinea.textcontent.append("jaarrekening overeenkomstig titel 9 van boek 2. Artikel 396, zevende lid, van boek 2 is")
    thisalinea.textcontent.append("ten aanzien van artikel 393 lid 1 niet van toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "9. De rechter kan twee mentoren ..."
    thisalinea.nativeID = 2094
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 8
    thisalinea.summary = "9. De rechter kan twee mentoren benoemen, tenzij gegronde redenen zich tegen zodanige benoeming verzetten. Zijn er twee mentoren, dan kan ieder van hen de taken die aan een mentor toekomen, alleen verrichten. De rechter kan zo nodig een taakverdeling tussen de mentoren vaststellen. Bij verschil van mening tussen de mentoren beslist op verzoek van een van hen of op verzoek van een instelling als bedoeld in artikel 451, tweede lid, de kantonrechter. Deze kan ook een verdeling van de beloning vaststellen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("9. De rechter kan twee mentoren benoemen, tenzij gegronde redenen zich tegen zodanige")
    thisalinea.textcontent.append("benoeming verzetten. Zijn er twee mentoren, dan kan ieder van hen de taken die aan een")
    thisalinea.textcontent.append("mentor toekomen, alleen verrichten. De rechter kan zo nodig een taakverdeling tussen de")
    thisalinea.textcontent.append("mentoren vaststellen. Bij verschil van mening tussen de mentoren beslist op verzoek van")
    thisalinea.textcontent.append("een van hen of op verzoek van een instelling als bedoeld in artikel 451, tweede lid, de")
    thisalinea.textcontent.append("kantonrechter. Deze kan ook een verdeling van de beloning vaststellen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "10. De taak van de mentor ..."
    thisalinea.nativeID = 2095
    thisalinea.parentID = 2077
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 9
    thisalinea.summary = "10. De taak van de mentor vangt aan daags nadat de beschikking, houdende de benoeming, is verstrekt of verzonden, tenzij de beschikking een later tijdstip vermeldt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("10. De taak van de mentor vangt aan daags nadat de beschikking, houdende de benoeming,")
    thisalinea.textcontent.append("is verstrekt of verzonden, tenzij de beschikking een later tijdstip vermeldt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 453"
    thisalinea.nativeID = 2096
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 699
    thisalinea.summary = "vertegenwoordiging uitgesloten is. De mentor kan de betrokkene toestemming verlenen deze rechtshandelingen zelf te verrichten. 1. Tenzij uit wet of verdrag anders voortvloeit, is de betrokkene tijdens het mentorschap onbevoegd rechtshandelingen te verrichten in aangelegenheden betreffende zijn verzorging, verpleging, behandeling en begeleiding. 2. Met betrekking tot de in het eerste lid bedoelde rechtshandelingen vertegenwoordigt de mentor de betrokkene in en buiten rechte, tenzij op grond van wet of verdrag 3. Ten aanzien van andere handelingen dan rechtshandelingen betreffende de in het eerste lid genoemde aangelegenheden treedt de mentor, voor zover de aard van de desbetreffende handeling dit toelaat, in plaats "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("vertegenwoordiging uitgesloten is. De mentor kan de betrokkene toestemming verlenen")
    thisalinea.textcontent.append("deze rechtshandelingen zelf te verrichten.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Tenzij uit wet of verdrag ..."
    thisalinea.nativeID = 2097
    thisalinea.parentID = 2096
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Tenzij uit wet of verdrag anders voortvloeit, is de betrokkene tijdens het mentorschap onbevoegd rechtshandelingen te verrichten in aangelegenheden betreffende zijn verzorging, verpleging, behandeling en begeleiding. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Tenzij uit wet of verdrag anders voortvloeit, is de betrokkene tijdens het mentorschap")
    thisalinea.textcontent.append("onbevoegd rechtshandelingen te verrichten in aangelegenheden betreffende zijn")
    thisalinea.textcontent.append("verzorging, verpleging, behandeling en begeleiding.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Met betrekking tot de in ..."
    thisalinea.nativeID = 2098
    thisalinea.parentID = 2096
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Met betrekking tot de in het eerste lid bedoelde rechtshandelingen vertegenwoordigt de mentor de betrokkene in en buiten rechte, tenzij op grond van wet of verdrag "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Met betrekking tot de in het eerste lid bedoelde rechtshandelingen vertegenwoordigt de")
    thisalinea.textcontent.append("mentor de betrokkene in en buiten rechte, tenzij op grond van wet of verdrag")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Ten aanzien van andere handelingen ..."
    thisalinea.nativeID = 2099
    thisalinea.parentID = 2096
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Ten aanzien van andere handelingen dan rechtshandelingen betreffende de in het eerste lid genoemde aangelegenheden treedt de mentor, voor zover de aard van de desbetreffende handeling dit toelaat, in plaats van de betrokkene op. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Ten aanzien van andere handelingen dan rechtshandelingen betreffende de in het eerste")
    thisalinea.textcontent.append("lid genoemde aangelegenheden treedt de mentor, voor zover de aard van de")
    thisalinea.textcontent.append("desbetreffende handeling dit toelaat, in plaats van de betrokkene op.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. De mentor geeft aan de ..."
    thisalinea.nativeID = 2100
    thisalinea.parentID = 2096
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. De mentor geeft aan de betrokkene raad in hem betreffende aangelegenheden van niet- vermogensrechtelijke aard en waakt over diens belangen ter zake. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. De mentor geeft aan de betrokkene raad in hem betreffende aangelegenheden van niet-")
    thisalinea.textcontent.append("vermogensrechtelijke aard en waakt over diens belangen ter zake.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "5. Verzet de betrokkene zich tegen ..."
    thisalinea.nativeID = 2101
    thisalinea.parentID = 2096
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "5. Verzet de betrokkene zich tegen een handeling van ingrijpende aard in aangelegenheden als in het tweede en derde lid bedoeld, dan kan die handeling slechts plaatsvinden indien zij kennelijk nodig is teneinde ernstig nadeel voor de betrokkene te voorkomen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("5. Verzet de betrokkene zich tegen een handeling van ingrijpende aard in aangelegenheden")
    thisalinea.textcontent.append("als in het tweede en derde lid bedoeld, dan kan die handeling slechts plaatsvinden indien")
    thisalinea.textcontent.append("zij kennelijk nodig is teneinde ernstig nadeel voor de betrokkene te voorkomen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 453a"
    thisalinea.nativeID = 2102
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 700
    thisalinea.summary = "1. Indien de rechter dit noodzakelijk acht, beslist hij tevens dat artikel 246, van dit boek van overeenkomstige toepassing is. 2. Tijdens het mentorschap kan de rechter een beslissing nemen als in het eerste lid bedoeld, hetzij op verzoek van een persoon als bedoeld in artikel 451, eerste en tweede lid, van de mentor of van het openbaar ministerie, hetzij ambtshalve. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Indien de rechter dit noodzakelijk ..."
    thisalinea.nativeID = 2103
    thisalinea.parentID = 2102
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Indien de rechter dit noodzakelijk acht, beslist hij tevens dat artikel 246, van dit boek van overeenkomstige toepassing is. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Indien de rechter dit noodzakelijk acht, beslist hij tevens dat artikel 246, van dit boek van")
    thisalinea.textcontent.append("overeenkomstige toepassing is.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Tijdens het mentorschap kan de ..."
    thisalinea.nativeID = 2104
    thisalinea.parentID = 2102
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Tijdens het mentorschap kan de rechter een beslissing nemen als in het eerste lid bedoeld, hetzij op verzoek van een persoon als bedoeld in artikel 451, eerste en tweede lid, van de mentor of van het openbaar ministerie, hetzij ambtshalve. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Tijdens het mentorschap kan de rechter een beslissing nemen als in het eerste lid")
    thisalinea.textcontent.append("bedoeld, hetzij op verzoek van een persoon als bedoeld in artikel 451, eerste en tweede")
    thisalinea.textcontent.append("lid, van de mentor of van het openbaar ministerie, hetzij ambtshalve.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 454"
    thisalinea.nativeID = 2105
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 701
    thisalinea.summary = "1. De mentor is gehouden degene ten behoeve van wie het mentorschap is ingesteld zo veel mogelijk bij de vervulling van zijn taak te betrekken. De mentor bevordert dat de betrokkene rechtshandelingen en andere handelingen zelf verricht, indien deze tot een redelijke waardering van zijn belangen ter zake in staat kan worden geacht. Hij betracht de zorg van een goed mentor. 2. De mentor is jegens de betrokkene aansprakelijk, indien hij in de zorg van een goed mentor te kort schiet, tenzij de tekortkoming hem niet kan worden toegerekend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De mentor is gehouden degene ..."
    thisalinea.nativeID = 2106
    thisalinea.parentID = 2105
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De mentor is gehouden degene ten behoeve van wie het mentorschap is ingesteld zo veel mogelijk bij de vervulling van zijn taak te betrekken. De mentor bevordert dat de betrokkene rechtshandelingen en andere handelingen zelf verricht, indien deze tot een redelijke waardering van zijn belangen ter zake in staat kan worden geacht. Hij betracht de zorg van een goed mentor. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De mentor is gehouden degene ten behoeve van wie het mentorschap is ingesteld zo veel")
    thisalinea.textcontent.append("mogelijk bij de vervulling van zijn taak te betrekken. De mentor bevordert dat de")
    thisalinea.textcontent.append("betrokkene rechtshandelingen en andere handelingen zelf verricht, indien deze tot een")
    thisalinea.textcontent.append("redelijke waardering van zijn belangen ter zake in staat kan worden geacht. Hij betracht")
    thisalinea.textcontent.append("de zorg van een goed mentor.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De mentor is jegens de ..."
    thisalinea.nativeID = 2107
    thisalinea.parentID = 2105
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De mentor is jegens de betrokkene aansprakelijk, indien hij in de zorg van een goed mentor te kort schiet, tenzij de tekortkoming hem niet kan worden toegerekend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De mentor is jegens de betrokkene aansprakelijk, indien hij in de zorg van een goed")
    thisalinea.textcontent.append("mentor te kort schiet, tenzij de tekortkoming hem niet kan worden toegerekend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 455"
    thisalinea.nativeID = 2108
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 702
    thisalinea.summary = "Degene ten behoeve van wie het mentorschap is ingesteld, is, onverminderd het bepaalde in artikel 172 van Boek 6, aansprakelijk voor alle schulden die voortspruiten uit rechtshandelingen die de mentor in zijn hoedanigheid in naam van de betrokkene verricht. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Degene ten behoeve van wie het mentorschap is ingesteld, is, onverminderd het bepaalde in")
    thisalinea.textcontent.append("artikel 172 van Boek 6, aansprakelijk voor alle schulden die voortspruiten uit")
    thisalinea.textcontent.append("rechtshandelingen die de mentor in zijn hoedanigheid in naam van de betrokkene verricht.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 456"
    thisalinea.nativeID = 2109
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 703
    thisalinea.summary = "De mentor kan alvorens in rechte op te treden zich te zijner verantwoording doen machtigen door de betrokkene of, indien deze daartoe niet in staat of weigerachtig is, door de kantonrechter. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("De mentor kan alvorens in rechte op te treden zich te zijner verantwoording doen machtigen")
    thisalinea.textcontent.append("door de betrokkene of, indien deze daartoe niet in staat of weigerachtig is, door de")
    thisalinea.textcontent.append("kantonrechter.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 457"
    thisalinea.nativeID = 2110
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 704
    thisalinea.summary = "1. Een rechtshandeling verricht in strijd met artikel 453 van dit boek is overeenkomstig het tweede en derde lid vernietigbaar. 2. Indien de rechtshandeling is verricht door of gericht tot de betrokkene, kan een beroep op de vernietigbaarheid slechts worden gedaan jegens een persoon die het mentorschap kende of had behoren te kennen; jegens een zodanige persoon wordt de betrokkene vermoed onbevoegd te zijn geweest. 3. Indien de rechtshandeling is verricht door of gericht tot de mentor, kan een beroep op de vernietigbaarheid slechts worden gedaan jegens een persoon die de onbevoegdheid van de mentor kende of had behoren te "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Een rechtshandeling verricht in strijd ..."
    thisalinea.nativeID = 2111
    thisalinea.parentID = 2110
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Een rechtshandeling verricht in strijd met artikel 453 van dit boek is overeenkomstig het tweede en derde lid vernietigbaar. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Een rechtshandeling verricht in strijd met artikel 453 van dit boek is overeenkomstig het")
    thisalinea.textcontent.append("tweede en derde lid vernietigbaar.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Indien de rechtshandeling is verricht ..."
    thisalinea.nativeID = 2112
    thisalinea.parentID = 2110
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Indien de rechtshandeling is verricht door of gericht tot de betrokkene, kan een beroep op de vernietigbaarheid slechts worden gedaan jegens een persoon die het mentorschap kende of had behoren te kennen; jegens een zodanige persoon wordt de betrokkene vermoed onbevoegd te zijn geweest. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Indien de rechtshandeling is verricht door of gericht tot de betrokkene, kan een beroep op")
    thisalinea.textcontent.append("de vernietigbaarheid slechts worden gedaan jegens een persoon die het mentorschap")
    thisalinea.textcontent.append("kende of had behoren te kennen; jegens een zodanige persoon wordt de betrokkene")
    thisalinea.textcontent.append("vermoed onbevoegd te zijn geweest.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Indien de rechtshandeling is verricht ..."
    thisalinea.nativeID = 2113
    thisalinea.parentID = 2110
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Indien de rechtshandeling is verricht door of gericht tot de mentor, kan een beroep op de vernietigbaarheid slechts worden gedaan jegens een persoon die de onbevoegdheid van de mentor kende of had behoren te kennen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Indien de rechtshandeling is verricht door of gericht tot de mentor, kan een beroep op de")
    thisalinea.textcontent.append("vernietigbaarheid slechts worden gedaan jegens een persoon die de onbevoegdheid van")
    thisalinea.textcontent.append("de mentor kende of had behoren te kennen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 458"
    thisalinea.nativeID = 2114
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 705
    thisalinea.summary = "Voor zover een of meer van de goederen van de betrokkene onder een bewind als bedoeld in titel 19 van dit boek staan, is de bewindvoerder, indien hij niet tevens mentor is, niet tot optreden bevoegd ten aanzien van aangelegenheden als in artikel 453, eerste lid, van dit boek bedoeld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("Voor zover een of meer van de goederen van de betrokkene onder een bewind als bedoeld in")
    thisalinea.textcontent.append("titel 19 van dit boek staan, is de bewindvoerder, indien hij niet tevens mentor is, niet tot")
    thisalinea.textcontent.append("optreden bevoegd ten aanzien van aangelegenheden als in artikel 453, eerste lid, van dit")
    thisalinea.textcontent.append("boek bedoeld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 459"
    thisalinea.nativeID = 2115
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 706
    thisalinea.summary = "1. De mentor doet desgevraagd van zijn werkzaamheden verslag aan de kantonrechter. De kantonrechter kan te allen tijde verschijning van de mentor in persoon gelasten. Deze is verplicht alle door de kantonrechter gewenste inlichtingen te verstrekken. 2. De mentor, bedoeld in artikel 452, zevende lid, legt jaarlijks de verklaring en het verslag over, bedoeld in artikel 452, achtste lid, onderdelen a en b. De mentor legt tweejaarlijks de verklaring over, bedoeld in artikel 452, achtste lid, onderdeel c. De kantonrechter kan ten aanzien van de verschillende onderdelen van het verslag een ander tijdstip van overlegging bepalen. 3. De mentor doet "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De mentor doet desgevraagd van ..."
    thisalinea.nativeID = 2116
    thisalinea.parentID = 2115
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De mentor doet desgevraagd van zijn werkzaamheden verslag aan de kantonrechter. De kantonrechter kan te allen tijde verschijning van de mentor in persoon gelasten. Deze is verplicht alle door de kantonrechter gewenste inlichtingen te verstrekken. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De mentor doet desgevraagd van zijn werkzaamheden verslag aan de kantonrechter. De")
    thisalinea.textcontent.append("kantonrechter kan te allen tijde verschijning van de mentor in persoon gelasten. Deze is")
    thisalinea.textcontent.append("verplicht alle door de kantonrechter gewenste inlichtingen te verstrekken.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De mentor, bedoeld in artikel ..."
    thisalinea.nativeID = 2117
    thisalinea.parentID = 2115
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De mentor, bedoeld in artikel 452, zevende lid, legt jaarlijks de verklaring en het verslag over, bedoeld in artikel 452, achtste lid, onderdelen a en b. De mentor legt tweejaarlijks de verklaring over, bedoeld in artikel 452, achtste lid, onderdeel c. De kantonrechter kan ten aanzien van de verschillende onderdelen van het verslag een ander tijdstip van overlegging bepalen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De mentor, bedoeld in artikel 452, zevende lid, legt jaarlijks de verklaring en het verslag")
    thisalinea.textcontent.append("over, bedoeld in artikel 452, achtste lid, onderdelen a en b. De mentor legt tweejaarlijks de")
    thisalinea.textcontent.append("verklaring over, bedoeld in artikel 452, achtste lid, onderdeel c. De kantonrechter kan ten")
    thisalinea.textcontent.append("aanzien van de verschillende onderdelen van het verslag een ander tijdstip van")
    thisalinea.textcontent.append("overlegging bepalen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. De mentor doet telkens na ..."
    thisalinea.nativeID = 2118
    thisalinea.parentID = 2115
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. De mentor doet telkens na verloop van vijf jaren, of zo veel eerder als de kantonrechter bepaalt, aan deze verslag van het verloop van het mentorschap. Hij laat zich daarbij met name uit over de vraag of het mentorschap dient voort te duren dan wel of een minder ver, of een verder strekkende voorziening aangewezen is. Feiten die voor het mentorschap en het voortduren daarvan van betekenis zijn, deelt hij terstond aan de kantonrechter mede. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. De mentor doet telkens na verloop van vijf jaren, of zo veel eerder als de kantonrechter")
    thisalinea.textcontent.append("bepaalt, aan deze verslag van het verloop van het mentorschap. Hij laat zich daarbij met")
    thisalinea.textcontent.append("name uit over de vraag of het mentorschap dient voort te duren dan wel of een minder")
    thisalinea.textcontent.append("ver, of een verder strekkende voorziening aangewezen is. Feiten die voor het")
    thisalinea.textcontent.append("mentorschap en het voortduren daarvan van betekenis zijn, deelt hij terstond aan de")
    thisalinea.textcontent.append("kantonrechter mede.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Aan het einde van zijn ..."
    thisalinea.nativeID = 2119
    thisalinea.parentID = 2115
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Aan het einde van zijn mentorschap doet de mentor van zijn werkzaamheden schriftelijk verslag aan zijn opvolger, aan de kantonrechter alsmede aan de betrokkene, indien het mentorschap door het verstrijken van de tijdsduur waarvoor het is ingesteld of door opheffing eindigt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Aan het einde van zijn mentorschap doet de mentor van zijn werkzaamheden schriftelijk")
    thisalinea.textcontent.append("verslag aan zijn opvolger, aan de kantonrechter alsmede aan de betrokkene, indien het")
    thisalinea.textcontent.append("mentorschap door het verstrijken van de tijdsduur waarvoor het is ingesteld of door")
    thisalinea.textcontent.append("opheffing eindigt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 460"
    thisalinea.nativeID = 2120
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 707
    thisalinea.summary = "1. De mentor mag de bij de vervulling van zijn taak noodzakelijk gemaakte kosten aan de betrokkene in rekening brengen. 2. De mentor heeft aanspraak op beloning overeenkomstig de regels die daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De mentor mag de bij ..."
    thisalinea.nativeID = 2121
    thisalinea.parentID = 2120
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De mentor mag de bij de vervulling van zijn taak noodzakelijk gemaakte kosten aan de betrokkene in rekening brengen. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De mentor mag de bij de vervulling van zijn taak noodzakelijk gemaakte kosten aan de")
    thisalinea.textcontent.append("betrokkene in rekening brengen.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De mentor heeft aanspraak op ..."
    thisalinea.nativeID = 2122
    thisalinea.parentID = 2120
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De mentor heeft aanspraak op beloning overeenkomstig de regels die daaromtrent bij regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De mentor heeft aanspraak op beloning overeenkomstig de regels die daaromtrent bij")
    thisalinea.textcontent.append("regeling van Onze Minister van Veiligheid en Justitie zijn vastgesteld.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 461"
    thisalinea.nativeID = 2123
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 708
    thisalinea.summary = "1. De taak van de mentor eindigt: a. bij het einde van het mentorschap; b. door tijdsverloop, indien hij voor een bepaalde tijd was benoemd; c. door zijn dood; d. door zijn ondercuratelestelling of door instelling van een mentorschap te zijnen behoeve; e. door ontslag dat hem door de kantonrechter met ingang van een door deze bepaalde dag wordt verleend. 2. Het ontslag wordt hem verleend hetzij op eigen verzoek, hetzij wegens gewichtige redenen of omdat hij niet meer voldoet aan de eisen om mentor te kunnen worden, zulks op verzoek van de medementor of degene die gerechtigd is mentorschap "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. De taak van de mentor ..."
    thisalinea.nativeID = 2124
    thisalinea.parentID = 2123
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. De taak van de mentor eindigt: a. bij het einde van het mentorschap; b. door tijdsverloop, indien hij voor een bepaalde tijd was benoemd; c. door zijn dood; d. door zijn ondercuratelestelling of door instelling van een mentorschap te zijnen behoeve; e. door ontslag dat hem door de kantonrechter met ingang van een door deze bepaalde dag wordt verleend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. De taak van de mentor eindigt:")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "a. bij het einde van het ..."
    thisalinea.nativeID = 2125
    thisalinea.parentID = 2124
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "a. bij het einde van het mentorschap; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("a. bij het einde van het mentorschap;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "b. door tijdsverloop, indien hij voor ..."
    thisalinea.nativeID = 2126
    thisalinea.parentID = 2124
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "b. door tijdsverloop, indien hij voor een bepaalde tijd was benoemd; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("b. door tijdsverloop, indien hij voor een bepaalde tijd was benoemd;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "c. door zijn dood; "
    thisalinea.nativeID = 2127
    thisalinea.parentID = 2124
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "c. door zijn dood; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("c. door zijn dood;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "d. door zijn ondercuratelestelling of door ..."
    thisalinea.nativeID = 2128
    thisalinea.parentID = 2124
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "d. door zijn ondercuratelestelling of door instelling van een mentorschap te zijnen behoeve; "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("d. door zijn ondercuratelestelling of door instelling van een mentorschap te zijnen")
    thisalinea.textcontent.append("behoeve;")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 3
    thisalinea.texttitle = "e. door ontslag dat hem door ..."
    thisalinea.nativeID = 2129
    thisalinea.parentID = 2124
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.SMALLLETTER
    thisalinea.horizontal_ordering = 4
    thisalinea.summary = "e. door ontslag dat hem door de kantonrechter met ingang van een door deze bepaalde dag wordt verleend. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("e. door ontslag dat hem door de kantonrechter met ingang van een door deze bepaalde")
    thisalinea.textcontent.append("dag wordt verleend.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. Het ontslag wordt hem verleend ..."
    thisalinea.nativeID = 2130
    thisalinea.parentID = 2123
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. Het ontslag wordt hem verleend hetzij op eigen verzoek, hetzij wegens gewichtige redenen of omdat hij niet meer voldoet aan de eisen om mentor te kunnen worden, zulks op verzoek van de medementor of degene die gerechtigd is mentorschap te verzoeken als bedoeld in artikel 451, eerste en tweede lid, dan wel ambtshalve. Hangende het onderzoek kan de kantonrechter voorlopige voorzieningen in het mentorschap treffen en de mentor schorsen. De kantonrechter kan hiertoe zo nodig ook zonder de mentor tevoren te hebben gehoord overgaan. In dat geval verliest de beschikking haar kracht na verloop van twee weken, tenzij de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. Het ontslag wordt hem verleend hetzij op eigen verzoek, hetzij wegens gewichtige")
    thisalinea.textcontent.append("redenen of omdat hij niet meer voldoet aan de eisen om mentor te kunnen worden, zulks")
    thisalinea.textcontent.append("op verzoek van de medementor of degene die gerechtigd is mentorschap te verzoeken")
    thisalinea.textcontent.append("als bedoeld in artikel 451, eerste en tweede lid, dan wel ambtshalve. Hangende het")
    thisalinea.textcontent.append("onderzoek kan de kantonrechter voorlopige voorzieningen in het mentorschap treffen en")
    thisalinea.textcontent.append("de mentor schorsen. De kantonrechter kan hiertoe zo nodig ook zonder de mentor")
    thisalinea.textcontent.append("tevoren te hebben gehoord overgaan. In dat geval verliest de beschikking haar kracht na")
    thisalinea.textcontent.append("verloop van twee weken, tenzij de mentor binnen deze termijn in de gelegenheid is")
    thisalinea.textcontent.append("gesteld om te worden gehoord.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Een gewezen mentor blijft verplicht ..."
    thisalinea.nativeID = 2131
    thisalinea.parentID = 2123
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Een gewezen mentor blijft verplicht al datgene te doen, wat niet zonder nadeel voor de betrokkene kan worden uitgesteld, totdat wederom een persoon bevoegd is ten aanzien van de aangelegenheden bedoeld in artikel 453, eerste lid, van dit boek. In de gevallen genoemd in het eerste lid, onder d, rust deze verplichting op diens curator of mentor, indien deze van het mentorschap kennisdraagt. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Een gewezen mentor blijft verplicht al datgene te doen, wat niet zonder nadeel voor de")
    thisalinea.textcontent.append("betrokkene kan worden uitgesteld, totdat wederom een persoon bevoegd is ten aanzien")
    thisalinea.textcontent.append("van de aangelegenheden bedoeld in artikel 453, eerste lid, van dit boek. In de gevallen")
    thisalinea.textcontent.append("genoemd in het eerste lid, onder d, rust deze verplichting op diens curator of mentor,")
    thisalinea.textcontent.append("indien deze van het mentorschap kennisdraagt.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "4. Artikel 384 van dit boek ..."
    thisalinea.nativeID = 2132
    thisalinea.parentID = 2123
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 3
    thisalinea.summary = "4. Artikel 384 van dit boek is van overeenkomstige toepassing. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("4. Artikel 384 van dit boek is van overeenkomstige toepassing.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 1
    thisalinea.texttitle = "Artikel 462"
    thisalinea.nativeID = 2133
    thisalinea.parentID = 0
    thisalinea.alineatype = texttype.HEADLINES
    thisalinea.enumtype = enum_type.UNKNOWN
    thisalinea.horizontal_ordering = 709
    thisalinea.summary = "1. Het mentorschap eindigt door het verstrijken van de tijdsduur waarvoor het is ingesteld en door de dood of ondercuratelestelling van de betrokkene. 2. De kantonrechter kan, indien de noodzaak daartoe niet meer bestaat of voortzetting van het mentorschap niet zinvol is gebleken, het mentorschap opheffen, zulks op verzoek van de mentor of van degene die gerechtigd is mentorschap te verzoeken als bedoeld in artikel 451, eerste en tweede lid, dan wel ambtshalve. De beschikking treedt in werking zodra zij in kracht van gewijsde is gegaan, tenzij zij een eerder tijdstip van ingang aanwijst. 3. Degene die gerechtigd is de "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "1. Het mentorschap eindigt door het ..."
    thisalinea.nativeID = 2134
    thisalinea.parentID = 2133
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 0
    thisalinea.summary = "1. Het mentorschap eindigt door het verstrijken van de tijdsduur waarvoor het is ingesteld en door de dood of ondercuratelestelling van de betrokkene. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("1. Het mentorschap eindigt door het verstrijken van de tijdsduur waarvoor het is ingesteld en")
    thisalinea.textcontent.append("door de dood of ondercuratelestelling van de betrokkene.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "2. De kantonrechter kan, indien de ..."
    thisalinea.nativeID = 2135
    thisalinea.parentID = 2133
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 1
    thisalinea.summary = "2. De kantonrechter kan, indien de noodzaak daartoe niet meer bestaat of voortzetting van het mentorschap niet zinvol is gebleken, het mentorschap opheffen, zulks op verzoek van de mentor of van degene die gerechtigd is mentorschap te verzoeken als bedoeld in artikel 451, eerste en tweede lid, dan wel ambtshalve. De beschikking treedt in werking zodra zij in kracht van gewijsde is gegaan, tenzij zij een eerder tijdstip van ingang aanwijst. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("2. De kantonrechter kan, indien de noodzaak daartoe niet meer bestaat of voortzetting van")
    thisalinea.textcontent.append("het mentorschap niet zinvol is gebleken, het mentorschap opheffen, zulks op verzoek van")
    thisalinea.textcontent.append("de mentor of van degene die gerechtigd is mentorschap te verzoeken als bedoeld in")
    thisalinea.textcontent.append("artikel 451, eerste en tweede lid, dan wel ambtshalve. De beschikking treedt in werking")
    thisalinea.textcontent.append("zodra zij in kracht van gewijsde is gegaan, tenzij zij een eerder tijdstip van ingang")
    thisalinea.textcontent.append("aanwijst.")
    alineas.append(thisalinea)

    thisalinea = textalinea()
    thisalinea.textlevel = 2
    thisalinea.texttitle = "3. Degene die gerechtigd is de ..."
    thisalinea.nativeID = 2136
    thisalinea.parentID = 2133
    thisalinea.alineatype = texttype.ENUMERATION
    thisalinea.enumtype = enum_type.DIGIT
    thisalinea.horizontal_ordering = 2
    thisalinea.summary = "3. Degene die gerechtigd is de instelling van het mentorschap te verzoeken als bedoeld in artikel 451, eerste en tweede lid, alsmede de mentor, kan verzoeken om verlenging van het mentorschap dat voor een bepaalde tijdsduur is ingesteld. De kantonrechter beslist binnen twee maanden na het indienen van het verzoekschrift. Artikel 384 is van overeenkomstige toepassing. Tegen de afwijzing van een verzoek tot verlenging staat geen hogere voorziening open. "
    thisalinea.sum_CanbeEmpty = False
    thisalinea.textcontent.clear()
    thisalinea.textcontent.append("3. Degene die gerechtigd is de instelling van het mentorschap te verzoeken als bedoeld in")
    thisalinea.textcontent.append("artikel 451, eerste en tweede lid, alsmede de mentor, kan verzoeken om verlenging van")
    thisalinea.textcontent.append("het mentorschap dat voor een bepaalde tijdsduur is ingesteld. De kantonrechter beslist")
    thisalinea.textcontent.append("binnen twee maanden na het indienen van het verzoekschrift. Artikel 384 is van")
    thisalinea.textcontent.append("overeenkomstige toepassing. Tegen de afwijzing van een verzoek tot verlenging staat")
    thisalinea.textcontent.append("geen hogere voorziening open.")
    thisalinea.textcontent.append("")
    alineas.append(thisalinea)

    return alineas
